local slW = 400
local slMul = slW/100

local lim = {
    lighs = {
        blinkers = 100/4,
        headlight = 100/25,
        highbeam = 100/100,
        foglamp = 100/40,
    },
    sound = {
        horn = 100/2,

    }
}

local def = { 
    lighs = {
        blinkers = 0.6,
        headlight = 10,
        highbeam = 100,
        foglamp = 20,
    },
    sound = {
        horn = 0.8,
    }
}


function sfn(numberToFormat, dec)
    local s = (tostring(dec or 2))
    return string.format("%."..s.."f", numberToFormat)
end

function init()
    shapes = setmetatable({},{
        __index = function(t, k)
            local shape = FindShape(k)
            rawset(t, k, shape)
            return shape
        end
    })

    lights = setmetatable({},{
        __index = function(m, n)
            local light = FindLight(n)
            rawset(m, n, light)
            return light
        end
    })

    loop = LoadLoop("MOD/snd/carhorn.ogg")
    lightOn = false
    mlo = false
    hlo = false
    note = false
    tl = false
    tr = false
    warning = false
    flash = false
    temp = false
    adt = false
    first = false

    currentKmh = 0	
	displayKmh = 0	
end

function tick(df)

    SetShapeCollisionFilter(shapes.hood, 2, 255-2)
    SetShapeCollisionFilter(shapes.lflm2, 2, 255-2)
    SetShapeCollisionFilter(shapes.lflm, 2, 255-2)
    SetShapeCollisionFilter(shapes.tlfl, 2, 255-2)
    SetShapeCollisionFilter(shapes.tlfr, 2, 255-2)
    SetShapeCollisionFilter(shapes.tlbl, 2, 255-2)
    SetShapeCollisionFilter(shapes.tlbr, 2, 255-2)
    SetShapeCollisionFilter(shapes.tlbl2, 2, 255-2)
    SetShapeCollisionFilter(shapes.tlbr2, 2, 255-2)
    SetShapeCollisionFilter(shapes.door, 2, 255-2)
    SetShapeCollisionFilter(shapes.door2, 2, 255-2)
    SetShapeCollisionFilter(shapes.lfrm2, 2, 255-2)
    SetShapeCollisionFilter(shapes.lfrm, 2, 255-2)
    SetShapeCollisionFilter(shapes.trunk, 2, 255-2)
    SetShapeCollisionFilter(shapes.trunk2, 2, 255-2)
    SetShapeCollisionFilter(shapes.lflmt, 2, 255-2)
    SetShapeCollisionFilter(shapes.lfrmt, 2, 255-2)
    SetShapeCollisionFilter(shapes.brake, 2, 255-2)
    SetShapeCollisionFilter(shapes.brake2, 2, 255-2)

    local v = GetPlayerVehicle()
	if v ~= 0 then
		local b = GetVehicleBody(v)
		local t = GetVehicleTransform(v)
		local vel = TransformToLocalVec(t, GetBodyVelocity(b))
		local speed = -vel[3]
		currentKmh = speed * 3.6
	else
		currentKmh = 0
	end
    displayKmh = 0.9 * displayKmh + 0.1 * currentKmh

    if GetBool("savegame.mod.lightdefalt") then
        SetFloat("savegame.mod.lighs.blinkers", def.lighs.blinkers)
        SetFloat("savegame.mod.lighs.headlight", def.lighs.headlight)
        SetFloat("savegame.mod.lighs.highbeam", def.lighs.highbeam)
        SetFloat("savegame.mod.lighs.foglamp", def.lighs.foglamp)

        SetFloat("savegame.mod.sound.horn", def.sound.horn)  
        SetBool("savegame.mod.lightdefalt", not GetBool("savegame.mod.lightdefalt"))
    end


	lightrigger = FindTrigger("lighttrigger")
		v = FindVehicle("vehicle")
	local t = Transform(GetVehicleTransform(v).pos, Vec(0,1,0))
	SetTriggerTransform(lightrigger, t)
    

if IsPointInTrigger(lightrigger, GetPlayerPos()) then
    inside = true
    if GetBool("game.player.useVehicle") and InputDown("space") or InputDown("down") and displayKmh > 10 then
        brake = true
    else
        brake = false
    end

    if GetBool("game.player.useVehicle") and InputPressed("j") then
        mlo = not mlo
    end

    if GetBool("game.player.useVehicle") and InputPressed("k") then
        hlo = not hlo
    end

    if GetBool("game.player.useVehicle") and InputPressed(",") then
        tl = not tl
        tr = false
        warning = false
        to = GetTime()
    end

    if GetBool("game.player.useVehicle") and InputPressed(".") then
        tr = not tr
        tl = false
        warning = false
        to = GetTime()
    end

    if GetBool("game.player.useVehicle") and InputPressed("u") then
        warning = not warning
        tl = false
        tr = false
        to = GetTime()
    end

    if GetBool("game.player.useVehicle") and InputDown("l") then
        flash = true
    else
        flash = false
    end
    if GetBool("game.player.useVehicle") and InputDown("g") then
        PlayLoop(loop,GetVehicleTransform(v).pos, GetFloat("savegame.mod.sound.horn"))
    end

    if GetBool("game.player.useVehicle") and InputPressed("h") then
        adt = not adt
    end
        else
    inside = false
end

    if tl or tr or warning then
        a = math.cos((GetTime()-to)*9)
        if a >= 0 then
            tli = GetFloat("savegame.mod.lighs.blinkers")
        else
            tli = 0.0001
        end


        if warning then
            SetShapeEmissiveScale(shapes.tlfl, tli)
            SetShapeEmissiveScale(shapes.tlbl, tli)
            SetShapeEmissiveScale(shapes.tlfr, tli)
            SetShapeEmissiveScale(shapes.tlbr, tli)
            SetShapeEmissiveScale(shapes.tlbr2, tli)
            SetShapeEmissiveScale(shapes.tlbl2, tli)
        SetLightIntensity(lights.tlflp, tli)
        SetLightIntensity(lights.tlblp, tli)
        SetLightIntensity(lights.tlfrp, tli)
        SetLightIntensity(lights.tlbrp, tli)
        SetLightIntensity(lights.tlblp2, tli)
        SetLightIntensity(lights.tlbrp2, tli)



        else
            if tl then
                SetShapeEmissiveScale(shapes.tlfl, tli)
                SetShapeEmissiveScale(shapes.tlbl, tli)
                SetShapeEmissiveScale(shapes.tlbl2, tli)
                SetShapeEmissiveScale(shapes.tlfr, 0)
                SetShapeEmissiveScale(shapes.tlbr, 0)
                SetShapeEmissiveScale(shapes.tlbr2, 0)

        SetLightIntensity(lights.tlflp, tli)
        SetLightIntensity(lights.tlblp, tli)
        SetLightIntensity(lights.tlblp2, tli)
        SetLightIntensity(lights.tlfrp, 0)
        SetLightIntensity(lights.tlbrp, 0)
        SetLightIntensity(lights.tlbrp2, 0)

            elseif tr then
                SetShapeEmissiveScale(shapes.tlfr, tli)
                SetShapeEmissiveScale(shapes.tlbr, tli)
                SetShapeEmissiveScale(shapes.tlbr2, tli)
                SetShapeEmissiveScale(shapes.tlfl, 0)
                SetShapeEmissiveScale(shapes.tlbl, 0)
                SetShapeEmissiveScale(shapes.tlbl2, 0)
        SetLightIntensity(lights.tlflp, 0)
        SetLightIntensity(lights.tlblp, 0)
        SetLightIntensity(lights.tlblp2, 0)
        SetLightIntensity(lights.tlfrp, tli)
        SetLightIntensity(lights.tlbrp, tli)
        SetLightIntensity(lights.tlbrp2, tli)
        

            else
                SetShapeEmissiveScale(shapes.tlfl, 0)
                SetShapeEmissiveScale(shapes.tlbl, 0)
                SetShapeEmissiveScale(shapes.tlfr, 0)
                SetShapeEmissiveScale(shapes.tlbr, 0)
                SetShapeEmissiveScale(shapes.tlbr2, 0)
                SetShapeEmissiveScale(shapes.tlbl2, 0)
        SetLightIntensity(lights.tlflp, 0)
        SetLightIntensity(lights.tlblp, 0)
        SetLightIntensity(lights.tlfrp, 0)
        SetLightIntensity(lights.tlbrp, 0)
        SetLightIntensity(lights.tlblp2, 0)
        SetLightIntensity(lights.tlbrp2, 0)

            end
        end
    else
        SetShapeEmissiveScale(shapes.tlfl, 0)
        SetShapeEmissiveScale(shapes.tlbl, 0)
        SetShapeEmissiveScale(shapes.tlfr, 0)
        SetShapeEmissiveScale(shapes.tlbr, 0)
        SetShapeEmissiveScale(shapes.tlbr2, 0)
        SetShapeEmissiveScale(shapes.tlbl2, 0)
        SetLightIntensity(lights.tlflp, 0)
        SetLightIntensity(lights.tlblp, 0)
        SetLightIntensity(lights.tlfrp, 0)
        SetLightIntensity(lights.tlbrp, 0)
        SetLightIntensity(lights.tlblp2, 0)
        SetLightIntensity(lights.tlbrp2, 0)
    end

    if flash then
        SetLightIntensity(lights.lflmr, 0)
        SetLightIntensity(lights.lflml, 0)
        SetLightIntensity(lights.lflmr2, GetFloat("savegame.mod.lighs.highbeam"))
        SetLightIntensity(lights.lflml2, GetFloat("savegame.mod.lighs.highbeam"))
        SetShapeEmissiveScale(shapes.lflm, GetFloat("savegame.mod.lighs.headlight"))
        SetShapeEmissiveScale(shapes.lfrm, GetFloat("savegame.mod.lighs.headlight"))
        SetShapeEmissiveScale(shapes.lflm2, GetFloat("savegame.mod.lighs.highbeam"))
        SetShapeEmissiveScale(shapes.lfrm2, GetFloat("savegame.mod.lighs.highbeam"))
        SetShapeEmissiveScale(shapes.lflmt, GetFloat("savegame.mod.lighs.headlight"))
        SetShapeEmissiveScale(shapes.lfrmt, GetFloat("savegame.mod.lighs.headlight"))
        SetShapeEmissiveScale(shapes.brake, GetFloat("savegame.mod.lighs.headlight")/25)
        SetShapeEmissiveScale(shapes.brake2, GetFloat("savegame.mod.lighs.headlight")/25)
        SetLightIntensity(lights.lbrake, GetFloat("savegame.mod.lighs.headlight")/25)
        SetLightIntensity(lights.lbrake2, GetFloat("savegame.mod.lighs.headlight")/25)
        SetLightIntensity(lights.lflmlt, GetFloat("savegame.mod.lighs.headlight")/35)
        SetLightIntensity(lights.lfrmrt, GetFloat("savegame.mod.lighs.headlight")/35)
    else

        if mlo then
            SetLightIntensity(lights.lflmr, GetFloat("savegame.mod.lighs.headlight"))
            SetLightIntensity(lights.lflml, GetFloat("savegame.mod.lighs.headlight"))
            SetShapeEmissiveScale(shapes.lflm, GetFloat("savegame.mod.lighs.headlight"))
            SetShapeEmissiveScale(shapes.lfrm, GetFloat("savegame.mod.lighs.headlight"))
            SetShapeEmissiveScale(shapes.lflmt, GetFloat("savegame.mod.lighs.headlight"))
            SetShapeEmissiveScale(shapes.lfrmt, GetFloat("savegame.mod.lighs.headlight"))
            SetShapeEmissiveScale(shapes.brake, GetFloat("savegame.mod.lighs.headlight")/25)
            SetShapeEmissiveScale(shapes.brake2, GetFloat("savegame.mod.lighs.headlight")/25)
            SetLightIntensity(lights.lbrake, GetFloat("savegame.mod.lighs.headlight")/25)
            SetLightIntensity(lights.lbrake2, GetFloat("savegame.mod.lighs.headlight")/25)
            SetLightIntensity(lights.lflmlt, GetFloat("savegame.mod.lighs.headlight")/35)
            SetLightIntensity(lights.lfrmrt, GetFloat("savegame.mod.lighs.headlight")/35)
        else
            SetLightIntensity(lights.lflmr, 0)
            SetLightIntensity(lights.lflml, 0)
            SetLightIntensity(lights.lfrm2, 0)
            SetLightIntensity(lights.lfrm2, 0)
            SetShapeEmissiveScale(shapes.lflm, 0)
            SetShapeEmissiveScale(shapes.lfrm, 0)
            SetShapeEmissiveScale(shapes.lflmt, 0)
            SetShapeEmissiveScale(shapes.lfrmt, 0)
            SetLightIntensity(lights.lflmlt, 0)
            SetLightIntensity(lights.lfrmrt, 0)
            SetShapeEmissiveScale(shapes.brake, 0)
            SetShapeEmissiveScale(shapes.brake2, 0)
            SetLightIntensity(lights.lbrake, 0)
            SetLightIntensity(lights.lbrake2, 0)
        end

        if mlo and hlo then
            SetLightIntensity(lights.lflmr, 0)
            SetLightIntensity(lights.lflml, 0)
            SetLightIntensity(lights.lflmr2, GetFloat("savegame.mod.lighs.highbeam"))
            SetLightIntensity(lights.lflml2, GetFloat("savegame.mod.lighs.highbeam"))
            SetShapeEmissiveScale(shapes.lflm, GetFloat("savegame.mod.lighs.headlight"))
            SetShapeEmissiveScale(shapes.lfrm, GetFloat("savegame.mod.lighs.headlight"))
            SetShapeEmissiveScale(shapes.lflm2, GetFloat("savegame.mod.lighs.highbeam"))
            SetShapeEmissiveScale(shapes.lfrm2, GetFloat("savegame.mod.lighs.highbeam"))
            SetShapeEmissiveScale(shapes.lflmt, GetFloat("savegame.mod.lighs.headlight"))
            SetShapeEmissiveScale(shapes.lfrmt, GetFloat("savegame.mod.lighs.headlight"))
            SetShapeEmissiveScale(shapes.brake, GetFloat("savegame.mod.lighs.headlight")/25)
            SetShapeEmissiveScale(shapes.brake2, GetFloat("savegame.mod.lighs.headlight")/25)
            SetLightIntensity(lights.lbrake, GetFloat("savegame.mod.lighs.headlight")/25)
            SetLightIntensity(lights.lbrake2, GetFloat("savegame.mod.lighs.headlight")/25)
            SetLightIntensity(lights.lflmlt, GetFloat("savegame.mod.lighs.headlight")/35)
            SetLightIntensity(lights.lfrmrt, GetFloat("savegame.mod.lighs.headlight")/35)
        elseif mlo then
            SetLightIntensity(lights.lflmr, GetFloat("savegame.mod.lighs.headlight"))
            SetLightIntensity(lights.lflml, GetFloat("savegame.mod.lighs.headlight"))
            SetLightIntensity(lights.lflmr2, 0)
            SetLightIntensity(lights.lflml2, 0)
            SetShapeEmissiveScale(shapes.lflm, GetFloat("savegame.mod.lighs.headlight"))
            SetShapeEmissiveScale(shapes.lfrm, GetFloat("savegame.mod.lighs.headlight"))
            SetShapeEmissiveScale(shapes.lflm2, 0)
            SetShapeEmissiveScale(shapes.lfrm2, 0)
            SetShapeEmissiveScale(shapes.lflmt, GetFloat("savegame.mod.lighs.headlight"))
            SetShapeEmissiveScale(shapes.lfrmt, GetFloat("savegame.mod.lighs.headlight"))
            SetShapeEmissiveScale(shapes.brake, GetFloat("savegame.mod.lighs.headlight")/25)
            SetShapeEmissiveScale(shapes.brake2, GetFloat("savegame.mod.lighs.headlight")/25)
            SetLightIntensity(lights.lbrake, GetFloat("savegame.mod.lighs.headlight")/25)
            SetLightIntensity(lights.lbrake2, GetFloat("savegame.mod.lighs.headlight")/25)
            SetLightIntensity(lights.lflmlt, GetFloat("savegame.mod.lighs.headlight")/35)
            SetLightIntensity(lights.lfrmrt, GetFloat("savegame.mod.lighs.headlight")/35)
        else
            SetLightIntensity(lights.lflmr, 0)
            SetLightIntensity(lights.lflml, 0)
            SetLightIntensity(lights.lflmr2, 0)
            SetLightIntensity(lights.lflml2, 0)
            SetShapeEmissiveScale(shapes.lflm, 0)
            SetShapeEmissiveScale(shapes.lfrm, 0)
            SetShapeEmissiveScale(shapes.lflm2, 0)
            SetShapeEmissiveScale(shapes.lfrm2, 0)
            SetShapeEmissiveScale(shapes.lflmt, 0)
            SetShapeEmissiveScale(shapes.lfrmt, 0)
            SetShapeEmissiveScale(shapes.brake, 0)
            SetShapeEmissiveScale(shapes.brake2, 0)
            SetLightIntensity(lights.lbrake, 0)
            SetLightIntensity(lights.lbrake2, 0)
            SetLightIntensity(lights.lflmlt, 0)
            SetLightIntensity(lights.lfrmrt, 0)
        end
    end

    if mlo and adt then
        SetShapeEmissiveScale(shapes.hl, GetFloat("savegame.mod.lighs.foglamp"))
        SetShapeEmissiveScale(shapes.hl2, GetFloat("savegame.mod.lighs.foglamp"))
        SetLightIntensity(lights.hll, GetFloat("savegame.mod.lighs.foglamp"))
        SetLightIntensity(lights.hll2, GetFloat("savegame.mod.lighs.foglamp"))
    else
        SetShapeEmissiveScale(shapes.hl, 0)
        SetShapeEmissiveScale(shapes.hl2, 0)
        SetLightIntensity(lights.hll, 0)
        SetLightIntensity(lights.hll2, 0)
    end
    if brake then
        SetShapeEmissiveScale(shapes.brake, GetFloat("savegame.mod.lighs.headlight"))
        SetShapeEmissiveScale(shapes.brake2, GetFloat("savegame.mod.lighs.headlight"))
        SetLightIntensity(lights.brake, GetFloat("savegame.mod.lighs.headlight")/35)
        SetLightIntensity(lights.brake2, GetFloat("savegame.mod.lighs.headlight")/35)
        SetLightIntensity(lights.lbrake, 0)
        SetLightIntensity(lights.lbrake2, 0)
    else
        SetLightIntensity(lights.brake, 0)
        SetLightIntensity(lights.brake2, 0)  
    end
end

function draw()
    
    
    if inside and GetBool("game.player.useVehicle") then
		UiFont("regular.ttf", 22)
		UiTextShadow(0, 0, 0, 0.5, 0.5)
        if controls then
        UiPush()
        UiColor(1, 1, 1, 1)
        UiTranslate(60, 30)
        UiText("Vehicles Binds")
        UiTranslate(-40, 5)
        UiColor(0, 0, 0, 0.6)
        UiImageBox("MOD/images/box-solid-6.png", 230, 190, 6, 6)
        UiColor(1, 1, 1, 1)
        UiTranslate(10, 25)
        UiText("headlight: J")
        UiTranslate(0, 25)
        UiText("high beam: K")
        UiTranslate(0, 25)
        UiText("Flash high beam: L")
        UiTranslate(0, 25)
        UiText("foglamp: H")
        UiTranslate(0, 25)
        UiText("left right blinkers: </> ,/.")
        UiTranslate(0, 25)
        UiText("Hazard Lights: U")
        UiTranslate(0, 25)
        UiText("Horn: G")
        UiTranslate(0, 45)
        UiText("F1 - minimize")
        UiPop()
        else
            UiPush()
            UiColor(1, 1, 1, 1)
            UiTranslate(40, 30)
            UiText("F1 -Vehicles Binds")
            UiTranslate(-20, -25)
            UiColor(0, 0, 0, 0.6)
            UiImageBox("MOD/images/box-solid-6.png", 200, 40, 6, 6)
            UiPop()
        end

        if InputPressed("f1") then
			controls = not controls
        end

        
		if not uix then uix = UiWidth() - 200 end
		if not uiy then uiy = 50 end

		UiTranslate(uix, uiy)

        if InputPressed("m") and not ui then
            ui = true
            SetValue("uix", UiCenter()-950, "cosine", 0.25)
            SetValue("uiy", UiMiddle()-500, "cosine", 0.25)
           else
           if InputPressed("m") or InputPressed("esc") and ui then
            ui = false
            SetValue("uix", UiWidth()-200, "cosine", 0.25)
            SetValue("uiy", 50, "cosine", 0.25)
           end
        end


		if ui then
            SetBool("game.disablepause", true)
            SetBool("game.disablemap", true)
			UiMakeInteractive()

        --blinkers

        UiPush()
        UiTranslate(20,90)
        UiPush()
            UiFont("bold.ttf", 40)
            UiText("Lights Options")

            UiPush()
                UiTranslate(0,50)

                UiFont("bold.ttf", 30)
                UiText("blinkers")
                UiTranslate(0,20)

                UiAlign("left middle")
                UiColor(0.7, 0.4, 0)
                UiRect(slW+3, 3)

                UiColor(1, 1, 1)
                local limit = lim.lighs.blinkers
                local value = (GetFloat("savegame.mod.lighs.blinkers") or 2) * slMul
                local done = false
                value, done = UiSlider("ui/common/dot.png", "x", value*limit, 0, slW)
                if done then
                    SetFloat("savegame.mod.lighs.blinkers", value/slMul/limit)

                end
                UiPush()
                UiColor(1, 1, 1)
                    UiTranslate(slW+25,0)
                    UiText(sfn(value/slMul/limit, 1))
                UiPop()

            UiPop()
--blinkers

--headlights
    UiPush()

        UiPush()
            UiTranslate(0,110)

            UiFont("bold.ttf", 30)
            UiText("headlight")
            UiTranslate(0,20)

            UiAlign("left middle")
            UiColor(1, 1, 1)
            UiRect(slW+3, 3)


            local limit = lim.lighs.headlight
            local value = (GetFloat("savegame.mod.lighs.headlight") or 2) * slMul
            local done = false
            value, done = UiSlider("ui/common/dot.png", "x", value*limit, 0, slW)
            if done then
                SetFloat("savegame.mod.lighs.headlight", value/slMul/limit)
        
            end
            UiPush()
                UiTranslate(slW+25,0)
                UiText(sfn(value/slMul/limit, 1))
            UiPop()

       UiPop()
    --headlights

            --Highbeam
            UiPush()

            UiPush()
                UiTranslate(0,170)

                UiFont("bold.ttf", 30)
                UiText("high-beam")
                UiTranslate(0,20)

                UiAlign("left middle")
                UiColor(1, 1, 1)
                UiRect(slW+3, 3)
    

                local limit = lim.lighs.highbeam
                local value = (GetFloat("savegame.mod.lighs.highbeam") or 2) * slMul
                local done = false
                value, done = UiSlider("ui/common/dot.png", "x", value*limit, 0, slW)
                if done then
                    SetFloat("savegame.mod.lighs.highbeam", value/slMul/limit)
            
                end
                UiPush()
                    UiTranslate(slW+25,0)
                    UiText(sfn(value/slMul/limit, 1))
                UiPop()

           UiPop()
        --Highbeam


            --foglamp
            UiPush()

            UiPush()
                UiTranslate(0,230)

                UiFont("bold.ttf", 30)
                UiText("Fog-Lamp")
                UiTranslate(0,20)

                UiAlign("left middle")
                UiColor(1, 1, 1)
                UiRect(slW+3, 3)
    
                local limit = lim.lighs.foglamp
                local value = (GetFloat("savegame.mod.lighs.foglamp") or 2) * slMul
                local done = false
                value, done = UiSlider("ui/common/dot.png", "x", value*limit, 0, slW)
                if done then
                    SetFloat("savegame.mod.lighs.foglamp", value/slMul/limit)
            
                end
                UiPush()
                    UiTranslate(slW+25,0)
                    UiText(sfn(value/slMul/limit, 1))
                UiPop()

           UiPop()
        --foglamp

                --horn
                UiPush()

                UiPush()
                    UiTranslate(0,300)

                    UiFont("bold.ttf", 30)
                    UiText("horn")
                    UiTranslate(0,20)

                    UiAlign("left middle")
                    UiColor(0.8, 0.1, 0.1)
                    UiRect(slW+3, 3)
        
                    UiColor(1, 1, 1)
                    local limit = lim.sound.horn
                    local value = (GetFloat("savegame.mod.sound.horn") or 2) * slMul
                    local done = false
                    value, done = UiSlider("ui/common/dot.png", "x", value*limit, 0, slW)
                    if done then
                        SetFloat("savegame.mod.sound.horn", value/slMul/limit)
                
                    end
                    UiPush()
                    UiColor(1, 1, 1)
                        UiTranslate(slW+25,0)
                        UiText(sfn(value/slMul/limit, 1))
                    UiPop()

               UiPop()
                --horn



            UiPush()
            UiColor(1, 0.5, 0.5)
            UiTranslate(0,380)
            UiFont("bold.ttf", 40)
            --reset
            local resetButton = UiTextButton("default Values", 100, 50)
            if resetButton then
                SetFloat("savegame.mod.lighs.blinkers", def.lighs.blinkers)
                SetFloat("savegame.mod.lighs.headlight", def.lighs.headlight)
                SetFloat("savegame.mod.lighs.highbeam", def.lighs.highbeam)
                SetFloat("savegame.mod.lighs.foglamp", def.lighs.foglamp)

                SetFloat("savegame.mod.sound.horn", def.sound.horn)  
            end
        UiPop()



		else
			UiText("Press M to configure")
            SetBool("game.disablepause", false)
            SetBool("game.disablemap", false)
		end
	end
end

    



