local slW = 400
local slMul = slW/100

local lim = {
    lighs = {
        blinkers = 100/4,
        headlight = 100/25,
        highbeam = 100/100,
        foglamp = 100/40,

    },
    emlights = {
        front = 100/100,
        back = 100/100,
        top = 100/100,
        left = 100/100,
        right = 100/100,
    },
    siren = {
        s1 = 100/2,
        s2 = 100/2,
        s3 = 100/2,
        horn = 100/2,

    }
}

local def = { 
    lighs = {
        blinkers = 0.6,
        headlight = 10,
        highbeam = 100,
        foglamp = 20,
    },
    emlights = {
        front = 1,
        back = 2,
        top = 5,
        left = 2,
        right = 2,
    },
    siren = {
        s1 = 1.2,
        s2 = 0.4,
        s3 = 0.4,
        horn = 0.8,
    }
}


function sfn(numberToFormat, dec)
    local s = (tostring(dec or 2))
    return string.format("%."..s.."f", numberToFormat)
end

function init()
    shapes = setmetatable({},{
        __index = function(t, k)
            local shape = FindShape(k)
            rawset(t, k, shape)
            return shape
        end
    })

    lights = setmetatable({},{
        __index = function(m, n)
            local light = FindLight(n)
            rawset(m, n, light)
            return light
        end
    })

	local vehicle = FindVehicle("ambulancia")

    snd = LoadSound("MOD/snd/click.ogg")
	loop = LoadLoop("MOD/snd/ambulance.ogg")
	loop2 = LoadLoop("MOD/snd/ambulance2.ogg")
	loop3 = LoadLoop("MOD/snd/ambulance3.ogg")
    loop4 = LoadLoop("MOD/snd/ambulancehorn.ogg")
    frame = math.random(0, 60)
    
    lightOn = false
    mlo = false
    hlo = false
    note = false
    tl = false
    tr = false
    warning = false
    flash = false
    temp = false
    adt = false
    elight = false
    elight2 = false
    siren = false
    siren2 = false
    di = 0
    es = 0
    fa1 = 0 
    fa2 = 0
    fa3 = 0 
    fa4 = 0
    am1 = 0
    am2 = 0
    am3 = 0
    am4 = 0
    am5 = 0
    am6 = 0
    am7 = 0
    am8 = 0
    am9 = 0
end

function tick(dt)
    
    SetShapeCollisionFilter(shapes.trunk, 2, 255-2)
    SetShapeCollisionFilter(shapes.trunk2, 2, 255-2)

    if not GetBool("savegame.mod.lightdefalta") then
        SetFloat("savegame.mod.lighs.blinkers", def.lighs.blinkers)
        SetFloat("savegame.mod.lighs.headlight", def.lighs.headlight)
        SetFloat("savegame.mod.lighs.highbeam", def.lighs.highbeam)
        SetFloat("savegame.mod.lighs.foglamp", def.lighs.foglamp)

        SetFloat("savegame.mod.emlights.front", def.emlights.front)
        SetFloat("savegame.mod.emlights.back", def.emlights.back)  
        SetFloat("savegame.mod.emlights.top", def.emlights.top)
        SetFloat("savegame.mod.emlights.left", def.emlights.left)  
        SetFloat("savegame.mod.emlights.right", def.emlights.right)  

        SetFloat("savegame.mod.asiren.s1", def.siren.s1)
        SetFloat("savegame.mod.asiren.s2", def.siren.s2)  
        SetFloat("savegame.mod.asiren.s3", def.siren.s3)
        SetFloat("savegame.mod.asiren.horn", def.siren.horn)  

        SetBool("savegame.mod.aq1")  
        SetBool("savegame.mod.aw1", true)  
        SetBool("savegame.mod.ae1")  
        SetBool("savegame.mod.ar1")  
        SetBool("savegame.mod.at1", true)  
        SetBool("savegame.mod.ay1")  
        SetBool("savegame.mod.au1", true)  
        SetBool("savegame.mod.ai1")  
        SetBool("savegame.mod.ao1")  
        SetBool("savegame.mod.ap1") 
        SetBool("savegame.mod.aa1") 
        SetBool("savegame.mod.as1") 
        SetBool("savegame.mod.ad1") 
        SetBool("savegame.mod.af1")  
        SetBool("savegame.mod.ag1", true)  
        SetBool("savegame.mod.ah1", true)  
        SetBool("savegame.mod.aj1")  
        SetBool("savegame.mod.ak1")  
        SetBool("savegame.mod.al1")  
        SetBool("savegame.mod.az1", true)  
        SetBool("savegame.mod.ax1")  
        SetBool("savegame.mod.ac1")  
        SetBool("savegame.mod.av1")  
        SetBool("savegame.mod.ab1", true) 
        SetBool("savegame.mod.an1")  
        SetBool("savegame.mod.am1")  
        SetBool("savegame.mod.a1q1")  
        SetBool("savegame.mod.a1w1")  
        SetBool("savegame.mod.a1e1")  
        SetBool("savegame.mod.a1r1") 
        SetBool("savegame.mod.a1t1")  
        SetBool("savegame.mod.a1y1", true)  
        SetBool("savegame.mod.a1u1")  
        SetBool("savegame.mod.a1i1", true)  
        SetBool("savegame.mod.a1o1", true)  
        SetBool("savegame.mod.a1p1")
        SetBool("savegame.mod.aq2")  
        SetBool("savegame.mod.aw2")  
        SetBool("savegame.mod.ae2", true)  
        SetBool("savegame.mod.ar2")  
        SetBool("savegame.mod.at2", true)  
        SetBool("savegame.mod.ay2")  
        SetBool("savegame.mod.au2", true)  
        SetBool("savegame.mod.ai2", true)  
        SetBool("savegame.mod.ao2")  
        SetBool("savegame.mod.ap2") 
        SetBool("savegame.mod.aa2") 
        SetBool("savegame.mod.as2") 
        SetBool("savegame.mod.ad2") 
        SetBool("savegame.mod.af2", true)  
        SetBool("savegame.mod.ag2", true)  
        SetBool("savegame.mod.ah2", true)  
        SetBool("savegame.mod.aj2", true)  
        SetBool("savegame.mod.ak2")  
        SetBool("savegame.mod.al2")  
        SetBool("savegame.mod.az2", true)  
        SetBool("savegame.mod.ax2", true)  
        SetBool("savegame.mod.ac2")  
        SetBool("savegame.mod.av2")  
        SetBool("savegame.mod.ab2", true) 
        SetBool("savegame.mod.an2", true)  
        SetBool("savegame.mod.am2")  
        SetBool("savegame.mod.a1q2")  
        SetBool("savegame.mod.a1w2")  
        SetBool("savegame.mod.a1e2")  
        SetBool("savegame.mod.a1r2") 
        SetBool("savegame.mod.a1t2", true)  
        SetBool("savegame.mod.a1y2", true)  
        SetBool("savegame.mod.a1u2")  
        SetBool("savegame.mod.a1i2", true)  
        SetBool("savegame.mod.a1o2")  
        SetBool("savegame.mod.a1p2") 
        SetBool("savegame.mod.aq3")  
        SetBool("savegame.mod.aw3", true)  
        SetBool("savegame.mod.ae3", true)  
        SetBool("savegame.mod.ar3", true)  
        SetBool("savegame.mod.at3")  
        SetBool("savegame.mod.ay3")  
        SetBool("savegame.mod.au3")  
        SetBool("savegame.mod.ai3", true)  
        SetBool("savegame.mod.ao3", true)  
        SetBool("savegame.mod.ap3") 
        SetBool("savegame.mod.aa3") 
        SetBool("savegame.mod.as3") 
        SetBool("savegame.mod.ad3", true) 
        SetBool("savegame.mod.af3", true)  
        SetBool("savegame.mod.ag3")  
        SetBool("savegame.mod.ah3")  
        SetBool("savegame.mod.aj3", true)  
        SetBool("savegame.mod.ak3", true)  
        SetBool("savegame.mod.al3")  
        SetBool("savegame.mod.az3")  
        SetBool("savegame.mod.ax3", true)  
        SetBool("savegame.mod.ac3", true)  
        SetBool("savegame.mod.av3")  
        SetBool("savegame.mod.ab3") 
        SetBool("savegame.mod.an3", true)  
        SetBool("savegame.mod.am3", true)  
        SetBool("savegame.mod.a1q3")  
        SetBool("savegame.mod.a1w3")  
        SetBool("savegame.mod.a1e3")  
        SetBool("savegame.mod.a1r3", true) 
        SetBool("savegame.mod.a1t3", true)  
        SetBool("savegame.mod.a1y3")  
        SetBool("savegame.mod.a1u3", true)  
        SetBool("savegame.mod.a1i3")  
        SetBool("savegame.mod.a1o3", true)  
        SetBool("savegame.mod.a1p3") 
        SetBool("savegame.mod.aq4")  
        SetBool("savegame.mod.aw4", true)  
        SetBool("savegame.mod.ae4")  
        SetBool("savegame.mod.ar4", true)  
        SetBool("savegame.mod.at4")  
        SetBool("savegame.mod.ay4", true)  
        SetBool("savegame.mod.au4")  
        SetBool("savegame.mod.ai4")  
        SetBool("savegame.mod.ao4", true)  
        SetBool("savegame.mod.ap4", true) 
        SetBool("savegame.mod.aa4") 
        SetBool("savegame.mod.as4", true) 
        SetBool("savegame.mod.ad4", true) 
        SetBool("savegame.mod.af4")  
        SetBool("savegame.mod.ag4")  
        SetBool("savegame.mod.ah4")  
        SetBool("savegame.mod.aj4")  
        SetBool("savegame.mod.ak4", true)  
        SetBool("savegame.mod.al4", true)  
        SetBool("savegame.mod.az4")  
        SetBool("savegame.mod.ax4")  
        SetBool("savegame.mod.ac4", true)  
        SetBool("savegame.mod.av4", true)  
        SetBool("savegame.mod.ab4") 
        SetBool("savegame.mod.an4")  
        SetBool("savegame.mod.am4", true)  
        SetBool("savegame.mod.a1q4", true)  
        SetBool("savegame.mod.a1w4")  
        SetBool("savegame.mod.a1e4", true)  
        SetBool("savegame.mod.a1r4", true) 
        SetBool("savegame.mod.a1t4")  
        SetBool("savegame.mod.a1y4")  
        SetBool("savegame.mod.a1u4", true)  
        SetBool("savegame.mod.a1i4")  
        SetBool("savegame.mod.a1o4", true)  
        SetBool("savegame.mod.a1p4") 
        SetBool("savegame.mod.aq5")  
        SetBool("savegame.mod.aw5", true)  
        SetBool("savegame.mod.ae5")  
        SetBool("savegame.mod.ar5")  
        SetBool("savegame.mod.at5")  
        SetBool("savegame.mod.ay5", true)  
        SetBool("savegame.mod.au5")  
        SetBool("savegame.mod.ai5")  
        SetBool("savegame.mod.ao5")  
        SetBool("savegame.mod.ap5", true) 
        SetBool("savegame.mod.aa5", true) 
        SetBool("savegame.mod.as5", true) 
        SetBool("savegame.mod.ad5") 
        SetBool("savegame.mod.af5")  
        SetBool("savegame.mod.ag5")  
        SetBool("savegame.mod.ah5")  
        SetBool("savegame.mod.aj5")  
        SetBool("savegame.mod.ak5")  
        SetBool("savegame.mod.al5", true)  
        SetBool("savegame.mod.az5")  
        SetBool("savegame.mod.ax5")  
        SetBool("savegame.mod.ac5")  
        SetBool("savegame.mod.av5", true)  
        SetBool("savegame.mod.ab5") 
        SetBool("savegame.mod.an5")  
        SetBool("savegame.mod.am5")  
        SetBool("savegame.mod.a1q5", true)  
        SetBool("savegame.mod.a1w5", true)  
        SetBool("savegame.mod.a1e5", true)  
        SetBool("savegame.mod.a1r5") 
        SetBool("savegame.mod.a1t5")  
        SetBool("savegame.mod.a1y5")  
        SetBool("savegame.mod.a1u5")  
        SetBool("savegame.mod.a1i5", true)  
        SetBool("savegame.mod.a1o5", true)  
        SetBool("savegame.mod.a1p5") 
        SetBool("savegame.mod.aq6")  
        SetBool("savegame.mod.aw6")  
        SetBool("savegame.mod.ae6")  
        SetBool("savegame.mod.ar6")  
        SetBool("savegame.mod.at6")  
        SetBool("savegame.mod.ay6")  
        SetBool("savegame.mod.au6")  
        SetBool("savegame.mod.ai6")  
        SetBool("savegame.mod.ao6")  
        SetBool("savegame.mod.ap6") 
        SetBool("savegame.mod.aa6", true) 
        SetBool("savegame.mod.as6") 
        SetBool("savegame.mod.ad6") 
        SetBool("savegame.mod.af6")  
        SetBool("savegame.mod.ag6")  
        SetBool("savegame.mod.ah6")  
        SetBool("savegame.mod.aj6")  
        SetBool("savegame.mod.ak6")  
        SetBool("savegame.mod.al6")  
        SetBool("savegame.mod.az6")  
        SetBool("savegame.mod.ax6")  
        SetBool("savegame.mod.ac6")  
        SetBool("savegame.mod.av6")  
        SetBool("savegame.mod.ab6") 
        SetBool("savegame.mod.an6")  
        SetBool("savegame.mod.am6")  
        SetBool("savegame.mod.a1q6")  
        SetBool("savegame.mod.a1w6", true)  
        SetBool("savegame.mod.a1e6")  
        SetBool("savegame.mod.a1r6") 
        SetBool("savegame.mod.a1t6")  
        SetBool("savegame.mod.a1y6")  
        SetBool("savegame.mod.a1u6")  
        SetBool("savegame.mod.a1i6", true)  
        SetBool("savegame.mod.a1o6")  
        SetBool("savegame.mod.a1p6")   
        SetBool("savegame.mod.aq7", true)  
        SetBool("savegame.mod.aw7")  
        SetBool("savegame.mod.ae7")  
        SetBool("savegame.mod.ar7")  
        SetBool("savegame.mod.at7")  
        SetBool("savegame.mod.ay7", true)  
        SetBool("savegame.mod.au7")  
        SetBool("savegame.mod.ai7")  
        SetBool("savegame.mod.ao7")  
        SetBool("savegame.mod.ap7", true) 
        SetBool("savegame.mod.aa7", true) 
        SetBool("savegame.mod.as7", true) 
        SetBool("savegame.mod.ad7") 
        SetBool("savegame.mod.af7")  
        SetBool("savegame.mod.ag7")  
        SetBool("savegame.mod.ah7")  
        SetBool("savegame.mod.aj7")  
        SetBool("savegame.mod.ak7")  
        SetBool("savegame.mod.al7", true)  
        SetBool("savegame.mod.az7")  
        SetBool("savegame.mod.ax7")  
        SetBool("savegame.mod.ac7")  
        SetBool("savegame.mod.av7", true)  
        SetBool("savegame.mod.ab7") 
        SetBool("savegame.mod.an7")  
        SetBool("savegame.mod.am7")  
        SetBool("savegame.mod.a1q7", true)  
        SetBool("savegame.mod.a1w7", true)  
        SetBool("savegame.mod.a1e7", true)  
        SetBool("savegame.mod.a1r7") 
        SetBool("savegame.mod.a1t7")  
        SetBool("savegame.mod.a1y7")  
        SetBool("savegame.mod.a1u7", true)  
        SetBool("savegame.mod.a1i7")  
        SetBool("savegame.mod.a1o7")  
        SetBool("savegame.mod.a1p7", true) 
        SetBool("savegame.mod.aq8")  
        SetBool("savegame.mod.aw8")  
        SetBool("savegame.mod.ae8")  
        SetBool("savegame.mod.ar8", true)  
        SetBool("savegame.mod.at8")  
        SetBool("savegame.mod.ay8", true)  
        SetBool("savegame.mod.au8")  
        SetBool("savegame.mod.ai8")  
        SetBool("savegame.mod.ao8", true)  
        SetBool("savegame.mod.ap8", true) 
        SetBool("savegame.mod.aa8") 
        SetBool("savegame.mod.as8", true) 
        SetBool("savegame.mod.ad8", true) 
        SetBool("savegame.mod.af8")  
        SetBool("savegame.mod.ag8")  
        SetBool("savegame.mod.ah8")  
        SetBool("savegame.mod.aj8")  
        SetBool("savegame.mod.ak8", true)  
        SetBool("savegame.mod.al8", true)  
        SetBool("savegame.mod.az8")  
        SetBool("savegame.mod.ax8")  
        SetBool("savegame.mod.ac8", true)  
        SetBool("savegame.mod.av8", true)  
        SetBool("savegame.mod.ab8") 
        SetBool("savegame.mod.an8")  
        SetBool("savegame.mod.am8", true)  
        SetBool("savegame.mod.a1q8", true)  
        SetBool("savegame.mod.a1w8")  
        SetBool("savegame.mod.a1e8", true)  
        SetBool("savegame.mod.a1r8", true) 
        SetBool("savegame.mod.a1t8")  
        SetBool("savegame.mod.a1y8")  
        SetBool("savegame.mod.a1u8", true)  
        SetBool("savegame.mod.a1i8")  
        SetBool("savegame.mod.a1o8")  
        SetBool("savegame.mod.a1p8") 
        SetBool("savegame.mod.aq9", true)  
        SetBool("savegame.mod.aw9")  
        SetBool("savegame.mod.ae9", true)  
        SetBool("savegame.mod.ar9", true)  
        SetBool("savegame.mod.at9")  
        SetBool("savegame.mod.ay9")  
        SetBool("savegame.mod.au9")  
        SetBool("savegame.mod.ai9", true)  
        SetBool("savegame.mod.ao9", true)  
        SetBool("savegame.mod.ap9") 
        SetBool("savegame.mod.aa9") 
        SetBool("savegame.mod.as9") 
        SetBool("savegame.mod.ad9", true) 
        SetBool("savegame.mod.af9", true)  
        SetBool("savegame.mod.ag9")  
        SetBool("savegame.mod.ah9")  
        SetBool("savegame.mod.aj9", true)  
        SetBool("savegame.mod.ak9", true)  
        SetBool("savegame.mod.al9")  
        SetBool("savegame.mod.az9")  
        SetBool("savegame.mod.ax9", true)  
        SetBool("savegame.mod.ac9", true)  
        SetBool("savegame.mod.av9")  
        SetBool("savegame.mod.ab9") 
        SetBool("savegame.mod.an9", true)  
        SetBool("savegame.mod.am9", true)  
        SetBool("savegame.mod.a1q9")  
        SetBool("savegame.mod.a1w9")  
        SetBool("savegame.mod.a1e9")  
        SetBool("savegame.mod.a1r9", true) 
        SetBool("savegame.mod.a1t9", true)  
        SetBool("savegame.mod.a1y9")  
        SetBool("savegame.mod.a1u9")  
        SetBool("savegame.mod.a1i9", true)  
        SetBool("savegame.mod.a1o9")  
        SetBool("savegame.mod.a1p9", true)  
        SetBool("savegame.mod.aq10", true)  
        SetBool("savegame.mod.aw10")  
        SetBool("savegame.mod.ae10", true)  
        SetBool("savegame.mod.ar10")  
        SetBool("savegame.mod.at10", true)  
        SetBool("savegame.mod.ay10")  
        SetBool("savegame.mod.au10", true)  
        SetBool("savegame.mod.ai10", true)  
        SetBool("savegame.mod.ao10")  
        SetBool("savegame.mod.ap10") 
        SetBool("savegame.mod.aa10") 
        SetBool("savegame.mod.as10") 
        SetBool("savegame.mod.ad10") 
        SetBool("savegame.mod.af10", true)  
        SetBool("savegame.mod.ag10", true)  
        SetBool("savegame.mod.ah10", true)  
        SetBool("savegame.mod.aj10", true)  
        SetBool("savegame.mod.ak10")  
        SetBool("savegame.mod.al10")  
        SetBool("savegame.mod.az10", true)  
        SetBool("savegame.mod.ax10", true)  
        SetBool("savegame.mod.ac10")  
        SetBool("savegame.mod.av10")  
        SetBool("savegame.mod.ab10", true) 
        SetBool("savegame.mod.an10", true)  
        SetBool("savegame.mod.am10")  
        SetBool("savegame.mod.a1q10")  
        SetBool("savegame.mod.a1w10")  
        SetBool("savegame.mod.a1e10")  
        SetBool("savegame.mod.a1r10") 
        SetBool("savegame.mod.a1t10", true)  
        SetBool("savegame.mod.a1y10", true)  
        SetBool("savegame.mod.a1u10")  
        SetBool("savegame.mod.a1i10", true)  
        SetBool("savegame.mod.a1o10")  
        SetBool("savegame.mod.a1p10", true)  
        SetBool("savegame.mod.aq11", true)  
        SetBool("savegame.mod.aw11")  
        SetBool("savegame.mod.ae11")  
        SetBool("savegame.mod.ar11")  
        SetBool("savegame.mod.at11", true)  
        SetBool("savegame.mod.ay11")  
        SetBool("savegame.mod.au11", true)  
        SetBool("savegame.mod.ai11")  
        SetBool("savegame.mod.ao11")  
        SetBool("savegame.mod.ap11") 
        SetBool("savegame.mod.aa11") 
        SetBool("savegame.mod.as11") 
        SetBool("savegame.mod.ad11") 
        SetBool("savegame.mod.af11")  
        SetBool("savegame.mod.ag11", true)  
        SetBool("savegame.mod.ah11", true)  
        SetBool("savegame.mod.aj11")  
        SetBool("savegame.mod.ak11")  
        SetBool("savegame.mod.al11")  
        SetBool("savegame.mod.az11", true)  
        SetBool("savegame.mod.ax11")  
        SetBool("savegame.mod.ac11")  
        SetBool("savegame.mod.av11")  
        SetBool("savegame.mod.ab11", true) 
        SetBool("savegame.mod.an11")  
        SetBool("savegame.mod.am11")  
        SetBool("savegame.mod.a1q11")  
        SetBool("savegame.mod.a1w11")  
        SetBool("savegame.mod.a1e11")  
        SetBool("savegame.mod.a1r11") 
        SetBool("savegame.mod.a1t11")  
        SetBool("savegame.mod.a1y11", true)  
        SetBool("savegame.mod.a1u11", true)  
        SetBool("savegame.mod.a1i11")  
        SetBool("savegame.mod.a1o11")  
        SetBool("savegame.mod.a1p11", true)   
        SetBool("savegame.mod.aq12")  
        SetBool("savegame.mod.aw12")  
        SetBool("savegame.mod.ae12")  
        SetBool("savegame.mod.ar12")  
        SetBool("savegame.mod.at12")  
        SetBool("savegame.mod.ay12")  
        SetBool("savegame.mod.au12")  
        SetBool("savegame.mod.ai12")  
        SetBool("savegame.mod.ao12")  
        SetBool("savegame.mod.ap12") 
        SetBool("savegame.mod.aa12") 
        SetBool("savegame.mod.as12") 
        SetBool("savegame.mod.ad12") 
        SetBool("savegame.mod.af12")  
        SetBool("savegame.mod.ag12")  
        SetBool("savegame.mod.ah12")  
        SetBool("savegame.mod.aj12")  
        SetBool("savegame.mod.ak12")  
        SetBool("savegame.mod.al12")  
        SetBool("savegame.mod.az12")  
        SetBool("savegame.mod.ax12")  
        SetBool("savegame.mod.ac12")  
        SetBool("savegame.mod.av12")  
        SetBool("savegame.mod.ab12") 
        SetBool("savegame.mod.an12")  
        SetBool("savegame.mod.am12")  
        SetBool("savegame.mod.a1q12")  
        SetBool("savegame.mod.a1w12")  
        SetBool("savegame.mod.a1e12")  
        SetBool("savegame.mod.a1r12") 
        SetBool("savegame.mod.a1t12")  
        SetBool("savegame.mod.a1y12")  
        SetBool("savegame.mod.a1u12", true)  
        SetBool("savegame.mod.a1i12")  
        SetBool("savegame.mod.a1o12")  
        SetBool("savegame.mod.a1p12") 
        SetBool("savegame.mod.aq13")  
        SetBool("savegame.mod.aw13")  
        SetBool("savegame.mod.ae13")  
        SetBool("savegame.mod.ar13")  
        SetBool("savegame.mod.at13")  
        SetBool("savegame.mod.ay13")  
        SetBool("savegame.mod.au13")  
        SetBool("savegame.mod.ai13")  
        SetBool("savegame.mod.ao13")  
        SetBool("savegame.mod.ap13") 
        SetBool("savegame.mod.aa13") 
        SetBool("savegame.mod.as13") 
        SetBool("savegame.mod.ad13") 
        SetBool("savegame.mod.af13")  
        SetBool("savegame.mod.ag13")  
        SetBool("savegame.mod.ah13")  
        SetBool("savegame.mod.aj13")  
        SetBool("savegame.mod.ak13")  
        SetBool("savegame.mod.al13")  
        SetBool("savegame.mod.az13")  
        SetBool("savegame.mod.ax13")  
        SetBool("savegame.mod.ac13")  
        SetBool("savegame.mod.av13")  
        SetBool("savegame.mod.ab13") 
        SetBool("savegame.mod.an13")  
        SetBool("savegame.mod.am13")  
        SetBool("savegame.mod.a1q13")  
        SetBool("savegame.mod.a1w13")  
        SetBool("savegame.mod.a1e13")  
        SetBool("savegame.mod.a1r13") 
        SetBool("savegame.mod.a1t13")  
        SetBool("savegame.mod.a1y13")  
        SetBool("savegame.mod.a1u13", true)  
        SetBool("savegame.mod.a1i13")  
        SetBool("savegame.mod.a1o13")  
        SetBool("savegame.mod.a1p13") 
        SetBool("savegame.mod.lightdefalta", not GetBool("savegame.mod.lightdefalta"))  
    end


	lightrigger = FindTrigger("lighttrigger")
		v = FindVehicle("ambu")
	local t = Transform(GetVehicleTransform(v).pos, Vec(0,1,0))
	SetTriggerTransform(lightrigger, t)


if IsPointInTrigger(lightrigger, GetPlayerPos()) then
    inside = true
    if GetBool("game.player.useVehicle") and InputPressed("j") then
        mlo = not mlo
    end

    if GetBool("game.player.useVehicle") and InputPressed("k") then
        hlo = not hlo
    end


    if GetBool("game.player.useVehicle") and InputPressed(",") then
        tl = not tl
        tr = false
        warning = false
        to = GetTime()
    end

    if GetBool("game.player.useVehicle") and InputPressed(".") then
        tr = not tr
        tl = false
        warning = false
        to = GetTime()
    end

    if GetBool("game.player.useVehicle") and InputPressed("u") then
        warning = not warning
        tl = false
        tr = false
        to = GetTime()
    end



    if GetBool("game.player.useVehicle") and InputDown("l") then
        flash = true
    else
        flash = false
    end


    if GetBool("game.player.useVehicle") and InputDown("g") and not sirent1 and not sirent2 and not sirent3 then
	PlayLoop(loop4,GetVehicleTransform(v).pos, GetFloat("savegame.mod.asiren.horn"))
    end

    if GetBool("game.player.useVehicle") and InputDown("g") and sirent1 and not sirent2 and not sirent3 then
        PlayLoop(loop4,GetVehicleTransform(v).pos, GetFloat("savegame.mod.asiren.horn"))
        siren = false
    else if sirent1 and not sirent2 and not sirent3 then
        siren = true
        end
    end

    if GetBool("game.player.useVehicle") and InputDown("g") and not sirent1 and sirent2 and not sirent3 then
        PlayLoop(loop4,GetVehicleTransform(v).pos, GetFloat("savegame.mod.asiren.horn"))
        siren2 = false
    else if not sirent1 and sirent2 and not sirent3 then
        siren2 = true
        end
    end

    if GetBool("game.player.useVehicle") and InputDown("g") and not sirent1 and not sirent2 and sirent3 then
        PlayLoop(loop4,GetVehicleTransform(v).pos, GetFloat("savegame.mod.asiren.horn"))
        siren3 = false
    else if not sirent1 and not sirent2 and sirent3 then
        siren3 = true
        end
    end
    if GetBool("game.player.useVehicle") and InputPressed("i") then
        elight = not elight
        elight2 = false
        elight3 = false
    end
    if GetBool("game.player.useVehicle") and InputPressed("o") then
        elight2 = not elight2
        elight = false
        elight3 = false
    end
    if GetBool("game.player.useVehicle") and InputPressed("y") then
        elight3 = not elight3
        elight = false
        elight2 = false
    end
    if GetBool("game.player.useVehicle") and InputPressed("1") then
        siren = not siren
        sirent1 = not sirent1
        sirent2 = false
        sirent3 = false
        siren2 = false
        siren3 = false
    end
    if GetBool("game.player.useVehicle") and InputPressed("2") then
        siren2 = not siren2
        sirent2 = not sirent2
        sirent1 = false
        sirent3 = false
        siren = false
        siren3 = false
	end

if GetBool("game.player.useVehicle") and InputPressed("3") then
    siren3 = not siren3
    sirent3 = not sirent3
    sirent1 = false
    sirent2 = false
    siren = false
    siren2 = false
    end


if not elight and not elight2 and not elight3 and InputPressed("y") then
    siren = false
    sirent1 = false
    sirent2 = false
    sirent3 = false
    siren2 = false
    siren3 = false
end

if not elight and not elight2 and not elight3 and InputPressed("i") then
    siren = false
    sirent1 = false
    sirent2 = false
    sirent3 = false
    siren2 = false
    siren3 = false
end

if not elight and not elight2 and not elight3 and InputPressed("o") then
    siren = false
    sirent1 = false
    sirent2 = false
    sirent3 = false
    siren2 = false
    siren3 = false
end
else
    inside = false
end


	if siren then
	PlayLoop(loop,GetVehicleTransform(v).pos,  GetFloat("savegame.mod.asiren.s1"))
	else
	if siren2 then
	PlayLoop(loop2,GetVehicleTransform(v).pos, GetFloat("savegame.mod.asiren.s2"))
	end
    if siren3 then
    PlayLoop(loop3,GetVehicleTransform(v).pos, GetFloat("savegame.mod.asiren.s3"))
    end
end


    if tl or tr or warning then
        a = math.cos((GetTime()-to)*9)
        if a >= 0 then
            tli = GetFloat("savegame.mod.lighs.blinkers")
        else
            tli = 0.0001
        end



        if warning then
            SetShapeEmissiveScale(shapes.tlfl2, tli)
            SetShapeEmissiveScale(shapes.tlbl2, tli)
            SetShapeEmissiveScale(shapes.tlfr2, tli)
            SetShapeEmissiveScale(shapes.tlbr2, tli)
        SetLightIntensity(lights.tlflp2, tli)
        SetLightIntensity(lights.tlblp2, tli)
        SetLightIntensity(lights.tlfrp2, tli)
        SetLightIntensity(lights.tlbrp2, tli)



        else
            if tl then
                SetShapeEmissiveScale(shapes.tlfl2, tli)
                SetShapeEmissiveScale(shapes.tlbl2, tli)
                SetShapeEmissiveScale(shapes.tlfr2, 0)
                SetShapeEmissiveScale(shapes.tlbr2, 0)
        SetLightIntensity(lights.tlflp2, tli)
        SetLightIntensity(lights.tlblp2, tli)
        SetLightIntensity(lights.tlfrp2, 0)
        SetLightIntensity(lights.tlbrp2, 0)

            elseif tr then
                SetShapeEmissiveScale(shapes.tlfr2, tli)
                SetShapeEmissiveScale(shapes.tlbr2, tli)
                SetShapeEmissiveScale(shapes.tlfl2, 0)
                SetShapeEmissiveScale(shapes.tlbl2, 0)
        SetLightIntensity(lights.tlflp2, 0)
        SetLightIntensity(lights.tlblp2, 0)
        SetLightIntensity(lights.tlfrp2, tli)
        SetLightIntensity(lights.tlbrp2, tli)

            else
                SetShapeEmissiveScale(shapes.tlfl2, 0)
                SetShapeEmissiveScale(shapes.tlbl2, 0)
                SetShapeEmissiveScale(shapes.tlfr2, 0)
                SetShapeEmissiveScale(shapes.tlbr2, 0)
        SetLightIntensity(lights.tlflp2, 0)
        SetLightIntensity(lights.tlblp2, 0)
        SetLightIntensity(lights.tlfrp2, 0)
        SetLightIntensity(lights.tlbrp2, 0)

         end
      end
    else
        SetShapeEmissiveScale(shapes.tlfl2, 0)
        SetShapeEmissiveScale(shapes.tlbl2, 0)
        SetShapeEmissiveScale(shapes.tlfr2, 0)
        SetShapeEmissiveScale(shapes.tlbr2, 0)
        SetLightIntensity(lights.tlflp2, 0)
        SetLightIntensity(lights.tlblp2, 0)
        SetLightIntensity(lights.tlfrp2, 0)
        SetLightIntensity(lights.tlbrp2, 0)

    end
end


    function update(dt)
	frame = frame + 1
	if elight then
        local period = 60
        local t = frame%period

        --toplights
        if t == 0 then 	am1 = GetFloat("savegame.mod.emlights.top") end
        if t == 10 then am1 = 0 end
        if t == 5 then am2 = GetFloat("savegame.mod.emlights.top") end
        if t == 15 then am2 = 0 end
        if t == 10 then am3 = GetFloat("savegame.mod.emlights.top") end
        if t == 20 then am3 = 0 end
        if t == 15 then am4 = GetFloat("savegame.mod.emlights.top") end
        if t == 25 then am4 = 0 end
        if t == 20 then am5 = GetFloat("savegame.mod.emlights.top") end
        if t == 15 then am6 = GetFloat("savegame.mod.emlights.top") end
        if t == 25 then am6 = 0 end
        if t == 10 then am7 = GetFloat("savegame.mod.emlights.top") end
        if t == 20 then am7 = 0 end
        if t == 5 then am8 = GetFloat("savegame.mod.emlights.top") end
        if t == 15 then am8 = 0 end
        if t == 0 then am9 = GetFloat("savegame.mod.emlights.top") end
        if t == 10 then am9 = 0 end

        if t == 45 then am1 = GetFloat("savegame.mod.emlights.top") end
        if t == 55 then am1 = 0 end
        if t == 40 then am2 = GetFloat("savegame.mod.emlights.top") end
        if t == 50 then am2 = 0 end
        if t == 35 then am3 = GetFloat("savegame.mod.emlights.top") end
        if t == 45 then am3 = 0 end
        if t == 30 then am4 = GetFloat("savegame.mod.emlights.top") end
        if t == 40 then am4 = 0 end
        if t == 35 then am5 = 0 end
        if t == 30 then am6 = GetFloat("savegame.mod.emlights.top") end
        if t == 40 then am6 = 0 end
        if t == 35 then am7 = GetFloat("savegame.mod.emlights.top") end
        if t == 45 then am7 = 0 end
        if t == 40 then am8 = GetFloat("savegame.mod.emlights.top") end
        if t == 50 then am8 = 0 end
        if t == 45 then am9 = GetFloat("savegame.mod.emlights.top") end
        if t == 55 then am9 = 0 end


        --Red
        if t == 0 then 	es = GetFloat("savegame.mod.emlights.front") 	end
        if t == 15 then es = 0	end
        if t == 30 then es = GetFloat("savegame.mod.emlights.front")	end
        if t == 45 then es = 0	end

        --Blue
        if t == 15 then di = GetFloat("savegame.mod.emlights.front") 	end
        if t == 30 then di = 0	end
        if t == 45 then di = GetFloat("savegame.mod.emlights.front") 	end
        if t == 59 then di = 0	end


        --farol
        if t == 0 then 	fa1 = GetFloat("savegame.mod.lighs.headlight") end
        if t == 15 then fa1 = 0 end
        if t == 30 then fa1 = GetFloat("savegame.mod.lighs.headlight") end
        if t == 45 then fa1 = 0 end

        if t == 15 then fa2 = GetFloat("savegame.mod.lighs.headlight") end
        if t == 30 then fa2 = 0	end
        if t == 45 then fa2 = GetFloat("savegame.mod.lighs.headlight") end
        if t == 59 then fa2 = 0	end

        --farol luz
        if t == 0 then 	fa3 = GetFloat("savegame.mod.lighs.headlight") end
        if t == 15 then fa3 = 0 end
        if t == 30 then fa3 = GetFloat("savegame.mod.lighs.headlight") end
        if t == 45 then fa3 = 0 end

        if t == 15 then fa4 = GetFloat("savegame.mod.lighs.headlight") end
        if t == 30 then fa4 = 0	end
        if t == 45 then fa4 = GetFloat("savegame.mod.lighs.headlight") end
        if t == 59 then fa4 = 0	end

        if t == 0 then 	fa5 = GetFloat("savegame.mod.lighs.headlight")/35 end
        if t == 15 then fa5 = 0 end
        if t == 30 then fa5 = GetFloat("savegame.mod.lighs.headlight")/35 end
        if t == 45 then fa5 = 0 end

        if t == 15 then fa6 = GetFloat("savegame.mod.lighs.headlight")/35 end
        if t == 30 then fa6 = 0	end
        if t == 45 then fa6 = GetFloat("savegame.mod.lighs.headlight")/35 end
        if t == 59 then fa6 = 0	end




SetShapeEmissiveScale(shapes.ab1, am1)
SetShapeEmissiveScale(shapes.ab2, am2)
SetShapeEmissiveScale(shapes.ab3, am3)
SetShapeEmissiveScale(shapes.ab4, am4)
SetShapeEmissiveScale(shapes.ab5, am5)
SetShapeEmissiveScale(shapes.ab6, am6)
SetShapeEmissiveScale(shapes.ab7, am7)
SetShapeEmissiveScale(shapes.ab8, am8)
SetShapeEmissiveScale(shapes.ab9, am9)
SetShapeEmissiveScale(shapes.ab10, am1)
SetShapeEmissiveScale(shapes.ab11, am2)
SetShapeEmissiveScale(shapes.ab12, am3)
SetShapeEmissiveScale(shapes.ab13, am4)
SetShapeEmissiveScale(shapes.ab14, am5)
SetShapeEmissiveScale(shapes.ab15, am6)
SetShapeEmissiveScale(shapes.ab16, am7)
SetShapeEmissiveScale(shapes.ab17, am8)
SetShapeEmissiveScale(shapes.ab18, am9)

SetLightIntensity(lights.ab1, am1)
SetLightIntensity(lights.ab2, am2)
SetLightIntensity(lights.ab3, am3)
SetLightIntensity(lights.ab4, am4)
SetLightIntensity(lights.ab5, am5)
SetLightIntensity(lights.ab6, am6)
SetLightIntensity(lights.ab7, am7)
SetLightIntensity(lights.ab8, am8)
SetLightIntensity(lights.ab9, am9)
SetLightIntensity(lights.ab10, am1)
SetLightIntensity(lights.ab11, am2)
SetLightIntensity(lights.ab12, am3)
SetLightIntensity(lights.ab13, am4)
SetLightIntensity(lights.ab14, am5)
SetLightIntensity(lights.ab15, am6)
SetLightIntensity(lights.ab16, am7)
SetLightIntensity(lights.ab17, am8)
SetLightIntensity(lights.ab18, am9)

SetShapeEmissiveScale(shapes.td, di)
SetShapeEmissiveScale(shapes.te, es)
SetShapeEmissiveScale(shapes.rtd, di)
SetShapeEmissiveScale(shapes.rtd2, es)
SetShapeEmissiveScale(shapes.rtd3, es)
SetShapeEmissiveScale(shapes.rtd4, di)
SetShapeEmissiveScale(shapes.rte, di)
SetShapeEmissiveScale(shapes.rte2, es)
SetShapeEmissiveScale(shapes.rte3, es)
SetShapeEmissiveScale(shapes.rte4, di)
SetShapeEmissiveScale(shapes.fd, di)
SetShapeEmissiveScale(shapes.fe, es)
SetShapeEmissiveScale(shapes.fd2, di)
SetShapeEmissiveScale(shapes.fe2, es)

SetLightIntensity(lights.td, di)
SetLightIntensity(lights.te, es)
SetLightIntensity(lights.rtd, di)
SetLightIntensity(lights.rtd2, es)
SetLightIntensity(lights.rtd3, es)
SetLightIntensity(lights.rtd4, di)
SetLightIntensity(lights.rte, di)
SetLightIntensity(lights.rte2, es)
SetLightIntensity(lights.rte3, es)
SetLightIntensity(lights.rte4, di)
SetLightIntensity(lights.fd, di)
SetLightIntensity(lights.fe, es)
SetLightIntensity(lights.fd2, di)
SetLightIntensity(lights.fe2, es)
SetShapeEmissiveScale(shapes.lflm2, fa1)
SetLightIntensity(lights.lflml2, fa3)
SetShapeEmissiveScale(shapes.lfrm2, fa2)
SetLightIntensity(lights.lflmr2, fa4)
SetShapeEmissiveScale(shapes.lflmt2, fa1)
SetLightIntensity(lights.lflmlt2, fa5)
SetShapeEmissiveScale(shapes.lfrmt2, fa2)
SetLightIntensity(lights.lfrmrt2, fa6)

else

SetShapeEmissiveScale(shapes.ab1, 0)
SetShapeEmissiveScale(shapes.ab2, 0)
SetShapeEmissiveScale(shapes.ab3, 0)
SetShapeEmissiveScale(shapes.ab4, 0)
SetShapeEmissiveScale(shapes.ab5, 0)
SetShapeEmissiveScale(shapes.ab6, 0)
SetShapeEmissiveScale(shapes.ab7, 0)
SetShapeEmissiveScale(shapes.ab8, 0)
SetShapeEmissiveScale(shapes.ab9, 0)
SetShapeEmissiveScale(shapes.ab10, 0)
SetShapeEmissiveScale(shapes.ab11, 0)
SetShapeEmissiveScale(shapes.ab12, 0)
SetShapeEmissiveScale(shapes.ab13, 0)
SetShapeEmissiveScale(shapes.ab14, 0)
SetShapeEmissiveScale(shapes.ab15, 0)
SetShapeEmissiveScale(shapes.ab16, 0)
SetShapeEmissiveScale(shapes.ab17, 0)
SetShapeEmissiveScale(shapes.ab18, 0)
SetShapeEmissiveScale(shapes.td, 0)
SetShapeEmissiveScale(shapes.te, 0)
SetShapeEmissiveScale(shapes.rtd, 0)
SetShapeEmissiveScale(shapes.rtd2, 0)
SetShapeEmissiveScale(shapes.rtd3, 0)
SetShapeEmissiveScale(shapes.rtd4, 0)
SetShapeEmissiveScale(shapes.rte, 0)
SetShapeEmissiveScale(shapes.rte2, 0)
SetShapeEmissiveScale(shapes.rte3, 0)
SetShapeEmissiveScale(shapes.rte4, 0)
SetShapeEmissiveScale(shapes.fd, 0)
SetShapeEmissiveScale(shapes.fe, 0)
SetShapeEmissiveScale(shapes.fd2, 0)
SetShapeEmissiveScale(shapes.fe2, 0)

SetLightIntensity(lights.ab1, 0)
SetLightIntensity(lights.ab2, 0)
SetLightIntensity(lights.ab3, 0)
SetLightIntensity(lights.ab4, 0)
SetLightIntensity(lights.ab5, 0)
SetLightIntensity(lights.ab6, 0)
SetLightIntensity(lights.ab7, 0)
SetLightIntensity(lights.ab8, 0)
SetLightIntensity(lights.ab9, 0)
SetLightIntensity(lights.ab10, 0)
SetLightIntensity(lights.ab11, 0)
SetLightIntensity(lights.ab12, 0)
SetLightIntensity(lights.ab13, 0)
SetLightIntensity(lights.ab14, 0)
SetLightIntensity(lights.ab15, 0)
SetLightIntensity(lights.ab16, 0)
SetLightIntensity(lights.ab17, 0)
SetLightIntensity(lights.ab18, 0)
SetLightIntensity(lights.td, 0)
SetLightIntensity(lights.te, 0)
SetLightIntensity(lights.rtd, 0)
SetLightIntensity(lights.rtd2, 0)
SetLightIntensity(lights.rtd3, 0)
SetLightIntensity(lights.rtd4, 0)
SetLightIntensity(lights.rte, 0)
SetLightIntensity(lights.rte2, 0)
SetLightIntensity(lights.rte3, 0)
SetLightIntensity(lights.rte4, 0)
SetLightIntensity(lights.fd, 0)
SetLightIntensity(lights.fe, 0)
SetLightIntensity(lights.fd2, 0)
SetLightIntensity(lights.fe2, 0)

SetLightIntensity(lights.lflmr2, 0)
SetLightIntensity(lights.lflml2, 0)
SetLightIntensity(lights.lfrmr3, 0)
SetLightIntensity(lights.lfrml3, 0)
SetShapeEmissiveScale(shapes.lflm2, 0)
SetShapeEmissiveScale(shapes.lfrm2, 0)
SetShapeEmissiveScale(shapes.lfrmt2, 0)
SetShapeEmissiveScale(shapes.lflmt2, 0)
SetLightIntensity(lights.lflmlt2, 0)
SetLightIntensity(lights.lfrmrt2, 0)


end


if elight2 then
        local period = 60
        local t = frame%period
        --toplights
        if t == 0 then 	am1 = GetFloat("savegame.mod.emlights.top") end
        if t == 5 then am1 = 0 end
        if t == 10 then am1 = GetFloat("savegame.mod.emlights.top") end
        if t == 15 then am1 = 0 end
        if t == 20 then am1 = GetFloat("savegame.mod.emlights.top") end
        if t == 25 then am1 = 0 end

        if t == 5 then am2 = GetFloat("savegame.mod.emlights.top") end
        if t == 15 then am2 = 0 end
        if t == 10 then am3 = GetFloat("savegame.mod.emlights.top") end
        if t == 20 then am3 = 0 end
        if t == 40 then am2 = GetFloat("savegame.mod.emlights.top") end
        if t == 50 then am2 = 0 end
        if t == 35 then am3 = GetFloat("savegame.mod.emlights.top") end
        if t == 45 then am3 = 0 end


        if t == 30 then am4 = GetFloat("savegame.mod.emlights.top") end
        if t == 35 then am4 = 0 end
        if t == 40 then am4 = GetFloat("savegame.mod.emlights.top") end
        if t == 45 then am4 = 0 end
        if t == 50 then am4 = GetFloat("savegame.mod.emlights.top") end
        if t == 55 then am4 = 0 end

        if t == 20 then am5 = GetFloat("savegame.mod.emlights.top") end
        if t == 35 then am5 = 0 end

        if t == 30 then am6 = GetFloat("savegame.mod.emlights.top") end
        if t == 35 then am6 = 0 end
        if t == 40 then am6 = GetFloat("savegame.mod.emlights.top") end
        if t == 45 then am6 = 0 end
        if t == 50 then am6 = GetFloat("savegame.mod.emlights.top") end
        if t == 55 then am6 = 0 end

        if t == 10 then am7 = GetFloat("savegame.mod.emlights.top") end
        if t == 20 then am7 = 0 end
        if t == 5 then am8 = GetFloat("savegame.mod.emlights.top") end
        if t == 15 then am8 = 0 end
        if t == 35 then am7 = GetFloat("savegame.mod.emlights.top") end
        if t == 45 then am7 = 0 end
        if t == 40 then am8 = GetFloat("savegame.mod.emlights.top") end
        if t == 50 then am8 = 0 end

        if t == 0 then am9 = GetFloat("savegame.mod.emlights.top") end
        if t == 5 then am9 = 0 end
        if t == 10 then am9 = GetFloat("savegame.mod.emlights.top") end
        if t == 15 then am9 = 0 end
        if t == 20 then am9 = GetFloat("savegame.mod.emlights.top") end
        if t == 25 then am9 = 0 end




        --Red
        if t == 0 then 	es = GetFloat("savegame.mod.emlights.front")	end
        if t == 5 then es = 0	end
        if t == 10 then es = GetFloat("savegame.mod.emlights.front") 	end
        if t == 30 then es = 0	end

        --Blue
        if t == 30 then di = GetFloat("savegame.mod.emlights.front") 	end
        if t == 35 then di = 0	end
        if t == 40 then di = GetFloat("savegame.mod.emlights.front") 	end
        if t == 59 then di = 0	end



        --farol
        if t == 0 then 	fa1 = GetFloat("savegame.mod.lighs.headlight") end
        if t == 5 then fa1 = 0 end
        if t == 10 then fa1 = GetFloat("savegame.mod.lighs.headlight") end
        if t == 30 then fa1 = 0 end

        if t == 30 then fa2 = GetFloat("savegame.mod.lighs.headlight") end
        if t == 35 then fa2 = 0	end
        if t == 40 then fa2 = GetFloat("savegame.mod.lighs.headlight") end
        if t == 59 then fa2 = 0	end

        --farol luz
        if t == 0 then 	fa3 = GetFloat("savegame.mod.lighs.headlight") end
        if t == 5 then fa3 = 0 end
        if t == 10 then fa3 = GetFloat("savegame.mod.lighs.headlight") end
        if t == 30 then fa3 = 0 end

        if t == 30 then fa4 = GetFloat("savegame.mod.lighs.headlight") end
        if t == 35 then fa4 = 0	end
        if t == 40 then fa4 = GetFloat("savegame.mod.lighs.headlight") end
        if t == 59 then fa4 = 0	end

        if t == 0 then 	fa5 = GetFloat("savegame.mod.lighs.headlight")/35 end
        if t == 5 then fa5 = 0 end
        if t == 10 then fa5 = GetFloat("savegame.mod.lighs.headlight")/35 end
        if t == 30 then fa5 = 0 end

        if t == 30 then fa6 = GetFloat("savegame.mod.lighs.headlight")/35 end
        if t == 35 then fa6 = 0	end
        if t == 40 then fa6 = GetFloat("savegame.mod.lighs.headlight")/35 end
        if t == 59 then fa6 = 0	end



SetShapeEmissiveScale(shapes.ab1, am1)
SetShapeEmissiveScale(shapes.ab2, am2)
SetShapeEmissiveScale(shapes.ab3, am3)
SetShapeEmissiveScale(shapes.ab4, am4)
SetShapeEmissiveScale(shapes.ab5, am5)
SetShapeEmissiveScale(shapes.ab6, am6)
SetShapeEmissiveScale(shapes.ab7, am7)
SetShapeEmissiveScale(shapes.ab8, am8)
SetShapeEmissiveScale(shapes.ab9, am9)
SetShapeEmissiveScale(shapes.ab10, am1)
SetShapeEmissiveScale(shapes.ab11, am2)
SetShapeEmissiveScale(shapes.ab12, am3)
SetShapeEmissiveScale(shapes.ab13, am4)
SetShapeEmissiveScale(shapes.ab14, am5)
SetShapeEmissiveScale(shapes.ab15, am6)
SetShapeEmissiveScale(shapes.ab16, am7)
SetShapeEmissiveScale(shapes.ab17, am8)
SetShapeEmissiveScale(shapes.ab18, am9)

SetLightIntensity(lights.ab1, am1)
SetLightIntensity(lights.ab2, am2)
SetLightIntensity(lights.ab3, am3)
SetLightIntensity(lights.ab4, am4)
SetLightIntensity(lights.ab5, am5)
SetLightIntensity(lights.ab6, am6)
SetLightIntensity(lights.ab7, am7)
SetLightIntensity(lights.ab8, am8)
SetLightIntensity(lights.ab9, am9)
SetLightIntensity(lights.ab10, am1)
SetLightIntensity(lights.ab11, am2)
SetLightIntensity(lights.ab12, am3)
SetLightIntensity(lights.ab13, am4)
SetLightIntensity(lights.ab14, am5)
SetLightIntensity(lights.ab15, am6)
SetLightIntensity(lights.ab16, am7)
SetLightIntensity(lights.ab17, am8)
SetLightIntensity(lights.ab18, am9)

SetShapeEmissiveScale(shapes.td, di)
SetShapeEmissiveScale(shapes.te, es)
SetShapeEmissiveScale(shapes.rtd, di)
SetShapeEmissiveScale(shapes.rtd2, es)
SetShapeEmissiveScale(shapes.rtd3, es)
SetShapeEmissiveScale(shapes.rtd4, di)
SetShapeEmissiveScale(shapes.rte, di)
SetShapeEmissiveScale(shapes.rte2, es)
SetShapeEmissiveScale(shapes.rte3, es)
SetShapeEmissiveScale(shapes.rte4, di)
SetShapeEmissiveScale(shapes.fd, di)
SetShapeEmissiveScale(shapes.fe, es)
SetShapeEmissiveScale(shapes.fd2, di)
SetShapeEmissiveScale(shapes.fe2, es)

SetLightIntensity(lights.td, di)
SetLightIntensity(lights.te, es)
SetLightIntensity(lights.rtd, di)
SetLightIntensity(lights.rtd2, es)
SetLightIntensity(lights.rtd3, es)
SetLightIntensity(lights.rtd4, di)
SetLightIntensity(lights.rte, di)
SetLightIntensity(lights.rte2, es)
SetLightIntensity(lights.rte3, es)
SetLightIntensity(lights.rte4, di)
SetLightIntensity(lights.fd, di)
SetLightIntensity(lights.fe, es)
SetLightIntensity(lights.fd2, di)
SetLightIntensity(lights.fe2, es)
SetShapeEmissiveScale(shapes.lflm2, fa1)
SetLightIntensity(lights.lflml2, fa3)
SetShapeEmissiveScale(shapes.lfrm2, fa2)
SetLightIntensity(lights.lflmr2, fa4)
SetShapeEmissiveScale(shapes.lflmt2, fa1)
SetLightIntensity(lights.lflmlt2, fa5)
SetShapeEmissiveScale(shapes.lfrmt2, fa2)
SetLightIntensity(lights.lfrmrt2, fa6)


end

if elight3 then
    local period = 60
    local t = frame%period
    --toplights
    --1
    if t == 0  then fa1 = aqq0 end
    if t == 5  then fa1 = aqq5 end
    if t == 10 then fa1 = aqq10 end
    if t == 15 then fa1 = aqq15 end
    if t == 20 then fa1 = aqq20 end
    if t == 25 then fa1 = aqq25 end
    if t == 30 then fa1 = aqq30 end
    if t == 35 then fa1 = aqq35 end
    if t == 40 then fa1 = aqq40 end
    if t == 45 then fa1 = aqq45 end
    if t == 50 then fa1 = aqq50 end
    if t == 55 then fa1 = aqq55 end
    if t == 59 then fa1 = aqq59 end

    --2
    if t == 0  then fa2 = aww0 end
    if t == 5  then fa2 = aww5 end
    if t == 10 then fa2 = aww10 end
    if t == 15 then fa2 = aww15 end
    if t == 20 then fa2 = aww20 end
    if t == 25 then fa2 = aww25 end
    if t == 30 then fa2 = aww30 end
    if t == 35 then fa2 = aww35 end
    if t == 40 then fa2 = aww40 end
    if t == 45 then fa2 = aww45 end
    if t == 50 then fa2 = aww50 end
    if t == 55 then fa2 = aww55 end
    if t == 59 then fa2 = aww59 end

    --3
    if t == 0  then fa3 = aee0 end
    if t == 5  then fa3 = aee5 end
    if t == 10 then fa3 = aee10 end
    if t == 15 then fa3 = aee15 end
    if t == 20 then fa3 = aee20 end
    if t == 25 then fa3 = aee25 end
    if t == 30 then fa3 = aee30 end
    if t == 35 then fa3 = aee35 end
    if t == 40 then fa3 = aee40 end
    if t == 45 then fa3 = aee45 end
    if t == 50 then fa3 = aee50 end
    if t == 55 then fa3 = aee55 end
    if t == 59 then fa3 = aee59 end

    --4
    if t == 0  then fa4 = arr0 end
    if t == 5  then fa4 = arr5 end
    if t == 10 then fa4 = arr10 end
    if t == 15 then fa4 = arr15 end
    if t == 20 then fa4 = arr20 end
    if t == 25 then fa4 = arr25 end
    if t == 30 then fa4 = arr30 end
    if t == 35 then fa4 = arr35 end
    if t == 40 then fa4 = arr40 end
    if t == 45 then fa4 = arr45 end
    if t == 50 then fa4 = arr50 end
    if t == 55 then fa4 = arr55 end
    if t == 59 then fa4 = arr59 end


    --5
    if t == 0  then fa5 = att0 end
    if t == 5  then fa5 = att5 end
    if t == 10 then fa5 = att10 end
    if t == 15 then fa5 = att15 end
    if t == 20 then fa5 = att20 end
    if t == 25 then fa5 = att25 end
    if t == 30 then fa5 = att30 end
    if t == 35 then fa5 = att35 end
    if t == 40 then fa5 = att40 end
    if t == 45 then fa5 = att45 end
    if t == 50 then fa5 = att50 end
    if t == 55 then fa5 = att55 end
    if t == 59 then fa5 = att59 end

    --6
    if t == 0  then fa6 = ayy0 end
    if t == 5  then fa6 = ayy5 end
    if t == 10 then fa6 = ayy10 end
    if t == 15 then fa6 = ayy15 end
    if t == 20 then fa6 = ayy20 end
    if t == 25 then fa6 = ayy25 end
    if t == 30 then fa6 = ayy30 end
    if t == 35 then fa6 = ayy35 end
    if t == 40 then fa6 = ayy40 end
    if t == 45 then fa6 = ayy45 end
    if t == 50 then fa6 = ayy50 end
    if t == 55 then fa6 = ayy55 end
    if t == 59 then fa6 = ayy59 end

    --7
    if t == 0  then fa7 = auu0 end
    if t == 5  then fa7 = auu5 end
    if t == 10 then fa7 = auu10 end
    if t == 15 then fa7 = auu15 end
    if t == 20 then fa7 = auu20 end
    if t == 25 then fa7 = auu25 end
    if t == 30 then fa7 = auu30 end
    if t == 35 then fa7 = auu35 end
    if t == 40 then fa7 = auu40 end
    if t == 45 then fa7 = auu45 end
    if t == 50 then fa7 = auu50 end
    if t == 55 then fa7 = auu55 end
    if t == 59 then fa7 = auu59 end

    --8
    if t == 0  then fa8 = aii0 end
    if t == 5  then fa8 = aii5 end
    if t == 10 then fa8 = aii10 end
    if t == 15 then fa8 = aii15 end
    if t == 20 then fa8 = aii20 end
    if t == 25 then fa8 = aii25 end
    if t == 30 then fa8 = aii30 end
    if t == 35 then fa8 = aii35 end
    if t == 40 then fa8 = aii40 end
    if t == 45 then fa8 = aii45 end
    if t == 50 then fa8 = aii50 end
    if t == 55 then fa8 = aii55 end
    if t == 59 then fa8 = aii59 end

    --9
    if t == 0  then fa9 = aoo0 end
    if t == 5  then fa9 = aoo5 end
    if t == 10 then fa9 = aoo10 end
    if t == 15 then fa9 = aoo15 end
    if t == 20 then fa9 = aoo20 end
    if t == 25 then fa9 = aoo25 end
    if t == 30 then fa9 = aoo30 end
    if t == 35 then fa9 = aoo35 end
    if t == 40 then fa9 = aoo40 end
    if t == 45 then fa9 = aoo45 end
    if t == 50 then fa9 = aoo50 end
    if t == 55 then fa9 = aoo55 end
    if t == 59 then fa9 = aoo59 end

    --10
    if t == 0  then fa10 = app0 end
    if t == 5  then fa10 = app5 end
    if t == 10 then fa10 = app10 end
    if t == 15 then fa10 = app15 end
    if t == 20 then fa10 = app20 end
    if t == 25 then fa10 = app25 end
    if t == 30 then fa10 = app30 end
    if t == 35 then fa10 = app35 end
    if t == 40 then fa10 = app40 end
    if t == 45 then fa10 = app45 end
    if t == 50 then fa10 = app50 end
    if t == 55 then fa10 = app55 end
    if t == 59 then fa10 = app59 end

    --11
    if t == 0  then fa11 = aaa0 end
    if t == 5  then fa11 = aaa5 end
    if t == 10 then fa11 = aaa10 end
    if t == 15 then fa11 = aaa15 end
    if t == 20 then fa11 = aaa20 end
    if t == 25 then fa11 = aaa25 end
    if t == 30 then fa11 = aaa30 end
    if t == 35 then fa11 = aaa35 end
    if t == 40 then fa11 = aaa40 end
    if t == 45 then fa11 = aaa45 end
    if t == 50 then fa11 = aaa50 end
    if t == 55 then fa11 = aaa55 end
    if t == 59 then fa11 = aaa59 end

    --12
    if t == 0  then fa12 = ass0 end
    if t == 5  then fa12 = ass5 end
    if t == 10 then fa12 = ass10 end
    if t == 15 then fa12 = ass15 end
    if t == 20 then fa12 = ass20 end
    if t == 25 then fa12 = ass25 end
    if t == 30 then fa12 = ass30 end
    if t == 35 then fa12 = ass35 end
    if t == 40 then fa12 = ass40 end
    if t == 45 then fa12 = ass45 end
    if t == 50 then fa12 = ass50 end
    if t == 55 then fa12 = ass55 end
    if t == 59 then fa12 = ass59 end

    --13
    if t == 0  then fa13 = add0 end
    if t == 5  then fa13 = add5 end
    if t == 10 then fa13 = add10 end
    if t == 15 then fa13 = add15 end
    if t == 20 then fa13 = add20 end
    if t == 25 then fa13 = add25 end
    if t == 30 then fa13 = add30 end
    if t == 35 then fa13 = add35 end
    if t == 40 then fa13 = add40 end
    if t == 45 then fa13 = add45 end
    if t == 50 then fa13 = add50 end
    if t == 55 then fa13 = add55 end
    if t == 59 then fa13 = add59 end

    --14
    if t == 0  then fa14 = aff0 end
    if t == 5  then fa14 = aff5 end
    if t == 10 then fa14 = aff10 end
    if t == 15 then fa14 = aff15 end
    if t == 20 then fa14 = aff20 end
    if t == 25 then fa14 = aff25 end
    if t == 30 then fa14 = aff30 end
    if t == 35 then fa14 = aff35 end
    if t == 40 then fa14 = aff40 end
    if t == 45 then fa14 = aff45 end
    if t == 50 then fa14 = aff50 end
    if t == 55 then fa14 = aff55 end
    if t == 59 then fa14 = aff59 end

    --15
    if t == 0  then fa15 = agg0 end
    if t == 5  then fa15 = agg5 end
    if t == 10 then fa15 = agg10 end
    if t == 15 then fa15 = agg15 end
    if t == 20 then fa15 = agg20 end
    if t == 25 then fa15 = agg25 end
    if t == 30 then fa15 = agg30 end
    if t == 35 then fa15 = agg35 end
    if t == 40 then fa15 = agg40 end
    if t == 45 then fa15 = agg45 end
    if t == 50 then fa15 = agg50 end
    if t == 55 then fa15 = agg55 end
    if t == 59 then fa15 = agg59 end

    --16
    if t == 0  then fa16 = ahh0 end
    if t == 5  then fa16 = ahh5 end
    if t == 10 then fa16 = ahh10 end
    if t == 15 then fa16 = ahh15 end
    if t == 20 then fa16 = ahh20 end
    if t == 25 then fa16 = ahh25 end
    if t == 30 then fa16 = ahh30 end
    if t == 35 then fa16 = ahh35 end
    if t == 40 then fa16 = ahh40 end
    if t == 45 then fa16 = ahh45 end
    if t == 50 then fa16 = ahh50 end
    if t == 55 then fa16 = ahh55 end
    if t == 59 then fa16 = ahh59 end

    --17
    if t == 0  then fa17 = ajj0 end
    if t == 5  then fa17 = ajj5 end
    if t == 10 then fa17 = ajj10 end
    if t == 15 then fa17 = ajj15 end
    if t == 20 then fa17 = ajj20 end
    if t == 25 then fa17 = ajj25 end
    if t == 30 then fa17 = ajj30 end
    if t == 35 then fa17 = ajj35 end
    if t == 40 then fa17 = ajj40 end
    if t == 45 then fa17 = ajj45 end
    if t == 50 then fa17 = ajj50 end
    if t == 55 then fa17 = ajj55 end
    if t == 59 then fa17 = ajj59 end

    --18
    if t == 0  then fa18 = akk0 end
    if t == 5  then fa18 = akk5 end
    if t == 10 then fa18 = akk10 end
    if t == 15 then fa18 = akk15 end
    if t == 20 then fa18 = akk20 end
    if t == 25 then fa18 = akk25 end
    if t == 30 then fa18 = akk30 end
    if t == 35 then fa18 = akk35 end
    if t == 40 then fa18 = akk40 end
    if t == 45 then fa18 = akk45 end
    if t == 50 then fa18 = akk50 end
    if t == 55 then fa18 = akk55 end
    if t == 59 then fa18 = akk59 end

    --19
    if t == 0  then fa19 = all0 end
    if t == 5  then fa19 = all5 end
    if t == 10 then fa19 = all10 end
    if t == 15 then fa19 = all15 end
    if t == 20 then fa19 = all20 end
    if t == 25 then fa19 = all25 end
    if t == 30 then fa19 = all30 end
    if t == 35 then fa19 = all35 end
    if t == 40 then fa19 = all40 end
    if t == 45 then fa19 = all45 end
    if t == 50 then fa19 = all50 end
    if t == 55 then fa19 = all55 end
    if t == 59 then fa19 = all59 end

    --20
    if t == 0  then fa20 = azz0 end
    if t == 5  then fa20 = azz5 end
    if t == 10 then fa20 = azz10 end
    if t == 15 then fa20 = azz15 end
    if t == 20 then fa20 = azz20 end
    if t == 25 then fa20 = azz25 end
    if t == 30 then fa20 = azz30 end
    if t == 35 then fa20 = azz35 end
    if t == 40 then fa20 = azz40 end
    if t == 45 then fa20 = azz45 end
    if t == 50 then fa20 = azz50 end
    if t == 55 then fa20 = azz55 end
    if t == 59 then fa20 = azz59 end

    --21
    if t == 0  then fa21 = axx0 end
    if t == 5  then fa21 = axx5 end
    if t == 10 then fa21 = axx10 end
    if t == 15 then fa21 = axx15 end
    if t == 20 then fa21 = axx20 end
    if t == 25 then fa21 = axx25 end
    if t == 30 then fa21 = axx30 end
    if t == 35 then fa21 = axx35 end
    if t == 40 then fa21 = axx40 end
    if t == 45 then fa21 = axx45 end
    if t == 50 then fa21 = axx50 end
    if t == 55 then fa21 = axx55 end
    if t == 59 then fa21 = axx59 end

    --22
    if t == 0  then fa22 = acc0 end
    if t == 5  then fa22 = acc5 end
    if t == 10 then fa22 = acc10 end
    if t == 15 then fa22 = acc15 end
    if t == 20 then fa22 = acc20 end
    if t == 25 then fa22 = acc25 end
    if t == 30 then fa22 = acc30 end
    if t == 35 then fa22 = acc35 end
    if t == 40 then fa22 = acc40 end
    if t == 45 then fa22 = acc45 end
    if t == 50 then fa22 = acc50 end
    if t == 55 then fa22 = acc55 end
    if t == 59 then fa22 = acc59 end

    --23
    if t == 0  then fa23 = avv0 end
    if t == 5  then fa23 = avv5 end
    if t == 10 then fa23 = avv10 end
    if t == 15 then fa23 = avv15 end
    if t == 20 then fa23 = avv20 end
    if t == 25 then fa23 = avv25 end
    if t == 30 then fa23 = avv30 end
    if t == 35 then fa23 = avv35 end
    if t == 40 then fa23 = avv40 end
    if t == 45 then fa23 = avv45 end
    if t == 50 then fa23 = avv50 end
    if t == 55 then fa23 = avv55 end
    if t == 59 then fa23 = avv59 end

    --24
    if t == 0  then fa24 = abb0 end
    if t == 5  then fa24 = abb5 end
    if t == 10 then fa24 = abb10 end
    if t == 15 then fa24 = abb15 end
    if t == 20 then fa24 = abb20 end
    if t == 25 then fa24 = abb25 end
    if t == 30 then fa24 = abb30 end
    if t == 35 then fa24 = abb35 end
    if t == 40 then fa24 = abb40 end
    if t == 45 then fa24 = abb45 end
    if t == 50 then fa24 = abb50 end
    if t == 55 then fa24 = abb55 end
    if t == 59 then fa24 = abb59 end

    --25
    if t == 0  then fa25 = ann0 end
    if t == 5  then fa25 = ann5 end
    if t == 10 then fa25 = ann10 end
    if t == 15 then fa25 = ann15 end
    if t == 20 then fa25 = ann20 end
    if t == 25 then fa25 = ann25 end
    if t == 30 then fa25 = ann30 end
    if t == 35 then fa25 = ann35 end
    if t == 40 then fa25 = ann40 end
    if t == 45 then fa25 = ann45 end
    if t == 50 then fa25 = ann50 end
    if t == 55 then fa25 = ann55 end
    if t == 59 then fa25 = ann59 end

    --26
    if t == 0  then fa26 = amm0 end
    if t == 5  then fa26 = amm5 end
    if t == 10 then fa26 = amm10 end
    if t == 15 then fa26 = amm15 end
    if t == 20 then fa26 = amm20 end
    if t == 25 then fa26 = amm25 end
    if t == 30 then fa26 = amm30 end
    if t == 35 then fa26 = amm35 end
    if t == 40 then fa26 = amm40 end
    if t == 45 then fa26 = amm45 end
    if t == 50 then fa26 = amm50 end
    if t == 55 then fa26 = amm55 end
    if t == 59 then fa26 = amm59 end

    --27
    if t == 0  then fa27 = a1qq0 end
    if t == 5  then fa27 = a1qq5 end
    if t == 10 then fa27 = a1qq10 end
    if t == 15 then fa27 = a1qq15 end
    if t == 20 then fa27 = a1qq20 end
    if t == 25 then fa27 = a1qq25 end
    if t == 30 then fa27 = a1qq30 end
    if t == 35 then fa27 = a1qq35 end
    if t == 40 then fa27 = a1qq40 end
    if t == 45 then fa27 = a1qq45 end
    if t == 50 then fa27 = a1qq50 end
    if t == 55 then fa27 = a1qq55 end
    if t == 59 then fa27 = a1qq59 end

    --28
    if t == 0  then fa28 = a1ww0 end
    if t == 5  then fa28 = a1ww5 end
    if t == 10 then fa28 = a1ww10 end
    if t == 15 then fa28 = a1ww15 end
    if t == 20 then fa28 = a1ww20 end
    if t == 25 then fa28 = a1ww25 end
    if t == 30 then fa28 = a1ww30 end
    if t == 35 then fa28 = a1ww35 end
    if t == 40 then fa28 = a1ww40 end
    if t == 45 then fa28 = a1ww45 end
    if t == 50 then fa28 = a1ww50 end
    if t == 55 then fa28 = a1ww55 end
    if t == 59 then fa28 = a1ww59 end

    --29
    if t == 0  then fa29 = a1ee0 end
    if t == 5  then fa29 = a1ee5 end
    if t == 10 then fa29 = a1ee10 end
    if t == 15 then fa29 = a1ee15 end
    if t == 20 then fa29 = a1ee20 end
    if t == 25 then fa29 = a1ee25 end
    if t == 30 then fa29 = a1ee30 end
    if t == 35 then fa29 = a1ee35 end
    if t == 40 then fa29 = a1ee40 end
    if t == 45 then fa29 = a1ee45 end
    if t == 50 then fa29 = a1ee50 end
    if t == 55 then fa29 = a1ee55 end
    if t == 59 then fa29 = a1ee59 end

    --30
    if t == 0  then fa30 = a1rr0 end
    if t == 5  then fa30 = a1rr5 end
    if t == 10 then fa30 = a1rr10 end
    if t == 15 then fa30 = a1rr15 end
    if t == 20 then fa30 = a1rr20 end
    if t == 25 then fa30 = a1rr25 end
    if t == 30 then fa30 = a1rr30 end
    if t == 35 then fa30 = a1rr35 end
    if t == 40 then fa30 = a1rr40 end
    if t == 45 then fa30 = a1rr45 end
    if t == 50 then fa30 = a1rr50 end
    if t == 55 then fa30 = a1rr55 end
    if t == 59 then fa30 = a1rr59 end

    --31
    if t == 0  then fa31 = a1tt0 end
    if t == 5  then fa31 = a1tt5 end
    if t == 10 then fa31 = a1tt10 end
    if t == 15 then fa31 = a1tt15 end
    if t == 20 then fa31 = a1tt20 end
    if t == 25 then fa31 = a1tt25 end
    if t == 30 then fa31 = a1tt30 end
    if t == 35 then fa31 = a1tt35 end
    if t == 40 then fa31 = a1tt40 end
    if t == 45 then fa31 = a1tt45 end
    if t == 50 then fa31 = a1tt50 end
    if t == 55 then fa31 = a1tt55 end
    if t == 59 then fa31 = a1tt59 end

    --32
    if t == 0  then fa32 = a1yy0 end
    if t == 5  then fa32 = a1yy5 end
    if t == 10 then fa32 = a1yy10 end
    if t == 15 then fa32 = a1yy15 end
    if t == 20 then fa32 = a1yy20 end
    if t == 25 then fa32 = a1yy25 end
    if t == 30 then fa32 = a1yy30 end
    if t == 35 then fa32 = a1yy35 end
    if t == 40 then fa32 = a1yy40 end
    if t == 45 then fa32 = a1yy45 end
    if t == 50 then fa32 = a1yy50 end
    if t == 55 then fa32 = a1yy55 end
    if t == 59 then fa32 = a1yy59 end

    --33
    if t == 0  then fa33 = a1uu0 end
    if t == 5  then fa33 = a1uu5 end
    if t == 10 then fa33 = a1uu10 end
    if t == 15 then fa33 = a1uu15 end
    if t == 20 then fa33 = a1uu20 end
    if t == 25 then fa33 = a1uu25 end
    if t == 30 then fa33 = a1uu30 end
    if t == 35 then fa33 = a1uu35 end
    if t == 40 then fa33 = a1uu40 end
    if t == 45 then fa33 = a1uu45 end
    if t == 50 then fa33 = a1uu50 end
    if t == 55 then fa33 = a1uu55 end
    if t == 59 then fa33 = a1uu59 end

    --34
    if t == 0  then fa34 = a1ii0 end
    if t == 5  then fa34 = a1ii5 end
    if t == 10 then fa34 = a1ii10 end
    if t == 15 then fa34 = a1ii15 end
    if t == 20 then fa34 = a1ii20 end
    if t == 25 then fa34 = a1ii25 end
    if t == 30 then fa34 = a1ii30 end
    if t == 35 then fa34 = a1ii35 end
    if t == 40 then fa34 = a1ii40 end
    if t == 45 then fa34 = a1ii45 end
    if t == 50 then fa34 = a1ii50 end
    if t == 55 then fa34 = a1ii55 end
    if t == 59 then fa34 = a1ii59 end

    --35
    if t == 0  then fa35 = a1oo0 end
    if t == 5  then fa35 = a1oo5 end
    if t == 10 then fa35 = a1oo10 end
    if t == 15 then fa35 = a1oo15 end
    if t == 20 then fa35 = a1oo20 end
    if t == 25 then fa35 = a1oo25 end
    if t == 30 then fa35 = a1oo30 end
    if t == 35 then fa35 = a1oo35 end
    if t == 40 then fa35 = a1oo40 end
    if t == 45 then fa35 = a1oo45 end
    if t == 50 then fa35 = a1oo50 end
    if t == 55 then fa35 = a1oo55 end
    if t == 59 then fa35 = a1oo59 end

    --36
    if t == 0  then fa36 = a1pp0 end
    if t == 5  then fa36 = a1pp5 end
    if t == 10 then fa36 = a1pp10 end
    if t == 15 then fa36 = a1pp15 end
    if t == 20 then fa36 = a1pp20 end
    if t == 25 then fa36 = a1pp25 end
    if t == 30 then fa36 = a1pp30 end
    if t == 35 then fa36 = a1pp35 end
    if t == 40 then fa36 = a1pp40 end
    if t == 45 then fa36 = a1pp45 end
    if t == 50 then fa36 = a1pp50 end
    if t == 55 then fa36 = a1pp55 end
    if t == 59 then fa36 = a1pp59 end





SetShapeEmissiveScale(shapes.ab1, fa15)
SetShapeEmissiveScale(shapes.ab2, fa14)
SetShapeEmissiveScale(shapes.ab3, fa13)
SetShapeEmissiveScale(shapes.ab4, fa12)
SetShapeEmissiveScale(shapes.ab5, fa11)
SetShapeEmissiveScale(shapes.ab6, fa10)
SetShapeEmissiveScale(shapes.ab7, fa9)
SetShapeEmissiveScale(shapes.ab8, fa8)
SetShapeEmissiveScale(shapes.ab9, fa7)
SetShapeEmissiveScale(shapes.ab10, fa32)
SetShapeEmissiveScale(shapes.ab11, fa31)
SetShapeEmissiveScale(shapes.ab12, fa30)
SetShapeEmissiveScale(shapes.ab13, fa29)
SetShapeEmissiveScale(shapes.ab14, fa28)
SetShapeEmissiveScale(shapes.ab15, fa27)
SetShapeEmissiveScale(shapes.ab16, fa26)
SetShapeEmissiveScale(shapes.ab17, fa25)
SetShapeEmissiveScale(shapes.ab18, fa24)

SetLightIntensity(lights.ab1, fa15)
SetLightIntensity(lights.ab2, fa14)
SetLightIntensity(lights.ab3, fa13)
SetLightIntensity(lights.ab4, fa12)
SetLightIntensity(lights.ab5, fa11)
SetLightIntensity(lights.ab6, fa10)
SetLightIntensity(lights.ab7, fa9)
SetLightIntensity(lights.ab8, fa8)
SetLightIntensity(lights.ab9, fa7)
SetLightIntensity(lights.ab10, fa32)
SetLightIntensity(lights.ab11, fa31)
SetLightIntensity(lights.ab12, fa30)
SetLightIntensity(lights.ab13, fa29)
SetLightIntensity(lights.ab14, fa28)
SetLightIntensity(lights.ab15, fa27)
SetLightIntensity(lights.ab16, fa26)
SetLightIntensity(lights.ab17, fa25)
SetLightIntensity(lights.ab18, fa24)

SetShapeEmissiveScale(shapes.td, fa34)
SetShapeEmissiveScale(shapes.te, fa33)
SetShapeEmissiveScale(shapes.rtd, fa16)
SetShapeEmissiveScale(shapes.rtd2, fa17)
SetShapeEmissiveScale(shapes.rtd3, fa18)
SetShapeEmissiveScale(shapes.rtd4, fa19)
SetShapeEmissiveScale(shapes.rte, fa20)
SetShapeEmissiveScale(shapes.rte2, fa21)
SetShapeEmissiveScale(shapes.rte3, fa22)
SetShapeEmissiveScale(shapes.rte4, fa23)
SetShapeEmissiveScale(shapes.fd, fa3)
SetShapeEmissiveScale(shapes.fe, fa4)
SetShapeEmissiveScale(shapes.fd2, fa6)
SetShapeEmissiveScale(shapes.fe2, fa5)

SetLightIntensity(lights.td, fa34)
SetLightIntensity(lights.te, fa33)
SetLightIntensity(lights.rtd, fa16)
SetLightIntensity(lights.rtd2, fa17)
SetLightIntensity(lights.rtd3, fa18)
SetLightIntensity(lights.rtd4, fa19)
SetLightIntensity(lights.rte, fa20)
SetLightIntensity(lights.rte2, fa21)
SetLightIntensity(lights.rte3, fa22)
SetLightIntensity(lights.rte4, fa23)
SetLightIntensity(lights.fd, fa3)
SetLightIntensity(lights.fe, fa4)
SetLightIntensity(lights.fd2, fa6)
SetLightIntensity(lights.fe2, fa5)
SetShapeEmissiveScale(shapes.lflm2, fa1)
SetLightIntensity(lights.lflml2, fa1)
SetShapeEmissiveScale(shapes.lfrm2, fa2)
SetLightIntensity(lights.lflmr2, fa2)
SetShapeEmissiveScale(shapes.lflmt2, fa36)
SetLightIntensity(lights.lflmlt2, fa36)
SetShapeEmissiveScale(shapes.lfrmt2, fa35)
SetLightIntensity(lights.lfrmrt2, fa35)


end
    if flash then
        SetLightIntensity(lights.lflmr2, 0)
        SetLightIntensity(lights.lflml2, 0)
        SetLightIntensity(lights.lflmr3, GetFloat("savegame.mod.lighs.highbeam"))
        SetLightIntensity(lights.lflml3, GetFloat("savegame.mod.lighs.highbeam"))
        SetShapeEmissiveScale(shapes.lflm2, GetFloat("savegame.mod.lighs.headlight"))
        SetShapeEmissiveScale(shapes.lfrm2, GetFloat("savegame.mod.lighs.headlight"))
        SetShapeEmissiveScale(shapes.lflm3, GetFloat("savegame.mod.lighs.highbeam"))
        SetShapeEmissiveScale(shapes.lfrm3, GetFloat("savegame.mod.lighs.highbeam"))
        SetShapeEmissiveScale(shapes.lfrmt2, GetFloat("savegame.mod.lighs.headlight"))
        SetShapeEmissiveScale(shapes.lflmt2, GetFloat("savegame.mod.lighs.headlight"))
        SetLightIntensity(lights.lflmlt2, GetFloat("savegame.mod.lighs.headlight")/35)
        SetLightIntensity(lights.lfrmrt2, GetFloat("savegame.mod.lighs.headlight")/35)
    else


        if mlo then
            SetLightIntensity(lights.lflmr2, GetFloat("savegame.mod.lighs.headlight"))
            SetLightIntensity(lights.lflml2, GetFloat("savegame.mod.lighs.headlight"))
            SetLightIntensity(lights.lflmr3, 0)
            SetLightIntensity(lights.lflml3, 0)
            SetShapeEmissiveScale(shapes.lflm2, GetFloat("savegame.mod.lighs.headlight"))
            SetShapeEmissiveScale(shapes.lfrm2, GetFloat("savegame.mod.lighs.headlight"))
            SetShapeEmissiveScale(shapes.lflm3, 0)
            SetShapeEmissiveScale(shapes.lfrm3, 0)
            SetShapeEmissiveScale(shapes.lfrmt2, GetFloat("savegame.mod.lighs.headlight"))
            SetShapeEmissiveScale(shapes.lflmt2, GetFloat("savegame.mod.lighs.headlight"))
            SetLightIntensity(lights.lflmlt2, GetFloat("savegame.mod.lighs.headlight")/35)
            SetLightIntensity(lights.lfrmrt2, GetFloat("savegame.mod.lighs.headlight")/35)

        end

        if mlo and hlo then
            SetLightIntensity(lights.lflmr2, 0)
            SetLightIntensity(lights.lflml2, 0)
            SetLightIntensity(lights.lflmr3, GetFloat("savegame.mod.lighs.highbeam"))
            SetLightIntensity(lights.lflml3, GetFloat("savegame.mod.lighs.highbeam"))
            SetShapeEmissiveScale(shapes.lflm2, GetFloat("savegame.mod.lighs.headlight"))
            SetShapeEmissiveScale(shapes.lfrm2, GetFloat("savegame.mod.lighs.headlight"))
            SetShapeEmissiveScale(shapes.lflm3, GetFloat("savegame.mod.lighs.highbeam"))
            SetShapeEmissiveScale(shapes.lfrm3, GetFloat("savegame.mod.lighs.highbeam"))
            SetShapeEmissiveScale(shapes.lfrmt2, GetFloat("savegame.mod.lighs.headlight"))
            SetShapeEmissiveScale(shapes.lflmt2, GetFloat("savegame.mod.lighs.headlight"))
            SetLightIntensity(lights.lflmlt2, GetFloat("savegame.mod.lighs.headlight")/35)
            SetLightIntensity(lights.lfrmrt2, GetFloat("savegame.mod.lighs.headlight")/35)
        elseif mlo then
            SetLightIntensity(lights.lflmr2, GetFloat("savegame.mod.lighs.headlight"))
            SetLightIntensity(lights.lflml2, GetFloat("savegame.mod.lighs.headlight"))
            SetLightIntensity(lights.lflmr3, 0)
            SetLightIntensity(lights.lflml3, 0)
            SetShapeEmissiveScale(shapes.lflm2, GetFloat("savegame.mod.lighs.headlight"))
            SetShapeEmissiveScale(shapes.lfrm2, GetFloat("savegame.mod.lighs.headlight"))
            SetShapeEmissiveScale(shapes.lflm3, 0)
            SetShapeEmissiveScale(shapes.lfrm3, 0)
            SetShapeEmissiveScale(shapes.lfrmt2, GetFloat("savegame.mod.lighs.headlight"))
            SetShapeEmissiveScale(shapes.lflmt2, GetFloat("savegame.mod.lighs.headlight"))
            SetLightIntensity(lights.lflmlt2, GetFloat("savegame.mod.lighs.headlight")/35)
            SetLightIntensity(lights.lfrmrt2, GetFloat("savegame.mod.lighs.headlight")/35)
        else
            SetLightIntensity(lights.lfrmr3, 0)
            SetLightIntensity(lights.lfrml3, 0) 
            SetShapeEmissiveScale(shapes.lflm3, 0)
            SetShapeEmissiveScale(shapes.lfrm3, 0) 
        end
    end


end

function draw()
    
    
    if inside and GetBool("game.player.useVehicle") then
		UiFont("regular.ttf", 22)
		UiTextShadow(0, 0, 0, 0.5, 0.5)
        if controls then
        UiPush()
        UiColor(1, 1, 1, 1)
        UiTranslate(60, 30)
        UiText("Vehicles Binds")
        UiTranslate(-40, 5)
        UiColor(0, 0, 0, 0.6)
        UiImageBox("MOD/images/box-solid-6.png", 230, 340, 6, 6)
        UiColor(1, 1, 1, 1)
        UiTranslate(10, 25)
        UiText("headlight: J")
        UiTranslate(0, 25)
        UiText("high beam: K")
        UiTranslate(0, 25)
        UiText("Flash high beam: L")
        UiTranslate(0, 25)
        UiText("foglamp: H")
        UiTranslate(0, 25)
        UiText("left right blinkers: </> ,/.")
        UiTranslate(0, 25)
        UiText("Hazard Lights: U")
        UiTranslate(0, 25)
        UiText("Horn: G")
        UiTranslate(0, 25)
        UiText("Emergency Lights 1: i")
        UiTranslate(0, 25)
        UiText("Emergency Lights 2: o")
        UiTranslate(0, 25)
        UiText("Custom Lights: Y")
        UiTranslate(0, 25)
        UiText("Siren 1: 1")
        UiTranslate(0, 25)
        UiText("Siren 2: 2")
        UiTranslate(0, 25)
        UiText("Siren 3: 3")
        UiTranslate(0, 45)
        UiText("F1 - minimize")
        UiPop()
        else
            UiPush()
            UiColor(1, 1, 1, 1)
            UiTranslate(40, 30)
            UiText("F1 -Vehicles Binds")
            UiTranslate(-20, -25)
            UiColor(0, 0, 0, 0.6)
            UiImageBox("MOD/images/box-solid-6.png", 200, 40, 6, 6)
            UiPop()
        end

        if InputPressed("f1") then
			controls = not controls
        end

        
		if not uix then uix = UiWidth() - 200 end
		if not uiy then uiy = 50 end

		UiTranslate(uix, uiy)

        if InputPressed("m") and not ui then
            ui = true
            SetValue("uix", UiCenter()-950, "cosine", 0.25)
            SetValue("uiy", UiMiddle()-500, "cosine", 0.25)
           else
           if InputPressed("m") or InputPressed("esc") and ui then
            ui = false
            SetValue("uix", UiWidth()-200, "cosine", 0.25)
            SetValue("uiy", 50, "cosine", 0.25)
           end
        end


		if ui then
            SetBool("game.disablepause", true)
            SetBool("game.disablemap", true)
			UiMakeInteractive()

        --blinkers

            UiPush()
                UiTranslate(20,90)
                UiPush()
                    UiFont("bold.ttf", 40)
                    UiText("Lights Options")
    
                    UiPush()
                        UiTranslate(0,50)
    
                        UiFont("bold.ttf", 30)
                        UiText("blinkers")
                        UiTranslate(0,20)
    
                        UiAlign("left middle")
                        UiColor(0.7, 0.4, 0)
                        UiRect(slW+3, 3)
    
                        UiColor(1, 1, 1)
                        local limit = lim.lighs.blinkers
                        local value = (GetFloat("savegame.mod.lighs.blinkers") or 2) * slMul
                        local done = false
                        value, done = UiSlider("ui/common/dot.png", "x", value*limit, 0, slW)
                        if done then
                            SetFloat("savegame.mod.lighs.blinkers", value/slMul/limit)

                        end
                        UiPush()
                        UiColor(1, 1, 1)
                            UiTranslate(slW+25,0)
                            UiText(sfn(value/slMul/limit, 1))
                        UiPop()
    
                    UiPop()
        --blinkers

        --headlights
            UiPush()

                UiPush()
                    UiTranslate(0,110)

                    UiFont("bold.ttf", 30)
                    UiText("headlight")
                    UiTranslate(0,20)

                    UiAlign("left middle")
                    UiColor(1, 1, 1)
                    UiRect(slW+3, 3)
        

                    local limit = lim.lighs.headlight
                    local value = (GetFloat("savegame.mod.lighs.headlight") or 2) * slMul
                    local done = false
                    value, done = UiSlider("ui/common/dot.png", "x", value*limit, 0, slW)
                    if done then
                        SetFloat("savegame.mod.lighs.headlight", value/slMul/limit)
                
                    end
                    UiPush()
                        UiTranslate(slW+25,0)
                        UiText(sfn(value/slMul/limit, 1))
                    UiPop()

               UiPop()
            --headlights

                    --Highbeam
                    UiPush()

                    UiPush()
                        UiTranslate(0,170)
    
                        UiFont("bold.ttf", 30)
                        UiText("high-beam")
                        UiTranslate(0,20)
    
                        UiAlign("left middle")
                        UiColor(1, 1, 1)
                        UiRect(slW+3, 3)
            

                        local limit = lim.lighs.highbeam
                        local value = (GetFloat("savegame.mod.lighs.highbeam") or 2) * slMul
                        local done = false
                        value, done = UiSlider("ui/common/dot.png", "x", value*limit, 0, slW)
                        if done then
                            SetFloat("savegame.mod.lighs.highbeam", value/slMul/limit)
                    
                        end
                        UiPush()
                            UiTranslate(slW+25,0)
                            UiText(sfn(value/slMul/limit, 1))
                        UiPop()
    
                   UiPop()
                --Highbeam


                    --foglamp
                    UiPush()

                    UiPush()
                        UiTranslate(0,230)
    
                        UiFont("bold.ttf", 30)
                        UiText("Fog-Lamp")
                        UiTranslate(0,20)
    
                        UiAlign("left middle")
                        UiColor(1, 1, 1)
                        UiRect(slW+3, 3)
            
                        local limit = lim.lighs.foglamp
                        local value = (GetFloat("savegame.mod.lighs.foglamp") or 2) * slMul
                        local done = false
                        value, done = UiSlider("ui/common/dot.png", "x", value*limit, 0, slW)
                        if done then
                            SetFloat("savegame.mod.lighs.foglamp", value/slMul/limit)
                    
                        end
                        UiPush()
                            UiTranslate(slW+25,0)
                            UiText(sfn(value/slMul/limit, 1))
                        UiPop()
    
                   UiPop()
                --foglamp

                    --emlights.front
                    UiPush()

                    UiPush()
                        UiTranslate(0,290)
    
                        UiFont("bold.ttf", 30)
                        UiText("emergency lights front")
                        UiTranslate(0,20)
    
                        UiAlign("left middle")
                        UiColor(0.1, 0.7, 0.8)
                        UiRect(slW+3, 3)
            
                        UiColor(1, 1, 1)
                        local limit = lim.emlights.front
                        local value = (GetFloat("savegame.mod.emlights.front") or 2) * slMul
                        local done = false
                        value, done = UiSlider("ui/common/dot.png", "x", value*limit, 0, slW)
                        if done then
                            SetFloat("savegame.mod.emlights.front", value/slMul/limit)
                    
                        end
                        UiPush()
                        UiColor(1, 1, 1)
                            UiTranslate(slW+25,0)
                            UiText(sfn(value/slMul/limit, 1))
                        UiPop()
    
                   UiPop()
                --emlights.front

                    --emlights.back
                    UiPush()

                    UiPush()
                        UiTranslate(0,350)
    
                        UiFont("bold.ttf", 30)
                        UiText("emergency lights back")
                        UiTranslate(0,20)
    
                        UiAlign("left middle")
                        UiColor(0.1, 0.7, 0.8)
                        UiRect(slW+3, 3)
            
                        UiColor(1, 1, 1)
                        local limit = lim.emlights.back
                        local value = (GetFloat("savegame.mod.emlights.back") or 2) * slMul
                        local done = false
                        value, done = UiSlider("ui/common/dot.png", "x", value*limit, 0, slW)
                        if done then
                            SetFloat("savegame.mod.emlights.back", value/slMul/limit)
                    
                        end
                        UiPush()
                        UiColor(1, 1, 1)
                            UiTranslate(slW+25,0)
                            UiText(sfn(value/slMul/limit, 1))
                        UiPop()
    
                   UiPop()
                --emlights.back

                    --emlights.top
                    UiPush()

                    UiPush()
                        UiTranslate(0,410)
    
                        UiFont("bold.ttf", 30)
                        UiText("emergency lights top")
                        UiTranslate(0,20)
    
                        UiAlign("left middle")
                        UiColor(0.1, 0.7, 0.8)
                        UiRect(slW+3, 3)
            
                        UiColor(1, 1, 1)
                        local limit = lim.emlights.top
                        local value = (GetFloat("savegame.mod.emlights.top") or 2) * slMul
                        local done = false
                        value, done = UiSlider("ui/common/dot.png", "x", value*limit, 0, slW)
                        if done then
                            SetFloat("savegame.mod.emlights.top", value/slMul/limit)
                    
                        end
                        UiPush()
                        UiColor(1, 1, 1)
                            UiTranslate(slW+25,0)
                            UiText(sfn(value/slMul/limit, 1))
                        UiPop()
    
                   UiPop()
                --emlights.top


                    --emlights.left
                    UiPush()

                    UiPush()
                        UiTranslate(0,470)
    
                        UiFont("bold.ttf", 30)
                        UiText("emergency lights left")
                        UiTranslate(0,20)
    
                        UiAlign("left middle")
                        UiColor(0.1, 0.7, 0.8)
                        UiRect(slW+3, 3)
            
                        UiColor(1, 1, 1)
                        local limit = lim.emlights.left
                        local value = (GetFloat("savegame.mod.emlights.left") or 2) * slMul
                        local done = false
                        value, done = UiSlider("ui/common/dot.png", "x", value*limit, 0, slW)
                        if done then
                            SetFloat("savegame.mod.emlights.left", value/slMul/limit)
                    
                        end
                        UiPush()
                        UiColor(1, 1, 1)
                            UiTranslate(slW+25,0)
                            UiText(sfn(value/slMul/limit, 1))
                        UiPop()
    
                   UiPop()
                --emlights.left

                    --emlights.right
                    UiPush()

                    UiPush()
                        UiTranslate(0,530)
    
                        UiFont("bold.ttf", 30)
                        UiText("emergency lights right")
                        UiTranslate(0,20)
    
                        UiAlign("left middle")
                        UiColor(0.1, 0.7, 0.8)
                        UiRect(slW+3, 3)
            
                        UiColor(1, 1, 1)
                        local limit = lim.emlights.right
                        local value = (GetFloat("savegame.mod.emlights.right") or 2) * slMul
                        local done = false
                        value, done = UiSlider("ui/common/dot.png", "x", value*limit, 0, slW)
                        if done then
                            SetFloat("savegame.mod.emlights.right", value/slMul/limit)
                    
                        end
                        UiPush()
                        UiColor(1, 1, 1)
                            UiTranslate(slW+25,0)
                            UiText(sfn(value/slMul/limit, 1))
                        UiPop()
    
                   UiPop()
                --emlights.right    
                  

                    --siren1
                    UiPush()

                    UiPush()
                        UiTranslate(0,590)
    
                        UiFont("bold.ttf", 30)
                        UiText("Siren 1")
                        UiTranslate(0,20)
    
                        UiAlign("left middle")
                        UiColor(0.8, 0.1, 0.1)
                        UiRect(slW+3, 3)
            
                        UiColor(1, 1, 1)
                        local limit = lim.siren.s1
                        local value = (GetFloat("savegame.mod.asiren.s1") or 2) * slMul
                        local done = false
                        value, done = UiSlider("ui/common/dot.png", "x", value*limit, 0, slW)
                        if done then
                            SetFloat("savegame.mod.asiren.s1", value/slMul/limit)
                    
                        end
                        UiPush()
                        UiColor(1, 1, 1)
                            UiTranslate(slW+25,0)
                            UiText(sfn(value/slMul/limit, 1))
                        UiPop()
    
                   UiPop()
                --siren1    

                --siren2
                    UiPush()

                    UiPush()
                        UiTranslate(0,650)
    
                        UiFont("bold.ttf", 30)
                        UiText("Siren 2")
                        UiTranslate(0,20)
    
                        UiAlign("left middle")
                        UiColor(0.8, 0.1, 0.1)
                        UiRect(slW+3, 3)
            
                        UiColor(1, 1, 1)
                        local limit = lim.siren.s2
                        local value = (GetFloat("savegame.mod.asiren.s2") or 2) * slMul
                        local done = false
                        value, done = UiSlider("ui/common/dot.png", "x", value*limit, 0, slW)
                        if done then
                            SetFloat("savegame.mod.asiren.s2", value/slMul/limit)
                    
                        end
                        UiPush()
                        UiColor(1, 1, 1)
                            UiTranslate(slW+25,0)
                            UiText(sfn(value/slMul/limit, 1))
                        UiPop()
    
                   UiPop()
                --siren2 
                
                --siren3
                UiPush()

                UiPush()
                    UiTranslate(0,710)

                    UiFont("bold.ttf", 30)
                    UiText("Siren 3")
                    UiTranslate(0,20)

                    UiAlign("left middle")
                    UiColor(0.8, 0.1, 0.1)
                    UiRect(slW+3, 3)
        
                    UiColor(1, 1, 1)
                    local limit = lim.siren.s3
                    local value = (GetFloat("savegame.mod.asiren.s3") or 2) * slMul
                    local done = false
                    value, done = UiSlider("ui/common/dot.png", "x", value*limit, 0, slW)
                    if done then
                        SetFloat("savegame.mod.asiren.s3", value/slMul/limit)
                
                    end
                    UiPush()
                    UiColor(1, 1, 1)
                        UiTranslate(slW+25,0)
                        UiText(sfn(value/slMul/limit, 1))
                    UiPop()

               UiPop()
            --siren3   

                --horn
                UiPush()

                UiPush()
                    UiTranslate(0,770)

                    UiFont("bold.ttf", 30)
                    UiText("horn")
                    UiTranslate(0,20)

                    UiAlign("left middle")
                    UiColor(0.8, 0.1, 0.1)
                    UiRect(slW+3, 3)
        
                    UiColor(1, 1, 1)
                    local limit = lim.siren.horn
                    local value = (GetFloat("savegame.mod.asiren.horn") or 2) * slMul
                    local done = false
                    value, done = UiSlider("ui/common/dot.png", "x", value*limit, 0, slW)
                    if done then
                        SetFloat("savegame.mod.asiren.horn", value/slMul/limit)
                
                    end
                    UiPush()
                    UiColor(1, 1, 1)
                        UiTranslate(slW+25,0)
                        UiText(sfn(value/slMul/limit, 1))
                    UiPop()

               UiPop()
                --horn



            UiPush()
            UiColor(1, 0.5, 0.5)
            UiTranslate(0,850)
            UiFont("bold.ttf", 40)
            --reset
            local resetButton = UiTextButton("default Values", 100, 50)
            if resetButton then
                SetFloat("savegame.mod.lighs.blinkers", def.lighs.blinkers)
                SetFloat("savegame.mod.lighs.headlight", def.lighs.headlight)
                SetFloat("savegame.mod.lighs.highbeam", def.lighs.highbeam)
                SetFloat("savegame.mod.lighs.foglamp", def.lighs.foglamp)

                SetFloat("savegame.mod.emlights.front", def.emlights.front)
                SetFloat("savegame.mod.emlights.back", def.emlights.back)  
                SetFloat("savegame.mod.emlights.top", def.emlights.top)
                SetFloat("savegame.mod.emlights.left", def.emlights.left)  
                SetFloat("savegame.mod.emlights.right", def.emlights.right)  

                SetFloat("savegame.mod.asiren.s1", def.siren.s1)
                SetFloat("savegame.mod.asiren.s2", def.siren.s2)  
                SetFloat("savegame.mod.asiren.s3", def.siren.s3)
                SetFloat("savegame.mod.asiren.horn", def.siren.horn)  

            end
        UiPop()




        UiPush()
        UiColor(1, 1, 1)
        UiTranslate(550,-100)
        UiFont("bold.ttf", 40)
        UiText("Time:")
        UiTranslate(150,0)
        UiButtonImageBox("MOD/images/box-outline-6.png", 6, 6)
        if 	UiTextButton("0", 40, 40) then
            SetInt("savegame.mod.time", 0)
            PlaySound(snd)
        end
        UiTranslate(60,0)
        if 	UiTextButton("5", 40, 40) then
            SetInt("savegame.mod.time", 5)
            PlaySound(snd)
        end
        UiTranslate(50,0)
        if 	UiTextButton("10", 40, 40) then
            SetInt("savegame.mod.time", 10)
            PlaySound(snd)
        end
        UiTranslate(60,0)
        if 	UiTextButton("15", 40, 40) then
            SetInt("savegame.mod.time", 15)
            PlaySound(snd)
        end
        UiTranslate(60,0)
        if 	UiTextButton("20", 40, 40) then
            SetInt("savegame.mod.time", 20)
            PlaySound(snd)
        end
        UiTranslate(60,0)
        if 	UiTextButton("25", 40, 40) then
            SetInt("savegame.mod.time", 25)
            PlaySound(snd)
        end
        UiTranslate(60,0)
        if 	UiTextButton("30", 40, 40) then
            SetInt("savegame.mod.time", 30)
            PlaySound(snd)
        end
        UiTranslate(60,0)
        if 	UiTextButton("35", 40, 40) then
            SetInt("savegame.mod.time", 35)
            PlaySound(snd)
        end
        UiTranslate(60,0)
        if 	UiTextButton("40", 40, 40) then
            SetInt("savegame.mod.time", 40)
            PlaySound(snd)
        end
        UiTranslate(60,0)
        if 	UiTextButton("45", 40, 40) then
            SetInt("savegame.mod.time", 45)
            PlaySound(snd)
        end
        UiTranslate(60,0)
        if 	UiTextButton("50", 40, 40) then
            SetInt("savegame.mod.time", 50)
            PlaySound(snd)
        end
        UiTranslate(60,0)
        if 	UiTextButton("55", 40, 40) then
            SetInt("savegame.mod.time", 55)
            PlaySound(snd)
        end
        UiTranslate(60,0)
        if 	UiTextButton("60", 40, 40) then
            SetInt("savegame.mod.time", 60)
            PlaySound(snd)
        end
    UiPop()









    UiPush()
    UiColor(1, 1, 1)
    UiTranslate(800,50)
    UiScale(1.4, 1.4)
    UiPush()
    UiTranslate(-95,-75)
    UiImage("MOD/images/ambulance.png")
    UiPop()
    UiScale(0.8, 0.8)


    UiPush()
    if GetInt("savegame.mod.time") == 0 then
        UiPush()
        UiTranslate(-92,-125)
        UiImage("ui/common/dot.png")
        UiPop()
        UiTranslate(50,50)
        UiButtonImageBox("MOD/images/box-outline-6.png", 6, 6)

--light button
        UiPush()
        UiTranslate(15,20)
        if GetBool("savegame.mod.aq1") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.aq1", not GetBool("savegame.mod.aq1"))
            PlaySound(snd)
        end

        UiPop()
--light button



UiPush()
UiTranslate(250,20)
if GetBool("savegame.mod.aw1") then
    UiPush()
        UiTranslate(-50,-30)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.aw1", not GetBool("savegame.mod.aw1"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(55,-40)
if GetBool("savegame.mod.ae1") then
    UiPush()
        UiTranslate(40,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ae1", not GetBool("savegame.mod.ae1"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(215,-40)
if GetBool("savegame.mod.ar1") then
    UiPush()
        UiTranslate(-50,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ar1", not GetBool("savegame.mod.ar1"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(55,-80)
if GetBool("savegame.mod.at1") then
    UiPush()
        UiTranslate(40,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.at1", not GetBool("savegame.mod.at1"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(215,-80)
if GetBool("savegame.mod.ay1") then
    UiPush()
        UiTranslate(-50,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ay1", not GetBool("savegame.mod.ay1"))
    PlaySound(snd)
end

UiPop()

UiPush()
UiTranslate(25,235)
if GetBool("savegame.mod.au1") then
    UiPush()
        UiTranslate(20,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.au1", not GetBool("savegame.mod.au1"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(53,235)
if GetBool("savegame.mod.ai1") then
    UiPush()
        UiTranslate(15,-47)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ai1", not GetBool("savegame.mod.ai1"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(78,235)
if GetBool("savegame.mod.ao1") then
    UiPush()
        UiTranslate(8,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ao1", not GetBool("savegame.mod.ao1"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(104,235)
if GetBool("savegame.mod.ap1") then
    UiPush()
        UiTranslate(5,-47)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ap1", not GetBool("savegame.mod.ap1"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(128,235)
if GetBool("savegame.mod.aa1") then
    UiPush()
        UiTranslate(4,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.aa1", not GetBool("savegame.mod.aa1"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(156,235)
if GetBool("savegame.mod.as1") then
    UiPush()
        UiTranslate(-2,-47)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.as1", not GetBool("savegame.mod.as1"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(184,235)
if GetBool("savegame.mod.ad1") then
    UiPush()
        UiTranslate(-8,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ad1", not GetBool("savegame.mod.ad1"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(212,235)
if GetBool("savegame.mod.af1") then
    UiPush()
        UiTranslate(-14,-47)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.af1", not GetBool("savegame.mod.af1"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(240,235)
if GetBool("savegame.mod.ag1") then
    UiPush()
        UiTranslate(-20,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ag1", not GetBool("savegame.mod.ag1"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-45,270)
if GetBool("savegame.mod.ah1") then
    UiPush()
        UiTranslate(45,-25)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ah1", not GetBool("savegame.mod.ah1"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-45,310)
if GetBool("savegame.mod.aj1") then
    UiPush()
        UiTranslate(45,-25)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.aj1", not GetBool("savegame.mod.aj1"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-45,518)
if GetBool("savegame.mod.ak1") then
    UiPush()
        UiTranslate(45,-25)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ak1", not GetBool("savegame.mod.ak1"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-45,558)
if GetBool("savegame.mod.al1") then
    UiPush()
        UiTranslate(45,-25)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.al1", not GetBool("savegame.mod.al1"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(295,270)
if GetBool("savegame.mod.az1") then
    UiPush()
        UiTranslate(-25,-25)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.az1", not GetBool("savegame.mod.az1"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(295,310)
if GetBool("savegame.mod.ax1") then
    UiPush()
        UiTranslate(-25,-25)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ax1", not GetBool("savegame.mod.ax1"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(295,518)
if GetBool("savegame.mod.ac1") then
    UiPush()
        UiTranslate(-25,-25)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ac1", not GetBool("savegame.mod.ac1"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(295,558)
if GetBool("savegame.mod.av1") then
    UiPush()
        UiTranslate(-25,-25)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.av1", not GetBool("savegame.mod.av1"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(22,590)
if GetBool("savegame.mod.ab1") then
    UiPush()
        UiTranslate(24,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ab1", not GetBool("savegame.mod.ab1"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(50,590)
if GetBool("savegame.mod.an1") then
    UiPush()
        UiTranslate(17,7)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.an1", not GetBool("savegame.mod.an1"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(76,590)
if GetBool("savegame.mod.am1") then
    UiPush()
        UiTranslate(13,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.am1", not GetBool("savegame.mod.am1"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(101,590)
if GetBool("savegame.mod.a1q1") then
    UiPush()
        UiTranslate(10,7)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.a1q1", not GetBool("savegame.mod.a1q1"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(128,590)
if GetBool("savegame.mod.a1w1") then
    UiPush()
        UiTranslate(5,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.a1w1", not GetBool("savegame.mod.a1w1"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(156,590)
if GetBool("savegame.mod.a1e1") then
    UiPush()
        UiTranslate(-2,7)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.a1e1", not GetBool("savegame.mod.a1e1"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(184,590)
if GetBool("savegame.mod.a1r1") then
    UiPush()
        UiTranslate(-8,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.a1r1", not GetBool("savegame.mod.a1r1"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(212,590)
if GetBool("savegame.mod.a1t1") then
    UiPush()
        UiTranslate(-14,7)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.a1t1", not GetBool("savegame.mod.a1t1"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(240,590)
if GetBool("savegame.mod.a1y1") then
    UiPush()
        UiTranslate(-20,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.a1y1", not GetBool("savegame.mod.a1y1"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(-30,630)
if GetBool("savegame.mod.a1u1") then
    UiPush()
        UiTranslate(40,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.a1u1", not GetBool("savegame.mod.a1u1"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(290,630)
if GetBool("savegame.mod.a1i1") then
UiPush()
UiTranslate(-45,-30)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
if 	UiTextButton("O", 40, 40) then
SetBool("savegame.mod.a1i1", not GetBool("savegame.mod.a1i1"))
PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(-30,670)
if GetBool("savegame.mod.a1o1") then
    UiPush()
        UiTranslate(40,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.a1o1", not GetBool("savegame.mod.a1o1"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(290,670)
if GetBool("savegame.mod.a1p1") then
UiPush()
UiTranslate(-45,-30)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
if 	UiTextButton("X", 40, 40) then
SetBool("savegame.mod.a1p1", not GetBool("savegame.mod.a1p1"))
PlaySound(snd)
end

UiPop()
        UiTranslate(400,0)
        local resetButton = UiTextButton("Reset Lights", 200, 50)
        if resetButton then
            SetBool("savegame.mod.aq1")  
            SetBool("savegame.mod.aw1")  
            SetBool("savegame.mod.ae1")  
            SetBool("savegame.mod.ar1")  
            SetBool("savegame.mod.at1")  
            SetBool("savegame.mod.ay1")  
            SetBool("savegame.mod.au1")  
            SetBool("savegame.mod.ai1")  
            SetBool("savegame.mod.ao1")  
            SetBool("savegame.mod.ap1") 
            SetBool("savegame.mod.aa1") 
            SetBool("savegame.mod.as1") 
            SetBool("savegame.mod.ad1") 
            SetBool("savegame.mod.af1")  
            SetBool("savegame.mod.ag1")  
            SetBool("savegame.mod.ah1")  
            SetBool("savegame.mod.aj1")  
            SetBool("savegame.mod.ak1")  
            SetBool("savegame.mod.al1")  
            SetBool("savegame.mod.az1")  
            SetBool("savegame.mod.ax1")  
            SetBool("savegame.mod.ac1")  
            SetBool("savegame.mod.av1")  
            SetBool("savegame.mod.ab1") 
            SetBool("savegame.mod.an1")  
            SetBool("savegame.mod.am1")  
            SetBool("savegame.mod.a1q1")  
            SetBool("savegame.mod.a1w1")  
            SetBool("savegame.mod.a1e1")  
            SetBool("savegame.mod.a1r1") 
            SetBool("savegame.mod.a1t1")  
            SetBool("savegame.mod.a1y1")  
            SetBool("savegame.mod.a1u1")  
            SetBool("savegame.mod.a1i1")  
            SetBool("savegame.mod.a1o1")  
            SetBool("savegame.mod.a1p1")  
            PlaySound(snd)  
        end
    end
    UiPop()


 

    UiPush()
    if GetInt("savegame.mod.time") == 5 then
        UiPush()
        UiTranslate(-35,-125)
        UiImage("ui/common/dot.png")
        UiPop()
        UiTranslate(50,50)
        UiButtonImageBox("MOD/images/box-outline-6.png", 6, 6)

--light button
        UiPush()
        UiTranslate(15,20)
        if GetBool("savegame.mod.aq2") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.aq2", not GetBool("savegame.mod.aq2"))
            PlaySound(snd)
        end

        UiPop()
--light button



UiPush()
UiTranslate(250,20)
if GetBool("savegame.mod.aw2") then
    UiPush()
        UiTranslate(-50,-30)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.aw2", not GetBool("savegame.mod.aw2"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(55,-40)
if GetBool("savegame.mod.ae2") then
    UiPush()
        UiTranslate(40,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ae2", not GetBool("savegame.mod.ae2"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(215,-40)
if GetBool("savegame.mod.ar2") then
    UiPush()
        UiTranslate(-50,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ar2", not GetBool("savegame.mod.ar2"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(55,-80)
if GetBool("savegame.mod.at2") then
    UiPush()
        UiTranslate(40,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.at2", not GetBool("savegame.mod.at2"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(215,-80)
if GetBool("savegame.mod.ay2") then
    UiPush()
        UiTranslate(-50,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ay2", not GetBool("savegame.mod.ay2"))
    PlaySound(snd)
end

UiPop()

UiPush()
UiTranslate(25,235)
if GetBool("savegame.mod.au2") then
    UiPush()
        UiTranslate(20,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.au2", not GetBool("savegame.mod.au2"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(53,235)
if GetBool("savegame.mod.ai2") then
    UiPush()
        UiTranslate(15,-47)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ai2", not GetBool("savegame.mod.ai2"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(78,235)
if GetBool("savegame.mod.ao2") then
    UiPush()
        UiTranslate(8,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ao2", not GetBool("savegame.mod.ao2"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(104,235)
if GetBool("savegame.mod.ap2") then
    UiPush()
        UiTranslate(5,-47)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ap2", not GetBool("savegame.mod.ap2"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(128,235)
if GetBool("savegame.mod.aa2") then
    UiPush()
        UiTranslate(4,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.aa2", not GetBool("savegame.mod.aa2"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(156,235)
if GetBool("savegame.mod.as2") then
    UiPush()
        UiTranslate(-2,-47)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.as2", not GetBool("savegame.mod.as2"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(184,235)
if GetBool("savegame.mod.ad2") then
    UiPush()
        UiTranslate(-8,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ad2", not GetBool("savegame.mod.ad2"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(212,235)
if GetBool("savegame.mod.af2") then
    UiPush()
        UiTranslate(-14,-47)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.af2", not GetBool("savegame.mod.af2"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(240,235)
if GetBool("savegame.mod.ag2") then
    UiPush()
        UiTranslate(-20,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ag2", not GetBool("savegame.mod.ag2"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-45,270)
if GetBool("savegame.mod.ah2") then
    UiPush()
        UiTranslate(45,-25)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ah2", not GetBool("savegame.mod.ah2"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-45,310)
if GetBool("savegame.mod.aj2") then
    UiPush()
        UiTranslate(45,-25)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.aj2", not GetBool("savegame.mod.aj2"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-45,518)
if GetBool("savegame.mod.ak2") then
    UiPush()
        UiTranslate(45,-25)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ak2", not GetBool("savegame.mod.ak2"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-45,558)
if GetBool("savegame.mod.al2") then
    UiPush()
        UiTranslate(45,-25)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.al2", not GetBool("savegame.mod.al2"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(295,270)
if GetBool("savegame.mod.az2") then
    UiPush()
        UiTranslate(-25,-25)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.az2", not GetBool("savegame.mod.az2"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(295,310)
if GetBool("savegame.mod.ax2") then
    UiPush()
        UiTranslate(-25,-25)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ax2", not GetBool("savegame.mod.ax2"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(295,518)
if GetBool("savegame.mod.ac2") then
    UiPush()
        UiTranslate(-25,-25)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ac2", not GetBool("savegame.mod.ac2"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(295,558)
if GetBool("savegame.mod.av2") then
    UiPush()
        UiTranslate(-25,-25)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.av2", not GetBool("savegame.mod.av2"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(22,590)
if GetBool("savegame.mod.ab2") then
    UiPush()
        UiTranslate(24,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ab2", not GetBool("savegame.mod.ab2"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(50,590)
if GetBool("savegame.mod.an2") then
    UiPush()
        UiTranslate(17,7)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.an2", not GetBool("savegame.mod.an2"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(76,590)
if GetBool("savegame.mod.am2") then
    UiPush()
        UiTranslate(13,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.am2", not GetBool("savegame.mod.am2"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(101,590)
if GetBool("savegame.mod.a1q2") then
    UiPush()
        UiTranslate(10,7)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.a1q2", not GetBool("savegame.mod.a1q2"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(128,590)
if GetBool("savegame.mod.a1w2") then
    UiPush()
        UiTranslate(5,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.a1w2", not GetBool("savegame.mod.a1w2"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(156,590)
if GetBool("savegame.mod.a1e2") then
    UiPush()
        UiTranslate(-2,7)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.a1e2", not GetBool("savegame.mod.a1e2"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(184,590)
if GetBool("savegame.mod.a1r2") then
    UiPush()
        UiTranslate(-8,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.a1r2", not GetBool("savegame.mod.a1r2"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(212,590)
if GetBool("savegame.mod.a1t2") then
    UiPush()
        UiTranslate(-14,7)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.a1t2", not GetBool("savegame.mod.a1t2"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(240,590)
if GetBool("savegame.mod.a1y2") then
    UiPush()
        UiTranslate(-20,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.a1y2", not GetBool("savegame.mod.a1y2"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(-30,630)
if GetBool("savegame.mod.a1u2") then
    UiPush()
        UiTranslate(40,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.a1u2", not GetBool("savegame.mod.a1u2"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(290,630)
if GetBool("savegame.mod.a1i2") then
UiPush()
UiTranslate(-45,-30)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
if 	UiTextButton("O", 40, 40) then
SetBool("savegame.mod.a1i2", not GetBool("savegame.mod.a1i2"))
PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(-30,670)
if GetBool("savegame.mod.a1o2") then
    UiPush()
        UiTranslate(40,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.a1o2", not GetBool("savegame.mod.a1o2"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(290,670)
if GetBool("savegame.mod.a1p2") then
UiPush()
UiTranslate(-45,-30)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
if 	UiTextButton("X", 40, 40) then
SetBool("savegame.mod.a1p2", not GetBool("savegame.mod.a1p2"))
PlaySound(snd)
end

UiPop()
        UiTranslate(400,0)
        local resetButton = UiTextButton("Reset Lights", 200, 50)
        if resetButton then
            SetBool("savegame.mod.aq2")  
            SetBool("savegame.mod.aw2")  
            SetBool("savegame.mod.ae2")  
            SetBool("savegame.mod.ar2")  
            SetBool("savegame.mod.at2")  
            SetBool("savegame.mod.ay2")  
            SetBool("savegame.mod.au2")  
            SetBool("savegame.mod.ai2")  
            SetBool("savegame.mod.ao2")  
            SetBool("savegame.mod.ap2") 
            SetBool("savegame.mod.aa2") 
            SetBool("savegame.mod.as2") 
            SetBool("savegame.mod.ad2") 
            SetBool("savegame.mod.af2")  
            SetBool("savegame.mod.ag2")  
            SetBool("savegame.mod.ah2")  
            SetBool("savegame.mod.aj2")  
            SetBool("savegame.mod.ak2")  
            SetBool("savegame.mod.al2")  
            SetBool("savegame.mod.az2")  
            SetBool("savegame.mod.ax2")  
            SetBool("savegame.mod.ac2")  
            SetBool("savegame.mod.av2")  
            SetBool("savegame.mod.ab2") 
            SetBool("savegame.mod.an2")  
            SetBool("savegame.mod.am2")  
            SetBool("savegame.mod.a1q2")  
            SetBool("savegame.mod.a1w2")  
            SetBool("savegame.mod.a1e2")  
            SetBool("savegame.mod.a1r2") 
            SetBool("savegame.mod.a1t2")  
            SetBool("savegame.mod.a1y2")  
            SetBool("savegame.mod.a1u2")  
            SetBool("savegame.mod.a1i2")  
            SetBool("savegame.mod.a1o2")  
            SetBool("savegame.mod.a1p2")    
            PlaySound(snd)
        end
    end
    UiPop()


  




    UiPush()
    if GetInt("savegame.mod.time") == 10 then
        UiPush()
        UiTranslate(20,-125)
        UiImage("ui/common/dot.png")
        UiPop()
        UiTranslate(50,50)
        UiButtonImageBox("MOD/images/box-outline-6.png", 6, 6)

--light button
        UiPush()
        UiTranslate(15,20)
        if GetBool("savegame.mod.aq3") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.aq3", not GetBool("savegame.mod.aq3"))
            PlaySound(snd)
        end

        UiPop()
--light button



UiPush()
UiTranslate(250,20)
if GetBool("savegame.mod.aw3") then
    UiPush()
        UiTranslate(-50,-30)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.aw3", not GetBool("savegame.mod.aw3"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(55,-40)
if GetBool("savegame.mod.ae3") then
    UiPush()
        UiTranslate(40,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ae3", not GetBool("savegame.mod.ae3"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(215,-40)
if GetBool("savegame.mod.ar3") then
    UiPush()
        UiTranslate(-50,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ar3", not GetBool("savegame.mod.ar3"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(55,-80)
if GetBool("savegame.mod.at3") then
    UiPush()
        UiTranslate(40,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.at3", not GetBool("savegame.mod.at3"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(215,-80)
if GetBool("savegame.mod.ay3") then
    UiPush()
        UiTranslate(-50,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ay3", not GetBool("savegame.mod.ay3"))
    PlaySound(snd)
end

UiPop()

UiPush()
UiTranslate(25,235)
if GetBool("savegame.mod.au3") then
    UiPush()
        UiTranslate(20,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.au3", not GetBool("savegame.mod.au3"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(53,235)
if GetBool("savegame.mod.ai3") then
    UiPush()
        UiTranslate(15,-47)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ai3", not GetBool("savegame.mod.ai3"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(78,235)
if GetBool("savegame.mod.ao3") then
    UiPush()
        UiTranslate(8,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ao3", not GetBool("savegame.mod.ao3"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(104,235)
if GetBool("savegame.mod.ap3") then
    UiPush()
        UiTranslate(5,-47)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ap3", not GetBool("savegame.mod.ap3"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(128,235)
if GetBool("savegame.mod.aa3") then
    UiPush()
        UiTranslate(4,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.aa3", not GetBool("savegame.mod.aa3"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(156,235)
if GetBool("savegame.mod.as3") then
    UiPush()
        UiTranslate(-2,-47)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.as3", not GetBool("savegame.mod.as3"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(184,235)
if GetBool("savegame.mod.ad3") then
    UiPush()
        UiTranslate(-8,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ad3", not GetBool("savegame.mod.ad3"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(212,235)
if GetBool("savegame.mod.af3") then
    UiPush()
        UiTranslate(-14,-47)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.af3", not GetBool("savegame.mod.af3"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(240,235)
if GetBool("savegame.mod.ag3") then
    UiPush()
        UiTranslate(-20,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ag3", not GetBool("savegame.mod.ag3"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-45,270)
if GetBool("savegame.mod.ah3") then
    UiPush()
        UiTranslate(45,-25)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ah3", not GetBool("savegame.mod.ah3"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-45,310)
if GetBool("savegame.mod.aj3") then
    UiPush()
        UiTranslate(45,-25)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.aj3", not GetBool("savegame.mod.aj3"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-45,518)
if GetBool("savegame.mod.ak3") then
    UiPush()
        UiTranslate(45,-25)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ak3", not GetBool("savegame.mod.ak3"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-45,558)
if GetBool("savegame.mod.al3") then
    UiPush()
        UiTranslate(45,-25)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.al3", not GetBool("savegame.mod.al3"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(295,270)
if GetBool("savegame.mod.az3") then
    UiPush()
        UiTranslate(-25,-25)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.az3", not GetBool("savegame.mod.az3"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(295,310)
if GetBool("savegame.mod.ax3") then
    UiPush()
        UiTranslate(-25,-25)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ax3", not GetBool("savegame.mod.ax3"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(295,518)
if GetBool("savegame.mod.ac3") then
    UiPush()
        UiTranslate(-25,-25)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ac3", not GetBool("savegame.mod.ac3"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(295,558)
if GetBool("savegame.mod.av3") then
    UiPush()
        UiTranslate(-25,-25)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.av3", not GetBool("savegame.mod.av3"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(22,590)
if GetBool("savegame.mod.ab3") then
    UiPush()
        UiTranslate(24,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ab3", not GetBool("savegame.mod.ab3"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(50,590)
if GetBool("savegame.mod.an3") then
    UiPush()
        UiTranslate(17,7)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.an3", not GetBool("savegame.mod.an3"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(76,590)
if GetBool("savegame.mod.am3") then
    UiPush()
        UiTranslate(13,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.am3", not GetBool("savegame.mod.am3"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(101,590)
if GetBool("savegame.mod.a1q3") then
    UiPush()
        UiTranslate(10,7)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.a1q3", not GetBool("savegame.mod.a1q3"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(128,590)
if GetBool("savegame.mod.a1w3") then
    UiPush()
        UiTranslate(5,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.a1w3", not GetBool("savegame.mod.a1w3"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(156,590)
if GetBool("savegame.mod.a1e3") then
    UiPush()
        UiTranslate(-2,7)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.a1e3", not GetBool("savegame.mod.a1e3"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(184,590)
if GetBool("savegame.mod.a1r3") then
    UiPush()
        UiTranslate(-8,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.a1r3", not GetBool("savegame.mod.a1r3"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(212,590)
if GetBool("savegame.mod.a1t3") then
    UiPush()
        UiTranslate(-14,7)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.a1t3", not GetBool("savegame.mod.a1t3"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(240,590)
if GetBool("savegame.mod.a1y3") then
    UiPush()
        UiTranslate(-20,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.a1y3", not GetBool("savegame.mod.a1y3"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(-30,630)
if GetBool("savegame.mod.a1u3") then
    UiPush()
        UiTranslate(40,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.a1u3", not GetBool("savegame.mod.a1u3"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(290,630)
if GetBool("savegame.mod.a1i3") then
UiPush()
UiTranslate(-45,-30)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
if 	UiTextButton("O", 40, 40) then
SetBool("savegame.mod.a1i3", not GetBool("savegame.mod.a1i3"))
PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(-30,670)
if GetBool("savegame.mod.a1o3") then
    UiPush()
        UiTranslate(40,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.a1o3", not GetBool("savegame.mod.a1o3"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(290,670)
if GetBool("savegame.mod.a1p3") then
UiPush()
UiTranslate(-45,-30)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
if 	UiTextButton("X", 40, 40) then
SetBool("savegame.mod.a1p3", not GetBool("savegame.mod.a1p3"))
PlaySound(snd)
end

UiPop()
        UiTranslate(400,0)
        local resetButton = UiTextButton("Reset Lights", 200, 50)
        if resetButton then
            SetBool("savegame.mod.aq3")  
            SetBool("savegame.mod.aw3")  
            SetBool("savegame.mod.ae3")  
            SetBool("savegame.mod.ar3")  
            SetBool("savegame.mod.at3")  
            SetBool("savegame.mod.ay3")  
            SetBool("savegame.mod.au3")  
            SetBool("savegame.mod.ai3")  
            SetBool("savegame.mod.ao3")  
            SetBool("savegame.mod.ap3") 
            SetBool("savegame.mod.aa3") 
            SetBool("savegame.mod.as3") 
            SetBool("savegame.mod.ad3") 
            SetBool("savegame.mod.af3")  
            SetBool("savegame.mod.ag3")  
            SetBool("savegame.mod.ah3")  
            SetBool("savegame.mod.aj3")  
            SetBool("savegame.mod.ak3")  
            SetBool("savegame.mod.al3")  
            SetBool("savegame.mod.az3")  
            SetBool("savegame.mod.ax3")  
            SetBool("savegame.mod.ac3")  
            SetBool("savegame.mod.av3")  
            SetBool("savegame.mod.ab3") 
            SetBool("savegame.mod.an3")  
            SetBool("savegame.mod.am3")  
            SetBool("savegame.mod.a1q3")  
            SetBool("savegame.mod.a1w3")  
            SetBool("savegame.mod.a1e3")  
            SetBool("savegame.mod.a1r3") 
            SetBool("savegame.mod.a1t3")  
            SetBool("savegame.mod.a1y3")  
            SetBool("savegame.mod.a1u3")  
            SetBool("savegame.mod.a1i3")  
            SetBool("savegame.mod.a1o3")  
            SetBool("savegame.mod.a1p3")  
            PlaySound(snd)  
        end
    end
    UiPop()

 





    UiPush()
    if GetInt("savegame.mod.time") == 15 then
        UiPush()
        UiTranslate(70,-125)
        UiImage("ui/common/dot.png")
        UiPop()
        UiTranslate(50,50)
        UiButtonImageBox("MOD/images/box-outline-6.png", 6, 6)

--light button
        UiPush()
        UiTranslate(15,20)
        if GetBool("savegame.mod.aq4") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.aq4", not GetBool("savegame.mod.aq4"))
            PlaySound(snd)
        end

        UiPop()
--light button



UiPush()
UiTranslate(250,20)
if GetBool("savegame.mod.aw4") then
    UiPush()
        UiTranslate(-50,-30)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.aw4", not GetBool("savegame.mod.aw4"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(55,-40)
if GetBool("savegame.mod.ae4") then
    UiPush()
        UiTranslate(40,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ae4", not GetBool("savegame.mod.ae4"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(215,-40)
if GetBool("savegame.mod.ar4") then
    UiPush()
        UiTranslate(-50,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ar4", not GetBool("savegame.mod.ar4"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(55,-80)
if GetBool("savegame.mod.at4") then
    UiPush()
        UiTranslate(40,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.at4", not GetBool("savegame.mod.at4"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(215,-80)
if GetBool("savegame.mod.ay4") then
    UiPush()
        UiTranslate(-50,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ay4", not GetBool("savegame.mod.ay4"))
    PlaySound(snd)
end

UiPop()

UiPush()
UiTranslate(25,235)
if GetBool("savegame.mod.au4") then
    UiPush()
        UiTranslate(20,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.au4", not GetBool("savegame.mod.au4"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(53,235)
if GetBool("savegame.mod.ai4") then
    UiPush()
        UiTranslate(15,-47)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ai4", not GetBool("savegame.mod.ai4"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(78,235)
if GetBool("savegame.mod.ao4") then
    UiPush()
        UiTranslate(8,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ao4", not GetBool("savegame.mod.ao4"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(104,235)
if GetBool("savegame.mod.ap4") then
    UiPush()
        UiTranslate(5,-47)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ap4", not GetBool("savegame.mod.ap4"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(128,235)
if GetBool("savegame.mod.aa4") then
    UiPush()
        UiTranslate(4,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.aa4", not GetBool("savegame.mod.aa4"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(156,235)
if GetBool("savegame.mod.as4") then
    UiPush()
        UiTranslate(-2,-47)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.as4", not GetBool("savegame.mod.as4"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(184,235)
if GetBool("savegame.mod.ad4") then
    UiPush()
        UiTranslate(-8,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ad4", not GetBool("savegame.mod.ad4"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(212,235)
if GetBool("savegame.mod.af4") then
    UiPush()
        UiTranslate(-14,-47)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.af4", not GetBool("savegame.mod.af4"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(240,235)
if GetBool("savegame.mod.ag4") then
    UiPush()
        UiTranslate(-20,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ag4", not GetBool("savegame.mod.ag4"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-45,270)
if GetBool("savegame.mod.ah4") then
    UiPush()
        UiTranslate(45,-25)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ah4", not GetBool("savegame.mod.ah4"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-45,310)
if GetBool("savegame.mod.aj4") then
    UiPush()
        UiTranslate(45,-25)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.aj4", not GetBool("savegame.mod.aj4"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-45,518)
if GetBool("savegame.mod.ak4") then
    UiPush()
        UiTranslate(45,-25)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ak4", not GetBool("savegame.mod.ak4"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-45,558)
if GetBool("savegame.mod.al4") then
    UiPush()
        UiTranslate(45,-25)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.al4", not GetBool("savegame.mod.al4"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(295,270)
if GetBool("savegame.mod.az4") then
    UiPush()
        UiTranslate(-25,-25)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.az4", not GetBool("savegame.mod.az4"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(295,310)
if GetBool("savegame.mod.ax4") then
    UiPush()
        UiTranslate(-25,-25)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ax4", not GetBool("savegame.mod.ax4"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(295,518)
if GetBool("savegame.mod.ac4") then
    UiPush()
        UiTranslate(-25,-25)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ac4", not GetBool("savegame.mod.ac4"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(295,558)
if GetBool("savegame.mod.av4") then
    UiPush()
        UiTranslate(-25,-25)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.av4", not GetBool("savegame.mod.av4"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(22,590)
if GetBool("savegame.mod.ab4") then
    UiPush()
        UiTranslate(24,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ab4", not GetBool("savegame.mod.ab4"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(50,590)
if GetBool("savegame.mod.an4") then
    UiPush()
        UiTranslate(17,7)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.an4", not GetBool("savegame.mod.an4"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(76,590)
if GetBool("savegame.mod.am4") then
    UiPush()
        UiTranslate(13,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.am4", not GetBool("savegame.mod.am4"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(101,590)
if GetBool("savegame.mod.a1q4") then
    UiPush()
        UiTranslate(10,7)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.a1q4", not GetBool("savegame.mod.a1q4"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(128,590)
if GetBool("savegame.mod.a1w4") then
    UiPush()
        UiTranslate(5,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.a1w4", not GetBool("savegame.mod.a1w4"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(156,590)
if GetBool("savegame.mod.a1e4") then
    UiPush()
        UiTranslate(-2,7)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.a1e4", not GetBool("savegame.mod.a1e4"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(184,590)
if GetBool("savegame.mod.a1r4") then
    UiPush()
        UiTranslate(-8,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.a1r4", not GetBool("savegame.mod.a1r4"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(212,590)
if GetBool("savegame.mod.a1t4") then
    UiPush()
        UiTranslate(-14,7)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.a1t4", not GetBool("savegame.mod.a1t4"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(240,590)
if GetBool("savegame.mod.a1y4") then
    UiPush()
        UiTranslate(-20,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.a1y4", not GetBool("savegame.mod.a1y4"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(-30,630)
if GetBool("savegame.mod.a1u4") then
    UiPush()
        UiTranslate(40,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.a1u4", not GetBool("savegame.mod.a1u4"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(290,630)
if GetBool("savegame.mod.a1i4") then
UiPush()
UiTranslate(-45,-30)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
if 	UiTextButton("O", 40, 40) then
SetBool("savegame.mod.a1i4", not GetBool("savegame.mod.a1i4"))
PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(-30,670)
if GetBool("savegame.mod.a1o4") then
    UiPush()
        UiTranslate(40,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.a1o4", not GetBool("savegame.mod.a1o4"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(290,670)
if GetBool("savegame.mod.a1p4") then
UiPush()
UiTranslate(-45,-30)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
if 	UiTextButton("X", 40, 40) then
SetBool("savegame.mod.a1p4", not GetBool("savegame.mod.a1p4"))
PlaySound(snd)
end

UiPop()
        UiTranslate(400,0)
        local resetButton = UiTextButton("Reset Lights", 200, 50)
        if resetButton then
            SetBool("savegame.mod.aq4")  
            SetBool("savegame.mod.aw4")  
            SetBool("savegame.mod.ae4")  
            SetBool("savegame.mod.ar4")  
            SetBool("savegame.mod.at4")  
            SetBool("savegame.mod.ay4")  
            SetBool("savegame.mod.au4")  
            SetBool("savegame.mod.ai4")  
            SetBool("savegame.mod.ao4")  
            SetBool("savegame.mod.ap4") 
            SetBool("savegame.mod.aa4") 
            SetBool("savegame.mod.as4") 
            SetBool("savegame.mod.ad4") 
            SetBool("savegame.mod.af4")  
            SetBool("savegame.mod.ag4")  
            SetBool("savegame.mod.ah4")  
            SetBool("savegame.mod.aj4")  
            SetBool("savegame.mod.ak4")  
            SetBool("savegame.mod.al4")  
            SetBool("savegame.mod.az4")  
            SetBool("savegame.mod.ax4")  
            SetBool("savegame.mod.ac4")  
            SetBool("savegame.mod.av4")  
            SetBool("savegame.mod.ab4") 
            SetBool("savegame.mod.an4")  
            SetBool("savegame.mod.am4")  
            SetBool("savegame.mod.a1q4")  
            SetBool("savegame.mod.a1w4")  
            SetBool("savegame.mod.a1e4")  
            SetBool("savegame.mod.a1r4") 
            SetBool("savegame.mod.a1t4")  
            SetBool("savegame.mod.a1y4")  
            SetBool("savegame.mod.a1u4")  
            SetBool("savegame.mod.a1i4")  
            SetBool("savegame.mod.a1o4")  
            SetBool("savegame.mod.a1p4") 
            PlaySound(snd)   
        end
    end
    UiPop()



    UiPush()
    if GetInt("savegame.mod.time") == 20 then
        UiPush()
        UiTranslate(125,-125)
        UiImage("ui/common/dot.png")
        UiPop()
        UiTranslate(50,50)
        UiButtonImageBox("MOD/images/box-outline-6.png", 6, 6)

--light button
        UiPush()
        UiTranslate(15,20)
        if GetBool("savegame.mod.aq5") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.aq5", not GetBool("savegame.mod.aq5"))
            PlaySound(snd)
        end

        UiPop()
--light button



UiPush()
UiTranslate(250,20)
if GetBool("savegame.mod.aw5") then
    UiPush()
        UiTranslate(-50,-30)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.aw5", not GetBool("savegame.mod.aw5"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(55,-40)
if GetBool("savegame.mod.ae5") then
    UiPush()
        UiTranslate(40,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ae5", not GetBool("savegame.mod.ae5"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(215,-40)
if GetBool("savegame.mod.ar5") then
    UiPush()
        UiTranslate(-50,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ar5", not GetBool("savegame.mod.ar5"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(55,-80)
if GetBool("savegame.mod.at5") then
    UiPush()
        UiTranslate(40,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.at5", not GetBool("savegame.mod.at5"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(215,-80)
if GetBool("savegame.mod.ay5") then
    UiPush()
        UiTranslate(-50,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ay5", not GetBool("savegame.mod.ay5"))
    PlaySound(snd)
end

UiPop()

UiPush()
UiTranslate(25,235)
if GetBool("savegame.mod.au5") then
    UiPush()
        UiTranslate(20,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.au5", not GetBool("savegame.mod.au5"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(53,235)
if GetBool("savegame.mod.ai5") then
    UiPush()
        UiTranslate(15,-47)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ai5", not GetBool("savegame.mod.ai5"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(78,235)
if GetBool("savegame.mod.ao5") then
    UiPush()
        UiTranslate(8,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ao5", not GetBool("savegame.mod.ao5"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(104,235)
if GetBool("savegame.mod.ap5") then
    UiPush()
        UiTranslate(5,-47)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ap5", not GetBool("savegame.mod.ap5"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(128,235)
if GetBool("savegame.mod.aa5") then
    UiPush()
        UiTranslate(4,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.aa5", not GetBool("savegame.mod.aa5"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(156,235)
if GetBool("savegame.mod.as5") then
    UiPush()
        UiTranslate(-2,-47)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.as5", not GetBool("savegame.mod.as5"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(184,235)
if GetBool("savegame.mod.ad5") then
    UiPush()
        UiTranslate(-8,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ad5", not GetBool("savegame.mod.ad5"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(212,235)
if GetBool("savegame.mod.af5") then
    UiPush()
        UiTranslate(-14,-47)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.af5", not GetBool("savegame.mod.af5"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(240,235)
if GetBool("savegame.mod.ag5") then
    UiPush()
        UiTranslate(-20,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ag5", not GetBool("savegame.mod.ag5"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-45,270)
if GetBool("savegame.mod.ah5") then
    UiPush()
        UiTranslate(45,-25)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ah5", not GetBool("savegame.mod.ah5"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-45,310)
if GetBool("savegame.mod.aj5") then
    UiPush()
        UiTranslate(45,-25)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.aj5", not GetBool("savegame.mod.aj5"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-45,518)
if GetBool("savegame.mod.ak5") then
    UiPush()
        UiTranslate(45,-25)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ak5", not GetBool("savegame.mod.ak5"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-45,558)
if GetBool("savegame.mod.al5") then
    UiPush()
        UiTranslate(45,-25)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.al5", not GetBool("savegame.mod.al5"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(295,270)
if GetBool("savegame.mod.az5") then
    UiPush()
        UiTranslate(-25,-25)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.az5", not GetBool("savegame.mod.az5"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(295,310)
if GetBool("savegame.mod.ax5") then
    UiPush()
        UiTranslate(-25,-25)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ax5", not GetBool("savegame.mod.ax5"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(295,518)
if GetBool("savegame.mod.ac5") then
    UiPush()
        UiTranslate(-25,-25)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ac5", not GetBool("savegame.mod.ac5"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(295,558)
if GetBool("savegame.mod.av5") then
    UiPush()
        UiTranslate(-25,-25)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.av5", not GetBool("savegame.mod.av5"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(22,590)
if GetBool("savegame.mod.ab5") then
    UiPush()
        UiTranslate(24,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ab5", not GetBool("savegame.mod.ab5"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(50,590)
if GetBool("savegame.mod.an5") then
    UiPush()
        UiTranslate(17,7)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.an5", not GetBool("savegame.mod.an5"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(76,590)
if GetBool("savegame.mod.am5") then
    UiPush()
        UiTranslate(13,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.am5", not GetBool("savegame.mod.am5"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(101,590)
if GetBool("savegame.mod.a1q5") then
    UiPush()
        UiTranslate(10,7)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.a1q5", not GetBool("savegame.mod.a1q5"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(128,590)
if GetBool("savegame.mod.a1w5") then
    UiPush()
        UiTranslate(5,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.a1w5", not GetBool("savegame.mod.a1w5"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(156,590)
if GetBool("savegame.mod.a1e5") then
    UiPush()
        UiTranslate(-2,7)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.a1e5", not GetBool("savegame.mod.a1e5"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(184,590)
if GetBool("savegame.mod.a1r5") then
    UiPush()
        UiTranslate(-8,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.a1r5", not GetBool("savegame.mod.a1r5"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(212,590)
if GetBool("savegame.mod.a1t5") then
    UiPush()
        UiTranslate(-14,7)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.a1t5", not GetBool("savegame.mod.a1t5"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(240,590)
if GetBool("savegame.mod.a1y5") then
    UiPush()
        UiTranslate(-20,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.a1y5", not GetBool("savegame.mod.a1y5"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(-30,630)
if GetBool("savegame.mod.a1u5") then
    UiPush()
        UiTranslate(40,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.a1u5", not GetBool("savegame.mod.a1u5"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(290,630)
if GetBool("savegame.mod.a1i5") then
UiPush()
UiTranslate(-45,-30)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
if 	UiTextButton("O", 40, 40) then
SetBool("savegame.mod.a1i5", not GetBool("savegame.mod.a1i5"))
PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(-30,670)
if GetBool("savegame.mod.a1o5") then
    UiPush()
        UiTranslate(40,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.a1o5", not GetBool("savegame.mod.a1o5"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(290,670)
if GetBool("savegame.mod.a1p5") then
UiPush()
UiTranslate(-45,-30)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
if 	UiTextButton("X", 40, 40) then
SetBool("savegame.mod.a1p5", not GetBool("savegame.mod.a1p5"))
PlaySound(snd)
end

UiPop()
        UiTranslate(400,0)
        local resetButton = UiTextButton("Reset Lights", 200, 50)
        if resetButton then
            SetBool("savegame.mod.aq5")  
            SetBool("savegame.mod.aw5")  
            SetBool("savegame.mod.ae5")  
            SetBool("savegame.mod.ar5")  
            SetBool("savegame.mod.at5")  
            SetBool("savegame.mod.ay5")  
            SetBool("savegame.mod.au5")  
            SetBool("savegame.mod.ai5")  
            SetBool("savegame.mod.ao5")  
            SetBool("savegame.mod.ap5") 
            SetBool("savegame.mod.aa5") 
            SetBool("savegame.mod.as5") 
            SetBool("savegame.mod.ad5") 
            SetBool("savegame.mod.af5")  
            SetBool("savegame.mod.ag5")  
            SetBool("savegame.mod.ah5")  
            SetBool("savegame.mod.aj5")  
            SetBool("savegame.mod.ak5")  
            SetBool("savegame.mod.al5")  
            SetBool("savegame.mod.az5")  
            SetBool("savegame.mod.ax5")  
            SetBool("savegame.mod.ac5")  
            SetBool("savegame.mod.av5")  
            SetBool("savegame.mod.ab5") 
            SetBool("savegame.mod.an5")  
            SetBool("savegame.mod.am5")  
            SetBool("savegame.mod.a1q5")  
            SetBool("savegame.mod.a1w5")  
            SetBool("savegame.mod.a1e5")  
            SetBool("savegame.mod.a1r5") 
            SetBool("savegame.mod.a1t5")  
            SetBool("savegame.mod.a1y5")  
            SetBool("savegame.mod.a1u5")  
            SetBool("savegame.mod.a1i5")  
            SetBool("savegame.mod.a1o5")  
            SetBool("savegame.mod.a1p5")   
            PlaySound(snd) 
        end
    end
    UiPop()

    



    UiPush()
    if GetInt("savegame.mod.time") == 25 then
        UiPush()
        UiTranslate(178,-125)
        UiImage("ui/common/dot.png")
        UiPop()
        UiTranslate(50,50)
        UiButtonImageBox("MOD/images/box-outline-6.png", 6, 6)

--light button
        UiPush()
        UiTranslate(15,20)
        if GetBool("savegame.mod.aq6") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.aq6", not GetBool("savegame.mod.aq6"))
            PlaySound(snd)
        end

        UiPop()
--light button



UiPush()
UiTranslate(250,20)
if GetBool("savegame.mod.aw6") then
    UiPush()
        UiTranslate(-50,-30)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.aw6", not GetBool("savegame.mod.aw6"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(55,-40)
if GetBool("savegame.mod.ae6") then
    UiPush()
        UiTranslate(40,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ae6", not GetBool("savegame.mod.ae6"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(215,-40)
if GetBool("savegame.mod.ar6") then
    UiPush()
        UiTranslate(-50,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ar6", not GetBool("savegame.mod.ar6"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(55,-80)
if GetBool("savegame.mod.at6") then
    UiPush()
        UiTranslate(40,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.at6", not GetBool("savegame.mod.at6"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(215,-80)
if GetBool("savegame.mod.ay6") then
    UiPush()
        UiTranslate(-50,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ay6", not GetBool("savegame.mod.ay6"))
    PlaySound(snd)
end

UiPop()

UiPush()
UiTranslate(25,235)
if GetBool("savegame.mod.au6") then
    UiPush()
        UiTranslate(20,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.au6", not GetBool("savegame.mod.au6"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(53,235)
if GetBool("savegame.mod.ai6") then
    UiPush()
        UiTranslate(15,-47)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ai6", not GetBool("savegame.mod.ai6"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(78,235)
if GetBool("savegame.mod.ao6") then
    UiPush()
        UiTranslate(8,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ao6", not GetBool("savegame.mod.ao6"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(104,235)
if GetBool("savegame.mod.ap6") then
    UiPush()
        UiTranslate(5,-47)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ap6", not GetBool("savegame.mod.ap6"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(128,235)
if GetBool("savegame.mod.aa6") then
    UiPush()
        UiTranslate(4,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.aa6", not GetBool("savegame.mod.aa6"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(156,235)
if GetBool("savegame.mod.as6") then
    UiPush()
        UiTranslate(-2,-47)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.as6", not GetBool("savegame.mod.as6"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(184,235)
if GetBool("savegame.mod.ad6") then
    UiPush()
        UiTranslate(-8,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ad6", not GetBool("savegame.mod.ad6"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(212,235)
if GetBool("savegame.mod.af6") then
    UiPush()
        UiTranslate(-14,-47)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.af6", not GetBool("savegame.mod.af6"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(240,235)
if GetBool("savegame.mod.ag6") then
    UiPush()
        UiTranslate(-20,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ag6", not GetBool("savegame.mod.ag6"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-45,270)
if GetBool("savegame.mod.ah6") then
    UiPush()
        UiTranslate(45,-25)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ah6", not GetBool("savegame.mod.ah6"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-45,310)
if GetBool("savegame.mod.aj6") then
    UiPush()
        UiTranslate(45,-25)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.aj6", not GetBool("savegame.mod.aj6"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-45,518)
if GetBool("savegame.mod.ak6") then
    UiPush()
        UiTranslate(45,-25)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ak6", not GetBool("savegame.mod.ak6"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-45,558)
if GetBool("savegame.mod.al6") then
    UiPush()
        UiTranslate(45,-25)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.al6", not GetBool("savegame.mod.al6"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(295,270)
if GetBool("savegame.mod.az6") then
    UiPush()
        UiTranslate(-25,-25)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.az6", not GetBool("savegame.mod.az6"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(295,310)
if GetBool("savegame.mod.ax6") then
    UiPush()
        UiTranslate(-25,-25)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ax6", not GetBool("savegame.mod.ax6"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(295,518)
if GetBool("savegame.mod.ac6") then
    UiPush()
        UiTranslate(-25,-25)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ac6", not GetBool("savegame.mod.ac6"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(295,558)
if GetBool("savegame.mod.av6") then
    UiPush()
        UiTranslate(-25,-25)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.av6", not GetBool("savegame.mod.av6"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(22,590)
if GetBool("savegame.mod.ab6") then
    UiPush()
        UiTranslate(24,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ab6", not GetBool("savegame.mod.ab6"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(50,590)
if GetBool("savegame.mod.an6") then
    UiPush()
        UiTranslate(17,7)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.an6", not GetBool("savegame.mod.an6"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(76,590)
if GetBool("savegame.mod.am6") then
    UiPush()
        UiTranslate(13,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.am6", not GetBool("savegame.mod.am6"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(101,590)
if GetBool("savegame.mod.a1q6") then
    UiPush()
        UiTranslate(10,7)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.a1q6", not GetBool("savegame.mod.a1q6"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(128,590)
if GetBool("savegame.mod.a1w6") then
    UiPush()
        UiTranslate(5,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.a1w6", not GetBool("savegame.mod.a1w6"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(156,590)
if GetBool("savegame.mod.a1e6") then
    UiPush()
        UiTranslate(-2,7)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.a1e6", not GetBool("savegame.mod.a1e6"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(184,590)
if GetBool("savegame.mod.a1r6") then
    UiPush()
        UiTranslate(-8,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.a1r6", not GetBool("savegame.mod.a1r6"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(212,590)
if GetBool("savegame.mod.a1t6") then
    UiPush()
        UiTranslate(-14,7)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.a1t6", not GetBool("savegame.mod.a1t6"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(240,590)
if GetBool("savegame.mod.a1y6") then
    UiPush()
        UiTranslate(-20,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.a1y6", not GetBool("savegame.mod.a1y6"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(-30,630)
if GetBool("savegame.mod.a1u6") then
    UiPush()
        UiTranslate(40,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.a1u6", not GetBool("savegame.mod.a1u6"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(290,630)
if GetBool("savegame.mod.a1i6") then
UiPush()
UiTranslate(-45,-30)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
if 	UiTextButton("O", 40, 40) then
SetBool("savegame.mod.a1i6", not GetBool("savegame.mod.a1i6"))
PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(-30,670)
if GetBool("savegame.mod.a1o6") then
    UiPush()
        UiTranslate(40,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.a1o6", not GetBool("savegame.mod.a1o6"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(290,670)
if GetBool("savegame.mod.a1p6") then
UiPush()
UiTranslate(-45,-30)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
if 	UiTextButton("X", 40, 40) then
SetBool("savegame.mod.a1p6", not GetBool("savegame.mod.a1p6"))
PlaySound(snd)
end

UiPop()
        UiTranslate(400,0)
        local resetButton = UiTextButton("Reset Lights", 200, 50)
        if resetButton then
            SetBool("savegame.mod.aq6")  
            SetBool("savegame.mod.aw6")  
            SetBool("savegame.mod.ae6")  
            SetBool("savegame.mod.ar6")  
            SetBool("savegame.mod.at6")  
            SetBool("savegame.mod.ay6")  
            SetBool("savegame.mod.au6")  
            SetBool("savegame.mod.ai6")  
            SetBool("savegame.mod.ao6")  
            SetBool("savegame.mod.ap6") 
            SetBool("savegame.mod.aa6") 
            SetBool("savegame.mod.as6") 
            SetBool("savegame.mod.ad6") 
            SetBool("savegame.mod.af6")  
            SetBool("savegame.mod.ag6")  
            SetBool("savegame.mod.ah6")  
            SetBool("savegame.mod.aj6")  
            SetBool("savegame.mod.ak6")  
            SetBool("savegame.mod.al6")  
            SetBool("savegame.mod.az6")  
            SetBool("savegame.mod.ax6")  
            SetBool("savegame.mod.ac6")  
            SetBool("savegame.mod.av6")  
            SetBool("savegame.mod.ab6") 
            SetBool("savegame.mod.an6")  
            SetBool("savegame.mod.am6")  
            SetBool("savegame.mod.a1q6")  
            SetBool("savegame.mod.a1w6")  
            SetBool("savegame.mod.a1e6")  
            SetBool("savegame.mod.a1r6") 
            SetBool("savegame.mod.a1t6")  
            SetBool("savegame.mod.a1y6")  
            SetBool("savegame.mod.a1u6")  
            SetBool("savegame.mod.a1i6")  
            SetBool("savegame.mod.a1o6")  
            SetBool("savegame.mod.a1p6")   
            PlaySound(snd) 
        end
    end
    UiPop()


 

    UiPush()
    if GetInt("savegame.mod.time") == 30 then
        UiPush()
        UiTranslate(230,-125)
        UiImage("ui/common/dot.png")
        UiPop()
        UiTranslate(50,50)
        UiButtonImageBox("MOD/images/box-outline-6.png", 6, 6)

--light button
        UiPush()
        UiTranslate(15,20)
        if GetBool("savegame.mod.aq7") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.aq7", not GetBool("savegame.mod.aq7"))
            PlaySound(snd)
        end

        UiPop()
--light button



UiPush()
UiTranslate(250,20)
if GetBool("savegame.mod.aw7") then
    UiPush()
        UiTranslate(-50,-30)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.aw7", not GetBool("savegame.mod.aw7"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(55,-40)
if GetBool("savegame.mod.ae7") then
    UiPush()
        UiTranslate(40,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ae7", not GetBool("savegame.mod.ae7"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(215,-40)
if GetBool("savegame.mod.ar7") then
    UiPush()
        UiTranslate(-50,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ar7", not GetBool("savegame.mod.ar7"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(55,-80)
if GetBool("savegame.mod.at7") then
    UiPush()
        UiTranslate(40,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.at7", not GetBool("savegame.mod.at7"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(215,-80)
if GetBool("savegame.mod.ay7") then
    UiPush()
        UiTranslate(-50,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ay7", not GetBool("savegame.mod.ay7"))
    PlaySound(snd)
end

UiPop()

UiPush()
UiTranslate(25,235)
if GetBool("savegame.mod.au7") then
    UiPush()
        UiTranslate(20,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.au7", not GetBool("savegame.mod.au7"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(53,235)
if GetBool("savegame.mod.ai7") then
    UiPush()
        UiTranslate(15,-47)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ai7", not GetBool("savegame.mod.ai7"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(78,235)
if GetBool("savegame.mod.ao7") then
    UiPush()
        UiTranslate(8,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ao7", not GetBool("savegame.mod.ao7"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(104,235)
if GetBool("savegame.mod.ap7") then
    UiPush()
        UiTranslate(5,-47)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ap7", not GetBool("savegame.mod.ap7"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(128,235)
if GetBool("savegame.mod.aa7") then
    UiPush()
        UiTranslate(4,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.aa7", not GetBool("savegame.mod.aa7"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(156,235)
if GetBool("savegame.mod.as7") then
    UiPush()
        UiTranslate(-2,-47)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.as7", not GetBool("savegame.mod.as7"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(184,235)
if GetBool("savegame.mod.ad7") then
    UiPush()
        UiTranslate(-8,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ad7", not GetBool("savegame.mod.ad7"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(212,235)
if GetBool("savegame.mod.af7") then
    UiPush()
        UiTranslate(-14,-47)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.af7", not GetBool("savegame.mod.af7"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(240,235)
if GetBool("savegame.mod.ag7") then
    UiPush()
        UiTranslate(-20,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ag7", not GetBool("savegame.mod.ag7"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-45,270)
if GetBool("savegame.mod.ah7") then
    UiPush()
        UiTranslate(45,-25)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ah7", not GetBool("savegame.mod.ah7"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-45,310)
if GetBool("savegame.mod.aj7") then
    UiPush()
        UiTranslate(45,-25)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.aj7", not GetBool("savegame.mod.aj7"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-45,518)
if GetBool("savegame.mod.ak7") then
    UiPush()
        UiTranslate(45,-25)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ak7", not GetBool("savegame.mod.ak7"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-45,558)
if GetBool("savegame.mod.al7") then
    UiPush()
        UiTranslate(45,-25)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.al7", not GetBool("savegame.mod.al7"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(295,270)
if GetBool("savegame.mod.az7") then
    UiPush()
        UiTranslate(-25,-25)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.az7", not GetBool("savegame.mod.az7"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(295,310)
if GetBool("savegame.mod.ax7") then
    UiPush()
        UiTranslate(-25,-25)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ax7", not GetBool("savegame.mod.ax7"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(295,518)
if GetBool("savegame.mod.ac7") then
    UiPush()
        UiTranslate(-25,-25)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ac7", not GetBool("savegame.mod.ac7"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(295,558)
if GetBool("savegame.mod.av7") then
    UiPush()
        UiTranslate(-25,-25)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.av7", not GetBool("savegame.mod.av7"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(22,590)
if GetBool("savegame.mod.ab7") then
    UiPush()
        UiTranslate(24,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ab7", not GetBool("savegame.mod.ab7"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(50,590)
if GetBool("savegame.mod.an7") then
    UiPush()
        UiTranslate(17,7)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.an7", not GetBool("savegame.mod.an7"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(76,590)
if GetBool("savegame.mod.am7") then
    UiPush()
        UiTranslate(13,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.am7", not GetBool("savegame.mod.am7"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(101,590)
if GetBool("savegame.mod.a1q7") then
    UiPush()
        UiTranslate(10,7)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.a1q7", not GetBool("savegame.mod.a1q7"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(128,590)
if GetBool("savegame.mod.a1w7") then
    UiPush()
        UiTranslate(5,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.a1w7", not GetBool("savegame.mod.a1w7"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(156,590)
if GetBool("savegame.mod.a1e7") then
    UiPush()
        UiTranslate(-2,7)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.a1e7", not GetBool("savegame.mod.a1e7"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(184,590)
if GetBool("savegame.mod.a1r7") then
    UiPush()
        UiTranslate(-8,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.a1r7", not GetBool("savegame.mod.a1r7"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(212,590)
if GetBool("savegame.mod.a1t7") then
    UiPush()
        UiTranslate(-14,7)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.a1t7", not GetBool("savegame.mod.a1t7"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(240,590)
if GetBool("savegame.mod.a1y7") then
    UiPush()
        UiTranslate(-20,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.a1y7", not GetBool("savegame.mod.a1y7"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(-30,630)
if GetBool("savegame.mod.a1u7") then
    UiPush()
        UiTranslate(40,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.a1u7", not GetBool("savegame.mod.a1u7"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(290,630)
if GetBool("savegame.mod.a1i7") then
UiPush()
UiTranslate(-45,-30)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
if 	UiTextButton("O", 40, 40) then
SetBool("savegame.mod.a1i7", not GetBool("savegame.mod.a1i7"))
PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(-30,670)
if GetBool("savegame.mod.a1o7") then
    UiPush()
        UiTranslate(40,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.a1o7", not GetBool("savegame.mod.a1o7"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(290,670)
if GetBool("savegame.mod.a1p7") then
UiPush()
UiTranslate(-45,-30)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
if 	UiTextButton("X", 40, 40) then
SetBool("savegame.mod.a1p7", not GetBool("savegame.mod.a1p7"))
PlaySound(snd)
end

UiPop()
        UiTranslate(400,0)
        local resetButton = UiTextButton("Reset Lights", 200, 50)
        if resetButton then
            SetBool("savegame.mod.aq7")  
            SetBool("savegame.mod.aw7")  
            SetBool("savegame.mod.ae7")  
            SetBool("savegame.mod.ar7")  
            SetBool("savegame.mod.at7")  
            SetBool("savegame.mod.ay7")  
            SetBool("savegame.mod.au7")  
            SetBool("savegame.mod.ai7")  
            SetBool("savegame.mod.ao7")  
            SetBool("savegame.mod.ap7") 
            SetBool("savegame.mod.aa7") 
            SetBool("savegame.mod.as7") 
            SetBool("savegame.mod.ad7") 
            SetBool("savegame.mod.af7")  
            SetBool("savegame.mod.ag7")  
            SetBool("savegame.mod.ah7")  
            SetBool("savegame.mod.aj7")  
            SetBool("savegame.mod.ak7")  
            SetBool("savegame.mod.al7")  
            SetBool("savegame.mod.az7")  
            SetBool("savegame.mod.ax7")  
            SetBool("savegame.mod.ac7")  
            SetBool("savegame.mod.av7")  
            SetBool("savegame.mod.ab7") 
            SetBool("savegame.mod.an7")  
            SetBool("savegame.mod.am7")  
            SetBool("savegame.mod.a1q7")  
            SetBool("savegame.mod.a1w7")  
            SetBool("savegame.mod.a1e7")  
            SetBool("savegame.mod.a1r7") 
            SetBool("savegame.mod.a1t7")  
            SetBool("savegame.mod.a1y7")  
            SetBool("savegame.mod.a1u7")  
            SetBool("savegame.mod.a1i7")  
            SetBool("savegame.mod.a1o7")  
            SetBool("savegame.mod.a1p7")   
            PlaySound(snd) 
        end
    end
    UiPop()




    UiPush()
    if GetInt("savegame.mod.time") == 35 then
        UiPush()
        UiTranslate(285,-125)
        UiImage("ui/common/dot.png")
        UiPop()
        UiTranslate(50,50)
        UiButtonImageBox("MOD/images/box-outline-6.png", 6, 6)

--light button
        UiPush()
        UiTranslate(15,20)
        if GetBool("savegame.mod.aq8") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.aq8", not GetBool("savegame.mod.aq8"))
            PlaySound(snd)
        end

        UiPop()
--light button



UiPush()
UiTranslate(250,20)
if GetBool("savegame.mod.aw8") then
    UiPush()
        UiTranslate(-50,-30)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.aw8", not GetBool("savegame.mod.aw8"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(55,-40)
if GetBool("savegame.mod.ae8") then
    UiPush()
        UiTranslate(40,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ae8", not GetBool("savegame.mod.ae8"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(215,-40)
if GetBool("savegame.mod.ar8") then
    UiPush()
        UiTranslate(-50,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ar8", not GetBool("savegame.mod.ar8"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(55,-80)
if GetBool("savegame.mod.at8") then
    UiPush()
        UiTranslate(40,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.at8", not GetBool("savegame.mod.at8"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(215,-80)
if GetBool("savegame.mod.ay8") then
    UiPush()
        UiTranslate(-50,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ay8", not GetBool("savegame.mod.ay8"))
    PlaySound(snd)
end

UiPop()

UiPush()
UiTranslate(25,235)
if GetBool("savegame.mod.au8") then
    UiPush()
        UiTranslate(20,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.au8", not GetBool("savegame.mod.au8"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(53,235)
if GetBool("savegame.mod.ai8") then
    UiPush()
        UiTranslate(15,-47)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ai8", not GetBool("savegame.mod.ai8"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(78,235)
if GetBool("savegame.mod.ao8") then
    UiPush()
        UiTranslate(8,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ao8", not GetBool("savegame.mod.ao8"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(104,235)
if GetBool("savegame.mod.ap8") then
    UiPush()
        UiTranslate(5,-47)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ap8", not GetBool("savegame.mod.ap8"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(128,235)
if GetBool("savegame.mod.aa8") then
    UiPush()
        UiTranslate(4,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.aa8", not GetBool("savegame.mod.aa8"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(156,235)
if GetBool("savegame.mod.as8") then
    UiPush()
        UiTranslate(-2,-47)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.as8", not GetBool("savegame.mod.as8"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(184,235)
if GetBool("savegame.mod.ad8") then
    UiPush()
        UiTranslate(-8,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ad8", not GetBool("savegame.mod.ad8"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(212,235)
if GetBool("savegame.mod.af8") then
    UiPush()
        UiTranslate(-14,-47)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.af8", not GetBool("savegame.mod.af8"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(240,235)
if GetBool("savegame.mod.ag8") then
    UiPush()
        UiTranslate(-20,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ag8", not GetBool("savegame.mod.ag8"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-45,270)
if GetBool("savegame.mod.ah8") then
    UiPush()
        UiTranslate(45,-25)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ah8", not GetBool("savegame.mod.ah8"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-45,310)
if GetBool("savegame.mod.aj8") then
    UiPush()
        UiTranslate(45,-25)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.aj8", not GetBool("savegame.mod.aj8"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-45,518)
if GetBool("savegame.mod.ak8") then
    UiPush()
        UiTranslate(45,-25)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ak8", not GetBool("savegame.mod.ak8"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-45,558)
if GetBool("savegame.mod.al8") then
    UiPush()
        UiTranslate(45,-25)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.al8", not GetBool("savegame.mod.al8"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(295,270)
if GetBool("savegame.mod.az8") then
    UiPush()
        UiTranslate(-25,-25)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.az8", not GetBool("savegame.mod.az8"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(295,310)
if GetBool("savegame.mod.ax8") then
    UiPush()
        UiTranslate(-25,-25)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ax8", not GetBool("savegame.mod.ax8"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(295,518)
if GetBool("savegame.mod.ac8") then
    UiPush()
        UiTranslate(-25,-25)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ac8", not GetBool("savegame.mod.ac8"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(295,558)
if GetBool("savegame.mod.av8") then
    UiPush()
        UiTranslate(-25,-25)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.av8", not GetBool("savegame.mod.av8"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(22,590)
if GetBool("savegame.mod.ab8") then
    UiPush()
        UiTranslate(24,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ab8", not GetBool("savegame.mod.ab8"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(50,590)
if GetBool("savegame.mod.an8") then
    UiPush()
        UiTranslate(17,7)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.an8", not GetBool("savegame.mod.an8"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(76,590)
if GetBool("savegame.mod.am8") then
    UiPush()
        UiTranslate(13,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.am8", not GetBool("savegame.mod.am8"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(101,590)
if GetBool("savegame.mod.a1q8") then
    UiPush()
        UiTranslate(10,7)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.a1q8", not GetBool("savegame.mod.a1q8"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(128,590)
if GetBool("savegame.mod.a1w8") then
    UiPush()
        UiTranslate(5,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.a1w8", not GetBool("savegame.mod.a1w8"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(156,590)
if GetBool("savegame.mod.a1e8") then
    UiPush()
        UiTranslate(-2,7)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.a1e8", not GetBool("savegame.mod.a1e8"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(184,590)
if GetBool("savegame.mod.a1r8") then
    UiPush()
        UiTranslate(-8,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.a1r8", not GetBool("savegame.mod.a1r8"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(212,590)
if GetBool("savegame.mod.a1t8") then
    UiPush()
        UiTranslate(-14,7)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.a1t8", not GetBool("savegame.mod.a1t8"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(240,590)
if GetBool("savegame.mod.a1y8") then
    UiPush()
        UiTranslate(-20,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.a1y8", not GetBool("savegame.mod.a1y8"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(-30,630)
if GetBool("savegame.mod.a1u8") then
    UiPush()
        UiTranslate(40,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.a1u8", not GetBool("savegame.mod.a1u8"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(290,630)
if GetBool("savegame.mod.a1i8") then
UiPush()
UiTranslate(-45,-30)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
if 	UiTextButton("O", 40, 40) then
SetBool("savegame.mod.a1i8", not GetBool("savegame.mod.a1i8"))
PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(-30,670)
if GetBool("savegame.mod.a1o8") then
    UiPush()
        UiTranslate(40,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.a1o8", not GetBool("savegame.mod.a1o8"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(290,670)
if GetBool("savegame.mod.a1p8") then
UiPush()
UiTranslate(-45,-30)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
if 	UiTextButton("X", 40, 40) then
SetBool("savegame.mod.a1p8", not GetBool("savegame.mod.a1p8"))
PlaySound(snd)
end

UiPop()
        UiTranslate(400,0)
        local resetButton = UiTextButton("Reset Lights", 200, 50)
        if resetButton then
            SetBool("savegame.mod.aq8")  
            SetBool("savegame.mod.aw8")  
            SetBool("savegame.mod.ae8")  
            SetBool("savegame.mod.ar8")  
            SetBool("savegame.mod.at8")  
            SetBool("savegame.mod.ay8")  
            SetBool("savegame.mod.au8")  
            SetBool("savegame.mod.ai8")  
            SetBool("savegame.mod.ao8")  
            SetBool("savegame.mod.ap8") 
            SetBool("savegame.mod.aa8") 
            SetBool("savegame.mod.as8") 
            SetBool("savegame.mod.ad8") 
            SetBool("savegame.mod.af8")  
            SetBool("savegame.mod.ag8")  
            SetBool("savegame.mod.ah8")  
            SetBool("savegame.mod.aj8")  
            SetBool("savegame.mod.ak8")  
            SetBool("savegame.mod.al8")  
            SetBool("savegame.mod.az8")  
            SetBool("savegame.mod.ax8")  
            SetBool("savegame.mod.ac8")  
            SetBool("savegame.mod.av8")  
            SetBool("savegame.mod.ab8") 
            SetBool("savegame.mod.an8")  
            SetBool("savegame.mod.am8")  
            SetBool("savegame.mod.a1q8")  
            SetBool("savegame.mod.a1w8")  
            SetBool("savegame.mod.a1e8")  
            SetBool("savegame.mod.a1r8") 
            SetBool("savegame.mod.a1t8")  
            SetBool("savegame.mod.a1y8")  
            SetBool("savegame.mod.a1u8")  
            SetBool("savegame.mod.a1i8")  
            SetBool("savegame.mod.a1o8")  
            SetBool("savegame.mod.a1p8")    
            PlaySound(snd)
        end
    end
    UiPop()



    UiPush()
    if GetInt("savegame.mod.time") == 40 then
        UiPush()
        UiTranslate(338,-125)
        UiImage("ui/common/dot.png")
        UiPop()
        UiTranslate(50,50)
        UiButtonImageBox("MOD/images/box-outline-6.png", 6, 6)

--light button
        UiPush()
        UiTranslate(15,20)
        if GetBool("savegame.mod.aq9") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.aq9", not GetBool("savegame.mod.aq9"))
            PlaySound(snd)
        end

        UiPop()
--light button



UiPush()
UiTranslate(250,20)
if GetBool("savegame.mod.aw9") then
    UiPush()
        UiTranslate(-50,-30)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.aw9", not GetBool("savegame.mod.aw9"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(55,-40)
if GetBool("savegame.mod.ae9") then
    UiPush()
        UiTranslate(40,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ae9", not GetBool("savegame.mod.ae9"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(215,-40)
if GetBool("savegame.mod.ar9") then
    UiPush()
        UiTranslate(-50,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ar9", not GetBool("savegame.mod.ar9"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(55,-80)
if GetBool("savegame.mod.at9") then
    UiPush()
        UiTranslate(40,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.at9", not GetBool("savegame.mod.at9"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(215,-80)
if GetBool("savegame.mod.ay9") then
    UiPush()
        UiTranslate(-50,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ay9", not GetBool("savegame.mod.ay9"))
    PlaySound(snd)
end

UiPop()

UiPush()
UiTranslate(25,235)
if GetBool("savegame.mod.au9") then
    UiPush()
        UiTranslate(20,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.au9", not GetBool("savegame.mod.au9"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(53,235)
if GetBool("savegame.mod.ai9") then
    UiPush()
        UiTranslate(15,-47)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ai9", not GetBool("savegame.mod.ai9"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(78,235)
if GetBool("savegame.mod.ao9") then
    UiPush()
        UiTranslate(8,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ao9", not GetBool("savegame.mod.ao9"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(104,235)
if GetBool("savegame.mod.ap9") then
    UiPush()
        UiTranslate(5,-47)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ap9", not GetBool("savegame.mod.ap9"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(128,235)
if GetBool("savegame.mod.aa9") then
    UiPush()
        UiTranslate(4,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.aa9", not GetBool("savegame.mod.aa9"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(156,235)
if GetBool("savegame.mod.as9") then
    UiPush()
        UiTranslate(-2,-47)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.as9", not GetBool("savegame.mod.as9"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(184,235)
if GetBool("savegame.mod.ad9") then
    UiPush()
        UiTranslate(-8,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ad9", not GetBool("savegame.mod.ad9"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(212,235)
if GetBool("savegame.mod.af9") then
    UiPush()
        UiTranslate(-14,-47)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.af9", not GetBool("savegame.mod.af9"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(240,235)
if GetBool("savegame.mod.ag9") then
    UiPush()
        UiTranslate(-20,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ag9", not GetBool("savegame.mod.ag9"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-45,270)
if GetBool("savegame.mod.ah9") then
    UiPush()
        UiTranslate(45,-25)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ah9", not GetBool("savegame.mod.ah9"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-45,310)
if GetBool("savegame.mod.aj9") then
    UiPush()
        UiTranslate(45,-25)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.aj9", not GetBool("savegame.mod.aj9"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-45,518)
if GetBool("savegame.mod.ak9") then
    UiPush()
        UiTranslate(45,-25)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ak9", not GetBool("savegame.mod.ak9"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-45,558)
if GetBool("savegame.mod.al9") then
    UiPush()
        UiTranslate(45,-25)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.al9", not GetBool("savegame.mod.al9"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(295,270)
if GetBool("savegame.mod.az9") then
    UiPush()
        UiTranslate(-25,-25)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.az9", not GetBool("savegame.mod.az9"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(295,310)
if GetBool("savegame.mod.ax9") then
    UiPush()
        UiTranslate(-25,-25)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ax9", not GetBool("savegame.mod.ax9"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(295,518)
if GetBool("savegame.mod.ac9") then
    UiPush()
        UiTranslate(-25,-25)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ac9", not GetBool("savegame.mod.ac9"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(295,558)
if GetBool("savegame.mod.av9") then
    UiPush()
        UiTranslate(-25,-25)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.av9", not GetBool("savegame.mod.av9"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(22,590)
if GetBool("savegame.mod.ab9") then
    UiPush()
        UiTranslate(24,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ab9", not GetBool("savegame.mod.ab9"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(50,590)
if GetBool("savegame.mod.an9") then
    UiPush()
        UiTranslate(17,7)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.an9", not GetBool("savegame.mod.an9"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(76,590)
if GetBool("savegame.mod.am9") then
    UiPush()
        UiTranslate(13,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.am9", not GetBool("savegame.mod.am9"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(101,590)
if GetBool("savegame.mod.a1q9") then
    UiPush()
        UiTranslate(10,7)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.a1q9", not GetBool("savegame.mod.a1q9"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(128,590)
if GetBool("savegame.mod.a1w9") then
    UiPush()
        UiTranslate(5,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.a1w9", not GetBool("savegame.mod.a1w9"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(156,590)
if GetBool("savegame.mod.a1e9") then
    UiPush()
        UiTranslate(-2,7)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.a1e9", not GetBool("savegame.mod.a1e9"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(184,590)
if GetBool("savegame.mod.a1r9") then
    UiPush()
        UiTranslate(-8,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.a1r9", not GetBool("savegame.mod.a1r9"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(212,590)
if GetBool("savegame.mod.a1t9") then
    UiPush()
        UiTranslate(-14,7)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.a1t9", not GetBool("savegame.mod.a1t9"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(240,590)
if GetBool("savegame.mod.a1y9") then
    UiPush()
        UiTranslate(-20,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.a1y9", not GetBool("savegame.mod.a1y9"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(-30,630)
if GetBool("savegame.mod.a1u9") then
    UiPush()
        UiTranslate(40,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.a1u9", not GetBool("savegame.mod.a1u9"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(290,630)
if GetBool("savegame.mod.a1i9") then
UiPush()
UiTranslate(-45,-30)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
if 	UiTextButton("O", 40, 40) then
SetBool("savegame.mod.a1i9", not GetBool("savegame.mod.a1i9"))
PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(-30,670)
if GetBool("savegame.mod.a1o9") then
    UiPush()
        UiTranslate(40,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.a1o9", not GetBool("savegame.mod.a1o9"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(290,670)
if GetBool("savegame.mod.a1p9") then
UiPush()
UiTranslate(-45,-30)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
if 	UiTextButton("X", 40, 40) then
SetBool("savegame.mod.a1p9", not GetBool("savegame.mod.a1p9"))
PlaySound(snd)
end

UiPop()
        UiTranslate(400,0)
        local resetButton = UiTextButton("Reset Lights", 200, 50)
        if resetButton then
            SetBool("savegame.mod.aq9")  
            SetBool("savegame.mod.aw9")  
            SetBool("savegame.mod.ae9")  
            SetBool("savegame.mod.ar9")  
            SetBool("savegame.mod.at9")  
            SetBool("savegame.mod.ay9")  
            SetBool("savegame.mod.au9")  
            SetBool("savegame.mod.ai9")  
            SetBool("savegame.mod.ao9")  
            SetBool("savegame.mod.ap9") 
            SetBool("savegame.mod.aa9") 
            SetBool("savegame.mod.as9") 
            SetBool("savegame.mod.ad9") 
            SetBool("savegame.mod.af9")  
            SetBool("savegame.mod.ag9")  
            SetBool("savegame.mod.ah9")  
            SetBool("savegame.mod.aj9")  
            SetBool("savegame.mod.ak9")  
            SetBool("savegame.mod.al9")  
            SetBool("savegame.mod.az9")  
            SetBool("savegame.mod.ax9")  
            SetBool("savegame.mod.ac9")  
            SetBool("savegame.mod.av9")  
            SetBool("savegame.mod.ab9") 
            SetBool("savegame.mod.an9")  
            SetBool("savegame.mod.am9")  
            SetBool("savegame.mod.a1q9")  
            SetBool("savegame.mod.a1w9")  
            SetBool("savegame.mod.a1e9")  
            SetBool("savegame.mod.a1r9") 
            SetBool("savegame.mod.a1t9")  
            SetBool("savegame.mod.a1y9")  
            SetBool("savegame.mod.a1u9")  
            SetBool("savegame.mod.a1i9")  
            SetBool("savegame.mod.a1o9")  
            SetBool("savegame.mod.a1p9")  
            PlaySound(snd)  
        end
    end
    UiPop()




    UiPush()
    if GetInt("savegame.mod.time") == 45 then
        UiPush()
        UiTranslate(390,-125)
        UiImage("ui/common/dot.png")
        UiPop()
        UiTranslate(50,50)
        UiButtonImageBox("MOD/images/box-outline-6.png", 6, 6)

--light button
        UiPush()
        UiTranslate(15,20)
        if GetBool("savegame.mod.aq10") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.aq10", not GetBool("savegame.mod.aq10"))
            PlaySound(snd)
        end

        UiPop()
--light button



UiPush()
UiTranslate(250,20)
if GetBool("savegame.mod.aw10") then
    UiPush()
        UiTranslate(-50,-30)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.aw10", not GetBool("savegame.mod.aw10"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(55,-40)
if GetBool("savegame.mod.ae10") then
    UiPush()
        UiTranslate(40,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ae10", not GetBool("savegame.mod.ae10"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(215,-40)
if GetBool("savegame.mod.ar10") then
    UiPush()
        UiTranslate(-50,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ar10", not GetBool("savegame.mod.ar10"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(55,-80)
if GetBool("savegame.mod.at10") then
    UiPush()
        UiTranslate(40,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.at10", not GetBool("savegame.mod.at10"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(215,-80)
if GetBool("savegame.mod.ay10") then
    UiPush()
        UiTranslate(-50,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ay10", not GetBool("savegame.mod.ay10"))
    PlaySound(snd)
end

UiPop()

UiPush()
UiTranslate(25,235)
if GetBool("savegame.mod.au10") then
    UiPush()
        UiTranslate(20,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.au10", not GetBool("savegame.mod.au10"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(53,235)
if GetBool("savegame.mod.ai10") then
    UiPush()
        UiTranslate(15,-47)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ai10", not GetBool("savegame.mod.ai10"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(78,235)
if GetBool("savegame.mod.ao10") then
    UiPush()
        UiTranslate(8,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ao10", not GetBool("savegame.mod.ao10"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(104,235)
if GetBool("savegame.mod.ap10") then
    UiPush()
        UiTranslate(5,-47)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ap10", not GetBool("savegame.mod.ap10"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(128,235)
if GetBool("savegame.mod.aa10") then
    UiPush()
        UiTranslate(4,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.aa10", not GetBool("savegame.mod.aa10"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(156,235)
if GetBool("savegame.mod.as10") then
    UiPush()
        UiTranslate(-2,-47)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.as10", not GetBool("savegame.mod.as10"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(184,235)
if GetBool("savegame.mod.ad10") then
    UiPush()
        UiTranslate(-8,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ad10", not GetBool("savegame.mod.ad10"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(212,235)
if GetBool("savegame.mod.af10") then
    UiPush()
        UiTranslate(-14,-47)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.af10", not GetBool("savegame.mod.af10"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(240,235)
if GetBool("savegame.mod.ag10") then
    UiPush()
        UiTranslate(-20,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ag10", not GetBool("savegame.mod.ag10"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-45,270)
if GetBool("savegame.mod.ah10") then
    UiPush()
        UiTranslate(45,-25)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ah10", not GetBool("savegame.mod.ah10"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-45,310)
if GetBool("savegame.mod.aj10") then
    UiPush()
        UiTranslate(45,-25)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.aj10", not GetBool("savegame.mod.aj10"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-45,518)
if GetBool("savegame.mod.ak10") then
    UiPush()
        UiTranslate(45,-25)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ak10", not GetBool("savegame.mod.ak10"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-45,558)
if GetBool("savegame.mod.al10") then
    UiPush()
        UiTranslate(45,-25)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.al10", not GetBool("savegame.mod.al10"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(295,270)
if GetBool("savegame.mod.az10") then
    UiPush()
        UiTranslate(-25,-25)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.az10", not GetBool("savegame.mod.az10"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(295,310)
if GetBool("savegame.mod.ax10") then
    UiPush()
        UiTranslate(-25,-25)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ax10", not GetBool("savegame.mod.ax10"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(295,518)
if GetBool("savegame.mod.ac10") then
    UiPush()
        UiTranslate(-25,-25)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ac10", not GetBool("savegame.mod.ac10"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(295,558)
if GetBool("savegame.mod.av10") then
    UiPush()
        UiTranslate(-25,-25)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.av10", not GetBool("savegame.mod.av10"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(22,590)
if GetBool("savegame.mod.ab10") then
    UiPush()
        UiTranslate(24,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ab10", not GetBool("savegame.mod.ab10"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(50,590)
if GetBool("savegame.mod.an10") then
    UiPush()
        UiTranslate(17,7)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.an10", not GetBool("savegame.mod.an10"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(76,590)
if GetBool("savegame.mod.am10") then
    UiPush()
        UiTranslate(13,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.am10", not GetBool("savegame.mod.am10"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(101,590)
if GetBool("savegame.mod.a1q10") then
    UiPush()
        UiTranslate(10,7)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.a1q10", not GetBool("savegame.mod.a1q10"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(128,590)
if GetBool("savegame.mod.a1w10") then
    UiPush()
        UiTranslate(5,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.a1w10", not GetBool("savegame.mod.a1w10"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(156,590)
if GetBool("savegame.mod.a1e10") then
    UiPush()
        UiTranslate(-2,7)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.a1e10", not GetBool("savegame.mod.a1e10"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(184,590)
if GetBool("savegame.mod.a1r10") then
    UiPush()
        UiTranslate(-8,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.a1r10", not GetBool("savegame.mod.a1r10"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(212,590)
if GetBool("savegame.mod.a1t10") then
    UiPush()
        UiTranslate(-14,7)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.a1t10", not GetBool("savegame.mod.a1t10"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(240,590)
if GetBool("savegame.mod.a1y10") then
    UiPush()
        UiTranslate(-20,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.a1y10", not GetBool("savegame.mod.a1y10"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(-30,630)
if GetBool("savegame.mod.a1u10") then
    UiPush()
        UiTranslate(40,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.a1u10", not GetBool("savegame.mod.a1u10"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(290,630)
if GetBool("savegame.mod.a1i10") then
UiPush()
UiTranslate(-45,-30)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
if 	UiTextButton("O", 40, 40) then
SetBool("savegame.mod.a1i10", not GetBool("savegame.mod.a1i10"))
PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(-30,670)
if GetBool("savegame.mod.a1o10") then
    UiPush()
        UiTranslate(40,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.a1o10", not GetBool("savegame.mod.a1o10"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(290,670)
if GetBool("savegame.mod.a1p10") then
UiPush()
UiTranslate(-45,-30)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
if 	UiTextButton("X", 40, 40) then
SetBool("savegame.mod.a1p10", not GetBool("savegame.mod.a1p10"))
PlaySound(snd)
end

UiPop()
        UiTranslate(400,0)
        local resetButton = UiTextButton("Reset Lights", 200, 50)
        if resetButton then
            SetBool("savegame.mod.aq10")  
            SetBool("savegame.mod.aw10")  
            SetBool("savegame.mod.ae10")  
            SetBool("savegame.mod.ar10")  
            SetBool("savegame.mod.at10")  
            SetBool("savegame.mod.ay10")  
            SetBool("savegame.mod.au10")  
            SetBool("savegame.mod.ai10")  
            SetBool("savegame.mod.ao10")  
            SetBool("savegame.mod.ap10") 
            SetBool("savegame.mod.aa10") 
            SetBool("savegame.mod.as10") 
            SetBool("savegame.mod.ad10") 
            SetBool("savegame.mod.af10")  
            SetBool("savegame.mod.ag10")  
            SetBool("savegame.mod.ah10")  
            SetBool("savegame.mod.aj10")  
            SetBool("savegame.mod.ak10")  
            SetBool("savegame.mod.al10")  
            SetBool("savegame.mod.az10")  
            SetBool("savegame.mod.ax10")  
            SetBool("savegame.mod.ac10")  
            SetBool("savegame.mod.av10")  
            SetBool("savegame.mod.ab10") 
            SetBool("savegame.mod.an10")  
            SetBool("savegame.mod.am10")  
            SetBool("savegame.mod.a1q10")  
            SetBool("savegame.mod.a1w10")  
            SetBool("savegame.mod.a1e10")  
            SetBool("savegame.mod.a1r10") 
            SetBool("savegame.mod.a1t10")  
            SetBool("savegame.mod.a1y10")  
            SetBool("savegame.mod.a1u10")  
            SetBool("savegame.mod.a1i10")  
            SetBool("savegame.mod.a1o10")  
            SetBool("savegame.mod.a1p10")   
            PlaySound(snd) 
        end
    end
    UiPop()
 


    UiPush()
    if GetInt("savegame.mod.time") == 50 then
        UiPush()
        UiTranslate(445,-125)
        UiImage("ui/common/dot.png")
        UiPop()
        UiTranslate(50,50)
        UiButtonImageBox("MOD/images/box-outline-6.png", 6, 6)

--light button
        UiPush()
        UiTranslate(15,20)
        if GetBool("savegame.mod.aq11") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.aq11", not GetBool("savegame.mod.aq11"))
            PlaySound(snd)
        end

        UiPop()
--light button



UiPush()
UiTranslate(250,20)
if GetBool("savegame.mod.aw11") then
    UiPush()
        UiTranslate(-50,-30)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.aw11", not GetBool("savegame.mod.aw11"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(55,-40)
if GetBool("savegame.mod.ae11") then
    UiPush()
        UiTranslate(40,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ae11", not GetBool("savegame.mod.ae11"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(215,-40)
if GetBool("savegame.mod.ar11") then
    UiPush()
        UiTranslate(-50,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ar11", not GetBool("savegame.mod.ar11"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(55,-80)
if GetBool("savegame.mod.at11") then
    UiPush()
        UiTranslate(40,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.at11", not GetBool("savegame.mod.at11"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(215,-80)
if GetBool("savegame.mod.ay11") then
    UiPush()
        UiTranslate(-50,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ay11", not GetBool("savegame.mod.ay11"))
    PlaySound(snd)
end

UiPop()

UiPush()
UiTranslate(25,235)
if GetBool("savegame.mod.au11") then
    UiPush()
        UiTranslate(20,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.au11", not GetBool("savegame.mod.au11"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(53,235)
if GetBool("savegame.mod.ai11") then
    UiPush()
        UiTranslate(15,-47)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ai11", not GetBool("savegame.mod.ai11"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(78,235)
if GetBool("savegame.mod.ao11") then
    UiPush()
        UiTranslate(8,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ao11", not GetBool("savegame.mod.ao11"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(104,235)
if GetBool("savegame.mod.ap11") then
    UiPush()
        UiTranslate(5,-47)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ap11", not GetBool("savegame.mod.ap11"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(128,235)
if GetBool("savegame.mod.aa11") then
    UiPush()
        UiTranslate(4,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.aa11", not GetBool("savegame.mod.aa11"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(156,235)
if GetBool("savegame.mod.as11") then
    UiPush()
        UiTranslate(-2,-47)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.as11", not GetBool("savegame.mod.as11"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(184,235)
if GetBool("savegame.mod.ad11") then
    UiPush()
        UiTranslate(-8,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ad11", not GetBool("savegame.mod.ad11"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(212,235)
if GetBool("savegame.mod.af11") then
    UiPush()
        UiTranslate(-14,-47)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.af11", not GetBool("savegame.mod.af11"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(240,235)
if GetBool("savegame.mod.ag11") then
    UiPush()
        UiTranslate(-20,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ag11", not GetBool("savegame.mod.ag11"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-45,270)
if GetBool("savegame.mod.ah11") then
    UiPush()
        UiTranslate(45,-25)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ah11", not GetBool("savegame.mod.ah11"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-45,310)
if GetBool("savegame.mod.aj11") then
    UiPush()
        UiTranslate(45,-25)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.aj11", not GetBool("savegame.mod.aj11"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-45,518)
if GetBool("savegame.mod.ak11") then
    UiPush()
        UiTranslate(45,-25)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ak11", not GetBool("savegame.mod.ak11"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-45,558)
if GetBool("savegame.mod.al11") then
    UiPush()
        UiTranslate(45,-25)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.al11", not GetBool("savegame.mod.al11"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(295,270)
if GetBool("savegame.mod.az11") then
    UiPush()
        UiTranslate(-25,-25)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.az11", not GetBool("savegame.mod.az11"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(295,310)
if GetBool("savegame.mod.ax11") then
    UiPush()
        UiTranslate(-25,-25)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ax11", not GetBool("savegame.mod.ax11"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(295,518)
if GetBool("savegame.mod.ac11") then
    UiPush()
        UiTranslate(-25,-25)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ac11", not GetBool("savegame.mod.ac11"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(295,558)
if GetBool("savegame.mod.av11") then
    UiPush()
        UiTranslate(-25,-25)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.av11", not GetBool("savegame.mod.av11"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(22,590)
if GetBool("savegame.mod.ab11") then
    UiPush()
        UiTranslate(24,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ab11", not GetBool("savegame.mod.ab11"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(50,590)
if GetBool("savegame.mod.an11") then
    UiPush()
        UiTranslate(17,7)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.an11", not GetBool("savegame.mod.an11"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(76,590)
if GetBool("savegame.mod.am11") then
    UiPush()
        UiTranslate(13,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.am11", not GetBool("savegame.mod.am11"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(101,590)
if GetBool("savegame.mod.a1q11") then
    UiPush()
        UiTranslate(10,7)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.a1q11", not GetBool("savegame.mod.a1q11"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(128,590)
if GetBool("savegame.mod.a1w11") then
    UiPush()
        UiTranslate(5,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.a1w11", not GetBool("savegame.mod.a1w11"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(156,590)
if GetBool("savegame.mod.a1e11") then
    UiPush()
        UiTranslate(-2,7)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.a1e11", not GetBool("savegame.mod.a1e11"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(184,590)
if GetBool("savegame.mod.a1r11") then
    UiPush()
        UiTranslate(-8,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.a1r11", not GetBool("savegame.mod.a1r11"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(212,590)
if GetBool("savegame.mod.a1t11") then
    UiPush()
        UiTranslate(-14,7)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.a1t11", not GetBool("savegame.mod.a1t11"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(240,590)
if GetBool("savegame.mod.a1y11") then
    UiPush()
        UiTranslate(-20,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.a1y11", not GetBool("savegame.mod.a1y11"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(-30,630)
if GetBool("savegame.mod.a1u11") then
    UiPush()
        UiTranslate(40,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.a1u11", not GetBool("savegame.mod.a1u11"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(290,630)
if GetBool("savegame.mod.a1i11") then
UiPush()
UiTranslate(-45,-30)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
if 	UiTextButton("O", 40, 40) then
SetBool("savegame.mod.a1i11", not GetBool("savegame.mod.a1i11"))
PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(-30,670)
if GetBool("savegame.mod.a1o11") then
    UiPush()
        UiTranslate(40,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.a1o11", not GetBool("savegame.mod.a1o11"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(290,670)
if GetBool("savegame.mod.a1p11") then
UiPush()
UiTranslate(-45,-30)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
if 	UiTextButton("X", 40, 40) then
SetBool("savegame.mod.a1p11", not GetBool("savegame.mod.a1p11"))
PlaySound(snd)
end

UiPop()
        UiTranslate(400,0)
        local resetButton = UiTextButton("Reset Lights", 200, 50)
        if resetButton then
            SetBool("savegame.mod.aq11")  
            SetBool("savegame.mod.aw11")  
            SetBool("savegame.mod.ae11")  
            SetBool("savegame.mod.ar11")  
            SetBool("savegame.mod.at11")  
            SetBool("savegame.mod.ay11")  
            SetBool("savegame.mod.au11")  
            SetBool("savegame.mod.ai11")  
            SetBool("savegame.mod.ao11")  
            SetBool("savegame.mod.ap11") 
            SetBool("savegame.mod.aa11") 
            SetBool("savegame.mod.as11") 
            SetBool("savegame.mod.ad11") 
            SetBool("savegame.mod.af11")  
            SetBool("savegame.mod.ag11")  
            SetBool("savegame.mod.ah11")  
            SetBool("savegame.mod.aj11")  
            SetBool("savegame.mod.ak11")  
            SetBool("savegame.mod.al11")  
            SetBool("savegame.mod.az11")  
            SetBool("savegame.mod.ax11")  
            SetBool("savegame.mod.ac11")  
            SetBool("savegame.mod.av11")  
            SetBool("savegame.mod.ab11") 
            SetBool("savegame.mod.an11")  
            SetBool("savegame.mod.am11")  
            SetBool("savegame.mod.a1q11")  
            SetBool("savegame.mod.a1w11")  
            SetBool("savegame.mod.a1e11")  
            SetBool("savegame.mod.a1r11") 
            SetBool("savegame.mod.a1t11")  
            SetBool("savegame.mod.a1y11")  
            SetBool("savegame.mod.a1u11")  
            SetBool("savegame.mod.a1i11")  
            SetBool("savegame.mod.a1o11")  
            SetBool("savegame.mod.a1p11")    
            PlaySound(snd)
        end
    end
    UiPop()



    UiPush()
    if GetInt("savegame.mod.time") == 55 then
        UiPush()
        UiTranslate(498,-125)
        UiImage("ui/common/dot.png")
        UiPop()
        UiTranslate(50,50)
        UiButtonImageBox("MOD/images/box-outline-6.png", 6, 6)

--light button
        UiPush()
        UiTranslate(15,20)
        if GetBool("savegame.mod.aq12") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.aq12", not GetBool("savegame.mod.aq12"))
            PlaySound(snd)
        end

        UiPop()
--light button



UiPush()
UiTranslate(250,20)
if GetBool("savegame.mod.aw12") then
    UiPush()
        UiTranslate(-50,-30)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.aw12", not GetBool("savegame.mod.aw12"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(55,-40)
if GetBool("savegame.mod.ae12") then
    UiPush()
        UiTranslate(40,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ae12", not GetBool("savegame.mod.ae12"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(215,-40)
if GetBool("savegame.mod.ar12") then
    UiPush()
        UiTranslate(-50,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ar12", not GetBool("savegame.mod.ar12"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(55,-80)
if GetBool("savegame.mod.at12") then
    UiPush()
        UiTranslate(40,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.at12", not GetBool("savegame.mod.at12"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(215,-80)
if GetBool("savegame.mod.ay12") then
    UiPush()
        UiTranslate(-50,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ay12", not GetBool("savegame.mod.ay12"))
    PlaySound(snd)
end

UiPop()

UiPush()
UiTranslate(25,235)
if GetBool("savegame.mod.au12") then
    UiPush()
        UiTranslate(20,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.au12", not GetBool("savegame.mod.au12"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(53,235)
if GetBool("savegame.mod.ai12") then
    UiPush()
        UiTranslate(15,-47)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ai12", not GetBool("savegame.mod.ai12"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(78,235)
if GetBool("savegame.mod.ao12") then
    UiPush()
        UiTranslate(8,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ao12", not GetBool("savegame.mod.ao12"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(104,235)
if GetBool("savegame.mod.ap12") then
    UiPush()
        UiTranslate(5,-47)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ap12", not GetBool("savegame.mod.ap12"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(128,235)
if GetBool("savegame.mod.aa12") then
    UiPush()
        UiTranslate(4,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.aa12", not GetBool("savegame.mod.aa12"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(156,235)
if GetBool("savegame.mod.as12") then
    UiPush()
        UiTranslate(-2,-47)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.as12", not GetBool("savegame.mod.as12"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(184,235)
if GetBool("savegame.mod.ad12") then
    UiPush()
        UiTranslate(-8,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ad12", not GetBool("savegame.mod.ad12"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(212,235)
if GetBool("savegame.mod.af12") then
    UiPush()
        UiTranslate(-14,-47)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.af12", not GetBool("savegame.mod.af12"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(240,235)
if GetBool("savegame.mod.ag12") then
    UiPush()
        UiTranslate(-20,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ag12", not GetBool("savegame.mod.ag12"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-45,270)
if GetBool("savegame.mod.ah12") then
    UiPush()
        UiTranslate(45,-25)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ah12", not GetBool("savegame.mod.ah12"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-45,310)
if GetBool("savegame.mod.aj12") then
    UiPush()
        UiTranslate(45,-25)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.aj12", not GetBool("savegame.mod.aj12"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-45,518)
if GetBool("savegame.mod.ak12") then
    UiPush()
        UiTranslate(45,-25)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ak12", not GetBool("savegame.mod.ak12"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-45,558)
if GetBool("savegame.mod.al12") then
    UiPush()
        UiTranslate(45,-25)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.al12", not GetBool("savegame.mod.al12"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(295,270)
if GetBool("savegame.mod.az12") then
    UiPush()
        UiTranslate(-25,-25)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.az12", not GetBool("savegame.mod.az12"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(295,310)
if GetBool("savegame.mod.ax12") then
    UiPush()
        UiTranslate(-25,-25)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ax12", not GetBool("savegame.mod.ax12"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(295,518)
if GetBool("savegame.mod.ac12") then
    UiPush()
        UiTranslate(-25,-25)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ac12", not GetBool("savegame.mod.ac12"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(295,558)
if GetBool("savegame.mod.av12") then
    UiPush()
        UiTranslate(-25,-25)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.av12", not GetBool("savegame.mod.av12"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(22,590)
if GetBool("savegame.mod.ab12") then
    UiPush()
        UiTranslate(24,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ab12", not GetBool("savegame.mod.ab12"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(50,590)
if GetBool("savegame.mod.an12") then
    UiPush()
        UiTranslate(17,7)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.an12", not GetBool("savegame.mod.an12"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(76,590)
if GetBool("savegame.mod.am12") then
    UiPush()
        UiTranslate(13,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.am12", not GetBool("savegame.mod.am12"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(101,590)
if GetBool("savegame.mod.a1q12") then
    UiPush()
        UiTranslate(10,7)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.a1q12", not GetBool("savegame.mod.a1q12"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(128,590)
if GetBool("savegame.mod.a1w12") then
    UiPush()
        UiTranslate(5,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.a1w12", not GetBool("savegame.mod.a1w12"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(156,590)
if GetBool("savegame.mod.a1e12") then
    UiPush()
        UiTranslate(-2,7)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.a1e12", not GetBool("savegame.mod.a1e12"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(184,590)
if GetBool("savegame.mod.a1r12") then
    UiPush()
        UiTranslate(-8,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.a1r12", not GetBool("savegame.mod.a1r12"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(212,590)
if GetBool("savegame.mod.a1t12") then
    UiPush()
        UiTranslate(-14,7)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.a1t12", not GetBool("savegame.mod.a1t12"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(240,590)
if GetBool("savegame.mod.a1y12") then
    UiPush()
        UiTranslate(-20,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.a1y12", not GetBool("savegame.mod.a1y12"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(-30,630)
if GetBool("savegame.mod.a1u12") then
    UiPush()
        UiTranslate(40,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.a1u12", not GetBool("savegame.mod.a1u12"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(290,630)
if GetBool("savegame.mod.a1i12") then
UiPush()
UiTranslate(-45,-30)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
if 	UiTextButton("O", 40, 40) then
SetBool("savegame.mod.a1i12", not GetBool("savegame.mod.a1i12"))
PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(-30,670)
if GetBool("savegame.mod.a1o12") then
    UiPush()
        UiTranslate(40,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.a1o12", not GetBool("savegame.mod.a1o12"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(290,670)
if GetBool("savegame.mod.a1p12") then
UiPush()
UiTranslate(-45,-30)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
if 	UiTextButton("X", 40, 40) then
SetBool("savegame.mod.a1p12", not GetBool("savegame.mod.a1p12"))
PlaySound(snd)
end

UiPop()
        UiTranslate(400,0)
        local resetButton = UiTextButton("Reset Lights", 200, 50)
        if resetButton then
            SetBool("savegame.mod.aq12")  
            SetBool("savegame.mod.aw12")  
            SetBool("savegame.mod.ae12")  
            SetBool("savegame.mod.ar12")  
            SetBool("savegame.mod.at12")  
            SetBool("savegame.mod.ay12")  
            SetBool("savegame.mod.au12")  
            SetBool("savegame.mod.ai12")  
            SetBool("savegame.mod.ao12")  
            SetBool("savegame.mod.ap12") 
            SetBool("savegame.mod.aa12") 
            SetBool("savegame.mod.as12") 
            SetBool("savegame.mod.ad12") 
            SetBool("savegame.mod.af12")  
            SetBool("savegame.mod.ag12")  
            SetBool("savegame.mod.ah12")  
            SetBool("savegame.mod.aj12")  
            SetBool("savegame.mod.ak12")  
            SetBool("savegame.mod.al12")  
            SetBool("savegame.mod.az12")  
            SetBool("savegame.mod.ax12")  
            SetBool("savegame.mod.ac12")  
            SetBool("savegame.mod.av12")  
            SetBool("savegame.mod.ab12") 
            SetBool("savegame.mod.an12")  
            SetBool("savegame.mod.am12")  
            SetBool("savegame.mod.a1q12")  
            SetBool("savegame.mod.a1w12")  
            SetBool("savegame.mod.a1e12")  
            SetBool("savegame.mod.a1r12") 
            SetBool("savegame.mod.a1t12")  
            SetBool("savegame.mod.a1y12")  
            SetBool("savegame.mod.a1u12")  
            SetBool("savegame.mod.a1i12")  
            SetBool("savegame.mod.a1o12")  
            SetBool("savegame.mod.a1p12")  
            PlaySound(snd)  
        end
    end
    UiPop()

  


    UiPush()
    if GetInt("savegame.mod.time") == 60 then
        UiPush()
        UiTranslate(555,-125)
        UiImage("ui/common/dot.png")
        UiPop()
        UiTranslate(50,50)
        UiButtonImageBox("MOD/images/box-outline-6.png", 6, 6)

--light button
        UiPush()
        UiTranslate(15,20)
        if GetBool("savegame.mod.aq13") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.aq13", not GetBool("savegame.mod.aq13"))
            PlaySound(snd)
        end

        UiPop()
--light button



UiPush()
UiTranslate(250,20)
if GetBool("savegame.mod.aw13") then
    UiPush()
        UiTranslate(-50,-30)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.aw13", not GetBool("savegame.mod.aw13"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(55,-40)
if GetBool("savegame.mod.ae13") then
    UiPush()
        UiTranslate(40,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ae13", not GetBool("savegame.mod.ae13"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(215,-40)
if GetBool("savegame.mod.ar13") then
    UiPush()
        UiTranslate(-50,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ar13", not GetBool("savegame.mod.ar13"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(55,-80)
if GetBool("savegame.mod.at13") then
    UiPush()
        UiTranslate(40,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.at13", not GetBool("savegame.mod.at13"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(215,-80)
if GetBool("savegame.mod.ay13") then
    UiPush()
        UiTranslate(-50,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ay13", not GetBool("savegame.mod.ay13"))
    PlaySound(snd)
end

UiPop()

UiPush()
UiTranslate(25,235)
if GetBool("savegame.mod.au13") then
    UiPush()
        UiTranslate(20,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.au13", not GetBool("savegame.mod.au13"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(53,235)
if GetBool("savegame.mod.ai13") then
    UiPush()
        UiTranslate(15,-47)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ai13", not GetBool("savegame.mod.ai13"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(78,235)
if GetBool("savegame.mod.ao13") then
    UiPush()
        UiTranslate(8,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ao13", not GetBool("savegame.mod.ao13"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(104,235)
if GetBool("savegame.mod.ap13") then
    UiPush()
        UiTranslate(5,-47)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ap13", not GetBool("savegame.mod.ap13"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(128,235)
if GetBool("savegame.mod.aa13") then
    UiPush()
        UiTranslate(4,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.aa13", not GetBool("savegame.mod.aa13"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(156,235)
if GetBool("savegame.mod.as13") then
    UiPush()
        UiTranslate(-2,-47)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.as13", not GetBool("savegame.mod.as13"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(184,235)
if GetBool("savegame.mod.ad13") then
    UiPush()
        UiTranslate(-8,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ad13", not GetBool("savegame.mod.ad13"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(212,235)
if GetBool("savegame.mod.af13") then
    UiPush()
        UiTranslate(-14,-47)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.af13", not GetBool("savegame.mod.af13"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(240,235)
if GetBool("savegame.mod.ag13") then
    UiPush()
        UiTranslate(-20,-47)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ag13", not GetBool("savegame.mod.ag13"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-45,270)
if GetBool("savegame.mod.ah13") then
    UiPush()
        UiTranslate(45,-25)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ah13", not GetBool("savegame.mod.ah13"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-45,310)
if GetBool("savegame.mod.aj13") then
    UiPush()
        UiTranslate(45,-25)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.aj13", not GetBool("savegame.mod.aj13"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-45,518)
if GetBool("savegame.mod.ak13") then
    UiPush()
        UiTranslate(45,-25)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ak13", not GetBool("savegame.mod.ak13"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-45,558)
if GetBool("savegame.mod.al13") then
    UiPush()
        UiTranslate(45,-25)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.al13", not GetBool("savegame.mod.al13"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(295,270)
if GetBool("savegame.mod.az13") then
    UiPush()
        UiTranslate(-25,-25)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.az13", not GetBool("savegame.mod.az13"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(295,310)
if GetBool("savegame.mod.ax13") then
    UiPush()
        UiTranslate(-25,-25)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ax13", not GetBool("savegame.mod.ax13"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(295,518)
if GetBool("savegame.mod.ac13") then
    UiPush()
        UiTranslate(-25,-25)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.ac13", not GetBool("savegame.mod.ac13"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(295,558)
if GetBool("savegame.mod.av13") then
    UiPush()
        UiTranslate(-25,-25)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.av13", not GetBool("savegame.mod.av13"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(22,590)
if GetBool("savegame.mod.ab13") then
    UiPush()
        UiTranslate(24,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ab13", not GetBool("savegame.mod.ab13"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(50,590)
if GetBool("savegame.mod.an13") then
    UiPush()
        UiTranslate(17,7)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.an13", not GetBool("savegame.mod.an13"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(76,590)
if GetBool("savegame.mod.am13") then
    UiPush()
        UiTranslate(13,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.am13", not GetBool("savegame.mod.am13"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(101,590)
if GetBool("savegame.mod.a1q13") then
    UiPush()
        UiTranslate(10,7)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.a1q13", not GetBool("savegame.mod.a1q13"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(128,590)
if GetBool("savegame.mod.a1w13") then
    UiPush()
        UiTranslate(5,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.a1w13", not GetBool("savegame.mod.a1w13"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(156,590)
if GetBool("savegame.mod.a1e13") then
    UiPush()
        UiTranslate(-2,7)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.a1e13", not GetBool("savegame.mod.a1e13"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(184,590)
if GetBool("savegame.mod.a1r13") then
    UiPush()
        UiTranslate(-8,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.a1r13", not GetBool("savegame.mod.a1r13"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(212,590)
if GetBool("savegame.mod.a1t13") then
    UiPush()
        UiTranslate(-14,7)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.a1t13", not GetBool("savegame.mod.a1t13"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(240,590)
if GetBool("savegame.mod.a1y13") then
    UiPush()
        UiTranslate(-20,7)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 25, 20, 6, 6)
    UiPop()
end
UiScale(0.7,0.7)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.a1y13", not GetBool("savegame.mod.a1y13"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(-30,630)
if GetBool("savegame.mod.a1u13") then
    UiPush()
        UiTranslate(40,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.a1u13", not GetBool("savegame.mod.a1u13"))
    PlaySound(snd)
end

UiPop()




UiPush()
UiTranslate(290,630)
if GetBool("savegame.mod.a1i13") then
UiPush()
UiTranslate(-45,-30)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
if 	UiTextButton("O", 40, 40) then
SetBool("savegame.mod.a1i13", not GetBool("savegame.mod.a1i13"))
PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(-30,670)
if GetBool("savegame.mod.a1o13") then
    UiPush()
        UiTranslate(40,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.a1o13", not GetBool("savegame.mod.a1o13"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(290,670)
if GetBool("savegame.mod.a1p13") then
UiPush()
UiTranslate(-45,-30)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
if 	UiTextButton("X", 40, 40) then
SetBool("savegame.mod.a1p13", not GetBool("savegame.mod.a1p13"))
PlaySound(snd)
end

UiPop()
        UiTranslate(400,0)
        local resetButton = UiTextButton("Reset Lights", 200, 50)
        if resetButton then
            SetBool("savegame.mod.aq13")  
            SetBool("savegame.mod.aw13")  
            SetBool("savegame.mod.ae13")  
            SetBool("savegame.mod.ar13")  
            SetBool("savegame.mod.at13")  
            SetBool("savegame.mod.ay13")  
            SetBool("savegame.mod.au13")  
            SetBool("savegame.mod.ai13")  
            SetBool("savegame.mod.ao13")  
            SetBool("savegame.mod.ap13") 
            SetBool("savegame.mod.aa13") 
            SetBool("savegame.mod.as13") 
            SetBool("savegame.mod.ad13") 
            SetBool("savegame.mod.af13")  
            SetBool("savegame.mod.ag13")  
            SetBool("savegame.mod.ah13")  
            SetBool("savegame.mod.aj13")  
            SetBool("savegame.mod.ak13")  
            SetBool("savegame.mod.al13")  
            SetBool("savegame.mod.az13")  
            SetBool("savegame.mod.ax13")  
            SetBool("savegame.mod.ac13")  
            SetBool("savegame.mod.av13")  
            SetBool("savegame.mod.ab13") 
            SetBool("savegame.mod.an13")  
            SetBool("savegame.mod.am13")  
            SetBool("savegame.mod.a1q13")  
            SetBool("savegame.mod.a1w13")  
            SetBool("savegame.mod.a1e13")  
            SetBool("savegame.mod.a1r13") 
            SetBool("savegame.mod.a1t13")  
            SetBool("savegame.mod.a1y13")  
            SetBool("savegame.mod.a1u13")  
            SetBool("savegame.mod.a1i13")  
            SetBool("savegame.mod.a1o13")  
            SetBool("savegame.mod.a1p13")  
            PlaySound(snd)  
        end
    end
    UiPop()

 



    UiTranslate(465,100)
    UiScale(0.7, 0.7)
    UiColor(1,0,0,0.5)
    UiPush()
    UiTranslate(-16,-35)
    UiImageBox("MOD/images/box-solid-6.png", 260, 50, 6, 6)
    UiPop()
    UiColor(1,0,0)
    local resetButton = UiTextButton("Reset All Lights", 200, 50)
    if resetButton then
        SetBool("savegame.mod.aq1")  
        SetBool("savegame.mod.aw1")  
        SetBool("savegame.mod.ae1")  
        SetBool("savegame.mod.ar1")  
        SetBool("savegame.mod.at1")  
        SetBool("savegame.mod.ay1")  
        SetBool("savegame.mod.au1")  
        SetBool("savegame.mod.ai1")  
        SetBool("savegame.mod.ao1")  
        SetBool("savegame.mod.ap1") 
        SetBool("savegame.mod.aa1") 
        SetBool("savegame.mod.as1") 
        SetBool("savegame.mod.ad1") 
        SetBool("savegame.mod.af1")  
        SetBool("savegame.mod.ag1")  
        SetBool("savegame.mod.ah1")  
        SetBool("savegame.mod.aj1")  
        SetBool("savegame.mod.ak1")  
        SetBool("savegame.mod.al1")  
        SetBool("savegame.mod.az1")  
        SetBool("savegame.mod.ax1")  
        SetBool("savegame.mod.ac1")  
        SetBool("savegame.mod.av1")  
        SetBool("savegame.mod.ab1") 
        SetBool("savegame.mod.an1")  
        SetBool("savegame.mod.am1")  
        SetBool("savegame.mod.a1q1")  
        SetBool("savegame.mod.a1w1")  
        SetBool("savegame.mod.a1e1")  
        SetBool("savegame.mod.a1r1") 
        SetBool("savegame.mod.a1t1")  
        SetBool("savegame.mod.a1y1")  
        SetBool("savegame.mod.a1u1")  
        SetBool("savegame.mod.a1i1")  
        SetBool("savegame.mod.a1o1")  
        SetBool("savegame.mod.a1p1")
        SetBool("savegame.mod.aq2")  
        SetBool("savegame.mod.aw2")  
        SetBool("savegame.mod.ae2")  
        SetBool("savegame.mod.ar2")  
        SetBool("savegame.mod.at2")  
        SetBool("savegame.mod.ay2")  
        SetBool("savegame.mod.au2")  
        SetBool("savegame.mod.ai2")  
        SetBool("savegame.mod.ao2")  
        SetBool("savegame.mod.ap2") 
        SetBool("savegame.mod.aa2") 
        SetBool("savegame.mod.as2") 
        SetBool("savegame.mod.ad2") 
        SetBool("savegame.mod.af2")  
        SetBool("savegame.mod.ag2")  
        SetBool("savegame.mod.ah2")  
        SetBool("savegame.mod.aj2")  
        SetBool("savegame.mod.ak2")  
        SetBool("savegame.mod.al2")  
        SetBool("savegame.mod.az2")  
        SetBool("savegame.mod.ax2")  
        SetBool("savegame.mod.ac2")  
        SetBool("savegame.mod.av2")  
        SetBool("savegame.mod.ab2") 
        SetBool("savegame.mod.an2")  
        SetBool("savegame.mod.am2")  
        SetBool("savegame.mod.a1q2")  
        SetBool("savegame.mod.a1w2")  
        SetBool("savegame.mod.a1e2")  
        SetBool("savegame.mod.a1r2") 
        SetBool("savegame.mod.a1t2")  
        SetBool("savegame.mod.a1y2")  
        SetBool("savegame.mod.a1u2")  
        SetBool("savegame.mod.a1i2")  
        SetBool("savegame.mod.a1o2")  
        SetBool("savegame.mod.a1p2") 
        SetBool("savegame.mod.aq3")  
        SetBool("savegame.mod.aw3")  
        SetBool("savegame.mod.ae3")  
        SetBool("savegame.mod.ar3")  
        SetBool("savegame.mod.at3")  
        SetBool("savegame.mod.ay3")  
        SetBool("savegame.mod.au3")  
        SetBool("savegame.mod.ai3")  
        SetBool("savegame.mod.ao3")  
        SetBool("savegame.mod.ap3") 
        SetBool("savegame.mod.aa3") 
        SetBool("savegame.mod.as3") 
        SetBool("savegame.mod.ad3") 
        SetBool("savegame.mod.af3")  
        SetBool("savegame.mod.ag3")  
        SetBool("savegame.mod.ah3")  
        SetBool("savegame.mod.aj3")  
        SetBool("savegame.mod.ak3")  
        SetBool("savegame.mod.al3")  
        SetBool("savegame.mod.az3")  
        SetBool("savegame.mod.ax3")  
        SetBool("savegame.mod.ac3")  
        SetBool("savegame.mod.av3")  
        SetBool("savegame.mod.ab3") 
        SetBool("savegame.mod.an3")  
        SetBool("savegame.mod.am3")  
        SetBool("savegame.mod.a1q3")  
        SetBool("savegame.mod.a1w3")  
        SetBool("savegame.mod.a1e3")  
        SetBool("savegame.mod.a1r3") 
        SetBool("savegame.mod.a1t3")  
        SetBool("savegame.mod.a1y3")  
        SetBool("savegame.mod.a1u3")  
        SetBool("savegame.mod.a1i3")  
        SetBool("savegame.mod.a1o3")  
        SetBool("savegame.mod.a1p3") 
        SetBool("savegame.mod.aq4")  
        SetBool("savegame.mod.aw4")  
        SetBool("savegame.mod.ae4")  
        SetBool("savegame.mod.ar4")  
        SetBool("savegame.mod.at4")  
        SetBool("savegame.mod.ay4")  
        SetBool("savegame.mod.au4")  
        SetBool("savegame.mod.ai4")  
        SetBool("savegame.mod.ao4")  
        SetBool("savegame.mod.ap4") 
        SetBool("savegame.mod.aa4") 
        SetBool("savegame.mod.as4") 
        SetBool("savegame.mod.ad4") 
        SetBool("savegame.mod.af4")  
        SetBool("savegame.mod.ag4")  
        SetBool("savegame.mod.ah4")  
        SetBool("savegame.mod.aj4")  
        SetBool("savegame.mod.ak4")  
        SetBool("savegame.mod.al4")  
        SetBool("savegame.mod.az4")  
        SetBool("savegame.mod.ax4")  
        SetBool("savegame.mod.ac4")  
        SetBool("savegame.mod.av4")  
        SetBool("savegame.mod.ab4") 
        SetBool("savegame.mod.an4")  
        SetBool("savegame.mod.am4")  
        SetBool("savegame.mod.a1q4")  
        SetBool("savegame.mod.a1w4")  
        SetBool("savegame.mod.a1e4")  
        SetBool("savegame.mod.a1r4") 
        SetBool("savegame.mod.a1t4")  
        SetBool("savegame.mod.a1y4")  
        SetBool("savegame.mod.a1u4")  
        SetBool("savegame.mod.a1i4")  
        SetBool("savegame.mod.a1o4")  
        SetBool("savegame.mod.a1p4") 
        SetBool("savegame.mod.aq5")  
        SetBool("savegame.mod.aw5")  
        SetBool("savegame.mod.ae5")  
        SetBool("savegame.mod.ar5")  
        SetBool("savegame.mod.at5")  
        SetBool("savegame.mod.ay5")  
        SetBool("savegame.mod.au5")  
        SetBool("savegame.mod.ai5")  
        SetBool("savegame.mod.ao5")  
        SetBool("savegame.mod.ap5") 
        SetBool("savegame.mod.aa5") 
        SetBool("savegame.mod.as5") 
        SetBool("savegame.mod.ad5") 
        SetBool("savegame.mod.af5")  
        SetBool("savegame.mod.ag5")  
        SetBool("savegame.mod.ah5")  
        SetBool("savegame.mod.aj5")  
        SetBool("savegame.mod.ak5")  
        SetBool("savegame.mod.al5")  
        SetBool("savegame.mod.az5")  
        SetBool("savegame.mod.ax5")  
        SetBool("savegame.mod.ac5")  
        SetBool("savegame.mod.av5")  
        SetBool("savegame.mod.ab5") 
        SetBool("savegame.mod.an5")  
        SetBool("savegame.mod.am5")  
        SetBool("savegame.mod.a1q5")  
        SetBool("savegame.mod.a1w5")  
        SetBool("savegame.mod.a1e5")  
        SetBool("savegame.mod.a1r5") 
        SetBool("savegame.mod.a1t5")  
        SetBool("savegame.mod.a1y5")  
        SetBool("savegame.mod.a1u5")  
        SetBool("savegame.mod.a1i5")  
        SetBool("savegame.mod.a1o5")  
        SetBool("savegame.mod.a1p5") 
        SetBool("savegame.mod.aq6")  
        SetBool("savegame.mod.aw6")  
        SetBool("savegame.mod.ae6")  
        SetBool("savegame.mod.ar6")  
        SetBool("savegame.mod.at6")  
        SetBool("savegame.mod.ay6")  
        SetBool("savegame.mod.au6")  
        SetBool("savegame.mod.ai6")  
        SetBool("savegame.mod.ao6")  
        SetBool("savegame.mod.ap6") 
        SetBool("savegame.mod.aa6") 
        SetBool("savegame.mod.as6") 
        SetBool("savegame.mod.ad6") 
        SetBool("savegame.mod.af6")  
        SetBool("savegame.mod.ag6")  
        SetBool("savegame.mod.ah6")  
        SetBool("savegame.mod.aj6")  
        SetBool("savegame.mod.ak6")  
        SetBool("savegame.mod.al6")  
        SetBool("savegame.mod.az6")  
        SetBool("savegame.mod.ax6")  
        SetBool("savegame.mod.ac6")  
        SetBool("savegame.mod.av6")  
        SetBool("savegame.mod.ab6") 
        SetBool("savegame.mod.an6")  
        SetBool("savegame.mod.am6")  
        SetBool("savegame.mod.a1q6")  
        SetBool("savegame.mod.a1w6")  
        SetBool("savegame.mod.a1e6")  
        SetBool("savegame.mod.a1r6") 
        SetBool("savegame.mod.a1t6")  
        SetBool("savegame.mod.a1y6")  
        SetBool("savegame.mod.a1u6")  
        SetBool("savegame.mod.a1i6")  
        SetBool("savegame.mod.a1o6")  
        SetBool("savegame.mod.a1p6")   
        SetBool("savegame.mod.aq7")  
        SetBool("savegame.mod.aw7")  
        SetBool("savegame.mod.ae7")  
        SetBool("savegame.mod.ar7")  
        SetBool("savegame.mod.at7")  
        SetBool("savegame.mod.ay7")  
        SetBool("savegame.mod.au7")  
        SetBool("savegame.mod.ai7")  
        SetBool("savegame.mod.ao7")  
        SetBool("savegame.mod.ap7") 
        SetBool("savegame.mod.aa7") 
        SetBool("savegame.mod.as7") 
        SetBool("savegame.mod.ad7") 
        SetBool("savegame.mod.af7")  
        SetBool("savegame.mod.ag7")  
        SetBool("savegame.mod.ah7")  
        SetBool("savegame.mod.aj7")  
        SetBool("savegame.mod.ak7")  
        SetBool("savegame.mod.al7")  
        SetBool("savegame.mod.az7")  
        SetBool("savegame.mod.ax7")  
        SetBool("savegame.mod.ac7")  
        SetBool("savegame.mod.av7")  
        SetBool("savegame.mod.ab7") 
        SetBool("savegame.mod.an7")  
        SetBool("savegame.mod.am7")  
        SetBool("savegame.mod.a1q7")  
        SetBool("savegame.mod.a1w7")  
        SetBool("savegame.mod.a1e7")  
        SetBool("savegame.mod.a1r7") 
        SetBool("savegame.mod.a1t7")  
        SetBool("savegame.mod.a1y7")  
        SetBool("savegame.mod.a1u7")  
        SetBool("savegame.mod.a1i7")  
        SetBool("savegame.mod.a1o7")  
        SetBool("savegame.mod.a1p7") 
        SetBool("savegame.mod.aq8")  
        SetBool("savegame.mod.aw8")  
        SetBool("savegame.mod.ae8")  
        SetBool("savegame.mod.ar8")  
        SetBool("savegame.mod.at8")  
        SetBool("savegame.mod.ay8")  
        SetBool("savegame.mod.au8")  
        SetBool("savegame.mod.ai8")  
        SetBool("savegame.mod.ao8")  
        SetBool("savegame.mod.ap8") 
        SetBool("savegame.mod.aa8") 
        SetBool("savegame.mod.as8") 
        SetBool("savegame.mod.ad8") 
        SetBool("savegame.mod.af8")  
        SetBool("savegame.mod.ag8")  
        SetBool("savegame.mod.ah8")  
        SetBool("savegame.mod.aj8")  
        SetBool("savegame.mod.ak8")  
        SetBool("savegame.mod.al8")  
        SetBool("savegame.mod.az8")  
        SetBool("savegame.mod.ax8")  
        SetBool("savegame.mod.ac8")  
        SetBool("savegame.mod.av8")  
        SetBool("savegame.mod.ab8") 
        SetBool("savegame.mod.an8")  
        SetBool("savegame.mod.am8")  
        SetBool("savegame.mod.a1q8")  
        SetBool("savegame.mod.a1w8")  
        SetBool("savegame.mod.a1e8")  
        SetBool("savegame.mod.a1r8") 
        SetBool("savegame.mod.a1t8")  
        SetBool("savegame.mod.a1y8")  
        SetBool("savegame.mod.a1u8")  
        SetBool("savegame.mod.a1i8")  
        SetBool("savegame.mod.a1o8")  
        SetBool("savegame.mod.a1p8") 
        SetBool("savegame.mod.aq9")  
        SetBool("savegame.mod.aw9")  
        SetBool("savegame.mod.ae9")  
        SetBool("savegame.mod.ar9")  
        SetBool("savegame.mod.at9")  
        SetBool("savegame.mod.ay9")  
        SetBool("savegame.mod.au9")  
        SetBool("savegame.mod.ai9")  
        SetBool("savegame.mod.ao9")  
        SetBool("savegame.mod.ap9") 
        SetBool("savegame.mod.aa9") 
        SetBool("savegame.mod.as9") 
        SetBool("savegame.mod.ad9") 
        SetBool("savegame.mod.af9")  
        SetBool("savegame.mod.ag9")  
        SetBool("savegame.mod.ah9")  
        SetBool("savegame.mod.aj9")  
        SetBool("savegame.mod.ak9")  
        SetBool("savegame.mod.al9")  
        SetBool("savegame.mod.az9")  
        SetBool("savegame.mod.ax9")  
        SetBool("savegame.mod.ac9")  
        SetBool("savegame.mod.av9")  
        SetBool("savegame.mod.ab9") 
        SetBool("savegame.mod.an9")  
        SetBool("savegame.mod.am9")  
        SetBool("savegame.mod.a1q9")  
        SetBool("savegame.mod.a1w9")  
        SetBool("savegame.mod.a1e9")  
        SetBool("savegame.mod.a1r9") 
        SetBool("savegame.mod.a1t9")  
        SetBool("savegame.mod.a1y9")  
        SetBool("savegame.mod.a1u9")  
        SetBool("savegame.mod.a1i9")  
        SetBool("savegame.mod.a1o9")  
        SetBool("savegame.mod.a1p9")  
        SetBool("savegame.mod.aq10")  
        SetBool("savegame.mod.aw10")  
        SetBool("savegame.mod.ae10")  
        SetBool("savegame.mod.ar10")  
        SetBool("savegame.mod.at10")  
        SetBool("savegame.mod.ay10")  
        SetBool("savegame.mod.au10")  
        SetBool("savegame.mod.ai10")  
        SetBool("savegame.mod.ao10")  
        SetBool("savegame.mod.ap10") 
        SetBool("savegame.mod.aa10") 
        SetBool("savegame.mod.as10") 
        SetBool("savegame.mod.ad10") 
        SetBool("savegame.mod.af10")  
        SetBool("savegame.mod.ag10")  
        SetBool("savegame.mod.ah10")  
        SetBool("savegame.mod.aj10")  
        SetBool("savegame.mod.ak10")  
        SetBool("savegame.mod.al10")  
        SetBool("savegame.mod.az10")  
        SetBool("savegame.mod.ax10")  
        SetBool("savegame.mod.ac10")  
        SetBool("savegame.mod.av10")  
        SetBool("savegame.mod.ab10") 
        SetBool("savegame.mod.an10")  
        SetBool("savegame.mod.am10")  
        SetBool("savegame.mod.a1q10")  
        SetBool("savegame.mod.a1w10")  
        SetBool("savegame.mod.a1e10")  
        SetBool("savegame.mod.a1r10") 
        SetBool("savegame.mod.a1t10")  
        SetBool("savegame.mod.a1y10")  
        SetBool("savegame.mod.a1u10")  
        SetBool("savegame.mod.a1i10")  
        SetBool("savegame.mod.a1o10")  
        SetBool("savegame.mod.a1p10")  
        SetBool("savegame.mod.aq11")  
        SetBool("savegame.mod.aw11")  
        SetBool("savegame.mod.ae11")  
        SetBool("savegame.mod.ar11")  
        SetBool("savegame.mod.at11")  
        SetBool("savegame.mod.ay11")  
        SetBool("savegame.mod.au11")  
        SetBool("savegame.mod.ai11")  
        SetBool("savegame.mod.ao11")  
        SetBool("savegame.mod.ap11") 
        SetBool("savegame.mod.aa11") 
        SetBool("savegame.mod.as11") 
        SetBool("savegame.mod.ad11") 
        SetBool("savegame.mod.af11")  
        SetBool("savegame.mod.ag11")  
        SetBool("savegame.mod.ah11")  
        SetBool("savegame.mod.aj11")  
        SetBool("savegame.mod.ak11")  
        SetBool("savegame.mod.al11")  
        SetBool("savegame.mod.az11")  
        SetBool("savegame.mod.ax11")  
        SetBool("savegame.mod.ac11")  
        SetBool("savegame.mod.av11")  
        SetBool("savegame.mod.ab11") 
        SetBool("savegame.mod.an11")  
        SetBool("savegame.mod.am11")  
        SetBool("savegame.mod.a1q11")  
        SetBool("savegame.mod.a1w11")  
        SetBool("savegame.mod.a1e11")  
        SetBool("savegame.mod.a1r11") 
        SetBool("savegame.mod.a1t11")  
        SetBool("savegame.mod.a1y11")  
        SetBool("savegame.mod.a1u11")  
        SetBool("savegame.mod.a1i11")  
        SetBool("savegame.mod.a1o11")  
        SetBool("savegame.mod.a1p11")   
        SetBool("savegame.mod.aq12")  
        SetBool("savegame.mod.aw12")  
        SetBool("savegame.mod.ae12")  
        SetBool("savegame.mod.ar12")  
        SetBool("savegame.mod.at12")  
        SetBool("savegame.mod.ay12")  
        SetBool("savegame.mod.au12")  
        SetBool("savegame.mod.ai12")  
        SetBool("savegame.mod.ao12")  
        SetBool("savegame.mod.ap12") 
        SetBool("savegame.mod.aa12") 
        SetBool("savegame.mod.as12") 
        SetBool("savegame.mod.ad12") 
        SetBool("savegame.mod.af12")  
        SetBool("savegame.mod.ag12")  
        SetBool("savegame.mod.ah12")  
        SetBool("savegame.mod.aj12")  
        SetBool("savegame.mod.ak12")  
        SetBool("savegame.mod.al12")  
        SetBool("savegame.mod.az12")  
        SetBool("savegame.mod.ax12")  
        SetBool("savegame.mod.ac12")  
        SetBool("savegame.mod.av12")  
        SetBool("savegame.mod.ab12") 
        SetBool("savegame.mod.an12")  
        SetBool("savegame.mod.am12")  
        SetBool("savegame.mod.a1q12")  
        SetBool("savegame.mod.a1w12")  
        SetBool("savegame.mod.a1e12")  
        SetBool("savegame.mod.a1r12") 
        SetBool("savegame.mod.a1t12")  
        SetBool("savegame.mod.a1y12")  
        SetBool("savegame.mod.a1u12")  
        SetBool("savegame.mod.a1i12")  
        SetBool("savegame.mod.a1o12")  
        SetBool("savegame.mod.a1p12") 
        SetBool("savegame.mod.aq13")  
        SetBool("savegame.mod.aw13")  
        SetBool("savegame.mod.ae13")  
        SetBool("savegame.mod.ar13")  
        SetBool("savegame.mod.at13")  
        SetBool("savegame.mod.ay13")  
        SetBool("savegame.mod.au13")  
        SetBool("savegame.mod.ai13")  
        SetBool("savegame.mod.ao13")  
        SetBool("savegame.mod.ap13") 
        SetBool("savegame.mod.aa13") 
        SetBool("savegame.mod.as13") 
        SetBool("savegame.mod.ad13") 
        SetBool("savegame.mod.af13")  
        SetBool("savegame.mod.ag13")  
        SetBool("savegame.mod.ah13")  
        SetBool("savegame.mod.aj13")  
        SetBool("savegame.mod.ak13")  
        SetBool("savegame.mod.al13")  
        SetBool("savegame.mod.az13")  
        SetBool("savegame.mod.ax13")  
        SetBool("savegame.mod.ac13")  
        SetBool("savegame.mod.av13")  
        SetBool("savegame.mod.ab13") 
        SetBool("savegame.mod.an13")  
        SetBool("savegame.mod.am13")  
        SetBool("savegame.mod.a1q13")  
        SetBool("savegame.mod.a1w13")  
        SetBool("savegame.mod.a1e13")  
        SetBool("savegame.mod.a1r13") 
        SetBool("savegame.mod.a1t13")  
        SetBool("savegame.mod.a1y13")  
        SetBool("savegame.mod.a1u13")  
        SetBool("savegame.mod.a1i13")  
        SetBool("savegame.mod.a1o13")  
        SetBool("savegame.mod.a1p13") 
            PlaySound(snd)
    end

    UiTranslate(10,60)
    local defaultbutton = UiTextButton("Default Lights", 200, 50)
    if defaultbutton then
        SetBool("savegame.mod.aq1")  
        SetBool("savegame.mod.aw1", true)  
        SetBool("savegame.mod.ae1")  
        SetBool("savegame.mod.ar1")  
        SetBool("savegame.mod.at1", true)  
        SetBool("savegame.mod.ay1")  
        SetBool("savegame.mod.au1", true)  
        SetBool("savegame.mod.ai1")  
        SetBool("savegame.mod.ao1")  
        SetBool("savegame.mod.ap1") 
        SetBool("savegame.mod.aa1") 
        SetBool("savegame.mod.as1") 
        SetBool("savegame.mod.ad1") 
        SetBool("savegame.mod.af1")  
        SetBool("savegame.mod.ag1", true)  
        SetBool("savegame.mod.ah1", true)  
        SetBool("savegame.mod.aj1")  
        SetBool("savegame.mod.ak1")  
        SetBool("savegame.mod.al1")  
        SetBool("savegame.mod.az1", true)  
        SetBool("savegame.mod.ax1")  
        SetBool("savegame.mod.ac1")  
        SetBool("savegame.mod.av1")  
        SetBool("savegame.mod.ab1", true) 
        SetBool("savegame.mod.an1")  
        SetBool("savegame.mod.am1")  
        SetBool("savegame.mod.a1q1")  
        SetBool("savegame.mod.a1w1")  
        SetBool("savegame.mod.a1e1")  
        SetBool("savegame.mod.a1r1") 
        SetBool("savegame.mod.a1t1")  
        SetBool("savegame.mod.a1y1", true)  
        SetBool("savegame.mod.a1u1")  
        SetBool("savegame.mod.a1i1", true)  
        SetBool("savegame.mod.a1o1", true)  
        SetBool("savegame.mod.a1p1")
        SetBool("savegame.mod.aq2")  
        SetBool("savegame.mod.aw2")  
        SetBool("savegame.mod.ae2", true)  
        SetBool("savegame.mod.ar2")  
        SetBool("savegame.mod.at2", true)  
        SetBool("savegame.mod.ay2")  
        SetBool("savegame.mod.au2", true)  
        SetBool("savegame.mod.ai2", true)  
        SetBool("savegame.mod.ao2")  
        SetBool("savegame.mod.ap2") 
        SetBool("savegame.mod.aa2") 
        SetBool("savegame.mod.as2") 
        SetBool("savegame.mod.ad2") 
        SetBool("savegame.mod.af2", true)  
        SetBool("savegame.mod.ag2", true)  
        SetBool("savegame.mod.ah2", true)  
        SetBool("savegame.mod.aj2", true)  
        SetBool("savegame.mod.ak2")  
        SetBool("savegame.mod.al2")  
        SetBool("savegame.mod.az2", true)  
        SetBool("savegame.mod.ax2", true)  
        SetBool("savegame.mod.ac2")  
        SetBool("savegame.mod.av2")  
        SetBool("savegame.mod.ab2", true) 
        SetBool("savegame.mod.an2", true)  
        SetBool("savegame.mod.am2")  
        SetBool("savegame.mod.a1q2")  
        SetBool("savegame.mod.a1w2")  
        SetBool("savegame.mod.a1e2")  
        SetBool("savegame.mod.a1r2") 
        SetBool("savegame.mod.a1t2", true)  
        SetBool("savegame.mod.a1y2", true)  
        SetBool("savegame.mod.a1u2")  
        SetBool("savegame.mod.a1i2", true)  
        SetBool("savegame.mod.a1o2")  
        SetBool("savegame.mod.a1p2") 
        SetBool("savegame.mod.aq3")  
        SetBool("savegame.mod.aw3", true)  
        SetBool("savegame.mod.ae3", true)  
        SetBool("savegame.mod.ar3", true)  
        SetBool("savegame.mod.at3")  
        SetBool("savegame.mod.ay3")  
        SetBool("savegame.mod.au3")  
        SetBool("savegame.mod.ai3", true)  
        SetBool("savegame.mod.ao3", true)  
        SetBool("savegame.mod.ap3") 
        SetBool("savegame.mod.aa3") 
        SetBool("savegame.mod.as3") 
        SetBool("savegame.mod.ad3", true) 
        SetBool("savegame.mod.af3", true)  
        SetBool("savegame.mod.ag3")  
        SetBool("savegame.mod.ah3")  
        SetBool("savegame.mod.aj3", true)  
        SetBool("savegame.mod.ak3", true)  
        SetBool("savegame.mod.al3")  
        SetBool("savegame.mod.az3")  
        SetBool("savegame.mod.ax3", true)  
        SetBool("savegame.mod.ac3", true)  
        SetBool("savegame.mod.av3")  
        SetBool("savegame.mod.ab3") 
        SetBool("savegame.mod.an3", true)  
        SetBool("savegame.mod.am3", true)  
        SetBool("savegame.mod.a1q3")  
        SetBool("savegame.mod.a1w3")  
        SetBool("savegame.mod.a1e3")  
        SetBool("savegame.mod.a1r3", true) 
        SetBool("savegame.mod.a1t3", true)  
        SetBool("savegame.mod.a1y3")  
        SetBool("savegame.mod.a1u3", true)  
        SetBool("savegame.mod.a1i3")  
        SetBool("savegame.mod.a1o3", true)  
        SetBool("savegame.mod.a1p3") 
        SetBool("savegame.mod.aq4")  
        SetBool("savegame.mod.aw4", true)  
        SetBool("savegame.mod.ae4")  
        SetBool("savegame.mod.ar4", true)  
        SetBool("savegame.mod.at4")  
        SetBool("savegame.mod.ay4", true)  
        SetBool("savegame.mod.au4")  
        SetBool("savegame.mod.ai4")  
        SetBool("savegame.mod.ao4", true)  
        SetBool("savegame.mod.ap4", true) 
        SetBool("savegame.mod.aa4") 
        SetBool("savegame.mod.as4", true) 
        SetBool("savegame.mod.ad4", true) 
        SetBool("savegame.mod.af4")  
        SetBool("savegame.mod.ag4")  
        SetBool("savegame.mod.ah4")  
        SetBool("savegame.mod.aj4")  
        SetBool("savegame.mod.ak4", true)  
        SetBool("savegame.mod.al4", true)  
        SetBool("savegame.mod.az4")  
        SetBool("savegame.mod.ax4")  
        SetBool("savegame.mod.ac4", true)  
        SetBool("savegame.mod.av4", true)  
        SetBool("savegame.mod.ab4") 
        SetBool("savegame.mod.an4")  
        SetBool("savegame.mod.am4", true)  
        SetBool("savegame.mod.a1q4", true)  
        SetBool("savegame.mod.a1w4")  
        SetBool("savegame.mod.a1e4", true)  
        SetBool("savegame.mod.a1r4", true) 
        SetBool("savegame.mod.a1t4")  
        SetBool("savegame.mod.a1y4")  
        SetBool("savegame.mod.a1u4", true)  
        SetBool("savegame.mod.a1i4")  
        SetBool("savegame.mod.a1o4", true)  
        SetBool("savegame.mod.a1p4") 
        SetBool("savegame.mod.aq5")  
        SetBool("savegame.mod.aw5", true)  
        SetBool("savegame.mod.ae5")  
        SetBool("savegame.mod.ar5")  
        SetBool("savegame.mod.at5")  
        SetBool("savegame.mod.ay5", true)  
        SetBool("savegame.mod.au5")  
        SetBool("savegame.mod.ai5")  
        SetBool("savegame.mod.ao5")  
        SetBool("savegame.mod.ap5", true) 
        SetBool("savegame.mod.aa5", true) 
        SetBool("savegame.mod.as5", true) 
        SetBool("savegame.mod.ad5") 
        SetBool("savegame.mod.af5")  
        SetBool("savegame.mod.ag5")  
        SetBool("savegame.mod.ah5")  
        SetBool("savegame.mod.aj5")  
        SetBool("savegame.mod.ak5")  
        SetBool("savegame.mod.al5", true)  
        SetBool("savegame.mod.az5")  
        SetBool("savegame.mod.ax5")  
        SetBool("savegame.mod.ac5")  
        SetBool("savegame.mod.av5", true)  
        SetBool("savegame.mod.ab5") 
        SetBool("savegame.mod.an5")  
        SetBool("savegame.mod.am5")  
        SetBool("savegame.mod.a1q5", true)  
        SetBool("savegame.mod.a1w5", true)  
        SetBool("savegame.mod.a1e5", true)  
        SetBool("savegame.mod.a1r5") 
        SetBool("savegame.mod.a1t5")  
        SetBool("savegame.mod.a1y5")  
        SetBool("savegame.mod.a1u5")  
        SetBool("savegame.mod.a1i5", true)  
        SetBool("savegame.mod.a1o5", true)  
        SetBool("savegame.mod.a1p5") 
        SetBool("savegame.mod.aq6")  
        SetBool("savegame.mod.aw6")  
        SetBool("savegame.mod.ae6")  
        SetBool("savegame.mod.ar6")  
        SetBool("savegame.mod.at6")  
        SetBool("savegame.mod.ay6")  
        SetBool("savegame.mod.au6")  
        SetBool("savegame.mod.ai6")  
        SetBool("savegame.mod.ao6")  
        SetBool("savegame.mod.ap6") 
        SetBool("savegame.mod.aa6", true) 
        SetBool("savegame.mod.as6") 
        SetBool("savegame.mod.ad6") 
        SetBool("savegame.mod.af6")  
        SetBool("savegame.mod.ag6")  
        SetBool("savegame.mod.ah6")  
        SetBool("savegame.mod.aj6")  
        SetBool("savegame.mod.ak6")  
        SetBool("savegame.mod.al6")  
        SetBool("savegame.mod.az6")  
        SetBool("savegame.mod.ax6")  
        SetBool("savegame.mod.ac6")  
        SetBool("savegame.mod.av6")  
        SetBool("savegame.mod.ab6") 
        SetBool("savegame.mod.an6")  
        SetBool("savegame.mod.am6")  
        SetBool("savegame.mod.a1q6")  
        SetBool("savegame.mod.a1w6", true)  
        SetBool("savegame.mod.a1e6")  
        SetBool("savegame.mod.a1r6") 
        SetBool("savegame.mod.a1t6")  
        SetBool("savegame.mod.a1y6")  
        SetBool("savegame.mod.a1u6")  
        SetBool("savegame.mod.a1i6", true)  
        SetBool("savegame.mod.a1o6")  
        SetBool("savegame.mod.a1p6")   
        SetBool("savegame.mod.aq7", true)  
        SetBool("savegame.mod.aw7")  
        SetBool("savegame.mod.ae7")  
        SetBool("savegame.mod.ar7")  
        SetBool("savegame.mod.at7")  
        SetBool("savegame.mod.ay7", true)  
        SetBool("savegame.mod.au7")  
        SetBool("savegame.mod.ai7")  
        SetBool("savegame.mod.ao7")  
        SetBool("savegame.mod.ap7", true) 
        SetBool("savegame.mod.aa7", true) 
        SetBool("savegame.mod.as7", true) 
        SetBool("savegame.mod.ad7") 
        SetBool("savegame.mod.af7")  
        SetBool("savegame.mod.ag7")  
        SetBool("savegame.mod.ah7")  
        SetBool("savegame.mod.aj7")  
        SetBool("savegame.mod.ak7")  
        SetBool("savegame.mod.al7", true)  
        SetBool("savegame.mod.az7")  
        SetBool("savegame.mod.ax7")  
        SetBool("savegame.mod.ac7")  
        SetBool("savegame.mod.av7", true)  
        SetBool("savegame.mod.ab7") 
        SetBool("savegame.mod.an7")  
        SetBool("savegame.mod.am7")  
        SetBool("savegame.mod.a1q7", true)  
        SetBool("savegame.mod.a1w7", true)  
        SetBool("savegame.mod.a1e7", true)  
        SetBool("savegame.mod.a1r7") 
        SetBool("savegame.mod.a1t7")  
        SetBool("savegame.mod.a1y7")  
        SetBool("savegame.mod.a1u7", true)  
        SetBool("savegame.mod.a1i7")  
        SetBool("savegame.mod.a1o7")  
        SetBool("savegame.mod.a1p7", true) 
        SetBool("savegame.mod.aq8")  
        SetBool("savegame.mod.aw8")  
        SetBool("savegame.mod.ae8")  
        SetBool("savegame.mod.ar8", true)  
        SetBool("savegame.mod.at8")  
        SetBool("savegame.mod.ay8", true)  
        SetBool("savegame.mod.au8")  
        SetBool("savegame.mod.ai8")  
        SetBool("savegame.mod.ao8", true)  
        SetBool("savegame.mod.ap8", true) 
        SetBool("savegame.mod.aa8") 
        SetBool("savegame.mod.as8", true) 
        SetBool("savegame.mod.ad8", true) 
        SetBool("savegame.mod.af8")  
        SetBool("savegame.mod.ag8")  
        SetBool("savegame.mod.ah8")  
        SetBool("savegame.mod.aj8")  
        SetBool("savegame.mod.ak8", true)  
        SetBool("savegame.mod.al8", true)  
        SetBool("savegame.mod.az8")  
        SetBool("savegame.mod.ax8")  
        SetBool("savegame.mod.ac8", true)  
        SetBool("savegame.mod.av8", true)  
        SetBool("savegame.mod.ab8") 
        SetBool("savegame.mod.an8")  
        SetBool("savegame.mod.am8", true)  
        SetBool("savegame.mod.a1q8", true)  
        SetBool("savegame.mod.a1w8")  
        SetBool("savegame.mod.a1e8", true)  
        SetBool("savegame.mod.a1r8", true) 
        SetBool("savegame.mod.a1t8")  
        SetBool("savegame.mod.a1y8")  
        SetBool("savegame.mod.a1u8", true)  
        SetBool("savegame.mod.a1i8")  
        SetBool("savegame.mod.a1o8")  
        SetBool("savegame.mod.a1p8") 
        SetBool("savegame.mod.aq9", true)  
        SetBool("savegame.mod.aw9")  
        SetBool("savegame.mod.ae9", true)  
        SetBool("savegame.mod.ar9", true)  
        SetBool("savegame.mod.at9")  
        SetBool("savegame.mod.ay9")  
        SetBool("savegame.mod.au9")  
        SetBool("savegame.mod.ai9", true)  
        SetBool("savegame.mod.ao9", true)  
        SetBool("savegame.mod.ap9") 
        SetBool("savegame.mod.aa9") 
        SetBool("savegame.mod.as9") 
        SetBool("savegame.mod.ad9", true) 
        SetBool("savegame.mod.af9", true)  
        SetBool("savegame.mod.ag9")  
        SetBool("savegame.mod.ah9")  
        SetBool("savegame.mod.aj9", true)  
        SetBool("savegame.mod.ak9", true)  
        SetBool("savegame.mod.al9")  
        SetBool("savegame.mod.az9")  
        SetBool("savegame.mod.ax9", true)  
        SetBool("savegame.mod.ac9", true)  
        SetBool("savegame.mod.av9")  
        SetBool("savegame.mod.ab9") 
        SetBool("savegame.mod.an9", true)  
        SetBool("savegame.mod.am9", true)  
        SetBool("savegame.mod.a1q9")  
        SetBool("savegame.mod.a1w9")  
        SetBool("savegame.mod.a1e9")  
        SetBool("savegame.mod.a1r9", true) 
        SetBool("savegame.mod.a1t9", true)  
        SetBool("savegame.mod.a1y9")  
        SetBool("savegame.mod.a1u9")  
        SetBool("savegame.mod.a1i9", true)  
        SetBool("savegame.mod.a1o9")  
        SetBool("savegame.mod.a1p9", true)  
        SetBool("savegame.mod.aq10", true)  
        SetBool("savegame.mod.aw10")  
        SetBool("savegame.mod.ae10", true)  
        SetBool("savegame.mod.ar10")  
        SetBool("savegame.mod.at10", true)  
        SetBool("savegame.mod.ay10")  
        SetBool("savegame.mod.au10", true)  
        SetBool("savegame.mod.ai10", true)  
        SetBool("savegame.mod.ao10")  
        SetBool("savegame.mod.ap10") 
        SetBool("savegame.mod.aa10") 
        SetBool("savegame.mod.as10") 
        SetBool("savegame.mod.ad10") 
        SetBool("savegame.mod.af10", true)  
        SetBool("savegame.mod.ag10", true)  
        SetBool("savegame.mod.ah10", true)  
        SetBool("savegame.mod.aj10", true)  
        SetBool("savegame.mod.ak10")  
        SetBool("savegame.mod.al10")  
        SetBool("savegame.mod.az10", true)  
        SetBool("savegame.mod.ax10", true)  
        SetBool("savegame.mod.ac10")  
        SetBool("savegame.mod.av10")  
        SetBool("savegame.mod.ab10", true) 
        SetBool("savegame.mod.an10", true)  
        SetBool("savegame.mod.am10")  
        SetBool("savegame.mod.a1q10")  
        SetBool("savegame.mod.a1w10")  
        SetBool("savegame.mod.a1e10")  
        SetBool("savegame.mod.a1r10") 
        SetBool("savegame.mod.a1t10", true)  
        SetBool("savegame.mod.a1y10", true)  
        SetBool("savegame.mod.a1u10")  
        SetBool("savegame.mod.a1i10", true)  
        SetBool("savegame.mod.a1o10")  
        SetBool("savegame.mod.a1p10", true)  
        SetBool("savegame.mod.aq11", true)  
        SetBool("savegame.mod.aw11")  
        SetBool("savegame.mod.ae11")  
        SetBool("savegame.mod.ar11")  
        SetBool("savegame.mod.at11", true)  
        SetBool("savegame.mod.ay11")  
        SetBool("savegame.mod.au11", true)  
        SetBool("savegame.mod.ai11")  
        SetBool("savegame.mod.ao11")  
        SetBool("savegame.mod.ap11") 
        SetBool("savegame.mod.aa11") 
        SetBool("savegame.mod.as11") 
        SetBool("savegame.mod.ad11") 
        SetBool("savegame.mod.af11")  
        SetBool("savegame.mod.ag11", true)  
        SetBool("savegame.mod.ah11", true)  
        SetBool("savegame.mod.aj11")  
        SetBool("savegame.mod.ak11")  
        SetBool("savegame.mod.al11")  
        SetBool("savegame.mod.az11", true)  
        SetBool("savegame.mod.ax11")  
        SetBool("savegame.mod.ac11")  
        SetBool("savegame.mod.av11")  
        SetBool("savegame.mod.ab11", true) 
        SetBool("savegame.mod.an11")  
        SetBool("savegame.mod.am11")  
        SetBool("savegame.mod.a1q11")  
        SetBool("savegame.mod.a1w11")  
        SetBool("savegame.mod.a1e11")  
        SetBool("savegame.mod.a1r11") 
        SetBool("savegame.mod.a1t11")  
        SetBool("savegame.mod.a1y11", true)  
        SetBool("savegame.mod.a1u11", true)  
        SetBool("savegame.mod.a1i11")  
        SetBool("savegame.mod.a1o11")  
        SetBool("savegame.mod.a1p11", true)   
        SetBool("savegame.mod.aq12")  
        SetBool("savegame.mod.aw12")  
        SetBool("savegame.mod.ae12")  
        SetBool("savegame.mod.ar12")  
        SetBool("savegame.mod.at12")  
        SetBool("savegame.mod.ay12")  
        SetBool("savegame.mod.au12")  
        SetBool("savegame.mod.ai12")  
        SetBool("savegame.mod.ao12")  
        SetBool("savegame.mod.ap12") 
        SetBool("savegame.mod.aa12") 
        SetBool("savegame.mod.as12") 
        SetBool("savegame.mod.ad12") 
        SetBool("savegame.mod.af12")  
        SetBool("savegame.mod.ag12")  
        SetBool("savegame.mod.ah12")  
        SetBool("savegame.mod.aj12")  
        SetBool("savegame.mod.ak12")  
        SetBool("savegame.mod.al12")  
        SetBool("savegame.mod.az12")  
        SetBool("savegame.mod.ax12")  
        SetBool("savegame.mod.ac12")  
        SetBool("savegame.mod.av12")  
        SetBool("savegame.mod.ab12") 
        SetBool("savegame.mod.an12")  
        SetBool("savegame.mod.am12")  
        SetBool("savegame.mod.a1q12")  
        SetBool("savegame.mod.a1w12")  
        SetBool("savegame.mod.a1e12")  
        SetBool("savegame.mod.a1r12") 
        SetBool("savegame.mod.a1t12")  
        SetBool("savegame.mod.a1y12")  
        SetBool("savegame.mod.a1u12", true)  
        SetBool("savegame.mod.a1i12")  
        SetBool("savegame.mod.a1o12")  
        SetBool("savegame.mod.a1p12") 
        SetBool("savegame.mod.aq13")  
        SetBool("savegame.mod.aw13")  
        SetBool("savegame.mod.ae13")  
        SetBool("savegame.mod.ar13")  
        SetBool("savegame.mod.at13")  
        SetBool("savegame.mod.ay13")  
        SetBool("savegame.mod.au13")  
        SetBool("savegame.mod.ai13")  
        SetBool("savegame.mod.ao13")  
        SetBool("savegame.mod.ap13") 
        SetBool("savegame.mod.aa13") 
        SetBool("savegame.mod.as13") 
        SetBool("savegame.mod.ad13") 
        SetBool("savegame.mod.af13")  
        SetBool("savegame.mod.ag13")  
        SetBool("savegame.mod.ah13")  
        SetBool("savegame.mod.aj13")  
        SetBool("savegame.mod.ak13")  
        SetBool("savegame.mod.al13")  
        SetBool("savegame.mod.az13")  
        SetBool("savegame.mod.ax13")  
        SetBool("savegame.mod.ac13")  
        SetBool("savegame.mod.av13")  
        SetBool("savegame.mod.ab13") 
        SetBool("savegame.mod.an13")  
        SetBool("savegame.mod.am13")  
        SetBool("savegame.mod.a1q13")  
        SetBool("savegame.mod.a1w13")  
        SetBool("savegame.mod.a1e13")  
        SetBool("savegame.mod.a1r13") 
        SetBool("savegame.mod.a1t13")  
        SetBool("savegame.mod.a1y13")  
        SetBool("savegame.mod.a1u13", true)  
        SetBool("savegame.mod.a1i13")  
        SetBool("savegame.mod.a1o13")  
        SetBool("savegame.mod.a1p13") 
        PlaySound(snd)
    end


    UiPop()

		else
            UiColor(1,1,1)
			UiText("Press M to configure")
            SetBool("game.disablepause", false)
            SetBool("game.disablemap", false)
		end

        -- farol 1
    if GetBool("savegame.mod.aq1") then
        aqq0 = GetFloat("savegame.mod.lighs.headlight")
    else
        aqq0 = 0
    end
    if GetBool("savegame.mod.aq2") then
        aqq5 = GetFloat("savegame.mod.lighs.headlight")
    else
        aqq5 = 0
    end
    if GetBool("savegame.mod.aq3") then
        aqq10 = GetFloat("savegame.mod.lighs.headlight")
    else
        aqq10 = 0
    end
    if GetBool("savegame.mod.aq4") then
        aqq15 = GetFloat("savegame.mod.lighs.headlight")
    else
        aqq15 = 0
    end
    if GetBool("savegame.mod.aq5") then
        aqq20 = GetFloat("savegame.mod.lighs.headlight")
    else
        aqq20 = 0
    end
    if GetBool("savegame.mod.aq6") then
        aqq25 = GetFloat("savegame.mod.lighs.headlight")
    else
        aqq25 = 0
    end
    if GetBool("savegame.mod.aq7") then
        aqq30 = GetFloat("savegame.mod.lighs.headlight")
    else
        aqq30 = 0
    end
    if GetBool("savegame.mod.aq8") then
        aqq35 = GetFloat("savegame.mod.lighs.headlight")
    else
        aqq35 = 0
    end
    if GetBool("savegame.mod.aq9") then
        aqq40 = GetFloat("savegame.mod.lighs.headlight")
    else
        aqq40 = 0
    end
    if GetBool("savegame.mod.aq10") then
        aqq45 = GetFloat("savegame.mod.lighs.headlight")
    else
        aqq45 = 0
    end
    if GetBool("savegame.mod.aq11") then
        aqq50 = GetFloat("savegame.mod.lighs.headlight")
    else
        aqq50 = 0
    end
    if GetBool("savegame.mod.aq12") then
        aqq55 = GetFloat("savegame.mod.lighs.headlight")
    else
        aqq55 = 0
    end
    if GetBool("savegame.mod.aq13") then
        aqq59 = GetFloat("savegame.mod.lighs.headlight")
    else
        aqq59 = 0
    end


    -- farol 2
    if GetBool("savegame.mod.aw1") then
        aww0 = GetFloat("savegame.mod.lighs.headlight")
    else
        aww0 = 0
    end
    if GetBool("savegame.mod.aw2") then
        aww5 = GetFloat("savegame.mod.lighs.headlight")
    else
        aww5 = 0
    end
    if GetBool("savegame.mod.aw3") then
        aww10 = GetFloat("savegame.mod.lighs.headlight")
    else
        aww10 = 0
    end
    if GetBool("savegame.mod.aw4") then
        aww15 = GetFloat("savegame.mod.lighs.headlight")
    else
        aww15 = 0
    end
    if GetBool("savegame.mod.aw5") then
        aww20 = GetFloat("savegame.mod.lighs.headlight")
    else
        aww20 = 0
    end
    if GetBool("savegame.mod.aw6") then
        aww25 = GetFloat("savegame.mod.lighs.headlight")
    else
        aww25 = 0
    end
    if GetBool("savegame.mod.aw7") then
        aww30 = GetFloat("savegame.mod.lighs.headlight")
    else
        aww30 = 0
    end
    if GetBool("savegame.mod.aw8") then
        aww35 = GetFloat("savegame.mod.lighs.headlight")
    else
        aww35 = 0
    end
    if GetBool("savegame.mod.aw9") then
        aww40 = GetFloat("savegame.mod.lighs.headlight")
    else
        aww40 = 0
    end
    if GetBool("savegame.mod.aw10") then
        aww45 = GetFloat("savegame.mod.lighs.headlight")
    else
        aww45 = 0
    end
    if GetBool("savegame.mod.aw11") then
        aww50 = GetFloat("savegame.mod.lighs.headlight")
    else
        aww50 = 0
    end
    if GetBool("savegame.mod.aw12") then
        aww55 = GetFloat("savegame.mod.lighs.headlight")
    else
        aww55 = 0
    end
    if GetBool("savegame.mod.aw13") then
        aww59 = GetFloat("savegame.mod.lighs.headlight")
    else
        aww59 = 0
    end

    -- farol 3
    if GetBool("savegame.mod.ae1") then
        aee0 = GetFloat("savegame.mod.emlights.front")
    else
        aee0 = 0
    end
    if GetBool("savegame.mod.ae2") then
        aee5 = GetFloat("savegame.mod.emlights.front")
    else
        aee5 = 0
    end
    if GetBool("savegame.mod.ae3") then
        aee10 = GetFloat("savegame.mod.emlights.front")
    else
        aee10 = 0
    end
    if GetBool("savegame.mod.ae4") then
        aee15 = GetFloat("savegame.mod.emlights.front")
    else
        aee15 = 0
    end
    if GetBool("savegame.mod.ae5") then
        aee20 = GetFloat("savegame.mod.emlights.front")
    else
        aee20 = 0
    end
    if GetBool("savegame.mod.ae6") then
        aee25 = GetFloat("savegame.mod.emlights.front")
    else
        aee25 = 0
    end
    if GetBool("savegame.mod.ae7") then
        aee30 = GetFloat("savegame.mod.emlights.front")
    else
        aee30 = 0
    end
    if GetBool("savegame.mod.ae8") then
        aee35 = GetFloat("savegame.mod.emlights.front")
    else
        aee35 = 0
    end
    if GetBool("savegame.mod.ae9") then
        aee40 = GetFloat("savegame.mod.emlights.front")
    else
        aee40 = 0
    end
    if GetBool("savegame.mod.ae10") then
        aee45 = GetFloat("savegame.mod.emlights.front")
    else
        aee45 = 0
    end
    if GetBool("savegame.mod.ae11") then
        aee50 = GetFloat("savegame.mod.emlights.front")
    else
        aee50 = 0
    end
    if GetBool("savegame.mod.ae12") then
        aee55 = GetFloat("savegame.mod.emlights.front")
    else
        aee55 = 0
    end
    if GetBool("savegame.mod.ae13") then
        aee59 = GetFloat("savegame.mod.emlights.front")
    else
        aee59 = 0
    end


    -- farol 4
    if GetBool("savegame.mod.ar1") then
        arr0 = GetFloat("savegame.mod.emlights.front")
    else
        arr0 = 0
    end
    if GetBool("savegame.mod.ar2") then
        arr5 = GetFloat("savegame.mod.emlights.front")
    else
        arr5 = 0
    end
    if GetBool("savegame.mod.ar3") then
        arr10 = GetFloat("savegame.mod.emlights.front")
    else
        arr10 = 0
    end
    if GetBool("savegame.mod.ar4") then
        arr15 = GetFloat("savegame.mod.emlights.front")
    else
        arr15 = 0
    end
    if GetBool("savegame.mod.ar5") then
        arr20 = GetFloat("savegame.mod.emlights.front")
    else
        arr20 = 0
    end
    if GetBool("savegame.mod.ar6") then
        arr25 = GetFloat("savegame.mod.emlights.front")
    else
        arr25 = 0
    end
    if GetBool("savegame.mod.ar7") then
        arr30 = GetFloat("savegame.mod.emlights.front")
    else
        arr30 = 0
    end
    if GetBool("savegame.mod.ar8") then
        arr35 = GetFloat("savegame.mod.emlights.front")
    else
        arr35 = 0
    end
    if GetBool("savegame.mod.ar9") then
        arr40 = GetFloat("savegame.mod.emlights.front")
    else
        arr40 = 0
    end
    if GetBool("savegame.mod.ar10") then
        arr45 = GetFloat("savegame.mod.emlights.front")
    else
        arr45 = 0
    end
    if GetBool("savegame.mod.ar11") then
        arr50 = GetFloat("savegame.mod.emlights.front")
    else
        arr50 = 0
    end
    if GetBool("savegame.mod.ar12") then
        arr55 = GetFloat("savegame.mod.emlights.front")
    else
        arr55 = 0
    end
    if GetBool("savegame.mod.ar13") then
        arr59 = GetFloat("savegame.mod.emlights.front")
    else
        arr59 = 0
    end


    -- farol 5
    if GetBool("savegame.mod.at1") then
        att0 = GetFloat("savegame.mod.emlights.front")
    else
        att0 = 0
    end
    if GetBool("savegame.mod.at2") then
        att5 = GetFloat("savegame.mod.emlights.front")
    else
        att5 = 0
    end
    if GetBool("savegame.mod.at3") then
        att10 = GetFloat("savegame.mod.emlights.front")
    else
        att10 = 0
    end
    if GetBool("savegame.mod.at4") then
        att15 = GetFloat("savegame.mod.emlights.front")
    else
        att15 = 0
    end
    if GetBool("savegame.mod.at5") then
        att20 = GetFloat("savegame.mod.emlights.front")
    else
        att20 = 0
    end
    if GetBool("savegame.mod.at6") then
        att25 = GetFloat("savegame.mod.emlights.front")
    else
        att25 = 0
    end
    if GetBool("savegame.mod.at7") then
        att30 = GetFloat("savegame.mod.emlights.front")
    else
        att30 = 0
    end
    if GetBool("savegame.mod.at8") then
        att35 = GetFloat("savegame.mod.emlights.front")
    else
        att35 = 0
    end
    if GetBool("savegame.mod.at9") then
        att40 = GetFloat("savegame.mod.emlights.front")
    else
        att40 = 0
    end
    if GetBool("savegame.mod.at10") then
        att45 = GetFloat("savegame.mod.emlights.front")
    else
        att45 = 0
    end
    if GetBool("savegame.mod.at11") then
        att50 = GetFloat("savegame.mod.emlights.front")
    else
        att50 = 0
    end
    if GetBool("savegame.mod.at12") then
        att55 = GetFloat("savegame.mod.emlights.front")
    else
        att55 = 0
    end
    if GetBool("savegame.mod.at13") then
        att59 = GetFloat("savegame.mod.emlights.front")
    else
        att59 = 0
    end


    -- farol 6
    if GetBool("savegame.mod.ay1") then
        ayy0 = GetFloat("savegame.mod.emlights.front")
    else
        ayy0 = 0
    end
    if GetBool("savegame.mod.ay2") then
        ayy5 = GetFloat("savegame.mod.emlights.front")
    else
        ayy5 = 0
    end
    if GetBool("savegame.mod.ay3") then
        ayy10 = GetFloat("savegame.mod.emlights.front")
    else
        ayy10 = 0
    end
    if GetBool("savegame.mod.ay4") then
        ayy15 = GetFloat("savegame.mod.emlights.front")
    else
        ayy15 = 0
    end
    if GetBool("savegame.mod.ay5") then
        ayy20 = GetFloat("savegame.mod.emlights.front")
    else
        ayy20 = 0
    end
    if GetBool("savegame.mod.ay6") then
        ayy25 = GetFloat("savegame.mod.emlights.front")
    else
        ayy25 = 0
    end
    if GetBool("savegame.mod.ay7") then
        ayy30 = GetFloat("savegame.mod.emlights.front")
    else
        ayy30 = 0
    end
    if GetBool("savegame.mod.ay8") then
        ayy35 = GetFloat("savegame.mod.emlights.front")
    else
        ayy35 = 0
    end
    if GetBool("savegame.mod.ay9") then
        ayy40 = GetFloat("savegame.mod.emlights.front")
    else
        ayy40 = 0
    end
    if GetBool("savegame.mod.ay10") then
        ayy45 = GetFloat("savegame.mod.emlights.front")
    else
        ayy45 = 0
    end
    if GetBool("savegame.mod.ay11") then
        ayy50 = GetFloat("savegame.mod.emlights.front")
    else
        ayy50 = 0
    end
    if GetBool("savegame.mod.ay12") then
        ayy55 = GetFloat("savegame.mod.emlights.front")
    else
        ayy55 = 0
    end
    if GetBool("savegame.mod.ay13") then
        ayy59 = GetFloat("savegame.mod.emlights.front")
    else
        ayy59 = 0
    end




    -- farol 7
    if GetBool("savegame.mod.au1") then
        auu0 = GetFloat("savegame.mod.emlights.top")
    else
        auu0 = 0
    end
    if GetBool("savegame.mod.au2") then
        auu5 = GetFloat("savegame.mod.emlights.top")
    else
        auu5 = 0
    end
    if GetBool("savegame.mod.au3") then
        auu10 = GetFloat("savegame.mod.emlights.top")
    else
        auu10 = 0
    end
    if GetBool("savegame.mod.au4") then
        auu15 = GetFloat("savegame.mod.emlights.top")
    else
        auu15 = 0
    end
    if GetBool("savegame.mod.au5") then
        auu20 = GetFloat("savegame.mod.emlights.top")
    else
        auu20 = 0
    end
    if GetBool("savegame.mod.au6") then
        auu25 = GetFloat("savegame.mod.emlights.top")
    else
        auu25 = 0
    end
    if GetBool("savegame.mod.au7") then
        auu30 = GetFloat("savegame.mod.emlights.top")
    else
        auu30 = 0
    end
    if GetBool("savegame.mod.au8") then
        auu35 = GetFloat("savegame.mod.emlights.top")
    else
        auu35 = 0
    end
    if GetBool("savegame.mod.au9") then
        auu40 = GetFloat("savegame.mod.emlights.top")
    else
        auu40 = 0
    end
    if GetBool("savegame.mod.au10") then
        auu45 = GetFloat("savegame.mod.emlights.top")
    else
        auu45 = 0
    end
    if GetBool("savegame.mod.au11") then
        auu50 = GetFloat("savegame.mod.emlights.top")
    else
        auu50 = 0
    end
    if GetBool("savegame.mod.au12") then
        auu55 = GetFloat("savegame.mod.emlights.top")
    else
        auu55 = 0
    end
    if GetBool("savegame.mod.au13") then
        auu59 = GetFloat("savegame.mod.emlights.top")
    else
        auu59 = 0
    end


    -- farol 8
    if GetBool("savegame.mod.ai1") then
        aii0 = GetFloat("savegame.mod.emlights.top")
    else
        aii0 = 0
    end
    if GetBool("savegame.mod.ai2") then
        aii5 = GetFloat("savegame.mod.emlights.top")
    else
        aii5 = 0
    end
    if GetBool("savegame.mod.ai3") then
        aii10 = GetFloat("savegame.mod.emlights.top")
    else
        aii10 = 0
    end
    if GetBool("savegame.mod.ai4") then
        aii15 = GetFloat("savegame.mod.emlights.top")
    else
        aii15 = 0
    end
    if GetBool("savegame.mod.ai5") then
        aii20 = GetFloat("savegame.mod.emlights.top")
    else
        aii20 = 0
    end
    if GetBool("savegame.mod.ai6") then
        aii25 = GetFloat("savegame.mod.emlights.top")
    else
        aii25 = 0
    end
    if GetBool("savegame.mod.ai7") then
        aii30 = GetFloat("savegame.mod.emlights.top")
    else
        aii30 = 0
    end
    if GetBool("savegame.mod.ai8") then
        aii35 = GetFloat("savegame.mod.emlights.top")
    else
        aii35 = 0
    end
    if GetBool("savegame.mod.ai9") then
        aii40 = GetFloat("savegame.mod.emlights.top")
    else
        aii40 = 0
    end
    if GetBool("savegame.mod.ai10") then
        aii45 = GetFloat("savegame.mod.emlights.top")
    else
        aii45 = 0
    end
    if GetBool("savegame.mod.ai11") then
        aii50 = GetFloat("savegame.mod.emlights.top")
    else
        aii50 = 0
    end
    if GetBool("savegame.mod.ai12") then
        aii55 = GetFloat("savegame.mod.emlights.top")
    else
        aii55 = 0
    end
    if GetBool("savegame.mod.ai13") then
        aii59 = GetFloat("savegame.mod.emlights.top")
    else
        aii59 = 0
    end


    -- farol 9
    if GetBool("savegame.mod.ao1") then
        aoo0 = GetFloat("savegame.mod.emlights.top")
    else
        aoo0 = 0
    end
    if GetBool("savegame.mod.ao2") then
        aoo5 = GetFloat("savegame.mod.emlights.top")
    else
        aoo5 = 0
    end
    if GetBool("savegame.mod.ao3") then
        aoo10 = GetFloat("savegame.mod.emlights.top")
    else
        aoo10 = 0
    end
    if GetBool("savegame.mod.ao4") then
        aoo15 = GetFloat("savegame.mod.emlights.top")
    else
        aoo15 = 0
    end
    if GetBool("savegame.mod.ao5") then
        aoo20 = GetFloat("savegame.mod.emlights.top")
    else
        aoo20 = 0
    end
    if GetBool("savegame.mod.ao6") then
        aoo25 = GetFloat("savegame.mod.emlights.top")
    else
        aoo25 = 0
    end
    if GetBool("savegame.mod.ao7") then
        aoo30 = GetFloat("savegame.mod.emlights.top")
    else
        aoo30 = 0
    end
    if GetBool("savegame.mod.ao8") then
        aoo35 = GetFloat("savegame.mod.emlights.top")
    else
        aoo35 = 0
    end
    if GetBool("savegame.mod.ao9") then
        aoo40 = GetFloat("savegame.mod.emlights.top")
    else
        aoo40 = 0
    end
    if GetBool("savegame.mod.ao10") then
        aoo45 = GetFloat("savegame.mod.emlights.top")
    else
        aoo45 = 0
    end
    if GetBool("savegame.mod.ao11") then
        aoo50 = GetFloat("savegame.mod.emlights.top")
    else
        aoo50 = 0
    end
    if GetBool("savegame.mod.ao12") then
        aoo55 = GetFloat("savegame.mod.emlights.top")
    else
        aoo55 = 0
    end
    if GetBool("savegame.mod.ao13") then
        aoo59 = GetFloat("savegame.mod.emlights.top")
    else
        aoo59 = 0
    end


    -- farol 10
    if GetBool("savegame.mod.ap1") then
        app0 = GetFloat("savegame.mod.emlights.top")
    else
        app0 = 0
    end
    if GetBool("savegame.mod.ap2") then
        app5 = GetFloat("savegame.mod.emlights.top")
    else
        app5 = 0
    end
    if GetBool("savegame.mod.ap3") then
        app10 = GetFloat("savegame.mod.emlights.top")
    else
        app10 = 0
    end
    if GetBool("savegame.mod.ap4") then
        app15 = GetFloat("savegame.mod.emlights.top")
    else
        app15 = 0
    end
    if GetBool("savegame.mod.ap5") then
        app20 = GetFloat("savegame.mod.emlights.top")
    else
        app20 = 0
    end
    if GetBool("savegame.mod.ap6") then
        app25 = GetFloat("savegame.mod.emlights.top")
    else
        app25 = 0
    end
    if GetBool("savegame.mod.ap7") then
        app30 = GetFloat("savegame.mod.emlights.top")
    else
        app30 = 0
    end
    if GetBool("savegame.mod.ap8") then
        app35 = GetFloat("savegame.mod.emlights.top")
    else
        app35 = 0
    end
    if GetBool("savegame.mod.ap9") then
        app40 = GetFloat("savegame.mod.emlights.top")
    else
        app40 = 0
    end
    if GetBool("savegame.mod.ap10") then
        app45 = GetFloat("savegame.mod.emlights.top")
    else
        app45 = 0
    end
    if GetBool("savegame.mod.ap11") then
        app50 = GetFloat("savegame.mod.emlights.top")
    else
        app50 = 0
    end
    if GetBool("savegame.mod.ap12") then
        app55 = GetFloat("savegame.mod.emlights.top")
    else
        app55 = 0
    end
    if GetBool("savegame.mod.ap13") then
        app59 = GetFloat("savegame.mod.emlights.top")
    else
        app59 = 0
    end


    -- farol 11
    if GetBool("savegame.mod.aa1") then
        aaa0 = GetFloat("savegame.mod.emlights.top")
    else
        aaa0 = 0
    end
    if GetBool("savegame.mod.aa2") then
        aaa5 = GetFloat("savegame.mod.emlights.top")
    else
        aaa5 = 0
    end
    if GetBool("savegame.mod.aa3") then
        aaa10 = GetFloat("savegame.mod.emlights.top")
    else
        aaa10 = 0
    end
    if GetBool("savegame.mod.aa4") then
        aaa15 = GetFloat("savegame.mod.emlights.top")
    else
        aaa15 = 0
    end
    if GetBool("savegame.mod.aa5") then
        aaa20 = GetFloat("savegame.mod.emlights.top")
    else
        aaa20 = 0
    end
    if GetBool("savegame.mod.aa6") then
        aaa25 = GetFloat("savegame.mod.emlights.top")
    else
        aaa25 = 0
    end
    if GetBool("savegame.mod.aa7") then
        aaa30 = GetFloat("savegame.mod.emlights.top")
    else
        aaa30 = 0
    end
    if GetBool("savegame.mod.aa8") then
        aaa35 = GetFloat("savegame.mod.emlights.top")
    else
        aaa35 = 0
    end
    if GetBool("savegame.mod.aa9") then
        aaa40 = GetFloat("savegame.mod.emlights.top")
    else
        aaa40 = 0
    end
    if GetBool("savegame.mod.aa10") then
        aaa45 = GetFloat("savegame.mod.emlights.top")
    else
        aaa45 = 0
    end
    if GetBool("savegame.mod.aa11") then
        aaa50 = GetFloat("savegame.mod.emlights.top")
    else
        aaa50 = 0
    end
    if GetBool("savegame.mod.aa12") then
        aaa55 = GetFloat("savegame.mod.emlights.top")
    else
        aaa55 = 0
    end
    if GetBool("savegame.mod.aa13") then
        aaa59 = GetFloat("savegame.mod.emlights.top")
    else
        aaa59 = 0
    end


    -- farol 12
    if GetBool("savegame.mod.as1") then
        ass0 = GetFloat("savegame.mod.emlights.top")
    else
        ass0 = 0
    end
    if GetBool("savegame.mod.as2") then
        ass5 = GetFloat("savegame.mod.emlights.top")
    else
        ass5 = 0
    end
    if GetBool("savegame.mod.as3") then
        ass10 = GetFloat("savegame.mod.emlights.top")
    else
        ass10 = 0
    end
    if GetBool("savegame.mod.as4") then
        ass15 = GetFloat("savegame.mod.emlights.top")
    else
        ass15 = 0
    end
    if GetBool("savegame.mod.as5") then
        ass20 = GetFloat("savegame.mod.emlights.top")
    else
        ass20 = 0
    end
    if GetBool("savegame.mod.as6") then
        ass25 = GetFloat("savegame.mod.emlights.top")
    else
        ass25 = 0
    end
    if GetBool("savegame.mod.as7") then
        ass30 = GetFloat("savegame.mod.emlights.top")
    else
        ass30 = 0
    end
    if GetBool("savegame.mod.as8") then
        ass35 = GetFloat("savegame.mod.emlights.top")
    else
        ass35 = 0
    end
    if GetBool("savegame.mod.as9") then
        ass40 = GetFloat("savegame.mod.emlights.top")
    else
        ass40 = 0
    end
    if GetBool("savegame.mod.as10") then
        ass45 = GetFloat("savegame.mod.emlights.top")
    else
        ass45 = 0
    end
    if GetBool("savegame.mod.as11") then
        ass50 = GetFloat("savegame.mod.emlights.top")
    else
        ass50 = 0
    end
    if GetBool("savegame.mod.as12") then
        ass55 = GetFloat("savegame.mod.emlights.top")
    else
        ass55 = 0
    end
    if GetBool("savegame.mod.as13") then
        ass59 = GetFloat("savegame.mod.emlights.top")
    else
        ass59 = 0
    end


    -- farol 13
    if GetBool("savegame.mod.ad1") then
        add0 = GetFloat("savegame.mod.emlights.top")
    else
        add0 = 0
    end
    if GetBool("savegame.mod.ad2") then
        add5 = GetFloat("savegame.mod.emlights.top")
    else
        add5 = 0
    end
    if GetBool("savegame.mod.ad3") then
        add10 = GetFloat("savegame.mod.emlights.top")
    else
        add10 = 0
    end
    if GetBool("savegame.mod.ad4") then
        add15 = GetFloat("savegame.mod.emlights.top")
    else
        add15 = 0
    end
    if GetBool("savegame.mod.ad5") then
        add20 = GetFloat("savegame.mod.emlights.top")
    else
        add20 = 0
    end
    if GetBool("savegame.mod.ad6") then
        add25 = GetFloat("savegame.mod.emlights.top")
    else
        add25 = 0
    end
    if GetBool("savegame.mod.ad7") then
        add30 = GetFloat("savegame.mod.emlights.top")
    else
        add30 = 0
    end
    if GetBool("savegame.mod.ad8") then
        add35 = GetFloat("savegame.mod.emlights.top")
    else
        add35 = 0
    end
    if GetBool("savegame.mod.ad9") then
        add40 = GetFloat("savegame.mod.emlights.top")
    else
        add40 = 0
    end
    if GetBool("savegame.mod.ad10") then
        add45 = GetFloat("savegame.mod.emlights.top")
    else
        add45 = 0
    end
    if GetBool("savegame.mod.ad11") then
        add50 = GetFloat("savegame.mod.emlights.top")
    else
        add50 = 0
    end
    if GetBool("savegame.mod.ad12") then
        add55 = GetFloat("savegame.mod.emlights.top")
    else
        add55 = 0
    end
    if GetBool("savegame.mod.ad13") then
        add59 = GetFloat("savegame.mod.emlights.top")
    else
        add59 = 0
    end


    -- farol 14
    if GetBool("savegame.mod.af1") then
        aff0 = GetFloat("savegame.mod.emlights.top")
    else
        aff0 = 0
    end
    if GetBool("savegame.mod.af2") then
        aff5 = GetFloat("savegame.mod.emlights.top")
    else
        aff5 = 0
    end
    if GetBool("savegame.mod.af3") then
        aff10 = GetFloat("savegame.mod.emlights.top")
    else
        aff10 = 0
    end
    if GetBool("savegame.mod.af4") then
        aff15 = GetFloat("savegame.mod.emlights.top")
    else
        aff15 = 0
    end
    if GetBool("savegame.mod.af5") then
        aff20 = GetFloat("savegame.mod.emlights.top")
    else
        aff20 = 0
    end
    if GetBool("savegame.mod.af6") then
        aff25 = GetFloat("savegame.mod.emlights.top")
    else
        aff25 = 0
    end
    if GetBool("savegame.mod.af7") then
        aff30 = GetFloat("savegame.mod.emlights.top")
    else
        aff30 = 0
    end
    if GetBool("savegame.mod.af8") then
        aff35 = GetFloat("savegame.mod.emlights.top")
    else
        aff35 = 0
    end
    if GetBool("savegame.mod.af9") then
        aff40 = GetFloat("savegame.mod.emlights.top")
    else
        aff40 = 0
    end
    if GetBool("savegame.mod.af10") then
        aff45 = GetFloat("savegame.mod.emlights.top")
    else
        aff45 = 0
    end
    if GetBool("savegame.mod.af11") then
        aff50 = GetFloat("savegame.mod.emlights.top")
    else
        aff50 = 0
    end
    if GetBool("savegame.mod.af12") then
        aff55 = GetFloat("savegame.mod.emlights.top")
    else
        aff55 = 0
    end
    if GetBool("savegame.mod.af13") then
        aff59 = GetFloat("savegame.mod.emlights.top")
    else
        aff59 = 0
    end


    -- farol 15
    if GetBool("savegame.mod.ag1") then
        agg0 = GetFloat("savegame.mod.emlights.top")
    else
        agg0 = 0
    end
    if GetBool("savegame.mod.ag2") then
        agg5 = GetFloat("savegame.mod.emlights.top")
    else
        agg5 = 0
    end
    if GetBool("savegame.mod.ag3") then
        agg10 = GetFloat("savegame.mod.emlights.top")
    else
        agg10 = 0
    end
    if GetBool("savegame.mod.ag4") then
        agg15 = GetFloat("savegame.mod.emlights.top")
    else
        agg15 = 0
    end
    if GetBool("savegame.mod.ag5") then
        agg20 = GetFloat("savegame.mod.emlights.top")
    else
        agg20 = 0
    end
    if GetBool("savegame.mod.ag6") then
        agg25 = GetFloat("savegame.mod.emlights.top")
    else
        agg25 = 0
    end
    if GetBool("savegame.mod.ag7") then
        agg30 = GetFloat("savegame.mod.emlights.top")
    else
        agg30 = 0
    end
    if GetBool("savegame.mod.ag8") then
        agg35 = GetFloat("savegame.mod.emlights.top")
    else
        agg35 = 0
    end
    if GetBool("savegame.mod.ag9") then
        agg40 = GetFloat("savegame.mod.emlights.top")
    else
        agg40 = 0
    end
    if GetBool("savegame.mod.ag10") then
        agg45 = GetFloat("savegame.mod.emlights.top")
    else
        agg45 = 0
    end
    if GetBool("savegame.mod.ag11") then
        agg50 = GetFloat("savegame.mod.emlights.top")
    else
        agg50 = 0
    end
    if GetBool("savegame.mod.ag12") then
        agg55 = GetFloat("savegame.mod.emlights.top")
    else
        agg55 = 0
    end
    if GetBool("savegame.mod.ag13") then
        agg59 = GetFloat("savegame.mod.emlights.top")
    else
        agg59 = 0
    end


    -- farol 16
    if GetBool("savegame.mod.ah1") then
        ahh0 = GetFloat("savegame.mod.emlights.left")
    else
        ahh0 = 0
    end
    if GetBool("savegame.mod.ah2") then
        ahh5 = GetFloat("savegame.mod.emlights.left")
    else
        ahh5 = 0
    end
    if GetBool("savegame.mod.ah3") then
        ahh10 = GetFloat("savegame.mod.emlights.left")
    else
        ahh10 = 0
    end
    if GetBool("savegame.mod.ah4") then
        ahh15 = GetFloat("savegame.mod.emlights.left")
    else
        ahh15 = 0
    end
    if GetBool("savegame.mod.ah5") then
        ahh20 = GetFloat("savegame.mod.emlights.left")
    else
        ahh20 = 0
    end
    if GetBool("savegame.mod.ah6") then
        ahh25 = GetFloat("savegame.mod.emlights.left")
    else
        ahh25 = 0
    end
    if GetBool("savegame.mod.ah7") then
        ahh30 = GetFloat("savegame.mod.emlights.left")
    else
        ahh30 = 0
    end
    if GetBool("savegame.mod.ah8") then
        ahh35 = GetFloat("savegame.mod.emlights.left")
    else
        ahh35 = 0
    end
    if GetBool("savegame.mod.ah9") then
        ahh40 = GetFloat("savegame.mod.emlights.left")
    else
        ahh40 = 0
    end
    if GetBool("savegame.mod.ah10") then
        ahh45 = GetFloat("savegame.mod.emlights.left")
    else
        ahh45 = 0
    end
    if GetBool("savegame.mod.ah11") then
        ahh50 = GetFloat("savegame.mod.emlights.left")
    else
        ahh50 = 0
    end
    if GetBool("savegame.mod.ah12") then
        ahh55 = GetFloat("savegame.mod.emlights.left")
    else
        ahh55 = 0
    end
    if GetBool("savegame.mod.ah13") then
        ahh59 = GetFloat("savegame.mod.emlights.left")
    else
        ahh59 = 0
    end


    -- farol 17
    if GetBool("savegame.mod.aj1") then
        ajj0 = GetFloat("savegame.mod.emlights.left")
    else
        ajj0 = 0
    end
    if GetBool("savegame.mod.aj2") then
        ajj5 = GetFloat("savegame.mod.emlights.left")
    else
        ajj5 = 0
    end
    if GetBool("savegame.mod.aj3") then
        ajj10 = GetFloat("savegame.mod.emlights.left")
    else
        ajj10 = 0
    end
    if GetBool("savegame.mod.aj4") then
        ajj15 = GetFloat("savegame.mod.emlights.left")
    else
        ajj15 = 0
    end
    if GetBool("savegame.mod.aj5") then
        ajj20 = GetFloat("savegame.mod.emlights.left")
    else
        ajj20 = 0
    end
    if GetBool("savegame.mod.aj6") then
        ajj25 = GetFloat("savegame.mod.emlights.left")
    else
        ajj25 = 0
    end
    if GetBool("savegame.mod.aj7") then
        ajj30 = GetFloat("savegame.mod.emlights.left")
    else
        ajj30 = 0
    end
    if GetBool("savegame.mod.aj8") then
        ajj35 = GetFloat("savegame.mod.emlights.left")
    else
        ajj35 = 0
    end
    if GetBool("savegame.mod.aj9") then
        ajj40 = GetFloat("savegame.mod.emlights.left")
    else
        ajj40 = 0
    end
    if GetBool("savegame.mod.aj10") then
        ajj45 = GetFloat("savegame.mod.emlights.left")
    else
        ajj45 = 0
    end
    if GetBool("savegame.mod.aj11") then
        ajj50 = GetFloat("savegame.mod.emlights.left")
    else
        ajj50 = 0
    end
    if GetBool("savegame.mod.aj12") then
        ajj55 = GetFloat("savegame.mod.emlights.left")
    else
        ajj55 = 0
    end
    if GetBool("savegame.mod.aj13") then
        ajj59 = GetFloat("savegame.mod.emlights.left")
    else
        ajj59 = 0
    end


    -- farol 18
    if GetBool("savegame.mod.ak1") then
        akk0 = GetFloat("savegame.mod.emlights.left")
    else
        akk0 = 0
    end
    if GetBool("savegame.mod.ak2") then
        akk5 = GetFloat("savegame.mod.emlights.left")
    else
        akk5 = 0
    end
    if GetBool("savegame.mod.ak3") then
        akk10 = GetFloat("savegame.mod.emlights.left")
    else
        akk10 = 0
    end
    if GetBool("savegame.mod.ak4") then
        akk15 = GetFloat("savegame.mod.emlights.left")
    else
        akk15 = 0
    end
    if GetBool("savegame.mod.ak5") then
        akk20 = GetFloat("savegame.mod.emlights.left")
    else
        akk20 = 0
    end
    if GetBool("savegame.mod.ak6") then
        akk25 = GetFloat("savegame.mod.emlights.left")
    else
        akk25 = 0
    end
    if GetBool("savegame.mod.ak7") then
        akk30 = GetFloat("savegame.mod.emlights.left")
    else
        akk30 = 0
    end
    if GetBool("savegame.mod.ak8") then
        akk35 = GetFloat("savegame.mod.emlights.left")
    else
        akk35 = 0
    end
    if GetBool("savegame.mod.ak9") then
        akk40 = GetFloat("savegame.mod.emlights.left")
    else
        akk40 = 0
    end
    if GetBool("savegame.mod.ak10") then
        akk45 = GetFloat("savegame.mod.emlights.left")
    else
        akk45 = 0
    end
    if GetBool("savegame.mod.ak11") then
        akk50 = GetFloat("savegame.mod.emlights.left")
    else
        akk50 = 0
    end
    if GetBool("savegame.mod.ak12") then
        akk55 = GetFloat("savegame.mod.emlights.left")
    else
        akk55 = 0
    end
    if GetBool("savegame.mod.ak13") then
        akk59 = GetFloat("savegame.mod.emlights.left")
    else
        akk59 = 0
    end


    -- farol 19
    if GetBool("savegame.mod.al1") then
        all0 = GetFloat("savegame.mod.emlights.left")
    else
        all0 = 0
    end
    if GetBool("savegame.mod.al2") then
        all5 = GetFloat("savegame.mod.emlights.left")
    else
        all5 = 0
    end
    if GetBool("savegame.mod.al3") then
        all10 = GetFloat("savegame.mod.emlights.left")
    else
        all10 = 0
    end
    if GetBool("savegame.mod.al4") then
        all15 = GetFloat("savegame.mod.emlights.left")
    else
        all15 = 0
    end
    if GetBool("savegame.mod.al5") then
        all20 = GetFloat("savegame.mod.emlights.left")
    else
        all20 = 0
    end
    if GetBool("savegame.mod.al6") then
        all25 = GetFloat("savegame.mod.emlights.left")
    else
        all25 = 0
    end
    if GetBool("savegame.mod.al7") then
        all30 = GetFloat("savegame.mod.emlights.left")
    else
        all30 = 0
    end
    if GetBool("savegame.mod.al8") then
        all35 = GetFloat("savegame.mod.emlights.left")
    else
        all35 = 0
    end
    if GetBool("savegame.mod.al9") then
        all40 = GetFloat("savegame.mod.emlights.left")
    else
        all40 = 0
    end
    if GetBool("savegame.mod.al10") then
        all45 = GetFloat("savegame.mod.emlights.left")
    else
        all45 = 0
    end
    if GetBool("savegame.mod.al11") then
        all50 = GetFloat("savegame.mod.emlights.left")
    else
        all50 = 0
    end
    if GetBool("savegame.mod.al12") then
        all55 = GetFloat("savegame.mod.emlights.left")
    else
        all55 = 0
    end
    if GetBool("savegame.mod.al13") then
        all59 = GetFloat("savegame.mod.emlights.left")
    else
        all59 = 0
    end


    -- farol 20
    if GetBool("savegame.mod.az1") then
        azz0 = GetFloat("savegame.mod.emlights.right")
    else
        azz0 = 0
    end
    if GetBool("savegame.mod.az2") then
        azz5 = GetFloat("savegame.mod.emlights.right")
    else
        azz5 = 0
    end
    if GetBool("savegame.mod.az3") then
        azz10 = GetFloat("savegame.mod.emlights.right")
    else
        azz10 = 0
    end
    if GetBool("savegame.mod.az4") then
        azz15 = GetFloat("savegame.mod.emlights.right")
    else
        azz15 = 0
    end
    if GetBool("savegame.mod.az5") then
        azz20 = GetFloat("savegame.mod.emlights.right")
    else
        azz20 = 0
    end
    if GetBool("savegame.mod.az6") then
        azz25 = GetFloat("savegame.mod.emlights.right")
    else
        azz25 = 0
    end
    if GetBool("savegame.mod.az7") then
        azz30 = GetFloat("savegame.mod.emlights.right")
    else
        azz30 = 0
    end
    if GetBool("savegame.mod.az8") then
        azz35 = GetFloat("savegame.mod.emlights.right")
    else
        azz35 = 0
    end
    if GetBool("savegame.mod.az9") then
        azz40 = GetFloat("savegame.mod.emlights.right")
    else
        azz40 = 0
    end
    if GetBool("savegame.mod.az10") then
        azz45 = GetFloat("savegame.mod.emlights.right")
    else
        azz45 = 0
    end
    if GetBool("savegame.mod.az11") then
        azz50 = GetFloat("savegame.mod.emlights.right")
    else
        azz50 = 0
    end
    if GetBool("savegame.mod.az12") then
        azz55 = GetFloat("savegame.mod.emlights.right")
    else
        azz55 = 0
    end
    if GetBool("savegame.mod.az13") then
        azz59 = GetFloat("savegame.mod.emlights.right")
    else
        azz59 = 0
    end


    -- farol 21
    if GetBool("savegame.mod.ax1") then
        axx0 = GetFloat("savegame.mod.emlights.right")
    else
        axx0 = 0
    end
    if GetBool("savegame.mod.ax2") then
        axx5 = GetFloat("savegame.mod.emlights.right")
    else
        axx5 = 0
    end
    if GetBool("savegame.mod.ax3") then
        axx10 = GetFloat("savegame.mod.emlights.right")
    else
        axx10 = 0
    end
    if GetBool("savegame.mod.ax4") then
        axx15 = GetFloat("savegame.mod.emlights.right")
    else
        axx15 = 0
    end
    if GetBool("savegame.mod.ax5") then
        axx20 = GetFloat("savegame.mod.emlights.right")
    else
        axx20 = 0
    end
    if GetBool("savegame.mod.ax6") then
        axx25 = GetFloat("savegame.mod.emlights.right")
    else
        axx25 = 0
    end
    if GetBool("savegame.mod.ax7") then
        axx30 = GetFloat("savegame.mod.emlights.right")
    else
        axx30 = 0
    end
    if GetBool("savegame.mod.ax8") then
        axx35 = GetFloat("savegame.mod.emlights.right")
    else
        axx35 = 0
    end
    if GetBool("savegame.mod.ax9") then
        axx40 = GetFloat("savegame.mod.emlights.right")
    else
        axx40 = 0
    end
    if GetBool("savegame.mod.ax10") then
        axx45 = GetFloat("savegame.mod.emlights.right")
    else
        axx45 = 0
    end
    if GetBool("savegame.mod.ax11") then
        axx50 = GetFloat("savegame.mod.emlights.right")
    else
        axx50 = 0
    end
    if GetBool("savegame.mod.ax12") then
        axx55 = GetFloat("savegame.mod.emlights.right")
    else
        axx55 = 0
    end
    if GetBool("savegame.mod.ax13") then
        axx59 = GetFloat("savegame.mod.emlights.right")
    else
        axx59 = 0
    end


    -- farol 22
    if GetBool("savegame.mod.ac1") then
        acc0 = GetFloat("savegame.mod.emlights.right")
    else
        acc0 = 0
    end
    if GetBool("savegame.mod.ac2") then
        acc5 = GetFloat("savegame.mod.emlights.right")
    else
        acc5 = 0
    end
    if GetBool("savegame.mod.ac3") then
        acc10 = GetFloat("savegame.mod.emlights.right")
    else
        acc10 = 0
    end
    if GetBool("savegame.mod.ac4") then
        acc15 = GetFloat("savegame.mod.emlights.right")
    else
        acc15 = 0
    end
    if GetBool("savegame.mod.ac5") then
        acc20 = GetFloat("savegame.mod.emlights.right")
    else
        acc20 = 0
    end
    if GetBool("savegame.mod.ac6") then
        acc25 = GetFloat("savegame.mod.emlights.right")
    else
        acc25 = 0
    end
    if GetBool("savegame.mod.ac7") then
        acc30 = GetFloat("savegame.mod.emlights.right")
    else
        acc30 = 0
    end
    if GetBool("savegame.mod.ac8") then
        acc35 = GetFloat("savegame.mod.emlights.right")
    else
        acc35 = 0
    end
    if GetBool("savegame.mod.ac9") then
        acc40 = GetFloat("savegame.mod.emlights.right")
    else
        acc40 = 0
    end
    if GetBool("savegame.mod.ac10") then
        acc45 = GetFloat("savegame.mod.emlights.right")
    else
        acc45 = 0
    end
    if GetBool("savegame.mod.ac11") then
        acc50 = GetFloat("savegame.mod.emlights.right")
    else
        acc50 = 0
    end
    if GetBool("savegame.mod.ac12") then
        acc55 = GetFloat("savegame.mod.emlights.right")
    else
        acc55 = 0
    end
    if GetBool("savegame.mod.ac13") then
        acc59 = GetFloat("savegame.mod.emlights.right")
    else
        acc59 = 0
    end


    -- farol 23
    if GetBool("savegame.mod.av1") then
        avv0 = GetFloat("savegame.mod.emlights.right")
    else
        avv0 = 0
    end
    if GetBool("savegame.mod.av2") then
        avv5 = GetFloat("savegame.mod.emlights.right")
    else
        avv5 = 0
    end
    if GetBool("savegame.mod.av3") then
        avv10 = GetFloat("savegame.mod.emlights.right")
    else
        avv10 = 0
    end
    if GetBool("savegame.mod.av4") then
        avv15 = GetFloat("savegame.mod.emlights.right")
    else
        avv15 = 0
    end
    if GetBool("savegame.mod.av5") then
        avv20 = GetFloat("savegame.mod.emlights.right")
    else
        avv20 = 0
    end
    if GetBool("savegame.mod.av6") then
        avv25 = GetFloat("savegame.mod.emlights.right")
    else
        avv25 = 0
    end
    if GetBool("savegame.mod.av7") then
        avv30 = GetFloat("savegame.mod.emlights.right")
    else
        avv30 = 0
    end
    if GetBool("savegame.mod.av8") then
        avv35 = GetFloat("savegame.mod.emlights.right")
    else
        avv35 = 0
    end
    if GetBool("savegame.mod.av9") then
        avv40 = GetFloat("savegame.mod.emlights.right")
    else
        avv40 = 0
    end
    if GetBool("savegame.mod.av10") then
        avv45 = GetFloat("savegame.mod.emlights.right")
    else
        avv45 = 0
    end
    if GetBool("savegame.mod.av11") then
        avv50 = GetFloat("savegame.mod.emlights.right")
    else
        avv50 = 0
    end
    if GetBool("savegame.mod.av12") then
        avv55 = GetFloat("savegame.mod.emlights.right")
    else
        avv55 = 0
    end
    if GetBool("savegame.mod.av13") then
        avv59 = GetFloat("savegame.mod.emlights.right")
    else
        avv59 = 0
    end


    -- farol 24
    if GetBool("savegame.mod.ab1") then
        abb0 = GetFloat("savegame.mod.emlights.top")
    else
        abb0 = 0
    end
    if GetBool("savegame.mod.ab2") then
        abb5 = GetFloat("savegame.mod.emlights.top")
    else
        abb5 = 0
    end
    if GetBool("savegame.mod.ab3") then
        abb10 = GetFloat("savegame.mod.emlights.top")
    else
        abb10 = 0
    end
    if GetBool("savegame.mod.ab4") then
        abb15 = GetFloat("savegame.mod.emlights.top")
    else
        abb15 = 0
    end
    if GetBool("savegame.mod.ab5") then
        abb20 = GetFloat("savegame.mod.emlights.top")
    else
        abb20 = 0
    end
    if GetBool("savegame.mod.ab6") then
        abb25 = GetFloat("savegame.mod.emlights.top")
    else
        abb25 = 0
    end
    if GetBool("savegame.mod.ab7") then
        abb30 = GetFloat("savegame.mod.emlights.top")
    else
        abb30 = 0
    end
    if GetBool("savegame.mod.ab8") then
        abb35 = GetFloat("savegame.mod.emlights.top")
    else
        abb35 = 0
    end
    if GetBool("savegame.mod.ab9") then
        abb40 = GetFloat("savegame.mod.emlights.top")
    else
        abb40 = 0
    end
    if GetBool("savegame.mod.ab10") then
        abb45 = GetFloat("savegame.mod.emlights.top")
    else
        abb45 = 0
    end
    if GetBool("savegame.mod.ab11") then
        abb50 = GetFloat("savegame.mod.emlights.top")
    else
        abb50 = 0
    end
    if GetBool("savegame.mod.ab12") then
        abb55 = GetFloat("savegame.mod.emlights.top")
    else
        abb55 = 0
    end
    if GetBool("savegame.mod.ab13") then
        abb59 = GetFloat("savegame.mod.emlights.top")
    else
        abb59 = 0
    end


    -- farol 25
    if GetBool("savegame.mod.an1") then
        ann0 = GetFloat("savegame.mod.emlights.top")
    else
        ann0 = 0
    end
    if GetBool("savegame.mod.an2") then
        ann5 = GetFloat("savegame.mod.emlights.top")
    else
        ann5 = 0
    end
    if GetBool("savegame.mod.an3") then
        ann10 = GetFloat("savegame.mod.emlights.top")
    else
        ann10 = 0
    end
    if GetBool("savegame.mod.an4") then
        ann15 = GetFloat("savegame.mod.emlights.top")
    else
        ann15 = 0
    end
    if GetBool("savegame.mod.an5") then
        ann20 = GetFloat("savegame.mod.emlights.top")
    else
        ann20 = 0
    end
    if GetBool("savegame.mod.an6") then
        ann25 = GetFloat("savegame.mod.emlights.top")
    else
        ann25 = 0
    end
    if GetBool("savegame.mod.an7") then
        ann30 = GetFloat("savegame.mod.emlights.top")
    else
        ann30 = 0
    end
    if GetBool("savegame.mod.an8") then
        ann35 = GetFloat("savegame.mod.emlights.top")
    else
        ann35 = 0
    end
    if GetBool("savegame.mod.an9") then
        ann40 = GetFloat("savegame.mod.emlights.top")
    else
        ann40 = 0
    end
    if GetBool("savegame.mod.an10") then
        ann45 = GetFloat("savegame.mod.emlights.top")
    else
        ann45 = 0
    end
    if GetBool("savegame.mod.an11") then
        ann50 = GetFloat("savegame.mod.emlights.top")
    else
        ann50 = 0
    end
    if GetBool("savegame.mod.an12") then
        ann55 = GetFloat("savegame.mod.emlights.top")
    else
        ann55 = 0
    end
    if GetBool("savegame.mod.an13") then
        ann59 = GetFloat("savegame.mod.emlights.top")
    else
        ann59 = 0
    end


    -- farol 26
    if GetBool("savegame.mod.am1") then
        amm0 = GetFloat("savegame.mod.emlights.top")
    else
        amm0 = 0
    end
    if GetBool("savegame.mod.am2") then
        amm5 = GetFloat("savegame.mod.emlights.top")
    else
        amm5 = 0
    end
    if GetBool("savegame.mod.am3") then
        amm10 = GetFloat("savegame.mod.emlights.top")
    else
        amm10 = 0
    end
    if GetBool("savegame.mod.am4") then
        amm15 = GetFloat("savegame.mod.emlights.top")
    else
        amm15 = 0
    end
    if GetBool("savegame.mod.am5") then
        amm20 = GetFloat("savegame.mod.emlights.top")
    else
        amm20 = 0
    end
    if GetBool("savegame.mod.am6") then
        amm25 = GetFloat("savegame.mod.emlights.top")
    else
        amm25 = 0
    end
    if GetBool("savegame.mod.am7") then
        amm30 = GetFloat("savegame.mod.emlights.top")
    else
        amm30 = 0
    end
    if GetBool("savegame.mod.am8") then
        amm35 = GetFloat("savegame.mod.emlights.top")
    else
        amm35 = 0
    end
    if GetBool("savegame.mod.am9") then
        amm40 = GetFloat("savegame.mod.emlights.top")
    else
        amm40 = 0
    end
    if GetBool("savegame.mod.am10") then
        amm45 = GetFloat("savegame.mod.emlights.top")
    else
        amm45 = 0
    end
    if GetBool("savegame.mod.am11") then
        amm50 = GetFloat("savegame.mod.emlights.top")
    else
        amm50 = 0
    end
    if GetBool("savegame.mod.am12") then
        amm55 = GetFloat("savegame.mod.emlights.top")
    else
        amm55 = 0
    end
    if GetBool("savegame.mod.am13") then
        amm59 = GetFloat("savegame.mod.emlights.top")
    else
        amm59 = 0
    end


    -- farol 27
    if GetBool("savegame.mod.a1q1") then
        a1qq0 = GetFloat("savegame.mod.emlights.top")
    else
        a1qq0 = 0
    end
    if GetBool("savegame.mod.a1q2") then
        a1qq5 = GetFloat("savegame.mod.emlights.top")
    else
        a1qq5 = 0
    end
    if GetBool("savegame.mod.a1q3") then
        a1qq10 = GetFloat("savegame.mod.emlights.top")
    else
        a1qq10 = 0
    end
    if GetBool("savegame.mod.a1q4") then
        a1qq15 = GetFloat("savegame.mod.emlights.top")
    else
        a1qq15 = 0
    end
    if GetBool("savegame.mod.a1q5") then
        a1qq20 = GetFloat("savegame.mod.emlights.top")
    else
        a1qq20 = 0
    end
    if GetBool("savegame.mod.a1q6") then
        a1qq25 = GetFloat("savegame.mod.emlights.top")
    else
        a1qq25 = 0
    end
    if GetBool("savegame.mod.a1q7") then
        a1qq30 = GetFloat("savegame.mod.emlights.top")
    else
        a1qq30 = 0
    end
    if GetBool("savegame.mod.a1q8") then
        a1qq35 = GetFloat("savegame.mod.emlights.top")
    else
        a1qq35 = 0
    end
    if GetBool("savegame.mod.a1q9") then
        a1qq40 = GetFloat("savegame.mod.emlights.top")
    else
        a1qq40 = 0
    end
    if GetBool("savegame.mod.a1q10") then
        a1qq45 = GetFloat("savegame.mod.emlights.top")
    else
        a1qq45 = 0
    end
    if GetBool("savegame.mod.a1q11") then
        a1qq50 = GetFloat("savegame.mod.emlights.top")
    else
        a1qq50 = 0
    end
    if GetBool("savegame.mod.a1q12") then
        a1qq55 = GetFloat("savegame.mod.emlights.top")
    else
        a1qq55 = 0
    end
    if GetBool("savegame.mod.a1q13") then
        a1qq59 = GetFloat("savegame.mod.emlights.top")
    else
        a1qq59 = 0
    end


    -- farol 28
    if GetBool("savegame.mod.a1w1") then
        a1ww0 = GetFloat("savegame.mod.emlights.top")
    else
        a1ww0 = 0
    end
    if GetBool("savegame.mod.a1w2") then
        a1ww5 = GetFloat("savegame.mod.emlights.top")
    else
        a1ww5 = 0
    end
    if GetBool("savegame.mod.a1w3") then
        a1ww10 = GetFloat("savegame.mod.emlights.top")
    else
        a1ww10 = 0
    end
    if GetBool("savegame.mod.a1w4") then
        a1ww15 = GetFloat("savegame.mod.emlights.top")
    else
        a1ww15 = 0
    end
    if GetBool("savegame.mod.a1w5") then
        a1ww20 = GetFloat("savegame.mod.emlights.top")
    else
        a1ww20 = 0
    end
    if GetBool("savegame.mod.a1w6") then
        a1ww25 = GetFloat("savegame.mod.emlights.top")
    else
        a1ww25 = 0
    end
    if GetBool("savegame.mod.a1w7") then
        a1ww30 = GetFloat("savegame.mod.emlights.top")
    else
        a1ww30 = 0
    end
    if GetBool("savegame.mod.a1w8") then
        a1ww35 = GetFloat("savegame.mod.emlights.top")
    else
        a1ww35 = 0
    end
    if GetBool("savegame.mod.a1w9") then
        a1ww40 = GetFloat("savegame.mod.emlights.top")
    else
        a1ww40 = 0
    end
    if GetBool("savegame.mod.a1w10") then
        a1ww45 = GetFloat("savegame.mod.emlights.top")
    else
        a1ww45 = 0
    end
    if GetBool("savegame.mod.a1w11") then
        a1ww50 = GetFloat("savegame.mod.emlights.top")
    else
        a1ww50 = 0
    end
    if GetBool("savegame.mod.a1w12") then
        a1ww55 = GetFloat("savegame.mod.emlights.top")
    else
        a1ww55 = 0
    end
    if GetBool("savegame.mod.a1w13") then
        a1ww59 = GetFloat("savegame.mod.emlights.top")
    else
        a1ww59 = 0
    end


    -- farol 29
    if GetBool("savegame.mod.a1e1") then
        a1ee0 = GetFloat("savegame.mod.emlights.top")
    else
        a1ee0 = 0
    end
    if GetBool("savegame.mod.a1e2") then
        a1ee5 = GetFloat("savegame.mod.emlights.top")
    else
        a1ee5 = 0
    end
    if GetBool("savegame.mod.a1e3") then
        a1ee10 = GetFloat("savegame.mod.emlights.top")
    else
        a1ee10 = 0
    end
    if GetBool("savegame.mod.a1e4") then
        a1ee15 = GetFloat("savegame.mod.emlights.top")
    else
        a1ee15 = 0
    end
    if GetBool("savegame.mod.a1e5") then
        a1ee20 = GetFloat("savegame.mod.emlights.top")
    else
        a1ee20 = 0
    end
    if GetBool("savegame.mod.a1e6") then
        a1ee25 = GetFloat("savegame.mod.emlights.top")
    else
        a1ee25 = 0
    end
    if GetBool("savegame.mod.a1e7") then
        a1ee30 = GetFloat("savegame.mod.emlights.top")
    else
        a1ee30 = 0
    end
    if GetBool("savegame.mod.a1e8") then
        a1ee35 = GetFloat("savegame.mod.emlights.top")
    else
        a1ee35 = 0
    end
    if GetBool("savegame.mod.a1e9") then
        a1ee40 = GetFloat("savegame.mod.emlights.top")
    else
        a1ee40 = 0
    end
    if GetBool("savegame.mod.a1e10") then
        a1ee45 = GetFloat("savegame.mod.emlights.top")
    else
        a1ee45 = 0
    end
    if GetBool("savegame.mod.a1e11") then
        a1ee50 = GetFloat("savegame.mod.emlights.top")
    else
        a1ee50 = 0
    end
    if GetBool("savegame.mod.a1e12") then
        a1ee55 = GetFloat("savegame.mod.emlights.top")
    else
        a1ee55 = 0
    end
    if GetBool("savegame.mod.a1e13") then
        a1ee59 = GetFloat("savegame.mod.emlights.top")
    else
        a1ee59 = 0
    end


    -- farol 30
    if GetBool("savegame.mod.a1r1") then
        a1rr0 = GetFloat("savegame.mod.emlights.top")
    else
        a1rr0 = 0
    end
    if GetBool("savegame.mod.a1r2") then
        a1rr5 = GetFloat("savegame.mod.emlights.top")
    else
        a1rr5 = 0
    end
    if GetBool("savegame.mod.a1r3") then
        a1rr10 = GetFloat("savegame.mod.emlights.top")
    else
        a1rr10 = 0
    end
    if GetBool("savegame.mod.a1r4") then
        a1rr15 = GetFloat("savegame.mod.emlights.top")
    else
        a1rr15 = 0
    end
    if GetBool("savegame.mod.a1r5") then
        a1rr20 = GetFloat("savegame.mod.emlights.top")
    else
        a1rr20 = 0
    end
    if GetBool("savegame.mod.a1r6") then
        a1rr25 = GetFloat("savegame.mod.emlights.top")
    else
        a1rr25 = 0
    end
    if GetBool("savegame.mod.a1r7") then
        a1rr30 = GetFloat("savegame.mod.emlights.top")
    else
        a1rr30 = 0
    end
    if GetBool("savegame.mod.a1r8") then
        a1rr35 = GetFloat("savegame.mod.emlights.top")
    else
        a1rr35 = 0
    end
    if GetBool("savegame.mod.a1r9") then
        a1rr40 = GetFloat("savegame.mod.emlights.top")
    else
        a1rr40 = 0
    end
    if GetBool("savegame.mod.a1r10") then
        a1rr45 = GetFloat("savegame.mod.emlights.top")
    else
        a1rr45 = 0
    end
    if GetBool("savegame.mod.a1r11") then
        a1rr50 = GetFloat("savegame.mod.emlights.top")
    else
        a1rr50 = 0
    end
    if GetBool("savegame.mod.a1r12") then
        a1rr55 = GetFloat("savegame.mod.emlights.top")
    else
        a1rr55 = 0
    end
    if GetBool("savegame.mod.a1r13") then
        a1rr59 = GetFloat("savegame.mod.emlights.top")
    else
        a1rr59 = 0
    end


    -- farol 31
    if GetBool("savegame.mod.a1t1") then
        a1tt0 = GetFloat("savegame.mod.emlights.top")
    else
        a1tt0 = 0
    end
    if GetBool("savegame.mod.a1t2") then
        a1tt5 = GetFloat("savegame.mod.emlights.top")
    else
        a1tt5 = 0
    end
    if GetBool("savegame.mod.a1t3") then
        a1tt10 = GetFloat("savegame.mod.emlights.top")
    else
        a1tt10 = 0
    end
    if GetBool("savegame.mod.a1t4") then
        a1tt15 = GetFloat("savegame.mod.emlights.top")
    else
        a1tt15 = 0
    end
    if GetBool("savegame.mod.a1t5") then
        a1tt20 = GetFloat("savegame.mod.emlights.top")
    else
        a1tt20 = 0
    end
    if GetBool("savegame.mod.a1t6") then
        a1tt25 = GetFloat("savegame.mod.emlights.top")
    else
        a1tt25 = 0
    end
    if GetBool("savegame.mod.a1t7") then
        a1tt30 = GetFloat("savegame.mod.emlights.top")
    else
        a1tt30 = 0
    end
    if GetBool("savegame.mod.a1t8") then
        a1tt35 = GetFloat("savegame.mod.emlights.top")
    else
        a1tt35 = 0
    end
    if GetBool("savegame.mod.a1t9") then
        a1tt40 = GetFloat("savegame.mod.emlights.top")
    else
        a1tt40 = 0
    end
    if GetBool("savegame.mod.a1t10") then
        a1tt45 = GetFloat("savegame.mod.emlights.top")
    else
        a1tt45 = 0
    end
    if GetBool("savegame.mod.a1t11") then
        a1tt50 = GetFloat("savegame.mod.emlights.top")
    else
        a1tt50 = 0
    end
    if GetBool("savegame.mod.a1t12") then
        a1tt55 = GetFloat("savegame.mod.emlights.top")
    else
        a1tt55 = 0
    end
    if GetBool("savegame.mod.a1t13") then
        a1tt59 = GetFloat("savegame.mod.emlights.top")
    else
        a1tt59 = 0
    end


    -- farol 32
    if GetBool("savegame.mod.a1y1") then
        a1yy0 = GetFloat("savegame.mod.emlights.top")
    else
        a1yy0 = 0
    end
    if GetBool("savegame.mod.a1y2") then
        a1yy5 = GetFloat("savegame.mod.emlights.top")
    else
        a1yy5 = 0
    end
    if GetBool("savegame.mod.a1y3") then
        a1yy10 = GetFloat("savegame.mod.emlights.top")
    else
        a1yy10 = 0
    end
    if GetBool("savegame.mod.a1y4") then
        a1yy15 = GetFloat("savegame.mod.emlights.top")
    else
        a1yy15 = 0
    end
    if GetBool("savegame.mod.a1y5") then
        a1yy20 = GetFloat("savegame.mod.emlights.top")
    else
        a1yy20 = 0
    end
    if GetBool("savegame.mod.a1y6") then
        a1yy25 = GetFloat("savegame.mod.emlights.top")
    else
        a1yy25 = 0
    end
    if GetBool("savegame.mod.a1y7") then
        a1yy30 = GetFloat("savegame.mod.emlights.top")
    else
        a1yy30 = 0
    end
    if GetBool("savegame.mod.a1y8") then
        a1yy35 = GetFloat("savegame.mod.emlights.top")
    else
        a1yy35 = 0
    end
    if GetBool("savegame.mod.a1y9") then
        a1yy40 = GetFloat("savegame.mod.emlights.top")
    else
        a1yy40 = 0
    end
    if GetBool("savegame.mod.a1y10") then
        a1yy45 = GetFloat("savegame.mod.emlights.top")
    else
        a1yy45 = 0
    end
    if GetBool("savegame.mod.a1y11") then
        a1yy50 = GetFloat("savegame.mod.emlights.top")
    else
        a1yy50 = 0
    end
    if GetBool("savegame.mod.a1y12") then
        a1yy55 = GetFloat("savegame.mod.emlights.top")
    else
        a1yy55 = 0
    end
    if GetBool("savegame.mod.a1y13") then
        a1yy59 = GetFloat("savegame.mod.emlights.top")
    else
        a1yy59 = 0
    end


    -- farol 33
    if GetBool("savegame.mod.a1u1") then
        a1uu0 = GetFloat("savegame.mod.emlights.back")
    else
        a1uu0 = 0
    end
    if GetBool("savegame.mod.a1u2") then
        a1uu5 = GetFloat("savegame.mod.emlights.back")
    else
        a1uu5 = 0
    end
    if GetBool("savegame.mod.a1u3") then
        a1uu10 = GetFloat("savegame.mod.emlights.back")
    else
        a1uu10 = 0
    end
    if GetBool("savegame.mod.a1u4") then
        a1uu15 = GetFloat("savegame.mod.emlights.back")
    else
        a1uu15 = 0
    end
    if GetBool("savegame.mod.a1u5") then
        a1uu20 = GetFloat("savegame.mod.emlights.back")
    else
        a1uu20 = 0
    end
    if GetBool("savegame.mod.a1u6") then
        a1uu25 = GetFloat("savegame.mod.emlights.back")
    else
        a1uu25 = 0
    end
    if GetBool("savegame.mod.a1u7") then
        a1uu30 = GetFloat("savegame.mod.emlights.back")
    else
        a1uu30 = 0
    end
    if GetBool("savegame.mod.a1u8") then
        a1uu35 = GetFloat("savegame.mod.emlights.back")
    else
        a1uu35 = 0
    end
    if GetBool("savegame.mod.a1u9") then
        a1uu40 = GetFloat("savegame.mod.emlights.back")
    else
        a1uu40 = 0
    end
    if GetBool("savegame.mod.a1u10") then
        a1uu45 = GetFloat("savegame.mod.emlights.back")
    else
        a1uu45 = 0
    end
    if GetBool("savegame.mod.a1u11") then
        a1uu50 = GetFloat("savegame.mod.emlights.back")
    else
        a1uu50 = 0
    end
    if GetBool("savegame.mod.a1u12") then
        a1uu55 = GetFloat("savegame.mod.emlights.back")
    else
        a1uu55 = 0
    end
    if GetBool("savegame.mod.a1u13") then
        a1uu59 = GetFloat("savegame.mod.emlights.back")
    else
        a1uu59 = 0
    end


    -- farol 34
    if GetBool("savegame.mod.a1i1") then
        a1ii0 = GetFloat("savegame.mod.emlights.back")
    else
        a1ii0 = 0
    end
    if GetBool("savegame.mod.a1i2") then
        a1ii5 = GetFloat("savegame.mod.emlights.back")
    else
        a1ii5 = 0
    end
    if GetBool("savegame.mod.a1i3") then
        a1ii10 = GetFloat("savegame.mod.emlights.back")
    else
        a1ii10 = 0
    end
    if GetBool("savegame.mod.a1i4") then
        a1ii15 = GetFloat("savegame.mod.emlights.back")
    else
        a1ii15 = 0
    end
    if GetBool("savegame.mod.a1i5") then
        a1ii20 = GetFloat("savegame.mod.emlights.back")
    else
        a1ii20 = 0
    end
    if GetBool("savegame.mod.a1i6") then
        a1ii25 = GetFloat("savegame.mod.emlights.back")
    else
        a1ii25 = 0
    end
    if GetBool("savegame.mod.a1i7") then
        a1ii30 = GetFloat("savegame.mod.emlights.back")
    else
        a1ii30 = 0
    end
    if GetBool("savegame.mod.a1i8") then
        a1ii35 = GetFloat("savegame.mod.emlights.back")
    else
        a1ii35 = 0
    end
    if GetBool("savegame.mod.a1i9") then
        a1ii40 = GetFloat("savegame.mod.emlights.back")
    else
        a1ii40 = 0
    end
    if GetBool("savegame.mod.a1i10") then
        a1ii45 = GetFloat("savegame.mod.emlights.back")
    else
        a1ii45 = 0
    end
    if GetBool("savegame.mod.a1i11") then
        a1ii50 = GetFloat("savegame.mod.emlights.back")
    else
        a1ii50 = 0
    end
    if GetBool("savegame.mod.a1i12") then
        a1ii55 = GetFloat("savegame.mod.emlights.back")
    else
        a1ii55 = 0
    end
    if GetBool("savegame.mod.a1i13") then
        a1ii59 = GetFloat("savegame.mod.emlights.back")
    else
        a1ii59 = 0
    end


    -- farol 35
    if GetBool("savegame.mod.a1o1") then
        a1oo0 = GetFloat("savegame.mod.lighs.headlight")/20
    else
        a1oo0 = 0
    end
    if GetBool("savegame.mod.a1o2") then
        a1oo5 = GetFloat("savegame.mod.lighs.headlight")/20
    else
        a1oo5 = 0
    end
    if GetBool("savegame.mod.a1o3") then
        a1oo10 = GetFloat("savegame.mod.lighs.headlight")/20
    else
        a1oo10 = 0
    end
    if GetBool("savegame.mod.a1o4") then
        a1oo15 = GetFloat("savegame.mod.lighs.headlight")/20
    else
        a1oo15 = 0
    end
    if GetBool("savegame.mod.a1o5") then
        a1oo20 = GetFloat("savegame.mod.lighs.headlight")/20
    else
        a1oo20 = 0
    end
    if GetBool("savegame.mod.a1o6") then
        a1oo25 = GetFloat("savegame.mod.lighs.headlight")/20
    else
        a1oo25 = 0
    end
    if GetBool("savegame.mod.a1o7") then
        a1oo30 = GetFloat("savegame.mod.lighs.headlight")/20
    else
        a1oo30 = 0
    end
    if GetBool("savegame.mod.a1o8") then
        a1oo35 = GetFloat("savegame.mod.lighs.headlight")/20
    else
        a1oo35 = 0
    end
    if GetBool("savegame.mod.a1o9") then
        a1oo40 = GetFloat("savegame.mod.lighs.headlight")/20
    else
        a1oo40 = 0
    end
    if GetBool("savegame.mod.a1o10") then
        a1oo45 = GetFloat("savegame.mod.lighs.headlight")/20
    else
        a1oo45 = 0
    end
    if GetBool("savegame.mod.a1o11") then
        a1oo50 = GetFloat("savegame.mod.lighs.headlight")/20
    else
        a1oo50 = 0
    end
    if GetBool("savegame.mod.a1o12") then
        a1oo55 = GetFloat("savegame.mod.lighs.headlight")/20
    else
        a1oo55 = 0
    end
    if GetBool("savegame.mod.a1o13") then
        a1oo59 = GetFloat("savegame.mod.lighs.headlight")/20
    else
        a1oo59 = 0
    end

    -- farol 36
    if GetBool("savegame.mod.a1p1") then
        a1pp0 = GetFloat("savegame.mod.lighs.headlight")/20
    else
        a1pp0 = 0
    end
    if GetBool("savegame.mod.a1p2") then
        a1pp5 = GetFloat("savegame.mod.lighs.headlight")/20
    else
        a1pp5 = 0
    end
    if GetBool("savegame.mod.a1p3") then
        a1pp10 = GetFloat("savegame.mod.lighs.headlight")/20
    else
        a1pp10 = 0
    end
    if GetBool("savegame.mod.a1p4") then
        a1pp15 = GetFloat("savegame.mod.lighs.headlight")/20
    else
        a1pp15 = 0
    end
    if GetBool("savegame.mod.a1p5") then
        a1pp20 = GetFloat("savegame.mod.lighs.headlight")/20
    else
        a1pp20 = 0
    end
    if GetBool("savegame.mod.a1p6") then
        a1pp25 = GetFloat("savegame.mod.lighs.headlight")/20
    else
        a1pp25 = 0
    end
    if GetBool("savegame.mod.a1p7") then
        a1pp30 = GetFloat("savegame.mod.lighs.headlight")/20
    else
        a1pp30 = 0
    end
    if GetBool("savegame.mod.a1p8") then
        a1pp35 = GetFloat("savegame.mod.lighs.headlight")/20
    else
        a1pp35 = 0
    end
    if GetBool("savegame.mod.a1p9") then
        a1pp40 = GetFloat("savegame.mod.lighs.headlight")/20
    else
        a1pp40 = 0
    end
    if GetBool("savegame.mod.a1p10") then
        a1pp45 = GetFloat("savegame.mod.lighs.headlight")/20
    else
        a1pp45 = 0
    end
    if GetBool("savegame.mod.a1p11") then
        a1pp50 = GetFloat("savegame.mod.lighs.headlight")/20
    else
        a1pp50 = 0
    end
    if GetBool("savegame.mod.a1p12") then
        a1pp55 = GetFloat("savegame.mod.lighs.headlight")/20
    else
        a1pp55 = 0
    end
    if GetBool("savegame.mod.a1p13") then
        a1pp59 = GetFloat("savegame.mod.lighs.headlight")/20
    else
        a1pp59 = 0
    end
    
	end
end
