local slW = 400
local slMul = slW/100

local lim = {
    lighs = {
        blinkers = 100/4,
        headlight = 100/25,
        highbeam = 100/100,
        foglamp = 100/40,
    },
    emlights = {
        front = 100/100,
        back = 100/100,
        top = 100/100,
        left = 100/100,
        right = 100/100,
    },
    siren = {
        s1 = 100/2,
        s2 = 100/2,
        s3 = 100/2,
        horn = 100/2,

    }
}

local def = { 
    lighs = {
        blinkers = 0.6,
        headlight = 10,
        highbeam = 100,
        foglamp = 20,
    },
    emlights = {
        front = 1,
        back = 2,
        top = 5,
        left = 2,
        right = 2,
    },
    siren = {
        s1 = 0.8,
        s2 = 0.8,
        s3 = 0.8,
        horn = 0.4,
    }
}


function sfn(numberToFormat, dec)
    local s = (tostring(dec or 2))
    return string.format("%."..s.."f", numberToFormat)
end

function init()
    shapes = setmetatable({},{
        __index = function(t, k)
            local shape = FindShape(k)
            rawset(t, k, shape)
            return shape
        end
    })

    lights = setmetatable({},{
        __index = function(m, n)
            local light = FindLight(n)
            rawset(m, n, light)
            return light
        end
    })


	local vehicle = FindVehicle("firetrucks")
    snd = LoadSound("MOD/snd/click.ogg")
    dl3 = FindJoint("dl3")
	loop = LoadLoop("MOD/snd/firetruck.ogg")
	loop2 = LoadLoop("MOD/snd/firetruck2.ogg")
    loop3 = LoadLoop("MOD/snd/firetruck3.ogg")
	loop4 = LoadLoop("MOD/snd/firetruckhorn.ogg")
    frame = math.random(0, 60)
    mlo = false
    hlo = false
    note = false
    tl = false
    tr = false
    warning = false
    flash = false
    temp = false
    adt = false
    elight = false
    elight2 = false
    siren = false
    siren2 = false
    brake = false
	
	currentKmh = 0	
	displayKmh = 0	
end

function tick(dt)
    if not GetBool("savegame.mod.lightdefaltf") then
        SetFloat("savegame.mod.lighs.blinkers", def.lighs.blinkers)
        SetFloat("savegame.mod.lighs.headlight", def.lighs.headlight)
        SetFloat("savegame.mod.lighs.highbeam", def.lighs.highbeam)
        SetFloat("savegame.mod.lighs.foglamp", def.lighs.foglamp)

        SetFloat("savegame.mod.emlights.front", def.emlights.front)
        SetFloat("savegame.mod.emlights.back", def.emlights.back)  
        SetFloat("savegame.mod.emlights.top", def.emlights.top)
        SetFloat("savegame.mod.emlights.left", def.emlights.left)  
        SetFloat("savegame.mod.emlights.right", def.emlights.right)  

        SetFloat("savegame.mod.fsiren.s1", def.siren.s1)
        SetFloat("savegame.mod.fsiren.s2", def.siren.s2)  
        SetFloat("savegame.mod.fsiren.s3", def.siren.s3)
        SetFloat("savegame.mod.fsiren.horn", def.siren.horn)
        
        SetBool("savegame.mod.fq1", true)  
        SetBool("savegame.mod.fw1")  
        SetBool("savegame.mod.fe1", true)  
        SetBool("savegame.mod.fr1", true)  
        SetBool("savegame.mod.ft1")  
        SetBool("savegame.mod.fy1")  
        SetBool("savegame.mod.fu1", true)  
        SetBool("savegame.mod.fi1")  
        SetBool("savegame.mod.fo1")  
        SetBool("savegame.mod.fp1", true) 
        SetBool("savegame.mod.fa1") 
        SetBool("savegame.mod.fs1") 
        SetBool("savegame.mod.fd1", true) 
        SetBool("savegame.mod.ff1")  
        SetBool("savegame.mod.fg1")  
        SetBool("savegame.mod.fh1", true)  
        SetBool("savegame.mod.fj1", true)  
        SetBool("savegame.mod.fk1")  
        SetBool("savegame.mod.fl1")  
        SetBool("savegame.mod.fz1")  
        SetBool("savegame.mod.fx1")  
        SetBool("savegame.mod.fc1")  
        SetBool("savegame.mod.fv1")  
        SetBool("savegame.mod.fb1") 
        SetBool("savegame.mod.fn1")  
        SetBool("savegame.mod.fm1")  
        SetBool("savegame.mod.f1q1")  
        SetBool("savegame.mod.f1w1", true)  
        SetBool("savegame.mod.f1e1", true)  
        SetBool("savegame.mod.f1r1") 
        SetBool("savegame.mod.f1t1", true)  
        SetBool("savegame.mod.f1y1")  
        SetBool("savegame.mod.f1u1", true)  
        SetBool("savegame.mod.f1i1")  
        SetBool("savegame.mod.f1o1", true)  
        SetBool("savegame.mod.f1p1")  
        SetBool("savegame.mod.f1a1")  
        SetBool("savegame.mod.f1s1", true)  
        SetBool("savegame.mod.f1d1")  
        SetBool("savegame.mod.f1f1")  
        SetBool("savegame.mod.fq2", true)  
        SetBool("savegame.mod.fw2")  
        SetBool("savegame.mod.fe2", true)  
        SetBool("savegame.mod.fr2", true)  
        SetBool("savegame.mod.ft2", true)  
        SetBool("savegame.mod.fy2", true)  
        SetBool("savegame.mod.fu2", true)  
        SetBool("savegame.mod.fi2")  
        SetBool("savegame.mod.fo2", true)  
        SetBool("savegame.mod.fp2") 
        SetBool("savegame.mod.fa2") 
        SetBool("savegame.mod.fs2") 
        SetBool("savegame.mod.fd2") 
        SetBool("savegame.mod.ff2", true)  
        SetBool("savegame.mod.fg2")  
        SetBool("savegame.mod.fh2", true)  
        SetBool("savegame.mod.fj2", true)  
        SetBool("savegame.mod.fk2", true)  
        SetBool("savegame.mod.fl2")  
        SetBool("savegame.mod.fz2")  
        SetBool("savegame.mod.fx2")  
        SetBool("savegame.mod.fc2")  
        SetBool("savegame.mod.fv2")  
        SetBool("savegame.mod.fb2") 
        SetBool("savegame.mod.fn2")  
        SetBool("savegame.mod.fm2")  
        SetBool("savegame.mod.f1q2", true)  
        SetBool("savegame.mod.f1w2", true)  
        SetBool("savegame.mod.f1e2", true)  
        SetBool("savegame.mod.f1r2", true) 
        SetBool("savegame.mod.f1t2", true)  
        SetBool("savegame.mod.f1y2", true)  
        SetBool("savegame.mod.f1u2", true)  
        SetBool("savegame.mod.f1i2", true)  
        SetBool("savegame.mod.f1o2", true)  
        SetBool("savegame.mod.f1p2", true)  
        SetBool("savegame.mod.f1a2")  
        SetBool("savegame.mod.f1s2", true)  
        SetBool("savegame.mod.f1d2")  
        SetBool("savegame.mod.f1f2", true)  
        SetBool("savegame.mod.fq3", true)  
        SetBool("savegame.mod.fw3")  
        SetBool("savegame.mod.fe3")  
        SetBool("savegame.mod.fr3")  
        SetBool("savegame.mod.ft3", true)  
        SetBool("savegame.mod.fy3", true)  
        SetBool("savegame.mod.fu3")  
        SetBool("savegame.mod.fi3")  
        SetBool("savegame.mod.fo3", true)  
        SetBool("savegame.mod.fp3", true) 
        SetBool("savegame.mod.fa3") 
        SetBool("savegame.mod.fs3") 
        SetBool("savegame.mod.fd3", true) 
        SetBool("savegame.mod.ff3", true)  
        SetBool("savegame.mod.fg3")  
        SetBool("savegame.mod.fh3")  
        SetBool("savegame.mod.fj3")  
        SetBool("savegame.mod.fk3", true)  
        SetBool("savegame.mod.fl3", true)  
        SetBool("savegame.mod.fz3")  
        SetBool("savegame.mod.fx3")  
        SetBool("savegame.mod.fc3")  
        SetBool("savegame.mod.fv3")  
        SetBool("savegame.mod.fb3") 
        SetBool("savegame.mod.fn3")  
        SetBool("savegame.mod.fm3", true)  
        SetBool("savegame.mod.f1q3", true)  
        SetBool("savegame.mod.f1w3")  
        SetBool("savegame.mod.f1e3")  
        SetBool("savegame.mod.f1r3", true) 
        SetBool("savegame.mod.f1t3")  
        SetBool("savegame.mod.f1y3", true)  
        SetBool("savegame.mod.f1u3")  
        SetBool("savegame.mod.f1i3", true)  
        SetBool("savegame.mod.f1o3")  
        SetBool("savegame.mod.f1p3", true)  
        SetBool("savegame.mod.f1a3")  
        SetBool("savegame.mod.f1s3")  
        SetBool("savegame.mod.f1d3")  
        SetBool("savegame.mod.f1f3", true) 
        SetBool("savegame.mod.fq4")  
        SetBool("savegame.mod.fw4")  
        SetBool("savegame.mod.fe4")  
        SetBool("savegame.mod.fr4")  
        SetBool("savegame.mod.ft4")  
        SetBool("savegame.mod.fy4")  
        SetBool("savegame.mod.fu4")  
        SetBool("savegame.mod.fi4", true)  
        SetBool("savegame.mod.fo4", true)  
        SetBool("savegame.mod.fp4") 
        SetBool("savegame.mod.fa4") 
        SetBool("savegame.mod.fs4") 
        SetBool("savegame.mod.fd4") 
        SetBool("savegame.mod.ff4", true)  
        SetBool("savegame.mod.fg4", true)  
        SetBool("savegame.mod.fh4")  
        SetBool("savegame.mod.fj4")  
        SetBool("savegame.mod.fk4")  
        SetBool("savegame.mod.fl4", true)  
        SetBool("savegame.mod.fz4", true)  
        SetBool("savegame.mod.fx4")  
        SetBool("savegame.mod.fc4")  
        SetBool("savegame.mod.fv4")  
        SetBool("savegame.mod.fb4") 
        SetBool("savegame.mod.fn4", true)  
        SetBool("savegame.mod.fm4", true)  
        SetBool("savegame.mod.f1q4")  
        SetBool("savegame.mod.f1w4")  
        SetBool("savegame.mod.f1e4")  
        SetBool("savegame.mod.f1r4") 
        SetBool("savegame.mod.f1t4")  
        SetBool("savegame.mod.f1y4")  
        SetBool("savegame.mod.f1u4")  
        SetBool("savegame.mod.f1i4")  
        SetBool("savegame.mod.f1o4")  
        SetBool("savegame.mod.f1p4")  
        SetBool("savegame.mod.f1a4")  
        SetBool("savegame.mod.f1s4")  
        SetBool("savegame.mod.f1d4")  
        SetBool("savegame.mod.f1f4")  
        SetBool("savegame.mod.fq5", true)  
        SetBool("savegame.mod.fw5")  
        SetBool("savegame.mod.fe5")  
        SetBool("savegame.mod.fr5")  
        SetBool("savegame.mod.ft5", true)  
        SetBool("savegame.mod.fy5", true)  
        SetBool("savegame.mod.fu5")  
        SetBool("savegame.mod.fi5", true)  
        SetBool("savegame.mod.fo5")  
        SetBool("savegame.mod.fp5", true) 
        SetBool("savegame.mod.fa5") 
        SetBool("savegame.mod.fs5") 
        SetBool("savegame.mod.fd5", true) 
        SetBool("savegame.mod.ff5")  
        SetBool("savegame.mod.fg5", true)  
        SetBool("savegame.mod.fh5")  
        SetBool("savegame.mod.fj5")  
        SetBool("savegame.mod.fk5")  
        SetBool("savegame.mod.fl5")  
        SetBool("savegame.mod.fz5", true)  
        SetBool("savegame.mod.fx5", true)  
        SetBool("savegame.mod.fc5")  
        SetBool("savegame.mod.fv5")  
        SetBool("savegame.mod.fb5", true) 
        SetBool("savegame.mod.fn5", true)  
        SetBool("savegame.mod.fm5")  
        SetBool("savegame.mod.f1q5")  
        SetBool("savegame.mod.f1w5")  
        SetBool("savegame.mod.f1e5")  
        SetBool("savegame.mod.f1r5", true) 
        SetBool("savegame.mod.f1t5")  
        SetBool("savegame.mod.f1y5", true)  
        SetBool("savegame.mod.f1u5")  
        SetBool("savegame.mod.f1i5", true)  
        SetBool("savegame.mod.f1o5")  
        SetBool("savegame.mod.f1p5", true)  
        SetBool("savegame.mod.f1a5")  
        SetBool("savegame.mod.f1s5", true)  
        SetBool("savegame.mod.f1d5")  
        SetBool("savegame.mod.f1f5", true)  
        SetBool("savegame.mod.fq6")  
        SetBool("savegame.mod.fw6")  
        SetBool("savegame.mod.fe6", true)  
        SetBool("savegame.mod.fr6", true)  
        SetBool("savegame.mod.ft6", true)  
        SetBool("savegame.mod.fy6", true)  
        SetBool("savegame.mod.fu6")  
        SetBool("savegame.mod.fi6", true)  
        SetBool("savegame.mod.fo6")  
        SetBool("savegame.mod.fp6") 
        SetBool("savegame.mod.fa6", true) 
        SetBool("savegame.mod.fs6", true) 
        SetBool("savegame.mod.fd6") 
        SetBool("savegame.mod.ff6")  
        SetBool("savegame.mod.fg6", true)  
        SetBool("savegame.mod.fh6")  
        SetBool("savegame.mod.fj6")  
        SetBool("savegame.mod.fk6")  
        SetBool("savegame.mod.fl6")  
        SetBool("savegame.mod.fz6")  
        SetBool("savegame.mod.fx6", true)  
        SetBool("savegame.mod.fc6", true)  
        SetBool("savegame.mod.fv6", true)  
        SetBool("savegame.mod.fb6", true) 
        SetBool("savegame.mod.fn6")  
        SetBool("savegame.mod.fm6")  
        SetBool("savegame.mod.f1q6")  
        SetBool("savegame.mod.f1w6")  
        SetBool("savegame.mod.f1e6", true)  
        SetBool("savegame.mod.f1r6", true) 
        SetBool("savegame.mod.f1t6", true)  
        SetBool("savegame.mod.f1y6", true)  
        SetBool("savegame.mod.f1u6", true)  
        SetBool("savegame.mod.f1i6", true)  
        SetBool("savegame.mod.f1o6", true)  
        SetBool("savegame.mod.f1p6", true)  
        SetBool("savegame.mod.f1a6")  
        SetBool("savegame.mod.f1s6")  
        SetBool("savegame.mod.f1d6")  
        SetBool("savegame.mod.f1f6")  
        SetBool("savegame.mod.fq7")  
        SetBool("savegame.mod.fw7", true)  
        SetBool("savegame.mod.fe7", true)  
        SetBool("savegame.mod.fr7", true)  
        SetBool("savegame.mod.ft7")  
        SetBool("savegame.mod.fy7")  
        SetBool("savegame.mod.fu7")  
        SetBool("savegame.mod.fi7")  
        SetBool("savegame.mod.fo7")  
        SetBool("savegame.mod.fp7") 
        SetBool("savegame.mod.fa7", true) 
        SetBool("savegame.mod.fs7", true) 
        SetBool("savegame.mod.fd7") 
        SetBool("savegame.mod.ff7")  
        SetBool("savegame.mod.fg7")  
        SetBool("savegame.mod.fh7")  
        SetBool("savegame.mod.fj7")  
        SetBool("savegame.mod.fk7")  
        SetBool("savegame.mod.fl7")  
        SetBool("savegame.mod.fz7")  
        SetBool("savegame.mod.fx7")  
        SetBool("savegame.mod.fc7", true)  
        SetBool("savegame.mod.fv7", true)  
        SetBool("savegame.mod.fb7") 
        SetBool("savegame.mod.fn7")  
        SetBool("savegame.mod.fm7")  
        SetBool("savegame.mod.f1q7")  
        SetBool("savegame.mod.f1w7")  
        SetBool("savegame.mod.f1e7", true)  
        SetBool("savegame.mod.f1r7") 
        SetBool("savegame.mod.f1t7", true)  
        SetBool("savegame.mod.f1y7")  
        SetBool("savegame.mod.f1u7", true)  
        SetBool("savegame.mod.f1i7")  
        SetBool("savegame.mod.f1o7", true)  
        SetBool("savegame.mod.f1p7")  
        SetBool("savegame.mod.f1a7", true)  
        SetBool("savegame.mod.f1s7")  
        SetBool("savegame.mod.f1d7")  
        SetBool("savegame.mod.f1f7")  
        SetBool("savegame.mod.fq8")  
        SetBool("savegame.mod.fw8", true)  
        SetBool("savegame.mod.fe8", true)  
        SetBool("savegame.mod.fr8", true)  
        SetBool("savegame.mod.ft8")  
        SetBool("savegame.mod.fy8")  
        SetBool("savegame.mod.fu8", true)  
        SetBool("savegame.mod.fi8")  
        SetBool("savegame.mod.fo8")  
        SetBool("savegame.mod.fp8") 
        SetBool("savegame.mod.fa8") 
        SetBool("savegame.mod.fs8") 
        SetBool("savegame.mod.fd8") 
        SetBool("savegame.mod.ff8")  
        SetBool("savegame.mod.fg8")  
        SetBool("savegame.mod.fh8", true)  
        SetBool("savegame.mod.fj8")  
        SetBool("savegame.mod.fk8")  
        SetBool("savegame.mod.fl8")  
        SetBool("savegame.mod.fz8")  
        SetBool("savegame.mod.fx8", true)  
        SetBool("savegame.mod.fc8", true)  
        SetBool("savegame.mod.fv8", true)  
        SetBool("savegame.mod.fb8", true) 
        SetBool("savegame.mod.fn8")  
        SetBool("savegame.mod.fm8")  
        SetBool("savegame.mod.f1q8")  
        SetBool("savegame.mod.f1w8")  
        SetBool("savegame.mod.f1e8")  
        SetBool("savegame.mod.f1r8") 
        SetBool("savegame.mod.f1t8")  
        SetBool("savegame.mod.f1y8")  
        SetBool("savegame.mod.f1u8")  
        SetBool("savegame.mod.f1i8")  
        SetBool("savegame.mod.f1o8")  
        SetBool("savegame.mod.f1p8")  
        SetBool("savegame.mod.f1a8", true)  
        SetBool("savegame.mod.f1s8")  
        SetBool("savegame.mod.f1d8", true)  
        SetBool("savegame.mod.f1f8") 
        SetBool("savegame.mod.fq9")  
        SetBool("savegame.mod.fw9", true)  
        SetBool("savegame.mod.fe9", true)  
        SetBool("savegame.mod.fr9", true)  
        SetBool("savegame.mod.ft9", true)  
        SetBool("savegame.mod.fy9", true)  
        SetBool("savegame.mod.fu9", true)  
        SetBool("savegame.mod.fi9")  
        SetBool("savegame.mod.fo9", true)  
        SetBool("savegame.mod.fp9", true) 
        SetBool("savegame.mod.fa9") 
        SetBool("savegame.mod.fs9") 
        SetBool("savegame.mod.fd9", true) 
        SetBool("savegame.mod.ff9", true)  
        SetBool("savegame.mod.fg9")  
        SetBool("savegame.mod.fh9", true)  
        SetBool("savegame.mod.fj9")  
        SetBool("savegame.mod.fk9")  
        SetBool("savegame.mod.fl9")  
        SetBool("savegame.mod.fz9", true)  
        SetBool("savegame.mod.fx9", true)  
        SetBool("savegame.mod.fc9")  
        SetBool("savegame.mod.fv9")  
        SetBool("savegame.mod.fb9", true) 
        SetBool("savegame.mod.fn9", true)  
        SetBool("savegame.mod.fm9")  
        SetBool("savegame.mod.f1q9")  
        SetBool("savegame.mod.f1w9")  
        SetBool("savegame.mod.f1e9", true)  
        SetBool("savegame.mod.f1r9") 
        SetBool("savegame.mod.f1t9", true)  
        SetBool("savegame.mod.f1y9")  
        SetBool("savegame.mod.f1u9", true)  
        SetBool("savegame.mod.f1i9")  
        SetBool("savegame.mod.f1o9", true)  
        SetBool("savegame.mod.f1p9")  
        SetBool("savegame.mod.f1a9")  
        SetBool("savegame.mod.f1s9")  
        SetBool("savegame.mod.f1d9", true)  
        SetBool("savegame.mod.f1f9")
        SetBool("savegame.mod.fq10")  
        SetBool("savegame.mod.fw10")  
        SetBool("savegame.mod.fe10")  
        SetBool("savegame.mod.fr10")  
        SetBool("savegame.mod.ft10", true)  
        SetBool("savegame.mod.fy10", true)  
        SetBool("savegame.mod.fu10")  
        SetBool("savegame.mod.fi10")  
        SetBool("savegame.mod.fo10", true)  
        SetBool("savegame.mod.fp10") 
        SetBool("savegame.mod.fa10") 
        SetBool("savegame.mod.fs10") 
        SetBool("savegame.mod.fd10") 
        SetBool("savegame.mod.ff10", true)  
        SetBool("savegame.mod.fg10")  
        SetBool("savegame.mod.fh10")  
        SetBool("savegame.mod.fj10")  
        SetBool("savegame.mod.fk10")  
        SetBool("savegame.mod.fl10", true)  
        SetBool("savegame.mod.fz10", true)  
        SetBool("savegame.mod.fx10")  
        SetBool("savegame.mod.fc10")  
        SetBool("savegame.mod.fv10")  
        SetBool("savegame.mod.fb10") 
        SetBool("savegame.mod.fn10", true)  
        SetBool("savegame.mod.fm10", true)  
        SetBool("savegame.mod.f1q10")  
        SetBool("savegame.mod.f1w10")  
        SetBool("savegame.mod.f1e10", true)  
        SetBool("savegame.mod.f1r10", true) 
        SetBool("savegame.mod.f1t10", true)  
        SetBool("savegame.mod.f1y10", true)  
        SetBool("savegame.mod.f1u10", true)  
        SetBool("savegame.mod.f1i10", true)  
        SetBool("savegame.mod.f1o10", true)  
        SetBool("savegame.mod.f1p10", true)  
        SetBool("savegame.mod.f1a10")  
        SetBool("savegame.mod.f1s10")  
        SetBool("savegame.mod.f1d10")  
        SetBool("savegame.mod.f1f10")
        SetBool("savegame.mod.fq11")  
        SetBool("savegame.mod.fw11", true)  
        SetBool("savegame.mod.fe11")  
        SetBool("savegame.mod.fr11")  
        SetBool("savegame.mod.ft11")  
        SetBool("savegame.mod.fy11")  
        SetBool("savegame.mod.fu11")  
        SetBool("savegame.mod.fi11", true)  
        SetBool("savegame.mod.fo11", true)  
        SetBool("savegame.mod.fp11") 
        SetBool("savegame.mod.fa11") 
        SetBool("savegame.mod.fs11") 
        SetBool("savegame.mod.fd11") 
        SetBool("savegame.mod.ff11", true)  
        SetBool("savegame.mod.fg11", true)  
        SetBool("savegame.mod.fh11")  
        SetBool("savegame.mod.fj11")  
        SetBool("savegame.mod.fk11", true)  
        SetBool("savegame.mod.fl11", true)  
        SetBool("savegame.mod.fz11")  
        SetBool("savegame.mod.fx11")  
        SetBool("savegame.mod.fc11")  
        SetBool("savegame.mod.fv11")  
        SetBool("savegame.mod.fb11") 
        SetBool("savegame.mod.fn11")  
        SetBool("savegame.mod.fm11", true)  
        SetBool("savegame.mod.f1q11", true)  
        SetBool("savegame.mod.f1w11")  
        SetBool("savegame.mod.f1e11")  
        SetBool("savegame.mod.f1r11", true) 
        SetBool("savegame.mod.f1t11")  
        SetBool("savegame.mod.f1y11", true)  
        SetBool("savegame.mod.f1u11")  
        SetBool("savegame.mod.f1i11", true)  
        SetBool("savegame.mod.f1o11")  
        SetBool("savegame.mod.f1p11", true)  
        SetBool("savegame.mod.f1a11", true)  
        SetBool("savegame.mod.f1s11")  
        SetBool("savegame.mod.f1d11", true)  
        SetBool("savegame.mod.f1f11")  
        SetBool("savegame.mod.fq12")  
        SetBool("savegame.mod.fw12")  
        SetBool("savegame.mod.fe12")  
        SetBool("savegame.mod.fr12")  
        SetBool("savegame.mod.ft12")  
        SetBool("savegame.mod.fy12")  
        SetBool("savegame.mod.fu12")  
        SetBool("savegame.mod.fi12", true)  
        SetBool("savegame.mod.fo12")  
        SetBool("savegame.mod.fp12") 
        SetBool("savegame.mod.fa12") 
        SetBool("savegame.mod.fs12") 
        SetBool("savegame.mod.fd12") 
        SetBool("savegame.mod.ff12")  
        SetBool("savegame.mod.fg12", true)  
        SetBool("savegame.mod.fh12")  
        SetBool("savegame.mod.fj12", true)  
        SetBool("savegame.mod.fk12", true)  
        SetBool("savegame.mod.fl12")  
        SetBool("savegame.mod.fz12")  
        SetBool("savegame.mod.fx12")  
        SetBool("savegame.mod.fc12")  
        SetBool("savegame.mod.fv12")  
        SetBool("savegame.mod.fb12") 
        SetBool("savegame.mod.fn12")  
        SetBool("savegame.mod.fm12")  
        SetBool("savegame.mod.f1q12", true)  
        SetBool("savegame.mod.f1w12", true)  
        SetBool("savegame.mod.f1e12")  
        SetBool("savegame.mod.f1r12") 
        SetBool("savegame.mod.f1t12")  
        SetBool("savegame.mod.f1y12")  
        SetBool("savegame.mod.f1u12")  
        SetBool("savegame.mod.f1i12")  
        SetBool("savegame.mod.f1o12")  
        SetBool("savegame.mod.f1p12")  
        SetBool("savegame.mod.f1a12")  
        SetBool("savegame.mod.f1s12")  
        SetBool("savegame.mod.f1d12")  
        SetBool("savegame.mod.f1f12")  
        SetBool("savegame.mod.fq13")  
        SetBool("savegame.mod.fw13")  
        SetBool("savegame.mod.fe13")  
        SetBool("savegame.mod.fr13")  
        SetBool("savegame.mod.ft13")  
        SetBool("savegame.mod.fy13")  
        SetBool("savegame.mod.fu13")  
        SetBool("savegame.mod.fi13", true)  
        SetBool("savegame.mod.fo13")  
        SetBool("savegame.mod.fp13") 
        SetBool("savegame.mod.fa13") 
        SetBool("savegame.mod.fs13") 
        SetBool("savegame.mod.fd13") 
        SetBool("savegame.mod.ff13")  
        SetBool("savegame.mod.fg13", true)  
        SetBool("savegame.mod.fh13")  
        SetBool("savegame.mod.fj13", true)  
        SetBool("savegame.mod.fk13", true)  
        SetBool("savegame.mod.fl13")  
        SetBool("savegame.mod.fz13")  
        SetBool("savegame.mod.fx13")  
        SetBool("savegame.mod.fc13")  
        SetBool("savegame.mod.fv13")  
        SetBool("savegame.mod.fb13") 
        SetBool("savegame.mod.fn13")  
        SetBool("savegame.mod.fm13")  
        SetBool("savegame.mod.f1q13", true)  
        SetBool("savegame.mod.f1w13", true)  
        SetBool("savegame.mod.f1e13")  
        SetBool("savegame.mod.f1r13") 
        SetBool("savegame.mod.f1t13")  
        SetBool("savegame.mod.f1y13")  
        SetBool("savegame.mod.f1u13")  
        SetBool("savegame.mod.f1i13")  
        SetBool("savegame.mod.f1o13")  
        SetBool("savegame.mod.f1p13")  
        SetBool("savegame.mod.f1a13")  
        SetBool("savegame.mod.f1s13")  
        SetBool("savegame.mod.f1d13")  
        SetBool("savegame.mod.f1f13")
        SetBool("savegame.mod.lightdefaltf", not GetBool("savegame.mod.lightdefaltf"))  
    end

	local v = GetPlayerVehicle()
	if v ~= 0 then
		local b = GetVehicleBody(v)
		local t = GetVehicleTransform(v)
		local vel = TransformToLocalVec(t, GetBodyVelocity(b))
		local speed = -vel[3]
		currentKmh = speed * 3.6
	else
		currentKmh = 0
	end
	


	lightrigger = FindTrigger("lighttrigger")
		v = FindVehicle("firetruck")
	local t = Transform(GetVehicleTransform(v).pos, Vec(0,1,0))
	SetTriggerTransform(lightrigger, t)


if IsPointInTrigger(lightrigger, GetPlayerPos()) then
 inside = true
    if GetBool("game.player.useVehicle") and InputPressed("j") then
        mlo = not mlo
    end

    if GetBool("game.player.useVehicle") and InputPressed("k") then
        hlo = not hlo
    end

 
    if GetBool("game.player.useVehicle") and InputDown("space") or InputDown("down") and displayKmh > 10 then
        brake = true
    else
        brake = false
    end

    if GetBool("game.player.useVehicle") and InputPressed(",") then
        tl = not tl
        tr = false
        warning = false
        to = GetTime()
    end

    if GetBool("game.player.useVehicle") and InputPressed(".") then
        tr = not tr
        tl = false
        warning = false
        to = GetTime()
    end

    if GetBool("game.player.useVehicle") and InputPressed("u") then
        warning = not warning
        tl = false
        tr = false
        to = GetTime()
    end

    if GetBool("game.player.useVehicle") and InputPressed("h") then
        adt = not adt
    end

    if GetBool("game.player.useVehicle") and InputDown("l") then
        flash = true
    else
        flash = false
    end

    if GetBool("game.player.useVehicle") and InputDown("g") and not sirent1 and not sirent2 and not sirent3 then
        PlayLoop(loop4,GetVehicleTransform(v).pos, GetFloat("savegame.mod.fsiren.horn"))
        end
    
        if GetBool("game.player.useVehicle") and InputDown("g") and sirent1 and not sirent2 and not sirent3 then
            PlayLoop(loop4,GetVehicleTransform(v).pos, GetFloat("savegame.mod.fsiren.horn"))
            siren = false
        else if sirent1 and not sirent2 and not sirent3 then
            siren = true
            end
        end
    
        if GetBool("game.player.useVehicle") and InputDown("g") and not sirent1 and sirent2 and not sirent3 then
            PlayLoop(loop4,GetVehicleTransform(v).pos, GetFloat("savegame.mod.fsiren.horn"))
            siren2 = false
        else if not sirent1 and sirent2 and not sirent3 then
            siren2 = true
            end
        end
    
        if GetBool("game.player.useVehicle") and InputDown("g") and not sirent1 and not sirent2 and sirent3 then
            PlayLoop(loop4,GetVehicleTransform(v).pos, GetFloat("savegame.mod.fsiren.horn"))
            siren3 = false
        else if not sirent1 and not sirent2 and sirent3 then
            siren3 = true
            end
        end

    if GetBool("game.player.useVehicle") and InputPressed("i") then
        elight = not elight
        elight2 = false
        elight3 = false
    end
    if GetBool("game.player.useVehicle") and InputPressed("o") then
        elight2 = not elight2
        elight = false
        elight3 = false
    end
    if GetBool("game.player.useVehicle") and InputPressed("y") then
        elight3 = not elight3
        elight = false
        elight2 = false
    end
    if GetBool("game.player.useVehicle") and InputPressed("1") then
        siren = not siren
        sirent1 = not sirent1
        sirent2 = false
        sirent3 = false
        siren2 = false
        siren3 = false
    end
    if GetBool("game.player.useVehicle") and InputPressed("2") then
        siren2 = not siren2
        sirent2 = not sirent2
        sirent1 = false
        sirent3 = false
        siren = false
        siren3 = false
	end

if GetBool("game.player.useVehicle") and InputPressed("3") then
    siren3 = not siren3
    sirent3 = not sirent3
    sirent1 = false
    sirent2 = false
    siren = false
    siren2 = false
    end

if not elight and not elight2 and not elight3 and InputPressed("y") then
    siren = false
    sirent1 = false
    sirent2 = false
    sirent3 = false
    siren2 = false
    siren3 = false
end

if not elight and not elight2 and not elight3 and InputPressed("i") then
    siren = false
    sirent1 = false
    sirent2 = false
    sirent3 = false
    siren2 = false
    siren3 = false
end

if not elight and not elight2 and not elight3 and InputPressed("o") then
    siren = false
    sirent1 = false
    sirent2 = false
    sirent3 = false
    siren2 = false
    siren3 = false
end
else 
    inside = false
end

	if siren then
	PlayLoop(loop,GetVehicleTransform(v).pos, GetFloat("savegame.mod.fsiren.s1"))
	else
	if siren2 then
	PlayLoop(loop2,GetVehicleTransform(v).pos, GetFloat("savegame.mod.fsiren.s2"))
	end
    if siren3 then
    PlayLoop(loop3,GetVehicleTransform(v).pos, GetFloat("savegame.mod.fsiren.s3"))
    end
end



    if tl or tr or warning then
        a = math.cos((GetTime()-to)*9)
        if a >= 0 then
            tli = GetFloat("savegame.mod.lighs.blinkers")
        else
            tli = 0.0001
        end



        if warning then
            SetShapeEmissiveScale(shapes.d1, tli)
            SetShapeEmissiveScale(shapes.d2, tli)
            SetShapeEmissiveScale(shapes.d3, tli)
            SetShapeEmissiveScale(shapes.d4, tli)
            SetShapeEmissiveScale(shapes.e1, tli)
            SetShapeEmissiveScale(shapes.e2, tli)
            SetShapeEmissiveScale(shapes.e3, tli)
            SetShapeEmissiveScale(shapes.e4, tli)
        SetLightIntensity(lights.d1, tli)
        SetLightIntensity(lights.d2, tli)
        SetLightIntensity(lights.d3, tli)
        SetLightIntensity(lights.d4, tli)
        SetLightIntensity(lights.e1, tli)
        SetLightIntensity(lights.e2, tli)
        SetLightIntensity(lights.e3, tli)
        SetLightIntensity(lights.e4, tli)



        else
            if tl then
                SetShapeEmissiveScale(shapes.e1, tli)
                SetShapeEmissiveScale(shapes.e2, tli)
                SetShapeEmissiveScale(shapes.e3, tli)
                SetShapeEmissiveScale(shapes.e4, tli)
                SetShapeEmissiveScale(shapes.d1, 0)
                SetShapeEmissiveScale(shapes.d2, 0)
                SetShapeEmissiveScale(shapes.d3, 0)
                SetShapeEmissiveScale(shapes.d4, 0)
        SetLightIntensity(lights.e1, tli)
        SetLightIntensity(lights.e2, tli)
        SetLightIntensity(lights.e3, tli)
        SetLightIntensity(lights.e4, tli)
        SetLightIntensity(lights.d1, 0)
        SetLightIntensity(lights.d2, 0)
        SetLightIntensity(lights.d3, 0)
        SetLightIntensity(lights.d4, 0)

            elseif tr then
                SetShapeEmissiveScale(shapes.d1, tli)
                SetShapeEmissiveScale(shapes.d2, tli)
                SetShapeEmissiveScale(shapes.d3, tli)
                SetShapeEmissiveScale(shapes.d4, tli)
                SetShapeEmissiveScale(shapes.e1, 0)
                SetShapeEmissiveScale(shapes.e2, 0)
                SetShapeEmissiveScale(shapes.e3, 0)
                SetShapeEmissiveScale(shapes.e4, 0)
        SetLightIntensity(lights.e1, 0)
        SetLightIntensity(lights.e2, 0)
        SetLightIntensity(lights.e3, 0)
        SetLightIntensity(lights.e4, 0)
        SetLightIntensity(lights.d1, tli)
        SetLightIntensity(lights.d2, tli)
        SetLightIntensity(lights.d3, tli)
        SetLightIntensity(lights.d4, tli)

            else
                SetShapeEmissiveScale(shapes.d1, 0)
                SetShapeEmissiveScale(shapes.d2, 0)
                SetShapeEmissiveScale(shapes.d3, 0)
                SetShapeEmissiveScale(shapes.d4, 0)
                SetShapeEmissiveScale(shapes.e1, 0)
                SetShapeEmissiveScale(shapes.e2, 0)
                SetShapeEmissiveScale(shapes.e3, 0)
                SetShapeEmissiveScale(shapes.e4, 0)
        SetLightIntensity(lights.d1, 0)
        SetLightIntensity(lights.d2, 0)
        SetLightIntensity(lights.d3, 0)
        SetLightIntensity(lights.d4, 0)
        SetLightIntensity(lights.e1, 0)
        SetLightIntensity(lights.e2, 0)
        SetLightIntensity(lights.e3, 0)
        SetLightIntensity(lights.e4, 0)

         end
      end
    else
        SetShapeEmissiveScale(shapes.d1, 0)
        SetShapeEmissiveScale(shapes.d2, 0)
        SetShapeEmissiveScale(shapes.d3, 0)
        SetShapeEmissiveScale(shapes.d4, 0)
        SetShapeEmissiveScale(shapes.e1, 0)
        SetShapeEmissiveScale(shapes.e2, 0)
        SetShapeEmissiveScale(shapes.e3, 0)
        SetShapeEmissiveScale(shapes.e4, 0)
        SetLightIntensity(lights.d1, 0)
        SetLightIntensity(lights.d2, 0)
        SetLightIntensity(lights.d3, 0)
        SetLightIntensity(lights.d4, 0)
        SetLightIntensity(lights.e1, 0)
        SetLightIntensity(lights.e2, 0)
        SetLightIntensity(lights.e3, 0)
        SetLightIntensity(lights.e4, 0)

    end
end



    function update(dt)
	frame = frame + 1
	displayKmh = 0.9 * displayKmh + 0.1 * currentKmh
	if elight then
        local period = 60
        local t = frame%period

        --toplights
        if t == 0 then 	am1 = 2 end
        if t == 5 then am1 = 0 end
        if t == 10 then am1 = 2 end
        if t == 15 then am1 = 0 end
        if t == 20 then am1 = 2 end
        if t == 25 then am1 = 0 end

        if t == 5 then am2 = 2 end
        if t == 15 then am2 = 0 end
        if t == 10 then am3 = 2 end
        if t == 20 then am3 = 0 end
        if t == 40 then am2 = 2 end
        if t == 50 then am2 = 0 end
        if t == 35 then am3 = 2 end
        if t == 45 then am3 = 0 end


        if t == 30 then am4 = 1 end
        if t == 35 then am4 = 0 end
        if t == 40 then am4 = 1 end
        if t == 45 then am4 = 0 end
        if t == 50 then am4 = 1 end
        if t == 55 then am4 = 0 end

        if t == 20 then am5 = 2 end
        if t == 35 then am5 = 0 end

        if t == 30 then am6 = 1 end
        if t == 35 then am6 = 0 end
        if t == 40 then am6 = 1 end
        if t == 45 then am6 = 0 end
        if t == 50 then am6 = 1 end
        if t == 55 then am6 = 0 end

        if t == 10 then am7 = 2 end
        if t == 20 then am7 = 0 end
        if t == 5 then am8 = 2 end
        if t == 15 then am8 = 0 end
        if t == 35 then am7 = 2 end
        if t == 45 then am7 = 0 end
        if t == 40 then am8 = 2 end
        if t == 50 then am8 = 0 end

        if t == 0 then am9 = 2 end
        if t == 5 then am9 = 0 end
        if t == 10 then am9 = 2 end
        if t == 15 then am9 = 0 end
        if t == 20 then am9 = 2 end
        if t == 25 then am9 = 0 end



        --Red
        if t == 0 then 	es = 2 	end
        if t == 15 then es = 0	end
        if t == 30 then es = 2	end
        if t == 45 then es = 0	end

        --red
        if t == 15 then di = 2	end
        if t == 30 then di = 0	end
        if t == 45 then di = 2 	end
        if t == 59 then di = 0	end


        --farol
        if t == 0 then 	fa1 = 0 end
        if t == 15 then fa1 = 1 end
        if t == 30 then fa1 = 0 end
        if t == 45 then fa1 = 1 end


        if t == 15 then fa2 = 0 end
        if t == 30 then fa2 = 1	end
        if t == 45 then fa2 = 0 end
        if t == 59 then fa2 = 1	end

        --farol luz
        if t == 0 then 	fa3 = 0 end
        if t == 15 then fa3 = 10 end
        if t == 30 then fa3 = 0 end
        if t == 45 then fa3 = 10 end

        if t == 15 then fa4 = 0 end
        if t == 30 then fa4 = 10 end
        if t == 45 then fa4 = 0 end
        if t == 59 then fa4 = 10 end

        if t == 0 then 	fa5 = 0 end
        if t == 15 then fa5 = 20 end
        if t == 30 then fa5 = 0 end
        if t == 45 then fa5 = 20 end

        if t == 15 then fa6 = 0 end
        if t == 30 then fa6 = 20 end
        if t == 45 then fa6 = 0 end
        if t == 59 then fa6 = 20 end

        SetJointMotor(dl3, 17, 25)

--cima frente
SetShapeEmissiveScale(shapes.r1, am1)
SetShapeEmissiveScale(shapes.r2, am2)
SetShapeEmissiveScale(shapes.r3, am4)
SetShapeEmissiveScale(shapes.r4, am6)
SetShapeEmissiveScale(shapes.r5, am3)
SetShapeEmissiveScale(shapes.l1, am1)
SetShapeEmissiveScale(shapes.l2, am2)
SetShapeEmissiveScale(shapes.l3, am4)
SetShapeEmissiveScale(shapes.l4, am6)
SetShapeEmissiveScale(shapes.l5, am3)

SetLightIntensity(lights.r1, am1)
SetLightIntensity(lights.r2, am5)
SetLightIntensity(lights.r3, am3)
SetLightIntensity(lights.r4, am4)
SetLightIntensity(lights.r5, am2)
SetLightIntensity(lights.l1, am1)
SetLightIntensity(lights.l2, am5)
SetLightIntensity(lights.l3, am3)
SetLightIntensity(lights.l4, am4)
SetLightIntensity(lights.l5, am2)



--lado direito
SetShapeEmissiveScale(shapes.r6, am1)
SetShapeEmissiveScale(shapes.r7, am3)
SetShapeEmissiveScale(shapes.r8, am4)
SetShapeEmissiveScale(shapes.r9, am4)
SetShapeEmissiveScale(shapes.r10, am3)
SetShapeEmissiveScale(shapes.r11, am1)

SetLightIntensity(lights.r6, am1)
SetLightIntensity(lights.r7, am9)
SetLightIntensity(lights.r8, di)
SetLightIntensity(lights.r9, es)
SetLightIntensity(lights.r10, am9)
SetLightIntensity(lights.r11, am2)


--lado esquerdo
SetShapeEmissiveScale(shapes.l6, am1)
SetShapeEmissiveScale(shapes.l7, am3)
SetShapeEmissiveScale(shapes.l8, am4)
SetShapeEmissiveScale(shapes.l9, am4)
SetShapeEmissiveScale(shapes.l10, am3)
SetShapeEmissiveScale(shapes.l11, am1)

SetLightIntensity(lights.l6, am1)
SetLightIntensity(lights.l7, es)
SetLightIntensity(lights.l8, di)
SetLightIntensity(lights.l9, es)
SetLightIntensity(lights.l10, di)
SetLightIntensity(lights.l11, am1)




--frente
SetShapeEmissiveScale(shapes.spin1, 1)
SetShapeEmissiveScale(shapes.fd, di)
SetShapeEmissiveScale(shapes.fe, es)
SetShapeEmissiveScale(shapes.fd2, di)
SetShapeEmissiveScale(shapes.fe2, es)

SetLightIntensity(lights.spin1, 1)
SetLightIntensity(lights.spin2, 1)
SetLightIntensity(lights.fd, di)
SetLightIntensity(lights.fe, es)
SetLightIntensity(lights.fd2, di)
SetLightIntensity(lights.fe2, es)



--tras
SetShapeEmissiveScale(shapes.td, di)
SetShapeEmissiveScale(shapes.te, es)
SetShapeEmissiveScale(shapes.td2, di)
SetShapeEmissiveScale(shapes.te2, es)

SetLightIntensity(lights.td, di)
SetLightIntensity(lights.te, es)
SetLightIntensity(lights.td2, di)
SetLightIntensity(lights.te2, es)


--lado
SetShapeEmissiveScale(shapes.rd, di)
SetShapeEmissiveScale(shapes.re, es)
SetShapeEmissiveScale(shapes.rtd, di)
SetShapeEmissiveScale(shapes.rte, es)

SetLightIntensity(lights.rd, di)
SetLightIntensity(lights.re, es)
SetLightIntensity(lights.rtd, di)
SetLightIntensity(lights.rte, es)





--luz geral

SetShapeEmissiveScale(shapes.hd1, fa3)
SetShapeEmissiveScale(shapes.he1, fa4)
SetShapeEmissiveScale(shapes.brake2, fa1)
SetShapeEmissiveScale(shapes.brake, fa2)
SetShapeEmissiveScale(shapes.lflmt2, fa1)
SetShapeEmissiveScale(shapes.lfrmt2, fa2)

SetLightIntensity(lights.hd1, fa5)
SetLightIntensity(lights.he1, fa6)
SetLightIntensity(lights.brake2, fa1)
SetLightIntensity(lights.brake, fa2)
SetLightIntensity(lights.lflmlt2, fa1)
SetLightIntensity(lights.lfrmrt2, fa2)



else

        SetJointMotor(dl3, 0, 0)

SetShapeEmissiveScale(shapes.r1, 0)
SetShapeEmissiveScale(shapes.r2, 0)
SetShapeEmissiveScale(shapes.r3, 0)
SetShapeEmissiveScale(shapes.r4, 0)
SetShapeEmissiveScale(shapes.r5, 0)
SetShapeEmissiveScale(shapes.r6, 0)
SetShapeEmissiveScale(shapes.r7, 0)
SetShapeEmissiveScale(shapes.r8, 0)
SetShapeEmissiveScale(shapes.r9, 0)
SetShapeEmissiveScale(shapes.r10, 0)
SetShapeEmissiveScale(shapes.r11, 0)

SetShapeEmissiveScale(shapes.l1, 0)
SetShapeEmissiveScale(shapes.l2, 0)
SetShapeEmissiveScale(shapes.l3, 0)
SetShapeEmissiveScale(shapes.l4, 0)
SetShapeEmissiveScale(shapes.l5, 0)
SetShapeEmissiveScale(shapes.l6, 0)
SetShapeEmissiveScale(shapes.l7, 0)
SetShapeEmissiveScale(shapes.l8, 0)
SetShapeEmissiveScale(shapes.l9, 0)
SetShapeEmissiveScale(shapes.l10, 0)
SetShapeEmissiveScale(shapes.l11, 0)

SetShapeEmissiveScale(shapes.rd, 0)
SetShapeEmissiveScale(shapes.re, 0)
SetShapeEmissiveScale(shapes.rtd, 0)
SetShapeEmissiveScale(shapes.rte, 0)

SetShapeEmissiveScale(shapes.td, 0)
SetShapeEmissiveScale(shapes.te, 0)
SetShapeEmissiveScale(shapes.td2, 0)
SetShapeEmissiveScale(shapes.te2, 0)

SetShapeEmissiveScale(shapes.spin1, 0)
SetShapeEmissiveScale(shapes.fd, 0)
SetShapeEmissiveScale(shapes.fe, 0)
SetShapeEmissiveScale(shapes.fd2, 0)
SetShapeEmissiveScale(shapes.fe2, 0)


SetLightIntensity(lights.r1, 0)
SetLightIntensity(lights.r2, 0)
SetLightIntensity(lights.r3, 0)
SetLightIntensity(lights.r4, 0)
SetLightIntensity(lights.r5, 0)
SetLightIntensity(lights.r6, 0)
SetLightIntensity(lights.r7, 0)
SetLightIntensity(lights.r8, 0)
SetLightIntensity(lights.r9, 0)
SetLightIntensity(lights.r10, 0)
SetLightIntensity(lights.r11, 0)

SetLightIntensity(lights.l1, 0)
SetLightIntensity(lights.l2, 0)
SetLightIntensity(lights.l3, 0)
SetLightIntensity(lights.l4, 0)
SetLightIntensity(lights.l5, 0)
SetLightIntensity(lights.l6, 0)
SetLightIntensity(lights.l7, 0)
SetLightIntensity(lights.l8, 0)
SetLightIntensity(lights.l9, 0)
SetLightIntensity(lights.l10, 0)
SetLightIntensity(lights.l11, 0)

SetLightIntensity(lights.rd, 0)
SetLightIntensity(lights.re, 0)
SetLightIntensity(lights.rtd, 0)
SetLightIntensity(lights.rte, 0)

SetLightIntensity(lights.td, 0)
SetLightIntensity(lights.te, 0)
SetLightIntensity(lights.td2, 0)
SetLightIntensity(lights.te2, 0)

SetLightIntensity(lights.spin1, 0)
SetLightIntensity(lights.spin2, 0)
SetLightIntensity(lights.fd, 0)
SetLightIntensity(lights.fe, 0)
SetLightIntensity(lights.fd2, 0)
SetLightIntensity(lights.fe2, 0)

SetShapeEmissiveScale(shapes.hd1, 0)
SetShapeEmissiveScale(shapes.he1, 0)
SetShapeEmissiveScale(shapes.hd2, 0)
SetShapeEmissiveScale(shapes.he2, 0)
SetShapeEmissiveScale(shapes.lflmt2, 0)
SetShapeEmissiveScale(shapes.lfrmt2, 0)
SetLightIntensity(lights.lfrmrt2, 0)
SetLightIntensity(lights.lflmlt2, 0)
SetLightIntensity(lights.hd1, 0)
SetLightIntensity(lights.he1, 0)
SetLightIntensity(lights.hd2, 0)
SetLightIntensity(lights.he2, 0)
SetShapeEmissiveScale(shapes.brake, 0)
SetShapeEmissiveScale(shapes.brake2, 0)
SetLightIntensity(lights.brake, 0)
SetLightIntensity(lights.brake2, 0)


end


if elight2 then
        local period = 60
        local t = frame%period
        --toplights
        if t == 0 then 	am1 = 2 end
        if t == 5 then am1 = 0 end
        if t == 10 then am1 = 2 end
        if t == 15 then am1 = 0 end
        if t == 20 then am1 = 2 end
        if t == 25 then am1 = 0 end

        if t == 5 then am2 = 2 end
        if t == 15 then am2 = 0 end
        if t == 10 then am3 = 2 end
        if t == 20 then am3 = 0 end
        if t == 40 then am2 = 2 end
        if t == 50 then am2 = 0 end
        if t == 35 then am3 = 2 end
        if t == 45 then am3 = 0 end


        if t == 30 then am4 = 1 end
        if t == 35 then am4 = 0 end
        if t == 40 then am4 = 1 end
        if t == 45 then am4 = 0 end
        if t == 50 then am4 = 1 end
        if t == 55 then am4 = 0 end

        if t == 20 then am5 = 2 end
        if t == 35 then am5 = 0 end

        if t == 30 then am6 = 1 end
        if t == 35 then am6 = 0 end
        if t == 40 then am6 = 1 end
        if t == 45 then am6 = 0 end
        if t == 50 then am6 = 1 end
        if t == 55 then am6 = 0 end

        if t == 10 then am7 = 2 end
        if t == 20 then am7 = 0 end
        if t == 5 then am8 = 2 end
        if t == 15 then am8 = 0 end
        if t == 35 then am7 = 2 end
        if t == 45 then am7 = 0 end
        if t == 40 then am8 = 2 end
        if t == 50 then am8 = 0 end

        if t == 0 then am9 = 2 end
        if t == 5 then am9 = 0 end
        if t == 10 then am9 = 2 end
        if t == 15 then am9 = 0 end
        if t == 20 then am9 = 2 end
        if t == 25 then am9 = 0 end




        --Red
        if t == 0 then 	es = 2	end
        if t == 5 then es = 0	end
        if t == 10 then es = 2 	end
        if t == 30 then es = 0	end

        --Blue
        if t == 30 then di = 2 	end
        if t == 35 then di = 0	end
        if t == 40 then di = 2 	end
        if t == 59 then di = 0	end



        --farol
        if t == 0 then 	fa1 = 1 end
        if t == 5 then fa1 = 0 end
        if t == 10 then fa1 = 1 end
        if t == 30 then fa1 = 0 end

        if t == 30 then fa2 = 1 end
        if t == 35 then fa2 = 0	end
        if t == 40 then fa2 = 1 end
        if t == 59 then fa2 = 0	end

        --farol luz
        if t == 0 then 	fa3 = 1 end
        if t == 5 then fa3 = 0 end
        if t == 10 then fa3 = 1 end
        if t == 30 then fa3 = 0 end

        if t == 30 then fa4 = 1 end
        if t == 35 then fa4 = 0	end
        if t == 40 then fa4 = 1 end
        if t == 59 then fa4 = 0	end

        if t == 0 then 	fa5 = 20 end
        if t == 5 then fa5 = 0 end
        if t == 10 then fa5 = 20 end
        if t == 30 then fa5 = 0 end

        if t == 30 then fa6 = 20 end
        if t == 35 then fa6 = 0	end
        if t == 40 then fa6 = 20 end
        if t == 59 then fa6 = 0	end

        SetJointMotor(dl3, 17, 25)

--cima frente
SetShapeEmissiveScale(shapes.r1, am1)
SetShapeEmissiveScale(shapes.r2, am2)
SetShapeEmissiveScale(shapes.r3, am3)
SetShapeEmissiveScale(shapes.r4, am4)
SetShapeEmissiveScale(shapes.r5, am5)
SetShapeEmissiveScale(shapes.l1, am1)
SetShapeEmissiveScale(shapes.l2, am2)
SetShapeEmissiveScale(shapes.l3, am3)
SetShapeEmissiveScale(shapes.l4, am4)
SetShapeEmissiveScale(shapes.l5, am5)

SetLightIntensity(lights.r1, am1)
SetLightIntensity(lights.r2, am2)
SetLightIntensity(lights.r3, am3)
SetLightIntensity(lights.r4, am4)
SetLightIntensity(lights.r5, am5)
SetLightIntensity(lights.l1, am1)
SetLightIntensity(lights.l2, am2)
SetLightIntensity(lights.l3, am3)
SetLightIntensity(lights.l4, am4)
SetLightIntensity(lights.l5, am5)



--lado direito
SetShapeEmissiveScale(shapes.r6, am2)
SetShapeEmissiveScale(shapes.r7, am3)
SetShapeEmissiveScale(shapes.r8, am4)
SetShapeEmissiveScale(shapes.r9, am4)
SetShapeEmissiveScale(shapes.r10, am3)
SetShapeEmissiveScale(shapes.r11, am2)

SetLightIntensity(lights.r6, am2)
SetLightIntensity(lights.r7, am3)
SetLightIntensity(lights.r8, am4)
SetLightIntensity(lights.r9, am2)
SetLightIntensity(lights.r10, am3)
SetLightIntensity(lights.r11, am4)


--lado esquerdo
SetShapeEmissiveScale(shapes.l6, am2)
SetShapeEmissiveScale(shapes.l7, am3)
SetShapeEmissiveScale(shapes.l8, am4)
SetShapeEmissiveScale(shapes.l9, am4)
SetShapeEmissiveScale(shapes.l10, am3)
SetShapeEmissiveScale(shapes.l11, am2)

SetLightIntensity(lights.l6, am2)
SetLightIntensity(lights.l7, am3)
SetLightIntensity(lights.l8, am4)
SetLightIntensity(lights.l9, am2)
SetLightIntensity(lights.l10, am3)
SetLightIntensity(lights.l11, am4)




--frente
SetShapeEmissiveScale(shapes.spin1, 1)
SetShapeEmissiveScale(shapes.fd, di)
SetShapeEmissiveScale(shapes.fe, es)
SetShapeEmissiveScale(shapes.fd2, di)
SetShapeEmissiveScale(shapes.fe2, es)

SetLightIntensity(lights.spin1, 1)
SetLightIntensity(lights.spin2, 1)
SetLightIntensity(lights.fd, di)
SetLightIntensity(lights.fe, es)
SetLightIntensity(lights.fd2, di)
SetLightIntensity(lights.fe2, es)



--tras
SetShapeEmissiveScale(shapes.td, di)
SetShapeEmissiveScale(shapes.te, es)
SetShapeEmissiveScale(shapes.td2, di)
SetShapeEmissiveScale(shapes.te2, es)

SetLightIntensity(lights.td, di)
SetLightIntensity(lights.te, es)
SetLightIntensity(lights.td2, di)
SetLightIntensity(lights.te2, es)


--lado
SetShapeEmissiveScale(shapes.rd, di)
SetShapeEmissiveScale(shapes.re, es)
SetShapeEmissiveScale(shapes.rtd, di)
SetShapeEmissiveScale(shapes.rte, es)

SetLightIntensity(lights.rd, di)
SetLightIntensity(lights.re, es)
SetLightIntensity(lights.rtd, di)
SetLightIntensity(lights.rte, es)





--luz geral

SetShapeEmissiveScale(shapes.hd1, fa3)
SetShapeEmissiveScale(shapes.he1, fa4)
SetShapeEmissiveScale(shapes.brake2, fa1)
SetShapeEmissiveScale(shapes.brake, fa2)
SetShapeEmissiveScale(shapes.lflmt2, fa1)
SetShapeEmissiveScale(shapes.lfrmt2, fa2)

SetLightIntensity(lights.hd1, fa5)
SetLightIntensity(lights.he1, fa6)
SetLightIntensity(lights.brake2, fa1)
SetLightIntensity(lights.brake, fa2)
SetLightIntensity(lights.lflmlt2, fa1)
SetLightIntensity(lights.lfrmrt2, fa2)


end

if elight3 then
    local period = 60
    local t = frame%period
    --toplights
    --1
    if t == 0  then fa1 = fqq0 end
    if t == 5  then fa1 = fqq5 end
    if t == 10 then fa1 = fqq10 end
    if t == 15 then fa1 = fqq15 end
    if t == 20 then fa1 = fqq20 end
    if t == 25 then fa1 = fqq25 end
    if t == 30 then fa1 = fqq30 end
    if t == 35 then fa1 = fqq35 end
    if t == 40 then fa1 = fqq40 end
    if t == 45 then fa1 = fqq45 end
    if t == 50 then fa1 = fqq50 end
    if t == 55 then fa1 = fqq55 end
    if t == 59 then fa1 = fqq59 end

    --2
    if t == 0  then fa2 = fww0 end
    if t == 5  then fa2 = fww5 end
    if t == 10 then fa2 = fww10 end
    if t == 15 then fa2 = fww15 end
    if t == 20 then fa2 = fww20 end
    if t == 25 then fa2 = fww25 end
    if t == 30 then fa2 = fww30 end
    if t == 35 then fa2 = fww35 end
    if t == 40 then fa2 = fww40 end
    if t == 45 then fa2 = fww45 end
    if t == 50 then fa2 = fww50 end
    if t == 55 then fa2 = fww55 end
    if t == 59 then fa2 = fww59 end

    --3
    if t == 0  then fa3 = fee0 end
    if t == 5  then fa3 = fee5 end
    if t == 10 then fa3 = fee10 end
    if t == 15 then fa3 = fee15 end
    if t == 20 then fa3 = fee20 end
    if t == 25 then fa3 = fee25 end
    if t == 30 then fa3 = fee30 end
    if t == 35 then fa3 = fee35 end
    if t == 40 then fa3 = fee40 end
    if t == 45 then fa3 = fee45 end
    if t == 50 then fa3 = fee50 end
    if t == 55 then fa3 = fee55 end
    if t == 59 then fa3 = fee59 end

    --4
    if t == 0  then fa4 = frr0 end
    if t == 5  then fa4 = frr5 end
    if t == 10 then fa4 = frr10 end
    if t == 15 then fa4 = frr15 end
    if t == 20 then fa4 = frr20 end
    if t == 25 then fa4 = frr25 end
    if t == 30 then fa4 = frr30 end
    if t == 35 then fa4 = frr35 end
    if t == 40 then fa4 = frr40 end
    if t == 45 then fa4 = frr45 end
    if t == 50 then fa4 = frr50 end
    if t == 55 then fa4 = frr55 end
    if t == 59 then fa4 = frr59 end

    --5
    if t == 0  then fa5 = ftt0 end
    if t == 5  then fa5 = ftt5 end
    if t == 10 then fa5 = ftt10 end
    if t == 15 then fa5 = ftt15 end
    if t == 20 then fa5 = ftt20 end
    if t == 25 then fa5 = ftt25 end
    if t == 30 then fa5 = ftt30 end
    if t == 35 then fa5 = ftt35 end
    if t == 40 then fa5 = ftt40 end
    if t == 45 then fa5 = ftt45 end
    if t == 50 then fa5 = ftt50 end
    if t == 55 then fa5 = ftt55 end
    if t == 59 then fa5 = ftt59 end

    --6
    if t == 0  then fa6 = fyy0 end
    if t == 5  then fa6 = fyy5 end
    if t == 10 then fa6 = fyy10 end
    if t == 15 then fa6 = fyy15 end
    if t == 20 then fa6 = fyy20 end
    if t == 25 then fa6 = fyy25 end
    if t == 30 then fa6 = fyy30 end
    if t == 35 then fa6 = fyy35 end
    if t == 40 then fa6 = fyy40 end
    if t == 45 then fa6 = fyy45 end
    if t == 50 then fa6 = fyy50 end
    if t == 55 then fa6 = fyy55 end
    if t == 59 then fa6 = fyy59 end

    --7
    if t == 0  then fa7 = fuu0 end
    if t == 5  then fa7 = fuu5 end
    if t == 10 then fa7 = fuu10 end
    if t == 15 then fa7 = fuu15 end
    if t == 20 then fa7 = fuu20 end
    if t == 25 then fa7 = fuu25 end
    if t == 30 then fa7 = fuu30 end
    if t == 35 then fa7 = fuu35 end
    if t == 40 then fa7 = fuu40 end
    if t == 45 then fa7 = fuu45 end
    if t == 50 then fa7 = fuu50 end
    if t == 55 then fa7 = fuu55 end
    if t == 59 then fa7 = fuu59 end

    --8
    if t == 0  then fa8 = fii0 end
    if t == 5  then fa8 = fii5 end
    if t == 10 then fa8 = fii10 end
    if t == 15 then fa8 = fii15 end
    if t == 20 then fa8 = fii20 end
    if t == 25 then fa8 = fii25 end
    if t == 30 then fa8 = fii30 end
    if t == 35 then fa8 = fii35 end
    if t == 40 then fa8 = fii40 end
    if t == 45 then fa8 = fii45 end
    if t == 50 then fa8 = fii50 end
    if t == 55 then fa8 = fii55 end
    if t == 59 then fa8 = fii59 end

    --9
    if t == 0  then fa9 = foo0 end
    if t == 5  then fa9 = foo5 end
    if t == 10 then fa9 = foo10 end
    if t == 15 then fa9 = foo15 end
    if t == 20 then fa9 = foo20 end
    if t == 25 then fa9 = foo25 end
    if t == 30 then fa9 = foo30 end
    if t == 35 then fa9 = foo35 end
    if t == 40 then fa9 = foo40 end
    if t == 45 then fa9 = foo45 end
    if t == 50 then fa9 = foo50 end
    if t == 55 then fa9 = foo55 end
    if t == 59 then fa9 = foo59 end

    --10
    if t == 0  then fa10 = fpp0 end
    if t == 5  then fa10 = fpp5 end
    if t == 10 then fa10 = fpp10 end
    if t == 15 then fa10 = fpp15 end
    if t == 20 then fa10 = fpp20 end
    if t == 25 then fa10 = fpp25 end
    if t == 30 then fa10 = fpp30 end
    if t == 35 then fa10 = fpp35 end
    if t == 40 then fa10 = fpp40 end
    if t == 45 then fa10 = fpp45 end
    if t == 50 then fa10 = fpp50 end
    if t == 55 then fa10 = fpp55 end
    if t == 59 then fa10 = fpp59 end

    --11
    if t == 0  then fa11 = faa0 end
    if t == 5  then fa11 = faa5 end
    if t == 10 then fa11 = faa10 end
    if t == 15 then fa11 = faa15 end
    if t == 20 then fa11 = faa20 end
    if t == 25 then fa11 = faa25 end
    if t == 30 then fa11 = faa30 end
    if t == 35 then fa11 = faa35 end
    if t == 40 then fa11 = faa40 end
    if t == 45 then fa11 = faa45 end
    if t == 50 then fa11 = faa50 end
    if t == 55 then fa11 = faa55 end
    if t == 59 then fa11 = faa59 end

    --12
    if t == 0  then fa12 = fss0 end
    if t == 5  then fa12 = fss5 end
    if t == 10 then fa12 = fss10 end
    if t == 15 then fa12 = fss15 end
    if t == 20 then fa12 = fss20 end
    if t == 25 then fa12 = fss25 end
    if t == 30 then fa12 = fss30 end
    if t == 35 then fa12 = fss35 end
    if t == 40 then fa12 = fss40 end
    if t == 45 then fa12 = fss45 end
    if t == 50 then fa12 = fss50 end
    if t == 55 then fa12 = fss55 end
    if t == 59 then fa12 = fss59 end

    --13
    if t == 0  then fa13 = fdd0 end
    if t == 5  then fa13 = fdd5 end
    if t == 10 then fa13 = fdd10 end
    if t == 15 then fa13 = fdd15 end
    if t == 20 then fa13 = fdd20 end
    if t == 25 then fa13 = fdd25 end
    if t == 30 then fa13 = fdd30 end
    if t == 35 then fa13 = fdd35 end
    if t == 40 then fa13 = fdd40 end
    if t == 45 then fa13 = fdd45 end
    if t == 50 then fa13 = fdd50 end
    if t == 55 then fa13 = fdd55 end
    if t == 59 then fa13 = fdd59 end

    --14
    if t == 0  then fa14 = fff0 end
    if t == 5  then fa14 = fff5 end
    if t == 10 then fa14 = fff10 end
    if t == 15 then fa14 = fff15 end
    if t == 20 then fa14 = fff20 end
    if t == 25 then fa14 = fff25 end
    if t == 30 then fa14 = fff30 end
    if t == 35 then fa14 = fff35 end
    if t == 40 then fa14 = fff40 end
    if t == 45 then fa14 = fff45 end
    if t == 50 then fa14 = fff50 end
    if t == 55 then fa14 = fff55 end
    if t == 59 then fa14 = fff59 end

    --15
    if t == 0  then fa15 = fgg0 end
    if t == 5  then fa15 = fgg5 end
    if t == 10 then fa15 = fgg10 end
    if t == 15 then fa15 = fgg15 end
    if t == 20 then fa15 = fgg20 end
    if t == 25 then fa15 = fgg25 end
    if t == 30 then fa15 = fgg30 end
    if t == 35 then fa15 = fgg35 end
    if t == 40 then fa15 = fgg40 end
    if t == 45 then fa15 = fgg45 end
    if t == 50 then fa15 = fgg50 end
    if t == 55 then fa15 = fgg55 end
    if t == 59 then fa15 = fgg59 end

    --16
    if t == 0  then fa16 = fhh0 end
    if t == 5  then fa16 = fhh5 end
    if t == 10 then fa16 = fhh10 end
    if t == 15 then fa16 = fhh15 end
    if t == 20 then fa16 = fhh20 end
    if t == 25 then fa16 = fhh25 end
    if t == 30 then fa16 = fhh30 end
    if t == 35 then fa16 = fhh35 end
    if t == 40 then fa16 = fhh40 end
    if t == 45 then fa16 = fhh45 end
    if t == 50 then fa16 = fhh50 end
    if t == 55 then fa16 = fhh55 end
    if t == 59 then fa16 = fhh59 end

    --17
    if t == 0  then fa17 = fjj0 end
    if t == 5  then fa17 = fjj5 end
    if t == 10 then fa17 = fjj10 end
    if t == 15 then fa17 = fjj15 end
    if t == 20 then fa17 = fjj20 end
    if t == 25 then fa17 = fjj25 end
    if t == 30 then fa17 = fjj30 end
    if t == 35 then fa17 = fjj35 end
    if t == 40 then fa17 = fjj40 end
    if t == 45 then fa17 = fjj45 end
    if t == 50 then fa17 = fjj50 end
    if t == 55 then fa17 = fjj55 end
    if t == 59 then fa17 = fjj59 end

    --18
    if t == 0  then fa18 = fkk0 end
    if t == 5  then fa18 = fkk5 end
    if t == 10 then fa18 = fkk10 end
    if t == 15 then fa18 = fkk15 end
    if t == 20 then fa18 = fkk20 end
    if t == 25 then fa18 = fkk25 end
    if t == 30 then fa18 = fkk30 end
    if t == 35 then fa18 = fkk35 end
    if t == 40 then fa18 = fkk40 end
    if t == 45 then fa18 = fkk45 end
    if t == 50 then fa18 = fkk50 end
    if t == 55 then fa18 = fkk55 end
    if t == 59 then fa18 = fkk59 end

    --19
    if t == 0  then fa19 = fll0 end
    if t == 5  then fa19 = fll5 end
    if t == 10 then fa19 = fll10 end
    if t == 15 then fa19 = fll15 end
    if t == 20 then fa19 = fll20 end
    if t == 25 then fa19 = fll25 end
    if t == 30 then fa19 = fll30 end
    if t == 35 then fa19 = fll35 end
    if t == 40 then fa19 = fll40 end
    if t == 45 then fa19 = fll45 end
    if t == 50 then fa19 = fll50 end
    if t == 55 then fa19 = fll55 end
    if t == 59 then fa19 = fll59 end

    --20
    if t == 0  then fa20 = fzz0 end
    if t == 5  then fa20 = fzz5 end
    if t == 10 then fa20 = fzz10 end
    if t == 15 then fa20 = fzz15 end
    if t == 20 then fa20 = fzz20 end
    if t == 25 then fa20 = fzz25 end
    if t == 30 then fa20 = fzz30 end
    if t == 35 then fa20 = fzz35 end
    if t == 40 then fa20 = fzz40 end
    if t == 45 then fa20 = fzz45 end
    if t == 50 then fa20 = fzz50 end
    if t == 55 then fa20 = fzz55 end
    if t == 59 then fa20 = fzz59 end

    --21
    if t == 0  then fa21 = fxx0 end
    if t == 5  then fa21 = fxx5 end
    if t == 10 then fa21 = fxx10 end
    if t == 15 then fa21 = fxx15 end
    if t == 20 then fa21 = fxx20 end
    if t == 25 then fa21 = fxx25 end
    if t == 30 then fa21 = fxx30 end
    if t == 35 then fa21 = fxx35 end
    if t == 40 then fa21 = fxx40 end
    if t == 45 then fa21 = fxx45 end
    if t == 50 then fa21 = fxx50 end
    if t == 55 then fa21 = fxx55 end
    if t == 59 then fa21 = fxx59 end

    --22
    if t == 0  then fa22 = fcc0 end
    if t == 5  then fa22 = fcc5 end
    if t == 10 then fa22 = fcc10 end
    if t == 15 then fa22 = fcc15 end
    if t == 20 then fa22 = fcc20 end
    if t == 25 then fa22 = fcc25 end
    if t == 30 then fa22 = fcc30 end
    if t == 35 then fa22 = fcc35 end
    if t == 40 then fa22 = fcc40 end
    if t == 45 then fa22 = fcc45 end
    if t == 50 then fa22 = fcc50 end
    if t == 55 then fa22 = fcc55 end
    if t == 59 then fa22 = fcc59 end

    --23
    if t == 0  then fa23 = fvv0 end
    if t == 5  then fa23 = fvv5 end
    if t == 10 then fa23 = fvv10 end
    if t == 15 then fa23 = fvv15 end
    if t == 20 then fa23 = fvv20 end
    if t == 25 then fa23 = fvv25 end
    if t == 30 then fa23 = fvv30 end
    if t == 35 then fa23 = fvv35 end
    if t == 40 then fa23 = fvv40 end
    if t == 45 then fa23 = fvv45 end
    if t == 50 then fa23 = fvv50 end
    if t == 55 then fa23 = fvv55 end
    if t == 59 then fa23 = fvv59 end

    --24
    if t == 0  then fa24 = fbb0 end
    if t == 5  then fa24 = fbb5 end
    if t == 10 then fa24 = fbb10 end
    if t == 15 then fa24 = fbb15 end
    if t == 20 then fa24 = fbb20 end
    if t == 25 then fa24 = fbb25 end
    if t == 30 then fa24 = fbb30 end
    if t == 35 then fa24 = fbb35 end
    if t == 40 then fa24 = fbb40 end
    if t == 45 then fa24 = fbb45 end
    if t == 50 then fa24 = fbb50 end
    if t == 55 then fa24 = fbb55 end
    if t == 59 then fa24 = fbb59 end

    --25
    if t == 0  then fa25 = fnn0 end
    if t == 5  then fa25 = fnn5 end
    if t == 10 then fa25 = fnn10 end
    if t == 15 then fa25 = fnn15 end
    if t == 20 then fa25 = fnn20 end
    if t == 25 then fa25 = fnn25 end
    if t == 30 then fa25 = fnn30 end
    if t == 35 then fa25 = fnn35 end
    if t == 40 then fa25 = fnn40 end
    if t == 45 then fa25 = fnn45 end
    if t == 50 then fa25 = fnn50 end
    if t == 55 then fa25 = fnn55 end
    if t == 59 then fa25 = fnn59 end

    --26
    if t == 0  then fa26 = fmm0 end
    if t == 5  then fa26 = fmm5 end
    if t == 10 then fa26 = fmm10 end
    if t == 15 then fa26 = fmm15 end
    if t == 20 then fa26 = fmm20 end
    if t == 25 then fa26 = fmm25 end
    if t == 30 then fa26 = fmm30 end
    if t == 35 then fa26 = fmm35 end
    if t == 40 then fa26 = fmm40 end
    if t == 45 then fa26 = fmm45 end
    if t == 50 then fa26 = fmm50 end
    if t == 55 then fa26 = fmm55 end
    if t == 59 then fa26 = fmm59 end

    --27
    if t == 0  then fa27 = f1qq0 end
    if t == 5  then fa27 = f1qq5 end
    if t == 10 then fa27 = f1qq10 end
    if t == 15 then fa27 = f1qq15 end
    if t == 20 then fa27 = f1qq20 end
    if t == 25 then fa27 = f1qq25 end
    if t == 30 then fa27 = f1qq30 end
    if t == 35 then fa27 = f1qq35 end
    if t == 40 then fa27 = f1qq40 end
    if t == 45 then fa27 = f1qq45 end
    if t == 50 then fa27 = f1qq50 end
    if t == 55 then fa27 = f1qq55 end
    if t == 59 then fa27 = f1qq59 end

    --28
    if t == 0  then fa28 = f1ww0 end
    if t == 5  then fa28 = f1ww5 end
    if t == 10 then fa28 = f1ww10 end
    if t == 15 then fa28 = f1ww15 end
    if t == 20 then fa28 = f1ww20 end
    if t == 25 then fa28 = f1ww25 end
    if t == 30 then fa28 = f1ww30 end
    if t == 35 then fa28 = f1ww35 end
    if t == 40 then fa28 = f1ww40 end
    if t == 45 then fa28 = f1ww45 end
    if t == 50 then fa28 = f1ww50 end
    if t == 55 then fa28 = f1ww55 end
    if t == 59 then fa28 = f1ww59 end

    --29
    if t == 0  then fa29 = f1ee0 end
    if t == 5  then fa29 = f1ee5 end
    if t == 10 then fa29 = f1ee10 end
    if t == 15 then fa29 = f1ee15 end
    if t == 20 then fa29 = f1ee20 end
    if t == 25 then fa29 = f1ee25 end
    if t == 30 then fa29 = f1ee30 end
    if t == 35 then fa29 = f1ee35 end
    if t == 40 then fa29 = f1ee40 end
    if t == 45 then fa29 = f1ee45 end
    if t == 50 then fa29 = f1ee50 end
    if t == 55 then fa29 = f1ee55 end
    if t == 59 then fa29 = f1ee59 end

    --30
    if t == 0  then fa30 = f1rr0 end
    if t == 5  then fa30 = f1rr5 end
    if t == 10 then fa30 = f1rr10 end
    if t == 15 then fa30 = f1rr15 end
    if t == 20 then fa30 = f1rr20 end
    if t == 25 then fa30 = f1rr25 end
    if t == 30 then fa30 = f1rr30 end
    if t == 35 then fa30 = f1rr35 end
    if t == 40 then fa30 = f1rr40 end
    if t == 45 then fa30 = f1rr45 end
    if t == 50 then fa30 = f1rr50 end
    if t == 55 then fa30 = f1rr55 end
    if t == 59 then fa30 = f1rr59 end

    --31
    if t == 0  then fa31 = f1tt0 end
    if t == 5  then fa31 = f1tt5 end
    if t == 10 then fa31 = f1tt10 end
    if t == 15 then fa31 = f1tt15 end
    if t == 20 then fa31 = f1tt20 end
    if t == 25 then fa31 = f1tt25 end
    if t == 30 then fa31 = f1tt30 end
    if t == 35 then fa31 = f1tt35 end
    if t == 40 then fa31 = f1tt40 end
    if t == 45 then fa31 = f1tt45 end
    if t == 50 then fa31 = f1tt50 end
    if t == 55 then fa31 = f1tt55 end
    if t == 59 then fa31 = f1tt59 end

    --32
    if t == 0  then fa32 = f1yy0 end
    if t == 5  then fa32 = f1yy5 end
    if t == 10 then fa32 = f1yy10 end
    if t == 15 then fa32 = f1yy15 end
    if t == 20 then fa32 = f1yy20 end
    if t == 25 then fa32 = f1yy25 end
    if t == 30 then fa32 = f1yy30 end
    if t == 35 then fa32 = f1yy35 end
    if t == 40 then fa32 = f1yy40 end
    if t == 45 then fa32 = f1yy45 end
    if t == 50 then fa32 = f1yy50 end
    if t == 55 then fa32 = f1yy55 end
    if t == 59 then fa32 = f1yy59 end

    --33
    if t == 0  then fa33 = f1uu0 end
    if t == 5  then fa33 = f1uu5 end
    if t == 10 then fa33 = f1uu10 end
    if t == 15 then fa33 = f1uu15 end
    if t == 20 then fa33 = f1uu20 end
    if t == 25 then fa33 = f1uu25 end
    if t == 30 then fa33 = f1uu30 end
    if t == 35 then fa33 = f1uu35 end
    if t == 40 then fa33 = f1uu40 end
    if t == 45 then fa33 = f1uu45 end
    if t == 50 then fa33 = f1uu50 end
    if t == 55 then fa33 = f1uu55 end
    if t == 59 then fa33 = f1uu59 end

    --34
    if t == 0  then fa34 = f1ii0 end
    if t == 5  then fa34 = f1ii5 end
    if t == 10 then fa34 = f1ii10 end
    if t == 15 then fa34 = f1ii15 end
    if t == 20 then fa34 = f1ii20 end
    if t == 25 then fa34 = f1ii25 end
    if t == 30 then fa34 = f1ii30 end
    if t == 35 then fa34 = f1ii35 end
    if t == 40 then fa34 = f1ii40 end
    if t == 45 then fa34 = f1ii45 end
    if t == 50 then fa34 = f1ii50 end
    if t == 55 then fa34 = f1ii55 end
    if t == 59 then fa34 = f1ii59 end

    --35
    if t == 0  then fa35 = f1oo0 end
    if t == 5  then fa35 = f1oo5 end
    if t == 10 then fa35 = f1oo10 end
    if t == 15 then fa35 = f1oo15 end
    if t == 20 then fa35 = f1oo20 end
    if t == 25 then fa35 = f1oo25 end
    if t == 30 then fa35 = f1oo30 end
    if t == 35 then fa35 = f1oo35 end
    if t == 40 then fa35 = f1oo40 end
    if t == 45 then fa35 = f1oo45 end
    if t == 50 then fa35 = f1oo50 end
    if t == 55 then fa35 = f1oo55 end
    if t == 59 then fa35 = f1oo59 end

    --36
    if t == 0  then fa36 = f1pp0 end
    if t == 5  then fa36 = f1pp5 end
    if t == 10 then fa36 = f1pp10 end
    if t == 15 then fa36 = f1pp15 end
    if t == 20 then fa36 = f1pp20 end
    if t == 25 then fa36 = f1pp25 end
    if t == 30 then fa36 = f1pp30 end
    if t == 35 then fa36 = f1pp35 end
    if t == 40 then fa36 = f1pp40 end
    if t == 45 then fa36 = f1pp45 end
    if t == 50 then fa36 = f1pp50 end
    if t == 55 then fa36 = f1pp55 end
    if t == 59 then fa36 = f1pp59 end

    --37
    if t == 0  then fa37 = f1aa0 end
    if t == 5  then fa37 = f1aa5 end
    if t == 10 then fa37 = f1aa10 end
    if t == 15 then fa37 = f1aa15 end
    if t == 20 then fa37 = f1aa20 end
    if t == 25 then fa37 = f1aa25 end
    if t == 30 then fa37 = f1aa30 end
    if t == 35 then fa37 = f1aa35 end
    if t == 40 then fa37 = f1aa40 end
    if t == 45 then fa37 = f1aa45 end
    if t == 50 then fa37 = f1aa50 end
    if t == 55 then fa37 = f1aa55 end
    if t == 59 then fa37 = f1aa59 end

    --38
    if t == 0  then fa38 = f1ss0 end
    if t == 5  then fa38 = f1ss5 end
    if t == 10 then fa38 = f1ss10 end
    if t == 15 then fa38 = f1ss15 end
    if t == 20 then fa38 = f1ss20 end
    if t == 25 then fa38 = f1ss25 end
    if t == 30 then fa38 = f1ss30 end
    if t == 35 then fa38 = f1ss35 end
    if t == 40 then fa38 = f1ss40 end
    if t == 45 then fa38 = f1ss45 end
    if t == 50 then fa38 = f1ss50 end
    if t == 55 then fa38 = f1ss55 end
    if t == 59 then fa38 = f1ss59 end

    --39
    if t == 0  then fa39 = f1dd0 end
    if t == 5  then fa39 = f1dd5 end
    if t == 10 then fa39 = f1dd10 end
    if t == 15 then fa39 = f1dd15 end
    if t == 20 then fa39 = f1dd20 end
    if t == 25 then fa39 = f1dd25 end
    if t == 30 then fa39 = f1dd30 end
    if t == 35 then fa39 = f1dd35 end
    if t == 40 then fa39 = f1dd40 end
    if t == 45 then fa39 = f1dd45 end
    if t == 50 then fa39 = f1dd50 end
    if t == 55 then fa39 = f1dd55 end
    if t == 59 then fa39 = f1dd59 end

    --40
    if t == 0  then fa40 = f1ff0 end
    if t == 5  then fa40 = f1ff5 end
    if t == 10 then fa40 = f1ff10 end
    if t == 15 then fa40 = f1ff15 end
    if t == 20 then fa40 = f1ff20 end
    if t == 25 then fa40 = f1ff25 end
    if t == 30 then fa40 = f1ff30 end
    if t == 35 then fa40 = f1ff35 end
    if t == 40 then fa40 = f1ff40 end
    if t == 45 then fa40 = f1ff45 end
    if t == 50 then fa40 = f1ff50 end
    if t == 55 then fa40 = f1ff55 end
    if t == 59 then fa40 = f1ff59 end


    

    SetJointMotor(dl3, 17, 25) 
    





--cima frente
SetShapeEmissiveScale(shapes.r1, fa16)
SetShapeEmissiveScale(shapes.r2, fa15)
SetShapeEmissiveScale(shapes.r3, fa14)
SetShapeEmissiveScale(shapes.r4, fa13)
SetShapeEmissiveScale(shapes.r5, fa12)
SetShapeEmissiveScale(shapes.l1, fa7)
SetShapeEmissiveScale(shapes.l2, fa8)
SetShapeEmissiveScale(shapes.l3, fa9)
SetShapeEmissiveScale(shapes.l4, fa10)
SetShapeEmissiveScale(shapes.l5, fa11)

SetLightIntensity(lights.r1, fa16)
SetLightIntensity(lights.r2, fa15)
SetLightIntensity(lights.r3, fa14)
SetLightIntensity(lights.r4, fa13)
SetLightIntensity(lights.r5, fa12)
SetLightIntensity(lights.l1, fa7)
SetLightIntensity(lights.l2, fa8)
SetLightIntensity(lights.l3, fa9)
SetLightIntensity(lights.l4, fa10)
SetLightIntensity(lights.l5, fa11)



--lado direito
SetShapeEmissiveScale(shapes.r6, fa23)
SetShapeEmissiveScale(shapes.r7, fa24)
SetShapeEmissiveScale(shapes.r8, fa25)
SetShapeEmissiveScale(shapes.r9, fa26)
SetShapeEmissiveScale(shapes.r10, fa27)
SetShapeEmissiveScale(shapes.r11, fa28)

SetLightIntensity(lights.r6, fa23)
SetLightIntensity(lights.r7, fa24)
SetLightIntensity(lights.r8, fa25)
SetLightIntensity(lights.r9, fa26)
SetLightIntensity(lights.r10, fa27)
SetLightIntensity(lights.r11, fa28)


--lado esquerdo
SetShapeEmissiveScale(shapes.l6, fa17)
SetShapeEmissiveScale(shapes.l7, fa18)
SetShapeEmissiveScale(shapes.l8, fa19)
SetShapeEmissiveScale(shapes.l9, fa20)
SetShapeEmissiveScale(shapes.l10, fa21)
SetShapeEmissiveScale(shapes.l11, fa22)

SetLightIntensity(lights.l6, fa17)
SetLightIntensity(lights.l7, fa18)
SetLightIntensity(lights.l8, fa19)
SetLightIntensity(lights.l9, fa20)
SetLightIntensity(lights.l10, fa21)
SetLightIntensity(lights.l11, fa22)


--frente
SetShapeEmissiveScale(shapes.spin1, GetFloat("savegame.mod.emlights.front"))
SetShapeEmissiveScale(shapes.fd, fa6)
SetShapeEmissiveScale(shapes.fe, fa4)
SetShapeEmissiveScale(shapes.fd2, fa5)
SetShapeEmissiveScale(shapes.fe2, fa3)

SetLightIntensity(lights.spin1, GetFloat("savegame.mod.emlights.front"))
SetLightIntensity(lights.spin2, GetFloat("savegame.mod.emlights.front"))
SetLightIntensity(lights.fd, fa6)
SetLightIntensity(lights.fe, fa4)
SetLightIntensity(lights.fd2, fa5)
SetLightIntensity(lights.fe2, fa3)



--tras
SetShapeEmissiveScale(shapes.td, fa36)
SetShapeEmissiveScale(shapes.te, fa35)
SetShapeEmissiveScale(shapes.td2, fa34)
SetShapeEmissiveScale(shapes.te2, fa33)

SetLightIntensity(lights.td, fa36)
SetLightIntensity(lights.te, fa35)
SetLightIntensity(lights.td2, fa34)
SetLightIntensity(lights.te2, fa33)


--lado
SetShapeEmissiveScale(shapes.rd, fa30)
SetShapeEmissiveScale(shapes.re, fa31)
SetShapeEmissiveScale(shapes.rtd, fa32)
SetShapeEmissiveScale(shapes.rte, fa29)

SetLightIntensity(lights.rd, fa30)
SetLightIntensity(lights.re, fa31)
SetLightIntensity(lights.rtd, fa32)
SetLightIntensity(lights.rte, fa29)





--luz geral

SetShapeEmissiveScale(shapes.hd1, fa2)
SetShapeEmissiveScale(shapes.he1, fa1)
SetShapeEmissiveScale(shapes.brake2, fa40)
SetShapeEmissiveScale(shapes.brake, fa39)
SetShapeEmissiveScale(shapes.lflmt2, fa38)
SetShapeEmissiveScale(shapes.lfrmt2, fa37)

SetLightIntensity(lights.hd1, fa2)
SetLightIntensity(lights.he1, fa1)
SetLightIntensity(lights.brake2, fa40)
SetLightIntensity(lights.brake, fa39)
SetLightIntensity(lights.lflmlt2, fa38)
SetLightIntensity(lights.lfrmrt2, fa37)


end
    if flash then
        SetShapeEmissiveScale(shapes.hd1, GetFloat("savegame.mod.lighs.highbeam"))
        SetShapeEmissiveScale(shapes.he1, GetFloat("savegame.mod.lighs.highbeam"))
        SetShapeEmissiveScale(shapes.lflmt2, GetFloat("savegame.mod.lighs.headlight"))
        SetShapeEmissiveScale(shapes.lfrmt2, GetFloat("savegame.mod.lighs.headlight"))
        SetLightIntensity(lights.lfrmrt2, GetFloat("savegame.mod.lighs.headlight")/10)
        SetLightIntensity(lights.lflmlt2, GetFloat("savegame.mod.lighs.headlight")/10)
        SetLightIntensity(lights.hd1, GetFloat("savegame.mod.lighs.highbeam"))
        SetLightIntensity(lights.he1, GetFloat("savegame.mod.lighs.highbeam"))

else


    if mlo then
        SetShapeEmissiveScale(shapes.hd2, GetFloat("savegame.mod.lighs.headlight"))
        SetShapeEmissiveScale(shapes.he2, GetFloat("savegame.mod.lighs.headlight"))
        SetShapeEmissiveScale(shapes.lflmt2, GetFloat("savegame.mod.lighs.headlight"))
        SetShapeEmissiveScale(shapes.lfrmt2, GetFloat("savegame.mod.lighs.headlight"))
        SetLightIntensity(lights.lfrmrt2, GetFloat("savegame.mod.lighs.headlight")/10)
        SetLightIntensity(lights.lflmlt2, GetFloat("savegame.mod.lighs.headlight")/10)
        SetLightIntensity(lights.hd2, GetFloat("savegame.mod.lighs.headlight"))
        SetLightIntensity(lights.he2, GetFloat("savegame.mod.lighs.headlight"))
    else
        SetShapeEmissiveScale(shapes.hd2, 0)
        SetShapeEmissiveScale(shapes.he2, 0)
        SetLightIntensity(lights.hd2, 0)
        SetLightIntensity(lights.he2, 0)

    end

    if mlo and hlo then
        SetShapeEmissiveScale(shapes.hd1, GetFloat("savegame.mod.lighs.headlight"))
        SetShapeEmissiveScale(shapes.he1, GetFloat("savegame.mod.lighs.headlight"))
        SetShapeEmissiveScale(shapes.hd2, GetFloat("savegame.mod.lighs.headlight"))
        SetShapeEmissiveScale(shapes.he2, GetFloat("savegame.mod.lighs.headlight"))
        SetShapeEmissiveScale(shapes.lflmt2, GetFloat("savegame.mod.lighs.headlight"))
        SetShapeEmissiveScale(shapes.lfrmt2, GetFloat("savegame.mod.lighs.headlight"))
        SetLightIntensity(lights.lfrmrt2, GetFloat("savegame.mod.lighs.headlight")/10)
        SetLightIntensity(lights.lflmlt2, GetFloat("savegame.mod.lighs.headlight")/10)
        SetLightIntensity(lights.hd1, GetFloat("savegame.mod.lighs.highbeam"))
        SetLightIntensity(lights.he1, GetFloat("savegame.mod.lighs.highbeam"))
        SetLightIntensity(lights.hd2, GetFloat("savegame.mod.lighs.headlight"))
        SetLightIntensity(lights.he2, GetFloat("savegame.mod.lighs.headlight"))
    elseif mlo then
        SetShapeEmissiveScale(shapes.hd2, GetFloat("savegame.mod.lighs.headlight"))
        SetShapeEmissiveScale(shapes.he2, GetFloat("savegame.mod.lighs.headlight"))
        SetShapeEmissiveScale(shapes.lflmt2, GetFloat("savegame.mod.lighs.headlight"))
        SetShapeEmissiveScale(shapes.lfrmt2, GetFloat("savegame.mod.lighs.headlight"))
        SetLightIntensity(lights.lfrmrt2, GetFloat("savegame.mod.lighs.headlight")/10)
        SetLightIntensity(lights.lflmlt2, GetFloat("savegame.mod.lighs.headlight")/10)
        SetLightIntensity(lights.hd2, GetFloat("savegame.mod.lighs.headlight"))
        SetLightIntensity(lights.he2, GetFloat("savegame.mod.lighs.headlight"))
    end
end
if mlo and adt then
    SetShapeEmissiveScale(shapes.hl, GetFloat("savegame.mod.lighs.foglamp"))
    SetShapeEmissiveScale(shapes.hl2, GetFloat("savegame.mod.lighs.foglamp"))
    SetLightIntensity(lights.hl, GetFloat("savegame.mod.lighs.foglamp"))
    SetLightIntensity(lights.hl2, GetFloat("savegame.mod.lighs.foglamp"))
else
    SetShapeEmissiveScale(shapes.hl, 0)
    SetShapeEmissiveScale(shapes.hl2, 0)
    SetLightIntensity(lights.hl, 0)
    SetLightIntensity(lights.hl2, 0)
end
if brake then
    SetShapeEmissiveScale(shapes.brake, GetFloat("savegame.mod.lighs.headlight")/10)
    SetShapeEmissiveScale(shapes.brake2, GetFloat("savegame.mod.lighs.headlight")/10)
    SetLightIntensity(lights.brake, GetFloat("savegame.mod.lighs.headlight")/10)
    SetLightIntensity(lights.brake2, GetFloat("savegame.mod.lighs.headlight")/10)
end


end

function draw()
    
    
    if inside and GetBool("game.player.useVehicle") then
		UiFont("regular.ttf", 22)
		UiTextShadow(0, 0, 0, 0.5, 0.5)
        if controls then
            UiPush()
            UiColor(1, 1, 1, 1)
            UiTranslate(60, 30)
            UiText("Vehicles Binds")
            UiTranslate(-40, 5)
            UiColor(0, 0, 0, 0.6)
            UiImageBox("MOD/images/box-solid-6.png", 230, 365, 6, 6)
            UiColor(1, 1, 1, 1)
            UiTranslate(10, 25)
            UiText("headlight: J")
            UiTranslate(0, 25)
            UiText("high beam: K")
            UiTranslate(0, 25)
            UiText("Flash high beam: L")
            UiTranslate(0, 25)
            UiText("foglamp: H")
            UiTranslate(0, 25)
            UiText("left right blinkers: </> ,/.")
            UiTranslate(0, 25)
            UiText("Hazard Lights: U")
            UiTranslate(0, 25)
            UiText("Horn: G")
            UiTranslate(0, 25)
            UiText("Emergency Lights 1: i")
            UiTranslate(0, 25)
            UiText("Emergency Lights 2: o")
            UiTranslate(0, 25)
            UiText("Custom Lights: Y")
            UiTranslate(0, 25)
            UiText("Siren 1: 1")
            UiTranslate(0, 25)
            UiText("Siren 2: 2")
            UiTranslate(0, 25)
            UiText("Siren 3: 3")
            UiTranslate(0, 25)
            UiText("Support Beams:LMB/RMB")
            UiTranslate(0, 45)
            UiText("F1 - minimize")
            UiPop()
        else
            UiPush()
            UiColor(1, 1, 1, 1)
            UiTranslate(40, 30)
            UiText("F1 -Vehicles Binds")
            UiTranslate(-20, -25)
            UiColor(0, 0, 0, 0.6)
            UiImageBox("MOD/images/box-solid-6.png", 200, 40, 6, 6)
            UiPop()
        end

        if InputPressed("f1") then
			controls = not controls
        end

        
		if not uix then uix = UiWidth() - 200 end
		if not uiy then uiy = 50 end

		UiTranslate(uix, uiy)

        if InputPressed("m") and not ui then
            ui = true
            SetValue("uix", UiCenter()-950, "cosine", 0.25)
            SetValue("uiy", UiMiddle()-500, "cosine", 0.25)
           else
           if InputPressed("m") or InputPressed("esc") and ui then
            ui = false
            SetValue("uix", UiWidth()-200, "cosine", 0.25)
            SetValue("uiy", 50, "cosine", 0.25)
           end
        end


		if ui then
            SetBool("game.disablepause", true)
            SetBool("game.disablemap", true)
			UiMakeInteractive()

        --blinkers

            UiPush()
                UiTranslate(20,90)
                UiPush()
                    UiFont("bold.ttf", 40)
                    UiText("Lights Options")
    
                    UiPush()
                        UiTranslate(0,50)
    
                        UiFont("bold.ttf", 30)
                        UiText("blinkers")
                        UiTranslate(0,20)
    
                        UiAlign("left middle")
                        UiColor(0.7, 0.4, 0)
                        UiRect(slW+3, 3)
    
                        UiColor(1, 1, 1)
                        local limit = lim.lighs.blinkers
                        local value = (GetFloat("savegame.mod.lighs.blinkers") or 2) * slMul
                        local done = false
                        value, done = UiSlider("ui/common/dot.png", "x", value*limit, 0, slW)
                        if done then
                            SetFloat("savegame.mod.lighs.blinkers", value/slMul/limit)

                        end
                        UiPush()
                        UiColor(1, 1, 1)
                            UiTranslate(slW+25,0)
                            UiText(sfn(value/slMul/limit, 1))
                        UiPop()
    
                    UiPop()
        --blinkers

        --headlights
            UiPush()

                UiPush()
                    UiTranslate(0,110)

                    UiFont("bold.ttf", 30)
                    UiText("headlight")
                    UiTranslate(0,20)

                    UiAlign("left middle")
                    UiColor(1, 1, 1)
                    UiRect(slW+3, 3)
        

                    local limit = lim.lighs.headlight
                    local value = (GetFloat("savegame.mod.lighs.headlight") or 2) * slMul
                    local done = false
                    value, done = UiSlider("ui/common/dot.png", "x", value*limit, 0, slW)
                    if done then
                        SetFloat("savegame.mod.lighs.headlight", value/slMul/limit)
                
                    end
                    UiPush()
                        UiTranslate(slW+25,0)
                        UiText(sfn(value/slMul/limit, 1))
                    UiPop()

               UiPop()
            --headlights

                    --Highbeam
                    UiPush()

                    UiPush()
                        UiTranslate(0,170)
    
                        UiFont("bold.ttf", 30)
                        UiText("high-beam")
                        UiTranslate(0,20)
    
                        UiAlign("left middle")
                        UiColor(1, 1, 1)
                        UiRect(slW+3, 3)
            

                        local limit = lim.lighs.highbeam
                        local value = (GetFloat("savegame.mod.lighs.highbeam") or 2) * slMul
                        local done = false
                        value, done = UiSlider("ui/common/dot.png", "x", value*limit, 0, slW)
                        if done then
                            SetFloat("savegame.mod.lighs.highbeam", value/slMul/limit)
                    
                        end
                        UiPush()
                            UiTranslate(slW+25,0)
                            UiText(sfn(value/slMul/limit, 1))
                        UiPop()
    
                   UiPop()
                --Highbeam


                    --foglamp
                    UiPush()

                    UiPush()
                        UiTranslate(0,230)
    
                        UiFont("bold.ttf", 30)
                        UiText("Fog-Lamp")
                        UiTranslate(0,20)
    
                        UiAlign("left middle")
                        UiColor(1, 1, 1)
                        UiRect(slW+3, 3)
            
                        local limit = lim.lighs.foglamp
                        local value = (GetFloat("savegame.mod.lighs.foglamp") or 2) * slMul
                        local done = false
                        value, done = UiSlider("ui/common/dot.png", "x", value*limit, 0, slW)
                        if done then
                            SetFloat("savegame.mod.lighs.foglamp", value/slMul/limit)
                    
                        end
                        UiPush()
                            UiTranslate(slW+25,0)
                            UiText(sfn(value/slMul/limit, 1))
                        UiPop()
    
                   UiPop()
                --foglamp

                    --emlights.front
                    UiPush()

                    UiPush()
                        UiTranslate(0,290)
    
                        UiFont("bold.ttf", 30)
                        UiText("emergency lights front")
                        UiTranslate(0,20)
    
                        UiAlign("left middle")
                        UiColor(0.1, 0.7, 0.8)
                        UiRect(slW+3, 3)
            
                        UiColor(1, 1, 1)
                        local limit = lim.emlights.front
                        local value = (GetFloat("savegame.mod.emlights.front") or 2) * slMul
                        local done = false
                        value, done = UiSlider("ui/common/dot.png", "x", value*limit, 0, slW)
                        if done then
                            SetFloat("savegame.mod.emlights.front", value/slMul/limit)
                    
                        end
                        UiPush()
                        UiColor(1, 1, 1)
                            UiTranslate(slW+25,0)
                            UiText(sfn(value/slMul/limit, 1))
                        UiPop()
    
                   UiPop()
                --emlights.front

                    --emlights.back
                    UiPush()

                    UiPush()
                        UiTranslate(0,350)
    
                        UiFont("bold.ttf", 30)
                        UiText("emergency lights back")
                        UiTranslate(0,20)
    
                        UiAlign("left middle")
                        UiColor(0.1, 0.7, 0.8)
                        UiRect(slW+3, 3)
            
                        UiColor(1, 1, 1)
                        local limit = lim.emlights.back
                        local value = (GetFloat("savegame.mod.emlights.back") or 2) * slMul
                        local done = false
                        value, done = UiSlider("ui/common/dot.png", "x", value*limit, 0, slW)
                        if done then
                            SetFloat("savegame.mod.emlights.back", value/slMul/limit)
                    
                        end
                        UiPush()
                        UiColor(1, 1, 1)
                            UiTranslate(slW+25,0)
                            UiText(sfn(value/slMul/limit, 1))
                        UiPop()
    
                   UiPop()
                --emlights.back

                    --emlights.top
                    UiPush()

                    UiPush()
                        UiTranslate(0,410)
    
                        UiFont("bold.ttf", 30)
                        UiText("emergency lights top")
                        UiTranslate(0,20)
    
                        UiAlign("left middle")
                        UiColor(0.1, 0.7, 0.8)
                        UiRect(slW+3, 3)
            
                        UiColor(1, 1, 1)
                        local limit = lim.emlights.top
                        local value = (GetFloat("savegame.mod.emlights.top") or 2) * slMul
                        local done = false
                        value, done = UiSlider("ui/common/dot.png", "x", value*limit, 0, slW)
                        if done then
                            SetFloat("savegame.mod.emlights.top", value/slMul/limit)
                    
                        end
                        UiPush()
                        UiColor(1, 1, 1)
                            UiTranslate(slW+25,0)
                            UiText(sfn(value/slMul/limit, 1))
                        UiPop()
    
                   UiPop()
                --emlights.top


                    --emlights.left
                    UiPush()

                    UiPush()
                        UiTranslate(0,470)
    
                        UiFont("bold.ttf", 30)
                        UiText("emergency lights left")
                        UiTranslate(0,20)
    
                        UiAlign("left middle")
                        UiColor(0.1, 0.7, 0.8)
                        UiRect(slW+3, 3)
            
                        UiColor(1, 1, 1)
                        local limit = lim.emlights.left
                        local value = (GetFloat("savegame.mod.emlights.left") or 2) * slMul
                        local done = false
                        value, done = UiSlider("ui/common/dot.png", "x", value*limit, 0, slW)
                        if done then
                            SetFloat("savegame.mod.emlights.left", value/slMul/limit)
                    
                        end
                        UiPush()
                        UiColor(1, 1, 1)
                            UiTranslate(slW+25,0)
                            UiText(sfn(value/slMul/limit, 1))
                        UiPop()
    
                   UiPop()
                --emlights.left

                    --emlights.right
                    UiPush()

                    UiPush()
                        UiTranslate(0,540)
    
                        UiFont("bold.ttf", 30)
                        UiText("emergency lights right")
                        UiTranslate(0,20)
    
                        UiAlign("left middle")
                        UiColor(0.1, 0.7, 0.8)
                        UiRect(slW+3, 3)
            
                        UiColor(1, 1, 1)
                        local limit = lim.emlights.right
                        local value = (GetFloat("savegame.mod.emlights.right") or 2) * slMul
                        local done = false
                        value, done = UiSlider("ui/common/dot.png", "x", value*limit, 0, slW)
                        if done then
                            SetFloat("savegame.mod.emlights.right", value/slMul/limit)
                    
                        end
                        UiPush()
                        UiColor(1, 1, 1)
                            UiTranslate(slW+25,0)
                            UiText(sfn(value/slMul/limit, 1))
                        UiPop()
    
                   UiPop()
                --emlights.right              

                    --siren1
                    UiPush()

                    UiPush()
                        UiTranslate(0,590)
    
                        UiFont("bold.ttf", 30)
                        UiText("Siren 1")
                        UiTranslate(0,20)
    
                        UiAlign("left middle")
                        UiColor(0.8, 0.1, 0.1)
                        UiRect(slW+3, 3)
            
                        UiColor(1, 1, 1)
                        local limit = lim.siren.s1
                        local value = (GetFloat("savegame.mod.fsiren.s1") or 2) * slMul
                        local done = false
                        value, done = UiSlider("ui/common/dot.png", "x", value*limit, 0, slW)
                        if done then
                            SetFloat("savegame.mod.fsiren.s1", value/slMul/limit)
                    
                        end
                        UiPush()
                        UiColor(1, 1, 1)
                            UiTranslate(slW+25,0)
                            UiText(sfn(value/slMul/limit, 1))
                        UiPop()
    
                   UiPop()
                --siren1    

                --siren2
                    UiPush()

                    UiPush()
                        UiTranslate(0,650)
    
                        UiFont("bold.ttf", 30)
                        UiText("Siren 2")
                        UiTranslate(0,20)
    
                        UiAlign("left middle")
                        UiColor(0.8, 0.1, 0.1)
                        UiRect(slW+3, 3)
            
                        UiColor(1, 1, 1)
                        local limit = lim.siren.s2
                        local value = (GetFloat("savegame.mod.fsiren.s2") or 2) * slMul
                        local done = false
                        value, done = UiSlider("ui/common/dot.png", "x", value*limit, 0, slW)
                        if done then
                            SetFloat("savegame.mod.fsiren.s2", value/slMul/limit)
                    
                        end
                        UiPush()
                        UiColor(1, 1, 1)
                            UiTranslate(slW+25,0)
                            UiText(sfn(value/slMul/limit, 1))
                        UiPop()
    
                   UiPop()
                --siren2 
                
                --siren3
                UiPush()

                UiPush()
                    UiTranslate(0,710)

                    UiFont("bold.ttf", 30)
                    UiText("Siren 3")
                    UiTranslate(0,20)

                    UiAlign("left middle")
                    UiColor(0.8, 0.1, 0.1)
                    UiRect(slW+3, 3)
        
                    UiColor(1, 1, 1)
                    local limit = lim.siren.s3
                    local value = (GetFloat("savegame.mod.fsiren.s3") or 2) * slMul
                    local done = false
                    value, done = UiSlider("ui/common/dot.png", "x", value*limit, 0, slW)
                    if done then
                        SetFloat("savegame.mod.fsiren.s3", value/slMul/limit)
                
                    end
                    UiPush()
                    UiColor(1, 1, 1)
                        UiTranslate(slW+25,0)
                        UiText(sfn(value/slMul/limit, 1))
                    UiPop()

               UiPop()
            --siren3   

                --horn
                UiPush()

                UiPush()
                    UiTranslate(0,770)

                    UiFont("bold.ttf", 30)
                    UiText("horn")
                    UiTranslate(0,20)

                    UiAlign("left middle")
                    UiColor(0.8, 0.1, 0.1)
                    UiRect(slW+3, 3)
        
                    UiColor(1, 1, 1)
                    local limit = lim.siren.horn
                    local value = (GetFloat("savegame.mod.fsiren.horn") or 2) * slMul
                    local done = false
                    value, done = UiSlider("ui/common/dot.png", "x", value*limit, 0, slW)
                    if done then
                        SetFloat("savegame.mod.fsiren.horn", value/slMul/limit)
                
                    end
                    UiPush()
                    UiColor(1, 1, 1)
                        UiTranslate(slW+25,0)
                        UiText(sfn(value/slMul/limit, 1))
                    UiPop()

               UiPop()
                --horn



            UiPush()
            UiColor(1, 0.5, 0.5)
            UiTranslate(0,850)
            UiFont("bold.ttf", 40)
            --reset
            local resetButton = UiTextButton("default Values", 100, 50)
            if resetButton then
                SetFloat("savegame.mod.lighs.blinkers", def.lighs.blinkers)
                SetFloat("savegame.mod.lighs.headlight", def.lighs.headlight)
                SetFloat("savegame.mod.lighs.highbeam", def.lighs.highbeam)
                SetFloat("savegame.mod.lighs.foglamp", def.lighs.foglamp)

                SetFloat("savegame.mod.emlights.front", def.emlights.front)
                SetFloat("savegame.mod.emlights.back", def.emlights.back)  
                SetFloat("savegame.mod.emlights.top", def.emlights.top)
                SetFloat("savegame.mod.emlights.left", def.emlights.left)  
                SetFloat("savegame.mod.emlights.right", def.emlights.right)  

                SetFloat("savegame.mod.fsiren.s1", def.siren.s1)
                SetFloat("savegame.mod.fsiren.s2", def.siren.s2)  
                SetFloat("savegame.mod.fsiren.s3", def.siren.s3)
                SetFloat("savegame.mod.fsiren.horn", def.siren.horn)  
            end
        UiPop()




        UiPush()
        UiColor(1, 1, 1)
        UiTranslate(550,-100)
        UiFont("bold.ttf", 40)
        UiText("Time:")
        UiTranslate(150,0)
        UiButtonImageBox("MOD/images/box-outline-6.png", 6, 6)
        if 	UiTextButton("0", 40, 40) then
            SetInt("savegame.mod.time", 0)
            PlaySound(snd)
        end
        UiTranslate(60,0)
        if 	UiTextButton("5", 40, 40) then
            SetInt("savegame.mod.time", 5)
            PlaySound(snd)
        end
        UiTranslate(50,0)
        if 	UiTextButton("10", 40, 40) then
            SetInt("savegame.mod.time", 10)
            PlaySound(snd)
        end
        UiTranslate(60,0)
        if 	UiTextButton("15", 40, 40) then
            SetInt("savegame.mod.time", 15)
            PlaySound(snd)
        end
        UiTranslate(60,0)
        if 	UiTextButton("20", 40, 40) then
            SetInt("savegame.mod.time", 20)
            PlaySound(snd)
        end
        UiTranslate(60,0)
        if 	UiTextButton("25", 40, 40) then
            SetInt("savegame.mod.time", 25)
            PlaySound(snd)
        end
        UiTranslate(60,0)
        if 	UiTextButton("30", 40, 40) then
            SetInt("savegame.mod.time", 30)
            PlaySound(snd)
        end
        UiTranslate(60,0)
        if 	UiTextButton("35", 40, 40) then
            SetInt("savegame.mod.time", 35)
            PlaySound(snd)
        end
        UiTranslate(60,0)
        if 	UiTextButton("40", 40, 40) then
            SetInt("savegame.mod.time", 40)
            PlaySound(snd)
        end
        UiTranslate(60,0)
        if 	UiTextButton("45", 40, 40) then
            SetInt("savegame.mod.time", 45)
            PlaySound(snd)
        end
        UiTranslate(60,0)
        if 	UiTextButton("50", 40, 40) then
            SetInt("savegame.mod.time", 50)
            PlaySound(snd)
        end
        UiTranslate(60,0)
        if 	UiTextButton("55", 40, 40) then
            SetInt("savegame.mod.time", 55)
            PlaySound(snd)
        end
        UiTranslate(60,0)
        if 	UiTextButton("60", 40, 40) then
            SetInt("savegame.mod.time", 60)
            PlaySound(snd)
        end
    UiPop()




    UiPush()
    UiColor(1, 1, 1)
    UiTranslate(850,90)
    UiScale(1.4, 1.4)
    UiPush()
    UiScale(0.8, 0.8)
    UiTranslate(-95,-75)
    UiImage("MOD/images/truck.png")
    UiPop()
    UiScale(0.8, 0.8)


    UiPush()
    if GetInt("savegame.mod.time") == 0 then
        UiPush()
        UiTranslate(-135,-160)
        UiImage("ui/common/dot.png")
        UiPop()
        UiTranslate(50,50)
        UiButtonImageBox("MOD/images/box-outline-6.png", 6, 6)

--light button
        UiPush()
        UiTranslate(-20,-65)
        if GetBool("savegame.mod.fq1") then
			UiPush()
                UiTranslate(50,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        UiScale(0.8, 0.8)
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.fq1", not GetBool("savegame.mod.fq1"))
            PlaySound(snd)
        end

        UiPop()
--light button

UiPush()
UiTranslate(210,-65)
if GetBool("savegame.mod.fw1") then
    UiPush()
        UiTranslate(-60,-30)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.fw1", not GetBool("savegame.mod.fw1"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-20,-105)
if GetBool("savegame.mod.fe1") then
    UiPush()
        UiTranslate(50,-20)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.fe1", not GetBool("savegame.mod.fe1"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(210,-105)
if GetBool("savegame.mod.fr1") then
UiPush()
UiTranslate(-60,-20)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 40) then
SetBool("savegame.mod.fr1", not GetBool("savegame.mod.fr1"))
PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(75,-135)
if GetBool("savegame.mod.ft1") then
    UiPush()
        UiTranslate(-5,10)
        UiColor(0, 0, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ft1", not GetBool("savegame.mod.ft1"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(120,-135)
if GetBool("savegame.mod.fy1") then
UiPush()
UiTranslate(-10,10)
UiColor(0, 0, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 40) then
SetBool("savegame.mod.fy1", not GetBool("savegame.mod.fy1"))
PlaySound(snd)
end

UiPop()

UiPush()
UiTranslate(25,-10)
if GetBool("savegame.mod.fu1") then
UiPush()
UiTranslate(9,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()

end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fu1", not GetBool("savegame.mod.fu1"))
PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(40,-10)
if GetBool("savegame.mod.fi1") then
UiPush()
UiTranslate(6,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()

end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fi1", not GetBool("savegame.mod.fi1"))
PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(55,-10)
if GetBool("savegame.mod.fo1") then
UiPush()
UiTranslate(3,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fo1", not GetBool("savegame.mod.fo1"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(70,-10)
if GetBool("savegame.mod.fp1") then
UiPush()
UiTranslate(0,-40)
UiColor(1, 1, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("X", 32, 50) then
SetBool("savegame.mod.fp1", not GetBool("savegame.mod.fp1"))
PlaySound(snd)
end
UiPop()




UiPush()
UiTranslate(84,-10)
if GetBool("savegame.mod.fa1") then
UiPush()
UiTranslate(-1,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fa1", not GetBool("savegame.mod.fa1"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(110,-10)
if GetBool("savegame.mod.fs1") then
UiPush()
UiTranslate(0,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fs1", not GetBool("savegame.mod.fs1"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(125,-10)
if GetBool("savegame.mod.fd1") then
UiPush()
UiTranslate(-3,-40)
UiColor(1, 1, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()

end
UiScale(0.5, 0.5)
if 	UiTextButton("X", 32, 50) then
SetBool("savegame.mod.fd1", not GetBool("savegame.mod.fd1"))
PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(140,-10)
if GetBool("savegame.mod.ff1") then
UiPush()
UiTranslate(-5,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.ff1", not GetBool("savegame.mod.ff1"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(155,-10)
if GetBool("savegame.mod.fg1") then
UiPush()
UiTranslate(-7,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fg1", not GetBool("savegame.mod.fg1"))
PlaySound(snd)
end
UiPop()




UiPush()
UiTranslate(169,-10)
if GetBool("savegame.mod.fh1") then
UiPush()
UiTranslate(-8,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fh1", not GetBool("savegame.mod.fh1"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,25)
if GetBool("savegame.mod.fj1") then
UiPush()
UiTranslate(-23,-6)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fj1", not GetBool("savegame.mod.fj1"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,42)
if GetBool("savegame.mod.fk1") then
UiPush()
UiTranslate(-23,-10)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fk1", not GetBool("savegame.mod.fk1"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,61)
if GetBool("savegame.mod.fl1") then
UiPush()
UiTranslate(-23,-16)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fl1", not GetBool("savegame.mod.fl1"))
PlaySound(snd)
end
UiPop()







UiPush()
UiTranslate(49,83)
if GetBool("savegame.mod.fz1") then
UiPush()
UiTranslate(-23,-14)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fz1", not GetBool("savegame.mod.fz1"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,100)
if GetBool("savegame.mod.fx1") then
UiPush()
UiTranslate(-23,-18)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fx1", not GetBool("savegame.mod.fx1"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,117)
if GetBool("savegame.mod.fc1") then
UiPush()
UiTranslate(-23,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fc1", not GetBool("savegame.mod.fc1"))
PlaySound(snd)
end
UiPop()




UiPush()
UiTranslate(150,25)
if GetBool("savegame.mod.fv1") then
UiPush()
UiTranslate(16,-6)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fv1", not GetBool("savegame.mod.fv1"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(150,42)
if GetBool("savegame.mod.fb1") then
UiPush()
UiTranslate(16,-10)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fb1", not GetBool("savegame.mod.fb1"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(150,61)
if GetBool("savegame.mod.fn1") then
UiPush()
UiTranslate(16,-16)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fn1", not GetBool("savegame.mod.fn1"))
PlaySound(snd)
end
UiPop()







UiPush()
UiTranslate(150,83)
if GetBool("savegame.mod.fm1") then
UiPush()
UiTranslate(16,-14)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fm1", not GetBool("savegame.mod.fm1"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(150,100)
if GetBool("savegame.mod.f1q1") then
UiPush()
UiTranslate(16,-18)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1q1", not GetBool("savegame.mod.f1q1"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(150,117)
if GetBool("savegame.mod.f1w1") then
UiPush()
UiTranslate(16,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1w1", not GetBool("savegame.mod.f1w1"))
PlaySound(snd)
end
UiPop()


UiPush()
UiTranslate(-30,10)
if GetBool("savegame.mod.f1e1") then
UiPush()
UiTranslate(34,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 22, 2, 2)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1e1", not GetBool("savegame.mod.f1e1"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(-30,180)
if GetBool("savegame.mod.f1r1") then
UiPush()
UiTranslate(34,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 22, 2, 2)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1r1", not GetBool("savegame.mod.f1r1"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(225,10)
if GetBool("savegame.mod.f1t1") then
UiPush()
UiTranslate(-33,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 22, 2, 2)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1t1", not GetBool("savegame.mod.f1t1"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(225,180)
if GetBool("savegame.mod.f1y1") then
UiPush()
UiTranslate(-33,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 22, 2, 2)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1y1", not GetBool("savegame.mod.f1y1"))
PlaySound(snd)
end
UiPop()




UiPush()
UiTranslate(0,590)
if GetBool("savegame.mod.f1u1") then
UiPush()
UiTranslate(23,9)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.7, 0.7)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1u1", not GetBool("savegame.mod.f1u1"))
PlaySound(snd)
end
UiPop()


UiPush()
UiTranslate(35,590)
if GetBool("savegame.mod.f1i1") then
UiPush()
UiTranslate(5,9)
UiColor(0, 0, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.7, 0.7)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1i1", not GetBool("savegame.mod.f1i1"))
PlaySound(snd)
end
UiPop()


UiPush()
UiTranslate(160,590)
if GetBool("savegame.mod.f1p1") then
UiPush()
UiTranslate(-8,9)
UiColor(0, 0, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.7, 0.7)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1p1", not GetBool("savegame.mod.f1p1"))
PlaySound(snd)
end
UiPop()


UiPush()
UiTranslate(198,590)
if GetBool("savegame.mod.f1o1") then
UiPush()
UiTranslate(-30,9)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.7, 0.7)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1o1", not GetBool("savegame.mod.f1o1"))
PlaySound(snd)
end
UiPop()






UiPush()
UiTranslate(-20,650)
if GetBool("savegame.mod.f1a1") then
    UiPush()
        UiTranslate(50,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.f1a1", not GetBool("savegame.mod.f1a1"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(210,650)
if GetBool("savegame.mod.f1s1") then
UiPush()
UiTranslate(-60,-30)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
SetBool("savegame.mod.f1s1", not GetBool("savegame.mod.f1s1"))
PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-20,685)
if GetBool("savegame.mod.f1d1") then
UiPush()
UiTranslate(50,-20)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
SetBool("savegame.mod.f1d1", not GetBool("savegame.mod.f1d1"))
PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(210,685)
if GetBool("savegame.mod.f1f1") then
UiPush()
UiTranslate(-60,-20)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
SetBool("savegame.mod.f1f1", not GetBool("savegame.mod.f1f1"))
PlaySound(snd)
end

UiPop()




        UiTranslate(400,0)
        local resetButton = UiTextButton("Reset Lights", 200, 50)
        if resetButton then
            SetBool("savegame.mod.fq1")  
            SetBool("savegame.mod.fw1")  
            SetBool("savegame.mod.fe1")  
            SetBool("savegame.mod.fr1")  
            SetBool("savegame.mod.ft1")  
            SetBool("savegame.mod.fy1")  
            SetBool("savegame.mod.fu1")  
            SetBool("savegame.mod.fi1")  
            SetBool("savegame.mod.fo1")  
            SetBool("savegame.mod.fp1") 
            SetBool("savegame.mod.fa1") 
            SetBool("savegame.mod.fs1") 
            SetBool("savegame.mod.fd1") 
            SetBool("savegame.mod.ff1")  
            SetBool("savegame.mod.fg1")  
            SetBool("savegame.mod.fh1")  
            SetBool("savegame.mod.fj1")  
            SetBool("savegame.mod.fk1")  
            SetBool("savegame.mod.fl1")  
            SetBool("savegame.mod.fz1")  
            SetBool("savegame.mod.fx1")  
            SetBool("savegame.mod.fc1")  
            SetBool("savegame.mod.fv1")  
            SetBool("savegame.mod.fb1") 
            SetBool("savegame.mod.fn1")  
            SetBool("savegame.mod.fm1")  
            SetBool("savegame.mod.f1q1")  
            SetBool("savegame.mod.f1w1")  
            SetBool("savegame.mod.f1e1")  
            SetBool("savegame.mod.f1r1") 
            SetBool("savegame.mod.f1t1")  
            SetBool("savegame.mod.f1y1")  
            SetBool("savegame.mod.f1u1")  
            SetBool("savegame.mod.f1i1")  
            SetBool("savegame.mod.f1o1")  
            SetBool("savegame.mod.f1p1")  
            SetBool("savegame.mod.f1a1")  
            SetBool("savegame.mod.f1s1")  
            SetBool("savegame.mod.f1d1")  
            SetBool("savegame.mod.f1f1")  
            PlaySound(snd)  
        end
    end
    UiPop()











    UiPush()
    if GetInt("savegame.mod.time") == 5 then
        UiPush()
        UiTranslate(-80,-160)
        UiImage("ui/common/dot.png")
        UiPop()
        UiTranslate(50,50)
        UiButtonImageBox("MOD/images/box-outline-6.png", 6, 6)

--light button
        UiPush()
        UiTranslate(-20,-65)
        if GetBool("savegame.mod.fq2") then
			UiPush()
                UiTranslate(50,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        UiScale(0.8, 0.8)
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.fq2", not GetBool("savegame.mod.fq2"))
            PlaySound(snd)
        end

        UiPop()
--light button

UiPush()
UiTranslate(210,-65)
if GetBool("savegame.mod.fw2") then
    UiPush()
        UiTranslate(-60,-30)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.fw2", not GetBool("savegame.mod.fw2"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-20,-105)
if GetBool("savegame.mod.fe2") then
    UiPush()
        UiTranslate(50,-20)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.fe2", not GetBool("savegame.mod.fe2"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(210,-105)
if GetBool("savegame.mod.fr2") then
UiPush()
UiTranslate(-60,-20)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 40) then
SetBool("savegame.mod.fr2", not GetBool("savegame.mod.fr2"))
PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(75,-135)
if GetBool("savegame.mod.ft2") then
    UiPush()
        UiTranslate(-5,10)
        UiColor(0, 0, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ft2", not GetBool("savegame.mod.ft2"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(120,-135)
if GetBool("savegame.mod.fy2") then
UiPush()
UiTranslate(-10,10)
UiColor(0, 0, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 40) then
SetBool("savegame.mod.fy2", not GetBool("savegame.mod.fy2"))
PlaySound(snd)
end

UiPop()

UiPush()
UiTranslate(25,-10)
if GetBool("savegame.mod.fu2") then
UiPush()
UiTranslate(9,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()

end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fu2", not GetBool("savegame.mod.fu2"))
PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(40,-10)
if GetBool("savegame.mod.fi2") then
UiPush()
UiTranslate(6,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()

end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fi2", not GetBool("savegame.mod.fi2"))
PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(55,-10)
if GetBool("savegame.mod.fo2") then
UiPush()
UiTranslate(3,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fo2", not GetBool("savegame.mod.fo2"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(70,-10)
if GetBool("savegame.mod.fp2") then
UiPush()
UiTranslate(0,-40)
UiColor(1, 1, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("X", 32, 50) then
SetBool("savegame.mod.fp2", not GetBool("savegame.mod.fp2"))
PlaySound(snd)
end
UiPop()




UiPush()
UiTranslate(84,-10)
if GetBool("savegame.mod.fa2") then
UiPush()
UiTranslate(-1,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fa2", not GetBool("savegame.mod.fa2"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(110,-10)
if GetBool("savegame.mod.fs2") then
UiPush()
UiTranslate(0,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fs2", not GetBool("savegame.mod.fs2"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(125,-10)
if GetBool("savegame.mod.fd2") then
UiPush()
UiTranslate(-3,-40)
UiColor(1, 1, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()

end
UiScale(0.5, 0.5)
if 	UiTextButton("X", 32, 50) then
SetBool("savegame.mod.fd2", not GetBool("savegame.mod.fd2"))
PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(140,-10)
if GetBool("savegame.mod.ff2") then
UiPush()
UiTranslate(-5,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.ff2", not GetBool("savegame.mod.ff2"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(155,-10)
if GetBool("savegame.mod.fg2") then
UiPush()
UiTranslate(-7,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fg2", not GetBool("savegame.mod.fg2"))
PlaySound(snd)
end
UiPop()




UiPush()
UiTranslate(169,-10)
if GetBool("savegame.mod.fh2") then
UiPush()
UiTranslate(-8,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fh2", not GetBool("savegame.mod.fh2"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,25)
if GetBool("savegame.mod.fj2") then
UiPush()
UiTranslate(-23,-6)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fj2", not GetBool("savegame.mod.fj2"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,42)
if GetBool("savegame.mod.fk2") then
UiPush()
UiTranslate(-23,-10)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fk2", not GetBool("savegame.mod.fk2"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,61)
if GetBool("savegame.mod.fl2") then
UiPush()
UiTranslate(-23,-16)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fl2", not GetBool("savegame.mod.fl2"))
PlaySound(snd)
end
UiPop()







UiPush()
UiTranslate(49,83)
if GetBool("savegame.mod.fz2") then
UiPush()
UiTranslate(-23,-14)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fz2", not GetBool("savegame.mod.fz2"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,100)
if GetBool("savegame.mod.fx2") then
UiPush()
UiTranslate(-23,-18)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fx2", not GetBool("savegame.mod.fx2"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,117)
if GetBool("savegame.mod.fc2") then
UiPush()
UiTranslate(-23,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fc2", not GetBool("savegame.mod.fc2"))
PlaySound(snd)
end
UiPop()




UiPush()
UiTranslate(150,25)
if GetBool("savegame.mod.fv2") then
UiPush()
UiTranslate(16,-6)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fv2", not GetBool("savegame.mod.fv2"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(150,42)
if GetBool("savegame.mod.fb2") then
UiPush()
UiTranslate(16,-10)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fb2", not GetBool("savegame.mod.fb2"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(150,61)
if GetBool("savegame.mod.fn2") then
UiPush()
UiTranslate(16,-16)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fn2", not GetBool("savegame.mod.fn2"))
PlaySound(snd)
end
UiPop()







UiPush()
UiTranslate(150,83)
if GetBool("savegame.mod.fm2") then
UiPush()
UiTranslate(16,-14)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fm2", not GetBool("savegame.mod.fm2"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(150,100)
if GetBool("savegame.mod.f1q2") then
UiPush()
UiTranslate(16,-18)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1q2", not GetBool("savegame.mod.f1q2"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(150,117)
if GetBool("savegame.mod.f1w2") then
UiPush()
UiTranslate(16,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1w2", not GetBool("savegame.mod.f1w2"))
PlaySound(snd)
end
UiPop()


UiPush()
UiTranslate(-30,10)
if GetBool("savegame.mod.f1e2") then
UiPush()
UiTranslate(34,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 22, 2, 2)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1e2", not GetBool("savegame.mod.f1e2"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(-30,180)
if GetBool("savegame.mod.f1r2") then
UiPush()
UiTranslate(34,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 22, 2, 2)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1r2", not GetBool("savegame.mod.f1r2"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(225,10)
if GetBool("savegame.mod.f1t2") then
UiPush()
UiTranslate(-33,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 22, 2, 2)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1t2", not GetBool("savegame.mod.f1t2"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(225,180)
if GetBool("savegame.mod.f1y2") then
UiPush()
UiTranslate(-33,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 22, 2, 2)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1y2", not GetBool("savegame.mod.f1y2"))
PlaySound(snd)
end
UiPop()




UiPush()
UiTranslate(0,590)
if GetBool("savegame.mod.f1u2") then
UiPush()
UiTranslate(23,9)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.7, 0.7)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1u2", not GetBool("savegame.mod.f1u2"))
PlaySound(snd)
end
UiPop()


UiPush()
UiTranslate(35,590)
if GetBool("savegame.mod.f1i2") then
UiPush()
UiTranslate(5,9)
UiColor(0, 0, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.7, 0.7)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1i2", not GetBool("savegame.mod.f1i2"))
PlaySound(snd)
end
UiPop()


UiPush()
UiTranslate(160,590)
if GetBool("savegame.mod.f1p2") then
UiPush()
UiTranslate(-8,9)
UiColor(0, 0, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.7, 0.7)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1p2", not GetBool("savegame.mod.f1p2"))
PlaySound(snd)
end
UiPop()


UiPush()
UiTranslate(198,590)
if GetBool("savegame.mod.f1o2") then
UiPush()
UiTranslate(-30,9)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.7, 0.7)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1o2", not GetBool("savegame.mod.f1o2"))
PlaySound(snd)
end
UiPop()






UiPush()
UiTranslate(-20,650)
if GetBool("savegame.mod.f1a2") then
    UiPush()
        UiTranslate(50,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.f1a2", not GetBool("savegame.mod.f1a2"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(210,650)
if GetBool("savegame.mod.f1s2") then
UiPush()
UiTranslate(-60,-30)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
SetBool("savegame.mod.f1s2", not GetBool("savegame.mod.f1s2"))
PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-20,685)
if GetBool("savegame.mod.f1d2") then
UiPush()
UiTranslate(50,-20)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
SetBool("savegame.mod.f1d2", not GetBool("savegame.mod.f1d2"))
PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(210,685)
if GetBool("savegame.mod.f1f2") then
UiPush()
UiTranslate(-60,-20)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
SetBool("savegame.mod.f1f2", not GetBool("savegame.mod.f1f2"))
PlaySound(snd)
end

UiPop()




        UiTranslate(400,0)
        local resetButton = UiTextButton("Reset Lights", 200, 50)
        if resetButton then
            SetBool("savegame.mod.fq2")  
            SetBool("savegame.mod.fw2")  
            SetBool("savegame.mod.fe2")  
            SetBool("savegame.mod.fr2")  
            SetBool("savegame.mod.ft2")  
            SetBool("savegame.mod.fy2")  
            SetBool("savegame.mod.fu2")  
            SetBool("savegame.mod.fi2")  
            SetBool("savegame.mod.fo2")  
            SetBool("savegame.mod.fp2") 
            SetBool("savegame.mod.fa2") 
            SetBool("savegame.mod.fs2") 
            SetBool("savegame.mod.fd2") 
            SetBool("savegame.mod.ff2")  
            SetBool("savegame.mod.fg2")  
            SetBool("savegame.mod.fh2")  
            SetBool("savegame.mod.fj2")  
            SetBool("savegame.mod.fk2")  
            SetBool("savegame.mod.fl2")  
            SetBool("savegame.mod.fz2")  
            SetBool("savegame.mod.fx2")  
            SetBool("savegame.mod.fc2")  
            SetBool("savegame.mod.fv2")  
            SetBool("savegame.mod.fb2") 
            SetBool("savegame.mod.fn2")  
            SetBool("savegame.mod.fm2")  
            SetBool("savegame.mod.f1q2")  
            SetBool("savegame.mod.f1w2")  
            SetBool("savegame.mod.f1e2")  
            SetBool("savegame.mod.f1r2") 
            SetBool("savegame.mod.f1t2")  
            SetBool("savegame.mod.f1y2")  
            SetBool("savegame.mod.f1u2")  
            SetBool("savegame.mod.f1i2")  
            SetBool("savegame.mod.f1o2")  
            SetBool("savegame.mod.f1p2")  
            SetBool("savegame.mod.f1a2")  
            SetBool("savegame.mod.f1s2")  
            SetBool("savegame.mod.f1d2")  
            SetBool("savegame.mod.f1f2")  
            PlaySound(snd)  
        end
    end
    UiPop()






    UiPush()
    if GetInt("savegame.mod.time") == 10 then
        UiPush()
        UiTranslate(-25,-160)
        UiImage("ui/common/dot.png")
        UiPop()
        UiTranslate(50,50)
        UiButtonImageBox("MOD/images/box-outline-6.png", 6, 6)

--light button
        UiPush()
        UiTranslate(-20,-65)
        if GetBool("savegame.mod.fq3") then
			UiPush()
                UiTranslate(50,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        UiScale(0.8, 0.8)
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.fq3", not GetBool("savegame.mod.fq3"))
            PlaySound(snd)
        end

        UiPop()
--light button

UiPush()
UiTranslate(210,-65)
if GetBool("savegame.mod.fw3") then
    UiPush()
        UiTranslate(-60,-30)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.fw3", not GetBool("savegame.mod.fw3"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-20,-105)
if GetBool("savegame.mod.fe3") then
    UiPush()
        UiTranslate(50,-20)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.fe3", not GetBool("savegame.mod.fe3"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(210,-105)
if GetBool("savegame.mod.fr3") then
UiPush()
UiTranslate(-60,-20)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 40) then
SetBool("savegame.mod.fr3", not GetBool("savegame.mod.fr3"))
PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(75,-135)
if GetBool("savegame.mod.ft3") then
    UiPush()
        UiTranslate(-5,10)
        UiColor(0, 0, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ft3", not GetBool("savegame.mod.ft3"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(120,-135)
if GetBool("savegame.mod.fy3") then
UiPush()
UiTranslate(-10,10)
UiColor(0, 0, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 40) then
SetBool("savegame.mod.fy3", not GetBool("savegame.mod.fy3"))
PlaySound(snd)
end

UiPop()

UiPush()
UiTranslate(25,-10)
if GetBool("savegame.mod.fu3") then
UiPush()
UiTranslate(9,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()

end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fu3", not GetBool("savegame.mod.fu3"))
PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(40,-10)
if GetBool("savegame.mod.fi3") then
UiPush()
UiTranslate(6,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()

end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fi3", not GetBool("savegame.mod.fi3"))
PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(55,-10)
if GetBool("savegame.mod.fo3") then
UiPush()
UiTranslate(3,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fo3", not GetBool("savegame.mod.fo3"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(70,-10)
if GetBool("savegame.mod.fp3") then
UiPush()
UiTranslate(0,-40)
UiColor(1, 1, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("X", 32, 50) then
SetBool("savegame.mod.fp3", not GetBool("savegame.mod.fp3"))
PlaySound(snd)
end
UiPop()




UiPush()
UiTranslate(84,-10)
if GetBool("savegame.mod.fa3") then
UiPush()
UiTranslate(-1,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fa3", not GetBool("savegame.mod.fa3"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(110,-10)
if GetBool("savegame.mod.fs3") then
UiPush()
UiTranslate(0,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fs3", not GetBool("savegame.mod.fs3"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(125,-10)
if GetBool("savegame.mod.fd3") then
UiPush()
UiTranslate(-3,-40)
UiColor(1, 1, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()

end
UiScale(0.5, 0.5)
if 	UiTextButton("X", 32, 50) then
SetBool("savegame.mod.fd3", not GetBool("savegame.mod.fd3"))
PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(140,-10)
if GetBool("savegame.mod.ff3") then
UiPush()
UiTranslate(-5,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.ff3", not GetBool("savegame.mod.ff3"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(155,-10)
if GetBool("savegame.mod.fg3") then
UiPush()
UiTranslate(-7,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fg3", not GetBool("savegame.mod.fg3"))
PlaySound(snd)
end
UiPop()




UiPush()
UiTranslate(169,-10)
if GetBool("savegame.mod.fh3") then
UiPush()
UiTranslate(-8,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fh3", not GetBool("savegame.mod.fh3"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,25)
if GetBool("savegame.mod.fj3") then
UiPush()
UiTranslate(-23,-6)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fj3", not GetBool("savegame.mod.fj3"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,42)
if GetBool("savegame.mod.fk3") then
UiPush()
UiTranslate(-23,-10)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fk3", not GetBool("savegame.mod.fk3"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,61)
if GetBool("savegame.mod.fl3") then
UiPush()
UiTranslate(-23,-16)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fl3", not GetBool("savegame.mod.fl3"))
PlaySound(snd)
end
UiPop()







UiPush()
UiTranslate(49,83)
if GetBool("savegame.mod.fz3") then
UiPush()
UiTranslate(-23,-14)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fz3", not GetBool("savegame.mod.fz3"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,100)
if GetBool("savegame.mod.fx3") then
UiPush()
UiTranslate(-23,-18)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fx3", not GetBool("savegame.mod.fx3"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,117)
if GetBool("savegame.mod.fc3") then
UiPush()
UiTranslate(-23,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fc3", not GetBool("savegame.mod.fc3"))
PlaySound(snd)
end
UiPop()




UiPush()
UiTranslate(150,25)
if GetBool("savegame.mod.fv3") then
UiPush()
UiTranslate(16,-6)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fv3", not GetBool("savegame.mod.fv3"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(150,42)
if GetBool("savegame.mod.fb3") then
UiPush()
UiTranslate(16,-10)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fb3", not GetBool("savegame.mod.fb3"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(150,61)
if GetBool("savegame.mod.fn3") then
UiPush()
UiTranslate(16,-16)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fn3", not GetBool("savegame.mod.fn3"))
PlaySound(snd)
end
UiPop()







UiPush()
UiTranslate(150,83)
if GetBool("savegame.mod.fm3") then
UiPush()
UiTranslate(16,-14)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fm3", not GetBool("savegame.mod.fm3"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(150,100)
if GetBool("savegame.mod.f1q3") then
UiPush()
UiTranslate(16,-18)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1q3", not GetBool("savegame.mod.f1q3"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(150,117)
if GetBool("savegame.mod.f1w3") then
UiPush()
UiTranslate(16,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1w3", not GetBool("savegame.mod.f1w3"))
PlaySound(snd)
end
UiPop()


UiPush()
UiTranslate(-30,10)
if GetBool("savegame.mod.f1e3") then
UiPush()
UiTranslate(34,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 22, 2, 2)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1e3", not GetBool("savegame.mod.f1e3"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(-30,180)
if GetBool("savegame.mod.f1r3") then
UiPush()
UiTranslate(34,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 22, 2, 2)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1r3", not GetBool("savegame.mod.f1r3"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(225,10)
if GetBool("savegame.mod.f1t3") then
UiPush()
UiTranslate(-33,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 22, 2, 2)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1t3", not GetBool("savegame.mod.f1t3"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(225,180)
if GetBool("savegame.mod.f1y3") then
UiPush()
UiTranslate(-33,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 22, 2, 2)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1y3", not GetBool("savegame.mod.f1y3"))
PlaySound(snd)
end
UiPop()




UiPush()
UiTranslate(0,590)
if GetBool("savegame.mod.f1u3") then
UiPush()
UiTranslate(23,9)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.7, 0.7)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1u3", not GetBool("savegame.mod.f1u3"))
PlaySound(snd)
end
UiPop()


UiPush()
UiTranslate(35,590)
if GetBool("savegame.mod.f1i3") then
UiPush()
UiTranslate(5,9)
UiColor(0, 0, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.7, 0.7)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1i3", not GetBool("savegame.mod.f1i3"))
PlaySound(snd)
end
UiPop()


UiPush()
UiTranslate(160,590)
if GetBool("savegame.mod.f1p3") then
UiPush()
UiTranslate(-8,9)
UiColor(0, 0, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.7, 0.7)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1p3", not GetBool("savegame.mod.f1p3"))
PlaySound(snd)
end
UiPop()


UiPush()
UiTranslate(198,590)
if GetBool("savegame.mod.f1o3") then
UiPush()
UiTranslate(-30,9)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.7, 0.7)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1o3", not GetBool("savegame.mod.f1o3"))
PlaySound(snd)
end
UiPop()






UiPush()
UiTranslate(-20,650)
if GetBool("savegame.mod.f1a3") then
    UiPush()
        UiTranslate(50,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.f1a3", not GetBool("savegame.mod.f1a3"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(210,650)
if GetBool("savegame.mod.f1s3") then
UiPush()
UiTranslate(-60,-30)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
SetBool("savegame.mod.f1s3", not GetBool("savegame.mod.f1s3"))
PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-20,685)
if GetBool("savegame.mod.f1d3") then
UiPush()
UiTranslate(50,-20)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
SetBool("savegame.mod.f1d3", not GetBool("savegame.mod.f1d3"))
PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(210,685)
if GetBool("savegame.mod.f1f3") then
UiPush()
UiTranslate(-60,-20)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
SetBool("savegame.mod.f1f3", not GetBool("savegame.mod.f1f3"))
PlaySound(snd)
end

UiPop()




        UiTranslate(400,0)
        local resetButton = UiTextButton("Reset Lights", 200, 50)
        if resetButton then
            SetBool("savegame.mod.fq3")  
            SetBool("savegame.mod.fw3")  
            SetBool("savegame.mod.fe3")  
            SetBool("savegame.mod.fr3")  
            SetBool("savegame.mod.ft3")  
            SetBool("savegame.mod.fy3")  
            SetBool("savegame.mod.fu3")  
            SetBool("savegame.mod.fi3")  
            SetBool("savegame.mod.fo3")  
            SetBool("savegame.mod.fp3") 
            SetBool("savegame.mod.fa3") 
            SetBool("savegame.mod.fs3") 
            SetBool("savegame.mod.fd3") 
            SetBool("savegame.mod.ff3")  
            SetBool("savegame.mod.fg3")  
            SetBool("savegame.mod.fh3")  
            SetBool("savegame.mod.fj3")  
            SetBool("savegame.mod.fk3")  
            SetBool("savegame.mod.fl3")  
            SetBool("savegame.mod.fz3")  
            SetBool("savegame.mod.fx3")  
            SetBool("savegame.mod.fc3")  
            SetBool("savegame.mod.fv3")  
            SetBool("savegame.mod.fb3") 
            SetBool("savegame.mod.fn3")  
            SetBool("savegame.mod.fm3")  
            SetBool("savegame.mod.f1q3")  
            SetBool("savegame.mod.f1w3")  
            SetBool("savegame.mod.f1e3")  
            SetBool("savegame.mod.f1r3") 
            SetBool("savegame.mod.f1t3")  
            SetBool("savegame.mod.f1y3")  
            SetBool("savegame.mod.f1u3")  
            SetBool("savegame.mod.f1i3")  
            SetBool("savegame.mod.f1o3")  
            SetBool("savegame.mod.f1p3")  
            SetBool("savegame.mod.f1a3")  
            SetBool("savegame.mod.f1s3")  
            SetBool("savegame.mod.f1d3")  
            SetBool("savegame.mod.f1f3")  
            PlaySound(snd)  
        end
    end
    UiPop()





    UiPush()
    if GetInt("savegame.mod.time") == 15 then
        UiPush()
        UiTranslate(28,-160)
        UiImage("ui/common/dot.png")
        UiPop()
        UiTranslate(50,50)
        UiButtonImageBox("MOD/images/box-outline-6.png", 6, 6)

--light button
        UiPush()
        UiTranslate(-20,-65)
        if GetBool("savegame.mod.fq4") then
			UiPush()
                UiTranslate(50,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        UiScale(0.8, 0.8)
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.fq4", not GetBool("savegame.mod.fq4"))
            PlaySound(snd)
        end

        UiPop()
--light button

UiPush()
UiTranslate(210,-65)
if GetBool("savegame.mod.fw4") then
    UiPush()
        UiTranslate(-60,-30)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.fw4", not GetBool("savegame.mod.fw4"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-20,-105)
if GetBool("savegame.mod.fe4") then
    UiPush()
        UiTranslate(50,-20)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.fe4", not GetBool("savegame.mod.fe4"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(210,-105)
if GetBool("savegame.mod.fr4") then
UiPush()
UiTranslate(-60,-20)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 40) then
SetBool("savegame.mod.fr4", not GetBool("savegame.mod.fr4"))
PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(75,-135)
if GetBool("savegame.mod.ft4") then
    UiPush()
        UiTranslate(-5,10)
        UiColor(0, 0, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ft4", not GetBool("savegame.mod.ft4"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(120,-135)
if GetBool("savegame.mod.fy4") then
UiPush()
UiTranslate(-10,10)
UiColor(0, 0, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 40) then
SetBool("savegame.mod.fy4", not GetBool("savegame.mod.fy4"))
PlaySound(snd)
end

UiPop()

UiPush()
UiTranslate(25,-10)
if GetBool("savegame.mod.fu4") then
UiPush()
UiTranslate(9,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()

end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fu4", not GetBool("savegame.mod.fu4"))
PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(40,-10)
if GetBool("savegame.mod.fi4") then
UiPush()
UiTranslate(6,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()

end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fi4", not GetBool("savegame.mod.fi4"))
PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(55,-10)
if GetBool("savegame.mod.fo4") then
UiPush()
UiTranslate(3,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fo4", not GetBool("savegame.mod.fo4"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(70,-10)
if GetBool("savegame.mod.fp4") then
UiPush()
UiTranslate(0,-40)
UiColor(1, 1, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("X", 32, 50) then
SetBool("savegame.mod.fp4", not GetBool("savegame.mod.fp4"))
PlaySound(snd)
end
UiPop()




UiPush()
UiTranslate(84,-10)
if GetBool("savegame.mod.fa4") then
UiPush()
UiTranslate(-1,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fa4", not GetBool("savegame.mod.fa4"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(110,-10)
if GetBool("savegame.mod.fs4") then
UiPush()
UiTranslate(0,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fs4", not GetBool("savegame.mod.fs4"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(125,-10)
if GetBool("savegame.mod.fd4") then
UiPush()
UiTranslate(-3,-40)
UiColor(1, 1, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()

end
UiScale(0.5, 0.5)
if 	UiTextButton("X", 32, 50) then
SetBool("savegame.mod.fd4", not GetBool("savegame.mod.fd4"))
PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(140,-10)
if GetBool("savegame.mod.ff4") then
UiPush()
UiTranslate(-5,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.ff4", not GetBool("savegame.mod.ff4"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(155,-10)
if GetBool("savegame.mod.fg4") then
UiPush()
UiTranslate(-7,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fg4", not GetBool("savegame.mod.fg4"))
PlaySound(snd)
end
UiPop()




UiPush()
UiTranslate(169,-10)
if GetBool("savegame.mod.fh4") then
UiPush()
UiTranslate(-8,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fh4", not GetBool("savegame.mod.fh4"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,25)
if GetBool("savegame.mod.fj4") then
UiPush()
UiTranslate(-23,-6)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fj4", not GetBool("savegame.mod.fj4"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,42)
if GetBool("savegame.mod.fk4") then
UiPush()
UiTranslate(-23,-10)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fk4", not GetBool("savegame.mod.fk4"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,61)
if GetBool("savegame.mod.fl4") then
UiPush()
UiTranslate(-23,-16)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fl4", not GetBool("savegame.mod.fl4"))
PlaySound(snd)
end
UiPop()







UiPush()
UiTranslate(49,83)
if GetBool("savegame.mod.fz4") then
UiPush()
UiTranslate(-23,-14)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fz4", not GetBool("savegame.mod.fz4"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,100)
if GetBool("savegame.mod.fx4") then
UiPush()
UiTranslate(-23,-18)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fx4", not GetBool("savegame.mod.fx4"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,117)
if GetBool("savegame.mod.fc4") then
UiPush()
UiTranslate(-23,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fc4", not GetBool("savegame.mod.fc4"))
PlaySound(snd)
end
UiPop()




UiPush()
UiTranslate(150,25)
if GetBool("savegame.mod.fv4") then
UiPush()
UiTranslate(16,-6)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fv4", not GetBool("savegame.mod.fv4"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(150,42)
if GetBool("savegame.mod.fb4") then
UiPush()
UiTranslate(16,-10)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fb4", not GetBool("savegame.mod.fb4"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(150,61)
if GetBool("savegame.mod.fn4") then
UiPush()
UiTranslate(16,-16)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fn4", not GetBool("savegame.mod.fn4"))
PlaySound(snd)
end
UiPop()







UiPush()
UiTranslate(150,83)
if GetBool("savegame.mod.fm4") then
UiPush()
UiTranslate(16,-14)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fm4", not GetBool("savegame.mod.fm4"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(150,100)
if GetBool("savegame.mod.f1q4") then
UiPush()
UiTranslate(16,-18)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1q4", not GetBool("savegame.mod.f1q4"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(150,117)
if GetBool("savegame.mod.f1w4") then
UiPush()
UiTranslate(16,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1w4", not GetBool("savegame.mod.f1w4"))
PlaySound(snd)
end
UiPop()


UiPush()
UiTranslate(-30,10)
if GetBool("savegame.mod.f1e4") then
UiPush()
UiTranslate(34,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 22, 2, 2)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1e4", not GetBool("savegame.mod.f1e4"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(-30,180)
if GetBool("savegame.mod.f1r4") then
UiPush()
UiTranslate(34,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 22, 2, 2)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1r4", not GetBool("savegame.mod.f1r4"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(225,10)
if GetBool("savegame.mod.f1t4") then
UiPush()
UiTranslate(-33,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 22, 2, 2)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1t4", not GetBool("savegame.mod.f1t4"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(225,180)
if GetBool("savegame.mod.f1y4") then
UiPush()
UiTranslate(-33,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 22, 2, 2)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1y4", not GetBool("savegame.mod.f1y4"))
PlaySound(snd)
end
UiPop()




UiPush()
UiTranslate(0,590)
if GetBool("savegame.mod.f1u4") then
UiPush()
UiTranslate(23,9)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.7, 0.7)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1u4", not GetBool("savegame.mod.f1u4"))
PlaySound(snd)
end
UiPop()


UiPush()
UiTranslate(35,590)
if GetBool("savegame.mod.f1i4") then
UiPush()
UiTranslate(5,9)
UiColor(0, 0, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.7, 0.7)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1i4", not GetBool("savegame.mod.f1i4"))
PlaySound(snd)
end
UiPop()


UiPush()
UiTranslate(160,590)
if GetBool("savegame.mod.f1p4") then
UiPush()
UiTranslate(-8,9)
UiColor(0, 0, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.7, 0.7)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1p4", not GetBool("savegame.mod.f1p4"))
PlaySound(snd)
end
UiPop()


UiPush()
UiTranslate(198,590)
if GetBool("savegame.mod.f1o4") then
UiPush()
UiTranslate(-30,9)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.7, 0.7)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1o4", not GetBool("savegame.mod.f1o4"))
PlaySound(snd)
end
UiPop()






UiPush()
UiTranslate(-20,650)
if GetBool("savegame.mod.f1a4") then
    UiPush()
        UiTranslate(50,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.f1a4", not GetBool("savegame.mod.f1a4"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(210,650)
if GetBool("savegame.mod.f1s4") then
UiPush()
UiTranslate(-60,-30)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
SetBool("savegame.mod.f1s4", not GetBool("savegame.mod.f1s4"))
PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-20,685)
if GetBool("savegame.mod.f1d4") then
UiPush()
UiTranslate(50,-20)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
SetBool("savegame.mod.f1d4", not GetBool("savegame.mod.f1d4"))
PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(210,685)
if GetBool("savegame.mod.f1f4") then
UiPush()
UiTranslate(-60,-20)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
SetBool("savegame.mod.f1f4", not GetBool("savegame.mod.f1f4"))
PlaySound(snd)
end

UiPop()




        UiTranslate(400,0)
        local resetButton = UiTextButton("Reset Lights", 200, 50)
        if resetButton then
            SetBool("savegame.mod.fq4")  
            SetBool("savegame.mod.fw4")  
            SetBool("savegame.mod.fe4")  
            SetBool("savegame.mod.fr4")  
            SetBool("savegame.mod.ft4")  
            SetBool("savegame.mod.fy4")  
            SetBool("savegame.mod.fu4")  
            SetBool("savegame.mod.fi4")  
            SetBool("savegame.mod.fo4")  
            SetBool("savegame.mod.fp4") 
            SetBool("savegame.mod.fa4") 
            SetBool("savegame.mod.fs4") 
            SetBool("savegame.mod.fd4") 
            SetBool("savegame.mod.ff4")  
            SetBool("savegame.mod.fg4")  
            SetBool("savegame.mod.fh4")  
            SetBool("savegame.mod.fj4")  
            SetBool("savegame.mod.fk4")  
            SetBool("savegame.mod.fl4")  
            SetBool("savegame.mod.fz4")  
            SetBool("savegame.mod.fx4")  
            SetBool("savegame.mod.fc4")  
            SetBool("savegame.mod.fv4")  
            SetBool("savegame.mod.fb4") 
            SetBool("savegame.mod.fn4")  
            SetBool("savegame.mod.fm4")  
            SetBool("savegame.mod.f1q4")  
            SetBool("savegame.mod.f1w4")  
            SetBool("savegame.mod.f1e4")  
            SetBool("savegame.mod.f1r4") 
            SetBool("savegame.mod.f1t4")  
            SetBool("savegame.mod.f1y4")  
            SetBool("savegame.mod.f1u4")  
            SetBool("savegame.mod.f1i4")  
            SetBool("savegame.mod.f1o4")  
            SetBool("savegame.mod.f1p4")  
            SetBool("savegame.mod.f1a4")  
            SetBool("savegame.mod.f1s4")  
            SetBool("savegame.mod.f1d4")  
            SetBool("savegame.mod.f1f4")  
            PlaySound(snd)  
        end
    end
    UiPop()





    UiPush()
    if GetInt("savegame.mod.time") == 20 then
        UiPush()
        UiTranslate(80,-160)
        UiImage("ui/common/dot.png")
        UiPop()
        UiTranslate(50,50)
        UiButtonImageBox("MOD/images/box-outline-6.png", 6, 6)

--light button
        UiPush()
        UiTranslate(-20,-65)
        if GetBool("savegame.mod.fq5") then
			UiPush()
                UiTranslate(50,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        UiScale(0.8, 0.8)
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.fq5", not GetBool("savegame.mod.fq5"))
            PlaySound(snd)
        end

        UiPop()
--light button

UiPush()
UiTranslate(210,-65)
if GetBool("savegame.mod.fw5") then
    UiPush()
        UiTranslate(-60,-30)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.fw5", not GetBool("savegame.mod.fw5"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-20,-105)
if GetBool("savegame.mod.fe5") then
    UiPush()
        UiTranslate(50,-20)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.fe5", not GetBool("savegame.mod.fe5"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(210,-105)
if GetBool("savegame.mod.fr5") then
UiPush()
UiTranslate(-60,-20)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 40) then
SetBool("savegame.mod.fr5", not GetBool("savegame.mod.fr5"))
PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(75,-135)
if GetBool("savegame.mod.ft5") then
    UiPush()
        UiTranslate(-5,10)
        UiColor(0, 0, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ft5", not GetBool("savegame.mod.ft5"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(120,-135)
if GetBool("savegame.mod.fy5") then
UiPush()
UiTranslate(-10,10)
UiColor(0, 0, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 40) then
SetBool("savegame.mod.fy5", not GetBool("savegame.mod.fy5"))
PlaySound(snd)
end

UiPop()

UiPush()
UiTranslate(25,-10)
if GetBool("savegame.mod.fu5") then
UiPush()
UiTranslate(9,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()

end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fu5", not GetBool("savegame.mod.fu5"))
PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(40,-10)
if GetBool("savegame.mod.fi5") then
UiPush()
UiTranslate(6,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()

end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fi5", not GetBool("savegame.mod.fi5"))
PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(55,-10)
if GetBool("savegame.mod.fo5") then
UiPush()
UiTranslate(3,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fo5", not GetBool("savegame.mod.fo5"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(70,-10)
if GetBool("savegame.mod.fp5") then
UiPush()
UiTranslate(0,-40)
UiColor(1, 1, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("X", 32, 50) then
SetBool("savegame.mod.fp5", not GetBool("savegame.mod.fp5"))
PlaySound(snd)
end
UiPop()




UiPush()
UiTranslate(84,-10)
if GetBool("savegame.mod.fa5") then
UiPush()
UiTranslate(-1,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fa5", not GetBool("savegame.mod.fa5"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(110,-10)
if GetBool("savegame.mod.fs5") then
UiPush()
UiTranslate(0,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fs5", not GetBool("savegame.mod.fs5"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(125,-10)
if GetBool("savegame.mod.fd5") then
UiPush()
UiTranslate(-3,-40)
UiColor(1, 1, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()

end
UiScale(0.5, 0.5)
if 	UiTextButton("X", 32, 50) then
SetBool("savegame.mod.fd5", not GetBool("savegame.mod.fd5"))
PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(140,-10)
if GetBool("savegame.mod.ff5") then
UiPush()
UiTranslate(-5,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.ff5", not GetBool("savegame.mod.ff5"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(155,-10)
if GetBool("savegame.mod.fg5") then
UiPush()
UiTranslate(-7,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fg5", not GetBool("savegame.mod.fg5"))
PlaySound(snd)
end
UiPop()




UiPush()
UiTranslate(169,-10)
if GetBool("savegame.mod.fh5") then
UiPush()
UiTranslate(-8,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fh5", not GetBool("savegame.mod.fh5"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,25)
if GetBool("savegame.mod.fj5") then
UiPush()
UiTranslate(-23,-6)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fj5", not GetBool("savegame.mod.fj5"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,42)
if GetBool("savegame.mod.fk5") then
UiPush()
UiTranslate(-23,-10)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fk5", not GetBool("savegame.mod.fk5"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,61)
if GetBool("savegame.mod.fl5") then
UiPush()
UiTranslate(-23,-16)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fl5", not GetBool("savegame.mod.fl5"))
PlaySound(snd)
end
UiPop()







UiPush()
UiTranslate(49,83)
if GetBool("savegame.mod.fz5") then
UiPush()
UiTranslate(-23,-14)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fz5", not GetBool("savegame.mod.fz5"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,100)
if GetBool("savegame.mod.fx5") then
UiPush()
UiTranslate(-23,-18)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fx5", not GetBool("savegame.mod.fx5"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,117)
if GetBool("savegame.mod.fc5") then
UiPush()
UiTranslate(-23,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fc5", not GetBool("savegame.mod.fc5"))
PlaySound(snd)
end
UiPop()




UiPush()
UiTranslate(150,25)
if GetBool("savegame.mod.fv5") then
UiPush()
UiTranslate(16,-6)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fv5", not GetBool("savegame.mod.fv5"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(150,42)
if GetBool("savegame.mod.fb5") then
UiPush()
UiTranslate(16,-10)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fb5", not GetBool("savegame.mod.fb5"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(150,61)
if GetBool("savegame.mod.fn5") then
UiPush()
UiTranslate(16,-16)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fn5", not GetBool("savegame.mod.fn5"))
PlaySound(snd)
end
UiPop()







UiPush()
UiTranslate(150,83)
if GetBool("savegame.mod.fm5") then
UiPush()
UiTranslate(16,-14)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fm5", not GetBool("savegame.mod.fm5"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(150,100)
if GetBool("savegame.mod.f1q5") then
UiPush()
UiTranslate(16,-18)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1q5", not GetBool("savegame.mod.f1q5"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(150,117)
if GetBool("savegame.mod.f1w5") then
UiPush()
UiTranslate(16,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1w5", not GetBool("savegame.mod.f1w5"))
PlaySound(snd)
end
UiPop()


UiPush()
UiTranslate(-30,10)
if GetBool("savegame.mod.f1e5") then
UiPush()
UiTranslate(34,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 22, 2, 2)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1e5", not GetBool("savegame.mod.f1e5"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(-30,180)
if GetBool("savegame.mod.f1r5") then
UiPush()
UiTranslate(34,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 22, 2, 2)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1r5", not GetBool("savegame.mod.f1r5"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(225,10)
if GetBool("savegame.mod.f1t5") then
UiPush()
UiTranslate(-33,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 22, 2, 2)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1t5", not GetBool("savegame.mod.f1t5"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(225,180)
if GetBool("savegame.mod.f1y5") then
UiPush()
UiTranslate(-33,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 22, 2, 2)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1y5", not GetBool("savegame.mod.f1y5"))
PlaySound(snd)
end
UiPop()




UiPush()
UiTranslate(0,590)
if GetBool("savegame.mod.f1u5") then
UiPush()
UiTranslate(23,9)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.7, 0.7)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1u5", not GetBool("savegame.mod.f1u5"))
PlaySound(snd)
end
UiPop()


UiPush()
UiTranslate(35,590)
if GetBool("savegame.mod.f1i5") then
UiPush()
UiTranslate(5,9)
UiColor(0, 0, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.7, 0.7)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1i5", not GetBool("savegame.mod.f1i5"))
PlaySound(snd)
end
UiPop()


UiPush()
UiTranslate(160,590)
if GetBool("savegame.mod.f1p5") then
UiPush()
UiTranslate(-8,9)
UiColor(0, 0, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.7, 0.7)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1p5", not GetBool("savegame.mod.f1p5"))
PlaySound(snd)
end
UiPop()


UiPush()
UiTranslate(198,590)
if GetBool("savegame.mod.f1o5") then
UiPush()
UiTranslate(-30,9)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.7, 0.7)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1o5", not GetBool("savegame.mod.f1o5"))
PlaySound(snd)
end
UiPop()






UiPush()
UiTranslate(-20,650)
if GetBool("savegame.mod.f1a5") then
    UiPush()
        UiTranslate(50,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.f1a5", not GetBool("savegame.mod.f1a5"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(210,650)
if GetBool("savegame.mod.f1s5") then
UiPush()
UiTranslate(-60,-30)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
SetBool("savegame.mod.f1s5", not GetBool("savegame.mod.f1s5"))
PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-20,685)
if GetBool("savegame.mod.f1d5") then
UiPush()
UiTranslate(50,-20)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
SetBool("savegame.mod.f1d5", not GetBool("savegame.mod.f1d5"))
PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(210,685)
if GetBool("savegame.mod.f1f5") then
UiPush()
UiTranslate(-60,-20)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
SetBool("savegame.mod.f1f5", not GetBool("savegame.mod.f1f5"))
PlaySound(snd)
end

UiPop()




        UiTranslate(400,0)
        local resetButton = UiTextButton("Reset Lights", 200, 50)
        if resetButton then
            SetBool("savegame.mod.fq5")  
            SetBool("savegame.mod.fw5")  
            SetBool("savegame.mod.fe5")  
            SetBool("savegame.mod.fr5")  
            SetBool("savegame.mod.ft5")  
            SetBool("savegame.mod.fy5")  
            SetBool("savegame.mod.fu5")  
            SetBool("savegame.mod.fi5")  
            SetBool("savegame.mod.fo5")  
            SetBool("savegame.mod.fp5") 
            SetBool("savegame.mod.fa5") 
            SetBool("savegame.mod.fs5") 
            SetBool("savegame.mod.fd5") 
            SetBool("savegame.mod.ff5")  
            SetBool("savegame.mod.fg5")  
            SetBool("savegame.mod.fh5")  
            SetBool("savegame.mod.fj5")  
            SetBool("savegame.mod.fk5")  
            SetBool("savegame.mod.fl5")  
            SetBool("savegame.mod.fz5")  
            SetBool("savegame.mod.fx5")  
            SetBool("savegame.mod.fc5")  
            SetBool("savegame.mod.fv5")  
            SetBool("savegame.mod.fb5") 
            SetBool("savegame.mod.fn5")  
            SetBool("savegame.mod.fm5")  
            SetBool("savegame.mod.f1q5")  
            SetBool("savegame.mod.f1w5")  
            SetBool("savegame.mod.f1e5")  
            SetBool("savegame.mod.f1r5") 
            SetBool("savegame.mod.f1t5")  
            SetBool("savegame.mod.f1y5")  
            SetBool("savegame.mod.f1u5")  
            SetBool("savegame.mod.f1i5")  
            SetBool("savegame.mod.f1o5")  
            SetBool("savegame.mod.f1p5")  
            SetBool("savegame.mod.f1a5")  
            SetBool("savegame.mod.f1s5")  
            SetBool("savegame.mod.f1d5")  
            SetBool("savegame.mod.f1f5")  
            PlaySound(snd)  
        end
    end
    UiPop()



    UiPush()
    if GetInt("savegame.mod.time") == 25 then
        UiPush()
        UiTranslate(135,-160)
        UiImage("ui/common/dot.png")
        UiPop()
        UiTranslate(50,50)
        UiButtonImageBox("MOD/images/box-outline-6.png", 6, 6)

--light button
        UiPush()
        UiTranslate(-20,-65)
        if GetBool("savegame.mod.fq6") then
			UiPush()
                UiTranslate(50,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        UiScale(0.8, 0.8)
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.fq6", not GetBool("savegame.mod.fq6"))
            PlaySound(snd)
        end

        UiPop()
--light button

UiPush()
UiTranslate(210,-65)
if GetBool("savegame.mod.fw6") then
    UiPush()
        UiTranslate(-60,-30)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.fw6", not GetBool("savegame.mod.fw6"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-20,-105)
if GetBool("savegame.mod.fe6") then
    UiPush()
        UiTranslate(50,-20)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.fe6", not GetBool("savegame.mod.fe6"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(210,-105)
if GetBool("savegame.mod.fr6") then
UiPush()
UiTranslate(-60,-20)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 40) then
SetBool("savegame.mod.fr6", not GetBool("savegame.mod.fr6"))
PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(75,-135)
if GetBool("savegame.mod.ft6") then
    UiPush()
        UiTranslate(-5,10)
        UiColor(0, 0, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ft6", not GetBool("savegame.mod.ft6"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(120,-135)
if GetBool("savegame.mod.fy6") then
UiPush()
UiTranslate(-10,10)
UiColor(0, 0, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 40) then
SetBool("savegame.mod.fy6", not GetBool("savegame.mod.fy6"))
PlaySound(snd)
end

UiPop()

UiPush()
UiTranslate(25,-10)
if GetBool("savegame.mod.fu6") then
UiPush()
UiTranslate(9,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()

end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fu6", not GetBool("savegame.mod.fu6"))
PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(40,-10)
if GetBool("savegame.mod.fi6") then
UiPush()
UiTranslate(6,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()

end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fi6", not GetBool("savegame.mod.fi6"))
PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(55,-10)
if GetBool("savegame.mod.fo6") then
UiPush()
UiTranslate(3,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fo6", not GetBool("savegame.mod.fo6"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(70,-10)
if GetBool("savegame.mod.fp6") then
UiPush()
UiTranslate(0,-40)
UiColor(1, 1, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("X", 32, 50) then
SetBool("savegame.mod.fp6", not GetBool("savegame.mod.fp6"))
PlaySound(snd)
end
UiPop()




UiPush()
UiTranslate(84,-10)
if GetBool("savegame.mod.fa6") then
UiPush()
UiTranslate(-1,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fa6", not GetBool("savegame.mod.fa6"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(110,-10)
if GetBool("savegame.mod.fs6") then
UiPush()
UiTranslate(0,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fs6", not GetBool("savegame.mod.fs6"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(125,-10)
if GetBool("savegame.mod.fd6") then
UiPush()
UiTranslate(-3,-40)
UiColor(1, 1, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()

end
UiScale(0.5, 0.5)
if 	UiTextButton("X", 32, 50) then
SetBool("savegame.mod.fd6", not GetBool("savegame.mod.fd6"))
PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(140,-10)
if GetBool("savegame.mod.ff6") then
UiPush()
UiTranslate(-5,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.ff6", not GetBool("savegame.mod.ff6"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(155,-10)
if GetBool("savegame.mod.fg6") then
UiPush()
UiTranslate(-7,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fg6", not GetBool("savegame.mod.fg6"))
PlaySound(snd)
end
UiPop()




UiPush()
UiTranslate(169,-10)
if GetBool("savegame.mod.fh6") then
UiPush()
UiTranslate(-8,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fh6", not GetBool("savegame.mod.fh6"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,25)
if GetBool("savegame.mod.fj6") then
UiPush()
UiTranslate(-23,-6)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fj6", not GetBool("savegame.mod.fj6"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,42)
if GetBool("savegame.mod.fk6") then
UiPush()
UiTranslate(-23,-10)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fk6", not GetBool("savegame.mod.fk6"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,61)
if GetBool("savegame.mod.fl6") then
UiPush()
UiTranslate(-23,-16)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fl6", not GetBool("savegame.mod.fl6"))
PlaySound(snd)
end
UiPop()







UiPush()
UiTranslate(49,83)
if GetBool("savegame.mod.fz6") then
UiPush()
UiTranslate(-23,-14)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fz6", not GetBool("savegame.mod.fz6"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,100)
if GetBool("savegame.mod.fx6") then
UiPush()
UiTranslate(-23,-18)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fx6", not GetBool("savegame.mod.fx6"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,117)
if GetBool("savegame.mod.fc6") then
UiPush()
UiTranslate(-23,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fc6", not GetBool("savegame.mod.fc6"))
PlaySound(snd)
end
UiPop()




UiPush()
UiTranslate(150,25)
if GetBool("savegame.mod.fv6") then
UiPush()
UiTranslate(16,-6)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fv6", not GetBool("savegame.mod.fv6"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(150,42)
if GetBool("savegame.mod.fb6") then
UiPush()
UiTranslate(16,-10)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fb6", not GetBool("savegame.mod.fb6"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(150,61)
if GetBool("savegame.mod.fn6") then
UiPush()
UiTranslate(16,-16)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fn6", not GetBool("savegame.mod.fn6"))
PlaySound(snd)
end
UiPop()







UiPush()
UiTranslate(150,83)
if GetBool("savegame.mod.fm6") then
UiPush()
UiTranslate(16,-14)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fm6", not GetBool("savegame.mod.fm6"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(150,100)
if GetBool("savegame.mod.f1q6") then
UiPush()
UiTranslate(16,-18)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1q6", not GetBool("savegame.mod.f1q6"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(150,117)
if GetBool("savegame.mod.f1w6") then
UiPush()
UiTranslate(16,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1w6", not GetBool("savegame.mod.f1w6"))
PlaySound(snd)
end
UiPop()


UiPush()
UiTranslate(-30,10)
if GetBool("savegame.mod.f1e6") then
UiPush()
UiTranslate(34,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 22, 2, 2)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1e6", not GetBool("savegame.mod.f1e6"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(-30,180)
if GetBool("savegame.mod.f1r6") then
UiPush()
UiTranslate(34,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 22, 2, 2)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1r6", not GetBool("savegame.mod.f1r6"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(225,10)
if GetBool("savegame.mod.f1t6") then
UiPush()
UiTranslate(-33,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 22, 2, 2)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1t6", not GetBool("savegame.mod.f1t6"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(225,180)
if GetBool("savegame.mod.f1y6") then
UiPush()
UiTranslate(-33,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 22, 2, 2)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1y6", not GetBool("savegame.mod.f1y6"))
PlaySound(snd)
end
UiPop()




UiPush()
UiTranslate(0,590)
if GetBool("savegame.mod.f1u6") then
UiPush()
UiTranslate(23,9)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.7, 0.7)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1u6", not GetBool("savegame.mod.f1u6"))
PlaySound(snd)
end
UiPop()


UiPush()
UiTranslate(35,590)
if GetBool("savegame.mod.f1i6") then
UiPush()
UiTranslate(5,9)
UiColor(0, 0, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.7, 0.7)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1i6", not GetBool("savegame.mod.f1i6"))
PlaySound(snd)
end
UiPop()


UiPush()
UiTranslate(160,590)
if GetBool("savegame.mod.f1p6") then
UiPush()
UiTranslate(-8,9)
UiColor(0, 0, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.7, 0.7)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1p6", not GetBool("savegame.mod.f1p6"))
PlaySound(snd)
end
UiPop()


UiPush()
UiTranslate(198,590)
if GetBool("savegame.mod.f1o6") then
UiPush()
UiTranslate(-30,9)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.7, 0.7)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1o6", not GetBool("savegame.mod.f1o6"))
PlaySound(snd)
end
UiPop()






UiPush()
UiTranslate(-20,650)
if GetBool("savegame.mod.f1a6") then
    UiPush()
        UiTranslate(50,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.f1a6", not GetBool("savegame.mod.f1a6"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(210,650)
if GetBool("savegame.mod.f1s6") then
UiPush()
UiTranslate(-60,-30)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
SetBool("savegame.mod.f1s6", not GetBool("savegame.mod.f1s6"))
PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-20,685)
if GetBool("savegame.mod.f1d6") then
UiPush()
UiTranslate(50,-20)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
SetBool("savegame.mod.f1d6", not GetBool("savegame.mod.f1d6"))
PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(210,685)
if GetBool("savegame.mod.f1f6") then
UiPush()
UiTranslate(-60,-20)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
SetBool("savegame.mod.f1f6", not GetBool("savegame.mod.f1f6"))
PlaySound(snd)
end

UiPop()




        UiTranslate(400,0)
        local resetButton = UiTextButton("Reset Lights", 200, 50)
        if resetButton then
            SetBool("savegame.mod.fq6")  
            SetBool("savegame.mod.fw6")  
            SetBool("savegame.mod.fe6")  
            SetBool("savegame.mod.fr6")  
            SetBool("savegame.mod.ft6")  
            SetBool("savegame.mod.fy6")  
            SetBool("savegame.mod.fu6")  
            SetBool("savegame.mod.fi6")  
            SetBool("savegame.mod.fo6")  
            SetBool("savegame.mod.fp6") 
            SetBool("savegame.mod.fa6") 
            SetBool("savegame.mod.fs6") 
            SetBool("savegame.mod.fd6") 
            SetBool("savegame.mod.ff6")  
            SetBool("savegame.mod.fg6")  
            SetBool("savegame.mod.fh6")  
            SetBool("savegame.mod.fj6")  
            SetBool("savegame.mod.fk6")  
            SetBool("savegame.mod.fl6")  
            SetBool("savegame.mod.fz6")  
            SetBool("savegame.mod.fx6")  
            SetBool("savegame.mod.fc6")  
            SetBool("savegame.mod.fv6")  
            SetBool("savegame.mod.fb6") 
            SetBool("savegame.mod.fn6")  
            SetBool("savegame.mod.fm6")  
            SetBool("savegame.mod.f1q6")  
            SetBool("savegame.mod.f1w6")  
            SetBool("savegame.mod.f1e6")  
            SetBool("savegame.mod.f1r6") 
            SetBool("savegame.mod.f1t6")  
            SetBool("savegame.mod.f1y6")  
            SetBool("savegame.mod.f1u6")  
            SetBool("savegame.mod.f1i6")  
            SetBool("savegame.mod.f1o6")  
            SetBool("savegame.mod.f1p6")  
            SetBool("savegame.mod.f1a6")  
            SetBool("savegame.mod.f1s6")  
            SetBool("savegame.mod.f1d6")  
            SetBool("savegame.mod.f1f6")  
            PlaySound(snd)  
        end
    end
    UiPop()

    UiPush()
    if GetInt("savegame.mod.time") == 30 then
        UiPush()
        UiTranslate(188,-160)
        UiImage("ui/common/dot.png")
        UiPop()
        UiTranslate(50,50)
        UiButtonImageBox("MOD/images/box-outline-6.png", 6, 6)

--light button
        UiPush()
        UiTranslate(-20,-65)
        if GetBool("savegame.mod.fq7") then
			UiPush()
                UiTranslate(50,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        UiScale(0.8, 0.8)
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.fq7", not GetBool("savegame.mod.fq7"))
            PlaySound(snd)
        end

        UiPop()
--light button

UiPush()
UiTranslate(210,-65)
if GetBool("savegame.mod.fw7") then
    UiPush()
        UiTranslate(-60,-30)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.fw7", not GetBool("savegame.mod.fw7"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-20,-105)
if GetBool("savegame.mod.fe7") then
    UiPush()
        UiTranslate(50,-20)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.fe7", not GetBool("savegame.mod.fe7"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(210,-105)
if GetBool("savegame.mod.fr7") then
UiPush()
UiTranslate(-60,-20)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 40) then
SetBool("savegame.mod.fr7", not GetBool("savegame.mod.fr7"))
PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(75,-135)
if GetBool("savegame.mod.ft7") then
    UiPush()
        UiTranslate(-5,10)
        UiColor(0, 0, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ft7", not GetBool("savegame.mod.ft7"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(120,-135)
if GetBool("savegame.mod.fy7") then
UiPush()
UiTranslate(-10,10)
UiColor(0, 0, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 40) then
SetBool("savegame.mod.fy7", not GetBool("savegame.mod.fy7"))
PlaySound(snd)
end

UiPop()

UiPush()
UiTranslate(25,-10)
if GetBool("savegame.mod.fu7") then
UiPush()
UiTranslate(9,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()

end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fu7", not GetBool("savegame.mod.fu7"))
PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(40,-10)
if GetBool("savegame.mod.fi7") then
UiPush()
UiTranslate(6,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()

end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fi7", not GetBool("savegame.mod.fi7"))
PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(55,-10)
if GetBool("savegame.mod.fo7") then
UiPush()
UiTranslate(3,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fo7", not GetBool("savegame.mod.fo7"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(70,-10)
if GetBool("savegame.mod.fp7") then
UiPush()
UiTranslate(0,-40)
UiColor(1, 1, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("X", 32, 50) then
SetBool("savegame.mod.fp7", not GetBool("savegame.mod.fp7"))
PlaySound(snd)
end
UiPop()




UiPush()
UiTranslate(84,-10)
if GetBool("savegame.mod.fa7") then
UiPush()
UiTranslate(-1,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fa7", not GetBool("savegame.mod.fa7"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(110,-10)
if GetBool("savegame.mod.fs7") then
UiPush()
UiTranslate(0,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fs7", not GetBool("savegame.mod.fs7"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(125,-10)
if GetBool("savegame.mod.fd7") then
UiPush()
UiTranslate(-3,-40)
UiColor(1, 1, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()

end
UiScale(0.5, 0.5)
if 	UiTextButton("X", 32, 50) then
SetBool("savegame.mod.fd7", not GetBool("savegame.mod.fd7"))
PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(140,-10)
if GetBool("savegame.mod.ff7") then
UiPush()
UiTranslate(-5,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.ff7", not GetBool("savegame.mod.ff7"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(155,-10)
if GetBool("savegame.mod.fg7") then
UiPush()
UiTranslate(-7,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fg7", not GetBool("savegame.mod.fg7"))
PlaySound(snd)
end
UiPop()




UiPush()
UiTranslate(169,-10)
if GetBool("savegame.mod.fh7") then
UiPush()
UiTranslate(-8,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fh7", not GetBool("savegame.mod.fh7"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,25)
if GetBool("savegame.mod.fj7") then
UiPush()
UiTranslate(-23,-6)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fj7", not GetBool("savegame.mod.fj7"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,42)
if GetBool("savegame.mod.fk7") then
UiPush()
UiTranslate(-23,-10)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fk7", not GetBool("savegame.mod.fk7"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,61)
if GetBool("savegame.mod.fl7") then
UiPush()
UiTranslate(-23,-16)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fl7", not GetBool("savegame.mod.fl7"))
PlaySound(snd)
end
UiPop()







UiPush()
UiTranslate(49,83)
if GetBool("savegame.mod.fz7") then
UiPush()
UiTranslate(-23,-14)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fz7", not GetBool("savegame.mod.fz7"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,100)
if GetBool("savegame.mod.fx7") then
UiPush()
UiTranslate(-23,-18)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fx7", not GetBool("savegame.mod.fx7"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,117)
if GetBool("savegame.mod.fc7") then
UiPush()
UiTranslate(-23,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fc7", not GetBool("savegame.mod.fc7"))
PlaySound(snd)
end
UiPop()




UiPush()
UiTranslate(150,25)
if GetBool("savegame.mod.fv7") then
UiPush()
UiTranslate(16,-6)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fv7", not GetBool("savegame.mod.fv7"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(150,42)
if GetBool("savegame.mod.fb7") then
UiPush()
UiTranslate(16,-10)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fb7", not GetBool("savegame.mod.fb7"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(150,61)
if GetBool("savegame.mod.fn7") then
UiPush()
UiTranslate(16,-16)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fn7", not GetBool("savegame.mod.fn7"))
PlaySound(snd)
end
UiPop()







UiPush()
UiTranslate(150,83)
if GetBool("savegame.mod.fm7") then
UiPush()
UiTranslate(16,-14)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fm7", not GetBool("savegame.mod.fm7"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(150,100)
if GetBool("savegame.mod.f1q7") then
UiPush()
UiTranslate(16,-18)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1q7", not GetBool("savegame.mod.f1q7"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(150,117)
if GetBool("savegame.mod.f1w7") then
UiPush()
UiTranslate(16,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1w7", not GetBool("savegame.mod.f1w7"))
PlaySound(snd)
end
UiPop()


UiPush()
UiTranslate(-30,10)
if GetBool("savegame.mod.f1e7") then
UiPush()
UiTranslate(34,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 22, 2, 2)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1e7", not GetBool("savegame.mod.f1e7"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(-30,180)
if GetBool("savegame.mod.f1r7") then
UiPush()
UiTranslate(34,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 22, 2, 2)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1r7", not GetBool("savegame.mod.f1r7"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(225,10)
if GetBool("savegame.mod.f1t7") then
UiPush()
UiTranslate(-33,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 22, 2, 2)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1t7", not GetBool("savegame.mod.f1t7"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(225,180)
if GetBool("savegame.mod.f1y7") then
UiPush()
UiTranslate(-33,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 22, 2, 2)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1y7", not GetBool("savegame.mod.f1y7"))
PlaySound(snd)
end
UiPop()




UiPush()
UiTranslate(0,590)
if GetBool("savegame.mod.f1u7") then
UiPush()
UiTranslate(23,9)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.7, 0.7)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1u7", not GetBool("savegame.mod.f1u7"))
PlaySound(snd)
end
UiPop()


UiPush()
UiTranslate(35,590)
if GetBool("savegame.mod.f1i7") then
UiPush()
UiTranslate(5,9)
UiColor(0, 0, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.7, 0.7)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1i7", not GetBool("savegame.mod.f1i7"))
PlaySound(snd)
end
UiPop()


UiPush()
UiTranslate(160,590)
if GetBool("savegame.mod.f1p7") then
UiPush()
UiTranslate(-8,9)
UiColor(0, 0, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.7, 0.7)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1p7", not GetBool("savegame.mod.f1p7"))
PlaySound(snd)
end
UiPop()


UiPush()
UiTranslate(198,590)
if GetBool("savegame.mod.f1o7") then
UiPush()
UiTranslate(-30,9)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.7, 0.7)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1o7", not GetBool("savegame.mod.f1o7"))
PlaySound(snd)
end
UiPop()






UiPush()
UiTranslate(-20,650)
if GetBool("savegame.mod.f1a7") then
    UiPush()
        UiTranslate(50,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.f1a7", not GetBool("savegame.mod.f1a7"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(210,650)
if GetBool("savegame.mod.f1s7") then
UiPush()
UiTranslate(-60,-30)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
SetBool("savegame.mod.f1s7", not GetBool("savegame.mod.f1s7"))
PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-20,685)
if GetBool("savegame.mod.f1d7") then
UiPush()
UiTranslate(50,-20)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
SetBool("savegame.mod.f1d7", not GetBool("savegame.mod.f1d7"))
PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(210,685)
if GetBool("savegame.mod.f1f7") then
UiPush()
UiTranslate(-60,-20)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
SetBool("savegame.mod.f1f7", not GetBool("savegame.mod.f1f7"))
PlaySound(snd)
end

UiPop()




        UiTranslate(400,0)
        local resetButton = UiTextButton("Reset Lights", 200, 50)
        if resetButton then
            SetBool("savegame.mod.fq7")  
            SetBool("savegame.mod.fw7")  
            SetBool("savegame.mod.fe7")  
            SetBool("savegame.mod.fr7")  
            SetBool("savegame.mod.ft7")  
            SetBool("savegame.mod.fy7")  
            SetBool("savegame.mod.fu7")  
            SetBool("savegame.mod.fi7")  
            SetBool("savegame.mod.fo7")  
            SetBool("savegame.mod.fp7") 
            SetBool("savegame.mod.fa7") 
            SetBool("savegame.mod.fs7") 
            SetBool("savegame.mod.fd7") 
            SetBool("savegame.mod.ff7")  
            SetBool("savegame.mod.fg7")  
            SetBool("savegame.mod.fh7")  
            SetBool("savegame.mod.fj7")  
            SetBool("savegame.mod.fk7")  
            SetBool("savegame.mod.fl7")  
            SetBool("savegame.mod.fz7")  
            SetBool("savegame.mod.fx7")  
            SetBool("savegame.mod.fc7")  
            SetBool("savegame.mod.fv7")  
            SetBool("savegame.mod.fb7") 
            SetBool("savegame.mod.fn7")  
            SetBool("savegame.mod.fm7")  
            SetBool("savegame.mod.f1q7")  
            SetBool("savegame.mod.f1w7")  
            SetBool("savegame.mod.f1e7")  
            SetBool("savegame.mod.f1r7") 
            SetBool("savegame.mod.f1t7")  
            SetBool("savegame.mod.f1y7")  
            SetBool("savegame.mod.f1u7")  
            SetBool("savegame.mod.f1i7")  
            SetBool("savegame.mod.f1o7")  
            SetBool("savegame.mod.f1p7")  
            SetBool("savegame.mod.f1a7")  
            SetBool("savegame.mod.f1s7")  
            SetBool("savegame.mod.f1d7")  
            SetBool("savegame.mod.f1f7")  
            PlaySound(snd)  
        end
    end
    UiPop()

    UiPush()
    if GetInt("savegame.mod.time") == 35 then
        UiPush()
        UiTranslate(240,-160)
        UiImage("ui/common/dot.png")
        UiPop()
        UiTranslate(50,50)
        UiButtonImageBox("MOD/images/box-outline-6.png", 6, 6)

--light button
        UiPush()
        UiTranslate(-20,-65)
        if GetBool("savegame.mod.fq8") then
			UiPush()
                UiTranslate(50,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        UiScale(0.8, 0.8)
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.fq8", not GetBool("savegame.mod.fq8"))
            PlaySound(snd)
        end

        UiPop()
--light button

UiPush()
UiTranslate(210,-65)
if GetBool("savegame.mod.fw8") then
    UiPush()
        UiTranslate(-60,-30)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.fw8", not GetBool("savegame.mod.fw8"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-20,-105)
if GetBool("savegame.mod.fe8") then
    UiPush()
        UiTranslate(50,-20)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.fe8", not GetBool("savegame.mod.fe8"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(210,-105)
if GetBool("savegame.mod.fr8") then
UiPush()
UiTranslate(-60,-20)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 40) then
SetBool("savegame.mod.fr8", not GetBool("savegame.mod.fr8"))
PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(75,-135)
if GetBool("savegame.mod.ft8") then
    UiPush()
        UiTranslate(-5,10)
        UiColor(0, 0, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ft8", not GetBool("savegame.mod.ft8"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(120,-135)
if GetBool("savegame.mod.fy8") then
UiPush()
UiTranslate(-10,10)
UiColor(0, 0, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 40) then
SetBool("savegame.mod.fy8", not GetBool("savegame.mod.fy8"))
PlaySound(snd)
end

UiPop()

UiPush()
UiTranslate(25,-10)
if GetBool("savegame.mod.fu8") then
UiPush()
UiTranslate(9,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()

end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fu8", not GetBool("savegame.mod.fu8"))
PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(40,-10)
if GetBool("savegame.mod.fi8") then
UiPush()
UiTranslate(6,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()

end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fi8", not GetBool("savegame.mod.fi8"))
PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(55,-10)
if GetBool("savegame.mod.fo8") then
UiPush()
UiTranslate(3,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fo8", not GetBool("savegame.mod.fo8"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(70,-10)
if GetBool("savegame.mod.fp8") then
UiPush()
UiTranslate(0,-40)
UiColor(1, 1, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("X", 32, 50) then
SetBool("savegame.mod.fp8", not GetBool("savegame.mod.fp8"))
PlaySound(snd)
end
UiPop()




UiPush()
UiTranslate(84,-10)
if GetBool("savegame.mod.fa8") then
UiPush()
UiTranslate(-1,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fa8", not GetBool("savegame.mod.fa8"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(110,-10)
if GetBool("savegame.mod.fs8") then
UiPush()
UiTranslate(0,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fs8", not GetBool("savegame.mod.fs8"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(125,-10)
if GetBool("savegame.mod.fd8") then
UiPush()
UiTranslate(-3,-40)
UiColor(1, 1, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()

end
UiScale(0.5, 0.5)
if 	UiTextButton("X", 32, 50) then
SetBool("savegame.mod.fd8", not GetBool("savegame.mod.fd8"))
PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(140,-10)
if GetBool("savegame.mod.ff8") then
UiPush()
UiTranslate(-5,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.ff8", not GetBool("savegame.mod.ff8"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(155,-10)
if GetBool("savegame.mod.fg8") then
UiPush()
UiTranslate(-7,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fg8", not GetBool("savegame.mod.fg8"))
PlaySound(snd)
end
UiPop()




UiPush()
UiTranslate(169,-10)
if GetBool("savegame.mod.fh8") then
UiPush()
UiTranslate(-8,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fh8", not GetBool("savegame.mod.fh8"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,25)
if GetBool("savegame.mod.fj8") then
UiPush()
UiTranslate(-23,-6)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fj8", not GetBool("savegame.mod.fj8"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,42)
if GetBool("savegame.mod.fk8") then
UiPush()
UiTranslate(-23,-10)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fk8", not GetBool("savegame.mod.fk8"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,61)
if GetBool("savegame.mod.fl8") then
UiPush()
UiTranslate(-23,-16)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fl8", not GetBool("savegame.mod.fl8"))
PlaySound(snd)
end
UiPop()







UiPush()
UiTranslate(49,83)
if GetBool("savegame.mod.fz8") then
UiPush()
UiTranslate(-23,-14)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fz8", not GetBool("savegame.mod.fz8"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,100)
if GetBool("savegame.mod.fx8") then
UiPush()
UiTranslate(-23,-18)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fx8", not GetBool("savegame.mod.fx8"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,117)
if GetBool("savegame.mod.fc8") then
UiPush()
UiTranslate(-23,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fc8", not GetBool("savegame.mod.fc8"))
PlaySound(snd)
end
UiPop()




UiPush()
UiTranslate(150,25)
if GetBool("savegame.mod.fv8") then
UiPush()
UiTranslate(16,-6)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fv8", not GetBool("savegame.mod.fv8"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(150,42)
if GetBool("savegame.mod.fb8") then
UiPush()
UiTranslate(16,-10)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fb8", not GetBool("savegame.mod.fb8"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(150,61)
if GetBool("savegame.mod.fn8") then
UiPush()
UiTranslate(16,-16)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fn8", not GetBool("savegame.mod.fn8"))
PlaySound(snd)
end
UiPop()







UiPush()
UiTranslate(150,83)
if GetBool("savegame.mod.fm8") then
UiPush()
UiTranslate(16,-14)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fm8", not GetBool("savegame.mod.fm8"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(150,100)
if GetBool("savegame.mod.f1q8") then
UiPush()
UiTranslate(16,-18)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1q8", not GetBool("savegame.mod.f1q8"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(150,117)
if GetBool("savegame.mod.f1w8") then
UiPush()
UiTranslate(16,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1w8", not GetBool("savegame.mod.f1w8"))
PlaySound(snd)
end
UiPop()


UiPush()
UiTranslate(-30,10)
if GetBool("savegame.mod.f1e8") then
UiPush()
UiTranslate(34,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 22, 2, 2)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1e8", not GetBool("savegame.mod.f1e8"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(-30,180)
if GetBool("savegame.mod.f1r8") then
UiPush()
UiTranslate(34,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 22, 2, 2)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1r8", not GetBool("savegame.mod.f1r8"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(225,10)
if GetBool("savegame.mod.f1t8") then
UiPush()
UiTranslate(-33,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 22, 2, 2)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1t8", not GetBool("savegame.mod.f1t8"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(225,180)
if GetBool("savegame.mod.f1y8") then
UiPush()
UiTranslate(-33,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 22, 2, 2)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1y8", not GetBool("savegame.mod.f1y8"))
PlaySound(snd)
end
UiPop()




UiPush()
UiTranslate(0,590)
if GetBool("savegame.mod.f1u8") then
UiPush()
UiTranslate(23,9)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.7, 0.7)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1u8", not GetBool("savegame.mod.f1u8"))
PlaySound(snd)
end
UiPop()


UiPush()
UiTranslate(35,590)
if GetBool("savegame.mod.f1i8") then
UiPush()
UiTranslate(5,9)
UiColor(0, 0, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.7, 0.7)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1i8", not GetBool("savegame.mod.f1i8"))
PlaySound(snd)
end
UiPop()


UiPush()
UiTranslate(160,590)
if GetBool("savegame.mod.f1p8") then
UiPush()
UiTranslate(-8,9)
UiColor(0, 0, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.7, 0.7)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1p8", not GetBool("savegame.mod.f1p8"))
PlaySound(snd)
end
UiPop()


UiPush()
UiTranslate(198,590)
if GetBool("savegame.mod.f1o8") then
UiPush()
UiTranslate(-30,9)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.7, 0.7)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1o8", not GetBool("savegame.mod.f1o8"))
PlaySound(snd)
end
UiPop()






UiPush()
UiTranslate(-20,650)
if GetBool("savegame.mod.f1a8") then
    UiPush()
        UiTranslate(50,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.f1a8", not GetBool("savegame.mod.f1a8"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(210,650)
if GetBool("savegame.mod.f1s8") then
UiPush()
UiTranslate(-60,-30)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
SetBool("savegame.mod.f1s8", not GetBool("savegame.mod.f1s8"))
PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-20,685)
if GetBool("savegame.mod.f1d8") then
UiPush()
UiTranslate(50,-20)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
SetBool("savegame.mod.f1d8", not GetBool("savegame.mod.f1d8"))
PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(210,685)
if GetBool("savegame.mod.f1f8") then
UiPush()
UiTranslate(-60,-20)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
SetBool("savegame.mod.f1f8", not GetBool("savegame.mod.f1f8"))
PlaySound(snd)
end

UiPop()




        UiTranslate(400,0)
        local resetButton = UiTextButton("Reset Lights", 200, 50)
        if resetButton then
            SetBool("savegame.mod.fq8")  
            SetBool("savegame.mod.fw8")  
            SetBool("savegame.mod.fe8")  
            SetBool("savegame.mod.fr8")  
            SetBool("savegame.mod.ft8")  
            SetBool("savegame.mod.fy8")  
            SetBool("savegame.mod.fu8")  
            SetBool("savegame.mod.fi8")  
            SetBool("savegame.mod.fo8")  
            SetBool("savegame.mod.fp8") 
            SetBool("savegame.mod.fa8") 
            SetBool("savegame.mod.fs8") 
            SetBool("savegame.mod.fd8") 
            SetBool("savegame.mod.ff8")  
            SetBool("savegame.mod.fg8")  
            SetBool("savegame.mod.fh8")  
            SetBool("savegame.mod.fj8")  
            SetBool("savegame.mod.fk8")  
            SetBool("savegame.mod.fl8")  
            SetBool("savegame.mod.fz8")  
            SetBool("savegame.mod.fx8")  
            SetBool("savegame.mod.fc8")  
            SetBool("savegame.mod.fv8")  
            SetBool("savegame.mod.fb8") 
            SetBool("savegame.mod.fn8")  
            SetBool("savegame.mod.fm8")  
            SetBool("savegame.mod.f1q8")  
            SetBool("savegame.mod.f1w8")  
            SetBool("savegame.mod.f1e8")  
            SetBool("savegame.mod.f1r8") 
            SetBool("savegame.mod.f1t8")  
            SetBool("savegame.mod.f1y8")  
            SetBool("savegame.mod.f1u8")  
            SetBool("savegame.mod.f1i8")  
            SetBool("savegame.mod.f1o8")  
            SetBool("savegame.mod.f1p8")  
            SetBool("savegame.mod.f1a8")  
            SetBool("savegame.mod.f1s8")  
            SetBool("savegame.mod.f1d8")  
            SetBool("savegame.mod.f1f8")  
            PlaySound(snd)  
        end
    end
    UiPop()


    UiPush()
    if GetInt("savegame.mod.time") == 40 then
        UiPush()
        UiTranslate(295,-160)
        UiImage("ui/common/dot.png")
        UiPop()
        UiTranslate(50,50)
        UiButtonImageBox("MOD/images/box-outline-6.png", 6, 6)

--light button
        UiPush()
        UiTranslate(-20,-65)
        if GetBool("savegame.mod.fq9") then
			UiPush()
                UiTranslate(50,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        UiScale(0.8, 0.8)
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.fq9", not GetBool("savegame.mod.fq9"))
            PlaySound(snd)
        end

        UiPop()
--light button

UiPush()
UiTranslate(210,-65)
if GetBool("savegame.mod.fw9") then
    UiPush()
        UiTranslate(-60,-30)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.fw9", not GetBool("savegame.mod.fw9"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-20,-105)
if GetBool("savegame.mod.fe9") then
    UiPush()
        UiTranslate(50,-20)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.fe9", not GetBool("savegame.mod.fe9"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(210,-105)
if GetBool("savegame.mod.fr9") then
UiPush()
UiTranslate(-60,-20)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 40) then
SetBool("savegame.mod.fr9", not GetBool("savegame.mod.fr9"))
PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(75,-135)
if GetBool("savegame.mod.ft9") then
    UiPush()
        UiTranslate(-5,10)
        UiColor(0, 0, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ft9", not GetBool("savegame.mod.ft9"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(120,-135)
if GetBool("savegame.mod.fy9") then
UiPush()
UiTranslate(-10,10)
UiColor(0, 0, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 40) then
SetBool("savegame.mod.fy9", not GetBool("savegame.mod.fy9"))
PlaySound(snd)
end

UiPop()

UiPush()
UiTranslate(25,-10)
if GetBool("savegame.mod.fu9") then
UiPush()
UiTranslate(9,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()

end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fu9", not GetBool("savegame.mod.fu9"))
PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(40,-10)
if GetBool("savegame.mod.fi9") then
UiPush()
UiTranslate(6,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()

end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fi9", not GetBool("savegame.mod.fi9"))
PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(55,-10)
if GetBool("savegame.mod.fo9") then
UiPush()
UiTranslate(3,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fo9", not GetBool("savegame.mod.fo9"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(70,-10)
if GetBool("savegame.mod.fp9") then
UiPush()
UiTranslate(0,-40)
UiColor(1, 1, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("X", 32, 50) then
SetBool("savegame.mod.fp9", not GetBool("savegame.mod.fp9"))
PlaySound(snd)
end
UiPop()




UiPush()
UiTranslate(84,-10)
if GetBool("savegame.mod.fa9") then
UiPush()
UiTranslate(-1,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fa9", not GetBool("savegame.mod.fa9"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(110,-10)
if GetBool("savegame.mod.fs9") then
UiPush()
UiTranslate(0,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fs9", not GetBool("savegame.mod.fs9"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(125,-10)
if GetBool("savegame.mod.fd9") then
UiPush()
UiTranslate(-3,-40)
UiColor(1, 1, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()

end
UiScale(0.5, 0.5)
if 	UiTextButton("X", 32, 50) then
SetBool("savegame.mod.fd9", not GetBool("savegame.mod.fd9"))
PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(140,-10)
if GetBool("savegame.mod.ff9") then
UiPush()
UiTranslate(-5,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.ff9", not GetBool("savegame.mod.ff9"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(155,-10)
if GetBool("savegame.mod.fg9") then
UiPush()
UiTranslate(-7,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fg9", not GetBool("savegame.mod.fg9"))
PlaySound(snd)
end
UiPop()




UiPush()
UiTranslate(169,-10)
if GetBool("savegame.mod.fh9") then
UiPush()
UiTranslate(-8,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fh9", not GetBool("savegame.mod.fh9"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,25)
if GetBool("savegame.mod.fj9") then
UiPush()
UiTranslate(-23,-6)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fj9", not GetBool("savegame.mod.fj9"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,42)
if GetBool("savegame.mod.fk9") then
UiPush()
UiTranslate(-23,-10)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fk9", not GetBool("savegame.mod.fk9"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,61)
if GetBool("savegame.mod.fl9") then
UiPush()
UiTranslate(-23,-16)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fl9", not GetBool("savegame.mod.fl9"))
PlaySound(snd)
end
UiPop()







UiPush()
UiTranslate(49,83)
if GetBool("savegame.mod.fz9") then
UiPush()
UiTranslate(-23,-14)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fz9", not GetBool("savegame.mod.fz9"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,100)
if GetBool("savegame.mod.fx9") then
UiPush()
UiTranslate(-23,-18)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fx9", not GetBool("savegame.mod.fx9"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,117)
if GetBool("savegame.mod.fc9") then
UiPush()
UiTranslate(-23,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fc9", not GetBool("savegame.mod.fc9"))
PlaySound(snd)
end
UiPop()




UiPush()
UiTranslate(150,25)
if GetBool("savegame.mod.fv9") then
UiPush()
UiTranslate(16,-6)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fv9", not GetBool("savegame.mod.fv9"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(150,42)
if GetBool("savegame.mod.fb9") then
UiPush()
UiTranslate(16,-10)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fb9", not GetBool("savegame.mod.fb9"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(150,61)
if GetBool("savegame.mod.fn9") then
UiPush()
UiTranslate(16,-16)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fn9", not GetBool("savegame.mod.fn9"))
PlaySound(snd)
end
UiPop()







UiPush()
UiTranslate(150,83)
if GetBool("savegame.mod.fm9") then
UiPush()
UiTranslate(16,-14)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fm9", not GetBool("savegame.mod.fm9"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(150,100)
if GetBool("savegame.mod.f1q9") then
UiPush()
UiTranslate(16,-18)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1q9", not GetBool("savegame.mod.f1q9"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(150,117)
if GetBool("savegame.mod.f1w9") then
UiPush()
UiTranslate(16,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1w9", not GetBool("savegame.mod.f1w9"))
PlaySound(snd)
end
UiPop()


UiPush()
UiTranslate(-30,10)
if GetBool("savegame.mod.f1e9") then
UiPush()
UiTranslate(34,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 22, 2, 2)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1e9", not GetBool("savegame.mod.f1e9"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(-30,180)
if GetBool("savegame.mod.f1r9") then
UiPush()
UiTranslate(34,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 22, 2, 2)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1r9", not GetBool("savegame.mod.f1r9"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(225,10)
if GetBool("savegame.mod.f1t9") then
UiPush()
UiTranslate(-33,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 22, 2, 2)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1t9", not GetBool("savegame.mod.f1t9"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(225,180)
if GetBool("savegame.mod.f1y9") then
UiPush()
UiTranslate(-33,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 22, 2, 2)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1y9", not GetBool("savegame.mod.f1y9"))
PlaySound(snd)
end
UiPop()




UiPush()
UiTranslate(0,590)
if GetBool("savegame.mod.f1u9") then
UiPush()
UiTranslate(23,9)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.7, 0.7)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1u9", not GetBool("savegame.mod.f1u9"))
PlaySound(snd)
end
UiPop()


UiPush()
UiTranslate(35,590)
if GetBool("savegame.mod.f1i9") then
UiPush()
UiTranslate(5,9)
UiColor(0, 0, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.7, 0.7)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1i9", not GetBool("savegame.mod.f1i9"))
PlaySound(snd)
end
UiPop()


UiPush()
UiTranslate(160,590)
if GetBool("savegame.mod.f1p9") then
UiPush()
UiTranslate(-8,9)
UiColor(0, 0, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.7, 0.7)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1p9", not GetBool("savegame.mod.f1p9"))
PlaySound(snd)
end
UiPop()


UiPush()
UiTranslate(198,590)
if GetBool("savegame.mod.f1o9") then
UiPush()
UiTranslate(-30,9)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.7, 0.7)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1o9", not GetBool("savegame.mod.f1o9"))
PlaySound(snd)
end
UiPop()






UiPush()
UiTranslate(-20,650)
if GetBool("savegame.mod.f1a9") then
    UiPush()
        UiTranslate(50,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.f1a9", not GetBool("savegame.mod.f1a9"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(210,650)
if GetBool("savegame.mod.f1s9") then
UiPush()
UiTranslate(-60,-30)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
SetBool("savegame.mod.f1s9", not GetBool("savegame.mod.f1s9"))
PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-20,685)
if GetBool("savegame.mod.f1d9") then
UiPush()
UiTranslate(50,-20)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
SetBool("savegame.mod.f1d9", not GetBool("savegame.mod.f1d9"))
PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(210,685)
if GetBool("savegame.mod.f1f9") then
UiPush()
UiTranslate(-60,-20)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
SetBool("savegame.mod.f1f9", not GetBool("savegame.mod.f1f9"))
PlaySound(snd)
end

UiPop()




        UiTranslate(400,0)
        local resetButton = UiTextButton("Reset Lights", 200, 50)
        if resetButton then
            SetBool("savegame.mod.fq9")  
            SetBool("savegame.mod.fw9")  
            SetBool("savegame.mod.fe9")  
            SetBool("savegame.mod.fr9")  
            SetBool("savegame.mod.ft9")  
            SetBool("savegame.mod.fy9")  
            SetBool("savegame.mod.fu9")  
            SetBool("savegame.mod.fi9")  
            SetBool("savegame.mod.fo9")  
            SetBool("savegame.mod.fp9") 
            SetBool("savegame.mod.fa9") 
            SetBool("savegame.mod.fs9") 
            SetBool("savegame.mod.fd9") 
            SetBool("savegame.mod.ff9")  
            SetBool("savegame.mod.fg9")  
            SetBool("savegame.mod.fh9")  
            SetBool("savegame.mod.fj9")  
            SetBool("savegame.mod.fk9")  
            SetBool("savegame.mod.fl9")  
            SetBool("savegame.mod.fz9")  
            SetBool("savegame.mod.fx9")  
            SetBool("savegame.mod.fc9")  
            SetBool("savegame.mod.fv9")  
            SetBool("savegame.mod.fb9") 
            SetBool("savegame.mod.fn9")  
            SetBool("savegame.mod.fm9")  
            SetBool("savegame.mod.f1q9")  
            SetBool("savegame.mod.f1w9")  
            SetBool("savegame.mod.f1e9")  
            SetBool("savegame.mod.f1r9") 
            SetBool("savegame.mod.f1t9")  
            SetBool("savegame.mod.f1y9")  
            SetBool("savegame.mod.f1u9")  
            SetBool("savegame.mod.f1i9")  
            SetBool("savegame.mod.f1o9")  
            SetBool("savegame.mod.f1p9")  
            SetBool("savegame.mod.f1a9")  
            SetBool("savegame.mod.f1s9")  
            SetBool("savegame.mod.f1d9")  
            SetBool("savegame.mod.f1f9")  
            PlaySound(snd)  
        end
    end
    UiPop()


    UiPush()
    if GetInt("savegame.mod.time") == 45 then
        UiPush()
        UiTranslate(348,-160)
        UiImage("ui/common/dot.png")
        UiPop()
        UiTranslate(50,50)
        UiButtonImageBox("MOD/images/box-outline-6.png", 6, 6)

--light button
        UiPush()
        UiTranslate(-20,-65)
        if GetBool("savegame.mod.fq10") then
			UiPush()
                UiTranslate(50,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        UiScale(0.8, 0.8)
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.fq10", not GetBool("savegame.mod.fq10"))
            PlaySound(snd)
        end

        UiPop()
--light button

UiPush()
UiTranslate(210,-65)
if GetBool("savegame.mod.fw10") then
    UiPush()
        UiTranslate(-60,-30)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.fw10", not GetBool("savegame.mod.fw10"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-20,-105)
if GetBool("savegame.mod.fe10") then
    UiPush()
        UiTranslate(50,-20)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.fe10", not GetBool("savegame.mod.fe10"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(210,-105)
if GetBool("savegame.mod.fr10") then
UiPush()
UiTranslate(-60,-20)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 40) then
SetBool("savegame.mod.fr10", not GetBool("savegame.mod.fr10"))
PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(75,-135)
if GetBool("savegame.mod.ft10") then
    UiPush()
        UiTranslate(-5,10)
        UiColor(0, 0, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ft10", not GetBool("savegame.mod.ft10"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(120,-135)
if GetBool("savegame.mod.fy10") then
UiPush()
UiTranslate(-10,10)
UiColor(0, 0, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 40) then
SetBool("savegame.mod.fy10", not GetBool("savegame.mod.fy10"))
PlaySound(snd)
end

UiPop()

UiPush()
UiTranslate(25,-10)
if GetBool("savegame.mod.fu10") then
UiPush()
UiTranslate(9,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()

end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fu10", not GetBool("savegame.mod.fu10"))
PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(40,-10)
if GetBool("savegame.mod.fi10") then
UiPush()
UiTranslate(6,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()

end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fi10", not GetBool("savegame.mod.fi10"))
PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(55,-10)
if GetBool("savegame.mod.fo10") then
UiPush()
UiTranslate(3,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fo10", not GetBool("savegame.mod.fo10"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(70,-10)
if GetBool("savegame.mod.fp10") then
UiPush()
UiTranslate(0,-40)
UiColor(1, 1, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("X", 32, 50) then
SetBool("savegame.mod.fp10", not GetBool("savegame.mod.fp10"))
PlaySound(snd)
end
UiPop()




UiPush()
UiTranslate(84,-10)
if GetBool("savegame.mod.fa10") then
UiPush()
UiTranslate(-1,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fa10", not GetBool("savegame.mod.fa10"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(110,-10)
if GetBool("savegame.mod.fs10") then
UiPush()
UiTranslate(0,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fs10", not GetBool("savegame.mod.fs10"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(125,-10)
if GetBool("savegame.mod.fd10") then
UiPush()
UiTranslate(-3,-40)
UiColor(1, 1, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()

end
UiScale(0.5, 0.5)
if 	UiTextButton("X", 32, 50) then
SetBool("savegame.mod.fd10", not GetBool("savegame.mod.fd10"))
PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(140,-10)
if GetBool("savegame.mod.ff10") then
UiPush()
UiTranslate(-5,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.ff10", not GetBool("savegame.mod.ff10"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(155,-10)
if GetBool("savegame.mod.fg10") then
UiPush()
UiTranslate(-7,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fg10", not GetBool("savegame.mod.fg10"))
PlaySound(snd)
end
UiPop()




UiPush()
UiTranslate(169,-10)
if GetBool("savegame.mod.fh10") then
UiPush()
UiTranslate(-8,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fh10", not GetBool("savegame.mod.fh10"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,25)
if GetBool("savegame.mod.fj10") then
UiPush()
UiTranslate(-23,-6)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fj10", not GetBool("savegame.mod.fj10"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,42)
if GetBool("savegame.mod.fk10") then
UiPush()
UiTranslate(-23,-10)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fk10", not GetBool("savegame.mod.fk10"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,61)
if GetBool("savegame.mod.fl10") then
UiPush()
UiTranslate(-23,-16)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fl10", not GetBool("savegame.mod.fl10"))
PlaySound(snd)
end
UiPop()







UiPush()
UiTranslate(49,83)
if GetBool("savegame.mod.fz10") then
UiPush()
UiTranslate(-23,-14)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fz10", not GetBool("savegame.mod.fz10"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,100)
if GetBool("savegame.mod.fx10") then
UiPush()
UiTranslate(-23,-18)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fx10", not GetBool("savegame.mod.fx10"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,117)
if GetBool("savegame.mod.fc10") then
UiPush()
UiTranslate(-23,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fc10", not GetBool("savegame.mod.fc10"))
PlaySound(snd)
end
UiPop()




UiPush()
UiTranslate(150,25)
if GetBool("savegame.mod.fv10") then
UiPush()
UiTranslate(16,-6)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fv10", not GetBool("savegame.mod.fv10"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(150,42)
if GetBool("savegame.mod.fb10") then
UiPush()
UiTranslate(16,-10)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fb10", not GetBool("savegame.mod.fb10"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(150,61)
if GetBool("savegame.mod.fn10") then
UiPush()
UiTranslate(16,-16)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fn10", not GetBool("savegame.mod.fn10"))
PlaySound(snd)
end
UiPop()







UiPush()
UiTranslate(150,83)
if GetBool("savegame.mod.fm10") then
UiPush()
UiTranslate(16,-14)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fm10", not GetBool("savegame.mod.fm10"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(150,100)
if GetBool("savegame.mod.f1q10") then
UiPush()
UiTranslate(16,-18)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1q10", not GetBool("savegame.mod.f1q10"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(150,117)
if GetBool("savegame.mod.f1w10") then
UiPush()
UiTranslate(16,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1w10", not GetBool("savegame.mod.f1w10"))
PlaySound(snd)
end
UiPop()


UiPush()
UiTranslate(-30,10)
if GetBool("savegame.mod.f1e10") then
UiPush()
UiTranslate(34,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 22, 2, 2)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1e10", not GetBool("savegame.mod.f1e10"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(-30,180)
if GetBool("savegame.mod.f1r10") then
UiPush()
UiTranslate(34,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 22, 2, 2)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1r10", not GetBool("savegame.mod.f1r10"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(225,10)
if GetBool("savegame.mod.f1t10") then
UiPush()
UiTranslate(-33,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 22, 2, 2)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1t10", not GetBool("savegame.mod.f1t10"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(225,180)
if GetBool("savegame.mod.f1y10") then
UiPush()
UiTranslate(-33,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 22, 2, 2)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1y10", not GetBool("savegame.mod.f1y10"))
PlaySound(snd)
end
UiPop()




UiPush()
UiTranslate(0,590)
if GetBool("savegame.mod.f1u10") then
UiPush()
UiTranslate(23,9)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.7, 0.7)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1u10", not GetBool("savegame.mod.f1u10"))
PlaySound(snd)
end
UiPop()


UiPush()
UiTranslate(35,590)
if GetBool("savegame.mod.f1i10") then
UiPush()
UiTranslate(5,9)
UiColor(0, 0, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.7, 0.7)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1i10", not GetBool("savegame.mod.f1i10"))
PlaySound(snd)
end
UiPop()


UiPush()
UiTranslate(160,590)
if GetBool("savegame.mod.f1p10") then
UiPush()
UiTranslate(-8,9)
UiColor(0, 0, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.7, 0.7)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1p10", not GetBool("savegame.mod.f1p10"))
PlaySound(snd)
end
UiPop()


UiPush()
UiTranslate(198,590)
if GetBool("savegame.mod.f1o10") then
UiPush()
UiTranslate(-30,9)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.7, 0.7)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1o10", not GetBool("savegame.mod.f1o10"))
PlaySound(snd)
end
UiPop()






UiPush()
UiTranslate(-20,650)
if GetBool("savegame.mod.f1a10") then
    UiPush()
        UiTranslate(50,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.f1a10", not GetBool("savegame.mod.f1a10"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(210,650)
if GetBool("savegame.mod.f1s10") then
UiPush()
UiTranslate(-60,-30)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
SetBool("savegame.mod.f1s10", not GetBool("savegame.mod.f1s10"))
PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-20,685)
if GetBool("savegame.mod.f1d10") then
UiPush()
UiTranslate(50,-20)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
SetBool("savegame.mod.f1d10", not GetBool("savegame.mod.f1d10"))
PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(210,685)
if GetBool("savegame.mod.f1f10") then
UiPush()
UiTranslate(-60,-20)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
SetBool("savegame.mod.f1f10", not GetBool("savegame.mod.f1f10"))
PlaySound(snd)
end

UiPop()




        UiTranslate(400,0)
        local resetButton = UiTextButton("Reset Lights", 200, 50)
        if resetButton then
            SetBool("savegame.mod.fq10")  
            SetBool("savegame.mod.fw10")  
            SetBool("savegame.mod.fe10")  
            SetBool("savegame.mod.fr10")  
            SetBool("savegame.mod.ft10")  
            SetBool("savegame.mod.fy10")  
            SetBool("savegame.mod.fu10")  
            SetBool("savegame.mod.fi10")  
            SetBool("savegame.mod.fo10")  
            SetBool("savegame.mod.fp10") 
            SetBool("savegame.mod.fa10") 
            SetBool("savegame.mod.fs10") 
            SetBool("savegame.mod.fd10") 
            SetBool("savegame.mod.ff10")  
            SetBool("savegame.mod.fg10")  
            SetBool("savegame.mod.fh10")  
            SetBool("savegame.mod.fj10")  
            SetBool("savegame.mod.fk10")  
            SetBool("savegame.mod.fl10")  
            SetBool("savegame.mod.fz10")  
            SetBool("savegame.mod.fx10")  
            SetBool("savegame.mod.fc10")  
            SetBool("savegame.mod.fv10")  
            SetBool("savegame.mod.fb10") 
            SetBool("savegame.mod.fn10")  
            SetBool("savegame.mod.fm10")  
            SetBool("savegame.mod.f1q10")  
            SetBool("savegame.mod.f1w10")  
            SetBool("savegame.mod.f1e10")  
            SetBool("savegame.mod.f1r10") 
            SetBool("savegame.mod.f1t10")  
            SetBool("savegame.mod.f1y10")  
            SetBool("savegame.mod.f1u10")  
            SetBool("savegame.mod.f1i10")  
            SetBool("savegame.mod.f1o10")  
            SetBool("savegame.mod.f1p10")  
            SetBool("savegame.mod.f1a10")  
            SetBool("savegame.mod.f1s10")  
            SetBool("savegame.mod.f1d10")  
            SetBool("savegame.mod.f1f10")  
            PlaySound(snd)  
        end
    end
    UiPop()

    UiPush()
    if GetInt("savegame.mod.time") == 50 then
        UiPush()
        UiTranslate(402,-160)
        UiImage("ui/common/dot.png")
        UiPop()
        UiTranslate(50,50)
        UiButtonImageBox("MOD/images/box-outline-6.png", 6, 6)

--light button
        UiPush()
        UiTranslate(-20,-65)
        if GetBool("savegame.mod.fq11") then
			UiPush()
                UiTranslate(50,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        UiScale(0.8, 0.8)
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.fq11", not GetBool("savegame.mod.fq11"))
            PlaySound(snd)
        end

        UiPop()
--light button

UiPush()
UiTranslate(210,-65)
if GetBool("savegame.mod.fw11") then
    UiPush()
        UiTranslate(-60,-30)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.fw11", not GetBool("savegame.mod.fw11"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-20,-105)
if GetBool("savegame.mod.fe11") then
    UiPush()
        UiTranslate(50,-20)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.fe11", not GetBool("savegame.mod.fe11"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(210,-105)
if GetBool("savegame.mod.fr11") then
UiPush()
UiTranslate(-60,-20)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 40) then
SetBool("savegame.mod.fr11", not GetBool("savegame.mod.fr11"))
PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(75,-135)
if GetBool("savegame.mod.ft11") then
    UiPush()
        UiTranslate(-5,10)
        UiColor(0, 0, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ft11", not GetBool("savegame.mod.ft11"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(120,-135)
if GetBool("savegame.mod.fy11") then
UiPush()
UiTranslate(-10,10)
UiColor(0, 0, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 40) then
SetBool("savegame.mod.fy11", not GetBool("savegame.mod.fy11"))
PlaySound(snd)
end

UiPop()

UiPush()
UiTranslate(25,-10)
if GetBool("savegame.mod.fu11") then
UiPush()
UiTranslate(9,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()

end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fu11", not GetBool("savegame.mod.fu11"))
PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(40,-10)
if GetBool("savegame.mod.fi11") then
UiPush()
UiTranslate(6,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()

end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fi11", not GetBool("savegame.mod.fi11"))
PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(55,-10)
if GetBool("savegame.mod.fo11") then
UiPush()
UiTranslate(3,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fo11", not GetBool("savegame.mod.fo11"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(70,-10)
if GetBool("savegame.mod.fp11") then
UiPush()
UiTranslate(0,-40)
UiColor(1, 1, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("X", 32, 50) then
SetBool("savegame.mod.fp11", not GetBool("savegame.mod.fp11"))
PlaySound(snd)
end
UiPop()




UiPush()
UiTranslate(84,-10)
if GetBool("savegame.mod.fa11") then
UiPush()
UiTranslate(-1,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fa11", not GetBool("savegame.mod.fa11"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(110,-10)
if GetBool("savegame.mod.fs11") then
UiPush()
UiTranslate(0,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fs11", not GetBool("savegame.mod.fs11"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(125,-10)
if GetBool("savegame.mod.fd11") then
UiPush()
UiTranslate(-3,-40)
UiColor(1, 1, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()

end
UiScale(0.5, 0.5)
if 	UiTextButton("X", 32, 50) then
SetBool("savegame.mod.fd11", not GetBool("savegame.mod.fd11"))
PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(140,-10)
if GetBool("savegame.mod.ff11") then
UiPush()
UiTranslate(-5,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.ff11", not GetBool("savegame.mod.ff11"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(155,-10)
if GetBool("savegame.mod.fg11") then
UiPush()
UiTranslate(-7,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fg11", not GetBool("savegame.mod.fg11"))
PlaySound(snd)
end
UiPop()




UiPush()
UiTranslate(169,-10)
if GetBool("savegame.mod.fh11") then
UiPush()
UiTranslate(-8,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fh11", not GetBool("savegame.mod.fh11"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,25)
if GetBool("savegame.mod.fj11") then
UiPush()
UiTranslate(-23,-6)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fj11", not GetBool("savegame.mod.fj11"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,42)
if GetBool("savegame.mod.fk11") then
UiPush()
UiTranslate(-23,-10)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fk11", not GetBool("savegame.mod.fk11"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,61)
if GetBool("savegame.mod.fl11") then
UiPush()
UiTranslate(-23,-16)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fl11", not GetBool("savegame.mod.fl11"))
PlaySound(snd)
end
UiPop()







UiPush()
UiTranslate(49,83)
if GetBool("savegame.mod.fz11") then
UiPush()
UiTranslate(-23,-14)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fz11", not GetBool("savegame.mod.fz11"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,100)
if GetBool("savegame.mod.fx11") then
UiPush()
UiTranslate(-23,-18)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fx11", not GetBool("savegame.mod.fx11"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,117)
if GetBool("savegame.mod.fc11") then
UiPush()
UiTranslate(-23,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fc11", not GetBool("savegame.mod.fc11"))
PlaySound(snd)
end
UiPop()




UiPush()
UiTranslate(150,25)
if GetBool("savegame.mod.fv11") then
UiPush()
UiTranslate(16,-6)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fv11", not GetBool("savegame.mod.fv11"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(150,42)
if GetBool("savegame.mod.fb11") then
UiPush()
UiTranslate(16,-10)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fb11", not GetBool("savegame.mod.fb11"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(150,61)
if GetBool("savegame.mod.fn11") then
UiPush()
UiTranslate(16,-16)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fn11", not GetBool("savegame.mod.fn11"))
PlaySound(snd)
end
UiPop()







UiPush()
UiTranslate(150,83)
if GetBool("savegame.mod.fm11") then
UiPush()
UiTranslate(16,-14)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fm11", not GetBool("savegame.mod.fm11"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(150,100)
if GetBool("savegame.mod.f1q11") then
UiPush()
UiTranslate(16,-18)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1q11", not GetBool("savegame.mod.f1q11"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(150,117)
if GetBool("savegame.mod.f1w11") then
UiPush()
UiTranslate(16,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1w11", not GetBool("savegame.mod.f1w11"))
PlaySound(snd)
end
UiPop()


UiPush()
UiTranslate(-30,10)
if GetBool("savegame.mod.f1e11") then
UiPush()
UiTranslate(34,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 22, 2, 2)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1e11", not GetBool("savegame.mod.f1e11"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(-30,180)
if GetBool("savegame.mod.f1r11") then
UiPush()
UiTranslate(34,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 22, 2, 2)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1r11", not GetBool("savegame.mod.f1r11"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(225,10)
if GetBool("savegame.mod.f1t11") then
UiPush()
UiTranslate(-33,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 22, 2, 2)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1t11", not GetBool("savegame.mod.f1t11"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(225,180)
if GetBool("savegame.mod.f1y11") then
UiPush()
UiTranslate(-33,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 22, 2, 2)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1y11", not GetBool("savegame.mod.f1y11"))
PlaySound(snd)
end
UiPop()




UiPush()
UiTranslate(0,590)
if GetBool("savegame.mod.f1u11") then
UiPush()
UiTranslate(23,9)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.7, 0.7)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1u11", not GetBool("savegame.mod.f1u11"))
PlaySound(snd)
end
UiPop()


UiPush()
UiTranslate(35,590)
if GetBool("savegame.mod.f1i11") then
UiPush()
UiTranslate(5,9)
UiColor(0, 0, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.7, 0.7)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1i11", not GetBool("savegame.mod.f1i11"))
PlaySound(snd)
end
UiPop()


UiPush()
UiTranslate(160,590)
if GetBool("savegame.mod.f1p11") then
UiPush()
UiTranslate(-8,9)
UiColor(0, 0, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.7, 0.7)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1p11", not GetBool("savegame.mod.f1p11"))
PlaySound(snd)
end
UiPop()


UiPush()
UiTranslate(198,590)
if GetBool("savegame.mod.f1o11") then
UiPush()
UiTranslate(-30,9)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.7, 0.7)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1o11", not GetBool("savegame.mod.f1o11"))
PlaySound(snd)
end
UiPop()






UiPush()
UiTranslate(-20,650)
if GetBool("savegame.mod.f1a11") then
    UiPush()
        UiTranslate(50,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.f1a11", not GetBool("savegame.mod.f1a11"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(210,650)
if GetBool("savegame.mod.f1s11") then
UiPush()
UiTranslate(-60,-30)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
SetBool("savegame.mod.f1s11", not GetBool("savegame.mod.f1s11"))
PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-20,685)
if GetBool("savegame.mod.f1d11") then
UiPush()
UiTranslate(50,-20)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
SetBool("savegame.mod.f1d11", not GetBool("savegame.mod.f1d11"))
PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(210,685)
if GetBool("savegame.mod.f1f11") then
UiPush()
UiTranslate(-60,-20)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
SetBool("savegame.mod.f1f11", not GetBool("savegame.mod.f1f11"))
PlaySound(snd)
end

UiPop()




        UiTranslate(400,0)
        local resetButton = UiTextButton("Reset Lights", 200, 50)
        if resetButton then
            SetBool("savegame.mod.fq11")  
            SetBool("savegame.mod.fw11")  
            SetBool("savegame.mod.fe11")  
            SetBool("savegame.mod.fr11")  
            SetBool("savegame.mod.ft11")  
            SetBool("savegame.mod.fy11")  
            SetBool("savegame.mod.fu11")  
            SetBool("savegame.mod.fi11")  
            SetBool("savegame.mod.fo11")  
            SetBool("savegame.mod.fp11") 
            SetBool("savegame.mod.fa11") 
            SetBool("savegame.mod.fs11") 
            SetBool("savegame.mod.fd11") 
            SetBool("savegame.mod.ff11")  
            SetBool("savegame.mod.fg11")  
            SetBool("savegame.mod.fh11")  
            SetBool("savegame.mod.fj11")  
            SetBool("savegame.mod.fk11")  
            SetBool("savegame.mod.fl11")  
            SetBool("savegame.mod.fz11")  
            SetBool("savegame.mod.fx11")  
            SetBool("savegame.mod.fc11")  
            SetBool("savegame.mod.fv11")  
            SetBool("savegame.mod.fb11") 
            SetBool("savegame.mod.fn11")  
            SetBool("savegame.mod.fm11")  
            SetBool("savegame.mod.f1q11")  
            SetBool("savegame.mod.f1w11")  
            SetBool("savegame.mod.f1e11")  
            SetBool("savegame.mod.f1r11") 
            SetBool("savegame.mod.f1t11")  
            SetBool("savegame.mod.f1y11")  
            SetBool("savegame.mod.f1u11")  
            SetBool("savegame.mod.f1i11")  
            SetBool("savegame.mod.f1o11")  
            SetBool("savegame.mod.f1p11")  
            SetBool("savegame.mod.f1a11")  
            SetBool("savegame.mod.f1s11")  
            SetBool("savegame.mod.f1d11")  
            SetBool("savegame.mod.f1f11")  
            PlaySound(snd)  
        end
    end
    UiPop()

    UiPush()
    if GetInt("savegame.mod.time") == 55 then
        UiPush()
        UiTranslate(455,-160)
        UiImage("ui/common/dot.png")
        UiPop()
        UiTranslate(50,50)
        UiButtonImageBox("MOD/images/box-outline-6.png", 6, 6)

--light button
        UiPush()
        UiTranslate(-20,-65)
        if GetBool("savegame.mod.fq12") then
			UiPush()
                UiTranslate(50,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        UiScale(0.8, 0.8)
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.fq12", not GetBool("savegame.mod.fq12"))
            PlaySound(snd)
        end

        UiPop()
--light button

UiPush()
UiTranslate(210,-65)
if GetBool("savegame.mod.fw12") then
    UiPush()
        UiTranslate(-60,-30)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.fw12", not GetBool("savegame.mod.fw12"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-20,-105)
if GetBool("savegame.mod.fe12") then
    UiPush()
        UiTranslate(50,-20)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.fe12", not GetBool("savegame.mod.fe12"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(210,-105)
if GetBool("savegame.mod.fr12") then
UiPush()
UiTranslate(-60,-20)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 40) then
SetBool("savegame.mod.fr12", not GetBool("savegame.mod.fr12"))
PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(75,-135)
if GetBool("savegame.mod.ft12") then
    UiPush()
        UiTranslate(-5,10)
        UiColor(0, 0, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ft12", not GetBool("savegame.mod.ft12"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(120,-135)
if GetBool("savegame.mod.fy12") then
UiPush()
UiTranslate(-10,10)
UiColor(0, 0, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 40) then
SetBool("savegame.mod.fy12", not GetBool("savegame.mod.fy12"))
PlaySound(snd)
end

UiPop()

UiPush()
UiTranslate(25,-10)
if GetBool("savegame.mod.fu12") then
UiPush()
UiTranslate(9,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()

end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fu12", not GetBool("savegame.mod.fu12"))
PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(40,-10)
if GetBool("savegame.mod.fi12") then
UiPush()
UiTranslate(6,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()

end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fi12", not GetBool("savegame.mod.fi12"))
PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(55,-10)
if GetBool("savegame.mod.fo12") then
UiPush()
UiTranslate(3,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fo12", not GetBool("savegame.mod.fo12"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(70,-10)
if GetBool("savegame.mod.fp12") then
UiPush()
UiTranslate(0,-40)
UiColor(1, 1, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("X", 32, 50) then
SetBool("savegame.mod.fp12", not GetBool("savegame.mod.fp12"))
PlaySound(snd)
end
UiPop()




UiPush()
UiTranslate(84,-10)
if GetBool("savegame.mod.fa12") then
UiPush()
UiTranslate(-1,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fa12", not GetBool("savegame.mod.fa12"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(110,-10)
if GetBool("savegame.mod.fs12") then
UiPush()
UiTranslate(0,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fs12", not GetBool("savegame.mod.fs12"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(125,-10)
if GetBool("savegame.mod.fd12") then
UiPush()
UiTranslate(-3,-40)
UiColor(1, 1, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()

end
UiScale(0.5, 0.5)
if 	UiTextButton("X", 32, 50) then
SetBool("savegame.mod.fd12", not GetBool("savegame.mod.fd12"))
PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(140,-10)
if GetBool("savegame.mod.ff12") then
UiPush()
UiTranslate(-5,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.ff12", not GetBool("savegame.mod.ff12"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(155,-10)
if GetBool("savegame.mod.fg12") then
UiPush()
UiTranslate(-7,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fg12", not GetBool("savegame.mod.fg12"))
PlaySound(snd)
end
UiPop()




UiPush()
UiTranslate(169,-10)
if GetBool("savegame.mod.fh12") then
UiPush()
UiTranslate(-8,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fh12", not GetBool("savegame.mod.fh12"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,25)
if GetBool("savegame.mod.fj12") then
UiPush()
UiTranslate(-23,-6)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fj12", not GetBool("savegame.mod.fj12"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,42)
if GetBool("savegame.mod.fk12") then
UiPush()
UiTranslate(-23,-10)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fk12", not GetBool("savegame.mod.fk12"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,61)
if GetBool("savegame.mod.fl12") then
UiPush()
UiTranslate(-23,-16)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fl12", not GetBool("savegame.mod.fl12"))
PlaySound(snd)
end
UiPop()







UiPush()
UiTranslate(49,83)
if GetBool("savegame.mod.fz12") then
UiPush()
UiTranslate(-23,-14)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fz12", not GetBool("savegame.mod.fz12"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,100)
if GetBool("savegame.mod.fx12") then
UiPush()
UiTranslate(-23,-18)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fx12", not GetBool("savegame.mod.fx12"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,117)
if GetBool("savegame.mod.fc12") then
UiPush()
UiTranslate(-23,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fc12", not GetBool("savegame.mod.fc12"))
PlaySound(snd)
end
UiPop()




UiPush()
UiTranslate(150,25)
if GetBool("savegame.mod.fv12") then
UiPush()
UiTranslate(16,-6)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fv12", not GetBool("savegame.mod.fv12"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(150,42)
if GetBool("savegame.mod.fb12") then
UiPush()
UiTranslate(16,-10)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fb12", not GetBool("savegame.mod.fb12"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(150,61)
if GetBool("savegame.mod.fn12") then
UiPush()
UiTranslate(16,-16)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fn12", not GetBool("savegame.mod.fn12"))
PlaySound(snd)
end
UiPop()







UiPush()
UiTranslate(150,83)
if GetBool("savegame.mod.fm12") then
UiPush()
UiTranslate(16,-14)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fm12", not GetBool("savegame.mod.fm12"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(150,100)
if GetBool("savegame.mod.f1q12") then
UiPush()
UiTranslate(16,-18)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1q12", not GetBool("savegame.mod.f1q12"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(150,117)
if GetBool("savegame.mod.f1w12") then
UiPush()
UiTranslate(16,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1w12", not GetBool("savegame.mod.f1w12"))
PlaySound(snd)
end
UiPop()


UiPush()
UiTranslate(-30,10)
if GetBool("savegame.mod.f1e12") then
UiPush()
UiTranslate(34,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 22, 2, 2)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1e12", not GetBool("savegame.mod.f1e12"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(-30,180)
if GetBool("savegame.mod.f1r12") then
UiPush()
UiTranslate(34,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 22, 2, 2)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1r12", not GetBool("savegame.mod.f1r12"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(225,10)
if GetBool("savegame.mod.f1t12") then
UiPush()
UiTranslate(-33,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 22, 2, 2)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1t12", not GetBool("savegame.mod.f1t12"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(225,180)
if GetBool("savegame.mod.f1y12") then
UiPush()
UiTranslate(-33,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 22, 2, 2)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1y12", not GetBool("savegame.mod.f1y12"))
PlaySound(snd)
end
UiPop()




UiPush()
UiTranslate(0,590)
if GetBool("savegame.mod.f1u12") then
UiPush()
UiTranslate(23,9)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.7, 0.7)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1u12", not GetBool("savegame.mod.f1u12"))
PlaySound(snd)
end
UiPop()


UiPush()
UiTranslate(35,590)
if GetBool("savegame.mod.f1i12") then
UiPush()
UiTranslate(5,9)
UiColor(0, 0, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.7, 0.7)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1i12", not GetBool("savegame.mod.f1i12"))
PlaySound(snd)
end
UiPop()


UiPush()
UiTranslate(160,590)
if GetBool("savegame.mod.f1p12") then
UiPush()
UiTranslate(-8,9)
UiColor(0, 0, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.7, 0.7)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1p12", not GetBool("savegame.mod.f1p12"))
PlaySound(snd)
end
UiPop()


UiPush()
UiTranslate(198,590)
if GetBool("savegame.mod.f1o12") then
UiPush()
UiTranslate(-30,9)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.7, 0.7)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1o12", not GetBool("savegame.mod.f1o12"))
PlaySound(snd)
end
UiPop()






UiPush()
UiTranslate(-20,650)
if GetBool("savegame.mod.f1a12") then
    UiPush()
        UiTranslate(50,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.f1a12", not GetBool("savegame.mod.f1a12"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(210,650)
if GetBool("savegame.mod.f1s12") then
UiPush()
UiTranslate(-60,-30)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
SetBool("savegame.mod.f1s12", not GetBool("savegame.mod.f1s12"))
PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-20,685)
if GetBool("savegame.mod.f1d12") then
UiPush()
UiTranslate(50,-20)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
SetBool("savegame.mod.f1d12", not GetBool("savegame.mod.f1d12"))
PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(210,685)
if GetBool("savegame.mod.f1f12") then
UiPush()
UiTranslate(-60,-20)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
SetBool("savegame.mod.f1f12", not GetBool("savegame.mod.f1f12"))
PlaySound(snd)
end

UiPop()




        UiTranslate(400,0)
        local resetButton = UiTextButton("Reset Lights", 200, 50)
        if resetButton then
            SetBool("savegame.mod.fq12")  
            SetBool("savegame.mod.fw12")  
            SetBool("savegame.mod.fe12")  
            SetBool("savegame.mod.fr12")  
            SetBool("savegame.mod.ft12")  
            SetBool("savegame.mod.fy12")  
            SetBool("savegame.mod.fu12")  
            SetBool("savegame.mod.fi12")  
            SetBool("savegame.mod.fo12")  
            SetBool("savegame.mod.fp12") 
            SetBool("savegame.mod.fa12") 
            SetBool("savegame.mod.fs12") 
            SetBool("savegame.mod.fd12") 
            SetBool("savegame.mod.ff12")  
            SetBool("savegame.mod.fg12")  
            SetBool("savegame.mod.fh12")  
            SetBool("savegame.mod.fj12")  
            SetBool("savegame.mod.fk12")  
            SetBool("savegame.mod.fl12")  
            SetBool("savegame.mod.fz12")  
            SetBool("savegame.mod.fx12")  
            SetBool("savegame.mod.fc12")  
            SetBool("savegame.mod.fv12")  
            SetBool("savegame.mod.fb12") 
            SetBool("savegame.mod.fn12")  
            SetBool("savegame.mod.fm12")  
            SetBool("savegame.mod.f1q12")  
            SetBool("savegame.mod.f1w12")  
            SetBool("savegame.mod.f1e12")  
            SetBool("savegame.mod.f1r12") 
            SetBool("savegame.mod.f1t12")  
            SetBool("savegame.mod.f1y12")  
            SetBool("savegame.mod.f1u12")  
            SetBool("savegame.mod.f1i12")  
            SetBool("savegame.mod.f1o12")  
            SetBool("savegame.mod.f1p12")  
            SetBool("savegame.mod.f1a12")  
            SetBool("savegame.mod.f1s12")  
            SetBool("savegame.mod.f1d12")  
            SetBool("savegame.mod.f1f12")  
            PlaySound(snd)  
        end
    end
    UiPop()

    UiPush()
    if GetInt("savegame.mod.time") == 60 then
        UiPush()
        UiTranslate(508,-160)
        UiImage("ui/common/dot.png")
        UiPop()
        UiTranslate(50,50)
        UiButtonImageBox("MOD/images/box-outline-6.png", 6, 6)

--light button
        UiPush()
        UiTranslate(-20,-65)
        if GetBool("savegame.mod.fq13") then
			UiPush()
                UiTranslate(50,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        UiScale(0.8, 0.8)
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.fq13", not GetBool("savegame.mod.fq13"))
            PlaySound(snd)
        end

        UiPop()
--light button

UiPush()
UiTranslate(210,-65)
if GetBool("savegame.mod.fw13") then
    UiPush()
        UiTranslate(-60,-30)
        UiColor(1, 1, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.fw13", not GetBool("savegame.mod.fw13"))
    PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-20,-105)
if GetBool("savegame.mod.fe13") then
    UiPush()
        UiTranslate(50,-20)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.fe13", not GetBool("savegame.mod.fe13"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(210,-105)
if GetBool("savegame.mod.fr13") then
UiPush()
UiTranslate(-60,-20)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 40) then
SetBool("savegame.mod.fr13", not GetBool("savegame.mod.fr13"))
PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(75,-135)
if GetBool("savegame.mod.ft13") then
    UiPush()
        UiTranslate(-5,10)
        UiColor(0, 0, 1, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 40) then
    SetBool("savegame.mod.ft13", not GetBool("savegame.mod.ft13"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(120,-135)
if GetBool("savegame.mod.fy13") then
UiPush()
UiTranslate(-10,10)
UiColor(0, 0, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 40) then
SetBool("savegame.mod.fy13", not GetBool("savegame.mod.fy13"))
PlaySound(snd)
end

UiPop()

UiPush()
UiTranslate(25,-10)
if GetBool("savegame.mod.fu13") then
UiPush()
UiTranslate(9,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()

end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fu13", not GetBool("savegame.mod.fu13"))
PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(40,-10)
if GetBool("savegame.mod.fi13") then
UiPush()
UiTranslate(6,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()

end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fi13", not GetBool("savegame.mod.fi13"))
PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(55,-10)
if GetBool("savegame.mod.fo13") then
UiPush()
UiTranslate(3,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fo13", not GetBool("savegame.mod.fo13"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(70,-10)
if GetBool("savegame.mod.fp13") then
UiPush()
UiTranslate(0,-40)
UiColor(1, 1, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("X", 32, 50) then
SetBool("savegame.mod.fp13", not GetBool("savegame.mod.fp13"))
PlaySound(snd)
end
UiPop()




UiPush()
UiTranslate(84,-10)
if GetBool("savegame.mod.fa13") then
UiPush()
UiTranslate(-1,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fa13", not GetBool("savegame.mod.fa13"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(110,-10)
if GetBool("savegame.mod.fs13") then
UiPush()
UiTranslate(0,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fs13", not GetBool("savegame.mod.fs13"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(125,-10)
if GetBool("savegame.mod.fd13") then
UiPush()
UiTranslate(-3,-40)
UiColor(1, 1, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()

end
UiScale(0.5, 0.5)
if 	UiTextButton("X", 32, 50) then
SetBool("savegame.mod.fd13", not GetBool("savegame.mod.fd13"))
PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(140,-10)
if GetBool("savegame.mod.ff13") then
UiPush()
UiTranslate(-5,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.ff13", not GetBool("savegame.mod.ff13"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(155,-10)
if GetBool("savegame.mod.fg13") then
UiPush()
UiTranslate(-7,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fg13", not GetBool("savegame.mod.fg13"))
PlaySound(snd)
end
UiPop()




UiPush()
UiTranslate(169,-10)
if GetBool("savegame.mod.fh13") then
UiPush()
UiTranslate(-8,-40)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 18, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 32, 50) then
SetBool("savegame.mod.fh13", not GetBool("savegame.mod.fh13"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,25)
if GetBool("savegame.mod.fj13") then
UiPush()
UiTranslate(-23,-6)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fj13", not GetBool("savegame.mod.fj13"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,42)
if GetBool("savegame.mod.fk13") then
UiPush()
UiTranslate(-23,-10)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fk13", not GetBool("savegame.mod.fk13"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,61)
if GetBool("savegame.mod.fl13") then
UiPush()
UiTranslate(-23,-16)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fl13", not GetBool("savegame.mod.fl13"))
PlaySound(snd)
end
UiPop()







UiPush()
UiTranslate(49,83)
if GetBool("savegame.mod.fz13") then
UiPush()
UiTranslate(-23,-14)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fz13", not GetBool("savegame.mod.fz13"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,100)
if GetBool("savegame.mod.fx13") then
UiPush()
UiTranslate(-23,-18)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fx13", not GetBool("savegame.mod.fx13"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(49,117)
if GetBool("savegame.mod.fc13") then
UiPush()
UiTranslate(-23,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fc13", not GetBool("savegame.mod.fc13"))
PlaySound(snd)
end
UiPop()




UiPush()
UiTranslate(150,25)
if GetBool("savegame.mod.fv13") then
UiPush()
UiTranslate(16,-6)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fv13", not GetBool("savegame.mod.fv13"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(150,42)
if GetBool("savegame.mod.fb13") then
UiPush()
UiTranslate(16,-10)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fb13", not GetBool("savegame.mod.fb13"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(150,61)
if GetBool("savegame.mod.fn13") then
UiPush()
UiTranslate(16,-16)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fn13", not GetBool("savegame.mod.fn13"))
PlaySound(snd)
end
UiPop()







UiPush()
UiTranslate(150,83)
if GetBool("savegame.mod.fm13") then
UiPush()
UiTranslate(16,-14)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.fm13", not GetBool("savegame.mod.fm13"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(150,100)
if GetBool("savegame.mod.f1q13") then
UiPush()
UiTranslate(16,-18)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1q13", not GetBool("savegame.mod.f1q13"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(150,117)
if GetBool("savegame.mod.f1w13") then
UiPush()
UiTranslate(16,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.5, 0.5)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1w13", not GetBool("savegame.mod.f1w13"))
PlaySound(snd)
end
UiPop()


UiPush()
UiTranslate(-30,10)
if GetBool("savegame.mod.f1e13") then
UiPush()
UiTranslate(34,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 22, 2, 2)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1e13", not GetBool("savegame.mod.f1e13"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(-30,180)
if GetBool("savegame.mod.f1r13") then
UiPush()
UiTranslate(34,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 22, 2, 2)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1r13", not GetBool("savegame.mod.f1r13"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(225,10)
if GetBool("savegame.mod.f1t13") then
UiPush()
UiTranslate(-33,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 22, 2, 2)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1t13", not GetBool("savegame.mod.f1t13"))
PlaySound(snd)
end
UiPop()



UiPush()
UiTranslate(225,180)
if GetBool("savegame.mod.f1y13") then
UiPush()
UiTranslate(-33,-21)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 15, 22, 2, 2)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1y13", not GetBool("savegame.mod.f1y13"))
PlaySound(snd)
end
UiPop()




UiPush()
UiTranslate(0,590)
if GetBool("savegame.mod.f1u13") then
UiPush()
UiTranslate(23,9)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.7, 0.7)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1u13", not GetBool("savegame.mod.f1u13"))
PlaySound(snd)
end
UiPop()


UiPush()
UiTranslate(35,590)
if GetBool("savegame.mod.f1i13") then
UiPush()
UiTranslate(5,9)
UiColor(0, 0, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.7, 0.7)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1i13", not GetBool("savegame.mod.f1i13"))
PlaySound(snd)
end
UiPop()


UiPush()
UiTranslate(160,590)
if GetBool("savegame.mod.f1p13") then
UiPush()
UiTranslate(-8,9)
UiColor(0, 0, 1, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.7, 0.7)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1p13", not GetBool("savegame.mod.f1p13"))
PlaySound(snd)
end
UiPop()


UiPush()
UiTranslate(198,590)
if GetBool("savegame.mod.f1o13") then
UiPush()
UiTranslate(-30,9)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 18, 15, 1, 1)
UiPop()
end
UiScale(0.7, 0.7)
if 	UiTextButton("O", 40, 38) then
SetBool("savegame.mod.f1o13", not GetBool("savegame.mod.f1o13"))
PlaySound(snd)
end
UiPop()






UiPush()
UiTranslate(-20,650)
if GetBool("savegame.mod.f1a13") then
    UiPush()
        UiTranslate(50,-30)
        UiColor(1, 0, 0, 1)
        UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
    UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
    SetBool("savegame.mod.f1a13", not GetBool("savegame.mod.f1a13"))
    PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(210,650)
if GetBool("savegame.mod.f1s13") then
UiPush()
UiTranslate(-60,-30)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
SetBool("savegame.mod.f1s13", not GetBool("savegame.mod.f1s13"))
PlaySound(snd)
end

UiPop()



UiPush()
UiTranslate(-20,685)
if GetBool("savegame.mod.f1d13") then
UiPush()
UiTranslate(50,-20)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
SetBool("savegame.mod.f1d13", not GetBool("savegame.mod.f1d13"))
PlaySound(snd)
end

UiPop()


UiPush()
UiTranslate(210,685)
if GetBool("savegame.mod.f1f13") then
UiPush()
UiTranslate(-60,-20)
UiColor(1, 0, 0, 1)
UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
UiPop()
end
UiScale(0.8, 0.8)
if 	UiTextButton("X", 40, 40) then
SetBool("savegame.mod.f1f13", not GetBool("savegame.mod.f1f13"))
PlaySound(snd)
end

UiPop()




        UiTranslate(400,0)
        local resetButton = UiTextButton("Reset Lights", 200, 50)
        if resetButton then
            SetBool("savegame.mod.fq13")  
            SetBool("savegame.mod.fw13")  
            SetBool("savegame.mod.fe13")  
            SetBool("savegame.mod.fr13")  
            SetBool("savegame.mod.ft13")  
            SetBool("savegame.mod.fy13")  
            SetBool("savegame.mod.fu13")  
            SetBool("savegame.mod.fi13")  
            SetBool("savegame.mod.fo13")  
            SetBool("savegame.mod.fp13") 
            SetBool("savegame.mod.fa13") 
            SetBool("savegame.mod.fs13") 
            SetBool("savegame.mod.fd13") 
            SetBool("savegame.mod.ff13")  
            SetBool("savegame.mod.fg13")  
            SetBool("savegame.mod.fh13")  
            SetBool("savegame.mod.fj13")  
            SetBool("savegame.mod.fk13")  
            SetBool("savegame.mod.fl13")  
            SetBool("savegame.mod.fz13")  
            SetBool("savegame.mod.fx13")  
            SetBool("savegame.mod.fc13")  
            SetBool("savegame.mod.fv13")  
            SetBool("savegame.mod.fb13") 
            SetBool("savegame.mod.fn13")  
            SetBool("savegame.mod.fm13")  
            SetBool("savegame.mod.f1q13")  
            SetBool("savegame.mod.f1w13")  
            SetBool("savegame.mod.f1e13")  
            SetBool("savegame.mod.f1r13") 
            SetBool("savegame.mod.f1t13")  
            SetBool("savegame.mod.f1y13")  
            SetBool("savegame.mod.f1u13")  
            SetBool("savegame.mod.f1i13")  
            SetBool("savegame.mod.f1o13")  
            SetBool("savegame.mod.f1p13")  
            SetBool("savegame.mod.f1a13")  
            SetBool("savegame.mod.f1s13")  
            SetBool("savegame.mod.f1d13")  
            SetBool("savegame.mod.f1f13")  
            PlaySound(snd)  
        end
    end
    UiPop()


    UiTranslate(465,100)
    UiScale(0.7, 0.7)
    UiColor(1,0,0,0.5)
    UiPush()
    UiTranslate(-16,-35)
    UiImageBox("MOD/images/box-solid-6.png", 260, 50, 6, 6)
    UiPop()
    UiColor(1,0,0)
    local resetButton = UiTextButton("Reset All Lights", 200, 50)
    if resetButton then
        SetBool("savegame.mod.fq1")  
        SetBool("savegame.mod.fw1")  
        SetBool("savegame.mod.fe1")  
        SetBool("savegame.mod.fr1")  
        SetBool("savegame.mod.ft1")  
        SetBool("savegame.mod.fy1")  
        SetBool("savegame.mod.fu1")  
        SetBool("savegame.mod.fi1")  
        SetBool("savegame.mod.fo1")  
        SetBool("savegame.mod.fp1") 
        SetBool("savegame.mod.fa1") 
        SetBool("savegame.mod.fs1") 
        SetBool("savegame.mod.fd1") 
        SetBool("savegame.mod.ff1")  
        SetBool("savegame.mod.fg1")  
        SetBool("savegame.mod.fh1")  
        SetBool("savegame.mod.fj1")  
        SetBool("savegame.mod.fk1")  
        SetBool("savegame.mod.fl1")  
        SetBool("savegame.mod.fz1")  
        SetBool("savegame.mod.fx1")  
        SetBool("savegame.mod.fc1")  
        SetBool("savegame.mod.fv1")  
        SetBool("savegame.mod.fb1") 
        SetBool("savegame.mod.fn1")  
        SetBool("savegame.mod.fm1")  
        SetBool("savegame.mod.f1q1")  
        SetBool("savegame.mod.f1w1")  
        SetBool("savegame.mod.f1e1")  
        SetBool("savegame.mod.f1r1") 
        SetBool("savegame.mod.f1t1")  
        SetBool("savegame.mod.f1y1")  
        SetBool("savegame.mod.f1u1")  
        SetBool("savegame.mod.f1i1")  
        SetBool("savegame.mod.f1o1")  
        SetBool("savegame.mod.f1p1")  
        SetBool("savegame.mod.f1a1")  
        SetBool("savegame.mod.f1s1")  
        SetBool("savegame.mod.f1d1")  
        SetBool("savegame.mod.f1f1")  
        SetBool("savegame.mod.fq2")  
        SetBool("savegame.mod.fw2")  
        SetBool("savegame.mod.fe2")  
        SetBool("savegame.mod.fr2")  
        SetBool("savegame.mod.ft2")  
        SetBool("savegame.mod.fy2")  
        SetBool("savegame.mod.fu2")  
        SetBool("savegame.mod.fi2")  
        SetBool("savegame.mod.fo2")  
        SetBool("savegame.mod.fp2") 
        SetBool("savegame.mod.fa2") 
        SetBool("savegame.mod.fs2") 
        SetBool("savegame.mod.fd2") 
        SetBool("savegame.mod.ff2")  
        SetBool("savegame.mod.fg2")  
        SetBool("savegame.mod.fh2")  
        SetBool("savegame.mod.fj2")  
        SetBool("savegame.mod.fk2")  
        SetBool("savegame.mod.fl2")  
        SetBool("savegame.mod.fz2")  
        SetBool("savegame.mod.fx2")  
        SetBool("savegame.mod.fc2")  
        SetBool("savegame.mod.fv2")  
        SetBool("savegame.mod.fb2") 
        SetBool("savegame.mod.fn2")  
        SetBool("savegame.mod.fm2")  
        SetBool("savegame.mod.f1q2")  
        SetBool("savegame.mod.f1w2")  
        SetBool("savegame.mod.f1e2")  
        SetBool("savegame.mod.f1r2") 
        SetBool("savegame.mod.f1t2")  
        SetBool("savegame.mod.f1y2")  
        SetBool("savegame.mod.f1u2")  
        SetBool("savegame.mod.f1i2")  
        SetBool("savegame.mod.f1o2")  
        SetBool("savegame.mod.f1p2")  
        SetBool("savegame.mod.f1a2")  
        SetBool("savegame.mod.f1s2")  
        SetBool("savegame.mod.f1d2")  
        SetBool("savegame.mod.f1f2")  
        SetBool("savegame.mod.fq3")  
        SetBool("savegame.mod.fw3")  
        SetBool("savegame.mod.fe3")  
        SetBool("savegame.mod.fr3")  
        SetBool("savegame.mod.ft3")  
        SetBool("savegame.mod.fy3")  
        SetBool("savegame.mod.fu3")  
        SetBool("savegame.mod.fi3")  
        SetBool("savegame.mod.fo3")  
        SetBool("savegame.mod.fp3") 
        SetBool("savegame.mod.fa3") 
        SetBool("savegame.mod.fs3") 
        SetBool("savegame.mod.fd3") 
        SetBool("savegame.mod.ff3")  
        SetBool("savegame.mod.fg3")  
        SetBool("savegame.mod.fh3")  
        SetBool("savegame.mod.fj3")  
        SetBool("savegame.mod.fk3")  
        SetBool("savegame.mod.fl3")  
        SetBool("savegame.mod.fz3")  
        SetBool("savegame.mod.fx3")  
        SetBool("savegame.mod.fc3")  
        SetBool("savegame.mod.fv3")  
        SetBool("savegame.mod.fb3") 
        SetBool("savegame.mod.fn3")  
        SetBool("savegame.mod.fm3")  
        SetBool("savegame.mod.f1q3")  
        SetBool("savegame.mod.f1w3")  
        SetBool("savegame.mod.f1e3")  
        SetBool("savegame.mod.f1r3") 
        SetBool("savegame.mod.f1t3")  
        SetBool("savegame.mod.f1y3")  
        SetBool("savegame.mod.f1u3")  
        SetBool("savegame.mod.f1i3")  
        SetBool("savegame.mod.f1o3")  
        SetBool("savegame.mod.f1p3")  
        SetBool("savegame.mod.f1a3")  
        SetBool("savegame.mod.f1s3")  
        SetBool("savegame.mod.f1d3")  
        SetBool("savegame.mod.f1f3") 
        SetBool("savegame.mod.fq4")  
        SetBool("savegame.mod.fw4")  
        SetBool("savegame.mod.fe4")  
        SetBool("savegame.mod.fr4")  
        SetBool("savegame.mod.ft4")  
        SetBool("savegame.mod.fy4")  
        SetBool("savegame.mod.fu4")  
        SetBool("savegame.mod.fi4")  
        SetBool("savegame.mod.fo4")  
        SetBool("savegame.mod.fp4") 
        SetBool("savegame.mod.fa4") 
        SetBool("savegame.mod.fs4") 
        SetBool("savegame.mod.fd4") 
        SetBool("savegame.mod.ff4")  
        SetBool("savegame.mod.fg4")  
        SetBool("savegame.mod.fh4")  
        SetBool("savegame.mod.fj4")  
        SetBool("savegame.mod.fk4")  
        SetBool("savegame.mod.fl4")  
        SetBool("savegame.mod.fz4")  
        SetBool("savegame.mod.fx4")  
        SetBool("savegame.mod.fc4")  
        SetBool("savegame.mod.fv4")  
        SetBool("savegame.mod.fb4") 
        SetBool("savegame.mod.fn4")  
        SetBool("savegame.mod.fm4")  
        SetBool("savegame.mod.f1q4")  
        SetBool("savegame.mod.f1w4")  
        SetBool("savegame.mod.f1e4")  
        SetBool("savegame.mod.f1r4") 
        SetBool("savegame.mod.f1t4")  
        SetBool("savegame.mod.f1y4")  
        SetBool("savegame.mod.f1u4")  
        SetBool("savegame.mod.f1i4")  
        SetBool("savegame.mod.f1o4")  
        SetBool("savegame.mod.f1p4")  
        SetBool("savegame.mod.f1a4")  
        SetBool("savegame.mod.f1s4")  
        SetBool("savegame.mod.f1d4")  
        SetBool("savegame.mod.f1f4")  
        SetBool("savegame.mod.fq5")  
        SetBool("savegame.mod.fw5")  
        SetBool("savegame.mod.fe5")  
        SetBool("savegame.mod.fr5")  
        SetBool("savegame.mod.ft5")  
        SetBool("savegame.mod.fy5")  
        SetBool("savegame.mod.fu5")  
        SetBool("savegame.mod.fi5")  
        SetBool("savegame.mod.fo5")  
        SetBool("savegame.mod.fp5") 
        SetBool("savegame.mod.fa5") 
        SetBool("savegame.mod.fs5") 
        SetBool("savegame.mod.fd5") 
        SetBool("savegame.mod.ff5")  
        SetBool("savegame.mod.fg5")  
        SetBool("savegame.mod.fh5")  
        SetBool("savegame.mod.fj5")  
        SetBool("savegame.mod.fk5")  
        SetBool("savegame.mod.fl5")  
        SetBool("savegame.mod.fz5")  
        SetBool("savegame.mod.fx5")  
        SetBool("savegame.mod.fc5")  
        SetBool("savegame.mod.fv5")  
        SetBool("savegame.mod.fb5") 
        SetBool("savegame.mod.fn5")  
        SetBool("savegame.mod.fm5")  
        SetBool("savegame.mod.f1q5")  
        SetBool("savegame.mod.f1w5")  
        SetBool("savegame.mod.f1e5")  
        SetBool("savegame.mod.f1r5") 
        SetBool("savegame.mod.f1t5")  
        SetBool("savegame.mod.f1y5")  
        SetBool("savegame.mod.f1u5")  
        SetBool("savegame.mod.f1i5")  
        SetBool("savegame.mod.f1o5")  
        SetBool("savegame.mod.f1p5")  
        SetBool("savegame.mod.f1a5")  
        SetBool("savegame.mod.f1s5")  
        SetBool("savegame.mod.f1d5")  
        SetBool("savegame.mod.f1f5")  
        SetBool("savegame.mod.fq6")  
        SetBool("savegame.mod.fw6")  
        SetBool("savegame.mod.fe6")  
        SetBool("savegame.mod.fr6")  
        SetBool("savegame.mod.ft6")  
        SetBool("savegame.mod.fy6")  
        SetBool("savegame.mod.fu6")  
        SetBool("savegame.mod.fi6")  
        SetBool("savegame.mod.fo6")  
        SetBool("savegame.mod.fp6") 
        SetBool("savegame.mod.fa6") 
        SetBool("savegame.mod.fs6") 
        SetBool("savegame.mod.fd6") 
        SetBool("savegame.mod.ff6")  
        SetBool("savegame.mod.fg6")  
        SetBool("savegame.mod.fh6")  
        SetBool("savegame.mod.fj6")  
        SetBool("savegame.mod.fk6")  
        SetBool("savegame.mod.fl6")  
        SetBool("savegame.mod.fz6")  
        SetBool("savegame.mod.fx6")  
        SetBool("savegame.mod.fc6")  
        SetBool("savegame.mod.fv6")  
        SetBool("savegame.mod.fb6") 
        SetBool("savegame.mod.fn6")  
        SetBool("savegame.mod.fm6")  
        SetBool("savegame.mod.f1q6")  
        SetBool("savegame.mod.f1w6")  
        SetBool("savegame.mod.f1e6")  
        SetBool("savegame.mod.f1r6") 
        SetBool("savegame.mod.f1t6")  
        SetBool("savegame.mod.f1y6")  
        SetBool("savegame.mod.f1u6")  
        SetBool("savegame.mod.f1i6")  
        SetBool("savegame.mod.f1o6")  
        SetBool("savegame.mod.f1p6")  
        SetBool("savegame.mod.f1a6")  
        SetBool("savegame.mod.f1s6")  
        SetBool("savegame.mod.f1d6")  
        SetBool("savegame.mod.f1f6")  
        SetBool("savegame.mod.fq7")  
        SetBool("savegame.mod.fw7")  
        SetBool("savegame.mod.fe7")  
        SetBool("savegame.mod.fr7")  
        SetBool("savegame.mod.ft7")  
        SetBool("savegame.mod.fy7")  
        SetBool("savegame.mod.fu7")  
        SetBool("savegame.mod.fi7")  
        SetBool("savegame.mod.fo7")  
        SetBool("savegame.mod.fp7") 
        SetBool("savegame.mod.fa7") 
        SetBool("savegame.mod.fs7") 
        SetBool("savegame.mod.fd7") 
        SetBool("savegame.mod.ff7")  
        SetBool("savegame.mod.fg7")  
        SetBool("savegame.mod.fh7")  
        SetBool("savegame.mod.fj7")  
        SetBool("savegame.mod.fk7")  
        SetBool("savegame.mod.fl7")  
        SetBool("savegame.mod.fz7")  
        SetBool("savegame.mod.fx7")  
        SetBool("savegame.mod.fc7")  
        SetBool("savegame.mod.fv7")  
        SetBool("savegame.mod.fb7") 
        SetBool("savegame.mod.fn7")  
        SetBool("savegame.mod.fm7")  
        SetBool("savegame.mod.f1q7")  
        SetBool("savegame.mod.f1w7")  
        SetBool("savegame.mod.f1e7")  
        SetBool("savegame.mod.f1r7") 
        SetBool("savegame.mod.f1t7")  
        SetBool("savegame.mod.f1y7")  
        SetBool("savegame.mod.f1u7")  
        SetBool("savegame.mod.f1i7")  
        SetBool("savegame.mod.f1o7")  
        SetBool("savegame.mod.f1p7")  
        SetBool("savegame.mod.f1a7")  
        SetBool("savegame.mod.f1s7")  
        SetBool("savegame.mod.f1d7")  
        SetBool("savegame.mod.f1f7")  
        SetBool("savegame.mod.fq8")  
        SetBool("savegame.mod.fw8")  
        SetBool("savegame.mod.fe8")  
        SetBool("savegame.mod.fr8")  
        SetBool("savegame.mod.ft8")  
        SetBool("savegame.mod.fy8")  
        SetBool("savegame.mod.fu8")  
        SetBool("savegame.mod.fi8")  
        SetBool("savegame.mod.fo8")  
        SetBool("savegame.mod.fp8") 
        SetBool("savegame.mod.fa8") 
        SetBool("savegame.mod.fs8") 
        SetBool("savegame.mod.fd8") 
        SetBool("savegame.mod.ff8")  
        SetBool("savegame.mod.fg8")  
        SetBool("savegame.mod.fh8")  
        SetBool("savegame.mod.fj8")  
        SetBool("savegame.mod.fk8")  
        SetBool("savegame.mod.fl8")  
        SetBool("savegame.mod.fz8")  
        SetBool("savegame.mod.fx8")  
        SetBool("savegame.mod.fc8")  
        SetBool("savegame.mod.fv8")  
        SetBool("savegame.mod.fb8") 
        SetBool("savegame.mod.fn8")  
        SetBool("savegame.mod.fm8")  
        SetBool("savegame.mod.f1q8")  
        SetBool("savegame.mod.f1w8")  
        SetBool("savegame.mod.f1e8")  
        SetBool("savegame.mod.f1r8") 
        SetBool("savegame.mod.f1t8")  
        SetBool("savegame.mod.f1y8")  
        SetBool("savegame.mod.f1u8")  
        SetBool("savegame.mod.f1i8")  
        SetBool("savegame.mod.f1o8")  
        SetBool("savegame.mod.f1p8")  
        SetBool("savegame.mod.f1a8")  
        SetBool("savegame.mod.f1s8")  
        SetBool("savegame.mod.f1d8")  
        SetBool("savegame.mod.f1f8") 
        SetBool("savegame.mod.fq9")  
        SetBool("savegame.mod.fw9")  
        SetBool("savegame.mod.fe9")  
        SetBool("savegame.mod.fr9")  
        SetBool("savegame.mod.ft9")  
        SetBool("savegame.mod.fy9")  
        SetBool("savegame.mod.fu9")  
        SetBool("savegame.mod.fi9")  
        SetBool("savegame.mod.fo9")  
        SetBool("savegame.mod.fp9") 
        SetBool("savegame.mod.fa9") 
        SetBool("savegame.mod.fs9") 
        SetBool("savegame.mod.fd9") 
        SetBool("savegame.mod.ff9")  
        SetBool("savegame.mod.fg9")  
        SetBool("savegame.mod.fh9")  
        SetBool("savegame.mod.fj9")  
        SetBool("savegame.mod.fk9")  
        SetBool("savegame.mod.fl9")  
        SetBool("savegame.mod.fz9")  
        SetBool("savegame.mod.fx9")  
        SetBool("savegame.mod.fc9")  
        SetBool("savegame.mod.fv9")  
        SetBool("savegame.mod.fb9") 
        SetBool("savegame.mod.fn9")  
        SetBool("savegame.mod.fm9")  
        SetBool("savegame.mod.f1q9")  
        SetBool("savegame.mod.f1w9")  
        SetBool("savegame.mod.f1e9")  
        SetBool("savegame.mod.f1r9") 
        SetBool("savegame.mod.f1t9")  
        SetBool("savegame.mod.f1y9")  
        SetBool("savegame.mod.f1u9")  
        SetBool("savegame.mod.f1i9")  
        SetBool("savegame.mod.f1o9")  
        SetBool("savegame.mod.f1p9")  
        SetBool("savegame.mod.f1a9")  
        SetBool("savegame.mod.f1s9")  
        SetBool("savegame.mod.f1d9")  
        SetBool("savegame.mod.f1f9")
        SetBool("savegame.mod.fq10")  
        SetBool("savegame.mod.fw10")  
        SetBool("savegame.mod.fe10")  
        SetBool("savegame.mod.fr10")  
        SetBool("savegame.mod.ft10")  
        SetBool("savegame.mod.fy10")  
        SetBool("savegame.mod.fu10")  
        SetBool("savegame.mod.fi10")  
        SetBool("savegame.mod.fo10")  
        SetBool("savegame.mod.fp10") 
        SetBool("savegame.mod.fa10") 
        SetBool("savegame.mod.fs10") 
        SetBool("savegame.mod.fd10") 
        SetBool("savegame.mod.ff10")  
        SetBool("savegame.mod.fg10")  
        SetBool("savegame.mod.fh10")  
        SetBool("savegame.mod.fj10")  
        SetBool("savegame.mod.fk10")  
        SetBool("savegame.mod.fl10")  
        SetBool("savegame.mod.fz10")  
        SetBool("savegame.mod.fx10")  
        SetBool("savegame.mod.fc10")  
        SetBool("savegame.mod.fv10")  
        SetBool("savegame.mod.fb10") 
        SetBool("savegame.mod.fn10")  
        SetBool("savegame.mod.fm10")  
        SetBool("savegame.mod.f1q10")  
        SetBool("savegame.mod.f1w10")  
        SetBool("savegame.mod.f1e10")  
        SetBool("savegame.mod.f1r10") 
        SetBool("savegame.mod.f1t10")  
        SetBool("savegame.mod.f1y10")  
        SetBool("savegame.mod.f1u10")  
        SetBool("savegame.mod.f1i10")  
        SetBool("savegame.mod.f1o10")  
        SetBool("savegame.mod.f1p10")  
        SetBool("savegame.mod.f1a10")  
        SetBool("savegame.mod.f1s10")  
        SetBool("savegame.mod.f1d10")  
        SetBool("savegame.mod.f1f10")
        SetBool("savegame.mod.fq11")  
        SetBool("savegame.mod.fw11")  
        SetBool("savegame.mod.fe11")  
        SetBool("savegame.mod.fr11")  
        SetBool("savegame.mod.ft11")  
        SetBool("savegame.mod.fy11")  
        SetBool("savegame.mod.fu11")  
        SetBool("savegame.mod.fi11")  
        SetBool("savegame.mod.fo11")  
        SetBool("savegame.mod.fp11") 
        SetBool("savegame.mod.fa11") 
        SetBool("savegame.mod.fs11") 
        SetBool("savegame.mod.fd11") 
        SetBool("savegame.mod.ff11")  
        SetBool("savegame.mod.fg11")  
        SetBool("savegame.mod.fh11")  
        SetBool("savegame.mod.fj11")  
        SetBool("savegame.mod.fk11")  
        SetBool("savegame.mod.fl11")  
        SetBool("savegame.mod.fz11")  
        SetBool("savegame.mod.fx11")  
        SetBool("savegame.mod.fc11")  
        SetBool("savegame.mod.fv11")  
        SetBool("savegame.mod.fb11") 
        SetBool("savegame.mod.fn11")  
        SetBool("savegame.mod.fm11")  
        SetBool("savegame.mod.f1q11")  
        SetBool("savegame.mod.f1w11")  
        SetBool("savegame.mod.f1e11")  
        SetBool("savegame.mod.f1r11") 
        SetBool("savegame.mod.f1t11")  
        SetBool("savegame.mod.f1y11")  
        SetBool("savegame.mod.f1u11")  
        SetBool("savegame.mod.f1i11")  
        SetBool("savegame.mod.f1o11")  
        SetBool("savegame.mod.f1p11")  
        SetBool("savegame.mod.f1a11")  
        SetBool("savegame.mod.f1s11")  
        SetBool("savegame.mod.f1d11")  
        SetBool("savegame.mod.f1f11")  
        SetBool("savegame.mod.fq12")  
        SetBool("savegame.mod.fw12")  
        SetBool("savegame.mod.fe12")  
        SetBool("savegame.mod.fr12")  
        SetBool("savegame.mod.ft12")  
        SetBool("savegame.mod.fy12")  
        SetBool("savegame.mod.fu12")  
        SetBool("savegame.mod.fi12")  
        SetBool("savegame.mod.fo12")  
        SetBool("savegame.mod.fp12") 
        SetBool("savegame.mod.fa12") 
        SetBool("savegame.mod.fs12") 
        SetBool("savegame.mod.fd12") 
        SetBool("savegame.mod.ff12")  
        SetBool("savegame.mod.fg12")  
        SetBool("savegame.mod.fh12")  
        SetBool("savegame.mod.fj12")  
        SetBool("savegame.mod.fk12")  
        SetBool("savegame.mod.fl12")  
        SetBool("savegame.mod.fz12")  
        SetBool("savegame.mod.fx12")  
        SetBool("savegame.mod.fc12")  
        SetBool("savegame.mod.fv12")  
        SetBool("savegame.mod.fb12") 
        SetBool("savegame.mod.fn12")  
        SetBool("savegame.mod.fm12")  
        SetBool("savegame.mod.f1q12")  
        SetBool("savegame.mod.f1w12")  
        SetBool("savegame.mod.f1e12")  
        SetBool("savegame.mod.f1r12") 
        SetBool("savegame.mod.f1t12")  
        SetBool("savegame.mod.f1y12")  
        SetBool("savegame.mod.f1u12")  
        SetBool("savegame.mod.f1i12")  
        SetBool("savegame.mod.f1o12")  
        SetBool("savegame.mod.f1p12")  
        SetBool("savegame.mod.f1a12")  
        SetBool("savegame.mod.f1s12")  
        SetBool("savegame.mod.f1d12")  
        SetBool("savegame.mod.f1f12")  
        SetBool("savegame.mod.fq13")  
        SetBool("savegame.mod.fw13")  
        SetBool("savegame.mod.fe13")  
        SetBool("savegame.mod.fr13")  
        SetBool("savegame.mod.ft13")  
        SetBool("savegame.mod.fy13")  
        SetBool("savegame.mod.fu13")  
        SetBool("savegame.mod.fi13")  
        SetBool("savegame.mod.fo13")  
        SetBool("savegame.mod.fp13") 
        SetBool("savegame.mod.fa13") 
        SetBool("savegame.mod.fs13") 
        SetBool("savegame.mod.fd13") 
        SetBool("savegame.mod.ff13")  
        SetBool("savegame.mod.fg13")  
        SetBool("savegame.mod.fh13")  
        SetBool("savegame.mod.fj13")  
        SetBool("savegame.mod.fk13")  
        SetBool("savegame.mod.fl13")  
        SetBool("savegame.mod.fz13")  
        SetBool("savegame.mod.fx13")  
        SetBool("savegame.mod.fc13")  
        SetBool("savegame.mod.fv13")  
        SetBool("savegame.mod.fb13") 
        SetBool("savegame.mod.fn13")  
        SetBool("savegame.mod.fm13")  
        SetBool("savegame.mod.f1q13")  
        SetBool("savegame.mod.f1w13")  
        SetBool("savegame.mod.f1e13")  
        SetBool("savegame.mod.f1r13") 
        SetBool("savegame.mod.f1t13")  
        SetBool("savegame.mod.f1y13")  
        SetBool("savegame.mod.f1u13")  
        SetBool("savegame.mod.f1i13")  
        SetBool("savegame.mod.f1o13")  
        SetBool("savegame.mod.f1p13")  
        SetBool("savegame.mod.f1a13")  
        SetBool("savegame.mod.f1s13")  
        SetBool("savegame.mod.f1d13")  
        SetBool("savegame.mod.f1f13") 
        PlaySound(snd)
        
    end

    UiTranslate(10,60)
    local defaultbutton = UiTextButton("Default Lights", 200, 50)
    if defaultbutton then
        SetBool("savegame.mod.fq1", true)  
        SetBool("savegame.mod.fw1")  
        SetBool("savegame.mod.fe1", true)  
        SetBool("savegame.mod.fr1", true)  
        SetBool("savegame.mod.ft1")  
        SetBool("savegame.mod.fy1")  
        SetBool("savegame.mod.fu1", true)  
        SetBool("savegame.mod.fi1")  
        SetBool("savegame.mod.fo1")  
        SetBool("savegame.mod.fp1", true) 
        SetBool("savegame.mod.fa1") 
        SetBool("savegame.mod.fs1") 
        SetBool("savegame.mod.fd1", true) 
        SetBool("savegame.mod.ff1")  
        SetBool("savegame.mod.fg1")  
        SetBool("savegame.mod.fh1", true)  
        SetBool("savegame.mod.fj1", true)  
        SetBool("savegame.mod.fk1")  
        SetBool("savegame.mod.fl1")  
        SetBool("savegame.mod.fz1")  
        SetBool("savegame.mod.fx1")  
        SetBool("savegame.mod.fc1")  
        SetBool("savegame.mod.fv1")  
        SetBool("savegame.mod.fb1") 
        SetBool("savegame.mod.fn1")  
        SetBool("savegame.mod.fm1")  
        SetBool("savegame.mod.f1q1")  
        SetBool("savegame.mod.f1w1", true)  
        SetBool("savegame.mod.f1e1", true)  
        SetBool("savegame.mod.f1r1") 
        SetBool("savegame.mod.f1t1", true)  
        SetBool("savegame.mod.f1y1")  
        SetBool("savegame.mod.f1u1", true)  
        SetBool("savegame.mod.f1i1")  
        SetBool("savegame.mod.f1o1", true)  
        SetBool("savegame.mod.f1p1")  
        SetBool("savegame.mod.f1a1")  
        SetBool("savegame.mod.f1s1", true)  
        SetBool("savegame.mod.f1d1")  
        SetBool("savegame.mod.f1f1")  
        SetBool("savegame.mod.fq2", true)  
        SetBool("savegame.mod.fw2")  
        SetBool("savegame.mod.fe2", true)  
        SetBool("savegame.mod.fr2", true)  
        SetBool("savegame.mod.ft2", true)  
        SetBool("savegame.mod.fy2", true)  
        SetBool("savegame.mod.fu2", true)  
        SetBool("savegame.mod.fi2")  
        SetBool("savegame.mod.fo2", true)  
        SetBool("savegame.mod.fp2") 
        SetBool("savegame.mod.fa2") 
        SetBool("savegame.mod.fs2") 
        SetBool("savegame.mod.fd2") 
        SetBool("savegame.mod.ff2", true)  
        SetBool("savegame.mod.fg2")  
        SetBool("savegame.mod.fh2", true)  
        SetBool("savegame.mod.fj2", true)  
        SetBool("savegame.mod.fk2", true)  
        SetBool("savegame.mod.fl2")  
        SetBool("savegame.mod.fz2")  
        SetBool("savegame.mod.fx2")  
        SetBool("savegame.mod.fc2")  
        SetBool("savegame.mod.fv2")  
        SetBool("savegame.mod.fb2") 
        SetBool("savegame.mod.fn2")  
        SetBool("savegame.mod.fm2")  
        SetBool("savegame.mod.f1q2", true)  
        SetBool("savegame.mod.f1w2", true)  
        SetBool("savegame.mod.f1e2", true)  
        SetBool("savegame.mod.f1r2", true) 
        SetBool("savegame.mod.f1t2", true)  
        SetBool("savegame.mod.f1y2", true)  
        SetBool("savegame.mod.f1u2", true)  
        SetBool("savegame.mod.f1i2", true)  
        SetBool("savegame.mod.f1o2", true)  
        SetBool("savegame.mod.f1p2", true)  
        SetBool("savegame.mod.f1a2")  
        SetBool("savegame.mod.f1s2", true)  
        SetBool("savegame.mod.f1d2")  
        SetBool("savegame.mod.f1f2", true)  
        SetBool("savegame.mod.fq3", true)  
        SetBool("savegame.mod.fw3")  
        SetBool("savegame.mod.fe3")  
        SetBool("savegame.mod.fr3")  
        SetBool("savegame.mod.ft3", true)  
        SetBool("savegame.mod.fy3", true)  
        SetBool("savegame.mod.fu3")  
        SetBool("savegame.mod.fi3")  
        SetBool("savegame.mod.fo3", true)  
        SetBool("savegame.mod.fp3", true) 
        SetBool("savegame.mod.fa3") 
        SetBool("savegame.mod.fs3") 
        SetBool("savegame.mod.fd3", true) 
        SetBool("savegame.mod.ff3", true)  
        SetBool("savegame.mod.fg3")  
        SetBool("savegame.mod.fh3")  
        SetBool("savegame.mod.fj3")  
        SetBool("savegame.mod.fk3", true)  
        SetBool("savegame.mod.fl3", true)  
        SetBool("savegame.mod.fz3")  
        SetBool("savegame.mod.fx3")  
        SetBool("savegame.mod.fc3")  
        SetBool("savegame.mod.fv3")  
        SetBool("savegame.mod.fb3") 
        SetBool("savegame.mod.fn3")  
        SetBool("savegame.mod.fm3", true)  
        SetBool("savegame.mod.f1q3", true)  
        SetBool("savegame.mod.f1w3")  
        SetBool("savegame.mod.f1e3")  
        SetBool("savegame.mod.f1r3", true) 
        SetBool("savegame.mod.f1t3")  
        SetBool("savegame.mod.f1y3", true)  
        SetBool("savegame.mod.f1u3")  
        SetBool("savegame.mod.f1i3", true)  
        SetBool("savegame.mod.f1o3")  
        SetBool("savegame.mod.f1p3", true)  
        SetBool("savegame.mod.f1a3")  
        SetBool("savegame.mod.f1s3")  
        SetBool("savegame.mod.f1d3")  
        SetBool("savegame.mod.f1f3", true) 
        SetBool("savegame.mod.fq4")  
        SetBool("savegame.mod.fw4")  
        SetBool("savegame.mod.fe4")  
        SetBool("savegame.mod.fr4")  
        SetBool("savegame.mod.ft4")  
        SetBool("savegame.mod.fy4")  
        SetBool("savegame.mod.fu4")  
        SetBool("savegame.mod.fi4", true)  
        SetBool("savegame.mod.fo4", true)  
        SetBool("savegame.mod.fp4") 
        SetBool("savegame.mod.fa4") 
        SetBool("savegame.mod.fs4") 
        SetBool("savegame.mod.fd4") 
        SetBool("savegame.mod.ff4", true)  
        SetBool("savegame.mod.fg4", true)  
        SetBool("savegame.mod.fh4")  
        SetBool("savegame.mod.fj4")  
        SetBool("savegame.mod.fk4")  
        SetBool("savegame.mod.fl4", true)  
        SetBool("savegame.mod.fz4", true)  
        SetBool("savegame.mod.fx4")  
        SetBool("savegame.mod.fc4")  
        SetBool("savegame.mod.fv4")  
        SetBool("savegame.mod.fb4") 
        SetBool("savegame.mod.fn4", true)  
        SetBool("savegame.mod.fm4", true)  
        SetBool("savegame.mod.f1q4")  
        SetBool("savegame.mod.f1w4")  
        SetBool("savegame.mod.f1e4")  
        SetBool("savegame.mod.f1r4") 
        SetBool("savegame.mod.f1t4")  
        SetBool("savegame.mod.f1y4")  
        SetBool("savegame.mod.f1u4")  
        SetBool("savegame.mod.f1i4")  
        SetBool("savegame.mod.f1o4")  
        SetBool("savegame.mod.f1p4")  
        SetBool("savegame.mod.f1a4")  
        SetBool("savegame.mod.f1s4")  
        SetBool("savegame.mod.f1d4")  
        SetBool("savegame.mod.f1f4")  
        SetBool("savegame.mod.fq5", true)  
        SetBool("savegame.mod.fw5")  
        SetBool("savegame.mod.fe5")  
        SetBool("savegame.mod.fr5")  
        SetBool("savegame.mod.ft5", true)  
        SetBool("savegame.mod.fy5", true)  
        SetBool("savegame.mod.fu5")  
        SetBool("savegame.mod.fi5", true)  
        SetBool("savegame.mod.fo5")  
        SetBool("savegame.mod.fp5", true) 
        SetBool("savegame.mod.fa5") 
        SetBool("savegame.mod.fs5") 
        SetBool("savegame.mod.fd5", true) 
        SetBool("savegame.mod.ff5")  
        SetBool("savegame.mod.fg5", true)  
        SetBool("savegame.mod.fh5")  
        SetBool("savegame.mod.fj5")  
        SetBool("savegame.mod.fk5")  
        SetBool("savegame.mod.fl5")  
        SetBool("savegame.mod.fz5", true)  
        SetBool("savegame.mod.fx5", true)  
        SetBool("savegame.mod.fc5")  
        SetBool("savegame.mod.fv5")  
        SetBool("savegame.mod.fb5", true) 
        SetBool("savegame.mod.fn5", true)  
        SetBool("savegame.mod.fm5")  
        SetBool("savegame.mod.f1q5")  
        SetBool("savegame.mod.f1w5")  
        SetBool("savegame.mod.f1e5")  
        SetBool("savegame.mod.f1r5", true) 
        SetBool("savegame.mod.f1t5")  
        SetBool("savegame.mod.f1y5", true)  
        SetBool("savegame.mod.f1u5")  
        SetBool("savegame.mod.f1i5", true)  
        SetBool("savegame.mod.f1o5")  
        SetBool("savegame.mod.f1p5", true)  
        SetBool("savegame.mod.f1a5")  
        SetBool("savegame.mod.f1s5", true)  
        SetBool("savegame.mod.f1d5")  
        SetBool("savegame.mod.f1f5", true)  
        SetBool("savegame.mod.fq6")  
        SetBool("savegame.mod.fw6")  
        SetBool("savegame.mod.fe6", true)  
        SetBool("savegame.mod.fr6", true)  
        SetBool("savegame.mod.ft6", true)  
        SetBool("savegame.mod.fy6", true)  
        SetBool("savegame.mod.fu6")  
        SetBool("savegame.mod.fi6", true)  
        SetBool("savegame.mod.fo6")  
        SetBool("savegame.mod.fp6") 
        SetBool("savegame.mod.fa6", true) 
        SetBool("savegame.mod.fs6", true) 
        SetBool("savegame.mod.fd6") 
        SetBool("savegame.mod.ff6")  
        SetBool("savegame.mod.fg6", true)  
        SetBool("savegame.mod.fh6")  
        SetBool("savegame.mod.fj6")  
        SetBool("savegame.mod.fk6")  
        SetBool("savegame.mod.fl6")  
        SetBool("savegame.mod.fz6")  
        SetBool("savegame.mod.fx6", true)  
        SetBool("savegame.mod.fc6", true)  
        SetBool("savegame.mod.fv6", true)  
        SetBool("savegame.mod.fb6", true) 
        SetBool("savegame.mod.fn6")  
        SetBool("savegame.mod.fm6")  
        SetBool("savegame.mod.f1q6")  
        SetBool("savegame.mod.f1w6")  
        SetBool("savegame.mod.f1e6", true)  
        SetBool("savegame.mod.f1r6", true) 
        SetBool("savegame.mod.f1t6", true)  
        SetBool("savegame.mod.f1y6", true)  
        SetBool("savegame.mod.f1u6", true)  
        SetBool("savegame.mod.f1i6", true)  
        SetBool("savegame.mod.f1o6", true)  
        SetBool("savegame.mod.f1p6", true)  
        SetBool("savegame.mod.f1a6")  
        SetBool("savegame.mod.f1s6")  
        SetBool("savegame.mod.f1d6")  
        SetBool("savegame.mod.f1f6")  
        SetBool("savegame.mod.fq7")  
        SetBool("savegame.mod.fw7", true)  
        SetBool("savegame.mod.fe7", true)  
        SetBool("savegame.mod.fr7", true)  
        SetBool("savegame.mod.ft7")  
        SetBool("savegame.mod.fy7")  
        SetBool("savegame.mod.fu7")  
        SetBool("savegame.mod.fi7")  
        SetBool("savegame.mod.fo7")  
        SetBool("savegame.mod.fp7") 
        SetBool("savegame.mod.fa7", true) 
        SetBool("savegame.mod.fs7", true) 
        SetBool("savegame.mod.fd7") 
        SetBool("savegame.mod.ff7")  
        SetBool("savegame.mod.fg7")  
        SetBool("savegame.mod.fh7")  
        SetBool("savegame.mod.fj7")  
        SetBool("savegame.mod.fk7")  
        SetBool("savegame.mod.fl7")  
        SetBool("savegame.mod.fz7")  
        SetBool("savegame.mod.fx7")  
        SetBool("savegame.mod.fc7", true)  
        SetBool("savegame.mod.fv7", true)  
        SetBool("savegame.mod.fb7") 
        SetBool("savegame.mod.fn7")  
        SetBool("savegame.mod.fm7")  
        SetBool("savegame.mod.f1q7")  
        SetBool("savegame.mod.f1w7")  
        SetBool("savegame.mod.f1e7", true)  
        SetBool("savegame.mod.f1r7") 
        SetBool("savegame.mod.f1t7", true)  
        SetBool("savegame.mod.f1y7")  
        SetBool("savegame.mod.f1u7", true)  
        SetBool("savegame.mod.f1i7")  
        SetBool("savegame.mod.f1o7", true)  
        SetBool("savegame.mod.f1p7")  
        SetBool("savegame.mod.f1a7", true)  
        SetBool("savegame.mod.f1s7")  
        SetBool("savegame.mod.f1d7")  
        SetBool("savegame.mod.f1f7")  
        SetBool("savegame.mod.fq8")  
        SetBool("savegame.mod.fw8", true)  
        SetBool("savegame.mod.fe8", true)  
        SetBool("savegame.mod.fr8", true)  
        SetBool("savegame.mod.ft8")  
        SetBool("savegame.mod.fy8")  
        SetBool("savegame.mod.fu8", true)  
        SetBool("savegame.mod.fi8")  
        SetBool("savegame.mod.fo8")  
        SetBool("savegame.mod.fp8") 
        SetBool("savegame.mod.fa8") 
        SetBool("savegame.mod.fs8") 
        SetBool("savegame.mod.fd8") 
        SetBool("savegame.mod.ff8")  
        SetBool("savegame.mod.fg8")  
        SetBool("savegame.mod.fh8", true)  
        SetBool("savegame.mod.fj8")  
        SetBool("savegame.mod.fk8")  
        SetBool("savegame.mod.fl8")  
        SetBool("savegame.mod.fz8")  
        SetBool("savegame.mod.fx8", true)  
        SetBool("savegame.mod.fc8", true)  
        SetBool("savegame.mod.fv8", true)  
        SetBool("savegame.mod.fb8", true) 
        SetBool("savegame.mod.fn8")  
        SetBool("savegame.mod.fm8")  
        SetBool("savegame.mod.f1q8")  
        SetBool("savegame.mod.f1w8")  
        SetBool("savegame.mod.f1e8")  
        SetBool("savegame.mod.f1r8") 
        SetBool("savegame.mod.f1t8")  
        SetBool("savegame.mod.f1y8")  
        SetBool("savegame.mod.f1u8")  
        SetBool("savegame.mod.f1i8")  
        SetBool("savegame.mod.f1o8")  
        SetBool("savegame.mod.f1p8")  
        SetBool("savegame.mod.f1a8", true)  
        SetBool("savegame.mod.f1s8")  
        SetBool("savegame.mod.f1d8", true)  
        SetBool("savegame.mod.f1f8") 
        SetBool("savegame.mod.fq9")  
        SetBool("savegame.mod.fw9", true)  
        SetBool("savegame.mod.fe9", true)  
        SetBool("savegame.mod.fr9", true)  
        SetBool("savegame.mod.ft9", true)  
        SetBool("savegame.mod.fy9", true)  
        SetBool("savegame.mod.fu9", true)  
        SetBool("savegame.mod.fi9")  
        SetBool("savegame.mod.fo9", true)  
        SetBool("savegame.mod.fp9", true) 
        SetBool("savegame.mod.fa9") 
        SetBool("savegame.mod.fs9") 
        SetBool("savegame.mod.fd9", true) 
        SetBool("savegame.mod.ff9", true)  
        SetBool("savegame.mod.fg9")  
        SetBool("savegame.mod.fh9", true)  
        SetBool("savegame.mod.fj9")  
        SetBool("savegame.mod.fk9")  
        SetBool("savegame.mod.fl9")  
        SetBool("savegame.mod.fz9", true)  
        SetBool("savegame.mod.fx9", true)  
        SetBool("savegame.mod.fc9")  
        SetBool("savegame.mod.fv9")  
        SetBool("savegame.mod.fb9", true) 
        SetBool("savegame.mod.fn9", true)  
        SetBool("savegame.mod.fm9")  
        SetBool("savegame.mod.f1q9")  
        SetBool("savegame.mod.f1w9")  
        SetBool("savegame.mod.f1e9", true)  
        SetBool("savegame.mod.f1r9") 
        SetBool("savegame.mod.f1t9", true)  
        SetBool("savegame.mod.f1y9")  
        SetBool("savegame.mod.f1u9", true)  
        SetBool("savegame.mod.f1i9")  
        SetBool("savegame.mod.f1o9", true)  
        SetBool("savegame.mod.f1p9")  
        SetBool("savegame.mod.f1a9")  
        SetBool("savegame.mod.f1s9")  
        SetBool("savegame.mod.f1d9", true)  
        SetBool("savegame.mod.f1f9")
        SetBool("savegame.mod.fq10")  
        SetBool("savegame.mod.fw10")  
        SetBool("savegame.mod.fe10")  
        SetBool("savegame.mod.fr10")  
        SetBool("savegame.mod.ft10", true)  
        SetBool("savegame.mod.fy10", true)  
        SetBool("savegame.mod.fu10")  
        SetBool("savegame.mod.fi10")  
        SetBool("savegame.mod.fo10", true)  
        SetBool("savegame.mod.fp10") 
        SetBool("savegame.mod.fa10") 
        SetBool("savegame.mod.fs10") 
        SetBool("savegame.mod.fd10") 
        SetBool("savegame.mod.ff10", true)  
        SetBool("savegame.mod.fg10")  
        SetBool("savegame.mod.fh10")  
        SetBool("savegame.mod.fj10")  
        SetBool("savegame.mod.fk10")  
        SetBool("savegame.mod.fl10", true)  
        SetBool("savegame.mod.fz10", true)  
        SetBool("savegame.mod.fx10")  
        SetBool("savegame.mod.fc10")  
        SetBool("savegame.mod.fv10")  
        SetBool("savegame.mod.fb10") 
        SetBool("savegame.mod.fn10", true)  
        SetBool("savegame.mod.fm10", true)  
        SetBool("savegame.mod.f1q10")  
        SetBool("savegame.mod.f1w10")  
        SetBool("savegame.mod.f1e10", true)  
        SetBool("savegame.mod.f1r10", true) 
        SetBool("savegame.mod.f1t10", true)  
        SetBool("savegame.mod.f1y10", true)  
        SetBool("savegame.mod.f1u10", true)  
        SetBool("savegame.mod.f1i10", true)  
        SetBool("savegame.mod.f1o10", true)  
        SetBool("savegame.mod.f1p10", true)  
        SetBool("savegame.mod.f1a10")  
        SetBool("savegame.mod.f1s10")  
        SetBool("savegame.mod.f1d10")  
        SetBool("savegame.mod.f1f10")
        SetBool("savegame.mod.fq11")  
        SetBool("savegame.mod.fw11", true)  
        SetBool("savegame.mod.fe11")  
        SetBool("savegame.mod.fr11")  
        SetBool("savegame.mod.ft11")  
        SetBool("savegame.mod.fy11")  
        SetBool("savegame.mod.fu11")  
        SetBool("savegame.mod.fi11", true)  
        SetBool("savegame.mod.fo11", true)  
        SetBool("savegame.mod.fp11") 
        SetBool("savegame.mod.fa11") 
        SetBool("savegame.mod.fs11") 
        SetBool("savegame.mod.fd11") 
        SetBool("savegame.mod.ff11", true)  
        SetBool("savegame.mod.fg11", true)  
        SetBool("savegame.mod.fh11")  
        SetBool("savegame.mod.fj11")  
        SetBool("savegame.mod.fk11", true)  
        SetBool("savegame.mod.fl11", true)  
        SetBool("savegame.mod.fz11")  
        SetBool("savegame.mod.fx11")  
        SetBool("savegame.mod.fc11")  
        SetBool("savegame.mod.fv11")  
        SetBool("savegame.mod.fb11") 
        SetBool("savegame.mod.fn11")  
        SetBool("savegame.mod.fm11", true)  
        SetBool("savegame.mod.f1q11", true)  
        SetBool("savegame.mod.f1w11")  
        SetBool("savegame.mod.f1e11")  
        SetBool("savegame.mod.f1r11", true) 
        SetBool("savegame.mod.f1t11")  
        SetBool("savegame.mod.f1y11", true)  
        SetBool("savegame.mod.f1u11")  
        SetBool("savegame.mod.f1i11", true)  
        SetBool("savegame.mod.f1o11")  
        SetBool("savegame.mod.f1p11", true)  
        SetBool("savegame.mod.f1a11", true)  
        SetBool("savegame.mod.f1s11")  
        SetBool("savegame.mod.f1d11", true)  
        SetBool("savegame.mod.f1f11")  
        SetBool("savegame.mod.fq12")  
        SetBool("savegame.mod.fw12")  
        SetBool("savegame.mod.fe12")  
        SetBool("savegame.mod.fr12")  
        SetBool("savegame.mod.ft12")  
        SetBool("savegame.mod.fy12")  
        SetBool("savegame.mod.fu12")  
        SetBool("savegame.mod.fi12", true)  
        SetBool("savegame.mod.fo12")  
        SetBool("savegame.mod.fp12") 
        SetBool("savegame.mod.fa12") 
        SetBool("savegame.mod.fs12") 
        SetBool("savegame.mod.fd12") 
        SetBool("savegame.mod.ff12")  
        SetBool("savegame.mod.fg12", true)  
        SetBool("savegame.mod.fh12")  
        SetBool("savegame.mod.fj12", true)  
        SetBool("savegame.mod.fk12", true)  
        SetBool("savegame.mod.fl12")  
        SetBool("savegame.mod.fz12")  
        SetBool("savegame.mod.fx12")  
        SetBool("savegame.mod.fc12")  
        SetBool("savegame.mod.fv12")  
        SetBool("savegame.mod.fb12") 
        SetBool("savegame.mod.fn12")  
        SetBool("savegame.mod.fm12")  
        SetBool("savegame.mod.f1q12", true)  
        SetBool("savegame.mod.f1w12", true)  
        SetBool("savegame.mod.f1e12")  
        SetBool("savegame.mod.f1r12") 
        SetBool("savegame.mod.f1t12")  
        SetBool("savegame.mod.f1y12")  
        SetBool("savegame.mod.f1u12")  
        SetBool("savegame.mod.f1i12")  
        SetBool("savegame.mod.f1o12")  
        SetBool("savegame.mod.f1p12")  
        SetBool("savegame.mod.f1a12")  
        SetBool("savegame.mod.f1s12")  
        SetBool("savegame.mod.f1d12")  
        SetBool("savegame.mod.f1f12")  
        SetBool("savegame.mod.fq13")  
        SetBool("savegame.mod.fw13")  
        SetBool("savegame.mod.fe13")  
        SetBool("savegame.mod.fr13")  
        SetBool("savegame.mod.ft13")  
        SetBool("savegame.mod.fy13")  
        SetBool("savegame.mod.fu13")  
        SetBool("savegame.mod.fi13", true)  
        SetBool("savegame.mod.fo13")  
        SetBool("savegame.mod.fp13") 
        SetBool("savegame.mod.fa13") 
        SetBool("savegame.mod.fs13") 
        SetBool("savegame.mod.fd13") 
        SetBool("savegame.mod.ff13")  
        SetBool("savegame.mod.fg13", true)  
        SetBool("savegame.mod.fh13")  
        SetBool("savegame.mod.fj13", true)  
        SetBool("savegame.mod.fk13", true)  
        SetBool("savegame.mod.fl13")  
        SetBool("savegame.mod.fz13")  
        SetBool("savegame.mod.fx13")  
        SetBool("savegame.mod.fc13")  
        SetBool("savegame.mod.fv13")  
        SetBool("savegame.mod.fb13") 
        SetBool("savegame.mod.fn13")  
        SetBool("savegame.mod.fm13")  
        SetBool("savegame.mod.f1q13", true)  
        SetBool("savegame.mod.f1w13", true)  
        SetBool("savegame.mod.f1e13")  
        SetBool("savegame.mod.f1r13") 
        SetBool("savegame.mod.f1t13")  
        SetBool("savegame.mod.f1y13")  
        SetBool("savegame.mod.f1u13")  
        SetBool("savegame.mod.f1i13")  
        SetBool("savegame.mod.f1o13")  
        SetBool("savegame.mod.f1p13")  
        SetBool("savegame.mod.f1a13")  
        SetBool("savegame.mod.f1s13")  
        SetBool("savegame.mod.f1d13")  
        SetBool("savegame.mod.f1f13") 
        PlaySound(snd)
    end


    UiPop()

		else
            UiColor(1,1,1)
			UiText("Press M to configure")
            SetBool("game.disablepause", false)
            SetBool("game.disablemap", false)
		end

        -- farol 1
    if GetBool("savegame.mod.fq1") then
        fqq0 = GetFloat("savegame.mod.lighs.headlight")
    else
        fqq0 = 0
    end
    if GetBool("savegame.mod.fq2") then
        fqq5 = GetFloat("savegame.mod.lighs.headlight")
    else
        fqq5 = 0
    end
    if GetBool("savegame.mod.fq3") then
        fqq10 = GetFloat("savegame.mod.lighs.headlight")
    else
        fqq10 = 0
    end
    if GetBool("savegame.mod.fq4") then
        fqq15 = GetFloat("savegame.mod.lighs.headlight")
    else
        fqq15 = 0
    end
    if GetBool("savegame.mod.fq5") then
        fqq20 = GetFloat("savegame.mod.lighs.headlight")
    else
        fqq20 = 0
    end
    if GetBool("savegame.mod.fq6") then
        fqq25 = GetFloat("savegame.mod.lighs.headlight")
    else
        fqq25 = 0
    end
    if GetBool("savegame.mod.fq7") then
        fqq30 = GetFloat("savegame.mod.lighs.headlight")
    else
        fqq30 = 0
    end
    if GetBool("savegame.mod.fq8") then
        fqq35 = GetFloat("savegame.mod.lighs.headlight")
    else
        fqq35 = 0
    end
    if GetBool("savegame.mod.fq9") then
        fqq40 = GetFloat("savegame.mod.lighs.headlight")
    else
        fqq40 = 0
    end
    if GetBool("savegame.mod.fq10") then
        fqq45 = GetFloat("savegame.mod.lighs.headlight")
    else
        fqq45 = 0
    end
    if GetBool("savegame.mod.fq11") then
        fqq50 = GetFloat("savegame.mod.lighs.headlight")
    else
        fqq50 = 0
    end
    if GetBool("savegame.mod.fq12") then
        fqq55 = GetFloat("savegame.mod.lighs.headlight")
    else
        fqq55 = 0
    end
    if GetBool("savegame.mod.fq13") then
        fqq59 = GetFloat("savegame.mod.lighs.headlight")
    else
        fqq59 = 0
    end

    -- farol 2
    if GetBool("savegame.mod.fw1") then
        fww0 = GetFloat("savegame.mod.lighs.headlight")
    else
        fww0 = 0
    end
    if GetBool("savegame.mod.fw2") then
        fww5 = GetFloat("savegame.mod.lighs.headlight")
    else
        fww5 = 0
    end
    if GetBool("savegame.mod.fw3") then
        fww10 = GetFloat("savegame.mod.lighs.headlight")
    else
        fww10 = 0
    end
    if GetBool("savegame.mod.fw4") then
        fww15 = GetFloat("savegame.mod.lighs.headlight")
    else
        fww15 = 0
    end
    if GetBool("savegame.mod.fw5") then
        fww20 = GetFloat("savegame.mod.lighs.headlight")
    else
        fww20 = 0
    end
    if GetBool("savegame.mod.fw6") then
        fww25 = GetFloat("savegame.mod.lighs.headlight")
    else
        fww25 = 0
    end
    if GetBool("savegame.mod.fw7") then
        fww30 = GetFloat("savegame.mod.lighs.headlight")
    else
        fww30 = 0
    end
    if GetBool("savegame.mod.fw8") then
        fww35 = GetFloat("savegame.mod.lighs.headlight")
    else
        fww35 = 0
    end
    if GetBool("savegame.mod.fw9") then
        fww40 = GetFloat("savegame.mod.lighs.headlight")
    else
        fww40 = 0
    end
    if GetBool("savegame.mod.fw10") then
        fww45 = GetFloat("savegame.mod.lighs.headlight")
    else
        fww45 = 0
    end
    if GetBool("savegame.mod.fw11") then
        fww50 = GetFloat("savegame.mod.lighs.headlight")
    else
        fww50 = 0
    end
    if GetBool("savegame.mod.fw12") then
        fww55 = GetFloat("savegame.mod.lighs.headlight")
    else
        fww55 = 0
    end
    if GetBool("savegame.mod.fw13") then
        fww59 = GetFloat("savegame.mod.lighs.headlight")
    else
        fww59 = 0
    end

    -- farol 3
    if GetBool("savegame.mod.fe1") then
        fee0 = GetFloat("savegame.mod.emlights.front")
    else
        fee0 = 0
    end
    if GetBool("savegame.mod.fe2") then
        fee5 = GetFloat("savegame.mod.emlights.front")
    else
        fee5 = 0
    end
    if GetBool("savegame.mod.fe3") then
        fee10 = GetFloat("savegame.mod.emlights.front")
    else
        fee10 = 0
    end
    if GetBool("savegame.mod.fe4") then
        fee15 = GetFloat("savegame.mod.emlights.front")
    else
        fee15 = 0
    end
    if GetBool("savegame.mod.fe5") then
        fee20 = GetFloat("savegame.mod.emlights.front")
    else
        fee20 = 0
    end
    if GetBool("savegame.mod.fe6") then
        fee25 = GetFloat("savegame.mod.emlights.front")
    else
        fee25 = 0
    end
    if GetBool("savegame.mod.fe7") then
        fee30 = GetFloat("savegame.mod.emlights.front")
    else
        fee30 = 0
    end
    if GetBool("savegame.mod.fe8") then
        fee35 = GetFloat("savegame.mod.emlights.front")
    else
        fee35 = 0
    end
    if GetBool("savegame.mod.fe9") then
        fee40 = GetFloat("savegame.mod.emlights.front")
    else
        fee40 = 0
    end
    if GetBool("savegame.mod.fe10") then
        fee45 = GetFloat("savegame.mod.emlights.front")
    else
        fee45 = 0
    end
    if GetBool("savegame.mod.fe11") then
        fee50 = GetFloat("savegame.mod.emlights.front")
    else
        fee50 = 0
    end
    if GetBool("savegame.mod.fe12") then
        fee55 = GetFloat("savegame.mod.emlights.front")
    else
        fee55 = 0
    end
    if GetBool("savegame.mod.fe13") then
        fee59 = GetFloat("savegame.mod.emlights.front")
    else
        fee59 = 0
    end

    -- farol 4
    if GetBool("savegame.mod.fr1") then
        frr0 = GetFloat("savegame.mod.emlights.front")
    else
        frr0 = 0
    end
    if GetBool("savegame.mod.fr2") then
        frr5 = GetFloat("savegame.mod.emlights.front")
    else
        frr5 = 0
    end
    if GetBool("savegame.mod.fr3") then
        frr10 = GetFloat("savegame.mod.emlights.front")
    else
        frr10 = 0
    end
    if GetBool("savegame.mod.fr4") then
        frr15 = GetFloat("savegame.mod.emlights.front")
    else
        frr15 = 0
    end
    if GetBool("savegame.mod.fr5") then
        frr20 = GetFloat("savegame.mod.emlights.front")
    else
        frr20 = 0
    end
    if GetBool("savegame.mod.fr6") then
        frr25 = GetFloat("savegame.mod.emlights.front")
    else
        frr25 = 0
    end
    if GetBool("savegame.mod.fr7") then
        frr30 = GetFloat("savegame.mod.emlights.front")
    else
        frr30 = 0
    end
    if GetBool("savegame.mod.fr8") then
        frr35 = GetFloat("savegame.mod.emlights.front")
    else
        frr35 = 0
    end
    if GetBool("savegame.mod.fr9") then
        frr40 = GetFloat("savegame.mod.emlights.front")
    else
        frr40 = 0
    end
    if GetBool("savegame.mod.fr10") then
        frr45 = GetFloat("savegame.mod.emlights.front")
    else
        frr45 = 0
    end
    if GetBool("savegame.mod.fr11") then
        frr50 = GetFloat("savegame.mod.emlights.front")
    else
        frr50 = 0
    end
    if GetBool("savegame.mod.fr12") then
        frr55 = GetFloat("savegame.mod.emlights.front")
    else
        frr55 = 0
    end
    if GetBool("savegame.mod.fr13") then
        frr59 = GetFloat("savegame.mod.emlights.front")
    else
        frr59 = 0
    end

    -- farol 5
    if GetBool("savegame.mod.ft1") then
        ftt0 = GetFloat("savegame.mod.emlights.front")
    else
        ftt0 = 0
    end
    if GetBool("savegame.mod.ft2") then
        ftt5 = GetFloat("savegame.mod.emlights.front")
    else
        ftt5 = 0
    end
    if GetBool("savegame.mod.ft3") then
        ftt10 = GetFloat("savegame.mod.emlights.front")
    else
        ftt10 = 0
    end
    if GetBool("savegame.mod.ft4") then
        ftt15 = GetFloat("savegame.mod.emlights.front")
    else
        ftt15 = 0
    end
    if GetBool("savegame.mod.ft5") then
        ftt20 = GetFloat("savegame.mod.emlights.front")
    else
        ftt20 = 0
    end
    if GetBool("savegame.mod.ft6") then
        ftt25 = GetFloat("savegame.mod.emlights.front")
    else
        ftt25 = 0
    end
    if GetBool("savegame.mod.ft7") then
        ftt30 = GetFloat("savegame.mod.emlights.front")
    else
        ftt30 = 0
    end
    if GetBool("savegame.mod.ft8") then
        ftt35 = GetFloat("savegame.mod.emlights.front")
    else
        ftt35 = 0
    end
    if GetBool("savegame.mod.ft9") then
        ftt40 = GetFloat("savegame.mod.emlights.front")
    else
        ftt40 = 0
    end
    if GetBool("savegame.mod.ft10") then
        ftt45 = GetFloat("savegame.mod.emlights.front")
    else
        ftt45 = 0
    end
    if GetBool("savegame.mod.ft11") then
        ftt50 = GetFloat("savegame.mod.emlights.front")
    else
        ftt50 = 0
    end
    if GetBool("savegame.mod.ft12") then
        ftt55 = GetFloat("savegame.mod.emlights.front")
    else
        ftt55 = 0
    end
    if GetBool("savegame.mod.ft13") then
        ftt59 = GetFloat("savegame.mod.emlights.front")
    else
        ftt59 = 0
    end

    -- farol 6
    if GetBool("savegame.mod.fy1") then
        fyy0 = GetFloat("savegame.mod.emlights.front")
    else
        fyy0 = 0
    end
    if GetBool("savegame.mod.fy2") then
        fyy5 = GetFloat("savegame.mod.emlights.front")
    else
        fyy5 = 0
    end
    if GetBool("savegame.mod.fy3") then
        fyy10 = GetFloat("savegame.mod.emlights.front")
    else
        fyy10 = 0
    end
    if GetBool("savegame.mod.fy4") then
        fyy15 = GetFloat("savegame.mod.emlights.front")
    else
        fyy15 = 0
    end
    if GetBool("savegame.mod.fy5") then
        fyy20 = GetFloat("savegame.mod.emlights.front")
    else
        fyy20 = 0
    end
    if GetBool("savegame.mod.fy6") then
        fyy25 = GetFloat("savegame.mod.emlights.front")
    else
        fyy25 = 0
    end
    if GetBool("savegame.mod.fy7") then
        fyy30 = GetFloat("savegame.mod.emlights.front")
    else
        fyy30 = 0
    end
    if GetBool("savegame.mod.fy8") then
        fyy35 = GetFloat("savegame.mod.emlights.front")
    else
        fyy35 = 0
    end
    if GetBool("savegame.mod.fy9") then
        fyy40 = GetFloat("savegame.mod.emlights.front")
    else
        fyy40 = 0
    end
    if GetBool("savegame.mod.fy10") then
        fyy45 = GetFloat("savegame.mod.emlights.front")
    else
        fyy45 = 0
    end
    if GetBool("savegame.mod.fy11") then
        fyy50 = GetFloat("savegame.mod.emlights.front")
    else
        fyy50 = 0
    end
    if GetBool("savegame.mod.fy12") then
        fyy55 = GetFloat("savegame.mod.emlights.front")
    else
        fyy55 = 0
    end
    if GetBool("savegame.mod.fy13") then
        fyy59 = GetFloat("savegame.mod.emlights.front")
    else
        fyy59 = 0
    end

    -- farol 7
    if GetBool("savegame.mod.fu1") then
        fuu0 = GetFloat("savegame.mod.emlights.top")
    else
        fuu0 = 0
    end
    if GetBool("savegame.mod.fu2") then
        fuu5 = GetFloat("savegame.mod.emlights.top")
    else
        fuu5 = 0
    end
    if GetBool("savegame.mod.fu3") then
        fuu10 = GetFloat("savegame.mod.emlights.top")
    else
        fuu10 = 0
    end
    if GetBool("savegame.mod.fu4") then
        fuu15 = GetFloat("savegame.mod.emlights.top")
    else
        fuu15 = 0
    end
    if GetBool("savegame.mod.fu5") then
        fuu20 = GetFloat("savegame.mod.emlights.top")
    else
        fuu20 = 0
    end
    if GetBool("savegame.mod.fu6") then
        fuu25 = GetFloat("savegame.mod.emlights.top")
    else
        fuu25 = 0
    end
    if GetBool("savegame.mod.fu7") then
        fuu30 = GetFloat("savegame.mod.emlights.top")
    else
        fuu30 = 0
    end
    if GetBool("savegame.mod.fu8") then
        fuu35 = GetFloat("savegame.mod.emlights.top")
    else
        fuu35 = 0
    end
    if GetBool("savegame.mod.fu9") then
        fuu40 = GetFloat("savegame.mod.emlights.top")
    else
        fuu40 = 0
    end
    if GetBool("savegame.mod.fu10") then
        fuu45 = GetFloat("savegame.mod.emlights.top")
    else
        fuu45 = 0
    end
    if GetBool("savegame.mod.fu11") then
        fuu50 = GetFloat("savegame.mod.emlights.top")
    else
        fuu50 = 0
    end
    if GetBool("savegame.mod.fu12") then
        fuu55 = GetFloat("savegame.mod.emlights.top")
    else
        fuu55 = 0
    end
    if GetBool("savegame.mod.fu13") then
        fuu59 = GetFloat("savegame.mod.emlights.top")
    else
        fuu59 = 0
    end

    -- farol 8
    if GetBool("savegame.mod.fi1") then
        fii0 = GetFloat("savegame.mod.emlights.top")
    else
        fii0 = 0
    end
    if GetBool("savegame.mod.fi2") then
        fii5 = GetFloat("savegame.mod.emlights.top")
    else
        fii5 = 0
    end
    if GetBool("savegame.mod.fi3") then
        fii10 = GetFloat("savegame.mod.emlights.top")
    else
        fii10 = 0
    end
    if GetBool("savegame.mod.fi4") then
        fii15 = GetFloat("savegame.mod.emlights.top")
    else
        fii15 = 0
    end
    if GetBool("savegame.mod.fi5") then
        fii20 = GetFloat("savegame.mod.emlights.top")
    else
        fii20 = 0
    end
    if GetBool("savegame.mod.fi6") then
        fii25 = GetFloat("savegame.mod.emlights.top")
    else
        fii25 = 0
    end
    if GetBool("savegame.mod.fi7") then
        fii30 = GetFloat("savegame.mod.emlights.top")
    else
        fii30 = 0
    end
    if GetBool("savegame.mod.fi8") then
        fii35 = GetFloat("savegame.mod.emlights.top")
    else
        fii35 = 0
    end
    if GetBool("savegame.mod.fi9") then
        fii40 = GetFloat("savegame.mod.emlights.top")
    else
        fii40 = 0
    end
    if GetBool("savegame.mod.fi10") then
        fii45 = GetFloat("savegame.mod.emlights.top")
    else
        fii45 = 0
    end
    if GetBool("savegame.mod.fi11") then
        fii50 = GetFloat("savegame.mod.emlights.top")
    else
        fii50 = 0
    end
    if GetBool("savegame.mod.fi12") then
        fii55 = GetFloat("savegame.mod.emlights.top")
    else
        fii55 = 0
    end
    if GetBool("savegame.mod.fi13") then
        fii59 = GetFloat("savegame.mod.emlights.top")
    else
        fii59 = 0
    end

    -- farol 9
    if GetBool("savegame.mod.fo1") then
        foo0 = GetFloat("savegame.mod.emlights.top")
    else
        foo0 = 0
    end
    if GetBool("savegame.mod.fo2") then
        foo5 = GetFloat("savegame.mod.emlights.top")
    else
        foo5 = 0
    end
    if GetBool("savegame.mod.fo3") then
        foo10 = GetFloat("savegame.mod.emlights.top")
    else
        foo10 = 0
    end
    if GetBool("savegame.mod.fo4") then
        foo15 = GetFloat("savegame.mod.emlights.top")
    else
        foo15 = 0
    end
    if GetBool("savegame.mod.fo5") then
        foo20 = GetFloat("savegame.mod.emlights.top")
    else
        foo20 = 0
    end
    if GetBool("savegame.mod.fo6") then
        foo25 = GetFloat("savegame.mod.emlights.top")
    else
        foo25 = 0
    end
    if GetBool("savegame.mod.fo7") then
        foo30 = GetFloat("savegame.mod.emlights.top")
    else
        foo30 = 0
    end
    if GetBool("savegame.mod.fo8") then
        foo35 = GetFloat("savegame.mod.emlights.top")
    else
        foo35 = 0
    end
    if GetBool("savegame.mod.fo9") then
        foo40 = GetFloat("savegame.mod.emlights.top")
    else
        foo40 = 0
    end
    if GetBool("savegame.mod.fo10") then
        foo45 = GetFloat("savegame.mod.emlights.top")
    else
        foo45 = 0
    end
    if GetBool("savegame.mod.fo11") then
        foo50 = GetFloat("savegame.mod.emlights.top")
    else
        foo50 = 0
    end
    if GetBool("savegame.mod.fo12") then
        foo55 = GetFloat("savegame.mod.emlights.top")
    else
        foo55 = 0
    end
    if GetBool("savegame.mod.fo13") then
        foo59 = GetFloat("savegame.mod.emlights.top")
    else
        foo59 = 0
    end

    -- farol 10
    if GetBool("savegame.mod.fp1") then
        fpp0 = GetFloat("savegame.mod.emlights.top")
    else
        fpp0 = 0
    end
    if GetBool("savegame.mod.fp2") then
        fpp5 = GetFloat("savegame.mod.emlights.top")
    else
        fpp5 = 0
    end
    if GetBool("savegame.mod.fp3") then
        fpp10 = GetFloat("savegame.mod.emlights.top")
    else
        fpp10 = 0
    end
    if GetBool("savegame.mod.fp4") then
        fpp15 = GetFloat("savegame.mod.emlights.top")
    else
        fpp15 = 0
    end
    if GetBool("savegame.mod.fp5") then
        fpp20 = GetFloat("savegame.mod.emlights.top")
    else
        fpp20 = 0
    end
    if GetBool("savegame.mod.fp6") then
        fpp25 = GetFloat("savegame.mod.emlights.top")
    else
        fpp25 = 0
    end
    if GetBool("savegame.mod.fp7") then
        fpp30 = GetFloat("savegame.mod.emlights.top")
    else
        fpp30 = 0
    end
    if GetBool("savegame.mod.fp8") then
        fpp35 = GetFloat("savegame.mod.emlights.top")
    else
        fpp35 = 0
    end
    if GetBool("savegame.mod.fp9") then
        fpp40 = GetFloat("savegame.mod.emlights.top")
    else
        fpp40 = 0
    end
    if GetBool("savegame.mod.fp10") then
        fpp45 = GetFloat("savegame.mod.emlights.top")
    else
        fpp45 = 0
    end
    if GetBool("savegame.mod.fp11") then
        fpp50 = GetFloat("savegame.mod.emlights.top")
    else
        fpp50 = 0
    end
    if GetBool("savegame.mod.fp12") then
        fpp55 = GetFloat("savegame.mod.emlights.top")
    else
        fpp55 = 0
    end
    if GetBool("savegame.mod.fp13") then
        fpp59 = GetFloat("savegame.mod.emlights.top")
    else
        fpp59 = 0
    end

    -- farol 11
    if GetBool("savegame.mod.fa1") then
        faa0 = GetFloat("savegame.mod.emlights.top")
    else
        faa0 = 0
    end
    if GetBool("savegame.mod.fa2") then
        faa5 = GetFloat("savegame.mod.emlights.top")
    else
        faa5 = 0
    end
    if GetBool("savegame.mod.fa3") then
        faa10 = GetFloat("savegame.mod.emlights.top")
    else
        faa10 = 0
    end
    if GetBool("savegame.mod.fa4") then
        faa15 = GetFloat("savegame.mod.emlights.top")
    else
        faa15 = 0
    end
    if GetBool("savegame.mod.fa5") then
        faa20 = GetFloat("savegame.mod.emlights.top")
    else
        faa20 = 0
    end
    if GetBool("savegame.mod.fa6") then
        faa25 = GetFloat("savegame.mod.emlights.top")
    else
        faa25 = 0
    end
    if GetBool("savegame.mod.fa7") then
        faa30 = GetFloat("savegame.mod.emlights.top")
    else
        faa30 = 0
    end
    if GetBool("savegame.mod.fa8") then
        faa35 = GetFloat("savegame.mod.emlights.top")
    else
        faa35 = 0
    end
    if GetBool("savegame.mod.fa9") then
        faa40 = GetFloat("savegame.mod.emlights.top")
    else
        faa40 = 0
    end
    if GetBool("savegame.mod.fa10") then
        faa45 = GetFloat("savegame.mod.emlights.top")
    else
        faa45 = 0
    end
    if GetBool("savegame.mod.fa11") then
        faa50 = GetFloat("savegame.mod.emlights.top")
    else
        faa50 = 0
    end
    if GetBool("savegame.mod.fa12") then
        faa55 = GetFloat("savegame.mod.emlights.top")
    else
        faa55 = 0
    end
    if GetBool("savegame.mod.fa13") then
        faa59 = GetFloat("savegame.mod.emlights.top")
    else
        faa59 = 0
    end

    -- farol 12
    if GetBool("savegame.mod.fs1") then
        fss0 = GetFloat("savegame.mod.emlights.top")
    else
        fss0 = 0
    end
    if GetBool("savegame.mod.fs2") then
        fss5 = GetFloat("savegame.mod.emlights.top")
    else
        fss5 = 0
    end
    if GetBool("savegame.mod.fs3") then
        fss10 = GetFloat("savegame.mod.emlights.top")
    else
        fss10 = 0
    end
    if GetBool("savegame.mod.fs4") then
        fss15 = GetFloat("savegame.mod.emlights.top")
    else
        fss15 = 0
    end
    if GetBool("savegame.mod.fs5") then
        fss20 = GetFloat("savegame.mod.emlights.top")
    else
        fss20 = 0
    end
    if GetBool("savegame.mod.fs6") then
        fss25 = GetFloat("savegame.mod.emlights.top")
    else
        fss25 = 0
    end
    if GetBool("savegame.mod.fs7") then
        fss30 = GetFloat("savegame.mod.emlights.top")
    else
        fss30 = 0
    end
    if GetBool("savegame.mod.fs8") then
        fss35 = GetFloat("savegame.mod.emlights.top")
    else
        fss35 = 0
    end
    if GetBool("savegame.mod.fs9") then
        fss40 = GetFloat("savegame.mod.emlights.top")
    else
        fss40 = 0
    end
    if GetBool("savegame.mod.fs10") then
        fss45 = GetFloat("savegame.mod.emlights.top")
    else
        fss45 = 0
    end
    if GetBool("savegame.mod.fs11") then
        fss50 = GetFloat("savegame.mod.emlights.top")
    else
        fss50 = 0
    end
    if GetBool("savegame.mod.fs12") then
        fss55 = GetFloat("savegame.mod.emlights.top")
    else
        fss55 = 0
    end
    if GetBool("savegame.mod.fs13") then
        fss59 = GetFloat("savegame.mod.emlights.top")
    else
        fss59 = 0
    end

    -- farol 13
    if GetBool("savegame.mod.fd1") then
        fdd0 = GetFloat("savegame.mod.emlights.top")
    else
        fdd0 = 0
    end
    if GetBool("savegame.mod.fd2") then
        fdd5 = GetFloat("savegame.mod.emlights.top")
    else
        fdd5 = 0
    end
    if GetBool("savegame.mod.fd3") then
        fdd10 = GetFloat("savegame.mod.emlights.top")
    else
        fdd10 = 0
    end
    if GetBool("savegame.mod.fd4") then
        fdd15 = GetFloat("savegame.mod.emlights.top")
    else
        fdd15 = 0
    end
    if GetBool("savegame.mod.fd5") then
        fdd20 = GetFloat("savegame.mod.emlights.top")
    else
        fdd20 = 0
    end
    if GetBool("savegame.mod.fd6") then
        fdd25 = GetFloat("savegame.mod.emlights.top")
    else
        fdd25 = 0
    end
    if GetBool("savegame.mod.fd7") then
        fdd30 = GetFloat("savegame.mod.emlights.top")
    else
        fdd30 = 0
    end
    if GetBool("savegame.mod.fd8") then
        fdd35 = GetFloat("savegame.mod.emlights.top")
    else
        fdd35 = 0
    end
    if GetBool("savegame.mod.fd9") then
        fdd40 = GetFloat("savegame.mod.emlights.top")
    else
        fdd40 = 0
    end
    if GetBool("savegame.mod.fd10") then
        fdd45 = GetFloat("savegame.mod.emlights.top")
    else
        fdd45 = 0
    end
    if GetBool("savegame.mod.fd11") then
        fdd50 = GetFloat("savegame.mod.emlights.top")
    else
        fdd50 = 0
    end
    if GetBool("savegame.mod.fd12") then
        fdd55 = GetFloat("savegame.mod.emlights.top")
    else
        fdd55 = 0
    end
    if GetBool("savegame.mod.fd13") then
        fdd59 = GetFloat("savegame.mod.emlights.top")
    else
        fdd59 = 0
    end

    -- farol 14
    if GetBool("savegame.mod.ff1") then
        fff0 = GetFloat("savegame.mod.emlights.top")
    else
        fff0 = 0
    end
    if GetBool("savegame.mod.ff2") then
        fff5 = GetFloat("savegame.mod.emlights.top")
    else
        fff5 = 0
    end
    if GetBool("savegame.mod.ff3") then
        fff10 = GetFloat("savegame.mod.emlights.top")
    else
        fff10 = 0
    end
    if GetBool("savegame.mod.ff4") then
        fff15 = GetFloat("savegame.mod.emlights.top")
    else
        fff15 = 0
    end
    if GetBool("savegame.mod.ff5") then
        fff20 = GetFloat("savegame.mod.emlights.top")
    else
        fff20 = 0
    end
    if GetBool("savegame.mod.ff6") then
        fff25 = GetFloat("savegame.mod.emlights.top")
    else
        fff25 = 0
    end
    if GetBool("savegame.mod.ff7") then
        fff30 = GetFloat("savegame.mod.emlights.top")
    else
        fff30 = 0
    end
    if GetBool("savegame.mod.ff8") then
        fff35 = GetFloat("savegame.mod.emlights.top")
    else
        fff35 = 0
    end
    if GetBool("savegame.mod.ff9") then
        fff40 = GetFloat("savegame.mod.emlights.top")
    else
        fff40 = 0
    end
    if GetBool("savegame.mod.ff10") then
        fff45 = GetFloat("savegame.mod.emlights.top")
    else
        fff45 = 0
    end
    if GetBool("savegame.mod.ff11") then
        fff50 = GetFloat("savegame.mod.emlights.top")
    else
        fff50 = 0
    end
    if GetBool("savegame.mod.ff12") then
        fff55 = GetFloat("savegame.mod.emlights.top")
    else
        fff55 = 0
    end
    if GetBool("savegame.mod.ff13") then
        fff59 = GetFloat("savegame.mod.emlights.top")
    else
        fff59 = 0
    end

    -- farol 15
    if GetBool("savegame.mod.fg1") then
        fgg0 = GetFloat("savegame.mod.emlights.top")
    else
        fgg0 = 0
    end
    if GetBool("savegame.mod.fg2") then
        fgg5 = GetFloat("savegame.mod.emlights.top")
    else
        fgg5 = 0
    end
    if GetBool("savegame.mod.fg3") then
        fgg10 = GetFloat("savegame.mod.emlights.top")
    else
        fgg10 = 0
    end
    if GetBool("savegame.mod.fg4") then
        fgg15 = GetFloat("savegame.mod.emlights.top")
    else
        fgg15 = 0
    end
    if GetBool("savegame.mod.fg5") then
        fgg20 = GetFloat("savegame.mod.emlights.top")
    else
        fgg20 = 0
    end
    if GetBool("savegame.mod.fg6") then
        fgg25 = GetFloat("savegame.mod.emlights.top")
    else
        fgg25 = 0
    end
    if GetBool("savegame.mod.fg7") then
        fgg30 = GetFloat("savegame.mod.emlights.top")
    else
        fgg30 = 0
    end
    if GetBool("savegame.mod.fg8") then
        fgg35 = GetFloat("savegame.mod.emlights.top")
    else
        fgg35 = 0
    end
    if GetBool("savegame.mod.fg9") then
        fgg40 = GetFloat("savegame.mod.emlights.top")
    else
        fgg40 = 0
    end
    if GetBool("savegame.mod.fg10") then
        fgg45 = GetFloat("savegame.mod.emlights.top")
    else
        fgg45 = 0
    end
    if GetBool("savegame.mod.fg11") then
        fgg50 = GetFloat("savegame.mod.emlights.top")
    else
        fgg50 = 0
    end
    if GetBool("savegame.mod.fg12") then
        fgg55 = GetFloat("savegame.mod.emlights.top")
    else
        fgg55 = 0
    end
    if GetBool("savegame.mod.fg13") then
        fgg59 = GetFloat("savegame.mod.emlights.top")
    else
        fgg59 = 0
    end

    -- farol 16
    if GetBool("savegame.mod.fh1") then
        fhh0 = GetFloat("savegame.mod.emlights.top")
    else
        fhh0 = 0
    end
    if GetBool("savegame.mod.fh2") then
        fhh5 = GetFloat("savegame.mod.emlights.top")
    else
        fhh5 = 0
    end
    if GetBool("savegame.mod.fh3") then
        fhh10 = GetFloat("savegame.mod.emlights.top")
    else
        fhh10 = 0
    end
    if GetBool("savegame.mod.fh4") then
        fhh15 = GetFloat("savegame.mod.emlights.top")
    else
        fhh15 = 0
    end
    if GetBool("savegame.mod.fh5") then
        fhh20 = GetFloat("savegame.mod.emlights.top")
    else
        fhh20 = 0
    end
    if GetBool("savegame.mod.fh6") then
        fhh25 = GetFloat("savegame.mod.emlights.top")
    else
        fhh25 = 0
    end
    if GetBool("savegame.mod.fh7") then
        fhh30 = GetFloat("savegame.mod.emlights.top")
    else
        fhh30 = 0
    end
    if GetBool("savegame.mod.fh8") then
        fhh35 = GetFloat("savegame.mod.emlights.top")
    else
        fhh35 = 0
    end
    if GetBool("savegame.mod.fh9") then
        fhh40 = GetFloat("savegame.mod.emlights.top")
    else
        fhh40 = 0
    end
    if GetBool("savegame.mod.fh10") then
        fhh45 = GetFloat("savegame.mod.emlights.top")
    else
        fhh45 = 0
    end
    if GetBool("savegame.mod.fh11") then
        fhh50 = GetFloat("savegame.mod.emlights.top")
    else
        fhh50 = 0
    end
    if GetBool("savegame.mod.fh12") then
        fhh55 = GetFloat("savegame.mod.emlights.top")
    else
        fhh55 = 0
    end
    if GetBool("savegame.mod.fh13") then
        fhh59 = GetFloat("savegame.mod.emlights.top")
    else
        fhh59 = 0
    end

    -- farol 17
    if GetBool("savegame.mod.fj1") then
        fjj0 = GetFloat("savegame.mod.emlights.top")
    else
        fjj0 = 0
    end
    if GetBool("savegame.mod.fj2") then
        fjj5 = GetFloat("savegame.mod.emlights.top")
    else
        fjj5 = 0
    end
    if GetBool("savegame.mod.fj3") then
        fjj10 = GetFloat("savegame.mod.emlights.top")
    else
        fjj10 = 0
    end
    if GetBool("savegame.mod.fj4") then
        fjj15 = GetFloat("savegame.mod.emlights.top")
    else
        fjj15 = 0
    end
    if GetBool("savegame.mod.fj5") then
        fjj20 = GetFloat("savegame.mod.emlights.top")
    else
        fjj20 = 0
    end
    if GetBool("savegame.mod.fj6") then
        fjj25 = GetFloat("savegame.mod.emlights.top")
    else
        fjj25 = 0
    end
    if GetBool("savegame.mod.fj7") then
        fjj30 = GetFloat("savegame.mod.emlights.top")
    else
        fjj30 = 0
    end
    if GetBool("savegame.mod.fj8") then
        fjj35 = GetFloat("savegame.mod.emlights.top")
    else
        fjj35 = 0
    end
    if GetBool("savegame.mod.fj9") then
        fjj40 = GetFloat("savegame.mod.emlights.top")
    else
        fjj40 = 0
    end
    if GetBool("savegame.mod.fj10") then
        fjj45 = GetFloat("savegame.mod.emlights.top")
    else
        fjj45 = 0
    end
    if GetBool("savegame.mod.fj11") then
        fjj50 = GetFloat("savegame.mod.emlights.top")
    else
        fjj50 = 0
    end
    if GetBool("savegame.mod.fj12") then
        fjj55 = GetFloat("savegame.mod.emlights.top")
    else
        fjj55 = 0
    end
    if GetBool("savegame.mod.fj13") then
        fjj59 = GetFloat("savegame.mod.emlights.top")
    else
        fjj59 = 0
    end

    -- farol 18
    if GetBool("savegame.mod.fk1") then
        fkk0 = GetFloat("savegame.mod.emlights.top")
    else
        fkk0 = 0
    end
    if GetBool("savegame.mod.fk2") then
        fkk5 = GetFloat("savegame.mod.emlights.top")
    else
        fkk5 = 0
    end
    if GetBool("savegame.mod.fk3") then
        fkk10 = GetFloat("savegame.mod.emlights.top")
    else
        fkk10 = 0
    end
    if GetBool("savegame.mod.fk4") then
        fkk15 = GetFloat("savegame.mod.emlights.top")
    else
        fkk15 = 0
    end
    if GetBool("savegame.mod.fk5") then
        fkk20 = GetFloat("savegame.mod.emlights.top")
    else
        fkk20 = 0
    end
    if GetBool("savegame.mod.fk6") then
        fkk25 = GetFloat("savegame.mod.emlights.top")
    else
        fkk25 = 0
    end
    if GetBool("savegame.mod.fk7") then
        fkk30 = GetFloat("savegame.mod.emlights.top")
    else
        fkk30 = 0
    end
    if GetBool("savegame.mod.fk8") then
        fkk35 = GetFloat("savegame.mod.emlights.top")
    else
        fkk35 = 0
    end
    if GetBool("savegame.mod.fk9") then
        fkk40 = GetFloat("savegame.mod.emlights.top")
    else
        fkk40 = 0
    end
    if GetBool("savegame.mod.fk10") then
        fkk45 = GetFloat("savegame.mod.emlights.top")
    else
        fkk45 = 0
    end
    if GetBool("savegame.mod.fk11") then
        fkk50 = GetFloat("savegame.mod.emlights.top")
    else
        fkk50 = 0
    end
    if GetBool("savegame.mod.fk12") then
        fkk55 = GetFloat("savegame.mod.emlights.top")
    else
        fkk55 = 0
    end
    if GetBool("savegame.mod.fk13") then
        fkk59 = GetFloat("savegame.mod.emlights.top")
    else
        fkk59 = 0
    end

    -- farol 19
    if GetBool("savegame.mod.fl1") then
        fll0 = GetFloat("savegame.mod.emlights.top")
    else
        fll0 = 0
    end
    if GetBool("savegame.mod.fl2") then
        fll5 = GetFloat("savegame.mod.emlights.top")
    else
        fll5 = 0
    end
    if GetBool("savegame.mod.fl3") then
        fll10 = GetFloat("savegame.mod.emlights.top")
    else
        fll10 = 0
    end
    if GetBool("savegame.mod.fl4") then
        fll15 = GetFloat("savegame.mod.emlights.top")
    else
        fll15 = 0
    end
    if GetBool("savegame.mod.fl5") then
        fll20 = GetFloat("savegame.mod.emlights.top")
    else
        fll20 = 0
    end
    if GetBool("savegame.mod.fl6") then
        fll25 = GetFloat("savegame.mod.emlights.top")
    else
        fll25 = 0
    end
    if GetBool("savegame.mod.fl7") then
        fll30 = GetFloat("savegame.mod.emlights.top")
    else
        fll30 = 0
    end
    if GetBool("savegame.mod.fl8") then
        fll35 = GetFloat("savegame.mod.emlights.top")
    else
        fll35 = 0
    end
    if GetBool("savegame.mod.fl9") then
        fll40 = GetFloat("savegame.mod.emlights.top")
    else
        fll40 = 0
    end
    if GetBool("savegame.mod.fl10") then
        fll45 = GetFloat("savegame.mod.emlights.top")
    else
        fll45 = 0
    end
    if GetBool("savegame.mod.fl11") then
        fll50 = GetFloat("savegame.mod.emlights.top")
    else
        fll50 = 0
    end
    if GetBool("savegame.mod.fl12") then
        fll55 = GetFloat("savegame.mod.emlights.top")
    else
        fll55 = 0
    end
    if GetBool("savegame.mod.fl13") then
        fll59 = GetFloat("savegame.mod.emlights.top")
    else
        fll59 = 0
    end

    -- farol 20
    if GetBool("savegame.mod.fz1") then
        fzz0 = GetFloat("savegame.mod.emlights.top")
    else
        fzz0 = 0
    end
    if GetBool("savegame.mod.fz2") then
        fzz5 = GetFloat("savegame.mod.emlights.top")
    else
        fzz5 = 0
    end
    if GetBool("savegame.mod.fz3") then
        fzz10 = GetFloat("savegame.mod.emlights.top")
    else
        fzz10 = 0
    end
    if GetBool("savegame.mod.fz4") then
        fzz15 = GetFloat("savegame.mod.emlights.top")
    else
        fzz15 = 0
    end
    if GetBool("savegame.mod.fz5") then
        fzz20 = GetFloat("savegame.mod.emlights.top")
    else
        fzz20 = 0
    end
    if GetBool("savegame.mod.fz6") then
        fzz25 = GetFloat("savegame.mod.emlights.top")
    else
        fzz25 = 0
    end
    if GetBool("savegame.mod.fz7") then
        fzz30 = GetFloat("savegame.mod.emlights.top")
    else
        fzz30 = 0
    end
    if GetBool("savegame.mod.fz8") then
        fzz35 = GetFloat("savegame.mod.emlights.top")
    else
        fzz35 = 0
    end
    if GetBool("savegame.mod.fz9") then
        fzz40 = GetFloat("savegame.mod.emlights.top")
    else
        fzz40 = 0
    end
    if GetBool("savegame.mod.fz10") then
        fzz45 = GetFloat("savegame.mod.emlights.top")
    else
        fzz45 = 0
    end
    if GetBool("savegame.mod.fz11") then
        fzz50 = GetFloat("savegame.mod.emlights.top")
    else
        fzz50 = 0
    end
    if GetBool("savegame.mod.fz12") then
        fzz55 = GetFloat("savegame.mod.emlights.top")
    else
        fzz55 = 0
    end
    if GetBool("savegame.mod.fz13") then
        fzz59 = GetFloat("savegame.mod.emlights.top")
    else
        fzz59 = 0
    end

    -- farol 21
    if GetBool("savegame.mod.fx1") then
        fxx0 = GetFloat("savegame.mod.emlights.top")
    else
        fxx0 = 0
    end
    if GetBool("savegame.mod.fx2") then
        fxx5 = GetFloat("savegame.mod.emlights.top")
    else
        fxx5 = 0
    end
    if GetBool("savegame.mod.fx3") then
        fxx10 = GetFloat("savegame.mod.emlights.top")
    else
        fxx10 = 0
    end
    if GetBool("savegame.mod.fx4") then
        fxx15 = GetFloat("savegame.mod.emlights.top")
    else
        fxx15 = 0
    end
    if GetBool("savegame.mod.fx5") then
        fxx20 = GetFloat("savegame.mod.emlights.top")
    else
        fxx20 = 0
    end
    if GetBool("savegame.mod.fx6") then
        fxx25 = GetFloat("savegame.mod.emlights.top")
    else
        fxx25 = 0
    end
    if GetBool("savegame.mod.fx7") then
        fxx30 = GetFloat("savegame.mod.emlights.top")
    else
        fxx30 = 0
    end
    if GetBool("savegame.mod.fx8") then
        fxx35 = GetFloat("savegame.mod.emlights.top")
    else
        fxx35 = 0
    end
    if GetBool("savegame.mod.fx9") then
        fxx40 = GetFloat("savegame.mod.emlights.top")
    else
        fxx40 = 0
    end
    if GetBool("savegame.mod.fx10") then
        fxx45 = GetFloat("savegame.mod.emlights.top")
    else
        fxx45 = 0
    end
    if GetBool("savegame.mod.fx11") then
        fxx50 = GetFloat("savegame.mod.emlights.top")
    else
        fxx50 = 0
    end
    if GetBool("savegame.mod.fx12") then
        fxx55 = GetFloat("savegame.mod.emlights.top")
    else
        fxx55 = 0
    end
    if GetBool("savegame.mod.fx13") then
        fxx59 = GetFloat("savegame.mod.emlights.top")
    else
        fxx59 = 0
    end

    -- farol 22
    if GetBool("savegame.mod.fc1") then
        fcc0 = GetFloat("savegame.mod.emlights.top")
    else
        fcc0 = 0
    end
    if GetBool("savegame.mod.fc2") then
        fcc5 = GetFloat("savegame.mod.emlights.top")
    else
        fcc5 = 0
    end
    if GetBool("savegame.mod.fc3") then
        fcc10 = GetFloat("savegame.mod.emlights.top")
    else
        fcc10 = 0
    end
    if GetBool("savegame.mod.fc4") then
        fcc15 = GetFloat("savegame.mod.emlights.top")
    else
        fcc15 = 0
    end
    if GetBool("savegame.mod.fc5") then
        fcc20 = GetFloat("savegame.mod.emlights.top")
    else
        fcc20 = 0
    end
    if GetBool("savegame.mod.fc6") then
        fcc25 = GetFloat("savegame.mod.emlights.top")
    else
        fcc25 = 0
    end
    if GetBool("savegame.mod.fc7") then
        fcc30 = GetFloat("savegame.mod.emlights.top")
    else
        fcc30 = 0
    end
    if GetBool("savegame.mod.fc8") then
        fcc35 = GetFloat("savegame.mod.emlights.top")
    else
        fcc35 = 0
    end
    if GetBool("savegame.mod.fc9") then
        fcc40 = GetFloat("savegame.mod.emlights.top")
    else
        fcc40 = 0
    end
    if GetBool("savegame.mod.fc10") then
        fcc45 = GetFloat("savegame.mod.emlights.top")
    else
        fcc45 = 0
    end
    if GetBool("savegame.mod.fc11") then
        fcc50 = GetFloat("savegame.mod.emlights.top")
    else
        fcc50 = 0
    end
    if GetBool("savegame.mod.fc12") then
        fcc55 = GetFloat("savegame.mod.emlights.top")
    else
        fcc55 = 0
    end
    if GetBool("savegame.mod.fc13") then
        fcc59 = GetFloat("savegame.mod.emlights.top")
    else
        fcc59 = 0
    end

    -- farol 23
    if GetBool("savegame.mod.fv1") then
        fvv0 = GetFloat("savegame.mod.emlights.top")
    else
        fvv0 = 0
    end
    if GetBool("savegame.mod.fv2") then
        fvv5 = GetFloat("savegame.mod.emlights.top")
    else
        fvv5 = 0
    end
    if GetBool("savegame.mod.fv3") then
        fvv10 = GetFloat("savegame.mod.emlights.top")
    else
        fvv10 = 0
    end
    if GetBool("savegame.mod.fv4") then
        fvv15 = GetFloat("savegame.mod.emlights.top")
    else
        fvv15 = 0
    end
    if GetBool("savegame.mod.fv5") then
        fvv20 = GetFloat("savegame.mod.emlights.top")
    else
        fvv20 = 0
    end
    if GetBool("savegame.mod.fv6") then
        fvv25 = GetFloat("savegame.mod.emlights.top")
    else
        fvv25 = 0
    end
    if GetBool("savegame.mod.fv7") then
        fvv30 = GetFloat("savegame.mod.emlights.top")
    else
        fvv30 = 0
    end
    if GetBool("savegame.mod.fv8") then
        fvv35 = GetFloat("savegame.mod.emlights.top")
    else
        fvv35 = 0
    end
    if GetBool("savegame.mod.fv9") then
        fvv40 = GetFloat("savegame.mod.emlights.top")
    else
        fvv40 = 0
    end
    if GetBool("savegame.mod.fv10") then
        fvv45 = GetFloat("savegame.mod.emlights.top")
    else
        fvv45 = 0
    end
    if GetBool("savegame.mod.fv11") then
        fvv50 = GetFloat("savegame.mod.emlights.top")
    else
        fvv50 = 0
    end
    if GetBool("savegame.mod.fv12") then
        fvv55 = GetFloat("savegame.mod.emlights.top")
    else
        fvv55 = 0
    end
    if GetBool("savegame.mod.fv13") then
        fvv59 = GetFloat("savegame.mod.emlights.top")
    else
        fvv59 = 0
    end

    -- farol 24
    if GetBool("savegame.mod.fb1") then
        fbb0 = GetFloat("savegame.mod.emlights.top")
    else
        fbb0 = 0
    end
    if GetBool("savegame.mod.fb2") then
        fbb5 = GetFloat("savegame.mod.emlights.top")
    else
        fbb5 = 0
    end
    if GetBool("savegame.mod.fb3") then
        fbb10 = GetFloat("savegame.mod.emlights.top")
    else
        fbb10 = 0
    end
    if GetBool("savegame.mod.fb4") then
        fbb15 = GetFloat("savegame.mod.emlights.top")
    else
        fbb15 = 0
    end
    if GetBool("savegame.mod.fb5") then
        fbb20 = GetFloat("savegame.mod.emlights.top")
    else
        fbb20 = 0
    end
    if GetBool("savegame.mod.fb6") then
        fbb25 = GetFloat("savegame.mod.emlights.top")
    else
        fbb25 = 0
    end
    if GetBool("savegame.mod.fb7") then
        fbb30 = GetFloat("savegame.mod.emlights.top")
    else
        fbb30 = 0
    end
    if GetBool("savegame.mod.fb8") then
        fbb35 = GetFloat("savegame.mod.emlights.top")
    else
        fbb35 = 0
    end
    if GetBool("savegame.mod.fb9") then
        fbb40 = GetFloat("savegame.mod.emlights.top")
    else
        fbb40 = 0
    end
    if GetBool("savegame.mod.fb10") then
        fbb45 = GetFloat("savegame.mod.emlights.top")
    else
        fbb45 = 0
    end
    if GetBool("savegame.mod.fb11") then
        fbb50 = GetFloat("savegame.mod.emlights.top")
    else
        fbb50 = 0
    end
    if GetBool("savegame.mod.fb12") then
        fbb55 = GetFloat("savegame.mod.emlights.top")
    else
        fbb55 = 0
    end
    if GetBool("savegame.mod.fb13") then
        fbb59 = GetFloat("savegame.mod.emlights.top")
    else
        fbb59 = 0
    end

    -- farol 25
    if GetBool("savegame.mod.fn1") then
        fnn0 = GetFloat("savegame.mod.emlights.top")
    else
        fnn0 = 0
    end
    if GetBool("savegame.mod.fn2") then
        fnn5 = GetFloat("savegame.mod.emlights.top")
    else
        fnn5 = 0
    end
    if GetBool("savegame.mod.fn3") then
        fnn10 = GetFloat("savegame.mod.emlights.top")
    else
        fnn10 = 0
    end
    if GetBool("savegame.mod.fn4") then
        fnn15 = GetFloat("savegame.mod.emlights.top")
    else
        fnn15 = 0
    end
    if GetBool("savegame.mod.fn5") then
        fnn20 = GetFloat("savegame.mod.emlights.top")
    else
        fnn20 = 0
    end
    if GetBool("savegame.mod.fn6") then
        fnn25 = GetFloat("savegame.mod.emlights.top")
    else
        fnn25 = 0
    end
    if GetBool("savegame.mod.fn7") then
        fnn30 = GetFloat("savegame.mod.emlights.top")
    else
        fnn30 = 0
    end
    if GetBool("savegame.mod.fn8") then
        fnn35 = GetFloat("savegame.mod.emlights.top")
    else
        fnn35 = 0
    end
    if GetBool("savegame.mod.fn9") then
        fnn40 = GetFloat("savegame.mod.emlights.top")
    else
        fnn40 = 0
    end
    if GetBool("savegame.mod.fn10") then
        fnn45 = GetFloat("savegame.mod.emlights.top")
    else
        fnn45 = 0
    end
    if GetBool("savegame.mod.fn11") then
        fnn50 = GetFloat("savegame.mod.emlights.top")
    else
        fnn50 = 0
    end
    if GetBool("savegame.mod.fn12") then
        fnn55 = GetFloat("savegame.mod.emlights.top")
    else
        fnn55 = 0
    end
    if GetBool("savegame.mod.fn13") then
        fnn59 = GetFloat("savegame.mod.emlights.top")
    else
        fnn59 = 0
    end

    -- farol 26
    if GetBool("savegame.mod.fm1") then
        fmm0 = GetFloat("savegame.mod.emlights.top")
    else
        fmm0 = 0
    end
    if GetBool("savegame.mod.fm2") then
        fmm5 = GetFloat("savegame.mod.emlights.top")
    else
        fmm5 = 0
    end
    if GetBool("savegame.mod.fm3") then
        fmm10 = GetFloat("savegame.mod.emlights.top")
    else
        fmm10 = 0
    end
    if GetBool("savegame.mod.fm4") then
        fmm15 = GetFloat("savegame.mod.emlights.top")
    else
        fmm15 = 0
    end
    if GetBool("savegame.mod.fm5") then
        fmm20 = GetFloat("savegame.mod.emlights.top")
    else
        fmm20 = 0
    end
    if GetBool("savegame.mod.fm6") then
        fmm25 = GetFloat("savegame.mod.emlights.top")
    else
        fmm25 = 0
    end
    if GetBool("savegame.mod.fm7") then
        fmm30 = GetFloat("savegame.mod.emlights.top")
    else
        fmm30 = 0
    end
    if GetBool("savegame.mod.fm8") then
        fmm35 = GetFloat("savegame.mod.emlights.top")
    else
        fmm35 = 0
    end
    if GetBool("savegame.mod.fm9") then
        fmm40 = GetFloat("savegame.mod.emlights.top")
    else
        fmm40 = 0
    end
    if GetBool("savegame.mod.fm10") then
        fmm45 = GetFloat("savegame.mod.emlights.top")
    else
        fmm45 = 0
    end
    if GetBool("savegame.mod.fm11") then
        fmm50 = GetFloat("savegame.mod.emlights.top")
    else
        fmm50 = 0
    end
    if GetBool("savegame.mod.fm12") then
        fmm55 = GetFloat("savegame.mod.emlights.top")
    else
        fmm55 = 0
    end
    if GetBool("savegame.mod.fm13") then
        fmm59 = GetFloat("savegame.mod.emlights.top")
    else
        fmm59 = 0
    end

    -- farol 27
    if GetBool("savegame.mod.f1q1") then
        f1qq0 = GetFloat("savegame.mod.emlights.top")
    else
        f1qq0 = 0
    end
    if GetBool("savegame.mod.f1q2") then
        f1qq5 = GetFloat("savegame.mod.emlights.top")
    else
        f1qq5 = 0
    end
    if GetBool("savegame.mod.f1q3") then
        f1qq10 = GetFloat("savegame.mod.emlights.top")
    else
        f1qq10 = 0
    end
    if GetBool("savegame.mod.f1q4") then
        f1qq15 = GetFloat("savegame.mod.emlights.top")
    else
        f1qq15 = 0
    end
    if GetBool("savegame.mod.f1q5") then
        f1qq20 = GetFloat("savegame.mod.emlights.top")
    else
        f1qq20 = 0
    end
    if GetBool("savegame.mod.f1q6") then
        f1qq25 = GetFloat("savegame.mod.emlights.top")
    else
        f1qq25 = 0
    end
    if GetBool("savegame.mod.f1q7") then
        f1qq30 = GetFloat("savegame.mod.emlights.top")
    else
        f1qq30 = 0
    end
    if GetBool("savegame.mod.f1q8") then
        f1qq35 = GetFloat("savegame.mod.emlights.top")
    else
        f1qq35 = 0
    end
    if GetBool("savegame.mod.f1q9") then
        f1qq40 = GetFloat("savegame.mod.emlights.top")
    else
        f1qq40 = 0
    end
    if GetBool("savegame.mod.f1q10") then
        f1qq45 = GetFloat("savegame.mod.emlights.top")
    else
        f1qq45 = 0
    end
    if GetBool("savegame.mod.f1q11") then
        f1qq50 = GetFloat("savegame.mod.emlights.top")
    else
        f1qq50 = 0
    end
    if GetBool("savegame.mod.f1q12") then
        f1qq55 = GetFloat("savegame.mod.emlights.top")
    else
        f1qq55 = 0
    end
    if GetBool("savegame.mod.f1q13") then
        f1qq59 = GetFloat("savegame.mod.emlights.top")
    else
        f1qq59 = 0
    end

-- farol 28
    if GetBool("savegame.mod.f1w1") then
        f1ww0 = GetFloat("savegame.mod.emlights.top")
    else
        f1ww0 = 0
    end
    if GetBool("savegame.mod.f1w2") then
        f1ww5 = GetFloat("savegame.mod.emlights.top")
    else
        f1ww5 = 0
    end
    if GetBool("savegame.mod.f1w3") then
        f1ww10 = GetFloat("savegame.mod.emlights.top")
    else
        f1ww10 = 0
    end
    if GetBool("savegame.mod.f1w4") then
        f1ww15 = GetFloat("savegame.mod.emlights.top")
    else
        f1ww15 = 0
    end
    if GetBool("savegame.mod.f1w5") then
        f1ww20 = GetFloat("savegame.mod.emlights.top")
    else
        f1ww20 = 0
    end
    if GetBool("savegame.mod.f1w6") then
        f1ww25 = GetFloat("savegame.mod.emlights.top")
    else
        f1ww25 = 0
    end
    if GetBool("savegame.mod.f1w7") then
        f1ww30 = GetFloat("savegame.mod.emlights.top")
    else
        f1ww30 = 0
    end
    if GetBool("savegame.mod.f1w8") then
        f1ww35 = GetFloat("savegame.mod.emlights.top")
    else
        f1ww35 = 0
    end
    if GetBool("savegame.mod.f1w9") then
        f1ww40 = GetFloat("savegame.mod.emlights.top")
    else
        f1ww40 = 0
    end
    if GetBool("savegame.mod.f1w10") then
        f1ww45 = GetFloat("savegame.mod.emlights.top")
    else
        f1ww45 = 0
    end
    if GetBool("savegame.mod.f1w11") then
        f1ww50 = GetFloat("savegame.mod.emlights.top")
    else
        f1ww50 = 0
    end
    if GetBool("savegame.mod.f1w12") then
        f1ww55 = GetFloat("savegame.mod.emlights.top")
    else
        f1ww55 = 0
    end
    if GetBool("savegame.mod.f1w13") then
        f1ww59 = GetFloat("savegame.mod.emlights.top")
    else
        f1ww59 = 0
    end


    -- farol 29
    if GetBool("savegame.mod.f1e1") then
        f1ee0 = GetFloat("savegame.mod.emlights.left")
    else
        f1ee0 = 0
    end
    if GetBool("savegame.mod.f1e2") then
        f1ee5 = GetFloat("savegame.mod.emlights.left")
    else
        f1ee5 = 0
    end
    if GetBool("savegame.mod.f1e3") then
        f1ee10 = GetFloat("savegame.mod.emlights.left")
    else
        f1ee10 = 0
    end
    if GetBool("savegame.mod.f1e4") then
        f1ee15 = GetFloat("savegame.mod.emlights.left")
    else
        f1ee15 = 0
    end
    if GetBool("savegame.mod.f1e5") then
        f1ee20 = GetFloat("savegame.mod.emlights.left")
    else
        f1ee20 = 0
    end
    if GetBool("savegame.mod.f1e6") then
        f1ee25 = GetFloat("savegame.mod.emlights.left")
    else
        f1ee25 = 0
    end
    if GetBool("savegame.mod.f1e7") then
        f1ee30 = GetFloat("savegame.mod.emlights.left")
    else
        f1ee30 = 0
    end
    if GetBool("savegame.mod.f1e8") then
        f1ee35 = GetFloat("savegame.mod.emlights.left")
    else
        f1ee35 = 0
    end
    if GetBool("savegame.mod.f1e9") then
        f1ee40 = GetFloat("savegame.mod.emlights.left")
    else
        f1ee40 = 0
    end
    if GetBool("savegame.mod.f1e10") then
        f1ee45 = GetFloat("savegame.mod.emlights.left")
    else
        f1ee45 = 0
    end
    if GetBool("savegame.mod.f1e11") then
        f1ee50 = GetFloat("savegame.mod.emlights.left")
    else
        f1ee50 = 0
    end
    if GetBool("savegame.mod.f1e12") then
        f1ee55 = GetFloat("savegame.mod.emlights.left")
    else
        f1ee55 = 0
    end
    if GetBool("savegame.mod.f1e13") then
        f1ee59 = GetFloat("savegame.mod.emlights.left")
    else
        f1ee59 = 0
    end

    -- farol 30
    if GetBool("savegame.mod.f1r1") then
        f1rr0 = GetFloat("savegame.mod.emlights.left")
    else
        f1rr0 = 0
    end
    if GetBool("savegame.mod.f1r2") then
        f1rr5 = GetFloat("savegame.mod.emlights.left")
    else
        f1rr5 = 0
    end
    if GetBool("savegame.mod.f1r3") then
        f1rr10 = GetFloat("savegame.mod.emlights.left")
    else
        f1rr10 = 0
    end
    if GetBool("savegame.mod.f1r4") then
        f1rr15 = GetFloat("savegame.mod.emlights.left")
    else
        f1rr15 = 0
    end
    if GetBool("savegame.mod.f1r5") then
        f1rr20 = GetFloat("savegame.mod.emlights.left")
    else
        f1rr20 = 0
    end
    if GetBool("savegame.mod.f1r6") then
        f1rr25 = GetFloat("savegame.mod.emlights.left")
    else
        f1rr25 = 0
    end
    if GetBool("savegame.mod.f1r7") then
        f1rr30 = GetFloat("savegame.mod.emlights.left")
    else
        f1rr30 = 0
    end
    if GetBool("savegame.mod.f1r8") then
        f1rr35 = GetFloat("savegame.mod.emlights.left")
    else
        f1rr35 = 0
    end
    if GetBool("savegame.mod.f1r9") then
        f1rr40 = GetFloat("savegame.mod.emlights.left")
    else
        f1rr40 = 0
    end
    if GetBool("savegame.mod.f1r10") then
        f1rr45 = GetFloat("savegame.mod.emlights.left")
    else
        f1rr45 = 0
    end
    if GetBool("savegame.mod.f1r11") then
        f1rr50 = GetFloat("savegame.mod.emlights.left")
    else
        f1rr50 = 0
    end
    if GetBool("savegame.mod.f1r12") then
        f1rr55 = GetFloat("savegame.mod.emlights.left")
    else
        f1rr55 = 0
    end
    if GetBool("savegame.mod.f1r13") then
        f1rr59 = GetFloat("savegame.mod.emlights.left")
    else
        f1rr59 = 0
    end

    -- farol 31
    if GetBool("savegame.mod.f1t1") then
        f1tt0 = GetFloat("savegame.mod.emlights.right")
    else
        f1tt0 = 0
    end
    if GetBool("savegame.mod.f1t2") then
        f1tt5 = GetFloat("savegame.mod.emlights.right")
    else
        f1tt5 = 0
    end
    if GetBool("savegame.mod.f1t3") then
        f1tt10 = GetFloat("savegame.mod.emlights.right")
    else
        f1tt10 = 0
    end
    if GetBool("savegame.mod.f1t4") then
        f1tt15 = GetFloat("savegame.mod.emlights.right")
    else
        f1tt15 = 0
    end
    if GetBool("savegame.mod.f1t5") then
        f1tt20 = GetFloat("savegame.mod.emlights.right")
    else
        f1tt20 = 0
    end
    if GetBool("savegame.mod.f1t6") then
        f1tt25 = GetFloat("savegame.mod.emlights.right")
    else
        f1tt25 = 0
    end
    if GetBool("savegame.mod.f1t7") then
        f1tt30 = GetFloat("savegame.mod.emlights.right")
    else
        f1tt30 = 0
    end
    if GetBool("savegame.mod.f1t8") then
        f1tt35 = GetFloat("savegame.mod.emlights.right")
    else
        f1tt35 = 0
    end
    if GetBool("savegame.mod.f1t9") then
        f1tt40 = GetFloat("savegame.mod.emlights.right")
    else
        f1tt40 = 0
    end
    if GetBool("savegame.mod.f1t10") then
        f1tt45 = GetFloat("savegame.mod.emlights.right")
    else
        f1tt45 = 0
    end
    if GetBool("savegame.mod.f1t11") then
        f1tt50 = GetFloat("savegame.mod.emlights.right")
    else
        f1tt50 = 0
    end
    if GetBool("savegame.mod.f1t12") then
        f1tt55 = GetFloat("savegame.mod.emlights.right")
    else
        f1tt55 = 0
    end
    if GetBool("savegame.mod.f1t13") then
        f1tt59 = GetFloat("savegame.mod.emlights.right")
    else
        f1tt59 = 0
    end

    -- farol 32
    if GetBool("savegame.mod.f1y1") then
        f1yy0 = GetFloat("savegame.mod.emlights.right")
    else
        f1yy0 = 0
    end
    if GetBool("savegame.mod.f1y2") then
        f1yy5 = GetFloat("savegame.mod.emlights.right")
    else
        f1yy5 = 0
    end
    if GetBool("savegame.mod.f1y3") then
        f1yy10 = GetFloat("savegame.mod.emlights.right")
    else
        f1yy10 = 0
    end
    if GetBool("savegame.mod.f1y4") then
        f1yy15 = GetFloat("savegame.mod.emlights.right")
    else
        f1yy15 = 0
    end
    if GetBool("savegame.mod.f1y5") then
        f1yy20 = GetFloat("savegame.mod.emlights.right")
    else
        f1yy20 = 0
    end
    if GetBool("savegame.mod.f1y6") then
        f1yy25 = GetFloat("savegame.mod.emlights.right")
    else
        f1yy25 = 0
    end
    if GetBool("savegame.mod.f1y7") then
        f1yy30 = GetFloat("savegame.mod.emlights.right")
    else
        f1yy30 = 0
    end
    if GetBool("savegame.mod.f1y8") then
        f1yy35 = GetFloat("savegame.mod.emlights.right")
    else
        f1yy35 = 0
    end
    if GetBool("savegame.mod.f1y9") then
        f1yy40 = GetFloat("savegame.mod.emlights.right")
    else
        f1yy40 = 0
    end
    if GetBool("savegame.mod.f1y10") then
        f1yy45 = GetFloat("savegame.mod.emlights.right")
    else
        f1yy45 = 0
    end
    if GetBool("savegame.mod.f1y11") then
        f1yy50 = GetFloat("savegame.mod.emlights.right")
    else
        f1yy50 = 0
    end
    if GetBool("savegame.mod.f1y12") then
        f1yy55 = GetFloat("savegame.mod.emlights.right")
    else
        f1yy55 = 0
    end
    if GetBool("savegame.mod.f1y13") then
        f1yy59 = GetFloat("savegame.mod.emlights.right")
    else
        f1yy59 = 0
    end

    -- farol 33
    if GetBool("savegame.mod.f1u1") then
        f1uu0 = GetFloat("savegame.mod.emlights.back")
    else
        f1uu0 = 0
    end
    if GetBool("savegame.mod.f1u2") then
        f1uu5 = GetFloat("savegame.mod.emlights.back")
    else
        f1uu5 = 0
    end
    if GetBool("savegame.mod.f1u3") then
        f1uu10 = GetFloat("savegame.mod.emlights.back")
    else
        f1uu10 = 0
    end
    if GetBool("savegame.mod.f1u4") then
        f1uu15 = GetFloat("savegame.mod.emlights.back")
    else
        f1uu15 = 0
    end
    if GetBool("savegame.mod.f1u5") then
        f1uu20 = GetFloat("savegame.mod.emlights.back")
    else
        f1uu20 = 0
    end
    if GetBool("savegame.mod.f1u6") then
        f1uu25 = GetFloat("savegame.mod.emlights.back")
    else
        f1uu25 = 0
    end
    if GetBool("savegame.mod.f1u7") then
        f1uu30 = GetFloat("savegame.mod.emlights.back")
    else
        f1uu30 = 0
    end
    if GetBool("savegame.mod.f1u8") then
        f1uu35 = GetFloat("savegame.mod.emlights.back")
    else
        f1uu35 = 0
    end
    if GetBool("savegame.mod.f1u9") then
        f1uu40 = GetFloat("savegame.mod.emlights.back")
    else
        f1uu40 = 0
    end
    if GetBool("savegame.mod.f1u10") then
        f1uu45 = GetFloat("savegame.mod.emlights.back")
    else
        f1uu45 = 0
    end
    if GetBool("savegame.mod.f1u11") then
        f1uu50 = GetFloat("savegame.mod.emlights.back")
    else
        f1uu50 = 0
    end
    if GetBool("savegame.mod.f1u12") then
        f1uu55 = GetFloat("savegame.mod.emlights.back")
    else
        f1uu55 = 0
    end
    if GetBool("savegame.mod.f1u13") then
        f1uu59 = GetFloat("savegame.mod.emlights.back")
    else
        f1uu59 = 0
    end

    -- farol 34
    if GetBool("savegame.mod.f1i1") then
        f1ii0 = GetFloat("savegame.mod.emlights.back")
    else
        f1ii0 = 0
    end
    if GetBool("savegame.mod.f1i2") then
        f1ii5 = GetFloat("savegame.mod.emlights.back")
    else
        f1ii5 = 0
    end
    if GetBool("savegame.mod.f1i3") then
        f1ii10 = GetFloat("savegame.mod.emlights.back")
    else
        f1ii10 = 0
    end
    if GetBool("savegame.mod.f1i4") then
        f1ii15 = GetFloat("savegame.mod.emlights.back")
    else
        f1ii15 = 0
    end
    if GetBool("savegame.mod.f1i5") then
        f1ii20 = GetFloat("savegame.mod.emlights.back")
    else
        f1ii20 = 0
    end
    if GetBool("savegame.mod.f1i6") then
        f1ii25 = GetFloat("savegame.mod.emlights.back")
    else
        f1ii25 = 0
    end
    if GetBool("savegame.mod.f1i7") then
        f1ii30 = GetFloat("savegame.mod.emlights.back")
    else
        f1ii30 = 0
    end
    if GetBool("savegame.mod.f1i8") then
        f1ii35 = GetFloat("savegame.mod.emlights.back")
    else
        f1ii35 = 0
    end
    if GetBool("savegame.mod.f1i9") then
        f1ii40 = GetFloat("savegame.mod.emlights.back")
    else
        f1ii40 = 0
    end
    if GetBool("savegame.mod.f1i10") then
        f1ii45 = GetFloat("savegame.mod.emlights.back")
    else
        f1ii45 = 0
    end
    if GetBool("savegame.mod.f1i11") then
        f1ii50 = GetFloat("savegame.mod.emlights.back")
    else
        f1ii50 = 0
    end
    if GetBool("savegame.mod.f1i12") then
        f1ii55 = GetFloat("savegame.mod.emlights.back")
    else
        f1ii55 = 0
    end
    if GetBool("savegame.mod.f1i13") then
        f1ii59 = GetFloat("savegame.mod.emlights.back")
    else
        f1ii59 = 0
    end

    -- farol 35
    if GetBool("savegame.mod.f1o1") then
        f1oo0 = GetFloat("savegame.mod.emlights.back")
    else
        f1oo0 = 0
    end
    if GetBool("savegame.mod.f1o2") then
        f1oo5 = GetFloat("savegame.mod.emlights.back")
    else
        f1oo5 = 0
    end
    if GetBool("savegame.mod.f1o3") then
        f1oo10 = GetFloat("savegame.mod.emlights.back")
    else
        f1oo10 = 0
    end
    if GetBool("savegame.mod.f1o4") then
        f1oo15 = GetFloat("savegame.mod.emlights.back")
    else
        f1oo15 = 0
    end
    if GetBool("savegame.mod.f1o5") then
        f1oo20 = GetFloat("savegame.mod.emlights.back")
    else
        f1oo20 = 0
    end
    if GetBool("savegame.mod.f1o6") then
        f1oo25 = GetFloat("savegame.mod.emlights.back")
    else
        f1oo25 = 0
    end
    if GetBool("savegame.mod.f1o7") then
        f1oo30 = GetFloat("savegame.mod.emlights.back")
    else
        f1oo30 = 0
    end
    if GetBool("savegame.mod.f1o8") then
        f1oo35 = GetFloat("savegame.mod.emlights.back")
    else
        f1oo35 = 0
    end
    if GetBool("savegame.mod.f1o9") then
        f1oo40 = GetFloat("savegame.mod.emlights.back")
    else
        f1oo40 = 0
    end
    if GetBool("savegame.mod.f1o10") then
        f1oo45 = GetFloat("savegame.mod.emlights.back")
    else
        f1oo45 = 0
    end
    if GetBool("savegame.mod.f1o11") then
        f1oo50 = GetFloat("savegame.mod.emlights.back")
    else
        f1oo50 = 0
    end
    if GetBool("savegame.mod.f1o12") then
        f1oo55 = GetFloat("savegame.mod.emlights.back")
    else
        f1oo55 = 0
    end
    if GetBool("savegame.mod.f1o13") then
        f1oo59 = GetFloat("savegame.mod.emlights.back")
    else
        f1oo59 = 0
    end

    -- farol 36
    if GetBool("savegame.mod.f1p1") then
        f1pp0 = GetFloat("savegame.mod.emlights.back")
    else
        f1pp0 = 0
    end
    if GetBool("savegame.mod.f1p2") then
        f1pp5 = GetFloat("savegame.mod.emlights.back")
    else
        f1pp5 = 0
    end
    if GetBool("savegame.mod.f1p3") then
        f1pp10 = GetFloat("savegame.mod.emlights.back")
    else
        f1pp10 = 0
    end
    if GetBool("savegame.mod.f1p4") then
        f1pp15 = GetFloat("savegame.mod.emlights.back")
    else
        f1pp15 = 0
    end
    if GetBool("savegame.mod.f1p5") then
        f1pp20 = GetFloat("savegame.mod.emlights.back")
    else
        f1pp20 = 0
    end
    if GetBool("savegame.mod.f1p6") then
        f1pp25 = GetFloat("savegame.mod.emlights.back")
    else
        f1pp25 = 0
    end
    if GetBool("savegame.mod.f1p7") then
        f1pp30 = GetFloat("savegame.mod.emlights.back")
    else
        f1pp30 = 0
    end
    if GetBool("savegame.mod.f1p8") then
        f1pp35 = GetFloat("savegame.mod.emlights.back")
    else
        f1pp35 = 0
    end
    if GetBool("savegame.mod.f1p9") then
        f1pp40 = GetFloat("savegame.mod.emlights.back")
    else
        f1pp40 = 0
    end
    if GetBool("savegame.mod.f1p10") then
        f1pp45 = GetFloat("savegame.mod.emlights.back")
    else
        f1pp45 = 0
    end
    if GetBool("savegame.mod.f1p11") then
        f1pp50 = GetFloat("savegame.mod.emlights.back")
    else
        f1pp50 = 0
    end
    if GetBool("savegame.mod.f1p12") then
        f1pp55 = GetFloat("savegame.mod.emlights.back")
    else
        f1pp55 = 0
    end
    if GetBool("savegame.mod.f1p13") then
        f1pp59 = GetFloat("savegame.mod.emlights.back")
    else
        f1pp59 = 0
    end

    -- farol 37
    if GetBool("savegame.mod.f1a1") then
        f1aa0 = GetFloat("savegame.mod.lighs.headlight")/10
    else
        f1aa0 = 0
    end
    if GetBool("savegame.mod.f1a2") then
        f1aa5 = GetFloat("savegame.mod.lighs.headlight")/10
    else
        f1aa5 = 0
    end
    if GetBool("savegame.mod.f1a3") then
        f1aa10 = GetFloat("savegame.mod.lighs.headlight")/10
    else
        f1aa10 = 0
    end
    if GetBool("savegame.mod.f1a4") then
        f1aa15 = GetFloat("savegame.mod.lighs.headlight")/10
    else
        f1aa15 = 0
    end
    if GetBool("savegame.mod.f1a5") then
        f1aa20 = GetFloat("savegame.mod.lighs.headlight")/10
    else
        f1aa20 = 0
    end
    if GetBool("savegame.mod.f1a6") then
        f1aa25 = GetFloat("savegame.mod.lighs.headlight")/10
    else
        f1aa25 = 0
    end
    if GetBool("savegame.mod.f1a7") then
        f1aa30 = GetFloat("savegame.mod.lighs.headlight")/10
    else
        f1aa30 = 0
    end
    if GetBool("savegame.mod.f1a8") then
        f1aa35 = GetFloat("savegame.mod.lighs.headlight")/10
    else
        f1aa35 = 0
    end
    if GetBool("savegame.mod.f1a9") then
        f1aa40 = GetFloat("savegame.mod.lighs.headlight")/10
    else
        f1aa40 = 0
    end
    if GetBool("savegame.mod.f1a10") then
        f1aa45 = GetFloat("savegame.mod.lighs.headlight")/10
    else
        f1aa45 = 0
    end
    if GetBool("savegame.mod.f1a11") then
        f1aa50 = GetFloat("savegame.mod.lighs.headlight")/10
    else
        f1aa50 = 0
    end
    if GetBool("savegame.mod.f1a12") then
        f1aa55 = GetFloat("savegame.mod.lighs.headlight")/10
    else
        f1aa55 = 0
    end
    if GetBool("savegame.mod.f1a13") then
        f1aa59 = GetFloat("savegame.mod.lighs.headlight")/10
    else
        f1aa59 = 0
    end

    -- farol 38
    if GetBool("savegame.mod.f1s1") then
        f1ss0 = GetFloat("savegame.mod.lighs.headlight")/10
    else
        f1ss0 = 0
    end
    if GetBool("savegame.mod.f1s2") then
        f1ss5 = GetFloat("savegame.mod.lighs.headlight")/10
    else
        f1ss5 = 0
    end
    if GetBool("savegame.mod.f1s3") then
        f1ss10 = GetFloat("savegame.mod.lighs.headlight")/10
    else
        f1ss10 = 0
    end
    if GetBool("savegame.mod.f1s4") then
        f1ss15 = GetFloat("savegame.mod.lighs.headlight")/10
    else
        f1ss15 = 0
    end
    if GetBool("savegame.mod.f1s5") then
        f1ss20 = GetFloat("savegame.mod.lighs.headlight")/10
    else
        f1ss20 = 0
    end
    if GetBool("savegame.mod.f1s6") then
        f1ss25 = GetFloat("savegame.mod.lighs.headlight")/10
    else
        f1ss25 = 0
    end
    if GetBool("savegame.mod.f1s7") then
        f1ss30 = GetFloat("savegame.mod.lighs.headlight")/10
    else
        f1ss30 = 0
    end
    if GetBool("savegame.mod.f1s8") then
        f1ss35 = GetFloat("savegame.mod.lighs.headlight")/10
    else
        f1ss35 = 0
    end
    if GetBool("savegame.mod.f1s9") then
        f1ss40 = GetFloat("savegame.mod.lighs.headlight")/10
    else
        f1ss40 = 0
    end
    if GetBool("savegame.mod.f1s10") then
        f1ss45 = GetFloat("savegame.mod.lighs.headlight")/10
    else
        f1ss45 = 0
    end
    if GetBool("savegame.mod.f1s11") then
        f1ss50 = GetFloat("savegame.mod.lighs.headlight")/10
    else
        f1ss50 = 0
    end
    if GetBool("savegame.mod.f1s12") then
        f1ss55 = GetFloat("savegame.mod.lighs.headlight")/10
    else
        f1ss55 = 0
    end
    if GetBool("savegame.mod.f1s13") then
        f1ss59 = GetFloat("savegame.mod.lighs.headlight")/10
    else
        f1ss59 = 0
    end

    -- farol 39
    if GetBool("savegame.mod.f1d1") then
        f1dd0 = GetFloat("savegame.mod.lighs.headlight")/10
    else
        f1dd0 = 0
    end
    if GetBool("savegame.mod.f1d2") then
        f1dd5 = GetFloat("savegame.mod.lighs.headlight")/10
    else
        f1dd5 = 0
    end
    if GetBool("savegame.mod.f1d3") then
        f1dd10 = GetFloat("savegame.mod.lighs.headlight")/10
    else
        f1dd10 = 0
    end
    if GetBool("savegame.mod.f1d4") then
        f1dd15 = GetFloat("savegame.mod.lighs.headlight")/10
    else
        f1dd15 = 0
    end
    if GetBool("savegame.mod.f1d5") then
        f1dd20 = GetFloat("savegame.mod.lighs.headlight")/10
    else
        f1dd20 = 0
    end
    if GetBool("savegame.mod.f1d6") then
        f1dd25 = GetFloat("savegame.mod.lighs.headlight")/10
    else
        f1dd25 = 0
    end
    if GetBool("savegame.mod.f1d7") then
        f1dd30 = GetFloat("savegame.mod.lighs.headlight")/10
    else
        f1dd30 = 0
    end
    if GetBool("savegame.mod.f1d8") then
        f1dd35 = GetFloat("savegame.mod.lighs.headlight")/10
    else
        f1dd35 = 0
    end
    if GetBool("savegame.mod.f1d9") then
        f1dd40 = GetFloat("savegame.mod.lighs.headlight")/10
    else
        f1dd40 = 0
    end
    if GetBool("savegame.mod.f1d10") then
        f1dd45 = GetFloat("savegame.mod.lighs.headlight")/10
    else
        f1dd45 = 0
    end
    if GetBool("savegame.mod.f1d11") then
        f1dd50 = GetFloat("savegame.mod.lighs.headlight")/10
    else
        f1dd50 = 0
    end
    if GetBool("savegame.mod.f1d12") then
        f1dd55 = GetFloat("savegame.mod.lighs.headlight")/10
    else
        f1dd55 = 0
    end
    if GetBool("savegame.mod.f1d13") then
        f1dd59 = GetFloat("savegame.mod.lighs.headlight")/10
    else
        f1dd59 = 0
    end

    -- farol 40
    if GetBool("savegame.mod.f1f1") then
        f1ff0 = GetFloat("savegame.mod.lighs.headlight")/10
    else
        f1ff0 = 0
    end
    if GetBool("savegame.mod.f1f2") then
        f1ff5 = GetFloat("savegame.mod.lighs.headlight")/10
    else
        f1ff5 = 0
    end
    if GetBool("savegame.mod.f1f3") then
        f1ff10 = GetFloat("savegame.mod.lighs.headlight")/10
    else
        f1ff10 = 0
    end
    if GetBool("savegame.mod.f1f4") then
        f1ff15 = GetFloat("savegame.mod.lighs.headlight")/10
    else
        f1ff15 = 0
    end
    if GetBool("savegame.mod.f1f5") then
        f1ff20 = GetFloat("savegame.mod.lighs.headlight")/10
    else
        f1ff20 = 0
    end
    if GetBool("savegame.mod.f1f6") then
        f1ff25 = GetFloat("savegame.mod.lighs.headlight")/10
    else
        f1ff25 = 0
    end
    if GetBool("savegame.mod.f1f7") then
        f1ff30 = GetFloat("savegame.mod.lighs.headlight")/10
    else
        f1ff30 = 0
    end
    if GetBool("savegame.mod.f1f8") then
        f1ff35 = GetFloat("savegame.mod.lighs.headlight")/10
    else
        f1ff35 = 0
    end
    if GetBool("savegame.mod.f1f9") then
        f1ff40 = GetFloat("savegame.mod.lighs.headlight")/10
    else
        f1ff40 = 0
    end
    if GetBool("savegame.mod.f1f10") then
        f1ff45 = GetFloat("savegame.mod.lighs.headlight")/10
    else
        f1ff45 = 0
    end
    if GetBool("savegame.mod.f1f11") then
        f1ff50 = GetFloat("savegame.mod.lighs.headlight")/10
    else
        f1ff50 = 0
    end
    if GetBool("savegame.mod.f1f12") then
        f1ff55 = GetFloat("savegame.mod.lighs.headlight")/10
    else
        f1ff55 = 0
    end
    if GetBool("savegame.mod.f1f13") then
        f1ff59 = GetFloat("savegame.mod.lighs.headlight")/10
    else
        f1ff59 = 0
    end
    
	end
end