local slW = 400
local slMul = slW/100

local lim = {
    lighs = {
        blinkers = 100/4,
        headlight = 100/25,
        highbeam = 100/100,
        foglamp = 100/40,
    },
    emlights = {
        front = 100/100,
        back = 100/100,
        top = 100/100,
        left = 100/100,
        right = 100/100,
    },
        siren = {
            s1 = 100/2,
            s2 = 100/2,
            s3 = 100/2,
            horn = 100/2,
    
        }
}

local def = { 
    lighs = {
        blinkers = 0.6,
        headlight = 10,
        highbeam = 100,
        foglamp = 20,
    },
    emlights = {
        front = 1,
        back = 2,
        top = 5,
        left = 2,
        right = 2,
    },
    siren = {
        s1 = 0.8,
        s2 = 0.8,
        s3 = 0.8,
        horn = 0.8,
    }
}


function sfn(numberToFormat, dec)
    local s = (tostring(dec or 2))
    return string.format("%."..s.."f", numberToFormat)
end

function init()
    shapes = setmetatable({},{
        __index = function(t, k)
            local shape = FindShape(k)
            rawset(t, k, shape)
            return shape
        end
    })

    lights = setmetatable({},{
        __index = function(m, n)
            local light = FindLight(n)
            rawset(m, n, light)
            return light
        end
    })
	snd = LoadSound("MOD/snd/click.ogg")
	loop = LoadLoop("MOD/snd/police.ogg")
	loop2 = LoadLoop("MOD/snd/police2.ogg")
	loop3 = LoadLoop("MOD/snd/police3.ogg")
    loop4 = LoadLoop("MOD/snd/policehorn.ogg")
    frame = math.random(0, 60)
    lightOn = false
    mlo = false
    hlo = false
    note = false
    tl = false
    tr = false
    warning = false
    flash = false
    temp = false
    adt = false
    elight = false
    elight2 = false
    siren = false
    siren2 = false
    first = false
end

function tick(dt)
    
    SetShapeCollisionFilter(shapes.hood, 2, 255-2)
    SetShapeCollisionFilter(shapes.fd, 2, 255-2)
    SetShapeCollisionFilter(shapes.fe, 2, 255-2)
    SetShapeCollisionFilter(shapes.lflm2, 2, 255-2)
    SetShapeCollisionFilter(shapes.lflm, 2, 255-2)
    SetShapeCollisionFilter(shapes.tlfl, 2, 255-2)
    SetShapeCollisionFilter(shapes.tlfr, 2, 255-2)
    SetShapeCollisionFilter(shapes.lfrm2, 2, 255-2)
    SetShapeCollisionFilter(shapes.lfrm, 2, 255-2)
    SetShapeCollisionFilter(shapes.trunk, 2, 255-2)
    SetShapeCollisionFilter(shapes.lflmt, 2, 255-2)
    SetShapeCollisionFilter(shapes.lfrmt, 2, 255-2)
    SetShapeCollisionFilter(shapes.door, 2, 255-2)
    SetShapeCollisionFilter(shapes.door2, 2, 255-2)
    SetShapeCollisionFilter(shapes.rte, 2, 255-2)
    SetShapeCollisionFilter(shapes.rtd, 2, 255-2)

    if not GetBool("savegame.mod.lightdefaltp") then
        SetFloat("savegame.mod.lighs.blinkers", def.lighs.blinkers)
        SetFloat("savegame.mod.lighs.headlight", def.lighs.headlight)
        SetFloat("savegame.mod.lighs.highbeam", def.lighs.highbeam)
        SetFloat("savegame.mod.lighs.foglamp", def.lighs.foglamp)

        SetFloat("savegame.mod.emlights.front", def.emlights.front)
        SetFloat("savegame.mod.emlights.back", def.emlights.back)  
        SetFloat("savegame.mod.emlights.top", def.emlights.top)
        SetFloat("savegame.mod.emlights.left", def.emlights.left)  
        SetFloat("savegame.mod.emlights.right", def.emlights.right)  

        SetFloat("savegame.mod.psiren.s1", def.siren.s1)
        SetFloat("savegame.mod.psiren.s2", def.siren.s2)  
        SetFloat("savegame.mod.psiren.s3", def.siren.s3)
        SetFloat("savegame.mod.psiren.horn", def.siren.horn)  
        SetBool("savegame.mod.l1")  
        SetBool("savegame.mod.k1", true)  
        SetBool("savegame.mod.j1")  
        SetBool("savegame.mod.h1")
        SetBool("savegame.mod.g1")    
        SetBool("savegame.mod.f1", true)  
        SetBool("savegame.mod.d1", true)  
        SetBool("savegame.mod.s1")  
        SetBool("savegame.mod.a1")  
        SetBool("savegame.mod.m1") 
        SetBool("savegame.mod.n1") 
        SetBool("savegame.mod.b1", true) 
        SetBool("savegame.mod.v1", true) 
        SetBool("savegame.mod.c1") 
        SetBool("savegame.mod.l2")  
        SetBool("savegame.mod.k2")  
        SetBool("savegame.mod.j2")  
        SetBool("savegame.mod.h2", true)  
        SetBool("savegame.mod.g2")  
        SetBool("savegame.mod.f2", true)  
        SetBool("savegame.mod.d2", true)  
        SetBool("savegame.mod.s2", true)  
        SetBool("savegame.mod.a2")  
        SetBool("savegame.mod.m2") 
        SetBool("savegame.mod.n2") 
        SetBool("savegame.mod.b2") 
        SetBool("savegame.mod.v2") 
        SetBool("savegame.mod.c2")  
        SetBool("savegame.mod.l3")  
        SetBool("savegame.mod.k3", true)  
        SetBool("savegame.mod.j3", true)  
        SetBool("savegame.mod.h3", true)  
        SetBool("savegame.mod.g3")  
        SetBool("savegame.mod.f3")  
        SetBool("savegame.mod.d3")  
        SetBool("savegame.mod.s3", true)  
        SetBool("savegame.mod.a3", true)  
        SetBool("savegame.mod.m3") 
        SetBool("savegame.mod.n3") 
        SetBool("savegame.mod.b3", true) 
        SetBool("savegame.mod.v3", true) 
        SetBool("savegame.mod.c3")  
        SetBool("savegame.mod.l4")  
        SetBool("savegame.mod.k4")  
        SetBool("savegame.mod.j4", true)  
        SetBool("savegame.mod.h4")  
        SetBool("savegame.mod.g4", true)  
        SetBool("savegame.mod.f4")  
        SetBool("savegame.mod.d4")  
        SetBool("savegame.mod.s4")  
        SetBool("savegame.mod.a4", true)  
        SetBool("savegame.mod.m4", true) 
        SetBool("savegame.mod.n4") 
        SetBool("savegame.mod.b4") 
        SetBool("savegame.mod.v4") 
        SetBool("savegame.mod.c4")  
        SetBool("savegame.mod.l5")  
        SetBool("savegame.mod.k5", true)  
        SetBool("savegame.mod.j5")  
        SetBool("savegame.mod.h5")  
        SetBool("savegame.mod.g5", true)  
        SetBool("savegame.mod.f5")  
        SetBool("savegame.mod.d5")  
        SetBool("savegame.mod.s5")  
        SetBool("savegame.mod.a5")  
        SetBool("savegame.mod.m5", true) 
        SetBool("savegame.mod.n5") 
        SetBool("savegame.mod.b5", true) 
        SetBool("savegame.mod.v5", true) 
        SetBool("savegame.mod.c5")  
        SetBool("savegame.mod.l6")  
        SetBool("savegame.mod.k6", true)  
        SetBool("savegame.mod.j6")  
        SetBool("savegame.mod.h6")  
        SetBool("savegame.mod.g6")  
        SetBool("savegame.mod.f6")  
        SetBool("savegame.mod.d6")  
        SetBool("savegame.mod.s6")  
        SetBool("savegame.mod.a6")  
        SetBool("savegame.mod.m6") 
        SetBool("savegame.mod.n6") 
        SetBool("savegame.mod.b6", true) 
        SetBool("savegame.mod.v6", true) 
        SetBool("savegame.mod.c6") 
        SetBool("savegame.mod.l7", true)  
        SetBool("savegame.mod.k7")  
        SetBool("savegame.mod.j7")  
        SetBool("savegame.mod.h7")  
        SetBool("savegame.mod.g7", true)  
        SetBool("savegame.mod.f7")  
        SetBool("savegame.mod.d7")  
        SetBool("savegame.mod.s7")  
        SetBool("savegame.mod.a7")  
        SetBool("savegame.mod.m7", true) 
        SetBool("savegame.mod.n7", true) 
        SetBool("savegame.mod.b7") 
        SetBool("savegame.mod.v7") 
        SetBool("savegame.mod.c7", true)  
        SetBool("savegame.mod.l8")  
        SetBool("savegame.mod.k8")  
        SetBool("savegame.mod.j8", true)  
        SetBool("savegame.mod.h8")  
        SetBool("savegame.mod.g8", true)  
        SetBool("savegame.mod.f8")  
        SetBool("savegame.mod.d8")  
        SetBool("savegame.mod.s8")  
        SetBool("savegame.mod.a8", true)  
        SetBool("savegame.mod.m8", true) 
        SetBool("savegame.mod.n8") 
        SetBool("savegame.mod.b8") 
        SetBool("savegame.mod.v8") 
        SetBool("savegame.mod.c8") 
        SetBool("savegame.mod.l9", true)  
        SetBool("savegame.mod.k9")  
        SetBool("savegame.mod.j9", true)  
        SetBool("savegame.mod.h9", true)  
        SetBool("savegame.mod.g9")  
        SetBool("savegame.mod.f9")  
        SetBool("savegame.mod.d9")  
        SetBool("savegame.mod.s9", true)  
        SetBool("savegame.mod.a9", true)  
        SetBool("savegame.mod.m9") 
        SetBool("savegame.mod.n9", true) 
        SetBool("savegame.mod.b9") 
        SetBool("savegame.mod.v9") 
        SetBool("savegame.mod.c9", true) 
        SetBool("savegame.mod.l10")  
        SetBool("savegame.mod.k10")  
        SetBool("savegame.mod.j10")  
        SetBool("savegame.mod.h10", true)  
        SetBool("savegame.mod.g10")  
        SetBool("savegame.mod.f10", true)  
        SetBool("savegame.mod.d10", true)  
        SetBool("savegame.mod.s10", true)  
        SetBool("savegame.mod.a10")  
        SetBool("savegame.mod.m10") 
        SetBool("savegame.mod.n10") 
        SetBool("savegame.mod.b10") 
        SetBool("savegame.mod.v10") 
        SetBool("savegame.mod.c10")   
        SetBool("savegame.mod.l11", true)  
        SetBool("savegame.mod.k11")  
        SetBool("savegame.mod.j11")  
        SetBool("savegame.mod.h11")  
        SetBool("savegame.mod.g11")  
        SetBool("savegame.mod.f11", true)  
        SetBool("savegame.mod.d11", true)  
        SetBool("savegame.mod.s11")  
        SetBool("savegame.mod.a11")  
        SetBool("savegame.mod.m11") 
        SetBool("savegame.mod.n11", true) 
        SetBool("savegame.mod.b11") 
        SetBool("savegame.mod.v11") 
        SetBool("savegame.mod.c11", true)  
        SetBool("savegame.mod.l12", true)  
        SetBool("savegame.mod.k12")  
        SetBool("savegame.mod.j12")  
        SetBool("savegame.mod.h12")  
        SetBool("savegame.mod.g12")  
        SetBool("savegame.mod.f12")  
        SetBool("savegame.mod.d12")  
        SetBool("savegame.mod.s12")  
        SetBool("savegame.mod.a12")  
        SetBool("savegame.mod.m12") 
        SetBool("savegame.mod.n12", true) 
        SetBool("savegame.mod.b12") 
        SetBool("savegame.mod.v12") 
        SetBool("savegame.mod.c12", true)
        SetBool("savegame.mod.l13", true)  
        SetBool("savegame.mod.k13")  
        SetBool("savegame.mod.j13")  
        SetBool("savegame.mod.h13")  
        SetBool("savegame.mod.g13")  
        SetBool("savegame.mod.f13")  
        SetBool("savegame.mod.d13")  
        SetBool("savegame.mod.s13")  
        SetBool("savegame.mod.a13")  
        SetBool("savegame.mod.m13") 
        SetBool("savegame.mod.n13", true) 
        SetBool("savegame.mod.b13") 
        SetBool("savegame.mod.v13") 
        SetBool("savegame.mod.c13", true) 
        SetBool("savegame.mod.lightdefaltp", not GetBool("savegame.mod.lightdefaltp"))  
    end

	lightrigger = FindTrigger("lighttrigger")
		v = FindVehicle("policevehicle")
	local t = Transform(GetVehicleTransform(v).pos, Vec(0,1,0))
	SetTriggerTransform(lightrigger, t)


if IsPointInTrigger(lightrigger, GetPlayerPos()) then
    inside = true
    if GetBool("game.player.useVehicle") and InputPressed("j") then
        mlo = not mlo
    end

    if GetBool("game.player.useVehicle") and InputPressed("k") then
        hlo = not hlo
    end

    if GetBool("game.player.useVehicle") and InputPressed(",") then
        tl = not tl
        tr = false
        warning = false
        to = GetTime()
    end

    if GetBool("game.player.useVehicle") and InputPressed(".") then
        tr = not tr
        tl = false
        warning = false
        to = GetTime()
    end

    if GetBool("game.player.useVehicle") and InputPressed("u") then
        warning = not warning
        tl = false
        tr = false
        to = GetTime()
    end



    if GetBool("game.player.useVehicle") and InputDown("l") then
        flash = true
    else
        flash = false
    end


    if GetBool("game.player.useVehicle") and InputDown("g") and not sirent1 and not sirent2 and not sirent3 then
        PlayLoop(loop4,GetVehicleTransform(v).pos, GetFloat("savegame.mod.psiren.horn"))
        end
    
        if GetBool("game.player.useVehicle") and InputDown("g") and sirent1 and not sirent2 and not sirent3 then
            PlayLoop(loop4,GetVehicleTransform(v).pos, GetFloat("savegame.mod.psiren.horn"))
            siren = false
        else if sirent1 and not sirent2 and not sirent3 then
            siren = true
            end
        end
    
        if GetBool("game.player.useVehicle") and InputDown("g") and not sirent1 and sirent2 and not sirent3 then
            PlayLoop(loop4,GetVehicleTransform(v).pos, GetFloat("savegame.mod.psiren.horn"))
            siren2 = false
        else if not sirent1 and sirent2 and not sirent3 then
            siren2 = true
            end
        end
    
        if GetBool("game.player.useVehicle") and InputDown("g") and not sirent1 and not sirent2 and sirent3 then
            PlayLoop(loop4,GetVehicleTransform(v).pos, GetFloat("savegame.mod.psiren.horn"))
            siren3 = false
        else if not sirent1 and not sirent2 and sirent3 then
            siren3 = true
            end
        end

    if GetBool("game.player.useVehicle") and InputPressed("h") then
        adt = not adt
    end
    
    if GetBool("game.player.useVehicle") and InputPressed("i") then
        elight = not elight
        elight2 = false
        elight3 = false
    end
    if GetBool("game.player.useVehicle") and InputPressed("o") then
        elight2 = not elight2
        elight = false
        elight3 = false
    end
    if GetBool("game.player.useVehicle") and InputPressed("y") then
        elight3 = not elight3
        elight = false
        elight2 = false
    end
    if GetBool("game.player.useVehicle") and InputPressed("1") then
        siren = not siren
        sirent1 = not sirent1
        sirent2 = false
        sirent3 = false
        siren2 = false
        siren3 = false
    end
    if GetBool("game.player.useVehicle") and InputPressed("2") then
        siren2 = not siren2
        sirent2 = not sirent2
        sirent1 = false
        sirent3 = false
        siren = false
        siren3 = false
	end

if GetBool("game.player.useVehicle") and InputPressed("3") then
    siren3 = not siren3
    sirent3 = not sirent3
    sirent1 = false
    sirent2 = false
    siren = false
    siren2 = false
    end

if not elight and not elight2 and not elight3 and InputPressed("y") then
    siren = false
    sirent1 = false
    sirent2 = false
    sirent3 = false
    siren2 = false
    siren3 = false
end

if not elight and not elight2 and not elight3 and InputPressed("i") then
    siren = false
    sirent1 = false
    sirent2 = false
    sirent3 = false
    siren2 = false
    siren3 = false
end

if not elight and not elight2 and not elight3 and InputPressed("o") then
    siren = false
    sirent1 = false
    sirent2 = false
    sirent3 = false
    siren2 = false
    siren3 = false
end
else
    inside = false
end

	if siren then
	PlayLoop(loop,GetVehicleTransform(v).pos, GetFloat("savegame.mod.psiren.s1"))
	else
	if siren2 then
	PlayLoop(loop2,GetVehicleTransform(v).pos, GetFloat("savegame.mod.psiren.s2"))
	end
    if siren3 then
    PlayLoop(loop3,GetVehicleTransform(v).pos, GetFloat("savegame.mod.psiren.s3"))
    end
end



    if tl or tr or warning then
        a = math.cos((GetTime()-to)*9)
        if a >= 0 then
            tli = GetFloat("savegame.mod.lighs.blinkers")
        else
            tli = 0.0001
        end



        if warning then
            SetShapeEmissiveScale(shapes.tlfl, tli)
            SetShapeEmissiveScale(shapes.tlbl, tli)
            SetShapeEmissiveScale(shapes.tlfr, tli)
            SetShapeEmissiveScale(shapes.tlbr, tli)
        SetLightIntensity(lights.tlflp, tli)
        SetLightIntensity(lights.tlblp, tli)
        SetLightIntensity(lights.tlfrp, tli)
        SetLightIntensity(lights.tlbrp, tli)



        else
            if tl then
                SetShapeEmissiveScale(shapes.tlfl, tli)
                SetShapeEmissiveScale(shapes.tlbl, tli)
                SetShapeEmissiveScale(shapes.tlfr, 0)
                SetShapeEmissiveScale(shapes.tlbr, 0)
        SetLightIntensity(lights.tlflp, tli)
        SetLightIntensity(lights.tlblp, tli)
        SetLightIntensity(lights.tlfrp, 0)
        SetLightIntensity(lights.tlbrp, 0)

            elseif tr then
                SetShapeEmissiveScale(shapes.tlfr, tli)
                SetShapeEmissiveScale(shapes.tlbr, tli)
                SetShapeEmissiveScale(shapes.tlfl, 0)
                SetShapeEmissiveScale(shapes.tlbl, 0)
        SetLightIntensity(lights.tlflp, 0)
        SetLightIntensity(lights.tlblp, 0)
        SetLightIntensity(lights.tlfrp, tli)
        SetLightIntensity(lights.tlbrp, tli)

            else
                SetShapeEmissiveScale(shapes.tlfl, 0)
                SetShapeEmissiveScale(shapes.tlbl, 0)
                SetShapeEmissiveScale(shapes.tlfr, 0)
                SetShapeEmissiveScale(shapes.tlbr, 0)
        SetLightIntensity(lights.tlflp, 0)
        SetLightIntensity(lights.tlblp, 0)
        SetLightIntensity(lights.tlfrp, 0)
        SetLightIntensity(lights.tlbrp, 0)

         end
      end
    else
        SetShapeEmissiveScale(shapes.tlfl, 0)
        SetShapeEmissiveScale(shapes.tlbl, 0)
        SetShapeEmissiveScale(shapes.tlfr, 0)
        SetShapeEmissiveScale(shapes.tlbr, 0)
        SetLightIntensity(lights.tlflp, 0)
        SetLightIntensity(lights.tlblp, 0)
        SetLightIntensity(lights.tlfrp, 0)
        SetLightIntensity(lights.tlbrp, 0)

    end
end

function update(dt)
	frame = frame + 1
	if elight then
        local period = 60
        local t = frame%period

        --front
        --Red
        if t == 0 then 	frontes = GetFloat("savegame.mod.emlights.front")	end
        if t == 15 then frontes = 0	end
        if t == 30 then frontes = GetFloat("savegame.mod.emlights.front")	end
        if t == 45 then frontes = 0	end

        --Blue
        if t == 15 then frontdi = GetFloat("savegame.mod.emlights.front")	end
        if t == 30 then frontdi = 0	end
        if t == 45 then frontdi = GetFloat("savegame.mod.emlights.front")	end
        if t == 59 then frontdi = 0	end

        --back
        --Red
        if t == 0 then 	backes = GetFloat("savegame.mod.emlights.back")	end
        if t == 15 then backes = 0	end
        if t == 30 then backes = GetFloat("savegame.mod.emlights.back")	end
        if t == 45 then backes = 0	end

        --Blue
        if t == 15 then backdi = GetFloat("savegame.mod.emlights.back")	end
        if t == 30 then backdi = 0	end
        if t == 45 then backdi = GetFloat("savegame.mod.emlights.back")	end
        if t == 59 then backdi = 0	end

        --top
        --Red
        if t == 0 then 	topes = GetFloat("savegame.mod.emlights.top")	end
        if t == 15 then topes = 0	end
        if t == 30 then topes = GetFloat("savegame.mod.emlights.top")	end
        if t == 45 then topes = 0	end

        --Blue
        if t == 15 then topdi = GetFloat("savegame.mod.emlights.top")	end
        if t == 30 then topdi = 0	end
        if t == 45 then topdi = GetFloat("savegame.mod.emlights.top")	end
        if t == 59 then topdi = 0	end

        --left
        --Red
        if t == 0 then 	leftes = GetFloat("savegame.mod.emlights.left")	end
        if t == 15 then leftes = 0	end
        if t == 30 then leftes = GetFloat("savegame.mod.emlights.left")	end
        if t == 45 then leftes = 0	end

        --Blue
        if t == 15 then leftdi = GetFloat("savegame.mod.emlights.left")	end
        if t == 30 then leftdi = 0	end
        if t == 45 then leftdi = GetFloat("savegame.mod.emlights.left")	end
        if t == 59 then leftdi = 0	end

        --right
        --Red
        if t == 0 then 	rightes = GetFloat("savegame.mod.emlights.right")	end
        if t == 15 then rightes = 0	end
        if t == 30 then rightes = GetFloat("savegame.mod.emlights.right")	end
        if t == 45 then rightes = 0	end

        --Blue
        if t == 15 then rightdi = GetFloat("savegame.mod.emlights.right")	end
        if t == 30 then rightdi = 0	end
        if t == 45 then rightdi = GetFloat("savegame.mod.emlights.right")	end
        if t == 59 then rightdi = 0	end


        --farol shape
        if t == 0 then 	fa1 = GetFloat("savegame.mod.lighs.headlight") end
        if t == 15 then fa1 = 0 end
        if t == 30 then fa1 = GetFloat("savegame.mod.lighs.headlight") end
        if t == 45 then fa1 = 0 end

        if t == 15 then fa2 = GetFloat("savegame.mod.lighs.headlight") end
        if t == 30 then fa2 = 0	end
        if t == 45 then fa2 = GetFloat("savegame.mod.lighs.headlight") end
        if t == 59 then fa2 = 0	end

        --farol light
        if t == 0 then 	fa1 = GetFloat("savegame.mod.lighs.headlight") end
        if t == 15 then fa1 = 0 end
        if t == 30 then fa1 = GetFloat("savegame.mod.lighs.headlight") end
        if t == 45 then fa1 = 0 end

        if t == 15 then fa2 = GetFloat("savegame.mod.lighs.headlight") end
        if t == 30 then fa2 = 0	end
        if t == 45 then fa2 = GetFloat("savegame.mod.lighs.headlight") end
        if t == 59 then fa2 = 0	end

        if t == 0 then 	fa3 = GetFloat("savegame.mod.lighs.headlight")/35 end
        if t == 15 then fa3 = 0 end
        if t == 30 then fa3 = GetFloat("savegame.mod.lighs.headlight")/35 end
        if t == 45 then fa3 = 0 end

        if t == 15 then fa4 = GetFloat("savegame.mod.lighs.headlight")/35 end
        if t == 30 then fa4 = 0	end
        if t == 45 then fa4 = GetFloat("savegame.mod.lighs.headlight")/35 end
        if t == 59 then fa4 = 0	end



SetShapeEmissiveScale(shapes.td, topdi)
SetShapeEmissiveScale(shapes.te, topes)
SetShapeEmissiveScale(shapes.td2, topdi)
SetShapeEmissiveScale(shapes.te2, topes)
SetShapeEmissiveScale(shapes.rd, backdi)
SetShapeEmissiveScale(shapes.re, backes)
SetShapeEmissiveScale(shapes.rtd, leftdi)
SetShapeEmissiveScale(shapes.rte, rightes)
SetShapeEmissiveScale(shapes.fd, frontdi)
SetShapeEmissiveScale(shapes.fe, frontes)
SetLightIntensity(lights.td, topdi)
SetLightIntensity(lights.te, topes)
SetLightIntensity(lights.td2, topdi)
SetLightIntensity(lights.te2, topes)
SetLightIntensity(lights.td3, topdi)
SetLightIntensity(lights.te3, topes)
SetLightIntensity(lights.td4, topdi)
SetLightIntensity(lights.te4, topes)
SetLightIntensity(lights.td5, topdi)
SetLightIntensity(lights.te5, topes)
SetLightIntensity(lights.rd, backdi)
SetLightIntensity(lights.re, backes)
SetLightIntensity(lights.rtd, leftdi)
SetLightIntensity(lights.rte, rightes)
SetLightIntensity(lights.fd, frontdi)
SetLightIntensity(lights.fe, frontes)
SetShapeEmissiveScale(shapes.lflm, fa1)
SetLightIntensity(lights.lflml, fa1)
SetShapeEmissiveScale(shapes.lfrm, fa2)
SetLightIntensity(lights.lflmr, fa2)
SetShapeEmissiveScale(shapes.lflmt, fa1)
SetLightIntensity(lights.lflmlt, fa3)
SetShapeEmissiveScale(shapes.lfrmt, fa2)
SetLightIntensity(lights.lfrmrt, fa4)
else

SetShapeEmissiveScale(shapes.td, 0)
SetShapeEmissiveScale(shapes.te, 0)
SetShapeEmissiveScale(shapes.td2, 0)
SetShapeEmissiveScale(shapes.te2, 0)
SetShapeEmissiveScale(shapes.rd, 0)
SetShapeEmissiveScale(shapes.re, 0)
SetShapeEmissiveScale(shapes.rtd, 0)
SetShapeEmissiveScale(shapes.rte, 0)
SetShapeEmissiveScale(shapes.fd, 0)
SetShapeEmissiveScale(shapes.fe, 0)
SetLightIntensity(lights.td, 0)
SetLightIntensity(lights.te, 0)
SetLightIntensity(lights.td2, 0)
SetLightIntensity(lights.te2, 0)
SetLightIntensity(lights.td3, 0)
SetLightIntensity(lights.te3, 0)
SetLightIntensity(lights.td4, 0)
SetLightIntensity(lights.te4, 0)
SetLightIntensity(lights.td5, 0)
SetLightIntensity(lights.te5, 0)
SetLightIntensity(lights.rd, 0)
SetLightIntensity(lights.re, 0)
SetLightIntensity(lights.rtd, 0)
SetLightIntensity(lights.rte, 0)
SetLightIntensity(lights.fd, 0)
SetLightIntensity(lights.fe, 0)

SetLightIntensity(lights.lflmr, 0)
SetLightIntensity(lights.lflml, 0)
SetLightIntensity(lights.lflmr2, 0)
SetLightIntensity(lights.lflml2, 0)
SetShapeEmissiveScale(shapes.lflm, 0)
SetShapeEmissiveScale(shapes.lfrm, 0)
SetShapeEmissiveScale(shapes.lflm2, 0)
SetShapeEmissiveScale(shapes.lfrm2, 0)
SetShapeEmissiveScale(shapes.lflmt, 0)
SetShapeEmissiveScale(shapes.lfrmt, 0)
SetLightIntensity(lights.lflmlt, 0)
SetLightIntensity(lights.lfrmrt, 0)



    end



    if elight2 then
        local period = 60
        local t = frame%period

        --front
        --Red
        if t == 0 then 	frontes = GetFloat("savegame.mod.emlights.front") end
        if t == 5 then frontes = 0	end
        if t == 10 then frontes = GetFloat("savegame.mod.emlights.front") end
        if t == 30 then frontes = 0	end

        --Blue
        if t == 30 then frontdi = GetFloat("savegame.mod.emlights.front") end
        if t == 35 then frontdi = 0	end
        if t == 40 then frontdi = GetFloat("savegame.mod.emlights.front") end
        if t == 59 then frontdi = 0	end

        --back
        --Red
        if t == 0 then 	backes = GetFloat("savegame.mod.emlights.back")	end
        if t == 5 then backes = 0	end
        if t == 10 then backes = GetFloat("savegame.mod.emlights.back") end
        if t == 30 then backes = 0	end

        --Blue
        if t == 30 then backdi = GetFloat("savegame.mod.emlights.back") end
        if t == 35 then backdi = 0	end
        if t == 40 then backdi = GetFloat("savegame.mod.emlights.back")	end
        if t == 59 then backdi = 0	end

        --top
        --Red
        if t == 0 then 	topes = GetFloat("savegame.mod.emlights.top")	end
        if t == 5 then topes = 0	end
        if t == 10 then topes = GetFloat("savegame.mod.emlights.top") end
        if t == 30 then topes = 0	end

        --Blue
        if t == 30 then topdi = GetFloat("savegame.mod.emlights.top") end
        if t == 35 then topdi = 0	end
        if t == 40 then topdi = GetFloat("savegame.mod.emlights.top")	end
        if t == 59 then topdi = 0	end

        --left
        --Red
        if t == 0 then 	leftes = GetFloat("savegame.mod.emlights.left")	end
        if t == 5 then leftes = 0	end
        if t == 10 then leftes = GetFloat("savegame.mod.emlights.left") end
        if t == 30 then leftes = 0	end

        --Blue
        if t == 30 then leftdi = GetFloat("savegame.mod.emlights.left") end
        if t == 35 then leftdi = 0	end
        if t == 40 then leftdi = GetFloat("savegame.mod.emlights.left")	end
        if t == 59 then leftdi = 0	end

        --right
        --Red
        if t == 0 then 	rightes = GetFloat("savegame.mod.emlights.right") end
        if t == 5 then rightes = 0	end
        if t == 10 then rightes = GetFloat("savegame.mod.emlights.right") end
        if t == 30 then rightes = 0	end

        --Blue
        if t == 30 then rightdi = GetFloat("savegame.mod.emlights.right") end
        if t == 35 then rightdi = 0	end
        if t == 40 then rightdi = GetFloat("savegame.mod.emlights.right") end
        if t == 59 then rightdi = 0	end



        --farol light
        if t == 0 then 	fa1 = GetFloat("savegame.mod.lighs.headlight") end
        if t == 5 then fa1 = 0 end
        if t == 10 then fa1 = GetFloat("savegame.mod.lighs.headlight") end
        if t == 30 then fa1 = 0 end

        if t == 30 then fa2 = GetFloat("savegame.mod.lighs.headlight") end
        if t == 35 then fa2 = 0	end
        if t == 40 then fa2 = GetFloat("savegame.mod.lighs.headlight") end
        if t == 59 then fa2 = 0	end

        if t == 0 then 	fa3 = GetFloat("savegame.mod.lighs.headlight")/35 end
        if t == 5 then fa3 = 0 end
        if t == 10 then fa3 = GetFloat("savegame.mod.lighs.headlight")/35 end
        if t == 30 then fa3 = 0 end

        if t == 30 then fa4 = GetFloat("savegame.mod.lighs.headlight")/35 end
        if t == 35 then fa4 = 0	end
        if t == 40 then fa4 = GetFloat("savegame.mod.lighs.headlight")/35 end
        if t == 59 then fa4 = 0	end



        SetShapeEmissiveScale(shapes.td, topdi)
        SetShapeEmissiveScale(shapes.te, topes)
        SetShapeEmissiveScale(shapes.td2, topdi)
        SetShapeEmissiveScale(shapes.te2, topes)
        SetShapeEmissiveScale(shapes.rd, backdi)
        SetShapeEmissiveScale(shapes.re, backes)
        SetShapeEmissiveScale(shapes.rtd, leftdi)
        SetShapeEmissiveScale(shapes.rte, rightes)
        SetShapeEmissiveScale(shapes.fd, frontdi)
        SetShapeEmissiveScale(shapes.fe, frontes)
        SetLightIntensity(lights.td, topdi)
        SetLightIntensity(lights.te, topes)
        SetLightIntensity(lights.td2, topdi)
        SetLightIntensity(lights.te2, topes)
        SetLightIntensity(lights.td3, topdi)
        SetLightIntensity(lights.te3, topes)
        SetLightIntensity(lights.td4, topdi)
        SetLightIntensity(lights.te4, topes)
        SetLightIntensity(lights.td5, topdi)
        SetLightIntensity(lights.te5, topes)
        SetLightIntensity(lights.rd, backdi)
        SetLightIntensity(lights.re, backes)
        SetLightIntensity(lights.rtd, leftdi)
        SetLightIntensity(lights.rte, rightes)
        SetLightIntensity(lights.fd, frontdi)
        SetLightIntensity(lights.fe, frontes)
        SetShapeEmissiveScale(shapes.lflm, fa1)
        SetLightIntensity(lights.lflml, fa1)
        SetShapeEmissiveScale(shapes.lfrm, fa2)
        SetLightIntensity(lights.lflmr, fa2)
        SetShapeEmissiveScale(shapes.lflmt, fa1)
        SetLightIntensity(lights.lflmlt, fa3)
        SetShapeEmissiveScale(shapes.lfrmt, fa2)
        SetLightIntensity(lights.lfrmrt, fa4)

end


if elight3 then
    local period = 60
    local t = frame%period


    --1
    if t == 0 then 	fa1 = ll0 end
    if t == 5 then fa1 = ll5 end
    if t == 10 then fa1 = ll10 end
    if t == 15 then fa1 = ll15 end
    if t == 20 then fa1 = ll20 end
    if t == 25 then fa1 = ll25 end
    if t == 30 then fa1 = ll30 end
    if t == 35 then fa1 = ll35 end
    if t == 40 then fa1 = ll40 end
    if t == 45 then fa1 = ll45 end
    if t == 50 then fa1 = ll50 end
    if t == 55 then fa1 = ll55 end
    if t == 59 then fa1 = ll59 end

    --2
    if t == 0 then 	fa2 = kk0 end
    if t == 5 then fa2 = kk5 end
    if t == 10 then fa2 = kk10 end
    if t == 15 then fa2 = kk15 end
    if t == 20 then fa2 = kk20 end
    if t == 25 then fa2 = kk25 end
    if t == 30 then fa2 = kk30 end
    if t == 35 then fa2 = kk35 end
    if t == 40 then fa2 = kk40 end
    if t == 45 then fa2 = kk45 end
    if t == 50 then fa2 = kk50 end
    if t == 55 then fa2 = kk55 end
    if t == 59 then fa2 = kk59 end


    --3
    if t == 0 then 	fa3 = jj0 end
    if t == 5 then fa3 = jj5 end
    if t == 10 then fa3 = jj10 end
    if t == 15 then fa3 = jj15 end
    if t == 20 then fa3 = jj20 end
    if t == 25 then fa3 = jj25 end
    if t == 30 then fa3 = jj30 end
    if t == 35 then fa3 = jj35 end
    if t == 40 then fa3 = jj40 end
    if t == 45 then fa3 = jj45 end
    if t == 50 then fa3 = jj50 end
    if t == 55 then fa3 = jj55 end
    if t == 59 then fa3 = jj59 end       
    
    --4
    if t == 0  then	fa4 = hh0 end
    if t == 5  then fa4 = hh5 end
    if t == 10 then fa4 = hh10 end
    if t == 15 then fa4 = hh15 end
    if t == 20 then fa4 = hh20 end
    if t == 25 then fa4 = hh25 end
    if t == 30 then fa4 = hh30 end
    if t == 35 then fa4 = hh35 end
    if t == 40 then fa4 = hh40 end
    if t == 45 then fa4 = hh45 end
    if t == 50 then fa4 = hh50 end
    if t == 55 then fa4 = hh55 end
    if t == 59 then fa4 = hh59 end    
    
    --5
    if t == 0 then 	fa5 = gg0 end
    if t == 5 then fa5 = gg5 end
    if t == 10 then fa5 = gg10 end
    if t == 15 then fa5 = gg15 end
    if t == 20 then fa5 = gg20 end
    if t == 25 then fa5 = gg25 end
    if t == 30 then fa5 = gg30 end
    if t == 35 then fa5 = gg35 end
    if t == 40 then fa5 = gg40 end
    if t == 45 then fa5 = gg45 end
    if t == 50 then fa5 = gg50 end
    if t == 55 then fa5 = gg55 end
    if t == 59 then fa5 = gg59 end  

    --6
    if t == 0 then 	fa6 = ff0 end
    if t == 5 then fa6 = ff5 end
    if t == 10 then fa6 = ff10 end
    if t == 15 then fa6 = ff15 end
    if t == 20 then fa6 = ff20 end
    if t == 25 then fa6 = ff25 end
    if t == 30 then fa6 = ff30 end
    if t == 35 then fa6 = ff35 end
    if t == 40 then fa6 = ff40 end
    if t == 45 then fa6 = ff45 end
    if t == 50 then fa6 = ff50 end
    if t == 55 then fa6 = ff55 end
    if t == 59 then fa6 = ff59 end
    
    --7
    if t == 0 then 	fa7 = dd0 end
    if t == 5 then fa7 = dd5 end
    if t == 10 then fa7 = dd10 end
    if t == 15 then fa7 = dd15 end
    if t == 20 then fa7 = dd20 end
    if t == 25 then fa7 = dd25 end
    if t == 30 then fa7 = dd30 end
    if t == 35 then fa7 = dd35 end
    if t == 40 then fa7 = dd40 end
    if t == 45 then fa7 = dd45 end
    if t == 50 then fa7 = dd50 end
    if t == 55 then fa7 = dd55 end
    if t == 59 then fa7 = dd59 end  

    --8
    if t == 0 then 	fa8 = ss0 end
    if t == 5 then fa8 = ss5 end
    if t == 10 then fa8 = ss10 end
    if t == 15 then fa8 = ss15 end
    if t == 20 then fa8 = ss20 end
    if t == 25 then fa8 = ss25 end
    if t == 30 then fa8 = ss30 end
    if t == 35 then fa8 = ss35 end
    if t == 40 then fa8 = ss40 end
    if t == 45 then fa8 = ss45 end
    if t == 50 then fa8 = ss50 end
    if t == 55 then fa8 = ss55 end
    if t == 59 then fa8 = ss59 end 

    --9
    if t == 0 then 	fa9 = aa0 end
    if t == 5 then fa9 = aa5 end
    if t == 10 then fa9 = aa10 end
    if t == 15 then fa9 = aa15 end
    if t == 20 then fa9 = aa20 end
    if t == 25 then fa9 = aa25 end
    if t == 30 then fa9 = aa30 end
    if t == 35 then fa9 = aa35 end
    if t == 40 then fa9 = aa40 end
    if t == 45 then fa9 = aa45 end
    if t == 50 then fa9 = aa50 end
    if t == 55 then fa9 = aa55 end
    if t == 59 then fa9 = aa59 end 

    --10
    if t == 0 then 	fa10 = mm0 end
    if t == 5 then fa10 = mm5 end
    if t == 10 then fa10 = mm10 end
    if t == 15 then fa10 = mm15 end
    if t == 20 then fa10 = mm20 end
    if t == 25 then fa10 = mm25 end
    if t == 30 then fa10 = mm30 end
    if t == 35 then fa10 = mm35 end
    if t == 40 then fa10 = mm40 end
    if t == 45 then fa10 = mm45 end
    if t == 50 then fa10 = mm50 end
    if t == 55 then fa10 = mm55 end
    if t == 59 then fa10 = mm59 end 

    --11
    if t == 0 then 	fa11 = nn0 end
    if t == 5 then fa11 = nn5 end
    if t == 10 then fa11 = nn10 end
    if t == 15 then fa11 = nn15 end
    if t == 20 then fa11 = nn20 end
    if t == 25 then fa11 = nn25 end
    if t == 30 then fa11 = nn30 end
    if t == 35 then fa11 = nn35 end
    if t == 40 then fa11 = nn40 end
    if t == 45 then fa11 = nn45 end
    if t == 50 then fa11 = nn50 end
    if t == 55 then fa11 = nn55 end
    if t == 59 then fa11 = nn59 end 

    --12
    if t == 0  then	fa12 = bb0 end
    if t == 5  then fa12 = bb5 end
    if t == 10 then fa12 = bb10 end
    if t == 15 then fa12 = bb15 end
    if t == 20 then fa12 = bb20 end
    if t == 25 then fa12 = bb25 end
    if t == 30 then fa12 = bb30 end
    if t == 35 then fa12 = bb35 end
    if t == 40 then fa12 = bb40 end
    if t == 45 then fa12 = bb45 end
    if t == 50 then fa12 = bb50 end
    if t == 55 then fa12 = bb55 end
    if t == 59 then fa12 = bb59 end 

    --13
    if t == 0  then	fa13 = vv0 end
    if t == 5  then fa13 = vv5 end
    if t == 10 then fa13 = vv10 end
    if t == 15 then fa13 = vv15 end
    if t == 20 then fa13 = vv20 end
    if t == 25 then fa13 = vv25 end
    if t == 30 then fa13 = vv30 end
    if t == 35 then fa13 = vv35 end
    if t == 40 then fa13 = vv40 end
    if t == 45 then fa13 = vv45 end
    if t == 50 then fa13 = vv50 end
    if t == 55 then fa13 = vv55 end
    if t == 59 then fa13 = vv59 end 

    --14
    if t == 0  then	fa14 = cc0 end
    if t == 5  then fa14 = cc5 end
    if t == 10 then fa14 = cc10 end
    if t == 15 then fa14 = cc15 end
    if t == 20 then fa14 = cc20 end
    if t == 25 then fa14 = cc25 end
    if t == 30 then fa14 = cc30 end
    if t == 35 then fa14 = cc35 end
    if t == 40 then fa14 = cc40 end
    if t == 45 then fa14 = cc45 end
    if t == 50 then fa14 = cc50 end
    if t == 55 then fa14 = cc55 end
    if t == 59 then fa14 = cc59 end 

        --15
    if t == 0  then	fa15 = vv0/35 end
    if t == 5  then fa15 = vv5/35 end
    if t == 10 then fa15 = vv10/35 end
    if t == 15 then fa15 = vv15/35 end
    if t == 20 then fa15 = vv20/35 end
    if t == 25 then fa15 = vv25/35 end
    if t == 30 then fa15 = vv30/35 end
    if t == 35 then fa15 = vv35/35 end
    if t == 40 then fa15 = vv40/35 end
    if t == 45 then fa15 = vv45/35 end
    if t == 50 then fa15 = vv50/35 end
    if t == 55 then fa15 = vv55/35 end
    if t == 59 then fa15 = vv59/35 end 

            --14
    if t == 0  then	fa16 = cc0/35 end
    if t == 5  then fa16 = cc5/35 end
    if t == 10 then fa16 = cc10/35 end
    if t == 15 then fa16 = cc15/35 end
    if t == 20 then fa16 = cc20/35 end
    if t == 25 then fa16 = cc25/35 end
    if t == 30 then fa16 = cc30/35 end
    if t == 35 then fa16 = cc35/35 end
    if t == 40 then fa16 = cc40/35 end
    if t == 45 then fa16 = cc45/35 end
    if t == 50 then fa16 = cc50/35 end
    if t == 55 then fa16 = cc55/35 end
    if t == 59 then fa16 = cc59/35 end 







    SetShapeEmissiveScale(shapes.td, fa9)
    SetShapeEmissiveScale(shapes.te, fa8)
    SetShapeEmissiveScale(shapes.td2, fa10)
    SetShapeEmissiveScale(shapes.te2, fa7)
    SetShapeEmissiveScale(shapes.rd, fa11)
    SetShapeEmissiveScale(shapes.re, fa12)
    SetShapeEmissiveScale(shapes.rtd, fa5)
    SetShapeEmissiveScale(shapes.rte, fa6)
    SetShapeEmissiveScale(shapes.fd, fa4)
    SetShapeEmissiveScale(shapes.fe, fa3)
    SetLightIntensity(lights.td, fa9)
    SetLightIntensity(lights.te, fa8)
    SetLightIntensity(lights.td2, fa10)
    SetLightIntensity(lights.te2, fa7)
    SetLightIntensity(lights.td3, fa9)
    SetLightIntensity(lights.te3, fa8)
    SetLightIntensity(lights.td4, fa10)
    SetLightIntensity(lights.te4, fa7)
    SetLightIntensity(lights.td5, fa10)
    SetLightIntensity(lights.te5, fa7)
    SetLightIntensity(lights.rd, fa11)
    SetLightIntensity(lights.re, fa12)
    SetLightIntensity(lights.rtd, fa5)
    SetLightIntensity(lights.rte, fa6)
    SetLightIntensity(lights.fd, fa4)
    SetLightIntensity(lights.fe, fa3)
    SetShapeEmissiveScale(shapes.lflm, fa1)
    SetLightIntensity(lights.lflml, fa1)
    SetShapeEmissiveScale(shapes.lfrm, fa2)
    SetLightIntensity(lights.lflmr, fa2)
    SetShapeEmissiveScale(shapes.lflmt, fa13)
    SetLightIntensity(lights.lflmlt, fa15)
    SetShapeEmissiveScale(shapes.lfrmt, fa14)
    SetLightIntensity(lights.lfrmrt, fa16)

end

    if flash then
        SetLightIntensity(lights.lflmr, 0)
        SetLightIntensity(lights.lflml, 0)
        SetLightIntensity(lights.lflmr2, GetFloat("savegame.mod.lighs.highbeam"))
        SetLightIntensity(lights.lflml2, GetFloat("savegame.mod.lighs.highbeam"))
        SetShapeEmissiveScale(shapes.lflm, GetFloat("savegame.mod.lighs.headlight"))
        SetShapeEmissiveScale(shapes.lfrm, GetFloat("savegame.mod.lighs.headlight"))
        SetShapeEmissiveScale(shapes.lflm2, GetFloat("savegame.mod.lighs.highbeam"))
        SetShapeEmissiveScale(shapes.lfrm2, GetFloat("savegame.mod.lighs.highbeam"))
        SetShapeEmissiveScale(shapes.lflmt, GetFloat("savegame.mod.lighs.headlight"))
        SetShapeEmissiveScale(shapes.lfrmt, GetFloat("savegame.mod.lighs.headlight"))
        SetLightIntensity(lights.lflmlt, GetFloat("savegame.mod.lighs.headlight")/35)
        SetLightIntensity(lights.lfrmrt, GetFloat("savegame.mod.lighs.headlight")/35)
    else

        if mlo then
            SetShapeEmissiveScale(shapes.lflm, GetFloat("savegame.mod.lighs.headlight"))
            SetShapeEmissiveScale(shapes.lfrm, GetFloat("savegame.mod.lighs.headlight"))
            SetShapeEmissiveScale(shapes.lflmt, GetFloat("savegame.mod.lighs.headlight"))
            SetShapeEmissiveScale(shapes.lfrmt, GetFloat("savegame.mod.lighs.headlight"))
            SetLightIntensity(lights.lflmr, GetFloat("savegame.mod.lighs.headlight"))
            SetLightIntensity(lights.lflml, GetFloat("savegame.mod.lighs.headlight"))
            SetLightIntensity(lights.lflmlt, GetFloat("savegame.mod.lighs.headlight")/35)
            SetLightIntensity(lights.lfrmrt, GetFloat("savegame.mod.lighs.headlight")/35)
            SetLightIntensity(lights.lflmr2, 0)
            SetLightIntensity(lights.lflml2, 0)
            SetShapeEmissiveScale(shapes.lflm2, 0)
            SetShapeEmissiveScale(shapes.lfrm2, 0)
        end

        if mlo and hlo then
            SetLightIntensity(lights.lflmr, 0)
            SetLightIntensity(lights.lflml, 0)
            SetLightIntensity(lights.lflmr2, GetFloat("savegame.mod.lighs.highbeam"))
            SetLightIntensity(lights.lflml2, GetFloat("savegame.mod.lighs.highbeam"))
            SetShapeEmissiveScale(shapes.lflm, GetFloat("savegame.mod.lighs.headlight"))
            SetShapeEmissiveScale(shapes.lfrm, GetFloat("savegame.mod.lighs.headlight"))
            SetShapeEmissiveScale(shapes.lflm2, GetFloat("savegame.mod.lighs.highbeam"))
            SetShapeEmissiveScale(shapes.lfrm2, GetFloat("savegame.mod.lighs.highbeam"))
            SetShapeEmissiveScale(shapes.lflmt, GetFloat("savegame.mod.lighs.headlight"))
            SetShapeEmissiveScale(shapes.lfrmt, GetFloat("savegame.mod.lighs.headlight"))
            SetLightIntensity(lights.lflmlt, GetFloat("savegame.mod.lighs.headlight")/35)
            SetLightIntensity(lights.lfrmrt, GetFloat("savegame.mod.lighs.headlight")/35)
        elseif mlo then
            SetShapeEmissiveScale(shapes.lflm, GetFloat("savegame.mod.lighs.headlight"))
            SetShapeEmissiveScale(shapes.lfrm, GetFloat("savegame.mod.lighs.headlight"))
            SetShapeEmissiveScale(shapes.lflmt, GetFloat("savegame.mod.lighs.headlight"))
            SetShapeEmissiveScale(shapes.lfrmt, GetFloat("savegame.mod.lighs.headlight"))
            SetLightIntensity(lights.lflmr, GetFloat("savegame.mod.lighs.headlight"))
            SetLightIntensity(lights.lflml, GetFloat("savegame.mod.lighs.headlight"))
            SetLightIntensity(lights.lflmlt, GetFloat("savegame.mod.lighs.headlight")/35)
            SetLightIntensity(lights.lfrmrt, GetFloat("savegame.mod.lighs.headlight")/35)
            SetLightIntensity(lights.lflmr2, 0)
            SetLightIntensity(lights.lflml2, 0)
            SetShapeEmissiveScale(shapes.lflm2, 0)
            SetShapeEmissiveScale(shapes.lfrm2, 0)

        end
        if mlo and adt then
        SetShapeEmissiveScale(shapes.hl, GetFloat("savegame.mod.lighs.foglamp"))
        SetShapeEmissiveScale(shapes.hl2, GetFloat("savegame.mod.lighs.foglamp"))
        SetLightIntensity(lights.hll, GetFloat("savegame.mod.lighs.foglamp"))
        SetLightIntensity(lights.hll2, GetFloat("savegame.mod.lighs.foglamp"))
    else
        SetShapeEmissiveScale(shapes.hl, 0)
        SetShapeEmissiveScale(shapes.hl2, 0)
        SetLightIntensity(lights.hll, 0)
        SetLightIntensity(lights.hll2, 0)
    end
end
    

end


function draw()
    
    
    if inside and GetBool("game.player.useVehicle") then
		UiFont("regular.ttf", 22)
		UiTextShadow(0, 0, 0, 0.5, 0.5)
        if controls then
            UiPush()
            UiColor(1, 1, 1, 1)
            UiTranslate(60, 30)
            UiText("Vehicles Binds")
            UiTranslate(-40, 5)
            UiColor(0, 0, 0, 0.6)
            UiImageBox("MOD/images/box-solid-6.png", 230, 340, 6, 6)
            UiColor(1, 1, 1, 1)
            UiTranslate(10, 25)
            UiText("headlight: J")
            UiTranslate(0, 25)
            UiText("high beam: K")
            UiTranslate(0, 25)
            UiText("Flash high beam: L")
            UiTranslate(0, 25)
            UiText("foglamp: H")
            UiTranslate(0, 25)
            UiText("left right blinkers: </> ,/.")
            UiTranslate(0, 25)
            UiText("Hazard Lights: U")
            UiTranslate(0, 25)
            UiText("Horn: G")
            UiTranslate(0, 25)
            UiText("Emergency Lights 1: i")
            UiTranslate(0, 25)
            UiText("Emergency Lights 2: o")
            UiTranslate(0, 25)
            UiText("Custom Lights: Y")
            UiTranslate(0, 25)
            UiText("Siren 1: 1")
            UiTranslate(0, 25)
            UiText("Siren 2: 2")
            UiTranslate(0, 25)
            UiText("Siren 3: 3")
            UiTranslate(0, 45)
            UiText("F1 - minimize")
            UiPop()
        else
            UiPush()
            UiColor(1, 1, 1, 1)
            UiTranslate(40, 30)
            UiText("F1 -Vehicles Binds")
            UiTranslate(-20, -25)
            UiColor(0, 0, 0, 0.6)
            UiImageBox("MOD/images/box-solid-6.png", 200, 40, 6, 6)
            UiPop()
        end

        if InputPressed("f1") then
			controls = not controls
        end

        
		if not uix then uix = UiWidth() - 200 end
		if not uiy then uiy = 50 end

		UiTranslate(uix, uiy)

        if InputPressed("m") and not ui then
            ui = true
            SetValue("uix", UiCenter()-950, "cosine", 0.25)
            SetValue("uiy", UiMiddle()-500, "cosine", 0.25)
           else
           if InputPressed("m") or InputPressed("esc") and ui then
            ui = false
            SetValue("uix", UiWidth()-200, "cosine", 0.25)
            SetValue("uiy", 50, "cosine", 0.25)
           end
        end


		if ui then
            SetBool("game.disablepause", true)
            SetBool("game.disablemap", true)
			UiMakeInteractive()

        --blinkers

            UiPush()
                UiTranslate(20,90)
                UiPush()
                    UiFont("bold.ttf", 40)
                    UiText("Lights Options")
    
                    UiPush()
                        UiTranslate(0,50)
    
                        UiFont("bold.ttf", 30)
                        UiText("blinkers")
                        UiTranslate(0,20)
    
                        UiAlign("left middle")
                        UiColor(0.7, 0.4, 0)
                        UiRect(slW+3, 3)
    
                        UiColor(1, 1, 1)
                        local limit = lim.lighs.blinkers
                        local value = (GetFloat("savegame.mod.lighs.blinkers") or 2) * slMul
                        local done = false
                        value, done = UiSlider("ui/common/dot.png", "x", value*limit, 0, slW)
                        if done then
                            SetFloat("savegame.mod.lighs.blinkers", value/slMul/limit)

                        end
                        UiPush()
                        UiColor(1, 1, 1)
                            UiTranslate(slW+25,0)
                            UiText(sfn(value/slMul/limit, 1))
                        UiPop()
    
                    UiPop()
        --blinkers

        --headlights
            UiPush()

                UiPush()
                    UiTranslate(0,110)

                    UiFont("bold.ttf", 30)
                    UiText("headlight")
                    UiTranslate(0,20)

                    UiAlign("left middle")
                    UiColor(1, 1, 1)
                    UiRect(slW+3, 3)
        

                    local limit = lim.lighs.headlight
                    local value = (GetFloat("savegame.mod.lighs.headlight") or 2) * slMul
                    local done = false
                    value, done = UiSlider("ui/common/dot.png", "x", value*limit, 0, slW)
                    if done then
                        SetFloat("savegame.mod.lighs.headlight", value/slMul/limit)
                
                    end
                    UiPush()
                        UiTranslate(slW+25,0)
                        UiText(sfn(value/slMul/limit, 1))
                    UiPop()

               UiPop()
            --headlights

                    --Highbeam
                    UiPush()

                    UiPush()
                        UiTranslate(0,170)
    
                        UiFont("bold.ttf", 30)
                        UiText("high-beam")
                        UiTranslate(0,20)
    
                        UiAlign("left middle")
                        UiColor(1, 1, 1)
                        UiRect(slW+3, 3)
            

                        local limit = lim.lighs.highbeam
                        local value = (GetFloat("savegame.mod.lighs.highbeam") or 2) * slMul
                        local done = false
                        value, done = UiSlider("ui/common/dot.png", "x", value*limit, 0, slW)
                        if done then
                            SetFloat("savegame.mod.lighs.highbeam", value/slMul/limit)
                    
                        end
                        UiPush()
                            UiTranslate(slW+25,0)
                            UiText(sfn(value/slMul/limit, 1))
                        UiPop()
    
                   UiPop()
                --Highbeam


                    --foglamp
                    UiPush()

                    UiPush()
                        UiTranslate(0,230)
    
                        UiFont("bold.ttf", 30)
                        UiText("Fog-Lamp")
                        UiTranslate(0,20)
    
                        UiAlign("left middle")
                        UiColor(1, 1, 1)
                        UiRect(slW+3, 3)
            
                        local limit = lim.lighs.foglamp
                        local value = (GetFloat("savegame.mod.lighs.foglamp") or 2) * slMul
                        local done = false
                        value, done = UiSlider("ui/common/dot.png", "x", value*limit, 0, slW)
                        if done then
                            SetFloat("savegame.mod.lighs.foglamp", value/slMul/limit)
                    
                        end
                        UiPush()
                            UiTranslate(slW+25,0)
                            UiText(sfn(value/slMul/limit, 1))
                        UiPop()
    
                   UiPop()
                --foglamp

                    --emlights.front
                    UiPush()

                    UiPush()
                        UiTranslate(0,290)
    
                        UiFont("bold.ttf", 30)
                        UiText("emergency lights front")
                        UiTranslate(0,20)
    
                        UiAlign("left middle")
                        UiColor(0.1, 0.7, 0.8)
                        UiRect(slW+3, 3)
            
                        UiColor(1, 1, 1)
                        local limit = lim.emlights.front
                        local value = (GetFloat("savegame.mod.emlights.front") or 2) * slMul
                        local done = false
                        value, done = UiSlider("ui/common/dot.png", "x", value*limit, 0, slW)
                        if done then
                            SetFloat("savegame.mod.emlights.front", value/slMul/limit)
                    
                        end
                        UiPush()
                        UiColor(1, 1, 1)
                            UiTranslate(slW+25,0)
                            UiText(sfn(value/slMul/limit, 1))
                        UiPop()
    
                   UiPop()
                --emlights.front

                    --emlights.back
                    UiPush()

                    UiPush()
                        UiTranslate(0,350)
    
                        UiFont("bold.ttf", 30)
                        UiText("emergency lights back")
                        UiTranslate(0,20)
    
                        UiAlign("left middle")
                        UiColor(0.1, 0.7, 0.8)
                        UiRect(slW+3, 3)
            
                        UiColor(1, 1, 1)
                        local limit = lim.emlights.back
                        local value = (GetFloat("savegame.mod.emlights.back") or 2) * slMul
                        local done = false
                        value, done = UiSlider("ui/common/dot.png", "x", value*limit, 0, slW)
                        if done then
                            SetFloat("savegame.mod.emlights.back", value/slMul/limit)
                    
                        end
                        UiPush()
                        UiColor(1, 1, 1)
                            UiTranslate(slW+25,0)
                            UiText(sfn(value/slMul/limit, 1))
                        UiPop()
    
                   UiPop()
                --emlights.back

                    --emlights.top
                    UiPush()

                    UiPush()
                        UiTranslate(0,410)
    
                        UiFont("bold.ttf", 30)
                        UiText("emergency lights top")
                        UiTranslate(0,20)
    
                        UiAlign("left middle")
                        UiColor(0.1, 0.7, 0.8)
                        UiRect(slW+3, 3)
            
                        UiColor(1, 1, 1)
                        local limit = lim.emlights.top
                        local value = (GetFloat("savegame.mod.emlights.top") or 2) * slMul
                        local done = false
                        value, done = UiSlider("ui/common/dot.png", "x", value*limit, 0, slW)
                        if done then
                            SetFloat("savegame.mod.emlights.top", value/slMul/limit)
                    
                        end
                        UiPush()
                        UiColor(1, 1, 1)
                            UiTranslate(slW+25,0)
                            UiText(sfn(value/slMul/limit, 1))
                        UiPop()
    
                   UiPop()
                --emlights.top


                    --emlights.left
                    UiPush()

                    UiPush()
                        UiTranslate(0,470)
    
                        UiFont("bold.ttf", 30)
                        UiText("emergency lights left")
                        UiTranslate(0,20)
    
                        UiAlign("left middle")
                        UiColor(0.1, 0.7, 0.8)
                        UiRect(slW+3, 3)
            
                        UiColor(1, 1, 1)
                        local limit = lim.emlights.left
                        local value = (GetFloat("savegame.mod.emlights.left") or 2) * slMul
                        local done = false
                        value, done = UiSlider("ui/common/dot.png", "x", value*limit, 0, slW)
                        if done then
                            SetFloat("savegame.mod.emlights.left", value/slMul/limit)
                    
                        end
                        UiPush()
                        UiColor(1, 1, 1)
                            UiTranslate(slW+25,0)
                            UiText(sfn(value/slMul/limit, 1))
                        UiPop()
    
                   UiPop()
                --emlights.left

                    --emlights.right
                    UiPush()

                    UiPush()
                        UiTranslate(0,540)
    
                        UiFont("bold.ttf", 30)
                        UiText("emergency lights right")
                        UiTranslate(0,20)
    
                        UiAlign("left middle")
                        UiColor(0.1, 0.7, 0.8)
                        UiRect(slW+3, 3)
            
                        UiColor(1, 1, 1)
                        local limit = lim.emlights.right
                        local value = (GetFloat("savegame.mod.emlights.right") or 2) * slMul
                        local done = false
                        value, done = UiSlider("ui/common/dot.png", "x", value*limit, 0, slW)
                        if done then
                            SetFloat("savegame.mod.emlights.right", value/slMul/limit)
                    
                        end
                        UiPush()
                        UiColor(1, 1, 1)
                            UiTranslate(slW+25,0)
                            UiText(sfn(value/slMul/limit, 1))
                        UiPop()
    
                   UiPop()
                --emlights.right              

                    --siren1
                    UiPush()

                    UiPush()
                        UiTranslate(0,590)
    
                        UiFont("bold.ttf", 30)
                        UiText("Siren 1")
                        UiTranslate(0,20)
    
                        UiAlign("left middle")
                        UiColor(0.8, 0.1, 0.1)
                        UiRect(slW+3, 3)
            
                        UiColor(1, 1, 1)
                        local limit = lim.siren.s1
                        local value = (GetFloat("savegame.mod.psiren.s1") or 2) * slMul
                        local done = false
                        value, done = UiSlider("ui/common/dot.png", "x", value*limit, 0, slW)
                        if done then
                            SetFloat("savegame.mod.psiren.s1", value/slMul/limit)
                    
                        end
                        UiPush()
                        UiColor(1, 1, 1)
                            UiTranslate(slW+25,0)
                            UiText(sfn(value/slMul/limit, 1))
                        UiPop()
    
                   UiPop()
                --siren1    

                --siren2
                    UiPush()

                    UiPush()
                        UiTranslate(0,650)
    
                        UiFont("bold.ttf", 30)
                        UiText("Siren 2")
                        UiTranslate(0,20)
    
                        UiAlign("left middle")
                        UiColor(0.8, 0.1, 0.1)
                        UiRect(slW+3, 3)
            
                        UiColor(1, 1, 1)
                        local limit = lim.siren.s2
                        local value = (GetFloat("savegame.mod.psiren.s2") or 2) * slMul
                        local done = false
                        value, done = UiSlider("ui/common/dot.png", "x", value*limit, 0, slW)
                        if done then
                            SetFloat("savegame.mod.psiren.s2", value/slMul/limit)
                    
                        end
                        UiPush()
                        UiColor(1, 1, 1)
                            UiTranslate(slW+25,0)
                            UiText(sfn(value/slMul/limit, 1))
                        UiPop()
    
                   UiPop()
                --siren2 
                
                --siren3
                UiPush()

                UiPush()
                    UiTranslate(0,710)

                    UiFont("bold.ttf", 30)
                    UiText("Siren 3")
                    UiTranslate(0,20)

                    UiAlign("left middle")
                    UiColor(0.8, 0.1, 0.1)
                    UiRect(slW+3, 3)
        
                    UiColor(1, 1, 1)
                    local limit = lim.siren.s3
                    local value = (GetFloat("savegame.mod.psiren.s3") or 2) * slMul
                    local done = false
                    value, done = UiSlider("ui/common/dot.png", "x", value*limit, 0, slW)
                    if done then
                        SetFloat("savegame.mod.psiren.s3", value/slMul/limit)
                
                    end
                    UiPush()
                    UiColor(1, 1, 1)
                        UiTranslate(slW+25,0)
                        UiText(sfn(value/slMul/limit, 1))
                    UiPop()

               UiPop()
            --siren3   

                --horn
                UiPush()

                UiPush()
                    UiTranslate(0,770)

                    UiFont("bold.ttf", 30)
                    UiText("horn")
                    UiTranslate(0,20)

                    UiAlign("left middle")
                    UiColor(0.8, 0.1, 0.1)
                    UiRect(slW+3, 3)
        
                    UiColor(1, 1, 1)
                    local limit = lim.siren.horn
                    local value = (GetFloat("savegame.mod.psiren.horn") or 2) * slMul
                    local done = false
                    value, done = UiSlider("ui/common/dot.png", "x", value*limit, 0, slW)
                    if done then
                        SetFloat("savegame.mod.psiren.horn", value/slMul/limit)
                
                    end
                    UiPush()
                    UiColor(1, 1, 1)
                        UiTranslate(slW+25,0)
                        UiText(sfn(value/slMul/limit, 1))
                    UiPop()

               UiPop()
                --horn



            UiPush()
            UiColor(1, 0.5, 0.5)
            UiTranslate(0,850)
            UiFont("bold.ttf", 40)
            --reset
            local resetButton = UiTextButton("default Values", 100, 50)
            if resetButton then
                SetFloat("savegame.mod.lighs.blinkers", def.lighs.blinkers)
                SetFloat("savegame.mod.lighs.headlight", def.lighs.headlight)
                SetFloat("savegame.mod.lighs.highbeam", def.lighs.highbeam)
                SetFloat("savegame.mod.lighs.foglamp", def.lighs.foglamp)

                SetFloat("savegame.mod.emlights.front", def.emlights.front)
                SetFloat("savegame.mod.emlights.back", def.emlights.back)  
                SetFloat("savegame.mod.emlights.top", def.emlights.top)
                SetFloat("savegame.mod.emlights.left", def.emlights.left)  
                SetFloat("savegame.mod.emlights.right", def.emlights.right)  

                SetFloat("savegame.mod.psiren.s1", def.siren.s1)
                SetFloat("savegame.mod.psiren.s2", def.siren.s2)  
                SetFloat("savegame.mod.psiren.s3", def.siren.s3)
                SetFloat("savegame.mod.psiren.horn", def.siren.horn)  
            end
        UiPop()




        UiPush()
        UiColor(1, 1, 1)
        UiTranslate(550,-100)
        UiFont("bold.ttf", 40)
        UiText("Time:")
        UiTranslate(150,0)
        UiButtonImageBox("MOD/images/box-outline-6.png", 6, 6)
        if 	UiTextButton("0", 40, 40) then
            SetInt("savegame.mod.time", 0)
            PlaySound(snd)
        end
        UiTranslate(60,0)
        if 	UiTextButton("5", 40, 40) then
            SetInt("savegame.mod.time", 5)
            PlaySound(snd)
        end
        UiTranslate(50,0)
        if 	UiTextButton("10", 40, 40) then
            SetInt("savegame.mod.time", 10)
            PlaySound(snd)
        end
        UiTranslate(60,0)
        if 	UiTextButton("15", 40, 40) then
            SetInt("savegame.mod.time", 15)
            PlaySound(snd)
        end
        UiTranslate(60,0)
        if 	UiTextButton("20", 40, 40) then
            SetInt("savegame.mod.time", 20)
            PlaySound(snd)
        end
        UiTranslate(60,0)
        if 	UiTextButton("25", 40, 40) then
            SetInt("savegame.mod.time", 25)
            PlaySound(snd)
        end
        UiTranslate(60,0)
        if 	UiTextButton("30", 40, 40) then
            SetInt("savegame.mod.time", 30)
            PlaySound(snd)
        end
        UiTranslate(60,0)
        if 	UiTextButton("35", 40, 40) then
            SetInt("savegame.mod.time", 35)
            PlaySound(snd)
        end
        UiTranslate(60,0)
        if 	UiTextButton("40", 40, 40) then
            SetInt("savegame.mod.time", 40)
            PlaySound(snd)
        end
        UiTranslate(60,0)
        if 	UiTextButton("45", 40, 40) then
            SetInt("savegame.mod.time", 45)
            PlaySound(snd)
        end
        UiTranslate(60,0)
        if 	UiTextButton("50", 40, 40) then
            SetInt("savegame.mod.time", 50)
            PlaySound(snd)
        end
        UiTranslate(60,0)
        if 	UiTextButton("55", 40, 40) then
            SetInt("savegame.mod.time", 55)
            PlaySound(snd)
        end
        UiTranslate(60,0)
        if 	UiTextButton("60", 40, 40) then
            SetInt("savegame.mod.time", 60)
            PlaySound(snd)
        end
    UiPop()





    UiPush()
    UiColor(1, 1, 1)
    UiTranslate(800,50)
    UiScale(1.8, 1.8)
    UiImage("MOD/images/car.png")
    UiScale(0.8, 0.8)


    UiPush()
    if GetInt("savegame.mod.time") == 0 then
        UiPush()
        UiTranslate(-74,-95)
        UiImage("ui/common/dot.png")
        UiPop()
        UiTranslate(50,50)
        UiButtonImageBox("MOD/images/box-outline-6.png", 6, 6)


        UiPush()
        UiTranslate(-20,20)
        if GetBool("savegame.mod.l1") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.l1", not GetBool("savegame.mod.l1"))
            PlaySound(snd)
        end

        UiPop()

        UiPush()
        UiTranslate(220,20)
        if GetBool("savegame.mod.k1") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.k1", not GetBool("savegame.mod.k1"))       
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(70,-30)
        if GetBool("savegame.mod.j1") then
			UiPush()
                UiTranslate(-5,10)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.j1", not GetBool("savegame.mod.j1"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(120,-30)
        if GetBool("savegame.mod.h1") then
			UiPush()
                UiTranslate(-5,10)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.h1", not GetBool("savegame.mod.h1"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(-18,120)
        if GetBool("savegame.mod.g1") then
			UiPush()
                UiTranslate(1,10)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.g1", not GetBool("savegame.mod.g1"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(210,120)
        if GetBool("savegame.mod.f1") then
			UiPush()
                UiTranslate(-5,10)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.f1", not GetBool("savegame.mod.f1"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(40,254)
        if GetBool("savegame.mod.d1") then
			UiPush()
                UiTranslate(1,-55)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.d1", not GetBool("savegame.mod.d1"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(80,254)
        if GetBool("savegame.mod.s1") then
			UiPush()
                UiTranslate(-8,-55)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.s1", not GetBool("savegame.mod.s1"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(120,254)
        if GetBool("savegame.mod.a1") then
			UiPush()
                UiTranslate(-3,-55)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.a1", not GetBool("savegame.mod.a1"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(160,254)
        if GetBool("savegame.mod.m1") then
			UiPush()
                UiTranslate(-13,-55)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.m1", not GetBool("savegame.mod.m1"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(40,330)
        if GetBool("savegame.mod.n1") then
			UiPush()
                UiTranslate(5,10)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.n1", not GetBool("savegame.mod.n1"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(145,330)
        if GetBool("savegame.mod.b1") then
			UiPush()
                UiTranslate(0,10)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.b1", not GetBool("savegame.mod.b1"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(30,510)
        if GetBool("savegame.mod.v1") then
			UiPush()
                UiTranslate(-8,-70)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
            SetBool("savegame.mod.v1", not GetBool("savegame.mod.v1"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(160,510)
        if GetBool("savegame.mod.c1") then
			UiPush()
                UiTranslate(4,-70)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
            SetBool("savegame.mod.c1", not GetBool("savegame.mod.c1"))  
            PlaySound(snd)
        end
        UiPop()
        UiTranslate(400,0)
        local resetButton = UiTextButton("Reset Lights", 200, 50)
        if resetButton then
            SetBool("savegame.mod.l1")  
            SetBool("savegame.mod.k1")  
            SetBool("savegame.mod.j1")  
            SetBool("savegame.mod.h1")  
            SetBool("savegame.mod.g1")  
            SetBool("savegame.mod.f1")  
            SetBool("savegame.mod.d1")  
            SetBool("savegame.mod.s1")  
            SetBool("savegame.mod.a1")  
            SetBool("savegame.mod.m1") 
            SetBool("savegame.mod.n1") 
            SetBool("savegame.mod.b1") 
            SetBool("savegame.mod.v1") 
            SetBool("savegame.mod.c1")  
            PlaySound(snd)
        end
    end
    UiPop()









    UiPush()
    if GetInt("savegame.mod.time") == 5 then
        UiPush()
        UiTranslate(-30,-95)
        UiImage("ui/common/dot.png")
        UiPop()
        UiTranslate(50,50)
        UiButtonImageBox("MOD/images/box-outline-6.png", 6, 6)

        UiPush()
        UiTranslate(-20,20)
        if GetBool("savegame.mod.l2") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.l2", not GetBool("savegame.mod.l2"))
            PlaySound(snd)
        end

        UiPop()

        UiPush()
        UiTranslate(220,20)
        if GetBool("savegame.mod.k2") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.k2", not GetBool("savegame.mod.k2"))       
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(70,-30)
        if GetBool("savegame.mod.j2") then
			UiPush()
                UiTranslate(-5,10)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.j2", not GetBool("savegame.mod.j2"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(120,-30)
        if GetBool("savegame.mod.h2") then
			UiPush()
                UiTranslate(-5,10)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.h2", not GetBool("savegame.mod.h2"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(-18,120)
        if GetBool("savegame.mod.g2") then
			UiPush()
                UiTranslate(1,10)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.g2", not GetBool("savegame.mod.g2"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(210,120)
        if GetBool("savegame.mod.f2") then
			UiPush()
                UiTranslate(-5,10)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.f2", not GetBool("savegame.mod.f2"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(40,254)
        if GetBool("savegame.mod.d2") then
			UiPush()
                UiTranslate(1,-55)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.d2", not GetBool("savegame.mod.d2"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(80,254)
        if GetBool("savegame.mod.s2") then
			UiPush()
                UiTranslate(-8,-55)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.s2", not GetBool("savegame.mod.s2"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(120,254)
        if GetBool("savegame.mod.a2") then
			UiPush()
                UiTranslate(-3,-55)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.a2", not GetBool("savegame.mod.a2"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(160,254)
        if GetBool("savegame.mod.m2") then
			UiPush()
                UiTranslate(-13,-55)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.m2", not GetBool("savegame.mod.m2"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(40,330)
        if GetBool("savegame.mod.n2") then
			UiPush()
                UiTranslate(5,10)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.n2", not GetBool("savegame.mod.n2"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(145,330)
        if GetBool("savegame.mod.b2") then
			UiPush()
                UiTranslate(0,10)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.b2", not GetBool("savegame.mod.b2"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(30,510)
        if GetBool("savegame.mod.v2") then
			UiPush()
                UiTranslate(-8,-70)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
            SetBool("savegame.mod.v2", not GetBool("savegame.mod.v2"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(160,510)
        if GetBool("savegame.mod.c2") then
			UiPush()
                UiTranslate(4,-70)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
            SetBool("savegame.mod.c2", not GetBool("savegame.mod.c2"))  
            PlaySound(snd)
        end
        UiPop()
        UiTranslate(400,0)
        local resetButton = UiTextButton("Reset Lights", 200, 50)
        if resetButton then
            SetBool("savegame.mod.l2")  
            SetBool("savegame.mod.k2")  
            SetBool("savegame.mod.j2")  
            SetBool("savegame.mod.h2")  
            SetBool("savegame.mod.g2")  
            SetBool("savegame.mod.f2")  
            SetBool("savegame.mod.d2")  
            SetBool("savegame.mod.s2")  
            SetBool("savegame.mod.a2")  
            SetBool("savegame.mod.m2") 
            SetBool("savegame.mod.n2") 
            SetBool("savegame.mod.b2") 
            SetBool("savegame.mod.v2") 
            SetBool("savegame.mod.c2")  
            PlaySound(snd)
        end
    end
    UiPop() 





    UiPush()
    if GetInt("savegame.mod.time") == 10 then
        UiPush()
        UiTranslate(12,-95)
        UiImage("ui/common/dot.png")
        UiPop()
        UiTranslate(50,50)
        UiButtonImageBox("MOD/images/box-outline-6.png", 6, 6)

        UiPush()
        UiTranslate(-20,20)
        if GetBool("savegame.mod.l3") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.l3", not GetBool("savegame.mod.l3"))
            PlaySound(snd)
        end

        UiPop()

        UiPush()
        UiTranslate(220,20)
        if GetBool("savegame.mod.k3") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.k3", not GetBool("savegame.mod.k3"))       
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(70,-30)
        if GetBool("savegame.mod.j3") then
			UiPush()
                UiTranslate(-5,10)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.j3", not GetBool("savegame.mod.j3"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(120,-30)
        if GetBool("savegame.mod.h3") then
			UiPush()
                UiTranslate(-5,10)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.h3", not GetBool("savegame.mod.h3"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(-18,120)
        if GetBool("savegame.mod.g3") then
			UiPush()
                UiTranslate(1,10)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.g3", not GetBool("savegame.mod.g3"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(210,120)
        if GetBool("savegame.mod.f3") then
			UiPush()
                UiTranslate(-5,10)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.f3", not GetBool("savegame.mod.f3"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(40,254)
        if GetBool("savegame.mod.d3") then
			UiPush()
                UiTranslate(1,-55)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.d3", not GetBool("savegame.mod.d3"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(80,254)
        if GetBool("savegame.mod.s3") then
			UiPush()
                UiTranslate(-8,-55)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.s3", not GetBool("savegame.mod.s3"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(120,254)
        if GetBool("savegame.mod.a3") then
			UiPush()
                UiTranslate(-3,-55)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.a3", not GetBool("savegame.mod.a3"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(160,254)
        if GetBool("savegame.mod.m3") then
			UiPush()
                UiTranslate(-13,-55)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.m3", not GetBool("savegame.mod.m3"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(40,330)
        if GetBool("savegame.mod.n3") then
			UiPush()
                UiTranslate(5,10)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.n3", not GetBool("savegame.mod.n3"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(145,330)
        if GetBool("savegame.mod.b3") then
			UiPush()
                UiTranslate(0,10)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.b3", not GetBool("savegame.mod.b3"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(30,510)
        if GetBool("savegame.mod.v3") then
			UiPush()
                UiTranslate(-8,-70)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
            SetBool("savegame.mod.v3", not GetBool("savegame.mod.v3"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(160,510)
        if GetBool("savegame.mod.c3") then
			UiPush()
                UiTranslate(4,-70)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
            SetBool("savegame.mod.c3", not GetBool("savegame.mod.c3"))  
            PlaySound(snd)
        end
        UiPop()
        UiTranslate(400,0)
        local resetButton = UiTextButton("Reset Lights", 200, 50)
        if resetButton then
            SetBool("savegame.mod.l3")  
            SetBool("savegame.mod.k3")  
            SetBool("savegame.mod.j3")  
            SetBool("savegame.mod.h3")  
            SetBool("savegame.mod.g3")  
            SetBool("savegame.mod.f3")  
            SetBool("savegame.mod.d3")  
            SetBool("savegame.mod.s3")  
            SetBool("savegame.mod.a3")  
            SetBool("savegame.mod.m3") 
            SetBool("savegame.mod.n3") 
            SetBool("savegame.mod.b3") 
            SetBool("savegame.mod.v3") 
            SetBool("savegame.mod.c3")  
            PlaySound(snd)
        end
    end
    UiPop()











    UiPush()
    if GetInt("savegame.mod.time") == 15 then
        UiPush()
        UiTranslate(52,-95)
        UiImage("ui/common/dot.png")
        UiPop()
        UiTranslate(50,50)
        UiButtonImageBox("MOD/images/box-outline-6.png", 6, 6)

        UiPush()
        UiTranslate(-20,20)
        if GetBool("savegame.mod.l4") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.l4", not GetBool("savegame.mod.l4"))
            PlaySound(snd)
        end

        UiPop()

        UiPush()
        UiTranslate(220,20)
        if GetBool("savegame.mod.k4") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.k4", not GetBool("savegame.mod.k4"))       
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(70,-30)
        if GetBool("savegame.mod.j4") then
			UiPush()
                UiTranslate(-5,10)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.j4", not GetBool("savegame.mod.j4"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(120,-30)
        if GetBool("savegame.mod.h4") then
			UiPush()
                UiTranslate(-5,10)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.h4", not GetBool("savegame.mod.h4"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(-18,120)
        if GetBool("savegame.mod.g4") then
			UiPush()
                UiTranslate(1,10)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.g4", not GetBool("savegame.mod.g4"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(210,120)
        if GetBool("savegame.mod.f4") then
			UiPush()
                UiTranslate(-5,10)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.f4", not GetBool("savegame.mod.f4"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(40,254)
        if GetBool("savegame.mod.d4") then
			UiPush()
                UiTranslate(1,-55)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.d4", not GetBool("savegame.mod.d4"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(80,254)
        if GetBool("savegame.mod.s4") then
			UiPush()
                UiTranslate(-8,-55)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.s4", not GetBool("savegame.mod.s4"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(120,254)
        if GetBool("savegame.mod.a4") then
			UiPush()
                UiTranslate(-3,-55)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.a4", not GetBool("savegame.mod.a4"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(160,254)
        if GetBool("savegame.mod.m4") then
			UiPush()
                UiTranslate(-13,-55)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.m4", not GetBool("savegame.mod.m4"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(40,330)
        if GetBool("savegame.mod.n4") then
			UiPush()
                UiTranslate(5,10)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.n4", not GetBool("savegame.mod.n4"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(145,330)
        if GetBool("savegame.mod.b4") then
			UiPush()
                UiTranslate(0,10)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.b4", not GetBool("savegame.mod.b4"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(30,510)
        if GetBool("savegame.mod.v4") then
			UiPush()
                UiTranslate(-8,-70)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
            SetBool("savegame.mod.v4", not GetBool("savegame.mod.v4"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(160,510)
        if GetBool("savegame.mod.c4") then
			UiPush()
                UiTranslate(4,-70)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
            SetBool("savegame.mod.c4", not GetBool("savegame.mod.c4"))  
            PlaySound(snd)
        end
        UiPop()
        UiTranslate(400,0)
        local resetButton = UiTextButton("Reset Lights", 200, 50)
        if resetButton then
            SetBool("savegame.mod.l4")  
            SetBool("savegame.mod.k4")  
            SetBool("savegame.mod.j4")  
            SetBool("savegame.mod.h4")  
            SetBool("savegame.mod.g4")  
            SetBool("savegame.mod.f4")  
            SetBool("savegame.mod.d4")  
            SetBool("savegame.mod.s4")  
            SetBool("savegame.mod.a4")  
            SetBool("savegame.mod.m4") 
            SetBool("savegame.mod.n4") 
            SetBool("savegame.mod.b4") 
            SetBool("savegame.mod.v4") 
            SetBool("savegame.mod.c4")  
            PlaySound(snd)
        end
    end
    UiPop()






    

    UiPush()
    if GetInt("savegame.mod.time") == 20 then
        UiPush()
        UiTranslate(95,-95)
        UiImage("ui/common/dot.png")
        UiPop()
        UiTranslate(50,50)
        UiButtonImageBox("MOD/images/box-outline-6.png", 6, 6)

        UiPush()
        UiTranslate(-20,20)
        if GetBool("savegame.mod.l5") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.l5", not GetBool("savegame.mod.l5"))
            PlaySound(snd)
        end

        UiPop()

        UiPush()
        UiTranslate(220,20)
        if GetBool("savegame.mod.k5") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.k5", not GetBool("savegame.mod.k5"))       
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(70,-30)
        if GetBool("savegame.mod.j5") then
			UiPush()
                UiTranslate(-5,10)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.j5", not GetBool("savegame.mod.j5"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(120,-30)
        if GetBool("savegame.mod.h5") then
			UiPush()
                UiTranslate(-5,10)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.h5", not GetBool("savegame.mod.h5"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(-18,120)
        if GetBool("savegame.mod.g5") then
			UiPush()
                UiTranslate(1,10)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.g5", not GetBool("savegame.mod.g5"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(210,120)
        if GetBool("savegame.mod.f5") then
			UiPush()
                UiTranslate(-5,10)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.f5", not GetBool("savegame.mod.f5"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(40,254)
        if GetBool("savegame.mod.d5") then
			UiPush()
                UiTranslate(1,-55)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.d5", not GetBool("savegame.mod.d5"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(80,254)
        if GetBool("savegame.mod.s5") then
			UiPush()
                UiTranslate(-8,-55)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.s5", not GetBool("savegame.mod.s5"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(120,254)
        if GetBool("savegame.mod.a5") then
			UiPush()
                UiTranslate(-3,-55)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.a5", not GetBool("savegame.mod.a5"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(160,254)
        if GetBool("savegame.mod.m5") then
			UiPush()
                UiTranslate(-13,-55)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.m5", not GetBool("savegame.mod.m5"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(40,330)
        if GetBool("savegame.mod.n5") then
			UiPush()
                UiTranslate(5,10)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.n5", not GetBool("savegame.mod.n5"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(145,330)
        if GetBool("savegame.mod.b5") then
			UiPush()
                UiTranslate(0,10)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.b5", not GetBool("savegame.mod.b5"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(30,510)
        if GetBool("savegame.mod.v5") then
			UiPush()
                UiTranslate(-8,-70)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
            SetBool("savegame.mod.v5", not GetBool("savegame.mod.v5"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(160,510)
        if GetBool("savegame.mod.c5") then
			UiPush()
                UiTranslate(4,-70)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
            SetBool("savegame.mod.c5", not GetBool("savegame.mod.c5"))  
            PlaySound(snd)
        end
        UiPop()
        UiTranslate(400,0)
        local resetButton = UiTextButton("Reset Lights", 200, 50)
        if resetButton then
            SetBool("savegame.mod.l5")  
            SetBool("savegame.mod.k5")  
            SetBool("savegame.mod.j5")  
            SetBool("savegame.mod.h5")  
            SetBool("savegame.mod.g5")  
            SetBool("savegame.mod.f5")  
            SetBool("savegame.mod.d5")  
            SetBool("savegame.mod.s5")  
            SetBool("savegame.mod.a5")  
            SetBool("savegame.mod.m5") 
            SetBool("savegame.mod.n5") 
            SetBool("savegame.mod.b5") 
            SetBool("savegame.mod.v5") 
            SetBool("savegame.mod.c5")  
            PlaySound(snd)
        end
    end
    UiPop()







    UiPush()
    if GetInt("savegame.mod.time") == 25 then
        UiPush()
        UiTranslate(135,-95)
        UiImage("ui/common/dot.png")
        UiPop()
        UiTranslate(50,50)
        UiButtonImageBox("MOD/images/box-outline-6.png", 6, 6)

        UiPush()
        UiTranslate(-20,20)
        if GetBool("savegame.mod.l6") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.l6", not GetBool("savegame.mod.l6"))
            PlaySound(snd)
        end

        UiPop()

        UiPush()
        UiTranslate(220,20)
        if GetBool("savegame.mod.k6") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.k6", not GetBool("savegame.mod.k6"))       
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(70,-30)
        if GetBool("savegame.mod.j6") then
			UiPush()
                UiTranslate(-5,10)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.j6", not GetBool("savegame.mod.j6"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(120,-30)
        if GetBool("savegame.mod.h6") then
			UiPush()
                UiTranslate(-5,10)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.h6", not GetBool("savegame.mod.h6"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(-18,120)
        if GetBool("savegame.mod.g6") then
			UiPush()
                UiTranslate(1,10)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.g6", not GetBool("savegame.mod.g6"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(210,120)
        if GetBool("savegame.mod.f6") then
			UiPush()
                UiTranslate(-5,10)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.f6", not GetBool("savegame.mod.f6"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(40,254)
        if GetBool("savegame.mod.d6") then
			UiPush()
                UiTranslate(1,-55)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.d6", not GetBool("savegame.mod.d6"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(80,254)
        if GetBool("savegame.mod.s6") then
			UiPush()
                UiTranslate(-8,-55)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.s6", not GetBool("savegame.mod.s6"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(120,254)
        if GetBool("savegame.mod.a6") then
			UiPush()
                UiTranslate(-3,-55)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.a6", not GetBool("savegame.mod.a6"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(160,254)
        if GetBool("savegame.mod.m6") then
			UiPush()
                UiTranslate(-13,-55)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.m6", not GetBool("savegame.mod.m6"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(40,330)
        if GetBool("savegame.mod.n6") then
			UiPush()
                UiTranslate(5,10)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.n6", not GetBool("savegame.mod.n6"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(145,330)
        if GetBool("savegame.mod.b6") then
			UiPush()
                UiTranslate(0,10)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.b6", not GetBool("savegame.mod.b6"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(30,510)
        if GetBool("savegame.mod.v6") then
			UiPush()
                UiTranslate(-8,-70)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
            SetBool("savegame.mod.v6", not GetBool("savegame.mod.v6"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(160,510)
        if GetBool("savegame.mod.c6") then
			UiPush()
                UiTranslate(4,-70)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
            SetBool("savegame.mod.c6", not GetBool("savegame.mod.c6"))  
            PlaySound(snd)
        end
        UiPop()
        UiTranslate(400,0)
        local resetButton = UiTextButton("Reset Lights", 200, 50)
        if resetButton then
            SetBool("savegame.mod.l6")  
            SetBool("savegame.mod.k6")  
            SetBool("savegame.mod.j6")  
            SetBool("savegame.mod.h6")  
            SetBool("savegame.mod.g6")  
            SetBool("savegame.mod.f6")  
            SetBool("savegame.mod.d6")  
            SetBool("savegame.mod.s6")  
            SetBool("savegame.mod.a6")  
            SetBool("savegame.mod.m6") 
            SetBool("savegame.mod.n6") 
            SetBool("savegame.mod.b6") 
            SetBool("savegame.mod.v6") 
            SetBool("savegame.mod.c6")  
            PlaySound(snd)
        end
    end
    UiPop()


    







    UiPush()
    if GetInt("savegame.mod.time") == 30 then
        UiPush()
        UiTranslate(178,-95)
        UiImage("ui/common/dot.png")
        UiPop()
        UiTranslate(50,50)
        UiButtonImageBox("MOD/images/box-outline-6.png", 6, 6)

        UiPush()
        UiTranslate(-20,20)
        if GetBool("savegame.mod.l7") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.l7", not GetBool("savegame.mod.l7"))
            PlaySound(snd)
        end

        UiPop()

        UiPush()
        UiTranslate(220,20)
        if GetBool("savegame.mod.k7") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.k7", not GetBool("savegame.mod.k7"))       
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(70,-30)
        if GetBool("savegame.mod.j7") then
			UiPush()
                UiTranslate(-5,10)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.j7", not GetBool("savegame.mod.j7"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(120,-30)
        if GetBool("savegame.mod.h7") then
			UiPush()
                UiTranslate(-5,10)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.h7", not GetBool("savegame.mod.h7"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(-18,120)
        if GetBool("savegame.mod.g7") then
			UiPush()
                UiTranslate(1,10)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.g7", not GetBool("savegame.mod.g7"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(210,120)
        if GetBool("savegame.mod.f7") then
			UiPush()
                UiTranslate(-5,10)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.f7", not GetBool("savegame.mod.f7"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(40,254)
        if GetBool("savegame.mod.d7") then
			UiPush()
                UiTranslate(1,-55)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.d7", not GetBool("savegame.mod.d7"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(80,254)
        if GetBool("savegame.mod.s7") then
			UiPush()
                UiTranslate(-8,-55)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.s7", not GetBool("savegame.mod.s7"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(120,254)
        if GetBool("savegame.mod.a7") then
			UiPush()
                UiTranslate(-3,-55)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.a7", not GetBool("savegame.mod.a7"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(160,254)
        if GetBool("savegame.mod.m7") then
			UiPush()
                UiTranslate(-13,-55)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.m7", not GetBool("savegame.mod.m7"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(40,330)
        if GetBool("savegame.mod.n7") then
			UiPush()
                UiTranslate(5,10)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.n7", not GetBool("savegame.mod.n7"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(145,330)
        if GetBool("savegame.mod.b7") then
			UiPush()
                UiTranslate(0,10)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.b7", not GetBool("savegame.mod.b7"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(30,510)
        if GetBool("savegame.mod.v7") then
			UiPush()
                UiTranslate(-8,-70)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
            SetBool("savegame.mod.v7", not GetBool("savegame.mod.v7"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(160,510)
        if GetBool("savegame.mod.c7") then
			UiPush()
                UiTranslate(4,-70)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
            SetBool("savegame.mod.c7", not GetBool("savegame.mod.c7"))  
            PlaySound(snd)
        end
        UiPop()
        UiTranslate(400,0)
        local resetButton = UiTextButton("Reset Lights", 200, 50)
        if resetButton then
            SetBool("savegame.mod.l7")  
            SetBool("savegame.mod.k7")  
            SetBool("savegame.mod.j7")  
            SetBool("savegame.mod.h7")  
            SetBool("savegame.mod.g7")  
            SetBool("savegame.mod.f7")  
            SetBool("savegame.mod.d7")  
            SetBool("savegame.mod.s7")  
            SetBool("savegame.mod.a7")  
            SetBool("savegame.mod.m7") 
            SetBool("savegame.mod.n7") 
            SetBool("savegame.mod.b7") 
            SetBool("savegame.mod.v7") 
            SetBool("savegame.mod.c7") 
            PlaySound(snd) 
        end
    end
    UiPop()


 






    UiPush()
    if GetInt("savegame.mod.time") == 35 then
        UiPush()
        UiTranslate(220,-95)
        UiImage("ui/common/dot.png")
        UiPop()
        UiTranslate(50,50)
        UiButtonImageBox("MOD/images/box-outline-6.png", 6, 6)

        UiPush()
        UiTranslate(-20,20)
        if GetBool("savegame.mod.l8") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.l8", not GetBool("savegame.mod.l8"))
            PlaySound(snd)
        end

        UiPop()

        UiPush()
        UiTranslate(220,20)
        if GetBool("savegame.mod.k8") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.k8", not GetBool("savegame.mod.k8"))       
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(70,-30)
        if GetBool("savegame.mod.j8") then
			UiPush()
                UiTranslate(-5,10)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.j8", not GetBool("savegame.mod.j8"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(120,-30)
        if GetBool("savegame.mod.h8") then
			UiPush()
                UiTranslate(-5,10)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.h8", not GetBool("savegame.mod.h8"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(-18,120)
        if GetBool("savegame.mod.g8") then
			UiPush()
                UiTranslate(1,10)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.g8", not GetBool("savegame.mod.g8"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(210,120)
        if GetBool("savegame.mod.f8") then
			UiPush()
                UiTranslate(-5,10)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.f8", not GetBool("savegame.mod.f8"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(40,254)
        if GetBool("savegame.mod.d8") then
			UiPush()
                UiTranslate(1,-55)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.d8", not GetBool("savegame.mod.d8"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(80,254)
        if GetBool("savegame.mod.s8") then
			UiPush()
                UiTranslate(-8,-55)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.s8", not GetBool("savegame.mod.s8"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(120,254)
        if GetBool("savegame.mod.a8") then
			UiPush()
                UiTranslate(-3,-55)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.a8", not GetBool("savegame.mod.a8"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(160,254)
        if GetBool("savegame.mod.m8") then
			UiPush()
                UiTranslate(-13,-55)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.m8", not GetBool("savegame.mod.m8"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(40,330)
        if GetBool("savegame.mod.n8") then
			UiPush()
                UiTranslate(5,10)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.n8", not GetBool("savegame.mod.n8"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(145,330)
        if GetBool("savegame.mod.b8") then
			UiPush()
                UiTranslate(0,10)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.b8", not GetBool("savegame.mod.b8"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(30,510)
        if GetBool("savegame.mod.v8") then
			UiPush()
                UiTranslate(-8,-70)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
            SetBool("savegame.mod.v8", not GetBool("savegame.mod.v8"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(160,510)
        if GetBool("savegame.mod.c8") then
			UiPush()
                UiTranslate(4,-70)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
            SetBool("savegame.mod.c8", not GetBool("savegame.mod.c8"))  
            PlaySound(snd)
        end
        UiPop()
        UiTranslate(400,0)
        local resetButton = UiTextButton("Reset Lights", 200, 50)
        if resetButton then
            SetBool("savegame.mod.l8")  
            SetBool("savegame.mod.k8")  
            SetBool("savegame.mod.j8")  
            SetBool("savegame.mod.h8")  
            SetBool("savegame.mod.g8")  
            SetBool("savegame.mod.f8")  
            SetBool("savegame.mod.d8")  
            SetBool("savegame.mod.s8")  
            SetBool("savegame.mod.a8")  
            SetBool("savegame.mod.m8") 
            SetBool("savegame.mod.n8") 
            SetBool("savegame.mod.b8") 
            SetBool("savegame.mod.v8") 
            SetBool("savegame.mod.c8")  
            PlaySound(snd)
        end
    end
    UiPop()


 


    


    UiPush()
    if GetInt("savegame.mod.time") == 40 then
        UiPush()
        UiTranslate(260,-95)
        UiImage("ui/common/dot.png")
        UiPop()
        UiTranslate(50,50)
        UiButtonImageBox("MOD/images/box-outline-6.png", 6, 6)

        UiPush()
        UiTranslate(-20,20)
        if GetBool("savegame.mod.l9") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.l9", not GetBool("savegame.mod.l9"))
            PlaySound(snd)
        end

        UiPop()

        UiPush()
        UiTranslate(220,20)
        if GetBool("savegame.mod.k9") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.k9", not GetBool("savegame.mod.k9"))       
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(70,-30)
        if GetBool("savegame.mod.j9") then
			UiPush()
                UiTranslate(-5,10)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.j9", not GetBool("savegame.mod.j9"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(120,-30)
        if GetBool("savegame.mod.h9") then
			UiPush()
                UiTranslate(-5,10)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.h9", not GetBool("savegame.mod.h9"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(-18,120)
        if GetBool("savegame.mod.g9") then
			UiPush()
                UiTranslate(1,10)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.g9", not GetBool("savegame.mod.g9"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(210,120)
        if GetBool("savegame.mod.f9") then
			UiPush()
                UiTranslate(-5,10)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.f9", not GetBool("savegame.mod.f9"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(40,254)
        if GetBool("savegame.mod.d9") then
			UiPush()
                UiTranslate(1,-55)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.d9", not GetBool("savegame.mod.d9"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(80,254)
        if GetBool("savegame.mod.s9") then
			UiPush()
                UiTranslate(-8,-55)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.s9", not GetBool("savegame.mod.s9"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(120,254)
        if GetBool("savegame.mod.a9") then
			UiPush()
                UiTranslate(-3,-55)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.a9", not GetBool("savegame.mod.a9"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(160,254)
        if GetBool("savegame.mod.m9") then
			UiPush()
                UiTranslate(-13,-55)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.m9", not GetBool("savegame.mod.m9"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(40,330)
        if GetBool("savegame.mod.n9") then
			UiPush()
                UiTranslate(5,10)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.n9", not GetBool("savegame.mod.n9"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(145,330)
        if GetBool("savegame.mod.b9") then
			UiPush()
                UiTranslate(0,10)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.b9", not GetBool("savegame.mod.b9"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(30,510)
        if GetBool("savegame.mod.v9") then
			UiPush()
                UiTranslate(-8,-70)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
            SetBool("savegame.mod.v9", not GetBool("savegame.mod.v9"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(160,510)
        if GetBool("savegame.mod.c9") then
			UiPush()
                UiTranslate(4,-70)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
            SetBool("savegame.mod.c9", not GetBool("savegame.mod.c9"))  
            PlaySound(snd)
        end
        UiPop()
        UiTranslate(400,0)
        local resetButton = UiTextButton("Reset Lights", 200, 50)
        if resetButton then
            SetBool("savegame.mod.l9")  
            SetBool("savegame.mod.k9")  
            SetBool("savegame.mod.j9")  
            SetBool("savegame.mod.h9")  
            SetBool("savegame.mod.g9")  
            SetBool("savegame.mod.f9")  
            SetBool("savegame.mod.d9")  
            SetBool("savegame.mod.s9")  
            SetBool("savegame.mod.a9")  
            SetBool("savegame.mod.m9") 
            SetBool("savegame.mod.n9") 
            SetBool("savegame.mod.b9") 
            SetBool("savegame.mod.v9") 
            SetBool("savegame.mod.c9") 
            PlaySound(snd) 
        end
    end
    UiPop()







    UiPush()
    if GetInt("savegame.mod.time") == 45 then
        UiPush()
        UiTranslate(302,-95)
        UiImage("ui/common/dot.png")
        UiPop()
        UiTranslate(50,50)
        UiButtonImageBox("MOD/images/box-outline-6.png", 6, 6)

        UiPush()
        UiTranslate(-20,20)
        if GetBool("savegame.mod.l10") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.l10", not GetBool("savegame.mod.l10"))
            PlaySound(snd)
        end

        UiPop()

        UiPush()
        UiTranslate(220,20)
        if GetBool("savegame.mod.k10") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.k10", not GetBool("savegame.mod.k10"))       
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(70,-30)
        if GetBool("savegame.mod.j10") then
			UiPush()
                UiTranslate(-5,10)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.j10", not GetBool("savegame.mod.j10"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(120,-30)
        if GetBool("savegame.mod.h10") then
			UiPush()
                UiTranslate(-5,10)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.h10", not GetBool("savegame.mod.h10"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(-18,120)
        if GetBool("savegame.mod.g10") then
			UiPush()
                UiTranslate(1,10)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.g10", not GetBool("savegame.mod.g10"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(210,120)
        if GetBool("savegame.mod.f10") then
			UiPush()
                UiTranslate(-5,10)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.f10", not GetBool("savegame.mod.f10"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(40,254)
        if GetBool("savegame.mod.d10") then
			UiPush()
                UiTranslate(1,-55)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.d10", not GetBool("savegame.mod.d10"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(80,254)
        if GetBool("savegame.mod.s10") then
			UiPush()
                UiTranslate(-8,-55)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.s10", not GetBool("savegame.mod.s10"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(120,254)
        if GetBool("savegame.mod.a10") then
			UiPush()
                UiTranslate(-3,-55)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.a10", not GetBool("savegame.mod.a10"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(160,254)
        if GetBool("savegame.mod.m10") then
			UiPush()
                UiTranslate(-13,-55)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.m10", not GetBool("savegame.mod.m10"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(40,330)
        if GetBool("savegame.mod.n10") then
			UiPush()
                UiTranslate(5,10)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.n10", not GetBool("savegame.mod.n10"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(145,330)
        if GetBool("savegame.mod.b10") then
			UiPush()
                UiTranslate(0,10)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.b10", not GetBool("savegame.mod.b10"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(30,510)
        if GetBool("savegame.mod.v10") then
			UiPush()
                UiTranslate(-8,-70)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
            SetBool("savegame.mod.v10", not GetBool("savegame.mod.v10"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(160,510)
        if GetBool("savegame.mod.c10") then
			UiPush()
                UiTranslate(4,-70)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
            SetBool("savegame.mod.c10", not GetBool("savegame.mod.c10"))  
            PlaySound(snd)
        end
        UiPop()
        UiTranslate(400,0)
        local resetButton = UiTextButton("Reset Lights", 200, 50)
        if resetButton then
            SetBool("savegame.mod.l10")  
            SetBool("savegame.mod.k10")  
            SetBool("savegame.mod.j10")  
            SetBool("savegame.mod.h10")  
            SetBool("savegame.mod.g10")  
            SetBool("savegame.mod.f10")  
            SetBool("savegame.mod.d10")  
            SetBool("savegame.mod.s10")  
            SetBool("savegame.mod.a10")  
            SetBool("savegame.mod.m10") 
            SetBool("savegame.mod.n10") 
            SetBool("savegame.mod.b10") 
            SetBool("savegame.mod.v10") 
            SetBool("savegame.mod.c10")  
            PlaySound(snd)
        end
    end
    UiPop()







    UiPush()
    if GetInt("savegame.mod.time") == 50 then
        UiPush()
        UiTranslate(345,-95)
        UiImage("ui/common/dot.png")
        UiPop()
        UiTranslate(50,50)
        UiButtonImageBox("MOD/images/box-outline-6.png", 6, 6)

        UiPush()
        UiTranslate(-20,20)
        if GetBool("savegame.mod.l11") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.l11", not GetBool("savegame.mod.l11"))
            PlaySound(snd)
        end

        UiPop()

        UiPush()
        UiTranslate(220,20)
        if GetBool("savegame.mod.k11") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.k11", not GetBool("savegame.mod.k11"))       
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(70,-30)
        if GetBool("savegame.mod.j11") then
			UiPush()
                UiTranslate(-5,10)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.j11", not GetBool("savegame.mod.j11"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(120,-30)
        if GetBool("savegame.mod.h11") then
			UiPush()
                UiTranslate(-5,10)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.h11", not GetBool("savegame.mod.h11"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(-18,120)
        if GetBool("savegame.mod.g11") then
			UiPush()
                UiTranslate(1,10)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.g11", not GetBool("savegame.mod.g11"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(210,120)
        if GetBool("savegame.mod.f11") then
			UiPush()
                UiTranslate(-5,10)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.f11", not GetBool("savegame.mod.f11"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(40,254)
        if GetBool("savegame.mod.d11") then
			UiPush()
                UiTranslate(1,-55)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.d11", not GetBool("savegame.mod.d11"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(80,254)
        if GetBool("savegame.mod.s11") then
			UiPush()
                UiTranslate(-8,-55)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.s11", not GetBool("savegame.mod.s11"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(120,254)
        if GetBool("savegame.mod.a11") then
			UiPush()
                UiTranslate(-3,-55)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.a11", not GetBool("savegame.mod.a11"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(160,254)
        if GetBool("savegame.mod.m11") then
			UiPush()
                UiTranslate(-13,-55)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.m11", not GetBool("savegame.mod.m11"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(40,330)
        if GetBool("savegame.mod.n11") then
			UiPush()
                UiTranslate(5,10)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.n11", not GetBool("savegame.mod.n11"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(145,330)
        if GetBool("savegame.mod.b11") then
			UiPush()
                UiTranslate(0,10)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.b11", not GetBool("savegame.mod.b11"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(30,510)
        if GetBool("savegame.mod.v11") then
			UiPush()
                UiTranslate(-8,-70)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
            SetBool("savegame.mod.v11", not GetBool("savegame.mod.v11"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(160,510)
        if GetBool("savegame.mod.c11") then
			UiPush()
                UiTranslate(4,-70)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
            SetBool("savegame.mod.c11", not GetBool("savegame.mod.c11"))  
            PlaySound(snd)
        end
        UiPop()
        UiTranslate(400,0)
        local resetButton = UiTextButton("Reset Lights", 200, 50)
        if resetButton then
            SetBool("savegame.mod.l11")  
            SetBool("savegame.mod.k11")  
            SetBool("savegame.mod.j11")  
            SetBool("savegame.mod.h11")  
            SetBool("savegame.mod.g11")  
            SetBool("savegame.mod.f11")  
            SetBool("savegame.mod.d11")  
            SetBool("savegame.mod.s11")  
            SetBool("savegame.mod.a11")  
            SetBool("savegame.mod.m11") 
            SetBool("savegame.mod.n11") 
            SetBool("savegame.mod.b11") 
            SetBool("savegame.mod.v11") 
            SetBool("savegame.mod.c11")  
            PlaySound(snd)
        end
    end
    UiPop()









    UiPush()
    if GetInt("savegame.mod.time") == 55 then
        UiPush()
        UiTranslate(385,-95)
        UiImage("ui/common/dot.png")
        UiPop()
        UiTranslate(50,50)
        UiButtonImageBox("MOD/images/box-outline-6.png", 6, 6)

        UiPush()
        UiTranslate(-20,20)
        if GetBool("savegame.mod.l12") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.l12", not GetBool("savegame.mod.l12"))
            PlaySound(snd)
        end

        UiPop()

        UiPush()
        UiTranslate(220,20)
        if GetBool("savegame.mod.k12") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.k12", not GetBool("savegame.mod.k12"))       
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(70,-30)
        if GetBool("savegame.mod.j12") then
			UiPush()
                UiTranslate(-5,10)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.j12", not GetBool("savegame.mod.j12"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(120,-30)
        if GetBool("savegame.mod.h12") then
			UiPush()
                UiTranslate(-5,10)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.h12", not GetBool("savegame.mod.h12"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(-18,120)
        if GetBool("savegame.mod.g12") then
			UiPush()
                UiTranslate(1,10)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.g12", not GetBool("savegame.mod.g12"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(210,120)
        if GetBool("savegame.mod.f12") then
			UiPush()
                UiTranslate(-5,10)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.f12", not GetBool("savegame.mod.f12"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(40,254)
        if GetBool("savegame.mod.d12") then
			UiPush()
                UiTranslate(1,-55)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.d12", not GetBool("savegame.mod.d12"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(80,254)
        if GetBool("savegame.mod.s12") then
			UiPush()
                UiTranslate(-8,-55)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.s12", not GetBool("savegame.mod.s12"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(120,254)
        if GetBool("savegame.mod.a12") then
			UiPush()
                UiTranslate(-3,-55)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.a12", not GetBool("savegame.mod.a12"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(160,254)
        if GetBool("savegame.mod.m12") then
			UiPush()
                UiTranslate(-13,-55)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.m12", not GetBool("savegame.mod.m12"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(40,330)
        if GetBool("savegame.mod.n12") then
			UiPush()
                UiTranslate(5,10)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.n12", not GetBool("savegame.mod.n12"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(145,330)
        if GetBool("savegame.mod.b12") then
			UiPush()
                UiTranslate(0,10)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.b12", not GetBool("savegame.mod.b12"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(30,510)
        if GetBool("savegame.mod.v12") then
			UiPush()
                UiTranslate(-8,-70)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
            SetBool("savegame.mod.v12", not GetBool("savegame.mod.v12"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(160,510)
        if GetBool("savegame.mod.c12") then
			UiPush()
                UiTranslate(4,-70)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
            SetBool("savegame.mod.c12", not GetBool("savegame.mod.c12"))  
            PlaySound(snd)
        end
        UiPop()
        UiTranslate(400,0)
        local resetButton = UiTextButton("Reset Lights", 200, 50)
        if resetButton then
            SetBool("savegame.mod.l12")  
            SetBool("savegame.mod.k12")  
            SetBool("savegame.mod.j12")  
            SetBool("savegame.mod.h12")  
            SetBool("savegame.mod.g12")  
            SetBool("savegame.mod.f12")  
            SetBool("savegame.mod.d12")  
            SetBool("savegame.mod.s12")  
            SetBool("savegame.mod.a12")  
            SetBool("savegame.mod.m12") 
            SetBool("savegame.mod.n12") 
            SetBool("savegame.mod.b12") 
            SetBool("savegame.mod.v12") 
            SetBool("savegame.mod.c12")  
            PlaySound(snd)
        end
    end
    UiPop()





    UiPush()
    if GetInt("savegame.mod.time") == 60 then
        UiPush()
        UiTranslate(430,-95)
        UiImage("ui/common/dot.png")
        UiPop()
        UiTranslate(50,50)
        UiButtonImageBox("MOD/images/box-outline-6.png", 6, 6)

        UiPush()
        UiTranslate(-20,20)
        if GetBool("savegame.mod.l13") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.l13", not GetBool("savegame.mod.l13"))
            PlaySound(snd)
        end

        UiPop()

        UiPush()
        UiTranslate(220,20)
        if GetBool("savegame.mod.k13") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.k13", not GetBool("savegame.mod.k13"))       
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(70,-30)
        if GetBool("savegame.mod.j13") then
			UiPush()
                UiTranslate(-5,10)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.j13", not GetBool("savegame.mod.j13"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(120,-30)
        if GetBool("savegame.mod.h13") then
			UiPush()
                UiTranslate(-5,10)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.h13", not GetBool("savegame.mod.h13"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(-18,120)
        if GetBool("savegame.mod.g13") then
			UiPush()
                UiTranslate(1,10)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.g13", not GetBool("savegame.mod.g13"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(210,120)
        if GetBool("savegame.mod.f13") then
			UiPush()
                UiTranslate(-5,10)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.f13", not GetBool("savegame.mod.f13"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(40,254)
        if GetBool("savegame.mod.d13") then
			UiPush()
                UiTranslate(1,-55)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.d13", not GetBool("savegame.mod.d13"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(80,254)
        if GetBool("savegame.mod.s13") then
			UiPush()
                UiTranslate(-8,-55)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.s13", not GetBool("savegame.mod.s13"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(120,254)
        if GetBool("savegame.mod.a13") then
			UiPush()
                UiTranslate(-3,-55)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.a13", not GetBool("savegame.mod.a13"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(160,254)
        if GetBool("savegame.mod.m13") then
			UiPush()
                UiTranslate(-13,-55)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.m13", not GetBool("savegame.mod.m13"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(40,330)
        if GetBool("savegame.mod.n13") then
			UiPush()
                UiTranslate(5,10)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.n13", not GetBool("savegame.mod.n13"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(145,330)
        if GetBool("savegame.mod.b13") then
			UiPush()
                UiTranslate(0,10)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
            SetBool("savegame.mod.b13", not GetBool("savegame.mod.b13"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(30,510)
        if GetBool("savegame.mod.v13") then
			UiPush()
                UiTranslate(-8,-70)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
            SetBool("savegame.mod.v13", not GetBool("savegame.mod.v13"))  
            PlaySound(snd)
        end
        UiPop()

        UiPush()
        UiTranslate(160,510)
        if GetBool("savegame.mod.c13") then
			UiPush()
                UiTranslate(4,-70)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
            SetBool("savegame.mod.c13", not GetBool("savegame.mod.c13"))  
            PlaySound(snd)
        end
        UiPop()
        UiTranslate(400,0)
        local resetButton = UiTextButton("Reset Lights", 200, 50)
        if resetButton then
            SetBool("savegame.mod.l13")  
            SetBool("savegame.mod.k13")  
            SetBool("savegame.mod.j13")  
            SetBool("savegame.mod.h13")  
            SetBool("savegame.mod.g13")  
            SetBool("savegame.mod.f13")  
            SetBool("savegame.mod.d13")  
            SetBool("savegame.mod.s13")  
            SetBool("savegame.mod.a13")  
            SetBool("savegame.mod.m13") 
            SetBool("savegame.mod.n13") 
            SetBool("savegame.mod.b13") 
            SetBool("savegame.mod.v13") 
            SetBool("savegame.mod.c13")  
            PlaySound(snd)
        end
    end
    UiPop()
    UiTranslate(465,100)
    UiScale(0.7, 0.7)
    UiColor(1,0,0,0.5)
    UiPush()
    UiTranslate(-16,-35)
    UiImageBox("MOD/images/box-solid-6.png", 260, 50, 6, 6)
    UiPop()
    UiColor(1,0,0)
    local resetButton = UiTextButton("Reset All Lights", 200, 50)
    if resetButton then
        
    SetBool("savegame.mod.l1")  
    SetBool("savegame.mod.k1")  
    SetBool("savegame.mod.j1")  
    SetBool("savegame.mod.h1")  
    SetBool("savegame.mod.g1")  
    SetBool("savegame.mod.f1")  
    SetBool("savegame.mod.d1")  
    SetBool("savegame.mod.s1")  
    SetBool("savegame.mod.a1")  
    SetBool("savegame.mod.m1") 
    SetBool("savegame.mod.n1") 
    SetBool("savegame.mod.b1") 
    SetBool("savegame.mod.v1") 
    SetBool("savegame.mod.c1") 
    SetBool("savegame.mod.l2")  
    SetBool("savegame.mod.k2")  
    SetBool("savegame.mod.j2")  
    SetBool("savegame.mod.h2")  
    SetBool("savegame.mod.g2")  
    SetBool("savegame.mod.f2")  
    SetBool("savegame.mod.d2")  
    SetBool("savegame.mod.s2")  
    SetBool("savegame.mod.a2")  
    SetBool("savegame.mod.m2") 
    SetBool("savegame.mod.n2") 
    SetBool("savegame.mod.b2") 
    SetBool("savegame.mod.v2") 
    SetBool("savegame.mod.c2")  
    SetBool("savegame.mod.l3")  
    SetBool("savegame.mod.k3")  
    SetBool("savegame.mod.j3")  
    SetBool("savegame.mod.h3")  
    SetBool("savegame.mod.g3")  
    SetBool("savegame.mod.f3")  
    SetBool("savegame.mod.d3")  
    SetBool("savegame.mod.s3")  
    SetBool("savegame.mod.a3")  
    SetBool("savegame.mod.m3") 
    SetBool("savegame.mod.n3") 
    SetBool("savegame.mod.b3") 
    SetBool("savegame.mod.v3") 
    SetBool("savegame.mod.c3")  
    SetBool("savegame.mod.l4")  
    SetBool("savegame.mod.k4")  
    SetBool("savegame.mod.j4")  
    SetBool("savegame.mod.h4")  
    SetBool("savegame.mod.g4")  
    SetBool("savegame.mod.f4")  
    SetBool("savegame.mod.d4")  
    SetBool("savegame.mod.s4")  
    SetBool("savegame.mod.a4")  
    SetBool("savegame.mod.m4") 
    SetBool("savegame.mod.n4") 
    SetBool("savegame.mod.b4") 
    SetBool("savegame.mod.v4") 
    SetBool("savegame.mod.c4")  
    SetBool("savegame.mod.l5")  
    SetBool("savegame.mod.k5")  
    SetBool("savegame.mod.j5")  
    SetBool("savegame.mod.h5")  
    SetBool("savegame.mod.g5")  
    SetBool("savegame.mod.f5")  
    SetBool("savegame.mod.d5")  
    SetBool("savegame.mod.s5")  
    SetBool("savegame.mod.a5")  
    SetBool("savegame.mod.m5") 
    SetBool("savegame.mod.n5") 
    SetBool("savegame.mod.b5") 
    SetBool("savegame.mod.v5") 
    SetBool("savegame.mod.c5")  
    SetBool("savegame.mod.l6")  
    SetBool("savegame.mod.k6")  
    SetBool("savegame.mod.j6")  
    SetBool("savegame.mod.h6")  
    SetBool("savegame.mod.g6")  
    SetBool("savegame.mod.f6")  
    SetBool("savegame.mod.d6")  
    SetBool("savegame.mod.s6")  
    SetBool("savegame.mod.a6")  
    SetBool("savegame.mod.m6") 
    SetBool("savegame.mod.n6") 
    SetBool("savegame.mod.b6") 
    SetBool("savegame.mod.v6") 
    SetBool("savegame.mod.c6") 
    SetBool("savegame.mod.l7")  
    SetBool("savegame.mod.k7")  
    SetBool("savegame.mod.j7")  
    SetBool("savegame.mod.h7")  
    SetBool("savegame.mod.g7")  
    SetBool("savegame.mod.f7")  
    SetBool("savegame.mod.d7")  
    SetBool("savegame.mod.s7")  
    SetBool("savegame.mod.a7")  
    SetBool("savegame.mod.m7") 
    SetBool("savegame.mod.n7") 
    SetBool("savegame.mod.b7") 
    SetBool("savegame.mod.v7") 
    SetBool("savegame.mod.c7")  
    SetBool("savegame.mod.l8")  
    SetBool("savegame.mod.k8")  
    SetBool("savegame.mod.j8")  
    SetBool("savegame.mod.h8")  
    SetBool("savegame.mod.g8")  
    SetBool("savegame.mod.f8")  
    SetBool("savegame.mod.d8")  
    SetBool("savegame.mod.s8")  
    SetBool("savegame.mod.a8")  
    SetBool("savegame.mod.m8") 
    SetBool("savegame.mod.n8") 
    SetBool("savegame.mod.b8") 
    SetBool("savegame.mod.v8") 
    SetBool("savegame.mod.c8") 
    SetBool("savegame.mod.l9")  
    SetBool("savegame.mod.k9")  
    SetBool("savegame.mod.j9")  
    SetBool("savegame.mod.h9")  
    SetBool("savegame.mod.g9")  
    SetBool("savegame.mod.f9")  
    SetBool("savegame.mod.d9")  
    SetBool("savegame.mod.s9")  
    SetBool("savegame.mod.a9")  
    SetBool("savegame.mod.m9") 
    SetBool("savegame.mod.n9") 
    SetBool("savegame.mod.b9") 
    SetBool("savegame.mod.v9") 
    SetBool("savegame.mod.c9") 
    SetBool("savegame.mod.l10")  
    SetBool("savegame.mod.k10")  
    SetBool("savegame.mod.j10")  
    SetBool("savegame.mod.h10")  
    SetBool("savegame.mod.g10")  
    SetBool("savegame.mod.f10")  
    SetBool("savegame.mod.d10")  
    SetBool("savegame.mod.s10")  
    SetBool("savegame.mod.a10")  
    SetBool("savegame.mod.m10") 
    SetBool("savegame.mod.n10") 
    SetBool("savegame.mod.b10") 
    SetBool("savegame.mod.v10") 
    SetBool("savegame.mod.c10")   
    SetBool("savegame.mod.l11")  
    SetBool("savegame.mod.k11")  
    SetBool("savegame.mod.j11")  
    SetBool("savegame.mod.h11")  
    SetBool("savegame.mod.g11")  
    SetBool("savegame.mod.f11")  
    SetBool("savegame.mod.d11")  
    SetBool("savegame.mod.s11")  
    SetBool("savegame.mod.a11")  
    SetBool("savegame.mod.m11") 
    SetBool("savegame.mod.n11") 
    SetBool("savegame.mod.b11") 
    SetBool("savegame.mod.v11") 
    SetBool("savegame.mod.c11")  
    SetBool("savegame.mod.l12")  
    SetBool("savegame.mod.k12")  
    SetBool("savegame.mod.j12")  
    SetBool("savegame.mod.h12")  
    SetBool("savegame.mod.g12")  
    SetBool("savegame.mod.f12")  
    SetBool("savegame.mod.d12")  
    SetBool("savegame.mod.s12")  
    SetBool("savegame.mod.a12")  
    SetBool("savegame.mod.m12") 
    SetBool("savegame.mod.n12") 
    SetBool("savegame.mod.b12") 
    SetBool("savegame.mod.v12") 
    SetBool("savegame.mod.c12")
    SetBool("savegame.mod.l13")  
    SetBool("savegame.mod.k13")  
    SetBool("savegame.mod.j13")  
    SetBool("savegame.mod.h13")  
    SetBool("savegame.mod.g13")  
    SetBool("savegame.mod.f13")  
    SetBool("savegame.mod.d13")  
    SetBool("savegame.mod.s13")  
    SetBool("savegame.mod.a13")  
    SetBool("savegame.mod.m13") 
    SetBool("savegame.mod.n13") 
    SetBool("savegame.mod.b13") 
    SetBool("savegame.mod.v13") 
    SetBool("savegame.mod.c13") 
    PlaySound(snd) 
 
    end

    UiTranslate(10,60)
    local defaultbutton = UiTextButton("Default Lights", 200, 50)
    if defaultbutton then
        SetBool("savegame.mod.l1")  
        SetBool("savegame.mod.k1", true)  
        SetBool("savegame.mod.j1")  
        SetBool("savegame.mod.h1")
        SetBool("savegame.mod.g1")    
        SetBool("savegame.mod.f1", true)  
        SetBool("savegame.mod.d1", true)  
        SetBool("savegame.mod.s1")  
        SetBool("savegame.mod.a1")  
        SetBool("savegame.mod.m1") 
        SetBool("savegame.mod.n1") 
        SetBool("savegame.mod.b1", true) 
        SetBool("savegame.mod.v1", true) 
        SetBool("savegame.mod.c1") 
        SetBool("savegame.mod.l2")  
        SetBool("savegame.mod.k2")  
        SetBool("savegame.mod.j2")  
        SetBool("savegame.mod.h2", true)  
        SetBool("savegame.mod.g2")  
        SetBool("savegame.mod.f2", true)  
        SetBool("savegame.mod.d2", true)  
        SetBool("savegame.mod.s2", true)  
        SetBool("savegame.mod.a2")  
        SetBool("savegame.mod.m2") 
        SetBool("savegame.mod.n2") 
        SetBool("savegame.mod.b2") 
        SetBool("savegame.mod.v2") 
        SetBool("savegame.mod.c2")  
        SetBool("savegame.mod.l3")  
        SetBool("savegame.mod.k3", true)  
        SetBool("savegame.mod.j3", true)  
        SetBool("savegame.mod.h3", true)  
        SetBool("savegame.mod.g3")  
        SetBool("savegame.mod.f3")  
        SetBool("savegame.mod.d3")  
        SetBool("savegame.mod.s3", true)  
        SetBool("savegame.mod.a3", true)  
        SetBool("savegame.mod.m3") 
        SetBool("savegame.mod.n3") 
        SetBool("savegame.mod.b3", true) 
        SetBool("savegame.mod.v3", true) 
        SetBool("savegame.mod.c3")  
        SetBool("savegame.mod.l4")  
        SetBool("savegame.mod.k4")  
        SetBool("savegame.mod.j4", true)  
        SetBool("savegame.mod.h4")  
        SetBool("savegame.mod.g4", true)  
        SetBool("savegame.mod.f4")  
        SetBool("savegame.mod.d4")  
        SetBool("savegame.mod.s4")  
        SetBool("savegame.mod.a4", true)  
        SetBool("savegame.mod.m4", true) 
        SetBool("savegame.mod.n4") 
        SetBool("savegame.mod.b4") 
        SetBool("savegame.mod.v4") 
        SetBool("savegame.mod.c4")  
        SetBool("savegame.mod.l5")  
        SetBool("savegame.mod.k5", true)  
        SetBool("savegame.mod.j5")  
        SetBool("savegame.mod.h5")  
        SetBool("savegame.mod.g5", true)  
        SetBool("savegame.mod.f5")  
        SetBool("savegame.mod.d5")  
        SetBool("savegame.mod.s5")  
        SetBool("savegame.mod.a5")  
        SetBool("savegame.mod.m5", true) 
        SetBool("savegame.mod.n5") 
        SetBool("savegame.mod.b5", true) 
        SetBool("savegame.mod.v5", true) 
        SetBool("savegame.mod.c5")  
        SetBool("savegame.mod.l6")  
        SetBool("savegame.mod.k6", true)  
        SetBool("savegame.mod.j6")  
        SetBool("savegame.mod.h6")  
        SetBool("savegame.mod.g6")  
        SetBool("savegame.mod.f6")  
        SetBool("savegame.mod.d6")  
        SetBool("savegame.mod.s6")  
        SetBool("savegame.mod.a6")  
        SetBool("savegame.mod.m6") 
        SetBool("savegame.mod.n6") 
        SetBool("savegame.mod.b6", true) 
        SetBool("savegame.mod.v6", true) 
        SetBool("savegame.mod.c6") 
        SetBool("savegame.mod.l7", true)  
        SetBool("savegame.mod.k7")  
        SetBool("savegame.mod.j7")  
        SetBool("savegame.mod.h7")  
        SetBool("savegame.mod.g7", true)  
        SetBool("savegame.mod.f7")  
        SetBool("savegame.mod.d7")  
        SetBool("savegame.mod.s7")  
        SetBool("savegame.mod.a7")  
        SetBool("savegame.mod.m7", true) 
        SetBool("savegame.mod.n7", true) 
        SetBool("savegame.mod.b7") 
        SetBool("savegame.mod.v7") 
        SetBool("savegame.mod.c7", true)  
        SetBool("savegame.mod.l8")  
        SetBool("savegame.mod.k8")  
        SetBool("savegame.mod.j8", true)  
        SetBool("savegame.mod.h8")  
        SetBool("savegame.mod.g8", true)  
        SetBool("savegame.mod.f8")  
        SetBool("savegame.mod.d8")  
        SetBool("savegame.mod.s8")  
        SetBool("savegame.mod.a8", true)  
        SetBool("savegame.mod.m8", true) 
        SetBool("savegame.mod.n8") 
        SetBool("savegame.mod.b8") 
        SetBool("savegame.mod.v8") 
        SetBool("savegame.mod.c8") 
        SetBool("savegame.mod.l9", true)  
        SetBool("savegame.mod.k9")  
        SetBool("savegame.mod.j9", true)  
        SetBool("savegame.mod.h9", true)  
        SetBool("savegame.mod.g9")  
        SetBool("savegame.mod.f9")  
        SetBool("savegame.mod.d9")  
        SetBool("savegame.mod.s9", true)  
        SetBool("savegame.mod.a9", true)  
        SetBool("savegame.mod.m9") 
        SetBool("savegame.mod.n9", true) 
        SetBool("savegame.mod.b9") 
        SetBool("savegame.mod.v9") 
        SetBool("savegame.mod.c9", true) 
        SetBool("savegame.mod.l10")  
        SetBool("savegame.mod.k10")  
        SetBool("savegame.mod.j10")  
        SetBool("savegame.mod.h10", true)  
        SetBool("savegame.mod.g10")  
        SetBool("savegame.mod.f10", true)  
        SetBool("savegame.mod.d10", true)  
        SetBool("savegame.mod.s10", true)  
        SetBool("savegame.mod.a10")  
        SetBool("savegame.mod.m10") 
        SetBool("savegame.mod.n10") 
        SetBool("savegame.mod.b10") 
        SetBool("savegame.mod.v10") 
        SetBool("savegame.mod.c10")   
        SetBool("savegame.mod.l11", true)  
        SetBool("savegame.mod.k11")  
        SetBool("savegame.mod.j11")  
        SetBool("savegame.mod.h11")  
        SetBool("savegame.mod.g11")  
        SetBool("savegame.mod.f11", true)  
        SetBool("savegame.mod.d11", true)  
        SetBool("savegame.mod.s11")  
        SetBool("savegame.mod.a11")  
        SetBool("savegame.mod.m11") 
        SetBool("savegame.mod.n11", true) 
        SetBool("savegame.mod.b11") 
        SetBool("savegame.mod.v11") 
        SetBool("savegame.mod.c11", true)  
        SetBool("savegame.mod.l12", true)  
        SetBool("savegame.mod.k12")  
        SetBool("savegame.mod.j12")  
        SetBool("savegame.mod.h12")  
        SetBool("savegame.mod.g12")  
        SetBool("savegame.mod.f12")  
        SetBool("savegame.mod.d12")  
        SetBool("savegame.mod.s12")  
        SetBool("savegame.mod.a12")  
        SetBool("savegame.mod.m12") 
        SetBool("savegame.mod.n12", true) 
        SetBool("savegame.mod.b12") 
        SetBool("savegame.mod.v12") 
        SetBool("savegame.mod.c12", true)
        SetBool("savegame.mod.l13", true)  
        SetBool("savegame.mod.k13")  
        SetBool("savegame.mod.j13")  
        SetBool("savegame.mod.h13")  
        SetBool("savegame.mod.g13")  
        SetBool("savegame.mod.f13")  
        SetBool("savegame.mod.d13")  
        SetBool("savegame.mod.s13")  
        SetBool("savegame.mod.a13")  
        SetBool("savegame.mod.m13") 
        SetBool("savegame.mod.n13", true) 
        SetBool("savegame.mod.b13") 
        SetBool("savegame.mod.v13") 
        SetBool("savegame.mod.c13", true) 
        PlaySound(snd)
    end


    UiPop()

		else
            UiColor(1,1,1)
			UiText("Press M to configure")
            SetBool("game.disablepause", false)
            SetBool("game.disablemap", false)
		end

-- farol 1
if GetBool("savegame.mod.l1") then
    ll0 = GetFloat("savegame.mod.lighs.headlight")
else
    ll0 = 0
end
if GetBool("savegame.mod.l2") then
    ll5 = GetFloat("savegame.mod.lighs.headlight")
else
    ll5 = 0
end
if GetBool("savegame.mod.l3") then
    ll10 = GetFloat("savegame.mod.lighs.headlight")
else
    ll10 = 0
end
if GetBool("savegame.mod.l4") then
    ll15 = GetFloat("savegame.mod.lighs.headlight")
else
    ll15 = 0
end
if GetBool("savegame.mod.l5") then
    ll20 = GetFloat("savegame.mod.lighs.headlight")
else
    ll20 = 0
end
if GetBool("savegame.mod.l6") then
    ll25 = GetFloat("savegame.mod.lighs.headlight")
else
    ll25 = 0
end
if GetBool("savegame.mod.l7") then
    ll30 = GetFloat("savegame.mod.lighs.headlight")
else
    ll30 = 0
end
if GetBool("savegame.mod.l8") then
    ll35 = GetFloat("savegame.mod.lighs.headlight")
else
    ll35 = 0
end
if GetBool("savegame.mod.l9") then
    ll40 = GetFloat("savegame.mod.lighs.headlight")
else
    ll40 = 0
end
if GetBool("savegame.mod.l10") then
    ll45 = GetFloat("savegame.mod.lighs.headlight")
else
    ll45 = 0
end
if GetBool("savegame.mod.l11") then
    ll50 = GetFloat("savegame.mod.lighs.headlight")
else
    ll50 = 0
end
if GetBool("savegame.mod.l12") then
    ll55 = GetFloat("savegame.mod.lighs.headlight")
else
    ll55 = 0
end
if GetBool("savegame.mod.l13") then
    ll59 = GetFloat("savegame.mod.lighs.headlight")
else
    ll59 = 0
end



-- farol 2
if GetBool("savegame.mod.k1") then
    kk0 = GetFloat("savegame.mod.lighs.headlight")
else
    kk0 = 0
end
if GetBool("savegame.mod.k2") then
    kk5 = GetFloat("savegame.mod.lighs.headlight")
else
    kk5 = 0
end
if GetBool("savegame.mod.k3") then
    kk10 = GetFloat("savegame.mod.lighs.headlight")
else
    kk10 = 0
end
if GetBool("savegame.mod.k4") then
    kk15 = GetFloat("savegame.mod.lighs.headlight")
else
    kk15 = 0
end
if GetBool("savegame.mod.k5") then
    kk20 = GetFloat("savegame.mod.lighs.headlight")
else
    kk20 = 0
end
if GetBool("savegame.mod.k6") then
    kk25 = GetFloat("savegame.mod.lighs.headlight")
else
    kk25 = 0
end
if GetBool("savegame.mod.k7") then
    kk30 = GetFloat("savegame.mod.lighs.headlight")
else
    kk30 = 0
end
if GetBool("savegame.mod.k8") then
    kk35 = GetFloat("savegame.mod.lighs.headlight")
else
    kk35 = 0
end
if GetBool("savegame.mod.k9") then
    kk40 = GetFloat("savegame.mod.lighs.headlight")
else
    kk40 = 0
end
if GetBool("savegame.mod.k10") then
    kk45 = GetFloat("savegame.mod.lighs.headlight")
else
    kk45 = 0
end
if GetBool("savegame.mod.k11") then
    kk50 = GetFloat("savegame.mod.lighs.headlight")
else
    kk50 = 0
end
if GetBool("savegame.mod.k12") then
    kk55 = GetFloat("savegame.mod.lighs.headlight")
else
    kk55 = 0
end
if GetBool("savegame.mod.k13") then
    kk59 = GetFloat("savegame.mod.lighs.headlight")
else
    kk59 = 0
end


    -- farol 3
    if GetBool("savegame.mod.j1") then
        jj0 = GetFloat("savegame.mod.emlights.front")
    else
        jj0 = 0
    end
    if GetBool("savegame.mod.j2") then
        jj5 = GetFloat("savegame.mod.emlights.front")
    else
        jj5 = 0
    end
    if GetBool("savegame.mod.j3") then
        jj10 = GetFloat("savegame.mod.emlights.front")
    else
        jj10 = 0
    end
    if GetBool("savegame.mod.j4") then
        jj15 = GetFloat("savegame.mod.emlights.front")
    else
        jj15 = 0
    end
    if GetBool("savegame.mod.j5") then
        jj20 = GetFloat("savegame.mod.emlights.front")
    else
        jj20 = 0
    end
    if GetBool("savegame.mod.j6") then
        jj25 = GetFloat("savegame.mod.emlights.front")
    else
        jj25 = 0
    end
    if GetBool("savegame.mod.j7") then
        jj30 = GetFloat("savegame.mod.emlights.front")
    else
        jj30 = 0
    end
    if GetBool("savegame.mod.j8") then
        jj35 = GetFloat("savegame.mod.emlights.front")
    else
        jj35 = 0
    end
    if GetBool("savegame.mod.j9") then
        jj40 = GetFloat("savegame.mod.emlights.front")
    else
        jj40 = 0
    end
    if GetBool("savegame.mod.j10") then
        jj45 = GetFloat("savegame.mod.emlights.front")
    else
        jj45 = 0
    end
    if GetBool("savegame.mod.j11") then
        jj50 = GetFloat("savegame.mod.emlights.front")
    else
        jj50 = 0
    end
    if GetBool("savegame.mod.j12") then
        jj55 = GetFloat("savegame.mod.emlights.front")
    else
        jj55 = 0
    end
    if GetBool("savegame.mod.j13") then
        jj59 = GetFloat("savegame.mod.emlights.front")
    else
        jj59 = 0
    end


    -- farol 4
    if GetBool("savegame.mod.h1") then
        hh0 = GetFloat("savegame.mod.emlights.front")
    else
        hh0 = 0
    end
    if GetBool("savegame.mod.h2") then
        hh5 = GetFloat("savegame.mod.emlights.front")
    else
        hh5 = 0
    end
    if GetBool("savegame.mod.h3") then
        hh10 = GetFloat("savegame.mod.emlights.front")
    else
        hh10 = 0
    end
    if GetBool("savegame.mod.h4") then
        hh15 = GetFloat("savegame.mod.emlights.front")
    else
        hh15 = 0
    end
    if GetBool("savegame.mod.h5") then
        hh20 = GetFloat("savegame.mod.emlights.front")
    else
        hh20 = 0
    end
    if GetBool("savegame.mod.h6") then
        hh25 = GetFloat("savegame.mod.emlights.front")
    else
        hh25 = 0
    end
    if GetBool("savegame.mod.h7") then
        hh30 = GetFloat("savegame.mod.emlights.front")
    else
        hh30 = 0
    end
    if GetBool("savegame.mod.h8") then
        hh35 = GetFloat("savegame.mod.emlights.front")
    else
        hh35 = 0
    end
    if GetBool("savegame.mod.h9") then
        hh40 = GetFloat("savegame.mod.emlights.front")
    else
        hh40 = 0
    end
    if GetBool("savegame.mod.h10") then
        hh45 = GetFloat("savegame.mod.emlights.front")
    else
        hh45 = 0
    end
    if GetBool("savegame.mod.h11") then
        hh50 = GetFloat("savegame.mod.emlights.front")
    else
        hh50 = 0
    end
    if GetBool("savegame.mod.h12") then
        hh55 = GetFloat("savegame.mod.emlights.front")
    else
        hh55 = 0
    end
    if GetBool("savegame.mod.h13") then
        hh59 = GetFloat("savegame.mod.emlights.front")
    else
        hh59 = 0
    end


    -- farol 5
    if GetBool("savegame.mod.g1") then
        gg0 = GetFloat("savegame.mod.emlights.left")
    else
        gg0 = 0
    end
    if GetBool("savegame.mod.g2") then
        gg5 = GetFloat("savegame.mod.emlights.left")
    else
        gg5 = 0
    end
    if GetBool("savegame.mod.g3") then
        gg10 = GetFloat("savegame.mod.emlights.left")
    else
        gg10 = 0
    end
    if GetBool("savegame.mod.g4") then
        gg15 = GetFloat("savegame.mod.emlights.left")
    else
        gg15 = 0
    end
    if GetBool("savegame.mod.g5") then
        gg20 = GetFloat("savegame.mod.emlights.left")
    else
        gg20 = 0
    end
    if GetBool("savegame.mod.g6") then
        gg25 = GetFloat("savegame.mod.emlights.left")
    else
        gg25 = 0
    end
    if GetBool("savegame.mod.g7") then
        gg30 = GetFloat("savegame.mod.emlights.left")
    else
        gg30 = 0
    end
    if GetBool("savegame.mod.g8") then
        gg35 = GetFloat("savegame.mod.emlights.left")
    else
        gg35 = 0
    end
    if GetBool("savegame.mod.g9") then
        gg40 = GetFloat("savegame.mod.emlights.left")
    else
        gg40 = 0
    end
    if GetBool("savegame.mod.g10") then
        gg45 = GetFloat("savegame.mod.emlights.left")
    else
        gg45 = 0
    end
    if GetBool("savegame.mod.g11") then
        gg50 = GetFloat("savegame.mod.emlights.left")
    else
        gg50 = 0
    end
    if GetBool("savegame.mod.g12") then
        gg55 = GetFloat("savegame.mod.emlights.left")
    else
        gg55 = 0
    end
    if GetBool("savegame.mod.g13") then
        gg59 = GetFloat("savegame.mod.emlights.left")
    else
        gg59 = 0
    end


    -- farol 6
    if GetBool("savegame.mod.f1") then
        ff0 = GetFloat("savegame.mod.emlights.right")
    else
        ff0 = 0
    end
    if GetBool("savegame.mod.f2") then
        ff5 = GetFloat("savegame.mod.emlights.right")
    else
        ff5 = 0
    end
    if GetBool("savegame.mod.f3") then
        ff10 = GetFloat("savegame.mod.emlights.right")
    else
        ff10 = 0
    end
    if GetBool("savegame.mod.f4") then
        ff15 = GetFloat("savegame.mod.emlights.right")
    else
        ff15 = 0
    end
    if GetBool("savegame.mod.f5") then
        ff20 = GetFloat("savegame.mod.emlights.right")
    else
        ff20 = 0
    end
    if GetBool("savegame.mod.f6") then
        ff25 = GetFloat("savegame.mod.emlights.right")
    else
        ff25 = 0
    end
    if GetBool("savegame.mod.f7") then
        ff30 = GetFloat("savegame.mod.emlights.right")
    else
        ff30 = 0
    end
    if GetBool("savegame.mod.f8") then
        ff35 = GetFloat("savegame.mod.emlights.right")
    else
        ff35 = 0
    end
    if GetBool("savegame.mod.f9") then
        ff40 = GetFloat("savegame.mod.emlights.right")
    else
        ff40 = 0
    end
    if GetBool("savegame.mod.f10") then
        ff45 = GetFloat("savegame.mod.emlights.right")
    else
        ff45 = 0
    end
    if GetBool("savegame.mod.f11") then
        ff50 = GetFloat("savegame.mod.emlights.right")
    else
        ff50 = 0
    end
    if GetBool("savegame.mod.f12") then
        ff55 = GetFloat("savegame.mod.emlights.right")
    else
        ff55 = 0
    end
    if GetBool("savegame.mod.f13") then
        ff59 = GetFloat("savegame.mod.emlights.right")
    else
        ff59 = 0
    end



    -- farol 7
    if GetBool("savegame.mod.d1") then
        dd0 = GetFloat("savegame.mod.emlights.top")
    else
        dd0 = 0
    end
    if GetBool("savegame.mod.d2") then
        dd5 = GetFloat("savegame.mod.emlights.top")
    else
        dd5 = 0
    end
    if GetBool("savegame.mod.d3") then
        dd10 = GetFloat("savegame.mod.emlights.top")
    else
        dd10 = 0
    end
    if GetBool("savegame.mod.d4") then
        dd15 = GetFloat("savegame.mod.emlights.top")
    else
        dd15 = 0
    end
    if GetBool("savegame.mod.d5") then
        dd20 = GetFloat("savegame.mod.emlights.top")
    else
        dd20 = 0
    end
    if GetBool("savegame.mod.d6") then
        dd25 = GetFloat("savegame.mod.emlights.top")
    else
        dd25 = 0
    end
    if GetBool("savegame.mod.d7") then
        dd30 = GetFloat("savegame.mod.emlights.top")
    else
        dd30 = 0
    end
    if GetBool("savegame.mod.d8") then
        dd35 = GetFloat("savegame.mod.emlights.top")
    else
        dd35 = 0
    end
    if GetBool("savegame.mod.d9") then
        dd40 = GetFloat("savegame.mod.emlights.top")
    else
        dd40 = 0
    end
    if GetBool("savegame.mod.d10") then
        dd45 = GetFloat("savegame.mod.emlights.top")
    else
        dd45 = 0
    end
    if GetBool("savegame.mod.d11") then
        dd50 = GetFloat("savegame.mod.emlights.top")
    else
        dd50 = 0
    end
    if GetBool("savegame.mod.d12") then
        dd55 = GetFloat("savegame.mod.emlights.top")
    else
        dd55 = 0
    end
    if GetBool("savegame.mod.d13") then
        dd59 = GetFloat("savegame.mod.emlights.top")
    else
        dd59 = 0
    end



    -- farol 8
    if GetBool("savegame.mod.s1") then
        ss0 = GetFloat("savegame.mod.emlights.top")
    else
        ss0 = 0
    end
    if GetBool("savegame.mod.s2") then
        ss5 = GetFloat("savegame.mod.emlights.top")
    else
        ss5 = 0
    end
    if GetBool("savegame.mod.s3") then
        ss10 = GetFloat("savegame.mod.emlights.top")
    else
        ss10 = 0
    end
    if GetBool("savegame.mod.s4") then
        ss15 = GetFloat("savegame.mod.emlights.top")
    else
        ss15 = 0
    end
    if GetBool("savegame.mod.s5") then
        ss20 = GetFloat("savegame.mod.emlights.top")
    else
        ss20 = 0
    end
    if GetBool("savegame.mod.s6") then
        ss25 = GetFloat("savegame.mod.emlights.top")
    else
        ss25 = 0
    end
    if GetBool("savegame.mod.s7") then
        ss30 = GetFloat("savegame.mod.emlights.top")
    else
        ss30 = 0
    end
    if GetBool("savegame.mod.s8") then
        ss35 = GetFloat("savegame.mod.emlights.top")
    else
        ss35 = 0
    end
    if GetBool("savegame.mod.s9") then
        ss40 = GetFloat("savegame.mod.emlights.top")
    else
        ss40 = 0
    end
    if GetBool("savegame.mod.s10") then
        ss45 = GetFloat("savegame.mod.emlights.top")
    else
        ss45 = 0
    end
    if GetBool("savegame.mod.s11") then
        ss50 = GetFloat("savegame.mod.emlights.top")
    else
        ss50 = 0
    end
    if GetBool("savegame.mod.s12") then
        ss55 = GetFloat("savegame.mod.emlights.top")
    else
        ss55 = 0
    end
    if GetBool("savegame.mod.s13") then
        ss59 = GetFloat("savegame.mod.emlights.top")
    else
        ss59 = 0
    end


  -- farol 9
  if GetBool("savegame.mod.a1") then
    aa0 = GetFloat("savegame.mod.emlights.top")
else
    aa0 = 0
end
if GetBool("savegame.mod.a2") then
    aa5 = GetFloat("savegame.mod.emlights.top")
else
    aa5 = 0
end
if GetBool("savegame.mod.a3") then
    aa10 = GetFloat("savegame.mod.emlights.top")
else
    aa10 = 0
end
if GetBool("savegame.mod.a4") then
    aa15 = GetFloat("savegame.mod.emlights.top")
else
    aa15 = 0
end
if GetBool("savegame.mod.a5") then
    aa20 = GetFloat("savegame.mod.emlights.top")
else
    aa20 = 0
end
if GetBool("savegame.mod.a6") then
    aa25 = GetFloat("savegame.mod.emlights.top")
else
    aa25 = 0
end
if GetBool("savegame.mod.a7") then
    aa30 = GetFloat("savegame.mod.emlights.top")
else
    aa30 = 0
end
if GetBool("savegame.mod.a8") then
    aa35 = GetFloat("savegame.mod.emlights.top")
else
    aa35 = 0
end
if GetBool("savegame.mod.a9") then
    aa40 = GetFloat("savegame.mod.emlights.top")
else
    aa40 = 0
end
if GetBool("savegame.mod.a10") then
    aa45 = GetFloat("savegame.mod.emlights.top")
else
    aa45 = 0
end
if GetBool("savegame.mod.a11") then
    aa50 = GetFloat("savegame.mod.emlights.top")
else
    aa50 = 0
end
if GetBool("savegame.mod.a12") then
    aa55 = GetFloat("savegame.mod.emlights.top")
else
    aa55 = 0
end
if GetBool("savegame.mod.a13") then
    aa59 = GetFloat("savegame.mod.emlights.top")
else
    aa59 = 0
end



  -- farol 10
  if GetBool("savegame.mod.m1") then
    mm0 = GetFloat("savegame.mod.emlights.top")
else
    mm0 = 0
end
if GetBool("savegame.mod.m2") then
    mm5 = GetFloat("savegame.mod.emlights.top")
else
    mm5 = 0
end
if GetBool("savegame.mod.m3") then
    mm10 = GetFloat("savegame.mod.emlights.top")
else
    mm10 = 0
end
if GetBool("savegame.mod.m4") then
    mm15 = GetFloat("savegame.mod.emlights.top")
else
    mm15 = 0
end
if GetBool("savegame.mod.m5") then
    mm20 = GetFloat("savegame.mod.emlights.top")
else
    mm20 = 0
end
if GetBool("savegame.mod.m6") then
    mm25 = GetFloat("savegame.mod.emlights.top")
else
    mm25 = 0
end
if GetBool("savegame.mod.m7") then
    mm30 = GetFloat("savegame.mod.emlights.top")
else
    mm30 = 0
end
if GetBool("savegame.mod.m8") then
    mm35 = GetFloat("savegame.mod.emlights.top")
else
    mm35 = 0
end
if GetBool("savegame.mod.m9") then
    mm40 = GetFloat("savegame.mod.emlights.top")
else
    mm40 = 0
end
if GetBool("savegame.mod.m10") then
    mm45 = GetFloat("savegame.mod.emlights.top")
else
    mm45 = 0
end
if GetBool("savegame.mod.m11") then
    mm50 = GetFloat("savegame.mod.emlights.top")
else
    mm50 = 0
end
if GetBool("savegame.mod.m12") then
    mm55 = GetFloat("savegame.mod.emlights.top")
else
    mm55 = 0
end
if GetBool("savegame.mod.m13") then
    mm59 = GetFloat("savegame.mod.emlights.top")
else
    mm59 = 0
end




  -- farol 11
  if GetBool("savegame.mod.n1") then
    nn0 = GetFloat("savegame.mod.emlights.back")
else
    nn0 = 0
end
if GetBool("savegame.mod.n2") then
    nn5 = GetFloat("savegame.mod.emlights.back")
else
    nn5 = 0
end
if GetBool("savegame.mod.n3") then
    nn10 = GetFloat("savegame.mod.emlights.back")
else
    nn10 = 0
end
if GetBool("savegame.mod.n4") then
    nn15 = GetFloat("savegame.mod.emlights.back")
else
    nn15 = 0
end
if GetBool("savegame.mod.n5") then
    nn20 = GetFloat("savegame.mod.emlights.back")
else
    nn20 = 0
end
if GetBool("savegame.mod.n6") then
    nn25 = GetFloat("savegame.mod.emlights.back")
else
    nn25 = 0
end
if GetBool("savegame.mod.n7") then
    nn30 = GetFloat("savegame.mod.emlights.back")
else
    nn30 = 0
end
if GetBool("savegame.mod.n8") then
    nn35 = GetFloat("savegame.mod.emlights.back")
else
    nn35 = 0
end
if GetBool("savegame.mod.n9") then
    nn40 = GetFloat("savegame.mod.emlights.back")
else
    nn40 = 0
end
if GetBool("savegame.mod.n10") then
    nn45 = GetFloat("savegame.mod.emlights.back")
else
    nn45 = 0
end
if GetBool("savegame.mod.n11") then
    nn50 = GetFloat("savegame.mod.emlights.back")
else
    nn50 = 0
end
if GetBool("savegame.mod.n12") then
    nn55 = GetFloat("savegame.mod.emlights.back")
else
    nn55 = 0
end
if GetBool("savegame.mod.n13") then
    nn59 = GetFloat("savegame.mod.emlights.back")
else
    nn59 = 0
end


  -- farol 12
  if GetBool("savegame.mod.b1") then
    bb0 = GetFloat("savegame.mod.emlights.back")
else
    bb0 = 0
end
if GetBool("savegame.mod.b2") then
    bb5 = GetFloat("savegame.mod.emlights.back")
else
    bb5 = 0
end
if GetBool("savegame.mod.b3") then
    bb10 = GetFloat("savegame.mod.emlights.back")
else
    bb10 = 0
end
if GetBool("savegame.mod.b4") then
    bb15 = GetFloat("savegame.mod.emlights.back")
else
    bb15 = 0
end
if GetBool("savegame.mod.b5") then
    bb20 = GetFloat("savegame.mod.emlights.back")
else
    bb20 = 0
end
if GetBool("savegame.mod.b6") then
    bb25 = GetFloat("savegame.mod.emlights.back")
else
    bb25 = 0
end
if GetBool("savegame.mod.b7") then
    bb30 = GetFloat("savegame.mod.emlights.back")
else
    bb30 = 0
end
if GetBool("savegame.mod.b8") then
    bb35 = GetFloat("savegame.mod.emlights.back")
else
    bb35 = 0
end
if GetBool("savegame.mod.b9") then
    bb40 = GetFloat("savegame.mod.emlights.back")
else
    bb40 = 0
end
if GetBool("savegame.mod.b10") then
    bb45 = GetFloat("savegame.mod.emlights.back")
else
    bb45 = 0
end
if GetBool("savegame.mod.b11") then
    bb50 = GetFloat("savegame.mod.emlights.back")
else
    bb50 = 0
end
if GetBool("savegame.mod.b12") then
    bb55 = GetFloat("savegame.mod.emlights.back")
else
    bb55 = 0
end
if GetBool("savegame.mod.b13") then
    bb59 = GetFloat("savegame.mod.emlights.back")
else
    bb59 = 0
end





-- farol 13
if GetBool("savegame.mod.v1") then
vv0 = GetFloat("savegame.mod.lighs.headlight")
else
vv0 = 0
end
if GetBool("savegame.mod.v2") then
vv5 = GetFloat("savegame.mod.lighs.headlight")
else
vv5 = 0
end
if GetBool("savegame.mod.v3") then
vv10 = GetFloat("savegame.mod.lighs.headlight")
else
vv10 = 0
end
if GetBool("savegame.mod.v4") then
vv15 = GetFloat("savegame.mod.lighs.headlight")
else
vv15 = 0
end
if GetBool("savegame.mod.v5") then
vv20 = GetFloat("savegame.mod.lighs.headlight")
else
vv20 = 0
end
if GetBool("savegame.mod.v6") then
vv25 = GetFloat("savegame.mod.lighs.headlight")
else
vv25 = 0
end
if GetBool("savegame.mod.v7") then
vv30 = GetFloat("savegame.mod.lighs.headlight")
else
vv30 = 0
end
if GetBool("savegame.mod.v8") then
vv35 = GetFloat("savegame.mod.lighs.headlight")
else
vv35 = 0
end
if GetBool("savegame.mod.v9") then
vv40 = GetFloat("savegame.mod.lighs.headlight")
else
vv40 = 0
end
if GetBool("savegame.mod.v10") then
vv45 = GetFloat("savegame.mod.lighs.headlight")
else
vv45 = 0
end
if GetBool("savegame.mod.v11") then
vv50 = GetFloat("savegame.mod.lighs.headlight")
else
vv50 = 0
end
if GetBool("savegame.mod.v12") then
vv55 = GetFloat("savegame.mod.lighs.headlight")
else
vv55 = 0
end
if GetBool("savegame.mod.v13") then
vv59 = GetFloat("savegame.mod.lighs.headlight")
else
vv59 = 0
end



-- farol 14
if GetBool("savegame.mod.c1") then
cc0 = GetFloat("savegame.mod.lighs.headlight")
else
cc0 = 0
end
if GetBool("savegame.mod.c2") then
cc5 = GetFloat("savegame.mod.lighs.headlight")
else
cc5 = 0
end
if GetBool("savegame.mod.c3") then
cc10 = GetFloat("savegame.mod.lighs.headlight")
else
cc10 = 0
end
if GetBool("savegame.mod.c4") then
cc15 = GetFloat("savegame.mod.lighs.headlight")
else
cc15 = 0
end
if GetBool("savegame.mod.c5") then
cc20 = GetFloat("savegame.mod.lighs.headlight")
else
cc20 = 0
end
if GetBool("savegame.mod.c6") then
cc25 = GetFloat("savegame.mod.lighs.headlight")
else
cc25 = 0
end
if GetBool("savegame.mod.c7") then
cc30 = GetFloat("savegame.mod.lighs.headlight")
else
cc30 = 0
end
if GetBool("savegame.mod.c8") then
cc35 = GetFloat("savegame.mod.lighs.headlight")
else
cc35 = 0
end
if GetBool("savegame.mod.c9") then
cc40 = GetFloat("savegame.mod.lighs.headlight")
else
cc40 = 0
end
if GetBool("savegame.mod.c10") then
cc45 = GetFloat("savegame.mod.lighs.headlight")
else
cc45 = 0
end
if GetBool("savegame.mod.c11") then
cc50 = GetFloat("savegame.mod.lighs.headlight")
else
cc50 = 0
end
if GetBool("savegame.mod.c12") then
cc55 = GetFloat("savegame.mod.lighs.headlight")
else
cc55 = 0
end
if GetBool("savegame.mod.c13") then
cc59 = GetFloat("savegame.mod.lighs.headlight")
else
cc59 = 0
end

	end
end








    



