local slW = 400
local slMul = slW/200

local lim = {
    lighs = {
        blinkers = 100/4,
        headlight = 100/20,
        highbeam = 100/200,
        foglamp = 100/40,

    },
    emlights = {
        front = 100/200,
        back = 100/200,
        top = 100/200,
        left = 100/200,
        right = 100/200,
    },
    siren = {
        s1 = 100/2,
        s2 = 100/2,
        s3 = 100/2,
        horn = 100/2,

    }
}

local def = { 
    lighs = {
        blinkers = 0.6,
        headlight = 10,
        highbeam = 100,
        foglamp = 20,
    },
    emlights = {
        front = 1,
        back = 2,
        top = 5,
        left = 2,
        right = 2,
    },
    siren = {
        s1 = 1.2,
        s2 = 0.4,
        s3 = 0.4,
        horn = 0.8,
    }
}


function sfn(numberToFormat, dec)
    local s = (tostring(dec or 2))
    return string.format("%."..s.."f", numberToFormat)
end

function init()
    shapes = setmetatable({},{
        __index = function(t, k)
            local shape = FindShape(k)
            rawset(t, k, shape)
            return shape
        end
    })

    lights = setmetatable({},{
        __index = function(m, n)
            local light = FindLight(n)
            rawset(m, n, light)
            return light
        end
    })

	local vehicle = FindVehicle("swat")
    snd = LoadSound("MOD/snd/click.ogg")
	loop = LoadLoop("MOD/snd/ambulance.ogg")
	loop2 = LoadLoop("MOD/snd/ambulance2.ogg")
	loop3 = LoadLoop("MOD/snd/firetruck3.ogg")
    loop4 = LoadLoop("MOD/snd/ambulancehorn.ogg")
    frame = math.random(0, 60)
    lightOn = false
    mlo = false
    hlo = false
    note = false
    tl = false
    tr = false
    warning = false
    flash = false
    temp = false
    adt = false
    elight = false
    elight2 = false
    siren = false
    siren2 = false
    brake = false


    
	currentKmh = 0	
	displayKmh = 0	
end



function tick(dt)
    
    SetShapeCollisionFilter(shapes.hood, 2, 255-2)
    SetShapeCollisionFilter(shapes.lflm2, 2, 255-2)
    SetShapeCollisionFilter(shapes.lflm, 2, 255-2)
    SetShapeCollisionFilter(shapes.e1, 2, 255-2)
    SetShapeCollisionFilter(shapes.d1, 2, 255-2)
    SetShapeCollisionFilter(shapes.e4, 2, 255-2)
    SetShapeCollisionFilter(shapes.d4, 2, 255-2)
    SetShapeCollisionFilter(shapes.lfrm2, 2, 255-2)
    SetShapeCollisionFilter(shapes.lfrm, 2, 255-2)
    SetShapeCollisionFilter(shapes.trunk, 2, 255-2)
    SetShapeCollisionFilter(shapes.trunk2, 2, 255-2)
    SetShapeCollisionFilter(shapes.lfrmt, 2, 255-2)
    SetShapeCollisionFilter(shapes.lflmt, 2, 255-2)
    SetShapeCollisionFilter(shapes.brake, 2, 255-2)
    SetShapeCollisionFilter(shapes.brake2, 2, 255-2)

    if not GetBool("savegame.mod.lightdefalts") then
        SetFloat("savegame.mod.lighs.blinkers", def.lighs.blinkers)
        SetFloat("savegame.mod.lighs.headlight", def.lighs.headlight)
        SetFloat("savegame.mod.lighs.highbeam", def.lighs.highbeam)
        SetFloat("savegame.mod.lighs.foglamp", def.lighs.foglamp)

        SetFloat("savegame.mod.emlights.front", def.emlights.front)
        SetFloat("savegame.mod.emlights.back", def.emlights.back)  
        SetFloat("savegame.mod.emlights.top", def.emlights.top)
        SetFloat("savegame.mod.emlights.left", def.emlights.left)  
        SetFloat("savegame.mod.emlights.right", def.emlights.right)  

        SetFloat("savegame.mod.siren.s1", def.siren.s1)
        SetFloat("savegame.mod.siren.s2", def.siren.s2)  
        SetFloat("savegame.mod.siren.s3", def.siren.s3)
        SetFloat("savegame.mod.siren.horn", def.siren.horn) 
 
        SetBool("savegame.mod.sq1", true)  
        SetBool("savegame.mod.sw1", true)  
        SetBool("savegame.mod.se1", true)  
        SetBool("savegame.mod.sr1")  
        SetBool("savegame.mod.st1", true)  
        SetBool("savegame.mod.sy1")  
        SetBool("savegame.mod.su1", true)  
        SetBool("savegame.mod.si1")  
        SetBool("savegame.mod.so1")  
        SetBool("savegame.mod.sp1") 
        SetBool("savegame.mod.sa1") 
        SetBool("savegame.mod.ss1") 
        SetBool("savegame.mod.sd1") 
        SetBool("savegame.mod.sf1", true)  
        SetBool("savegame.mod.sg1", true)  
        SetBool("savegame.mod.sh1")  
        SetBool("savegame.mod.sj1")  
        SetBool("savegame.mod.sk1", true)  
        SetBool("savegame.mod.sl1", true)  
        SetBool("savegame.mod.sz1", true)  
        SetBool("savegame.mod.sx1", true)  
        SetBool("savegame.mod.sc1", true)  
        SetBool("savegame.mod.sv1", true)  
        SetBool("savegame.mod.sb1", true) 
        SetBool("savegame.mod.sq2")  
        SetBool("savegame.mod.sw2")  
        SetBool("savegame.mod.se2", true)  
        SetBool("savegame.mod.sr2")  
        SetBool("savegame.mod.st2")  
        SetBool("savegame.mod.sy2")  
        SetBool("savegame.mod.su2", true)  
        SetBool("savegame.mod.si2", true)  
        SetBool("savegame.mod.so2")  
        SetBool("savegame.mod.sp2") 
        SetBool("savegame.mod.sa2") 
        SetBool("savegame.mod.ss2") 
        SetBool("savegame.mod.sd2", true) 
        SetBool("savegame.mod.sf2", true)  
        SetBool("savegame.mod.sg2")  
        SetBool("savegame.mod.sh2")  
        SetBool("savegame.mod.sj2")  
        SetBool("savegame.mod.sk2")  
        SetBool("savegame.mod.sl2")  
        SetBool("savegame.mod.sz2")  
        SetBool("savegame.mod.sx2")  
        SetBool("savegame.mod.sc2")  
        SetBool("savegame.mod.sv2")  
        SetBool("savegame.mod.sb2") 
        SetBool("savegame.mod.sq3", true)  
        SetBool("savegame.mod.sw3")  
        SetBool("savegame.mod.se3")  
        SetBool("savegame.mod.sr3", true)  
        SetBool("savegame.mod.st3", true)  
        SetBool("savegame.mod.sy3")  
        SetBool("savegame.mod.su3")  
        SetBool("savegame.mod.si3", true)  
        SetBool("savegame.mod.so3", true)  
        SetBool("savegame.mod.sp3") 
        SetBool("savegame.mod.sa3") 
        SetBool("savegame.mod.ss3", true) 
        SetBool("savegame.mod.sd3", true) 
        SetBool("savegame.mod.sf3")  
        SetBool("savegame.mod.sg3", true)  
        SetBool("savegame.mod.sh3")  
        SetBool("savegame.mod.sj3")  
        SetBool("savegame.mod.sk3", true)  
        SetBool("savegame.mod.sl3", true)  
        SetBool("savegame.mod.sz3")  
        SetBool("savegame.mod.sx3")  
        SetBool("savegame.mod.sc3", true)  
        SetBool("savegame.mod.sv3")  
        SetBool("savegame.mod.sb3", true)  
        SetBool("savegame.mod.sq4")  
        SetBool("savegame.mod.sw4")  
        SetBool("savegame.mod.se4")  
        SetBool("savegame.mod.sr4", true)  
        SetBool("savegame.mod.st4")  
        SetBool("savegame.mod.sy4")  
        SetBool("savegame.mod.su4")  
        SetBool("savegame.mod.si4")  
        SetBool("savegame.mod.so4", true)  
        SetBool("savegame.mod.sp4", true) 
        SetBool("savegame.mod.sa4", true) 
        SetBool("savegame.mod.ss4", true) 
        SetBool("savegame.mod.sd4") 
        SetBool("savegame.mod.sf4")  
        SetBool("savegame.mod.sg4")  
        SetBool("savegame.mod.sh4", true)  
        SetBool("savegame.mod.sj4", true)  
        SetBool("savegame.mod.sk4")  
        SetBool("savegame.mod.sl4")  
        SetBool("savegame.mod.sz4")  
        SetBool("savegame.mod.sx4")  
        SetBool("savegame.mod.sc4")  
        SetBool("savegame.mod.sv4")  
        SetBool("savegame.mod.sb4") 
        SetBool("savegame.mod.sq5", true)  
        SetBool("savegame.mod.sw5")  
        SetBool("savegame.mod.se5", true)  
        SetBool("savegame.mod.sr5")  
        SetBool("savegame.mod.st5", true)  
        SetBool("savegame.mod.sy5")  
        SetBool("savegame.mod.su5")  
        SetBool("savegame.mod.si5")  
        SetBool("savegame.mod.so5")  
        SetBool("savegame.mod.sp5", true) 
        SetBool("savegame.mod.sa5", true) 
        SetBool("savegame.mod.ss5") 
        SetBool("savegame.mod.sd5") 
        SetBool("savegame.mod.sf5")  
        SetBool("savegame.mod.sg5")  
        SetBool("savegame.mod.sh5")  
        SetBool("savegame.mod.sj5")  
        SetBool("savegame.mod.sk5")  
        SetBool("savegame.mod.sl5", true)  
        SetBool("savegame.mod.sz5")  
        SetBool("savegame.mod.sx5")  
        SetBool("savegame.mod.sc5", true)  
        SetBool("savegame.mod.sv5")  
        SetBool("savegame.mod.sb5", true) 
        SetBool("savegame.mod.sq6", true)  
        SetBool("savegame.mod.sw6")  
        SetBool("savegame.mod.se6", true)  
        SetBool("savegame.mod.sr6")  
        SetBool("savegame.mod.st6", true)  
        SetBool("savegame.mod.sy6")  
        SetBool("savegame.mod.su6")  
        SetBool("savegame.mod.si6")  
        SetBool("savegame.mod.so6")  
        SetBool("savegame.mod.sp6") 
        SetBool("savegame.mod.sa6") 
        SetBool("savegame.mod.ss6") 
        SetBool("savegame.mod.sd6") 
        SetBool("savegame.mod.sf6")  
        SetBool("savegame.mod.sg6")  
        SetBool("savegame.mod.sh6", true)  
        SetBool("savegame.mod.sj6", true)  
        SetBool("savegame.mod.sk6")  
        SetBool("savegame.mod.sl6", true)  
        SetBool("savegame.mod.sz6")  
        SetBool("savegame.mod.sx6")  
        SetBool("savegame.mod.sc6", true)  
        SetBool("savegame.mod.sv6")  
        SetBool("savegame.mod.sb6", true) 
        SetBool("savegame.mod.sq7", true)  
        SetBool("savegame.mod.sw7", true)  
        SetBool("savegame.mod.se7")  
        SetBool("savegame.mod.sr7", true)  
        SetBool("savegame.mod.st6")  
        SetBool("savegame.mod.sy7", true)  
        SetBool("savegame.mod.su7")  
        SetBool("savegame.mod.si7")  
        SetBool("savegame.mod.so7")  
        SetBool("savegame.mod.sp7", true) 
        SetBool("savegame.mod.sa7", true) 
        SetBool("savegame.mod.ss7") 
        SetBool("savegame.mod.sd7") 
        SetBool("savegame.mod.sf7")  
        SetBool("savegame.mod.sg7", true)  
        SetBool("savegame.mod.sh7")  
        SetBool("savegame.mod.sj7")  
        SetBool("savegame.mod.sk7", true)  
        SetBool("savegame.mod.sl7", true)  
        SetBool("savegame.mod.sz7", true)  
        SetBool("savegame.mod.sx7", true)  
        SetBool("savegame.mod.sc7", true)  
        SetBool("savegame.mod.sv7", true)  
        SetBool("savegame.mod.sb7", true)  
        SetBool("savegame.mod.sq8")  
        SetBool("savegame.mod.sw8")  
        SetBool("savegame.mod.se8")  
        SetBool("savegame.mod.sr8", true)  
        SetBool("savegame.mod.st8")  
        SetBool("savegame.mod.sy8")  
        SetBool("savegame.mod.su8")  
        SetBool("savegame.mod.si8")  
        SetBool("savegame.mod.so8", true)  
        SetBool("savegame.mod.sp8", true) 
        SetBool("savegame.mod.sa8", true) 
        SetBool("savegame.mod.ss8", true) 
        SetBool("savegame.mod.sd8") 
        SetBool("savegame.mod.sf8")  
        SetBool("savegame.mod.sg8")  
        SetBool("savegame.mod.sh8")  
        SetBool("savegame.mod.sj8")  
        SetBool("savegame.mod.sk8")  
        SetBool("savegame.mod.sl8")  
        SetBool("savegame.mod.sz8")  
        SetBool("savegame.mod.sx8")  
        SetBool("savegame.mod.sc8")  
        SetBool("savegame.mod.sv8")  
        SetBool("savegame.mod.sb8")
        SetBool("savegame.mod.sq9")  
        SetBool("savegame.mod.sw9", true)  
        SetBool("savegame.mod.se9", true)  
        SetBool("savegame.mod.sr9")  
        SetBool("savegame.mod.st9")  
        SetBool("savegame.mod.sy9", true)  
        SetBool("savegame.mod.su9")  
        SetBool("savegame.mod.si9", true)  
        SetBool("savegame.mod.so9", true)  
        SetBool("savegame.mod.sp9") 
        SetBool("savegame.mod.sa9") 
        SetBool("savegame.mod.ss9", true) 
        SetBool("savegame.mod.sd9", true) 
        SetBool("savegame.mod.sf9")  
        SetBool("savegame.mod.sg9", true)  
        SetBool("savegame.mod.sh9")  
        SetBool("savegame.mod.sj9")  
        SetBool("savegame.mod.sk9", true)  
        SetBool("savegame.mod.sl9")  
        SetBool("savegame.mod.sz9", true)  
        SetBool("savegame.mod.sx9", true)  
        SetBool("savegame.mod.sc9")  
        SetBool("savegame.mod.sv9", true)  
        SetBool("savegame.mod.sb9") 
        SetBool("savegame.mod.sq10")  
        SetBool("savegame.mod.sw10")  
        SetBool("savegame.mod.se10", true)  
        SetBool("savegame.mod.sr10")  
        SetBool("savegame.mod.st10")  
        SetBool("savegame.mod.sy10")  
        SetBool("savegame.mod.su10", true)  
        SetBool("savegame.mod.si10", true)  
        SetBool("savegame.mod.so10")  
        SetBool("savegame.mod.sp10") 
        SetBool("savegame.mod.sa10") 
        SetBool("savegame.mod.ss10") 
        SetBool("savegame.mod.sd10", true) 
        SetBool("savegame.mod.sf10", true)  
        SetBool("savegame.mod.sg10")  
        SetBool("savegame.mod.sh10", true)  
        SetBool("savegame.mod.sj10", true)  
        SetBool("savegame.mod.sk10")  
        SetBool("savegame.mod.sl10")  
        SetBool("savegame.mod.sz10")  
        SetBool("savegame.mod.sx10")  
        SetBool("savegame.mod.sc10")  
        SetBool("savegame.mod.sv10")  
        SetBool("savegame.mod.sb10") 
        SetBool("savegame.mod.sq11")  
        SetBool("savegame.mod.sw11", true)  
        SetBool("savegame.mod.se11")  
        SetBool("savegame.mod.sr11", true)  
        SetBool("savegame.mod.st11")  
        SetBool("savegame.mod.sy11", true)  
        SetBool("savegame.mod.su11", true)  
        SetBool("savegame.mod.si11")  
        SetBool("savegame.mod.so11")  
        SetBool("savegame.mod.sp11") 
        SetBool("savegame.mod.sa11") 
        SetBool("savegame.mod.ss11") 
        SetBool("savegame.mod.sd11") 
        SetBool("savegame.mod.sf11", true)  
        SetBool("savegame.mod.sg11")  
        SetBool("savegame.mod.sh11")  
        SetBool("savegame.mod.sj11")  
        SetBool("savegame.mod.sk11")  
        SetBool("savegame.mod.sl11")  
        SetBool("savegame.mod.sz11", true)  
        SetBool("savegame.mod.sx11", true)  
        SetBool("savegame.mod.sc11")  
        SetBool("savegame.mod.sv11", true)  
        SetBool("savegame.mod.sb11") 
        SetBool("savegame.mod.sq12")  
        SetBool("savegame.mod.sw12", true)  
        SetBool("savegame.mod.se12")  
        SetBool("savegame.mod.sr12", true)  
        SetBool("savegame.mod.st12")  
        SetBool("savegame.mod.sy12", true)  
        SetBool("savegame.mod.su12")  
        SetBool("savegame.mod.si12")  
        SetBool("savegame.mod.so12")  
        SetBool("savegame.mod.sp12") 
        SetBool("savegame.mod.sa12") 
        SetBool("savegame.mod.ss12") 
        SetBool("savegame.mod.sd12") 
        SetBool("savegame.mod.sf12")  
        SetBool("savegame.mod.sg12")  
        SetBool("savegame.mod.sh12", true)  
        SetBool("savegame.mod.sj12", true)  
        SetBool("savegame.mod.sk12")  
        SetBool("savegame.mod.sl12")  
        SetBool("savegame.mod.sz12", true)  
        SetBool("savegame.mod.sx12", true)  
        SetBool("savegame.mod.sc12")  
        SetBool("savegame.mod.sv12", true)  
        SetBool("savegame.mod.sb12") 
        SetBool("savegame.mod.sq13")  
        SetBool("savegame.mod.sw13", true)  
        SetBool("savegame.mod.se13")  
        SetBool("savegame.mod.sr13", true)  
        SetBool("savegame.mod.st13")  
        SetBool("savegame.mod.sy13", true)  
        SetBool("savegame.mod.su13")  
        SetBool("savegame.mod.si13")  
        SetBool("savegame.mod.so13")  
        SetBool("savegame.mod.sp13") 
        SetBool("savegame.mod.sa13") 
        SetBool("savegame.mod.ss13") 
        SetBool("savegame.mod.sd13") 
        SetBool("savegame.mod.sf13")  
        SetBool("savegame.mod.sg13")  
        SetBool("savegame.mod.sh13", true)  
        SetBool("savegame.mod.sj13", true)  
        SetBool("savegame.mod.sk13")  
        SetBool("savegame.mod.sl13")  
        SetBool("savegame.mod.sz13", true)  
        SetBool("savegame.mod.sx13", true)  
        SetBool("savegame.mod.sc13")  
        SetBool("savegame.mod.sv13", true)  
        SetBool("savegame.mod.sb13") 
        SetBool("savegame.mod.lightdefalts", not GetBool("savegame.mod.lightdefalts"))  
    end


	local v = GetPlayerVehicle()
	if v ~= 0 then
		local b = GetVehicleBody(v)
		local t = GetVehicleTransform(v)
		local vel = TransformToLocalVec(t, GetBodyVelocity(b))
		local speed = -vel[3]
		currentKmh = speed * 3.6
	else
		currentKmh = 0
	end
	


	lightrigger = FindTrigger("lighttrigger")
		v = FindVehicle("swat")
	local t = Transform(GetVehicleTransform(v).pos, Vec(0,1,0))
	SetTriggerTransform(lightrigger, t)


if IsPointInTrigger(lightrigger, GetPlayerPos()) then
    inside = true
    if GetBool("game.player.useVehicle") and InputPressed("j") then
        mlo = not mlo
    end

    if GetBool("game.player.useVehicle") and InputPressed("k") then
        hlo = not hlo
    end
    
    if GetBool("game.player.useVehicle") and InputDown("space") or InputDown("s") and displayKmh > 10 then
        brake = true
    else
        brake = false
    end

    if GetBool("game.player.useVehicle") and InputPressed(",") then
        tl = not tl
        tr = false
        warning = false
        to = GetTime()
    end

    if GetBool("game.player.useVehicle") and InputPressed(".") then
        tr = not tr
        tl = false
        warning = false
        to = GetTime()
    end

    if GetBool("game.player.useVehicle") and InputPressed("u") then
        warning = not warning
        tl = false
        tr = false
        to = GetTime()
    end

    if GetBool("game.player.useVehicle") and InputPressed("h") then
        adt = not adt
    end

    if GetBool("game.player.useVehicle") and InputDown("l") then
        flash = true
    else
        flash = false
    end


    if GetBool("game.player.useVehicle") and InputDown("g") and not sirent1 and not sirent2 and not sirent3 then
        PlayLoop(loop4,GetVehicleTransform(v).pos, GetFloat("savegame.mod.siren.horn"))
        end
    
        if GetBool("game.player.useVehicle") and InputDown("g") and sirent1 and not sirent2 and not sirent3 then
            PlayLoop(loop4,GetVehicleTransform(v).pos, GetFloat("savegame.mod.siren.horn"))
            siren = false
        else if sirent1 and not sirent2 and not sirent3 then
            siren = true
            end
        end
    
        if GetBool("game.player.useVehicle") and InputDown("g") and not sirent1 and sirent2 and not sirent3 then
            PlayLoop(loop4,GetVehicleTransform(v).pos, GetFloat("savegame.mod.siren.horn"))
            siren2 = false
        else if not sirent1 and sirent2 and not sirent3 then
            siren2 = true
            end
        end
    
        if GetBool("game.player.useVehicle") and InputDown("g") and not sirent1 and not sirent2 and sirent3 then
            PlayLoop(loop4,GetVehicleTransform(v).pos, GetFloat("savegame.mod.siren.horn"))
            siren3 = false
        else if not sirent1 and not sirent2 and sirent3 then
            siren3 = true
            end
        end
    if GetBool("game.player.useVehicle") and InputPressed("i") then
        elight = not elight
        elight2 = false
        elight3 = false
    end
    if GetBool("game.player.useVehicle") and InputPressed("o") then
        elight2 = not elight2
        elight = false
        elight3 = false
    end
    if GetBool("game.player.useVehicle") and InputPressed("y") then
        elight3 = not elight3
        elight = false
        elight2 = false
    end
    if GetBool("game.player.useVehicle") and InputPressed("1") then
        siren = not siren
        sirent1 = not sirent1
        sirent2 = false
        sirent3 = false
        siren2 = false
        siren3 = false
    end
    if GetBool("game.player.useVehicle") and InputPressed("2") then
        siren2 = not siren2
        sirent2 = not sirent2
        sirent1 = false
        sirent3 = false
        siren = false
        siren3 = false
	end

if GetBool("game.player.useVehicle") and InputPressed("3") then
    siren3 = not siren3
    sirent3 = not sirent3
    sirent1 = false
    sirent2 = false
    siren = false
    siren2 = false
    end

if not elight and not elight2 and not elight3 and InputPressed("y") then
    siren = false
    sirent1 = false
    sirent2 = false
    sirent3 = false
    siren2 = false
    siren3 = false
end

if not elight and not elight2 and not elight3 and InputPressed("i") then
    siren = false
    sirent1 = false
    sirent2 = false
    sirent3 = false
    siren2 = false
    siren3 = false
end

if not elight and not elight2 and not elight3 and InputPressed("o") then
    siren = false
    sirent1 = false
    sirent2 = false
    sirent3 = false
    siren2 = false
    siren3 = false
end
else
    inside = false
end

	if siren then
	PlayLoop(loop,GetVehicleTransform(v).pos, GetFloat("savegame.mod.siren.s1"))
	else
	if siren2 then
	PlayLoop(loop2,GetVehicleTransform(v).pos, GetFloat("savegame.mod.siren.s2"))
	end
    if siren3 then
    PlayLoop(loop3,GetVehicleTransform(v).pos, GetFloat("savegame.mod.siren.s3"))
    end
end

    if tl or tr or warning then
        a = math.cos((GetTime()-to)*9)
        if a >= 0 then
            tli = GetFloat("savegame.mod.lighs.blinkers")
        else
            tli = 0.0001
        end



        if warning then
            SetShapeEmissiveScale(shapes.d1, tli)
            SetShapeEmissiveScale(shapes.d2, tli)
            SetShapeEmissiveScale(shapes.d3, tli)
            SetShapeEmissiveScale(shapes.d4, tli)
            SetShapeEmissiveScale(shapes.e1, tli)
            SetShapeEmissiveScale(shapes.e2, tli)
            SetShapeEmissiveScale(shapes.e3, tli)
            SetShapeEmissiveScale(shapes.e4, tli)
        SetLightIntensity(lights.d1, tli)
        SetLightIntensity(lights.d2, tli)
        SetLightIntensity(lights.d3, tli)
        SetLightIntensity(lights.d4, tli)
        SetLightIntensity(lights.e1, tli)
        SetLightIntensity(lights.e2, tli)
        SetLightIntensity(lights.e3, tli)
        SetLightIntensity(lights.e4, tli)



        else
            if tl then
                SetShapeEmissiveScale(shapes.e1, tli)
                SetShapeEmissiveScale(shapes.e2, tli)
                SetShapeEmissiveScale(shapes.e3, tli)
                SetShapeEmissiveScale(shapes.e4, tli)
                SetShapeEmissiveScale(shapes.d1, 0)
                SetShapeEmissiveScale(shapes.d2, 0)
                SetShapeEmissiveScale(shapes.d3, 0)
                SetShapeEmissiveScale(shapes.d4, 0)
        SetLightIntensity(lights.e1, tli)
        SetLightIntensity(lights.e2, tli)
        SetLightIntensity(lights.e3, tli)
        SetLightIntensity(lights.e4, tli)
        SetLightIntensity(lights.d1, 0)
        SetLightIntensity(lights.d2, 0)
        SetLightIntensity(lights.d3, 0)
        SetLightIntensity(lights.d4, 0)

            elseif tr then
                SetShapeEmissiveScale(shapes.d1, tli)
                SetShapeEmissiveScale(shapes.d2, tli)
                SetShapeEmissiveScale(shapes.d3, tli)
                SetShapeEmissiveScale(shapes.d4, tli)
                SetShapeEmissiveScale(shapes.e1, 0)
                SetShapeEmissiveScale(shapes.e2, 0)
                SetShapeEmissiveScale(shapes.e3, 0)
                SetShapeEmissiveScale(shapes.e4, 0)
        SetLightIntensity(lights.e1, 0)
        SetLightIntensity(lights.e2, 0)
        SetLightIntensity(lights.e3, 0)
        SetLightIntensity(lights.e4, 0)
        SetLightIntensity(lights.d1, tli)
        SetLightIntensity(lights.d2, tli)
        SetLightIntensity(lights.d3, tli)
        SetLightIntensity(lights.d4, tli)

            else
                SetShapeEmissiveScale(shapes.d1, 0)
                SetShapeEmissiveScale(shapes.d2, 0)
                SetShapeEmissiveScale(shapes.d3, 0)
                SetShapeEmissiveScale(shapes.d4, 0)
                SetShapeEmissiveScale(shapes.e1, 0)
                SetShapeEmissiveScale(shapes.e2, 0)
                SetShapeEmissiveScale(shapes.e3, 0)
                SetShapeEmissiveScale(shapes.e4, 0)
        SetLightIntensity(lights.d1, 0)
        SetLightIntensity(lights.d2, 0)
        SetLightIntensity(lights.d3, 0)
        SetLightIntensity(lights.d4, 0)
        SetLightIntensity(lights.e1, 0)
        SetLightIntensity(lights.e2, 0)
        SetLightIntensity(lights.e3, 0)
        SetLightIntensity(lights.e4, 0)

         end
      end
    else
        SetShapeEmissiveScale(shapes.d1, 0)
        SetShapeEmissiveScale(shapes.d2, 0)
        SetShapeEmissiveScale(shapes.d3, 0)
        SetShapeEmissiveScale(shapes.d4, 0)
        SetShapeEmissiveScale(shapes.e1, 0)
        SetShapeEmissiveScale(shapes.e2, 0)
        SetShapeEmissiveScale(shapes.e3, 0)
        SetShapeEmissiveScale(shapes.e4, 0)
        SetLightIntensity(lights.d1, 0)
        SetLightIntensity(lights.d2, 0)
        SetLightIntensity(lights.d3, 0)
        SetLightIntensity(lights.d4, 0)
        SetLightIntensity(lights.e1, 0)
        SetLightIntensity(lights.e2, 0)
        SetLightIntensity(lights.e3, 0)
        SetLightIntensity(lights.e4, 0)

    end
end



    function update(dt)
	frame = frame + 1
	displayKmh = 0.9 * displayKmh + 0.1 * currentKmh
	if elight then
			local period = 60
			local t = frame%period

			--toplights
			if t == 0 then 	am1 = GetFloat("savegame.mod.emlights.top") end
			if t == 5 then am1 = 0 end
			if t == 10 then am1 = GetFloat("savegame.mod.emlights.top") end
			if t == 15 then am1 = 0 end
			if t == 20 then am1 = GetFloat("savegame.mod.emlights.top") end
			if t == 25 then am1 = 0 end

			if t == 30 then am2 = GetFloat("savegame.mod.emlights.top") end
			if t == 35 then am2 = 0 end
			if t == 40 then am2 = GetFloat("savegame.mod.emlights.top") end
			if t == 45 then am2 = 0 end
			if t == 50 then am2 = GetFloat("savegame.mod.emlights.top") end
			if t == 55 then am2 = 0 end



			--Red
			if t == 0 then 	es = GetFloat("savegame.mod.emlights.front")	end
			if t == 15 then es = 0	end
			if t == 30 then es = GetFloat("savegame.mod.emlights.front")	end
			if t == 45 then es = 0	end

			--red
			if t == 15 then di = GetFloat("savegame.mod.emlights.front") 	end
			if t == 30 then di = 0	end
			if t == 45 then di = GetFloat("savegame.mod.emlights.front") 	end
			if t == 59 then di = 0	end


			--farol
			if t == 0 then 	fa1 = 0 end
			if t == 15 then fa1 = GetFloat("savegame.mod.lighs.headlight")/20 end
			if t == 30 then fa1 = 0 end
			if t == 45 then fa1 = GetFloat("savegame.mod.lighs.headlight")/20 end

			if t == 15 then fa2 = 0 end
			if t == 30 then fa2 = GetFloat("savegame.mod.lighs.headlight")/20 end
			if t == 45 then fa2 = 0 end
			if t == 59 then fa2 = GetFloat("savegame.mod.lighs.headlight")/20 end

			if t == 0 then 	fa3 = 0 end
			if t == 15 then fa3 = GetFloat("savegame.mod.lighs.headlight") end
			if t == 30 then fa3 = 0 end
			if t == 45 then fa3 = GetFloat("savegame.mod.lighs.headlight") end

			if t == 15 then fa4 = 0 end
			if t == 30 then fa4 = GetFloat("savegame.mod.lighs.headlight") end
			if t == 45 then fa4 = 0 end
			if t == 59 then fa4 = GetFloat("savegame.mod.lighs.headlight") end

			if t == 0 then 	fa5 = 0 end
			if t == 15 then fa5 = GetFloat("savegame.mod.lighs.headlight") end
			if t == 30 then fa5 = 0 end
			if t == 45 then fa5 = GetFloat("savegame.mod.lighs.headlight") end

			if t == 15 then fa6 = 0 end
			if t == 30 then fa6 = GetFloat("savegame.mod.lighs.headlight") end
			if t == 45 then fa6 = 0 end
			if t == 59 then fa6 = GetFloat("savegame.mod.lighs.headlight") end



--cima frente
SetShapeEmissiveScale(shapes.r1, am1)
SetShapeEmissiveScale(shapes.l1, am2)

SetLightIntensity(lights.r1, am1)
SetLightIntensity(lights.l1, am2)

SetShapeEmissiveScale(shapes.r2, am1)
SetShapeEmissiveScale(shapes.l2, am2)

SetLightIntensity(lights.r2, am1)
SetLightIntensity(lights.l2, am2)

SetShapeEmissiveScale(shapes.r3, am1)
SetShapeEmissiveScale(shapes.l3, am2)

SetLightIntensity(lights.r3, am1)
SetLightIntensity(lights.l3, am2)

SetShapeEmissiveScale(shapes.r3, am1)
SetShapeEmissiveScale(shapes.l3, am2)

SetLightIntensity(lights.r3, am1)
SetLightIntensity(lights.l3, am2)

SetShapeEmissiveScale(shapes.r4, am1)
SetShapeEmissiveScale(shapes.l4, am2)

SetLightIntensity(lights.r4, am1)
SetLightIntensity(lights.l4, am2)


--frente
SetShapeEmissiveScale(shapes.fd, di)
SetShapeEmissiveScale(shapes.fe, es)

SetLightIntensity(lights.fd, di)
SetLightIntensity(lights.fe, es)

SetShapeEmissiveScale(shapes.fd2, di)
SetShapeEmissiveScale(shapes.fe2, es)

SetLightIntensity(lights.fd2, di)
SetLightIntensity(lights.fe2, es)

--tras
SetShapeEmissiveScale(shapes.rd, di)
SetShapeEmissiveScale(shapes.re, es)

SetLightIntensity(lights.rd, di)
SetLightIntensity(lights.re, es)



--lado
SetShapeEmissiveScale(shapes.rte, di)
SetShapeEmissiveScale(shapes.rtd, es)
SetShapeEmissiveScale(shapes.rte2, es)
SetShapeEmissiveScale(shapes.rtd2, di)

SetLightIntensity(lights.rte, di)
SetLightIntensity(lights.rtd, es)
SetLightIntensity(lights.rte2, es)
SetLightIntensity(lights.rtd2, di)






--luz geral

SetShapeEmissiveScale(shapes.lflm, fa3)
SetShapeEmissiveScale(shapes.lfrm, fa4)
SetShapeEmissiveScale(shapes.brake2, fa1)
SetShapeEmissiveScale(shapes.brake, fa2)
SetShapeEmissiveScale(shapes.lflmt, fa1)
SetShapeEmissiveScale(shapes.lfrmt, fa2)

SetLightIntensity(lights.lflml, fa5)
SetLightIntensity(lights.lflmr, fa6)
SetLightIntensity(lights.lfrm, fa6)
SetLightIntensity(lights.lflm, fa5)
SetLightIntensity(lights.brake2, fa1)
SetLightIntensity(lights.brake, fa2)
SetLightIntensity(lights.lflmt, fa1)
SetLightIntensity(lights.lfrmt, fa2)


else

SetShapeEmissiveScale(shapes.r1, 0)
SetShapeEmissiveScale(shapes.l1, 0)
SetShapeEmissiveScale(shapes.r2, 0)
SetShapeEmissiveScale(shapes.l2, 0)
SetShapeEmissiveScale(shapes.r3, 0)
SetShapeEmissiveScale(shapes.l3, 0)
SetShapeEmissiveScale(shapes.r4, 0)
SetShapeEmissiveScale(shapes.l4, 0)
SetShapeEmissiveScale(shapes.rd, 0)
SetShapeEmissiveScale(shapes.re, 0)
SetShapeEmissiveScale(shapes.rtd, 0)
SetShapeEmissiveScale(shapes.rte, 0)
SetShapeEmissiveScale(shapes.rtd2, 0)
SetShapeEmissiveScale(shapes.rte2, 0)
SetShapeEmissiveScale(shapes.fd, 0)
SetShapeEmissiveScale(shapes.fe, 0)
SetShapeEmissiveScale(shapes.fd2, 0)
SetShapeEmissiveScale(shapes.fe2, 0)


SetLightIntensity(lights.r1, 0)
SetLightIntensity(lights.l1, 0)
SetLightIntensity(lights.r2, 0)
SetLightIntensity(lights.l2, 0)
SetLightIntensity(lights.r3, 0)
SetLightIntensity(lights.l3, 0)
SetLightIntensity(lights.r4, 0)
SetLightIntensity(lights.l4, 0)
SetLightIntensity(lights.trd, 0)
SetLightIntensity(lights.tre, 0)
SetLightIntensity(lights.rtd2, 0)
SetLightIntensity(lights.rte2, 0)
SetLightIntensity(lights.rd, 0)
SetLightIntensity(lights.re, 0)
SetLightIntensity(lights.fd, 0)
SetLightIntensity(lights.fe, 0)
SetLightIntensity(lights.fd2, 0)
SetLightIntensity(lights.fe2, 0)

SetShapeEmissiveScale(shapes.lfrm, 0)
SetShapeEmissiveScale(shapes.lfrm2, 0)
SetShapeEmissiveScale(shapes.lflm, 0)
SetShapeEmissiveScale(shapes.lflm2, 0)
SetShapeEmissiveScale(shapes.lflmt, 0)
SetShapeEmissiveScale(shapes.lfrmt, 0)
SetLightIntensity(lights.lfrm, 0)
SetLightIntensity(lights.lfrm2, 0)
SetLightIntensity(lights.lflm, 0)
SetLightIntensity(lights.lflm2, 0)
SetLightIntensity(lights.lflmt, 0)
SetLightIntensity(lights.lfrmt, 0)
SetShapeEmissiveScale(shapes.brake, 0)
SetShapeEmissiveScale(shapes.brake2, 0)
SetLightIntensity(lights.brake, 0)
SetLightIntensity(lights.brake2, 0)



	end


	if elight2 then
			local period = 60
			local t = frame%period
			--toplights
			if t == 0  then am1 = GetFloat("savegame.mod.emlights.top") end
			if t == 3  then am1 = 0 end
			if t == 6  then am1 = GetFloat("savegame.mod.emlights.top") end
			if t == 9 then am1 = 0 end
			if t == 12 then am1 = GetFloat("savegame.mod.emlights.top") end
            if t == 25 then am1 = GetFloat("savegame.mod.emlights.top") end
            if t == 26 then am1 = 0 end

			if t == 30  then am2 = GetFloat("savegame.mod.emlights.top") end
			if t == 33  then am2 = 0 end
			if t == 36  then am2 = GetFloat("savegame.mod.emlights.top") end
			if t == 39 then am2 = 0 end
			if t == 42 then am2 = GetFloat("savegame.mod.emlights.top") end
            if t == 55 then am2 = GetFloat("savegame.mod.emlights.top") end
            if t == 56 then am2 = 0 end






			--Red
			if t == 0 then 	es = GetFloat("savegame.mod.emlights.front")	end
			if t == 5 then es = 0	end
			if t == 10 then es = GetFloat("savegame.mod.emlights.front") 	end
			if t == 30 then es = 0	end

			--Blue
			if t == 30 then di = GetFloat("savegame.mod.emlights.front") 	end
			if t == 35 then di = 0	end
			if t == 40 then di = GetFloat("savegame.mod.emlights.front") 	end
			if t == 59 then di = 0	end



			--farol
			if t == 0 then 	fa1 = GetFloat("savegame.mod.lighs.headlight")/20 end
			if t == 5 then fa1 = 0 end
			if t == 10 then fa1 = GetFloat("savegame.mod.lighs.headlight")/20 end
			if t == 30 then fa1 = 0 end

			if t == 30 then fa2 = GetFloat("savegame.mod.lighs.headlight")/20 end
			if t == 35 then fa2 = 0	end
			if t == 40 then fa2 = GetFloat("savegame.mod.lighs.headlight")/20 end
			if t == 59 then fa2 = 0	end

			--farol luz
			if t == 0 then 	fa3 = GetFloat("savegame.mod.lighs.headlight") end
			if t == 5 then fa3 = 0 end
			if t == 10 then fa3 = GetFloat("savegame.mod.lighs.headlight") end
			if t == 30 then fa3 = 0 end

			if t == 30 then fa4 = GetFloat("savegame.mod.lighs.headlight") end
			if t == 35 then fa4 = 0	end
			if t == 40 then fa4 = GetFloat("savegame.mod.lighs.headlight") end
			if t == 59 then fa4 = 0	end

			if t == 0 then 	fa5 = GetFloat("savegame.mod.lighs.headlight") end
			if t == 5 then fa5 = 0 end
			if t == 10 then fa5 = GetFloat("savegame.mod.lighs.headlight") end
			if t == 30 then fa5 = 0 end

			if t == 30 then fa6 = GetFloat("savegame.mod.lighs.headlight") end
			if t == 35 then fa6 = 0	end
			if t == 40 then fa6 = GetFloat("savegame.mod.lighs.headlight") end
			if t == 59 then fa6 = 0	end



--cima frente
SetShapeEmissiveScale(shapes.r1, am1)
SetShapeEmissiveScale(shapes.l1, am2)

SetLightIntensity(lights.r1, am1)
SetLightIntensity(lights.l1, am2)

SetShapeEmissiveScale(shapes.r2, am1)
SetShapeEmissiveScale(shapes.l2, am2)

SetLightIntensity(lights.r2, am1)
SetLightIntensity(lights.l2, am2)

SetShapeEmissiveScale(shapes.r3, am1)
SetShapeEmissiveScale(shapes.l3, am2)

SetLightIntensity(lights.r3, am1)
SetLightIntensity(lights.l3, am2)

SetShapeEmissiveScale(shapes.r3, am1)
SetShapeEmissiveScale(shapes.l3, am2)

SetLightIntensity(lights.r3, am1)
SetLightIntensity(lights.l3, am2)

SetShapeEmissiveScale(shapes.r4, am1)
SetShapeEmissiveScale(shapes.l4, am2)

SetLightIntensity(lights.r4, am1)
SetLightIntensity(lights.l4, am2)


--frente
SetShapeEmissiveScale(shapes.fd, di)
SetShapeEmissiveScale(shapes.fe, es)

SetLightIntensity(lights.fd, di)
SetLightIntensity(lights.fe, es)

SetShapeEmissiveScale(shapes.fd2, di)
SetShapeEmissiveScale(shapes.fe2, es)

SetLightIntensity(lights.fd2, di)
SetLightIntensity(lights.fe2, es)

--tras
SetShapeEmissiveScale(shapes.rd, di)
SetShapeEmissiveScale(shapes.re, es)

SetLightIntensity(lights.rd, di)
SetLightIntensity(lights.re, es)



--lado
SetShapeEmissiveScale(shapes.rte, di)
SetShapeEmissiveScale(shapes.rtd, es)
SetShapeEmissiveScale(shapes.rte2, es)
SetShapeEmissiveScale(shapes.rtd2, di)

SetLightIntensity(lights.rte, di)
SetLightIntensity(lights.rtd, es)
SetLightIntensity(lights.rte2, es)
SetLightIntensity(lights.rtd2, di)






--luz geral

SetShapeEmissiveScale(shapes.lflm, fa3)
SetShapeEmissiveScale(shapes.lfrm, fa4)
SetLightIntensity(lights.lfrm, fa4)
SetLightIntensity(lights.lflm, fa3)
SetShapeEmissiveScale(shapes.brake2, fa1)
SetShapeEmissiveScale(shapes.brake, fa2)
SetShapeEmissiveScale(shapes.lflmt, fa1)
SetShapeEmissiveScale(shapes.lfrmt, fa2)

SetLightIntensity(lights.lflml, fa5)
SetLightIntensity(lights.lflmr, fa6)
SetLightIntensity(lights.brake2, fa1)
SetLightIntensity(lights.brake, fa2)
SetLightIntensity(lights.lflmt, fa1)
SetLightIntensity(lights.lfrmt, fa2)

	end


    if elight3 then
        local period = 60
        local t = frame%period


        --1
        if t == 0 then 	fa1 = sqq0 end
        if t == 5 then fa1 = sqq5 end
        if t == 10 then fa1 = sqq10 end
        if t == 15 then fa1 = sqq15 end
        if t == 20 then fa1 = sqq20 end
        if t == 25 then fa1 = sqq25 end
        if t == 30 then fa1 = sqq30 end
        if t == 35 then fa1 = sqq35 end
        if t == 40 then fa1 = sqq40 end
        if t == 45 then fa1 = sqq45 end
        if t == 50 then fa1 = sqq50 end
        if t == 55 then fa1 = sqq55 end
        if t == 59 then fa1 = sqq59 end

        --2
        if t == 0  then fa2 = sww0 end
        if t == 5  then fa2 = sww5 end
        if t == 10 then fa2 = sww10 end
        if t == 15 then fa2 = sww15 end
        if t == 20 then fa2 = sww20 end
        if t == 25 then fa2 = sww25 end
        if t == 30 then fa2 = sww30 end
        if t == 35 then fa2 = sww35 end
        if t == 40 then fa2 = sww40 end
        if t == 45 then fa2 = sww45 end
        if t == 50 then fa2 = sww50 end
        if t == 55 then fa2 = sww55 end
        if t == 59 then fa2 = sww59 end

        --3
        if t == 0  then fa3 = see0 end
        if t == 5  then fa3 = see5 end
        if t == 10 then fa3 = see10 end
        if t == 15 then fa3 = see15 end
        if t == 20 then fa3 = see20 end
        if t == 25 then fa3 = see25 end
        if t == 30 then fa3 = see30 end
        if t == 35 then fa3 = see35 end
        if t == 40 then fa3 = see40 end
        if t == 45 then fa3 = see45 end
        if t == 50 then fa3 = see50 end
        if t == 55 then fa3 = see55 end
        if t == 59 then fa3 = see59 end

        --4
        if t == 0  then fa4 = srr0 end
        if t == 5  then fa4 = srr5 end
        if t == 10 then fa4 = srr10 end
        if t == 15 then fa4 = srr15 end
        if t == 20 then fa4 = srr20 end
        if t == 25 then fa4 = srr25 end
        if t == 30 then fa4 = srr30 end
        if t == 35 then fa4 = srr35 end
        if t == 40 then fa4 = srr40 end
        if t == 45 then fa4 = srr45 end
        if t == 50 then fa4 = srr50 end
        if t == 55 then fa4 = srr55 end
        if t == 59 then fa4 = srr59 end


        --5
        if t == 0  then fa5 = stt0 end
        if t == 5  then fa5 = stt5 end
        if t == 10 then fa5 = stt10 end
        if t == 15 then fa5 = stt15 end
        if t == 20 then fa5 = stt20 end
        if t == 25 then fa5 = stt25 end
        if t == 30 then fa5 = stt30 end
        if t == 35 then fa5 = stt35 end
        if t == 40 then fa5 = stt40 end
        if t == 45 then fa5 = stt45 end
        if t == 50 then fa5 = stt50 end
        if t == 55 then fa5 = stt55 end
        if t == 59 then fa5 = stt59 end

        --6
        if t == 0  then fa6 = syy0 end
        if t == 5  then fa6 = syy5 end
        if t == 10 then fa6 = syy10 end
        if t == 15 then fa6 = syy15 end
        if t == 20 then fa6 = syy20 end
        if t == 25 then fa6 = syy25 end
        if t == 30 then fa6 = syy30 end
        if t == 35 then fa6 = syy35 end
        if t == 40 then fa6 = syy40 end
        if t == 45 then fa6 = syy45 end
        if t == 50 then fa6 = syy50 end
        if t == 55 then fa6 = syy55 end
        if t == 59 then fa6 = syy59 end

        --7
        if t == 0  then fa7 = suu0 end
        if t == 5  then fa7 = suu5 end
        if t == 10 then fa7 = suu10 end
        if t == 15 then fa7 = suu15 end
        if t == 20 then fa7 = suu20 end
        if t == 25 then fa7 = suu25 end
        if t == 30 then fa7 = suu30 end
        if t == 35 then fa7 = suu35 end
        if t == 40 then fa7 = suu40 end
        if t == 45 then fa7 = suu45 end
        if t == 50 then fa7 = suu50 end
        if t == 55 then fa7 = suu55 end
        if t == 59 then fa7 = suu59 end

        --8
        if t == 0  then fa8 = sii0 end
        if t == 5  then fa8 = sii5 end
        if t == 10 then fa8 = sii10 end
        if t == 15 then fa8 = sii15 end
        if t == 20 then fa8 = sii20 end
        if t == 25 then fa8 = sii25 end
        if t == 30 then fa8 = sii30 end
        if t == 35 then fa8 = sii35 end
        if t == 40 then fa8 = sii40 end
        if t == 45 then fa8 = sii45 end
        if t == 50 then fa8 = sii50 end
        if t == 55 then fa8 = sii55 end
        if t == 59 then fa8 = sii59 end

        --9
        if t == 0  then fa9 = soo0 end
        if t == 5  then fa9 = soo5 end
        if t == 10 then fa9 = soo10 end
        if t == 15 then fa9 = soo15 end
        if t == 20 then fa9 = soo20 end
        if t == 25 then fa9 = soo25 end
        if t == 30 then fa9 = soo30 end
        if t == 35 then fa9 = soo35 end
        if t == 40 then fa9 = soo40 end
        if t == 45 then fa9 = soo45 end
        if t == 50 then fa9 = soo50 end
        if t == 55 then fa9 = soo55 end
        if t == 59 then fa9 = soo59 end

        --10
        if t == 0  then fa10 = spp0 end
        if t == 5  then fa10 = spp5 end
        if t == 10 then fa10 = spp10 end
        if t == 15 then fa10 = spp15 end
        if t == 20 then fa10 = spp20 end
        if t == 25 then fa10 = spp25 end
        if t == 30 then fa10 = spp30 end
        if t == 35 then fa10 = spp35 end
        if t == 40 then fa10 = spp40 end
        if t == 45 then fa10 = spp45 end
        if t == 50 then fa10 = spp50 end
        if t == 55 then fa10 = spp55 end
        if t == 59 then fa10 = spp59 end

        --11
        if t == 0  then fa11 = saa0 end
        if t == 5  then fa11 = saa5 end
        if t == 10 then fa11 = saa10 end
        if t == 15 then fa11 = saa15 end
        if t == 20 then fa11 = saa20 end
        if t == 25 then fa11 = saa25 end
        if t == 30 then fa11 = saa30 end
        if t == 35 then fa11 = saa35 end
        if t == 40 then fa11 = saa40 end
        if t == 45 then fa11 = saa45 end
        if t == 50 then fa11 = saa50 end
        if t == 55 then fa11 = saa55 end
        if t == 59 then fa11 = saa59 end

        --12
        if t == 0  then fa12 = sss0 end
        if t == 5  then fa12 = sss5 end
        if t == 10 then fa12 = sss10 end
        if t == 15 then fa12 = sss15 end
        if t == 20 then fa12 = sss20 end
        if t == 25 then fa12 = sss25 end
        if t == 30 then fa12 = sss30 end
        if t == 35 then fa12 = sss35 end
        if t == 40 then fa12 = sss40 end
        if t == 45 then fa12 = sss45 end
        if t == 50 then fa12 = sss50 end
        if t == 55 then fa12 = sss55 end
        if t == 59 then fa12 = sss59 end

        --13
        if t == 0  then fa13 = sdd0 end
        if t == 5  then fa13 = sdd5 end
        if t == 10 then fa13 = sdd10 end
        if t == 15 then fa13 = sdd15 end
        if t == 20 then fa13 = sdd20 end
        if t == 25 then fa13 = sdd25 end
        if t == 30 then fa13 = sdd30 end
        if t == 35 then fa13 = sdd35 end
        if t == 40 then fa13 = sdd40 end
        if t == 45 then fa13 = sdd45 end
        if t == 50 then fa13 = sdd50 end
        if t == 55 then fa13 = sdd55 end
        if t == 59 then fa13 = sdd59 end

        --14
        if t == 0  then fa14 = sff0 end
        if t == 5  then fa14 = sff5 end
        if t == 10 then fa14 = sff10 end
        if t == 15 then fa14 = sff15 end
        if t == 20 then fa14 = sff20 end
        if t == 25 then fa14 = sff25 end
        if t == 30 then fa14 = sff30 end
        if t == 35 then fa14 = sff35 end
        if t == 40 then fa14 = sff40 end
        if t == 45 then fa14 = sff45 end
        if t == 50 then fa14 = sff50 end
        if t == 55 then fa14 = sff55 end
        if t == 59 then fa14 = sff59 end

        --15
        if t == 0  then fa15 = sgg0 end
        if t == 5  then fa15 = sgg5 end
        if t == 10 then fa15 = sgg10 end
        if t == 15 then fa15 = sgg15 end
        if t == 20 then fa15 = sgg20 end
        if t == 25 then fa15 = sgg25 end
        if t == 30 then fa15 = sgg30 end
        if t == 35 then fa15 = sgg35 end
        if t == 40 then fa15 = sgg40 end
        if t == 45 then fa15 = sgg45 end
        if t == 50 then fa15 = sgg50 end
        if t == 55 then fa15 = sgg55 end
        if t == 59 then fa15 = sgg59 end

        --16
        if t == 0  then fa16 = shh0 end
        if t == 5  then fa16 = shh5 end
        if t == 10 then fa16 = shh10 end
        if t == 15 then fa16 = shh15 end
        if t == 20 then fa16 = shh20 end
        if t == 25 then fa16 = shh25 end
        if t == 30 then fa16 = shh30 end
        if t == 35 then fa16 = shh35 end
        if t == 40 then fa16 = shh40 end
        if t == 45 then fa16 = shh45 end
        if t == 50 then fa16 = shh50 end
        if t == 55 then fa16 = shh55 end
        if t == 59 then fa16 = shh59 end

        --17
        if t == 0  then fa17 = sjj0 end
        if t == 5  then fa17 = sjj5 end
        if t == 10 then fa17 = sjj10 end
        if t == 15 then fa17 = sjj15 end
        if t == 20 then fa17 = sjj20 end
        if t == 25 then fa17 = sjj25 end
        if t == 30 then fa17 = sjj30 end
        if t == 35 then fa17 = sjj35 end
        if t == 40 then fa17 = sjj40 end
        if t == 45 then fa17 = sjj45 end
        if t == 50 then fa17 = sjj50 end
        if t == 55 then fa17 = sjj55 end
        if t == 59 then fa17 = sjj59 end

        --18
        if t == 0  then fa18 = skk0 end
        if t == 5  then fa18 = skk5 end
        if t == 10 then fa18 = skk10 end
        if t == 15 then fa18 = skk15 end
        if t == 20 then fa18 = skk20 end
        if t == 25 then fa18 = skk25 end
        if t == 30 then fa18 = skk30 end
        if t == 35 then fa18 = skk35 end
        if t == 40 then fa18 = skk40 end
        if t == 45 then fa18 = skk45 end
        if t == 50 then fa18 = skk50 end
        if t == 55 then fa18 = skk55 end
        if t == 59 then fa18 = skk59 end

        --19
        if t == 0  then fa19 = sll0 end
        if t == 5  then fa19 = sll5 end
        if t == 10 then fa19 = sll10 end
        if t == 15 then fa19 = sll15 end
        if t == 20 then fa19 = sll20 end
        if t == 25 then fa19 = sll25 end
        if t == 30 then fa19 = sll30 end
        if t == 35 then fa19 = sll35 end
        if t == 40 then fa19 = sll40 end
        if t == 45 then fa19 = sll45 end
        if t == 50 then fa19 = sll50 end
        if t == 55 then fa19 = sll55 end
        if t == 59 then fa19 = sll59 end

        --20
        if t == 0  then fa20 = szz0 end
        if t == 5  then fa20 = szz5 end
        if t == 10 then fa20 = szz10 end
        if t == 15 then fa20 = szz15 end
        if t == 20 then fa20 = szz20 end
        if t == 25 then fa20 = szz25 end
        if t == 30 then fa20 = szz30 end
        if t == 35 then fa20 = szz35 end
        if t == 40 then fa20 = szz40 end
        if t == 45 then fa20 = szz45 end
        if t == 50 then fa20 = szz50 end
        if t == 55 then fa20 = szz55 end
        if t == 59 then fa20 = szz59 end

        --21
        if t == 0  then fa21 = sxx0 end
        if t == 5  then fa21 = sxx5 end
        if t == 10 then fa21 = sxx10 end
        if t == 15 then fa21 = sxx15 end
        if t == 20 then fa21 = sxx20 end
        if t == 25 then fa21 = sxx25 end
        if t == 30 then fa21 = sxx30 end
        if t == 35 then fa21 = sxx35 end
        if t == 40 then fa21 = sxx40 end
        if t == 45 then fa21 = sxx45 end
        if t == 50 then fa21 = sxx50 end
        if t == 55 then fa21 = sxx55 end
        if t == 59 then fa21 = sxx59 end

        --22
        if t == 0  then fa22 = scc0 end
        if t == 5  then fa22 = scc5 end
        if t == 10 then fa22 = scc10 end
        if t == 15 then fa22 = scc15 end
        if t == 20 then fa22 = scc20 end
        if t == 25 then fa22 = scc25 end
        if t == 30 then fa22 = scc30 end
        if t == 35 then fa22 = scc35 end
        if t == 40 then fa22 = scc40 end
        if t == 45 then fa22 = scc45 end
        if t == 50 then fa22 = scc50 end
        if t == 55 then fa22 = scc55 end
        if t == 59 then fa22 = scc59 end

        --23
        if t == 0  then fa23 = svv0 end
        if t == 5  then fa23 = svv5 end
        if t == 10 then fa23 = svv10 end
        if t == 15 then fa23 = svv15 end
        if t == 20 then fa23 = svv20 end
        if t == 25 then fa23 = svv25 end
        if t == 30 then fa23 = svv30 end
        if t == 35 then fa23 = svv35 end
        if t == 40 then fa23 = svv40 end
        if t == 45 then fa23 = svv45 end
        if t == 50 then fa23 = svv50 end
        if t == 55 then fa23 = svv55 end
        if t == 59 then fa23 = svv59 end

        --24
        if t == 0  then fa24 = sbb0 end
        if t == 5  then fa24 = sbb5 end
        if t == 10 then fa24 = sbb10 end
        if t == 15 then fa24 = sbb15 end
        if t == 20 then fa24 = sbb20 end
        if t == 25 then fa24 = sbb25 end
        if t == 30 then fa24 = sbb30 end
        if t == 35 then fa24 = sbb35 end
        if t == 40 then fa24 = sbb40 end
        if t == 45 then fa24 = sbb45 end
        if t == 50 then fa24 = sbb50 end
        if t == 55 then fa24 = sbb55 end
        if t == 59 then fa24 = sbb59 end









--cima frente
SetShapeEmissiveScale(shapes.r1, fa11)
SetShapeEmissiveScale(shapes.l1, fa10)

SetLightIntensity(lights.r1, fa11)
SetLightIntensity(lights.l1, fa10)

SetShapeEmissiveScale(shapes.r2, fa12)
SetShapeEmissiveScale(shapes.l2, fa9)

SetLightIntensity(lights.r2, fa12)
SetLightIntensity(lights.l2, fa9)

SetShapeEmissiveScale(shapes.r3, fa13)
SetShapeEmissiveScale(shapes.l3, fa7)

SetLightIntensity(lights.r3, fa13)
SetLightIntensity(lights.l3, fa8)

SetShapeEmissiveScale(shapes.r3, fa13)
SetShapeEmissiveScale(shapes.l3, fa8)

SetLightIntensity(lights.r3, fa13)
SetLightIntensity(lights.l3, fa8)

SetShapeEmissiveScale(shapes.r4, fa14)
SetShapeEmissiveScale(shapes.l4, fa7)

SetLightIntensity(lights.r4, fa14)
SetLightIntensity(lights.l4, fa7)


--frente
SetShapeEmissiveScale(shapes.fd, fa4)
SetShapeEmissiveScale(shapes.fe, fa3)

SetLightIntensity(lights.fd, fa4)
SetLightIntensity(lights.fe, fa3)

SetShapeEmissiveScale(shapes.fd2, fa5)
SetShapeEmissiveScale(shapes.fe2, fa6)

SetLightIntensity(lights.fd2, fa5)
SetLightIntensity(lights.fe2, fa6)

--tras
SetShapeEmissiveScale(shapes.rd, fa20)
SetShapeEmissiveScale(shapes.re, fa19)

SetLightIntensity(lights.rd, fa20)
SetLightIntensity(lights.re, fa19)



--lado
SetShapeEmissiveScale(shapes.rte, fa15)
SetShapeEmissiveScale(shapes.rtd, fa17)
SetShapeEmissiveScale(shapes.rte2, fa16)
SetShapeEmissiveScale(shapes.rtd2, fa18)

SetLightIntensity(lights.rte, fa15)
SetLightIntensity(lights.rtd, fa17)
SetLightIntensity(lights.rte2, fa16)
SetLightIntensity(lights.rtd2, fa18)

--luz geral

SetShapeEmissiveScale(shapes.lflm, fa1)
SetShapeEmissiveScale(shapes.lfrm, fa2)
SetShapeEmissiveScale(shapes.brake2, fa21)
SetShapeEmissiveScale(shapes.brake, fa22)
SetShapeEmissiveScale(shapes.lflmt, fa23)
SetShapeEmissiveScale(shapes.lfrmt, fa24)

SetLightIntensity(lights.lflml, fa1)
SetLightIntensity(lights.lflmr, fa2)
SetLightIntensity(lights.lfrm, fa2)
SetLightIntensity(lights.lflm, fa1)
SetLightIntensity(lights.brake2, fa21)
SetLightIntensity(lights.brake, fa22)
SetLightIntensity(lights.lflmt, fa23)
SetLightIntensity(lights.lfrmt, fa24)
        end
  
    if flash then
        SetShapeEmissiveScale(shapes.lfrm, GetFloat("savegame.mod.lighs.headlight"))
        SetShapeEmissiveScale(shapes.lfrm2, GetFloat("savegame.mod.lighs.highbeam"))
        SetShapeEmissiveScale(shapes.lflm, GetFloat("savegame.mod.lighs.headlight"))
        SetShapeEmissiveScale(shapes.lflm2, GetFloat("savegame.mod.lighs.highbeam"))
        SetShapeEmissiveScale(shapes.lflmt, GetFloat("savegame.mod.lighs.headlight"))
        SetShapeEmissiveScale(shapes.lfrmt, GetFloat("savegame.mod.lighs.headlight"))
        SetLightIntensity(lights.lfrm, 0)
        SetLightIntensity(lights.lflm, 0)
        SetLightIntensity(lights.lfrm2, GetFloat("savegame.mod.lighs.highbeam"))
        SetLightIntensity(lights.lflm2, GetFloat("savegame.mod.lighs.highbeam"))
        SetLightIntensity(lights.lflmt, GetFloat("savegame.mod.lighs.headlight")/20)
        SetLightIntensity(lights.lfrmt, GetFloat("savegame.mod.lighs.headlight")/20)
else


    if mlo then
        SetShapeEmissiveScale(shapes.lfrm, GetFloat("savegame.mod.lighs.headlight"))
        SetShapeEmissiveScale(shapes.lflm, GetFloat("savegame.mod.lighs.headlight"))
        SetShapeEmissiveScale(shapes.lflmt, GetFloat("savegame.mod.lighs.headlight")/20)
        SetShapeEmissiveScale(shapes.lfrmt, GetFloat("savegame.mod.lighs.headlight")/20)
        SetLightIntensity(lights.lfrm, GetFloat("savegame.mod.lighs.headlight"))
        SetLightIntensity(lights.lflm, GetFloat("savegame.mod.lighs.headlight"))
        SetLightIntensity(lights.lflmt, GetFloat("savegame.mod.lighs.headlight")/20)
        SetLightIntensity(lights.lfrmt, GetFloat("savegame.mod.lighs.headlight")/20)
    else
        SetLightIntensity(lights.lflm2, 0)
        SetLightIntensity(lights.lfrm2, 0)
        SetShapeEmissiveScale(shapes.lfrm2, 0)
        SetShapeEmissiveScale(shapes.lflm2, 0)
    end

    if mlo and hlo then

        SetShapeEmissiveScale(shapes.lfrm, GetFloat("savegame.mod.lighs.headlight"))
        SetShapeEmissiveScale(shapes.lfrm2, GetFloat("savegame.mod.lighs.highbeam"))
        SetShapeEmissiveScale(shapes.lflm, GetFloat("savegame.mod.lighs.headlight"))
        SetShapeEmissiveScale(shapes.lflm2, GetFloat("savegame.mod.lighs.highbeam"))
        SetShapeEmissiveScale(shapes.lflmt, GetFloat("savegame.mod.lighs.headlight")/20)
        SetShapeEmissiveScale(shapes.lfrmt, GetFloat("savegame.mod.lighs.headlight")/20)
        SetLightIntensity(lights.lfrm, 0)
        SetLightIntensity(lights.lflm, 0)
        SetLightIntensity(lights.lfrm2, GetFloat("savegame.mod.lighs.highbeam"))
        SetLightIntensity(lights.lflm2, GetFloat("savegame.mod.lighs.highbeam"))
        SetLightIntensity(lights.lflmt, GetFloat("savegame.mod.lighs.headlight")/20)
        SetLightIntensity(lights.lfrmt, GetFloat("savegame.mod.lighs.headlight")/20)
    elseif mlo then
        SetShapeEmissiveScale(shapes.lfrm, GetFloat("savegame.mod.lighs.headlight"))
        SetShapeEmissiveScale(shapes.lfrm2, 0)
        SetShapeEmissiveScale(shapes.lflm, GetFloat("savegame.mod.lighs.headlight"))
        SetShapeEmissiveScale(shapes.lflm2, 0)
        SetShapeEmissiveScale(shapes.lflmt, GetFloat("savegame.mod.lighs.headlight")/20)
        SetShapeEmissiveScale(shapes.lfrmt, GetFloat("savegame.mod.lighs.headlight")/20)
        SetLightIntensity(lights.lfrm, GetFloat("savegame.mod.lighs.headlight"))
        SetLightIntensity(lights.lfrm2, 0)
        SetLightIntensity(lights.lflm, GetFloat("savegame.mod.lighs.headlight"))
        SetLightIntensity(lights.lflm2, 0)
        SetLightIntensity(lights.lflmt, GetFloat("savegame.mod.lighs.headlight")/20)
        SetLightIntensity(lights.lfrmt, GetFloat("savegame.mod.lighs.headlight")/20)
    end
end
if mlo and adt then
    SetShapeEmissiveScale(shapes.hl, GetFloat("savegame.mod.lighs.foglamp"))
    SetShapeEmissiveScale(shapes.hl2, GetFloat("savegame.mod.lighs.foglamp"))
    SetLightIntensity(lights.hl, GetFloat("savegame.mod.lighs.foglamp"))
    SetLightIntensity(lights.hl2, GetFloat("savegame.mod.lighs.foglamp"))
else
    SetShapeEmissiveScale(shapes.hl, 0)
    SetShapeEmissiveScale(shapes.hl2, 0)
    SetLightIntensity(lights.hl, 0)
    SetLightIntensity(lights.hl2, 0)
end
if brake then
    SetShapeEmissiveScale(shapes.brake, GetFloat("savegame.mod.lighs.headlight")/20)
    SetShapeEmissiveScale(shapes.brake2, GetFloat("savegame.mod.lighs.headlight")/20)
    SetLightIntensity(lights.brake, GetFloat("savegame.mod.lighs.headlight")/20)
    SetLightIntensity(lights.brake2, GetFloat("savegame.mod.lighs.headlight")/20)
    end


end

function draw()
    
    
    if inside and GetBool("game.player.useVehicle") then
		UiFont("regular.ttf", 22)
		UiTextShadow(0, 0, 0, 0.5, 0.5)
        if controls then
            UiPush()
            UiColor(1, 1, 1, 1)
            UiTranslate(60, 30)
            UiText("Vehicles Binds")
            UiTranslate(-40, 5)
            UiColor(0, 0, 0, 0.6)
            UiImageBox("MOD/images/box-solid-6.png", 230, 365, 6, 6)
            UiColor(1, 1, 1, 1)
            UiTranslate(10, 25)
            UiText("headlight: J")
            UiTranslate(0, 25)
            UiText("high beam: K")
            UiTranslate(0, 25)
            UiText("Flash high beam: L")
            UiTranslate(0, 25)
            UiText("foglamp: H")
            UiTranslate(0, 25)
            UiText("left right blinkers: </> ,/.")
            UiTranslate(0, 25)
            UiText("Hazard Lights: U")
            UiTranslate(0, 25)
            UiText("Horn: G")
            UiTranslate(0, 25)
            UiText("Emergency Lights 1: i")
            UiTranslate(0, 25)
            UiText("Emergency Lights 2: o")
            UiTranslate(0, 25)
            UiText("Custom Lights: Y")
            UiTranslate(0, 25)
            UiText("Siren 1: 1")
            UiTranslate(0, 25)
            UiText("Siren 2: 2")
            UiTranslate(0, 25)
            UiText("Siren 3: 3")
            UiTranslate(0, 25)
            UiText("Tow: LMB/RMB")
            UiTranslate(0, 45)
            UiText("F1 - minimize")
            UiPop()
        else
            UiPush()
            UiColor(1, 1, 1, 1)
            UiTranslate(40, 30)
            UiText("F1 -Vehicles Binds")
            UiTranslate(-20, -25)
            UiColor(0, 0, 0, 0.6)
            UiImageBox("MOD/images/box-solid-6.png", 200, 40, 6, 6)
            UiPop()
        end

        if InputPressed("f1") then
			controls = not controls
        end

        
		if not uix then uix = UiWidth() - 200 end
		if not uiy then uiy = 50 end

		UiTranslate(uix, uiy)

        if InputPressed("m") and not ui then
            ui = true
            SetValue("uix", UiCenter()-950, "cosine", 0.25)
            SetValue("uiy", UiMiddle()-500, "cosine", 0.25)
           else
           if InputPressed("m") or InputPressed("esc") and ui then
            ui = false
            SetValue("uix", UiWidth()-200, "cosine", 0.25)
            SetValue("uiy", 50, "cosine", 0.25)
           end
        end


		if ui then
            SetBool("game.disablepause", true)
            SetBool("game.disablemap", true)
			UiMakeInteractive()

        --blinkers

            UiPush()
                UiTranslate(20,90)
                UiPush()
                    UiFont("bold.ttf", 40)
                    UiText("Lights Options")
    
                    UiPush()
                        UiTranslate(0,50)
    
                        UiFont("bold.ttf", 30)
                        UiText("blinkers")
                        UiTranslate(0,20)
    
                        UiAlign("left middle")
                        UiColor(0.7, 0.4, 0)
                        UiRect(slW+3, 3)
    
                        UiColor(1, 1, 1)
                        local limit = lim.lighs.blinkers
                        local value = (GetFloat("savegame.mod.lighs.blinkers") or 2) * slMul
                        local done = false
                        value, done = UiSlider("ui/common/dot.png", "x", value*limit, 0, slW)
                        if done then
                            SetFloat("savegame.mod.lighs.blinkers", value/slMul/limit)

                        end
                        UiPush()
                        UiColor(1, 1, 1)
                            UiTranslate(slW+25,0)
                            UiText(sfn(value/slMul/limit, 1))
                        UiPop()
    
                    UiPop()
        --blinkers

        --headlights
            UiPush()

                UiPush()
                    UiTranslate(0,110)

                    UiFont("bold.ttf", 30)
                    UiText("headlight")
                    UiTranslate(0,20)

                    UiAlign("left middle")
                    UiColor(1, 1, 1)
                    UiRect(slW+3, 3)
        

                    local limit = lim.lighs.headlight
                    local value = (GetFloat("savegame.mod.lighs.headlight") or 2) * slMul
                    local done = false
                    value, done = UiSlider("ui/common/dot.png", "x", value*limit, 0, slW)
                    if done then
                        SetFloat("savegame.mod.lighs.headlight", value/slMul/limit)
                
                    end
                    UiPush()
                        UiTranslate(slW+25,0)
                        UiText(sfn(value/slMul/limit, 1))
                    UiPop()

               UiPop()
            --headlights

                    --Highbeam
                    UiPush()

                    UiPush()
                        UiTranslate(0,170)
    
                        UiFont("bold.ttf", 30)
                        UiText("high-beam")
                        UiTranslate(0,20)
    
                        UiAlign("left middle")
                        UiColor(1, 1, 1)
                        UiRect(slW+3, 3)
            

                        local limit = lim.lighs.highbeam
                        local value = (GetFloat("savegame.mod.lighs.highbeam") or 2) * slMul
                        local done = false
                        value, done = UiSlider("ui/common/dot.png", "x", value*limit, 0, slW)
                        if done then
                            SetFloat("savegame.mod.lighs.highbeam", value/slMul/limit)
                    
                        end
                        UiPush()
                            UiTranslate(slW+25,0)
                            UiText(sfn(value/slMul/limit, 1))
                        UiPop()
    
                   UiPop()
                --Highbeam


                    --foglamp
                    UiPush()

                    UiPush()
                        UiTranslate(0,230)
    
                        UiFont("bold.ttf", 30)
                        UiText("Fog-Lamp")
                        UiTranslate(0,20)
    
                        UiAlign("left middle")
                        UiColor(1, 1, 1)
                        UiRect(slW+3, 3)
            
                        local limit = lim.lighs.foglamp
                        local value = (GetFloat("savegame.mod.lighs.foglamp") or 2) * slMul
                        local done = false
                        value, done = UiSlider("ui/common/dot.png", "x", value*limit, 0, slW)
                        if done then
                            SetFloat("savegame.mod.lighs.foglamp", value/slMul/limit)
                    
                        end
                        UiPush()
                            UiTranslate(slW+25,0)
                            UiText(sfn(value/slMul/limit, 1))
                        UiPop()
    
                   UiPop()
                --foglamp

                    --emlights.front
                    UiPush()

                    UiPush()
                        UiTranslate(0,290)
    
                        UiFont("bold.ttf", 30)
                        UiText("emergency lights front")
                        UiTranslate(0,20)
    
                        UiAlign("left middle")
                        UiColor(0.1, 0.7, 0.8)
                        UiRect(slW+3, 3)
            
                        UiColor(1, 1, 1)
                        local limit = lim.emlights.front
                        local value = (GetFloat("savegame.mod.emlights.front") or 2) * slMul
                        local done = false
                        value, done = UiSlider("ui/common/dot.png", "x", value*limit, 0, slW)
                        if done then
                            SetFloat("savegame.mod.emlights.front", value/slMul/limit)
                    
                        end
                        UiPush()
                        UiColor(1, 1, 1)
                            UiTranslate(slW+25,0)
                            UiText(sfn(value/slMul/limit, 1))
                        UiPop()
    
                   UiPop()
                --emlights.front

                    --emlights.back
                    UiPush()

                    UiPush()
                        UiTranslate(0,350)
    
                        UiFont("bold.ttf", 30)
                        UiText("emergency lights back")
                        UiTranslate(0,20)
    
                        UiAlign("left middle")
                        UiColor(0.1, 0.7, 0.8)
                        UiRect(slW+3, 3)
            
                        UiColor(1, 1, 1)
                        local limit = lim.emlights.back
                        local value = (GetFloat("savegame.mod.emlights.back") or 2) * slMul
                        local done = false
                        value, done = UiSlider("ui/common/dot.png", "x", value*limit, 0, slW)
                        if done then
                            SetFloat("savegame.mod.emlights.back", value/slMul/limit)
                    
                        end
                        UiPush()
                        UiColor(1, 1, 1)
                            UiTranslate(slW+25,0)
                            UiText(sfn(value/slMul/limit, 1))
                        UiPop()
    
                   UiPop()
                --emlights.back

                    --emlights.top
                    UiPush()

                    UiPush()
                        UiTranslate(0,410)
    
                        UiFont("bold.ttf", 30)
                        UiText("emergency lights top")
                        UiTranslate(0,20)
    
                        UiAlign("left middle")
                        UiColor(0.1, 0.7, 0.8)
                        UiRect(slW+3, 3)
            
                        UiColor(1, 1, 1)
                        local limit = lim.emlights.top
                        local value = (GetFloat("savegame.mod.emlights.top") or 2) * slMul
                        local done = false
                        value, done = UiSlider("ui/common/dot.png", "x", value*limit, 0, slW)
                        if done then
                            SetFloat("savegame.mod.emlights.top", value/slMul/limit)
                    
                        end
                        UiPush()
                        UiColor(1, 1, 1)
                            UiTranslate(slW+25,0)
                            UiText(sfn(value/slMul/limit, 1))
                        UiPop()
    
                   UiPop()
                --emlights.top


                    --emlights.left
                    UiPush()

                    UiPush()
                        UiTranslate(0,470)
    
                        UiFont("bold.ttf", 30)
                        UiText("emergency lights left")
                        UiTranslate(0,20)
    
                        UiAlign("left middle")
                        UiColor(0.1, 0.7, 0.8)
                        UiRect(slW+3, 3)
            
                        UiColor(1, 1, 1)
                        local limit = lim.emlights.left
                        local value = (GetFloat("savegame.mod.emlights.left") or 2) * slMul
                        local done = false
                        value, done = UiSlider("ui/common/dot.png", "x", value*limit, 0, slW)
                        if done then
                            SetFloat("savegame.mod.emlights.left", value/slMul/limit)
                    
                        end
                        UiPush()
                        UiColor(1, 1, 1)
                            UiTranslate(slW+25,0)
                            UiText(sfn(value/slMul/limit, 1))
                        UiPop()
    
                   UiPop()
                --emlights.left

                    --emlights.right
                    UiPush()

                    UiPush()
                        UiTranslate(0,540)
    
                        UiFont("bold.ttf", 30)
                        UiText("emergency lights right")
                        UiTranslate(0,20)
    
                        UiAlign("left middle")
                        UiColor(0.1, 0.7, 0.8)
                        UiRect(slW+3, 3)
            
                        UiColor(1, 1, 1)
                        local limit = lim.emlights.right
                        local value = (GetFloat("savegame.mod.emlights.right") or 2) * slMul
                        local done = false
                        value, done = UiSlider("ui/common/dot.png", "x", value*limit, 0, slW)
                        if done then
                            SetFloat("savegame.mod.emlights.right", value/slMul/limit)
                    
                        end
                        UiPush()
                        UiColor(1, 1, 1)
                            UiTranslate(slW+25,0)
                            UiText(sfn(value/slMul/limit, 1))
                        UiPop()
    
                   UiPop()
                --emlights.right              

                    --siren1
                    UiPush()

                    UiPush()
                        UiTranslate(0,590)
    
                        UiFont("bold.ttf", 30)
                        UiText("Siren 1")
                        UiTranslate(0,20)
    
                        UiAlign("left middle")
                        UiColor(0.8, 0.1, 0.1)
                        UiRect(slW+3, 3)
            
                        UiColor(1, 1, 1)
                        local limit = lim.siren.s1
                        local value = (GetFloat("savegame.mod.siren.s1") or 2) * slMul
                        local done = false
                        value, done = UiSlider("ui/common/dot.png", "x", value*limit, 0, slW)
                        if done then
                            SetFloat("savegame.mod.siren.s1", value/slMul/limit)
                    
                        end
                        UiPush()
                        UiColor(1, 1, 1)
                            UiTranslate(slW+25,0)
                            UiText(sfn(value/slMul/limit, 1))
                        UiPop()
    
                   UiPop()
                --siren1    

                --siren2
                    UiPush()

                    UiPush()
                        UiTranslate(0,650)
    
                        UiFont("bold.ttf", 30)
                        UiText("Siren 2")
                        UiTranslate(0,20)
    
                        UiAlign("left middle")
                        UiColor(0.8, 0.1, 0.1)
                        UiRect(slW+3, 3)
            
                        UiColor(1, 1, 1)
                        local limit = lim.siren.s2
                        local value = (GetFloat("savegame.mod.siren.s2") or 2) * slMul
                        local done = false
                        value, done = UiSlider("ui/common/dot.png", "x", value*limit, 0, slW)
                        if done then
                            SetFloat("savegame.mod.siren.s2", value/slMul/limit)
                    
                        end
                        UiPush()
                        UiColor(1, 1, 1)
                            UiTranslate(slW+25,0)
                            UiText(sfn(value/slMul/limit, 1))
                        UiPop()
    
                   UiPop()
                --siren2 
                
                --siren3
                UiPush()

                UiPush()
                    UiTranslate(0,710)

                    UiFont("bold.ttf", 30)
                    UiText("Siren 3")
                    UiTranslate(0,20)

                    UiAlign("left middle")
                    UiColor(0.8, 0.1, 0.1)
                    UiRect(slW+3, 3)
        
                    UiColor(1, 1, 1)
                    local limit = lim.siren.s3
                    local value = (GetFloat("savegame.mod.siren.s3") or 2) * slMul
                    local done = false
                    value, done = UiSlider("ui/common/dot.png", "x", value*limit, 0, slW)
                    if done then
                        SetFloat("savegame.mod.siren.s3", value/slMul/limit)
                
                    end
                    UiPush()
                    UiColor(1, 1, 1)
                        UiTranslate(slW+25,0)
                        UiText(sfn(value/slMul/limit, 1))
                    UiPop()

               UiPop()
            --siren3   

                --horn
                UiPush()

                UiPush()
                    UiTranslate(0,770)

                    UiFont("bold.ttf", 30)
                    UiText("horn")
                    UiTranslate(0,20)

                    UiAlign("left middle")
                    UiColor(0.8, 0.1, 0.1)
                    UiRect(slW+3, 3)
        
                    UiColor(1, 1, 1)
                    local limit = lim.siren.horn
                    local value = (GetFloat("savegame.mod.siren.horn") or 2) * slMul
                    local done = false
                    value, done = UiSlider("ui/common/dot.png", "x", value*limit, 0, slW)
                    if done then
                        SetFloat("savegame.mod.siren.horn", value/slMul/limit)
                
                    end
                    UiPush()
                    UiColor(1, 1, 1)
                        UiTranslate(slW+25,0)
                        UiText(sfn(value/slMul/limit, 1))
                    UiPop()

               UiPop()
                --horn



            UiPush()
            UiColor(1, 0.5, 0.5)
            UiTranslate(0,850)
            UiFont("bold.ttf", 40)
            --reset
            local resetButton = UiTextButton("default Values", 100, 50)
            if resetButton then
                SetFloat("savegame.mod.lighs.blinkers", def.lighs.blinkers)
                SetFloat("savegame.mod.lighs.headlight", def.lighs.headlight)
                SetFloat("savegame.mod.lighs.highbeam", def.lighs.highbeam)
                SetFloat("savegame.mod.lighs.foglamp", def.lighs.foglamp)

                SetFloat("savegame.mod.emlights.front", def.emlights.front)
                SetFloat("savegame.mod.emlights.back", def.emlights.back)  
                SetFloat("savegame.mod.emlights.top", def.emlights.top)
                SetFloat("savegame.mod.emlights.left", def.emlights.left)  
                SetFloat("savegame.mod.emlights.right", def.emlights.right)  

                SetFloat("savegame.mod.siren.s1", def.siren.s1)
                SetFloat("savegame.mod.siren.s2", def.siren.s2)  
                SetFloat("savegame.mod.siren.s3", def.siren.s3)
                SetFloat("savegame.mod.siren.horn", def.siren.horn)  
            end
        UiPop()




        UiPush()
        UiColor(1, 1, 1)
        UiTranslate(550,-100)
        UiFont("bold.ttf", 40)
        UiText("Time:")
        UiTranslate(150,0)
        UiButtonImageBox("MOD/images/box-outline-6.png", 6, 6)
        if 	UiTextButton("0", 40, 40) then
            SetInt("savegame.mod.time", 0)
            PlaySound(snd)
        end
        UiTranslate(60,0)
        if 	UiTextButton("5", 40, 40) then
            SetInt("savegame.mod.time", 5)
            PlaySound(snd)
        end
        UiTranslate(50,0)
        if 	UiTextButton("10", 40, 40) then
            SetInt("savegame.mod.time", 10)
            PlaySound(snd)
        end
        UiTranslate(60,0)
        if 	UiTextButton("15", 40, 40) then
            SetInt("savegame.mod.time", 15)
            PlaySound(snd)
        end
        UiTranslate(60,0)
        if 	UiTextButton("20", 40, 40) then
            SetInt("savegame.mod.time", 20)
            PlaySound(snd)
        end
        UiTranslate(60,0)
        if 	UiTextButton("25", 40, 40) then
            SetInt("savegame.mod.time", 25)
            PlaySound(snd)
        end
        UiTranslate(60,0)
        if 	UiTextButton("30", 40, 40) then
            SetInt("savegame.mod.time", 30)
            PlaySound(snd)
        end
        UiTranslate(60,0)
        if 	UiTextButton("35", 40, 40) then
            SetInt("savegame.mod.time", 35)
            PlaySound(snd)
        end
        UiTranslate(60,0)
        if 	UiTextButton("40", 40, 40) then
            SetInt("savegame.mod.time", 40)
            PlaySound(snd)
        end
        UiTranslate(60,0)
        if 	UiTextButton("45", 40, 40) then
            SetInt("savegame.mod.time", 45)
            PlaySound(snd)
        end
        UiTranslate(60,0)
        if 	UiTextButton("50", 40, 40) then
            SetInt("savegame.mod.time", 50)
            PlaySound(snd)
        end
        UiTranslate(60,0)
        if 	UiTextButton("55", 40, 40) then
            SetInt("savegame.mod.time", 55)
            PlaySound(snd)
        end
        UiTranslate(60,0)
        if 	UiTextButton("60", 40, 40) then
            SetInt("savegame.mod.time", 60)
            PlaySound(snd)
        end
    UiPop()


    UiPush()
    UiColor(1, 1, 1)
    UiTranslate(800,50)
    UiScale(1.4, 1.4)
    UiPush()
    UiTranslate(-95,-75)
    UiImage("MOD/images/car2.png")
    UiPop()
    UiScale(0.8, 0.8)


    UiPush()
    if GetInt("savegame.mod.time") == 0 then
        UiPush()
        UiTranslate(-92,-125)
        UiImage("ui/common/dot.png")
        UiPop()
        UiTranslate(50,50)
        UiButtonImageBox("MOD/images/box-outline-6.png", 6, 6)

--light button
        UiPush()
        UiTranslate(-20,20)
        if GetBool("savegame.mod.sq1") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sq1", not GetBool("savegame.mod.sq1"))
            PlaySound(snd)
        end

        UiPop()
--light button

        UiPush()
        UiTranslate(240,20)
        if GetBool("savegame.mod.sw1") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sw1", not GetBool("savegame.mod.sw1"))
            PlaySound(snd)
        end

        UiPop()


        
        UiPush()
        UiTranslate(30,-40)
        if GetBool("savegame.mod.se1") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.se1", not GetBool("savegame.mod.se1"))
            PlaySound(snd)
        end

        UiPop()

        


        UiPush()
        UiTranslate(190,-40)
        if GetBool("savegame.mod.sr1") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sr1", not GetBool("savegame.mod.sr1"))
            PlaySound(snd)
        end

        UiPop()




        UiPush()
        UiTranslate(30,-80)
        if GetBool("savegame.mod.st1") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.st1", not GetBool("savegame.mod.st1"))
            PlaySound(snd)
        end

        UiPop()

        


        UiPush()
        UiTranslate(190,-80)
        if GetBool("savegame.mod.sy1") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sy1", not GetBool("savegame.mod.sy1"))
            PlaySound(snd)
        end

        UiPop()





        UiPush()
        UiTranslate(-32,177)
        if GetBool("savegame.mod.su1") then
			UiPush()
                UiTranslate(70,20)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.su1", not GetBool("savegame.mod.su1"))
            PlaySound(snd)
        end

        UiPop()


        



        UiPush()
        UiTranslate(8,177)
        if GetBool("savegame.mod.si1") then
			UiPush()
                UiTranslate(48,20)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.si1", not GetBool("savegame.mod.si1"))
            PlaySound(snd)
        end

        UiPop()



        
        UiPush()
        UiTranslate(48,177)
        if GetBool("savegame.mod.so1") then
			UiPush()
                UiTranslate(25,20)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.so1", not GetBool("savegame.mod.so1"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(87,177)
        if GetBool("savegame.mod.sp1") then
			UiPush()
                UiTranslate(5,20)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sp1", not GetBool("savegame.mod.sp1"))
            PlaySound(snd)
        end

        UiPop()





        UiPush()
        UiTranslate(130,177)
        if GetBool("savegame.mod.sa1") then
			UiPush()
                UiTranslate(2,20)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sa1", not GetBool("savegame.mod.sa1"))
            PlaySound(snd)
        end

        UiPop()


        



        UiPush()
        UiTranslate(170,177)
        if GetBool("savegame.mod.ss1") then
			UiPush()
                UiTranslate(-20,20)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.ss1", not GetBool("savegame.mod.ss1"))
            PlaySound(snd)
        end

        UiPop()



        
        UiPush()
        UiTranslate(210,177)
        if GetBool("savegame.mod.sd1") then
			UiPush()
                UiTranslate(-42,20)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sd1", not GetBool("savegame.mod.sd1"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(250,177)
        if GetBool("savegame.mod.sf1") then
			UiPush()
                UiTranslate(-63,20)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sf1", not GetBool("savegame.mod.sf1"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(-48,270)
        if GetBool("savegame.mod.sg1") then
			UiPush()
                UiTranslate(50,-30)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sg1", not GetBool("savegame.mod.sg1"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(-48,555)
        if GetBool("savegame.mod.sh1") then
			UiPush()
                UiTranslate(50,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sh1", not GetBool("savegame.mod.sh1"))
            PlaySound(snd)
        end

        UiPop()




        UiPush()
        UiTranslate(260,270)
        if GetBool("savegame.mod.sj1") then
			UiPush()
                UiTranslate(-35,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sj1", not GetBool("savegame.mod.sj1"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(260,555)
        if GetBool("savegame.mod.sk1") then
			UiPush()
                UiTranslate(-35,-30)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sk1", not GetBool("savegame.mod.sk1"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(50,580)
        if GetBool("savegame.mod.sl1") then
			UiPush()
                UiTranslate(-10,10)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sl1", not GetBool("savegame.mod.sl1"))
            PlaySound(snd)
        end

        UiPop()


        UiPush()
        UiTranslate(165,580)
        if GetBool("savegame.mod.sz1") then
			UiPush()
                UiTranslate(20,10)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sz1", not GetBool("savegame.mod.sz1"))
            PlaySound(snd)
        end

        UiPop()

        UiPush()
        UiTranslate(-15,660)
        if GetBool("savegame.mod.sx1") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sx1", not GetBool("savegame.mod.sx1"))
            PlaySound(snd)
        end

        UiPop()


        UiPush()
        UiTranslate(240,660)
        if GetBool("savegame.mod.sc1") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sc1", not GetBool("savegame.mod.sc1"))
            PlaySound(snd)
        end

        UiPop()


        UiPush()
        UiTranslate(-15,700)
        if GetBool("savegame.mod.sv1") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sv1", not GetBool("savegame.mod.sv1"))
            PlaySound(snd)
        end

        UiPop()

    

        UiPush()
        UiTranslate(240,700)
        if GetBool("savegame.mod.sb1") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sb1", not GetBool("savegame.mod.sb1"))
            PlaySound(snd)
        end

        UiPop()


        UiTranslate(400,0)
        local resetButton = UiTextButton("Reset Lights", 200, 50)
        if resetButton then
            SetBool("savegame.mod.sq1")  
            SetBool("savegame.mod.sw1")  
            SetBool("savegame.mod.se1")  
            SetBool("savegame.mod.sr1")  
            SetBool("savegame.mod.st1")  
            SetBool("savegame.mod.sy1")  
            SetBool("savegame.mod.su1")  
            SetBool("savegame.mod.si1")  
            SetBool("savegame.mod.so1")  
            SetBool("savegame.mod.sp1") 
            SetBool("savegame.mod.sa1") 
            SetBool("savegame.mod.ss1") 
            SetBool("savegame.mod.sd1") 
            SetBool("savegame.mod.sf1")  
            SetBool("savegame.mod.sg1")  
            SetBool("savegame.mod.sh1")  
            SetBool("savegame.mod.sj1")  
            SetBool("savegame.mod.sk1")  
            SetBool("savegame.mod.sl1")  
            SetBool("savegame.mod.sz1")  
            SetBool("savegame.mod.sx1")  
            SetBool("savegame.mod.sc1")  
            SetBool("savegame.mod.sv1")  
            SetBool("savegame.mod.sb1")  
            PlaySound(snd)
        end
    end
    UiPop()



    UiPush()
    if GetInt("savegame.mod.time") == 5 then
        UiPush()
        UiTranslate(-35,-125)
        UiImage("ui/common/dot.png")
        UiPop()
        UiTranslate(50,50)
        UiButtonImageBox("MOD/images/box-outline-6.png", 6, 6)

--light button
        UiPush()
        UiTranslate(-20,20)
        if GetBool("savegame.mod.sq2") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sq2", not GetBool("savegame.mod.sq2"))
            PlaySound(snd)
        end

        UiPop()
--light button

        UiPush()
        UiTranslate(240,20)
        if GetBool("savegame.mod.sw2") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sw2", not GetBool("savegame.mod.sw2"))
            PlaySound(snd)
        end

        UiPop()


        
        UiPush()
        UiTranslate(30,-40)
        if GetBool("savegame.mod.se2") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.se2", not GetBool("savegame.mod.se2"))
            PlaySound(snd)
        end

        UiPop()

        


        UiPush()
        UiTranslate(190,-40)
        if GetBool("savegame.mod.sr2") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sr2", not GetBool("savegame.mod.sr2"))
            PlaySound(snd)
        end

        UiPop()




        UiPush()
        UiTranslate(30,-80)
        if GetBool("savegame.mod.st2") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.st2", not GetBool("savegame.mod.st2"))
            PlaySound(snd)
        end

        UiPop()

        


        UiPush()
        UiTranslate(190,-80)
        if GetBool("savegame.mod.sy2") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sy2", not GetBool("savegame.mod.sy2"))
            PlaySound(snd)
        end

        UiPop()





        UiPush()
        UiTranslate(-32,177)
        if GetBool("savegame.mod.su2") then
			UiPush()
                UiTranslate(70,20)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.su2", not GetBool("savegame.mod.su2"))
            PlaySound(snd)
        end

        UiPop()


        



        UiPush()
        UiTranslate(8,177)
        if GetBool("savegame.mod.si2") then
			UiPush()
                UiTranslate(48,20)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.si2", not GetBool("savegame.mod.si2"))
            PlaySound(snd)
        end

        UiPop()



        
        UiPush()
        UiTranslate(48,177)
        if GetBool("savegame.mod.so2") then
			UiPush()
                UiTranslate(25,20)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.so2", not GetBool("savegame.mod.so2"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(87,177)
        if GetBool("savegame.mod.sp2") then
			UiPush()
                UiTranslate(5,20)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sp2", not GetBool("savegame.mod.sp2"))
            PlaySound(snd)
        end

        UiPop()





        UiPush()
        UiTranslate(130,177)
        if GetBool("savegame.mod.sa2") then
			UiPush()
                UiTranslate(2,20)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sa2", not GetBool("savegame.mod.sa2"))
            PlaySound(snd)
        end

        UiPop()


        



        UiPush()
        UiTranslate(170,177)
        if GetBool("savegame.mod.ss2") then
			UiPush()
                UiTranslate(-20,20)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.ss2", not GetBool("savegame.mod.ss2"))
            PlaySound(snd)
        end

        UiPop()



        
        UiPush()
        UiTranslate(210,177)
        if GetBool("savegame.mod.sd2") then
			UiPush()
                UiTranslate(-42,20)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sd2", not GetBool("savegame.mod.sd2"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(250,177)
        if GetBool("savegame.mod.sf2") then
			UiPush()
                UiTranslate(-63,20)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sf2", not GetBool("savegame.mod.sf2"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(-48,270)
        if GetBool("savegame.mod.sg2") then
			UiPush()
                UiTranslate(50,-30)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sg2", not GetBool("savegame.mod.sg2"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(-48,555)
        if GetBool("savegame.mod.sh2") then
			UiPush()
                UiTranslate(50,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sh2", not GetBool("savegame.mod.sh2"))
            PlaySound(snd)
        end

        UiPop()




        UiPush()
        UiTranslate(260,270)
        if GetBool("savegame.mod.sj2") then
			UiPush()
                UiTranslate(-35,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sj2", not GetBool("savegame.mod.sj2"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(260,555)
        if GetBool("savegame.mod.sk2") then
			UiPush()
                UiTranslate(-35,-30)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sk2", not GetBool("savegame.mod.sk2"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(50,580)
        if GetBool("savegame.mod.sl2") then
			UiPush()
                UiTranslate(-10,10)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sl2", not GetBool("savegame.mod.sl2"))
            PlaySound(snd)
        end

        UiPop()


        UiPush()
        UiTranslate(165,580)
        if GetBool("savegame.mod.sz2") then
			UiPush()
                UiTranslate(20,10)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sz2", not GetBool("savegame.mod.sz2"))
            PlaySound(snd)
        end

        UiPop()

        UiPush()
        UiTranslate(-15,660)
        if GetBool("savegame.mod.sx2") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sx2", not GetBool("savegame.mod.sx2"))
            PlaySound(snd)
        end

        UiPop()


        UiPush()
        UiTranslate(240,660)
        if GetBool("savegame.mod.sc2") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sc2", not GetBool("savegame.mod.sc2"))
            PlaySound(snd)
        end

        UiPop()


        UiPush()
        UiTranslate(-15,700)
        if GetBool("savegame.mod.sv2") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sv2", not GetBool("savegame.mod.sv2"))
            PlaySound(snd)
        end

        UiPop()

    

        UiPush()
        UiTranslate(240,700)
        if GetBool("savegame.mod.sb2") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sb2", not GetBool("savegame.mod.sb2"))
            PlaySound(snd)
        end

        UiPop()


        UiTranslate(400,0)
        local resetButton = UiTextButton("Reset Lights", 200, 50)
        if resetButton then
            SetBool("savegame.mod.sq2")  
            SetBool("savegame.mod.sw2")  
            SetBool("savegame.mod.se2")  
            SetBool("savegame.mod.sr2")  
            SetBool("savegame.mod.st2")  
            SetBool("savegame.mod.sy2")  
            SetBool("savegame.mod.su2")  
            SetBool("savegame.mod.si2")  
            SetBool("savegame.mod.so2")  
            SetBool("savegame.mod.sp2") 
            SetBool("savegame.mod.sa2") 
            SetBool("savegame.mod.ss2") 
            SetBool("savegame.mod.sd2") 
            SetBool("savegame.mod.sf2")  
            SetBool("savegame.mod.sg2")  
            SetBool("savegame.mod.sh2")  
            SetBool("savegame.mod.sj2")  
            SetBool("savegame.mod.sk2")  
            SetBool("savegame.mod.sl2")  
            SetBool("savegame.mod.sz2")  
            SetBool("savegame.mod.sx2")  
            SetBool("savegame.mod.sc2")  
            SetBool("savegame.mod.sv2")  
            SetBool("savegame.mod.sb2")
            PlaySound(snd)  
        end
    end





    UiPop()


    UiPush()
    if GetInt("savegame.mod.time") == 10 then
        UiPush()
        UiTranslate(20,-125)
        UiImage("ui/common/dot.png")
        UiPop()
        UiTranslate(50,50)
        UiButtonImageBox("MOD/images/box-outline-6.png", 6, 6)

--light button
        UiPush()
        UiTranslate(-20,20)
        if GetBool("savegame.mod.sq3") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sq3", not GetBool("savegame.mod.sq3"))
            PlaySound(snd)
        end

        UiPop()
--light button

        UiPush()
        UiTranslate(240,20)
        if GetBool("savegame.mod.sw3") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sw3", not GetBool("savegame.mod.sw3"))
            PlaySound(snd)
        end

        UiPop()


        
        UiPush()
        UiTranslate(30,-40)
        if GetBool("savegame.mod.se3") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.se3", not GetBool("savegame.mod.se3"))
            PlaySound(snd)
        end

        UiPop()

        


        UiPush()
        UiTranslate(190,-40)
        if GetBool("savegame.mod.sr3") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sr3", not GetBool("savegame.mod.sr3"))
            PlaySound(snd)
        end

        UiPop()




        UiPush()
        UiTranslate(30,-80)
        if GetBool("savegame.mod.st3") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.st3", not GetBool("savegame.mod.st3"))
            PlaySound(snd)
        end

        UiPop()

        


        UiPush()
        UiTranslate(190,-80)
        if GetBool("savegame.mod.sy3") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sy3", not GetBool("savegame.mod.sy3"))
            PlaySound(snd)
        end

        UiPop()





        UiPush()
        UiTranslate(-32,177)
        if GetBool("savegame.mod.su3") then
			UiPush()
                UiTranslate(70,20)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.su3", not GetBool("savegame.mod.su3"))
            PlaySound(snd)
        end

        UiPop()


        



        UiPush()
        UiTranslate(8,177)
        if GetBool("savegame.mod.si3") then
			UiPush()
                UiTranslate(48,20)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.si3", not GetBool("savegame.mod.si3"))
            PlaySound(snd)
        end

        UiPop()



        
        UiPush()
        UiTranslate(48,177)
        if GetBool("savegame.mod.so3") then
			UiPush()
                UiTranslate(25,20)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.so3", not GetBool("savegame.mod.so3"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(87,177)
        if GetBool("savegame.mod.sp3") then
			UiPush()
                UiTranslate(5,20)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sp3", not GetBool("savegame.mod.sp3"))
            PlaySound(snd)
        end

        UiPop()





        UiPush()
        UiTranslate(130,177)
        if GetBool("savegame.mod.sa3") then
			UiPush()
                UiTranslate(2,20)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sa3", not GetBool("savegame.mod.sa3"))
            PlaySound(snd)
        end

        UiPop()


        



        UiPush()
        UiTranslate(170,177)
        if GetBool("savegame.mod.ss3") then
			UiPush()
                UiTranslate(-20,20)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.ss3", not GetBool("savegame.mod.ss3"))
            PlaySound(snd)
        end

        UiPop()



        
        UiPush()
        UiTranslate(210,177)
        if GetBool("savegame.mod.sd3") then
			UiPush()
                UiTranslate(-42,20)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sd3", not GetBool("savegame.mod.sd3"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(250,177)
        if GetBool("savegame.mod.sf3") then
			UiPush()
                UiTranslate(-63,20)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sf3", not GetBool("savegame.mod.sf3"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(-48,270)
        if GetBool("savegame.mod.sg3") then
			UiPush()
                UiTranslate(50,-30)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sg3", not GetBool("savegame.mod.sg3"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(-48,555)
        if GetBool("savegame.mod.sh3") then
			UiPush()
                UiTranslate(50,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sh3", not GetBool("savegame.mod.sh3"))
            PlaySound(snd)
        end

        UiPop()




        UiPush()
        UiTranslate(260,270)
        if GetBool("savegame.mod.sj3") then
			UiPush()
                UiTranslate(-35,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sj3", not GetBool("savegame.mod.sj3"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(260,555)
        if GetBool("savegame.mod.sk3") then
			UiPush()
                UiTranslate(-35,-30)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sk3", not GetBool("savegame.mod.sk3"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(50,580)
        if GetBool("savegame.mod.sl3") then
			UiPush()
                UiTranslate(-10,10)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sl3", not GetBool("savegame.mod.sl3"))
            PlaySound(snd)
        end

        UiPop()


        UiPush()
        UiTranslate(165,580)
        if GetBool("savegame.mod.sz3") then
			UiPush()
                UiTranslate(20,10)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sz3", not GetBool("savegame.mod.sz3"))
            PlaySound(snd)
        end

        UiPop()

        UiPush()
        UiTranslate(-15,660)
        if GetBool("savegame.mod.sx3") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sx3", not GetBool("savegame.mod.sx3"))
            PlaySound(snd)
        end

        UiPop()


        UiPush()
        UiTranslate(240,660)
        if GetBool("savegame.mod.sc3") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sc3", not GetBool("savegame.mod.sc3"))
            PlaySound(snd)
        end

        UiPop()


        UiPush()
        UiTranslate(-15,700)
        if GetBool("savegame.mod.sv3") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sv3", not GetBool("savegame.mod.sv3"))
            PlaySound(snd)
        end

        UiPop()

    

        UiPush()
        UiTranslate(240,700)
        if GetBool("savegame.mod.sb3") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sb3", not GetBool("savegame.mod.sb3"))
            PlaySound(snd)
        end

        UiPop()


        UiTranslate(400,0)
        local resetButton = UiTextButton("Reset Lights", 200, 50)
        if resetButton then
            SetBool("savegame.mod.sq3")  
            SetBool("savegame.mod.sw3")  
            SetBool("savegame.mod.se3")  
            SetBool("savegame.mod.sr3")  
            SetBool("savegame.mod.st3")  
            SetBool("savegame.mod.sy3")  
            SetBool("savegame.mod.su3")  
            SetBool("savegame.mod.si3")  
            SetBool("savegame.mod.so3")  
            SetBool("savegame.mod.sp3") 
            SetBool("savegame.mod.sa3") 
            SetBool("savegame.mod.ss3") 
            SetBool("savegame.mod.sd3") 
            SetBool("savegame.mod.sf3")  
            SetBool("savegame.mod.sg3")  
            SetBool("savegame.mod.sh3")  
            SetBool("savegame.mod.sj3")  
            SetBool("savegame.mod.sk3")  
            SetBool("savegame.mod.sl3")  
            SetBool("savegame.mod.sz3")  
            SetBool("savegame.mod.sx3")  
            SetBool("savegame.mod.sc3")  
            SetBool("savegame.mod.sv3")  
            SetBool("savegame.mod.sb3")  
            PlaySound(snd)
        end
    end
    UiPop()





    UiPush()
    if GetInt("savegame.mod.time") == 15 then
        UiPush()
        UiTranslate(73,-125)
        UiImage("ui/common/dot.png")
        UiPop()
        UiTranslate(50,50)
        UiButtonImageBox("MOD/images/box-outline-6.png", 6, 6)

--light button
        UiPush()
        UiTranslate(-20,20)
        if GetBool("savegame.mod.sq4") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sq4", not GetBool("savegame.mod.sq4"))
            PlaySound(snd)
        end

        UiPop()
--light button

        UiPush()
        UiTranslate(240,20)
        if GetBool("savegame.mod.sw4") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sw4", not GetBool("savegame.mod.sw4"))
            PlaySound(snd)
        end

        UiPop()


        
        UiPush()
        UiTranslate(30,-40)
        if GetBool("savegame.mod.se4") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.se4", not GetBool("savegame.mod.se4"))
            PlaySound(snd)
        end

        UiPop()

        


        UiPush()
        UiTranslate(190,-40)
        if GetBool("savegame.mod.sr4") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sr4", not GetBool("savegame.mod.sr4"))
            PlaySound(snd)
        end

        UiPop()




        UiPush()
        UiTranslate(30,-80)
        if GetBool("savegame.mod.st4") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.st4", not GetBool("savegame.mod.st4"))
            PlaySound(snd)
        end

        UiPop()

        


        UiPush()
        UiTranslate(190,-80)
        if GetBool("savegame.mod.sy4") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sy4", not GetBool("savegame.mod.sy4"))
            PlaySound(snd)
        end

        UiPop()





        UiPush()
        UiTranslate(-32,177)
        if GetBool("savegame.mod.su4") then
			UiPush()
                UiTranslate(70,20)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.su4", not GetBool("savegame.mod.su4"))
            PlaySound(snd)
        end

        UiPop()


        



        UiPush()
        UiTranslate(8,177)
        if GetBool("savegame.mod.si4") then
			UiPush()
                UiTranslate(48,20)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.si4", not GetBool("savegame.mod.si4"))
            PlaySound(snd)
        end

        UiPop()



        
        UiPush()
        UiTranslate(48,177)
        if GetBool("savegame.mod.so4") then
			UiPush()
                UiTranslate(25,20)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.so4", not GetBool("savegame.mod.so4"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(87,177)
        if GetBool("savegame.mod.sp4") then
			UiPush()
                UiTranslate(5,20)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sp4", not GetBool("savegame.mod.sp4"))
            PlaySound(snd)
        end

        UiPop()





        UiPush()
        UiTranslate(130,177)
        if GetBool("savegame.mod.sa4") then
			UiPush()
                UiTranslate(2,20)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sa4", not GetBool("savegame.mod.sa4"))
            PlaySound(snd)
        end

        UiPop()


        



        UiPush()
        UiTranslate(170,177)
        if GetBool("savegame.mod.ss4") then
			UiPush()
                UiTranslate(-20,20)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.ss4", not GetBool("savegame.mod.ss4"))
            PlaySound(snd)
        end

        UiPop()



        
        UiPush()
        UiTranslate(210,177)
        if GetBool("savegame.mod.sd4") then
			UiPush()
                UiTranslate(-42,20)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sd4", not GetBool("savegame.mod.sd4"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(250,177)
        if GetBool("savegame.mod.sf4") then
			UiPush()
                UiTranslate(-63,20)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sf4", not GetBool("savegame.mod.sf4"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(-48,270)
        if GetBool("savegame.mod.sg4") then
			UiPush()
                UiTranslate(50,-30)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sg4", not GetBool("savegame.mod.sg4"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(-48,555)
        if GetBool("savegame.mod.sh4") then
			UiPush()
                UiTranslate(50,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sh4", not GetBool("savegame.mod.sh4"))
            PlaySound(snd)
        end

        UiPop()




        UiPush()
        UiTranslate(260,270)
        if GetBool("savegame.mod.sj4") then
			UiPush()
                UiTranslate(-35,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sj4", not GetBool("savegame.mod.sj4"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(260,555)
        if GetBool("savegame.mod.sk4") then
			UiPush()
                UiTranslate(-35,-30)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sk4", not GetBool("savegame.mod.sk4"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(50,580)
        if GetBool("savegame.mod.sl4") then
			UiPush()
                UiTranslate(-10,10)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sl4", not GetBool("savegame.mod.sl4"))
            PlaySound(snd)
        end

        UiPop()


        UiPush()
        UiTranslate(165,580)
        if GetBool("savegame.mod.sz4") then
			UiPush()
                UiTranslate(20,10)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sz4", not GetBool("savegame.mod.sz4"))
            PlaySound(snd)
        end

        UiPop()

        UiPush()
        UiTranslate(-15,660)
        if GetBool("savegame.mod.sx4") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sx4", not GetBool("savegame.mod.sx4"))
            PlaySound(snd)
        end

        UiPop()


        UiPush()
        UiTranslate(240,660)
        if GetBool("savegame.mod.sc4") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sc4", not GetBool("savegame.mod.sc4"))
            PlaySound(snd)
        end

        UiPop()


        UiPush()
        UiTranslate(-15,700)
        if GetBool("savegame.mod.sv4") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sv4", not GetBool("savegame.mod.sv4"))
            PlaySound(snd)
        end

        UiPop()

    

        UiPush()
        UiTranslate(240,700)
        if GetBool("savegame.mod.sb4") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sb4", not GetBool("savegame.mod.sb4"))
            PlaySound(snd)
        end

        UiPop()


        UiTranslate(400,0)
        local resetButton = UiTextButton("Reset Lights", 200, 50)
        if resetButton then
            SetBool("savegame.mod.sq4")  
            SetBool("savegame.mod.sw4")  
            SetBool("savegame.mod.se4")  
            SetBool("savegame.mod.sr4")  
            SetBool("savegame.mod.st4")  
            SetBool("savegame.mod.sy4")  
            SetBool("savegame.mod.su4")  
            SetBool("savegame.mod.si4")  
            SetBool("savegame.mod.so4")  
            SetBool("savegame.mod.sp4") 
            SetBool("savegame.mod.sa4") 
            SetBool("savegame.mod.ss4") 
            SetBool("savegame.mod.sd4") 
            SetBool("savegame.mod.sf4")  
            SetBool("savegame.mod.sg4")  
            SetBool("savegame.mod.sh4")  
            SetBool("savegame.mod.sj4")  
            SetBool("savegame.mod.sk4")  
            SetBool("savegame.mod.sl4")  
            SetBool("savegame.mod.sz4")  
            SetBool("savegame.mod.sx4")  
            SetBool("savegame.mod.sc4")  
            SetBool("savegame.mod.sv4")  
            SetBool("savegame.mod.sb4")  
            PlaySound(snd)
        end
    end
    UiPop()





    UiPush()
    if GetInt("savegame.mod.time") == 20 then
        UiPush()
        UiTranslate(123,-125)
        UiImage("ui/common/dot.png")
        UiPop()
        UiTranslate(50,50)
        UiButtonImageBox("MOD/images/box-outline-6.png", 6, 6)

--light button
        UiPush()
        UiTranslate(-20,20)
        if GetBool("savegame.mod.sq5") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sq5", not GetBool("savegame.mod.sq5"))
            PlaySound(snd)
        end

        UiPop()
--light button

        UiPush()
        UiTranslate(240,20)
        if GetBool("savegame.mod.sw5") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sw5", not GetBool("savegame.mod.sw5"))
            PlaySound(snd)
        end

        UiPop()


        
        UiPush()
        UiTranslate(30,-40)
        if GetBool("savegame.mod.se5") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.se5", not GetBool("savegame.mod.se5"))
            PlaySound(snd)
        end

        UiPop()

        


        UiPush()
        UiTranslate(190,-40)
        if GetBool("savegame.mod.sr5") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sr5", not GetBool("savegame.mod.sr5"))
            PlaySound(snd)
        end

        UiPop()




        UiPush()
        UiTranslate(30,-80)
        if GetBool("savegame.mod.st5") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.st5", not GetBool("savegame.mod.st5"))
            PlaySound(snd)
        end

        UiPop()

        


        UiPush()
        UiTranslate(190,-80)
        if GetBool("savegame.mod.sy5") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sy5", not GetBool("savegame.mod.sy5"))
            PlaySound(snd)
        end

        UiPop()





        UiPush()
        UiTranslate(-32,177)
        if GetBool("savegame.mod.su5") then
			UiPush()
                UiTranslate(70,20)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.su5", not GetBool("savegame.mod.su5"))
            PlaySound(snd)
        end

        UiPop()


        



        UiPush()
        UiTranslate(8,177)
        if GetBool("savegame.mod.si5") then
			UiPush()
                UiTranslate(48,20)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.si5", not GetBool("savegame.mod.si5"))
            PlaySound(snd)
        end

        UiPop()



        
        UiPush()
        UiTranslate(48,177)
        if GetBool("savegame.mod.so5") then
			UiPush()
                UiTranslate(25,20)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.so5", not GetBool("savegame.mod.so5"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(87,177)
        if GetBool("savegame.mod.sp5") then
			UiPush()
                UiTranslate(5,20)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sp5", not GetBool("savegame.mod.sp5"))
            PlaySound(snd)
        end

        UiPop()





        UiPush()
        UiTranslate(130,177)
        if GetBool("savegame.mod.sa5") then
			UiPush()
                UiTranslate(2,20)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sa5", not GetBool("savegame.mod.sa5"))
            PlaySound(snd)
        end

        UiPop()


        



        UiPush()
        UiTranslate(170,177)
        if GetBool("savegame.mod.ss5") then
			UiPush()
                UiTranslate(-20,20)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.ss5", not GetBool("savegame.mod.ss5"))
            PlaySound(snd)
        end

        UiPop()



        
        UiPush()
        UiTranslate(210,177)
        if GetBool("savegame.mod.sd5") then
			UiPush()
                UiTranslate(-42,20)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sd5", not GetBool("savegame.mod.sd5"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(250,177)
        if GetBool("savegame.mod.sf5") then
			UiPush()
                UiTranslate(-63,20)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sf5", not GetBool("savegame.mod.sf5"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(-48,270)
        if GetBool("savegame.mod.sg5") then
			UiPush()
                UiTranslate(50,-30)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sg5", not GetBool("savegame.mod.sg5"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(-48,555)
        if GetBool("savegame.mod.sh5") then
			UiPush()
                UiTranslate(50,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sh5", not GetBool("savegame.mod.sh5"))
            PlaySound(snd)
        end

        UiPop()




        UiPush()
        UiTranslate(260,270)
        if GetBool("savegame.mod.sj5") then
			UiPush()
                UiTranslate(-35,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sj5", not GetBool("savegame.mod.sj5"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(260,555)
        if GetBool("savegame.mod.sk5") then
			UiPush()
                UiTranslate(-35,-30)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sk5", not GetBool("savegame.mod.sk5"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(50,580)
        if GetBool("savegame.mod.sl5") then
			UiPush()
                UiTranslate(-10,10)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sl5", not GetBool("savegame.mod.sl5"))
            PlaySound(snd)
        end

        UiPop()


        UiPush()
        UiTranslate(165,580)
        if GetBool("savegame.mod.sz5") then
			UiPush()
                UiTranslate(20,10)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sz5", not GetBool("savegame.mod.sz5"))
            PlaySound(snd)
        end

        UiPop()

        UiPush()
        UiTranslate(-15,660)
        if GetBool("savegame.mod.sx5") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sx5", not GetBool("savegame.mod.sx5"))
            PlaySound(snd)
        end

        UiPop()


        UiPush()
        UiTranslate(240,660)
        if GetBool("savegame.mod.sc5") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sc5", not GetBool("savegame.mod.sc5"))
            PlaySound(snd)
        end

        UiPop()


        UiPush()
        UiTranslate(-15,700)
        if GetBool("savegame.mod.sv5") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sv5", not GetBool("savegame.mod.sv5"))
            PlaySound(snd)
        end

        UiPop()

    

        UiPush()
        UiTranslate(240,700)
        if GetBool("savegame.mod.sb5") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sb5", not GetBool("savegame.mod.sb5"))
            PlaySound(snd)
        end

        UiPop()


        UiTranslate(400,0)
        local resetButton = UiTextButton("Reset Lights", 200, 50)
        if resetButton then
            SetBool("savegame.mod.sq5")  
            SetBool("savegame.mod.sw5")  
            SetBool("savegame.mod.se5")  
            SetBool("savegame.mod.sr5")  
            SetBool("savegame.mod.st5")  
            SetBool("savegame.mod.sy5")  
            SetBool("savegame.mod.su5")  
            SetBool("savegame.mod.si5")  
            SetBool("savegame.mod.so5")  
            SetBool("savegame.mod.sp5") 
            SetBool("savegame.mod.sa5") 
            SetBool("savegame.mod.ss5") 
            SetBool("savegame.mod.sd5") 
            SetBool("savegame.mod.sf5")  
            SetBool("savegame.mod.sg5")  
            SetBool("savegame.mod.sh5")  
            SetBool("savegame.mod.sj5")  
            SetBool("savegame.mod.sk5")  
            SetBool("savegame.mod.sl5")  
            SetBool("savegame.mod.sz5")  
            SetBool("savegame.mod.sx5")  
            SetBool("savegame.mod.sc5")  
            SetBool("savegame.mod.sv5")  
            SetBool("savegame.mod.sb5")  
            PlaySound(snd)
        end
    end
    UiPop()




    UiPush()
    if GetInt("savegame.mod.time") == 25 then
        UiPush()
        UiTranslate(178,-125)
        UiImage("ui/common/dot.png")
        UiPop()
        UiTranslate(50,50)
        UiButtonImageBox("MOD/images/box-outline-6.png", 6, 6)

--light button
        UiPush()
        UiTranslate(-20,20)
        if GetBool("savegame.mod.sq6") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sq6", not GetBool("savegame.mod.sq6"))
            PlaySound(snd)
        end

        UiPop()
--light button

        UiPush()
        UiTranslate(240,20)
        if GetBool("savegame.mod.sw6") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sw6", not GetBool("savegame.mod.sw6"))
            PlaySound(snd)
        end

        UiPop()


        
        UiPush()
        UiTranslate(30,-40)
        if GetBool("savegame.mod.se6") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.se6", not GetBool("savegame.mod.se6"))
            PlaySound(snd)
        end

        UiPop()

        


        UiPush()
        UiTranslate(190,-40)
        if GetBool("savegame.mod.sr6") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sr6", not GetBool("savegame.mod.sr6"))
            PlaySound(snd)
        end

        UiPop()




        UiPush()
        UiTranslate(30,-80)
        if GetBool("savegame.mod.st6") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.st6", not GetBool("savegame.mod.st6"))
            PlaySound(snd)
        end

        UiPop()

        


        UiPush()
        UiTranslate(190,-80)
        if GetBool("savegame.mod.sy6") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sy6", not GetBool("savegame.mod.sy6"))
            PlaySound(snd)
        end

        UiPop()





        UiPush()
        UiTranslate(-32,177)
        if GetBool("savegame.mod.su6") then
			UiPush()
                UiTranslate(70,20)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.su6", not GetBool("savegame.mod.su6"))
            PlaySound(snd)
        end

        UiPop()


        



        UiPush()
        UiTranslate(8,177)
        if GetBool("savegame.mod.si6") then
			UiPush()
                UiTranslate(48,20)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.si6", not GetBool("savegame.mod.si6"))
            PlaySound(snd)
        end

        UiPop()



        
        UiPush()
        UiTranslate(48,177)
        if GetBool("savegame.mod.so6") then
			UiPush()
                UiTranslate(25,20)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.so6", not GetBool("savegame.mod.so6"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(87,177)
        if GetBool("savegame.mod.sp6") then
			UiPush()
                UiTranslate(5,20)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sp6", not GetBool("savegame.mod.sp6"))
            PlaySound(snd)
        end

        UiPop()





        UiPush()
        UiTranslate(130,177)
        if GetBool("savegame.mod.sa6") then
			UiPush()
                UiTranslate(2,20)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sa6", not GetBool("savegame.mod.sa6"))
            PlaySound(snd)
        end

        UiPop()


        



        UiPush()
        UiTranslate(170,177)
        if GetBool("savegame.mod.ss6") then
			UiPush()
                UiTranslate(-20,20)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.ss6", not GetBool("savegame.mod.ss6"))
            PlaySound(snd)
        end

        UiPop()



        
        UiPush()
        UiTranslate(210,177)
        if GetBool("savegame.mod.sd6") then
			UiPush()
                UiTranslate(-42,20)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sd6", not GetBool("savegame.mod.sd6"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(250,177)
        if GetBool("savegame.mod.sf6") then
			UiPush()
                UiTranslate(-63,20)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sf6", not GetBool("savegame.mod.sf6"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(-48,270)
        if GetBool("savegame.mod.sg6") then
			UiPush()
                UiTranslate(50,-30)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sg6", not GetBool("savegame.mod.sg6"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(-48,555)
        if GetBool("savegame.mod.sh6") then
			UiPush()
                UiTranslate(50,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sh6", not GetBool("savegame.mod.sh6"))
            PlaySound(snd)
        end

        UiPop()




        UiPush()
        UiTranslate(260,270)
        if GetBool("savegame.mod.sj6") then
			UiPush()
                UiTranslate(-35,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sj6", not GetBool("savegame.mod.sj6"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(260,555)
        if GetBool("savegame.mod.sk6") then
			UiPush()
                UiTranslate(-35,-30)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sk6", not GetBool("savegame.mod.sk6"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(50,580)
        if GetBool("savegame.mod.sl6") then
			UiPush()
                UiTranslate(-10,10)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sl6", not GetBool("savegame.mod.sl6"))
            PlaySound(snd)
        end

        UiPop()


        UiPush()
        UiTranslate(165,580)
        if GetBool("savegame.mod.sz6") then
			UiPush()
                UiTranslate(20,10)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sz6", not GetBool("savegame.mod.sz6"))
            PlaySound(snd)
        end

        UiPop()

        UiPush()
        UiTranslate(-15,660)
        if GetBool("savegame.mod.sx6") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sx6", not GetBool("savegame.mod.sx6"))
            PlaySound(snd)
        end

        UiPop()


        UiPush()
        UiTranslate(240,660)
        if GetBool("savegame.mod.sc6") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sc6", not GetBool("savegame.mod.sc6"))
            PlaySound(snd)
        end

        UiPop()


        UiPush()
        UiTranslate(-15,700)
        if GetBool("savegame.mod.sv6") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sv6", not GetBool("savegame.mod.sv6"))
            PlaySound(snd)
        end

        UiPop()

    

        UiPush()
        UiTranslate(240,700)
        if GetBool("savegame.mod.sb6") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sb6", not GetBool("savegame.mod.sb6"))
            PlaySound(snd)
        end

        UiPop()


        UiTranslate(400,0)
        local resetButton = UiTextButton("Reset Lights", 200, 50)
        if resetButton then
            SetBool("savegame.mod.sq6")  
            SetBool("savegame.mod.sw6")  
            SetBool("savegame.mod.se6")  
            SetBool("savegame.mod.sr6")  
            SetBool("savegame.mod.st6")  
            SetBool("savegame.mod.sy6")  
            SetBool("savegame.mod.su6")  
            SetBool("savegame.mod.si6")  
            SetBool("savegame.mod.so6")  
            SetBool("savegame.mod.sp6") 
            SetBool("savegame.mod.sa6") 
            SetBool("savegame.mod.ss6") 
            SetBool("savegame.mod.sd6") 
            SetBool("savegame.mod.sf6")  
            SetBool("savegame.mod.sg6")  
            SetBool("savegame.mod.sh6")  
            SetBool("savegame.mod.sj6")  
            SetBool("savegame.mod.sk6")  
            SetBool("savegame.mod.sl6")  
            SetBool("savegame.mod.sz6")  
            SetBool("savegame.mod.sx6")  
            SetBool("savegame.mod.sc6")  
            SetBool("savegame.mod.sv6")  
            SetBool("savegame.mod.sb6") 
            PlaySound(snd) 
        end
    end
    UiPop()





    UiPush()
    if GetInt("savegame.mod.time") == 30 then
        UiPush()
        UiTranslate(235,-125)
        UiImage("ui/common/dot.png")
        UiPop()
        UiTranslate(50,50)
        UiButtonImageBox("MOD/images/box-outline-6.png", 6, 6)

--light button
        UiPush()
        UiTranslate(-20,20)
        if GetBool("savegame.mod.sq7") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sq7", not GetBool("savegame.mod.sq7"))
            PlaySound(snd)
        end

        UiPop()
--light button

        UiPush()
        UiTranslate(240,20)
        if GetBool("savegame.mod.sw7") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sw7", not GetBool("savegame.mod.sw7"))
            PlaySound(snd)
        end

        UiPop()


        
        UiPush()
        UiTranslate(30,-40)
        if GetBool("savegame.mod.se7") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.se7", not GetBool("savegame.mod.se7"))
            PlaySound(snd)
        end

        UiPop()

        


        UiPush()
        UiTranslate(190,-40)
        if GetBool("savegame.mod.sr7") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sr7", not GetBool("savegame.mod.sr7"))
            PlaySound(snd)
        end

        UiPop()




        UiPush()
        UiTranslate(30,-80)
        if GetBool("savegame.mod.st7") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.st7", not GetBool("savegame.mod.st7"))
            PlaySound(snd)
        end

        UiPop()

        


        UiPush()
        UiTranslate(190,-80)
        if GetBool("savegame.mod.sy7") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sy7", not GetBool("savegame.mod.sy7"))
            PlaySound(snd)
        end

        UiPop()





        UiPush()
        UiTranslate(-32,177)
        if GetBool("savegame.mod.su7") then
			UiPush()
                UiTranslate(70,20)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.su7", not GetBool("savegame.mod.su7"))
            PlaySound(snd)
        end

        UiPop()


        



        UiPush()
        UiTranslate(8,177)
        if GetBool("savegame.mod.si7") then
			UiPush()
                UiTranslate(48,20)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.si7", not GetBool("savegame.mod.si7"))
            PlaySound(snd)
        end

        UiPop()



        
        UiPush()
        UiTranslate(48,177)
        if GetBool("savegame.mod.so7") then
			UiPush()
                UiTranslate(25,20)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.so7", not GetBool("savegame.mod.so7"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(87,177)
        if GetBool("savegame.mod.sp7") then
			UiPush()
                UiTranslate(5,20)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sp7", not GetBool("savegame.mod.sp7"))
            PlaySound(snd)
        end

        UiPop()





        UiPush()
        UiTranslate(130,177)
        if GetBool("savegame.mod.sa7") then
			UiPush()
                UiTranslate(2,20)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sa7", not GetBool("savegame.mod.sa7"))
            PlaySound(snd)
        end

        UiPop()


        



        UiPush()
        UiTranslate(170,177)
        if GetBool("savegame.mod.ss7") then
			UiPush()
                UiTranslate(-20,20)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.ss7", not GetBool("savegame.mod.ss7"))
            PlaySound(snd)
        end

        UiPop()



        
        UiPush()
        UiTranslate(210,177)
        if GetBool("savegame.mod.sd7") then
			UiPush()
                UiTranslate(-42,20)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sd7", not GetBool("savegame.mod.sd7"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(250,177)
        if GetBool("savegame.mod.sf7") then
			UiPush()
                UiTranslate(-63,20)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sf7", not GetBool("savegame.mod.sf7"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(-48,270)
        if GetBool("savegame.mod.sg7") then
			UiPush()
                UiTranslate(50,-30)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sg7", not GetBool("savegame.mod.sg7"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(-48,555)
        if GetBool("savegame.mod.sh7") then
			UiPush()
                UiTranslate(50,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sh7", not GetBool("savegame.mod.sh7"))
            PlaySound(snd)
        end

        UiPop()




        UiPush()
        UiTranslate(260,270)
        if GetBool("savegame.mod.sj7") then
			UiPush()
                UiTranslate(-35,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sj7", not GetBool("savegame.mod.sj7"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(260,555)
        if GetBool("savegame.mod.sk7") then
			UiPush()
                UiTranslate(-35,-30)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sk7", not GetBool("savegame.mod.sk7"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(50,580)
        if GetBool("savegame.mod.sl7") then
			UiPush()
                UiTranslate(-10,10)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sl7", not GetBool("savegame.mod.sl7"))
            PlaySound(snd)
        end

        UiPop()


        UiPush()
        UiTranslate(165,580)
        if GetBool("savegame.mod.sz7") then
			UiPush()
                UiTranslate(20,10)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sz7", not GetBool("savegame.mod.sz7"))
            PlaySound(snd)
        end

        UiPop()

        UiPush()
        UiTranslate(-15,660)
        if GetBool("savegame.mod.sx7") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sx7", not GetBool("savegame.mod.sx7"))
            PlaySound(snd)
        end

        UiPop()


        UiPush()
        UiTranslate(240,660)
        if GetBool("savegame.mod.sc7") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sc7", not GetBool("savegame.mod.sc7"))
            PlaySound(snd)
        end

        UiPop()


        UiPush()
        UiTranslate(-15,700)
        if GetBool("savegame.mod.sv7") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sv7", not GetBool("savegame.mod.sv7"))
            PlaySound(snd)
        end

        UiPop()

    

        UiPush()
        UiTranslate(240,700)
        if GetBool("savegame.mod.sb7") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sb7", not GetBool("savegame.mod.sb7"))
            PlaySound(snd)
        end

        UiPop()


        UiTranslate(400,0)
        local resetButton = UiTextButton("Reset Lights", 200, 50)
        if resetButton then
            SetBool("savegame.mod.sq7")  
            SetBool("savegame.mod.sw7")  
            SetBool("savegame.mod.se7")  
            SetBool("savegame.mod.sr7")  
            SetBool("savegame.mod.st6")  
            SetBool("savegame.mod.sy7")  
            SetBool("savegame.mod.su7")  
            SetBool("savegame.mod.si7")  
            SetBool("savegame.mod.so7")  
            SetBool("savegame.mod.sp7") 
            SetBool("savegame.mod.sa7") 
            SetBool("savegame.mod.ss7") 
            SetBool("savegame.mod.sd7") 
            SetBool("savegame.mod.sf7")  
            SetBool("savegame.mod.sg7")  
            SetBool("savegame.mod.sh7")  
            SetBool("savegame.mod.sj7")  
            SetBool("savegame.mod.sk7")  
            SetBool("savegame.mod.sl7")  
            SetBool("savegame.mod.sz7")  
            SetBool("savegame.mod.sx7")  
            SetBool("savegame.mod.sc7")  
            SetBool("savegame.mod.sv7")  
            SetBool("savegame.mod.sb7")  
            PlaySound(snd)
        end
    end
    UiPop()


 


    UiPush()
    if GetInt("savegame.mod.time") == 35 then
        UiPush()
        UiTranslate(285,-125)
        UiImage("ui/common/dot.png")
        UiPop()
        UiTranslate(50,50)
        UiButtonImageBox("MOD/images/box-outline-6.png", 6, 6)

--light button
        UiPush()
        UiTranslate(-20,20)
        if GetBool("savegame.mod.sq8") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sq8", not GetBool("savegame.mod.sq8"))
            PlaySound(snd)
        end

        UiPop()
--light button

        UiPush()
        UiTranslate(240,20)
        if GetBool("savegame.mod.sw8") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sw8", not GetBool("savegame.mod.sw8"))
            PlaySound(snd)
        end

        UiPop()


        
        UiPush()
        UiTranslate(30,-40)
        if GetBool("savegame.mod.se8") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.se8", not GetBool("savegame.mod.se8"))
            PlaySound(snd)
        end

        UiPop()

        


        UiPush()
        UiTranslate(190,-40)
        if GetBool("savegame.mod.sr8") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sr8", not GetBool("savegame.mod.sr8"))
            PlaySound(snd)
        end

        UiPop()




        UiPush()
        UiTranslate(30,-80)
        if GetBool("savegame.mod.st8") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.st8", not GetBool("savegame.mod.st8"))
            PlaySound(snd)
        end

        UiPop()

        


        UiPush()
        UiTranslate(190,-80)
        if GetBool("savegame.mod.sy8") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sy8", not GetBool("savegame.mod.sy8"))
            PlaySound(snd)
        end

        UiPop()





        UiPush()
        UiTranslate(-32,177)
        if GetBool("savegame.mod.su8") then
			UiPush()
                UiTranslate(70,20)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.su8", not GetBool("savegame.mod.su8"))
            PlaySound(snd)
        end

        UiPop()


        



        UiPush()
        UiTranslate(8,177)
        if GetBool("savegame.mod.si8") then
			UiPush()
                UiTranslate(48,20)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.si8", not GetBool("savegame.mod.si8"))
            PlaySound(snd)
        end

        UiPop()



        
        UiPush()
        UiTranslate(48,177)
        if GetBool("savegame.mod.so8") then
			UiPush()
                UiTranslate(25,20)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.so8", not GetBool("savegame.mod.so8"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(87,177)
        if GetBool("savegame.mod.sp8") then
			UiPush()
                UiTranslate(5,20)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sp8", not GetBool("savegame.mod.sp8"))
            PlaySound(snd)
        end

        UiPop()





        UiPush()
        UiTranslate(130,177)
        if GetBool("savegame.mod.sa8") then
			UiPush()
                UiTranslate(2,20)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sa8", not GetBool("savegame.mod.sa8"))
            PlaySound(snd)
        end

        UiPop()


        



        UiPush()
        UiTranslate(170,177)
        if GetBool("savegame.mod.ss8") then
			UiPush()
                UiTranslate(-20,20)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.ss8", not GetBool("savegame.mod.ss8"))
            PlaySound(snd)
        end

        UiPop()



        
        UiPush()
        UiTranslate(210,177)
        if GetBool("savegame.mod.sd8") then
			UiPush()
                UiTranslate(-42,20)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sd8", not GetBool("savegame.mod.sd8"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(250,177)
        if GetBool("savegame.mod.sf8") then
			UiPush()
                UiTranslate(-63,20)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sf8", not GetBool("savegame.mod.sf8"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(-48,270)
        if GetBool("savegame.mod.sg8") then
			UiPush()
                UiTranslate(50,-30)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sg8", not GetBool("savegame.mod.sg8"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(-48,555)
        if GetBool("savegame.mod.sh8") then
			UiPush()
                UiTranslate(50,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sh8", not GetBool("savegame.mod.sh8"))
            PlaySound(snd)
        end

        UiPop()




        UiPush()
        UiTranslate(260,270)
        if GetBool("savegame.mod.sj8") then
			UiPush()
                UiTranslate(-35,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sj8", not GetBool("savegame.mod.sj8"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(260,555)
        if GetBool("savegame.mod.sk8") then
			UiPush()
                UiTranslate(-35,-30)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sk8", not GetBool("savegame.mod.sk8"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(50,580)
        if GetBool("savegame.mod.sl8") then
			UiPush()
                UiTranslate(-10,10)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sl8", not GetBool("savegame.mod.sl8"))
            PlaySound(snd)
        end

        UiPop()


        UiPush()
        UiTranslate(165,580)
        if GetBool("savegame.mod.sz8") then
			UiPush()
                UiTranslate(20,10)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sz8", not GetBool("savegame.mod.sz8"))
            PlaySound(snd)
        end

        UiPop()

        UiPush()
        UiTranslate(-15,660)
        if GetBool("savegame.mod.sx8") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sx8", not GetBool("savegame.mod.sx8"))
            PlaySound(snd)
        end

        UiPop()


        UiPush()
        UiTranslate(240,660)
        if GetBool("savegame.mod.sc8") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sc8", not GetBool("savegame.mod.sc8"))
            PlaySound(snd)
        end

        UiPop()


        UiPush()
        UiTranslate(-15,700)
        if GetBool("savegame.mod.sv8") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sv8", not GetBool("savegame.mod.sv8"))
            PlaySound(snd)
        end

        UiPop()

    

        UiPush()
        UiTranslate(240,700)
        if GetBool("savegame.mod.sb8") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sb8", not GetBool("savegame.mod.sb8"))
            PlaySound(snd)
        end

        UiPop()


        UiTranslate(400,0)
        local resetButton = UiTextButton("Reset Lights", 200, 50)
        if resetButton then
            SetBool("savegame.mod.sq8")  
            SetBool("savegame.mod.sw8")  
            SetBool("savegame.mod.se8")  
            SetBool("savegame.mod.sr8")  
            SetBool("savegame.mod.st8")  
            SetBool("savegame.mod.sy8")  
            SetBool("savegame.mod.su8")  
            SetBool("savegame.mod.si8")  
            SetBool("savegame.mod.so8")  
            SetBool("savegame.mod.sp8") 
            SetBool("savegame.mod.sa8") 
            SetBool("savegame.mod.ss8") 
            SetBool("savegame.mod.sd8") 
            SetBool("savegame.mod.sf8")  
            SetBool("savegame.mod.sg8")  
            SetBool("savegame.mod.sh8")  
            SetBool("savegame.mod.sj8")  
            SetBool("savegame.mod.sk8")  
            SetBool("savegame.mod.sl8")  
            SetBool("savegame.mod.sz8")  
            SetBool("savegame.mod.sx8")  
            SetBool("savegame.mod.sc8")  
            SetBool("savegame.mod.sv8")  
            SetBool("savegame.mod.sb8")  
            PlaySound(snd)
        end
    end
    UiPop()




    UiPush()
    if GetInt("savegame.mod.time") == 40 then
        UiPush()
        UiTranslate(340,-125)
        UiImage("ui/common/dot.png")
        UiPop()
        UiTranslate(50,50)
        UiButtonImageBox("MOD/images/box-outline-6.png", 6, 6)

--light button
        UiPush()
        UiTranslate(-20,20)
        if GetBool("savegame.mod.sq9") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sq9", not GetBool("savegame.mod.sq9"))
            PlaySound(snd)
        end

        UiPop()
--light button

        UiPush()
        UiTranslate(240,20)
        if GetBool("savegame.mod.sw9") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sw9", not GetBool("savegame.mod.sw9"))
            PlaySound(snd)
        end

        UiPop()


        
        UiPush()
        UiTranslate(30,-40)
        if GetBool("savegame.mod.se9") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.se9", not GetBool("savegame.mod.se9"))
            PlaySound(snd)
        end

        UiPop()

        


        UiPush()
        UiTranslate(190,-40)
        if GetBool("savegame.mod.sr9") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sr9", not GetBool("savegame.mod.sr9"))
            PlaySound(snd)
        end

        UiPop()




        UiPush()
        UiTranslate(30,-80)
        if GetBool("savegame.mod.st9") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.st9", not GetBool("savegame.mod.st9"))
            PlaySound(snd)
        end

        UiPop()

        


        UiPush()
        UiTranslate(190,-80)
        if GetBool("savegame.mod.sy9") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sy9", not GetBool("savegame.mod.sy9"))
            PlaySound(snd)
        end

        UiPop()





        UiPush()
        UiTranslate(-32,177)
        if GetBool("savegame.mod.su9") then
			UiPush()
                UiTranslate(70,20)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.su9", not GetBool("savegame.mod.su9"))
            PlaySound(snd)
        end

        UiPop()


        



        UiPush()
        UiTranslate(8,177)
        if GetBool("savegame.mod.si9") then
			UiPush()
                UiTranslate(48,20)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.si9", not GetBool("savegame.mod.si9"))
            PlaySound(snd)
        end

        UiPop()



        
        UiPush()
        UiTranslate(48,177)
        if GetBool("savegame.mod.so9") then
			UiPush()
                UiTranslate(25,20)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.so9", not GetBool("savegame.mod.so9"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(87,177)
        if GetBool("savegame.mod.sp9") then
			UiPush()
                UiTranslate(5,20)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sp9", not GetBool("savegame.mod.sp9"))
            PlaySound(snd)
        end

        UiPop()





        UiPush()
        UiTranslate(130,177)
        if GetBool("savegame.mod.sa9") then
			UiPush()
                UiTranslate(2,20)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sa9", not GetBool("savegame.mod.sa9"))
            PlaySound(snd)
        end

        UiPop()


        



        UiPush()
        UiTranslate(170,177)
        if GetBool("savegame.mod.ss9") then
			UiPush()
                UiTranslate(-20,20)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.ss9", not GetBool("savegame.mod.ss9"))
            PlaySound(snd)
        end

        UiPop()



        
        UiPush()
        UiTranslate(210,177)
        if GetBool("savegame.mod.sd9") then
			UiPush()
                UiTranslate(-42,20)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sd9", not GetBool("savegame.mod.sd9"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(250,177)
        if GetBool("savegame.mod.sf9") then
			UiPush()
                UiTranslate(-63,20)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sf9", not GetBool("savegame.mod.sf9"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(-48,270)
        if GetBool("savegame.mod.sg9") then
			UiPush()
                UiTranslate(50,-30)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sg9", not GetBool("savegame.mod.sg9"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(-48,555)
        if GetBool("savegame.mod.sh9") then
			UiPush()
                UiTranslate(50,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sh9", not GetBool("savegame.mod.sh9"))
            PlaySound(snd)
        end

        UiPop()




        UiPush()
        UiTranslate(260,270)
        if GetBool("savegame.mod.sj9") then
			UiPush()
                UiTranslate(-35,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sj9", not GetBool("savegame.mod.sj9"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(260,555)
        if GetBool("savegame.mod.sk9") then
			UiPush()
                UiTranslate(-35,-30)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sk9", not GetBool("savegame.mod.sk9"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(50,580)
        if GetBool("savegame.mod.sl9") then
			UiPush()
                UiTranslate(-10,10)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sl9", not GetBool("savegame.mod.sl9"))
            PlaySound(snd)
        end

        UiPop()


        UiPush()
        UiTranslate(165,580)
        if GetBool("savegame.mod.sz9") then
			UiPush()
                UiTranslate(20,10)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sz9", not GetBool("savegame.mod.sz9"))
            PlaySound(snd)
        end

        UiPop()

        UiPush()
        UiTranslate(-15,660)
        if GetBool("savegame.mod.sx9") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sx9", not GetBool("savegame.mod.sx9"))
            PlaySound(snd)
        end

        UiPop()


        UiPush()
        UiTranslate(240,660)
        if GetBool("savegame.mod.sc9") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sc9", not GetBool("savegame.mod.sc9"))
            PlaySound(snd)
        end

        UiPop()


        UiPush()
        UiTranslate(-15,700)
        if GetBool("savegame.mod.sv9") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sv9", not GetBool("savegame.mod.sv9"))
            PlaySound(snd)
        end

        UiPop()

    

        UiPush()
        UiTranslate(240,700)
        if GetBool("savegame.mod.sb9") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sb9", not GetBool("savegame.mod.sb9"))
            PlaySound(snd)
        end

        UiPop()


        UiTranslate(400,0)
        local resetButton = UiTextButton("Reset Lights", 200, 50)
        if resetButton then
            SetBool("savegame.mod.sq9")  
            SetBool("savegame.mod.sw9")  
            SetBool("savegame.mod.se9")  
            SetBool("savegame.mod.sr9")  
            SetBool("savegame.mod.st9")  
            SetBool("savegame.mod.sy9")  
            SetBool("savegame.mod.su9")  
            SetBool("savegame.mod.si9")  
            SetBool("savegame.mod.so9")  
            SetBool("savegame.mod.sp9") 
            SetBool("savegame.mod.sa9") 
            SetBool("savegame.mod.ss9") 
            SetBool("savegame.mod.sd9") 
            SetBool("savegame.mod.sf9")  
            SetBool("savegame.mod.sg9")  
            SetBool("savegame.mod.sh9")  
            SetBool("savegame.mod.sj9")  
            SetBool("savegame.mod.sk9")  
            SetBool("savegame.mod.sl9")  
            SetBool("savegame.mod.sz9")  
            SetBool("savegame.mod.sx9")  
            SetBool("savegame.mod.sc9")  
            SetBool("savegame.mod.sv9")  
            SetBool("savegame.mod.sb9")  
            PlaySound(snd)
        end
    end
    UiPop()





    UiPush()
    if GetInt("savegame.mod.time") == 45 then
        UiPush()
        UiTranslate(390,-125)
        UiImage("ui/common/dot.png")
        UiPop()
        UiTranslate(50,50)
        UiButtonImageBox("MOD/images/box-outline-6.png", 6, 6)

--light button
        UiPush()
        UiTranslate(-20,20)
        if GetBool("savegame.mod.sq10") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sq10", not GetBool("savegame.mod.sq10"))
            PlaySound(snd)
        end

        UiPop()
--light button

        UiPush()
        UiTranslate(240,20)
        if GetBool("savegame.mod.sw10") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sw10", not GetBool("savegame.mod.sw10"))
            PlaySound(snd)
        end

        UiPop()


        
        UiPush()
        UiTranslate(30,-40)
        if GetBool("savegame.mod.se10") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.se10", not GetBool("savegame.mod.se10"))
            PlaySound(snd)
        end

        UiPop()

        


        UiPush()
        UiTranslate(190,-40)
        if GetBool("savegame.mod.sr10") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sr10", not GetBool("savegame.mod.sr10"))
            PlaySound(snd)
        end

        UiPop()




        UiPush()
        UiTranslate(30,-80)
        if GetBool("savegame.mod.st10") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.st10", not GetBool("savegame.mod.st10"))
            PlaySound(snd)
        end

        UiPop()

        


        UiPush()
        UiTranslate(190,-80)
        if GetBool("savegame.mod.sy10") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sy10", not GetBool("savegame.mod.sy10"))
            PlaySound(snd)
        end

        UiPop()





        UiPush()
        UiTranslate(-32,177)
        if GetBool("savegame.mod.su10") then
			UiPush()
                UiTranslate(70,20)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.su10", not GetBool("savegame.mod.su10"))
            PlaySound(snd)
        end

        UiPop()


        



        UiPush()
        UiTranslate(8,177)
        if GetBool("savegame.mod.si10") then
			UiPush()
                UiTranslate(48,20)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.si10", not GetBool("savegame.mod.si10"))
            PlaySound(snd)
        end

        UiPop()



        
        UiPush()
        UiTranslate(48,177)
        if GetBool("savegame.mod.so10") then
			UiPush()
                UiTranslate(25,20)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.so10", not GetBool("savegame.mod.so10"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(87,177)
        if GetBool("savegame.mod.sp10") then
			UiPush()
                UiTranslate(5,20)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sp10", not GetBool("savegame.mod.sp10"))
            PlaySound(snd)
        end

        UiPop()





        UiPush()
        UiTranslate(130,177)
        if GetBool("savegame.mod.sa10") then
			UiPush()
                UiTranslate(2,20)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sa10", not GetBool("savegame.mod.sa10"))
            PlaySound(snd)
        end

        UiPop()


        



        UiPush()
        UiTranslate(170,177)
        if GetBool("savegame.mod.ss10") then
			UiPush()
                UiTranslate(-20,20)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.ss10", not GetBool("savegame.mod.ss10"))
            PlaySound(snd)
        end

        UiPop()



        
        UiPush()
        UiTranslate(210,177)
        if GetBool("savegame.mod.sd10") then
			UiPush()
                UiTranslate(-42,20)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sd10", not GetBool("savegame.mod.sd10"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(250,177)
        if GetBool("savegame.mod.sf10") then
			UiPush()
                UiTranslate(-63,20)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sf10", not GetBool("savegame.mod.sf10"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(-48,270)
        if GetBool("savegame.mod.sg10") then
			UiPush()
                UiTranslate(50,-30)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sg10", not GetBool("savegame.mod.sg10"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(-48,555)
        if GetBool("savegame.mod.sh10") then
			UiPush()
                UiTranslate(50,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sh10", not GetBool("savegame.mod.sh10"))
            PlaySound(snd)
        end

        UiPop()




        UiPush()
        UiTranslate(260,270)
        if GetBool("savegame.mod.sj10") then
			UiPush()
                UiTranslate(-35,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sj10", not GetBool("savegame.mod.sj10"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(260,555)
        if GetBool("savegame.mod.sk10") then
			UiPush()
                UiTranslate(-35,-30)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sk10", not GetBool("savegame.mod.sk10"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(50,580)
        if GetBool("savegame.mod.sl10") then
			UiPush()
                UiTranslate(-10,10)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sl10", not GetBool("savegame.mod.sl10"))
            PlaySound(snd)
        end

        UiPop()


        UiPush()
        UiTranslate(165,580)
        if GetBool("savegame.mod.sz10") then
			UiPush()
                UiTranslate(20,10)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sz10", not GetBool("savegame.mod.sz10"))
            PlaySound(snd)
        end

        UiPop()

        UiPush()
        UiTranslate(-15,660)
        if GetBool("savegame.mod.sx10") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sx10", not GetBool("savegame.mod.sx10"))
            PlaySound(snd)
        end

        UiPop()


        UiPush()
        UiTranslate(240,660)
        if GetBool("savegame.mod.sc10") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sc10", not GetBool("savegame.mod.sc10"))
            PlaySound(snd)
        end

        UiPop()


        UiPush()
        UiTranslate(-15,700)
        if GetBool("savegame.mod.sv10") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sv10", not GetBool("savegame.mod.sv10"))
            PlaySound(snd)
        end

        UiPop()

    

        UiPush()
        UiTranslate(240,700)
        if GetBool("savegame.mod.sb10") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sb10", not GetBool("savegame.mod.sb10"))
            PlaySound(snd)
        end

        UiPop()


        UiTranslate(400,0)
        local resetButton = UiTextButton("Reset Lights", 200, 50)
        if resetButton then
            SetBool("savegame.mod.sq10")  
            SetBool("savegame.mod.sw10")  
            SetBool("savegame.mod.se10")  
            SetBool("savegame.mod.sr10")  
            SetBool("savegame.mod.st10")  
            SetBool("savegame.mod.sy10")  
            SetBool("savegame.mod.su10")  
            SetBool("savegame.mod.si10")  
            SetBool("savegame.mod.so10")  
            SetBool("savegame.mod.sp10") 
            SetBool("savegame.mod.sa10") 
            SetBool("savegame.mod.ss10") 
            SetBool("savegame.mod.sd10") 
            SetBool("savegame.mod.sf10")  
            SetBool("savegame.mod.sg10")  
            SetBool("savegame.mod.sh10")  
            SetBool("savegame.mod.sj10")  
            SetBool("savegame.mod.sk10")  
            SetBool("savegame.mod.sl10")  
            SetBool("savegame.mod.sz10")  
            SetBool("savegame.mod.sx10")  
            SetBool("savegame.mod.sc10")  
            SetBool("savegame.mod.sv10")  
            SetBool("savegame.mod.sb10")  
            PlaySound(snd)
        end
    end
    UiPop()




    UiPush()
    if GetInt("savegame.mod.time") == 50 then
        UiPush()
        UiTranslate(445,-125)
        UiImage("ui/common/dot.png")
        UiPop()
        UiTranslate(50,50)
        UiButtonImageBox("MOD/images/box-outline-6.png", 6, 6)

--light button
        UiPush()
        UiTranslate(-20,20)
        if GetBool("savegame.mod.sq11") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sq11", not GetBool("savegame.mod.sq11"))
            PlaySound(snd)
        end

        UiPop()
--light button

        UiPush()
        UiTranslate(240,20)
        if GetBool("savegame.mod.sw11") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sw11", not GetBool("savegame.mod.sw11"))
            PlaySound(snd)
        end

        UiPop()


        
        UiPush()
        UiTranslate(30,-40)
        if GetBool("savegame.mod.se11") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.se11", not GetBool("savegame.mod.se11"))
            PlaySound(snd)
        end

        UiPop()

        


        UiPush()
        UiTranslate(190,-40)
        if GetBool("savegame.mod.sr11") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sr11", not GetBool("savegame.mod.sr11"))
            PlaySound(snd)
        end

        UiPop()




        UiPush()
        UiTranslate(30,-80)
        if GetBool("savegame.mod.st11") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.st11", not GetBool("savegame.mod.st11"))
            PlaySound(snd)
        end

        UiPop()

        


        UiPush()
        UiTranslate(190,-80)
        if GetBool("savegame.mod.sy11") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sy11", not GetBool("savegame.mod.sy11"))
            PlaySound(snd)
        end

        UiPop()





        UiPush()
        UiTranslate(-32,177)
        if GetBool("savegame.mod.su11") then
			UiPush()
                UiTranslate(70,20)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.su11", not GetBool("savegame.mod.su11"))
            PlaySound(snd)
        end

        UiPop()


        



        UiPush()
        UiTranslate(8,177)
        if GetBool("savegame.mod.si11") then
			UiPush()
                UiTranslate(48,20)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.si11", not GetBool("savegame.mod.si11"))
            PlaySound(snd)
        end

        UiPop()



        
        UiPush()
        UiTranslate(48,177)
        if GetBool("savegame.mod.so11") then
			UiPush()
                UiTranslate(25,20)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.so11", not GetBool("savegame.mod.so11"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(87,177)
        if GetBool("savegame.mod.sp11") then
			UiPush()
                UiTranslate(5,20)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sp11", not GetBool("savegame.mod.sp11"))
            PlaySound(snd)
        end

        UiPop()





        UiPush()
        UiTranslate(130,177)
        if GetBool("savegame.mod.sa11") then
			UiPush()
                UiTranslate(2,20)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sa11", not GetBool("savegame.mod.sa11"))
            PlaySound(snd)
        end

        UiPop()


        



        UiPush()
        UiTranslate(170,177)
        if GetBool("savegame.mod.ss11") then
			UiPush()
                UiTranslate(-20,20)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.ss11", not GetBool("savegame.mod.ss11"))
            PlaySound(snd)
        end

        UiPop()



        
        UiPush()
        UiTranslate(210,177)
        if GetBool("savegame.mod.sd11") then
			UiPush()
                UiTranslate(-42,20)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sd11", not GetBool("savegame.mod.sd11"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(250,177)
        if GetBool("savegame.mod.sf11") then
			UiPush()
                UiTranslate(-63,20)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sf11", not GetBool("savegame.mod.sf11"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(-48,270)
        if GetBool("savegame.mod.sg11") then
			UiPush()
                UiTranslate(50,-30)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sg11", not GetBool("savegame.mod.sg11"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(-48,555)
        if GetBool("savegame.mod.sh11") then
			UiPush()
                UiTranslate(50,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sh11", not GetBool("savegame.mod.sh11"))
            PlaySound(snd)
        end

        UiPop()




        UiPush()
        UiTranslate(260,270)
        if GetBool("savegame.mod.sj11") then
			UiPush()
                UiTranslate(-35,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sj11", not GetBool("savegame.mod.sj11"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(260,555)
        if GetBool("savegame.mod.sk11") then
			UiPush()
                UiTranslate(-35,-30)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sk11", not GetBool("savegame.mod.sk11"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(50,580)
        if GetBool("savegame.mod.sl11") then
			UiPush()
                UiTranslate(-10,10)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sl11", not GetBool("savegame.mod.sl11"))
            PlaySound(snd)
        end

        UiPop()


        UiPush()
        UiTranslate(165,580)
        if GetBool("savegame.mod.sz11") then
			UiPush()
                UiTranslate(20,10)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sz11", not GetBool("savegame.mod.sz11"))
            PlaySound(snd)
        end

        UiPop()

        UiPush()
        UiTranslate(-15,660)
        if GetBool("savegame.mod.sx11") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sx11", not GetBool("savegame.mod.sx11"))
            PlaySound(snd)
        end

        UiPop()


        UiPush()
        UiTranslate(240,660)
        if GetBool("savegame.mod.sc11") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sc11", not GetBool("savegame.mod.sc11"))
            PlaySound(snd)
        end

        UiPop()


        UiPush()
        UiTranslate(-15,700)
        if GetBool("savegame.mod.sv11") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sv11", not GetBool("savegame.mod.sv11"))
            PlaySound(snd)
        end

        UiPop()

    

        UiPush()
        UiTranslate(240,700)
        if GetBool("savegame.mod.sb11") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sb11", not GetBool("savegame.mod.sb11"))
            PlaySound(snd)
        end

        UiPop()


        UiTranslate(400,0)
        local resetButton = UiTextButton("Reset Lights", 200, 50)
        if resetButton then
            SetBool("savegame.mod.sq11")  
            SetBool("savegame.mod.sw11")  
            SetBool("savegame.mod.se11")  
            SetBool("savegame.mod.sr11")  
            SetBool("savegame.mod.st11")  
            SetBool("savegame.mod.sy11")  
            SetBool("savegame.mod.su11")  
            SetBool("savegame.mod.si11")  
            SetBool("savegame.mod.so11")  
            SetBool("savegame.mod.sp11") 
            SetBool("savegame.mod.sa11") 
            SetBool("savegame.mod.ss11") 
            SetBool("savegame.mod.sd11") 
            SetBool("savegame.mod.sf11")  
            SetBool("savegame.mod.sg11")  
            SetBool("savegame.mod.sh11")  
            SetBool("savegame.mod.sj11")  
            SetBool("savegame.mod.sk11")  
            SetBool("savegame.mod.sl11")  
            SetBool("savegame.mod.sz11")  
            SetBool("savegame.mod.sx11")  
            SetBool("savegame.mod.sc11")  
            SetBool("savegame.mod.sv11")  
            SetBool("savegame.mod.sb11")  
            PlaySound(snd)
        end
    end
    UiPop()

 



    UiPush()
    if GetInt("savegame.mod.time") == 55 then
        UiPush()
        UiTranslate(500,-125)
        UiImage("ui/common/dot.png")
        UiPop()
        UiTranslate(50,50)
        UiButtonImageBox("MOD/images/box-outline-6.png", 6, 6)

--light button
        UiPush()
        UiTranslate(-20,20)
        if GetBool("savegame.mod.sq12") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sq12", not GetBool("savegame.mod.sq12"))
            PlaySound(snd)
        end

        UiPop()
--light button

        UiPush()
        UiTranslate(240,20)
        if GetBool("savegame.mod.sw12") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sw12", not GetBool("savegame.mod.sw12"))
            PlaySound(snd)
        end

        UiPop()


        
        UiPush()
        UiTranslate(30,-40)
        if GetBool("savegame.mod.se12") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.se12", not GetBool("savegame.mod.se12"))
            PlaySound(snd)
        end

        UiPop()

        


        UiPush()
        UiTranslate(190,-40)
        if GetBool("savegame.mod.sr12") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sr12", not GetBool("savegame.mod.sr12"))
            PlaySound(snd)
        end

        UiPop()




        UiPush()
        UiTranslate(30,-80)
        if GetBool("savegame.mod.st12") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.st12", not GetBool("savegame.mod.st12"))
            PlaySound(snd)
        end

        UiPop()

        


        UiPush()
        UiTranslate(190,-80)
        if GetBool("savegame.mod.sy12") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sy12", not GetBool("savegame.mod.sy12"))
            PlaySound(snd)
        end

        UiPop()





        UiPush()
        UiTranslate(-32,177)
        if GetBool("savegame.mod.su12") then
			UiPush()
                UiTranslate(70,20)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.su12", not GetBool("savegame.mod.su12"))
            PlaySound(snd)
        end

        UiPop()


        



        UiPush()
        UiTranslate(8,177)
        if GetBool("savegame.mod.si12") then
			UiPush()
                UiTranslate(48,20)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.si12", not GetBool("savegame.mod.si12"))
            PlaySound(snd)
        end

        UiPop()



        
        UiPush()
        UiTranslate(48,177)
        if GetBool("savegame.mod.so12") then
			UiPush()
                UiTranslate(25,20)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.so12", not GetBool("savegame.mod.so12"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(87,177)
        if GetBool("savegame.mod.sp12") then
			UiPush()
                UiTranslate(5,20)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sp12", not GetBool("savegame.mod.sp12"))
            PlaySound(snd)
        end

        UiPop()





        UiPush()
        UiTranslate(130,177)
        if GetBool("savegame.mod.sa12") then
			UiPush()
                UiTranslate(2,20)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sa12", not GetBool("savegame.mod.sa12"))
            PlaySound(snd)
        end

        UiPop()


        



        UiPush()
        UiTranslate(170,177)
        if GetBool("savegame.mod.ss12") then
			UiPush()
                UiTranslate(-20,20)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.ss12", not GetBool("savegame.mod.ss12"))
            PlaySound(snd)
        end

        UiPop()



        
        UiPush()
        UiTranslate(210,177)
        if GetBool("savegame.mod.sd12") then
			UiPush()
                UiTranslate(-42,20)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sd12", not GetBool("savegame.mod.sd12"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(250,177)
        if GetBool("savegame.mod.sf12") then
			UiPush()
                UiTranslate(-63,20)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sf12", not GetBool("savegame.mod.sf12"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(-48,270)
        if GetBool("savegame.mod.sg12") then
			UiPush()
                UiTranslate(50,-30)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sg12", not GetBool("savegame.mod.sg12"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(-48,555)
        if GetBool("savegame.mod.sh12") then
			UiPush()
                UiTranslate(50,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sh12", not GetBool("savegame.mod.sh12"))
            PlaySound(snd)
        end

        UiPop()




        UiPush()
        UiTranslate(260,270)
        if GetBool("savegame.mod.sj12") then
			UiPush()
                UiTranslate(-35,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sj12", not GetBool("savegame.mod.sj12"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(260,555)
        if GetBool("savegame.mod.sk12") then
			UiPush()
                UiTranslate(-35,-30)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sk12", not GetBool("savegame.mod.sk12"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(50,580)
        if GetBool("savegame.mod.sl12") then
			UiPush()
                UiTranslate(-10,10)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sl12", not GetBool("savegame.mod.sl12"))
            PlaySound(snd)
        end

        UiPop()


        UiPush()
        UiTranslate(165,580)
        if GetBool("savegame.mod.sz12") then
			UiPush()
                UiTranslate(20,10)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sz12", not GetBool("savegame.mod.sz12"))
            PlaySound(snd)
        end

        UiPop()

        UiPush()
        UiTranslate(-15,660)
        if GetBool("savegame.mod.sx12") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sx12", not GetBool("savegame.mod.sx12"))
            PlaySound(snd)
        end

        UiPop()


        UiPush()
        UiTranslate(240,660)
        if GetBool("savegame.mod.sc12") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sc12", not GetBool("savegame.mod.sc12"))
            PlaySound(snd)
        end

        UiPop()


        UiPush()
        UiTranslate(-15,700)
        if GetBool("savegame.mod.sv12") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sv12", not GetBool("savegame.mod.sv12"))
            PlaySound(snd)
        end

        UiPop()

    

        UiPush()
        UiTranslate(240,700)
        if GetBool("savegame.mod.sb12") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sb12", not GetBool("savegame.mod.sb12"))
            PlaySound(snd)
        end

        UiPop()


        UiTranslate(400,0)
        local resetButton = UiTextButton("Reset Lights", 200, 50)
        if resetButton then
            SetBool("savegame.mod.sq12")  
            SetBool("savegame.mod.sw12")  
            SetBool("savegame.mod.se12")  
            SetBool("savegame.mod.sr12")  
            SetBool("savegame.mod.st12")  
            SetBool("savegame.mod.sy12")  
            SetBool("savegame.mod.su12")  
            SetBool("savegame.mod.si12")  
            SetBool("savegame.mod.so12")  
            SetBool("savegame.mod.sp12") 
            SetBool("savegame.mod.sa12") 
            SetBool("savegame.mod.ss12") 
            SetBool("savegame.mod.sd12") 
            SetBool("savegame.mod.sf12")  
            SetBool("savegame.mod.sg12")  
            SetBool("savegame.mod.sh12")  
            SetBool("savegame.mod.sj12")  
            SetBool("savegame.mod.sk12")  
            SetBool("savegame.mod.sl12")  
            SetBool("savegame.mod.sz12")  
            SetBool("savegame.mod.sx12")  
            SetBool("savegame.mod.sc12")  
            SetBool("savegame.mod.sv12")  
            SetBool("savegame.mod.sb12")  
            PlaySound(snd)
        end
    end
    UiPop()


    

    UiPush()
    if GetInt("savegame.mod.time") == 60 then
        UiPush()
        UiTranslate(555,-125)
        UiImage("ui/common/dot.png")
        UiPop()
        UiTranslate(50,50)
        UiButtonImageBox("MOD/images/box-outline-6.png", 6, 6)

--light button
        UiPush()
        UiTranslate(-20,20)
        if GetBool("savegame.mod.sq13") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sq13", not GetBool("savegame.mod.sq13"))
            PlaySound(snd)
        end

        UiPop()
--light button

        UiPush()
        UiTranslate(240,20)
        if GetBool("savegame.mod.sw13") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 1, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sw13", not GetBool("savegame.mod.sw13"))
            PlaySound(snd)
        end

        UiPop()


        
        UiPush()
        UiTranslate(30,-40)
        if GetBool("savegame.mod.se13") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.se13", not GetBool("savegame.mod.se13"))
            PlaySound(snd)
        end

        UiPop()

        


        UiPush()
        UiTranslate(190,-40)
        if GetBool("savegame.mod.sr13") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sr13", not GetBool("savegame.mod.sr13"))
            PlaySound(snd)
        end

        UiPop()




        UiPush()
        UiTranslate(30,-80)
        if GetBool("savegame.mod.st13") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.st13", not GetBool("savegame.mod.st13"))
            PlaySound(snd)
        end

        UiPop()

        


        UiPush()
        UiTranslate(190,-80)
        if GetBool("savegame.mod.sy13") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sy13", not GetBool("savegame.mod.sy13"))
            PlaySound(snd)
        end

        UiPop()





        UiPush()
        UiTranslate(-32,177)
        if GetBool("savegame.mod.su13") then
			UiPush()
                UiTranslate(70,20)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.su13", not GetBool("savegame.mod.su13"))
            PlaySound(snd)
        end

        UiPop()


        



        UiPush()
        UiTranslate(8,177)
        if GetBool("savegame.mod.si13") then
			UiPush()
                UiTranslate(48,20)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.si13", not GetBool("savegame.mod.si13"))
            PlaySound(snd)
        end

        UiPop()



        
        UiPush()
        UiTranslate(48,177)
        if GetBool("savegame.mod.so13") then
			UiPush()
                UiTranslate(25,20)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.so13", not GetBool("savegame.mod.so13"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(87,177)
        if GetBool("savegame.mod.sp13") then
			UiPush()
                UiTranslate(5,20)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sp13", not GetBool("savegame.mod.sp13"))
            PlaySound(snd)
        end

        UiPop()





        UiPush()
        UiTranslate(130,177)
        if GetBool("savegame.mod.sa13") then
			UiPush()
                UiTranslate(2,20)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sa13", not GetBool("savegame.mod.sa13"))
            PlaySound(snd)
        end

        UiPop()


        



        UiPush()
        UiTranslate(170,177)
        if GetBool("savegame.mod.ss13") then
			UiPush()
                UiTranslate(-20,20)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.ss13", not GetBool("savegame.mod.ss13"))
            PlaySound(snd)
        end

        UiPop()



        
        UiPush()
        UiTranslate(210,177)
        if GetBool("savegame.mod.sd13") then
			UiPush()
                UiTranslate(-42,20)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sd13", not GetBool("savegame.mod.sd13"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(250,177)
        if GetBool("savegame.mod.sf13") then
			UiPush()
                UiTranslate(-63,20)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sf13", not GetBool("savegame.mod.sf13"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(-48,270)
        if GetBool("savegame.mod.sg13") then
			UiPush()
                UiTranslate(50,-30)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sg13", not GetBool("savegame.mod.sg13"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(-48,555)
        if GetBool("savegame.mod.sh13") then
			UiPush()
                UiTranslate(50,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sh13", not GetBool("savegame.mod.sh13"))
            PlaySound(snd)
        end

        UiPop()




        UiPush()
        UiTranslate(260,270)
        if GetBool("savegame.mod.sj13") then
			UiPush()
                UiTranslate(-35,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sj13", not GetBool("savegame.mod.sj13"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(260,555)
        if GetBool("savegame.mod.sk13") then
			UiPush()
                UiTranslate(-35,-30)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sk13", not GetBool("savegame.mod.sk13"))
            PlaySound(snd)
        end

        UiPop()



        UiPush()
        UiTranslate(50,580)
        if GetBool("savegame.mod.sl13") then
			UiPush()
                UiTranslate(-10,10)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sl13", not GetBool("savegame.mod.sl13"))
            PlaySound(snd)
        end

        UiPop()


        UiPush()
        UiTranslate(165,580)
        if GetBool("savegame.mod.sz13") then
			UiPush()
                UiTranslate(20,10)
				UiColor(0, 0, 1, 1)
				UiImageBox("MOD/images/box-solid-6.png", 20, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("O", 40, 40) then
			SetBool("savegame.mod.sz13", not GetBool("savegame.mod.sz13"))
            PlaySound(snd)
        end

        UiPop()

        UiPush()
        UiTranslate(-15,660)
        if GetBool("savegame.mod.sx13") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sx13", not GetBool("savegame.mod.sx13"))
            PlaySound(snd)
        end

        UiPop()


        UiPush()
        UiTranslate(240,660)
        if GetBool("savegame.mod.sc13") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sc13", not GetBool("savegame.mod.sc13"))
            PlaySound(snd)
        end

        UiPop()


        UiPush()
        UiTranslate(-15,700)
        if GetBool("savegame.mod.sv13") then
			UiPush()
                UiTranslate(40,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sv13", not GetBool("savegame.mod.sv13"))
            PlaySound(snd)
        end

        UiPop()

    

        UiPush()
        UiTranslate(240,700)
        if GetBool("savegame.mod.sb13") then
			UiPush()
                UiTranslate(-50,-30)
				UiColor(1, 0, 0, 1)
				UiImageBox("MOD/images/box-solid-6.png", 30, 20, 6, 6)
			UiPop()
		end
        if 	UiTextButton("X", 40, 40) then
			SetBool("savegame.mod.sb13", not GetBool("savegame.mod.sb13"))
            PlaySound(snd)
        end

        UiPop()


        UiTranslate(400,0)
        local resetButton = UiTextButton("Reset Lights", 200, 50)
        if resetButton then
            SetBool("savegame.mod.sq13")  
            SetBool("savegame.mod.sw13")  
            SetBool("savegame.mod.se13")  
            SetBool("savegame.mod.sr13")  
            SetBool("savegame.mod.st13")  
            SetBool("savegame.mod.sy13")  
            SetBool("savegame.mod.su13")  
            SetBool("savegame.mod.si13")  
            SetBool("savegame.mod.so13")  
            SetBool("savegame.mod.sp13") 
            SetBool("savegame.mod.sa13") 
            SetBool("savegame.mod.ss13") 
            SetBool("savegame.mod.sd13") 
            SetBool("savegame.mod.sf13")  
            SetBool("savegame.mod.sg13")  
            SetBool("savegame.mod.sh13")  
            SetBool("savegame.mod.sj13")  
            SetBool("savegame.mod.sk13")  
            SetBool("savegame.mod.sl13")  
            SetBool("savegame.mod.sz13")  
            SetBool("savegame.mod.sx13")  
            SetBool("savegame.mod.sc13")  
            SetBool("savegame.mod.sv13")  
            SetBool("savegame.mod.sb13")  
            PlaySound(snd)
        end
    end
    UiPop()




    







    UiTranslate(465,100)
    UiScale(0.7, 0.7)
    UiColor(1,0,0,0.5)
    UiPush()
    UiTranslate(-16,-35)
    UiImageBox("MOD/images/box-solid-6.png", 260, 50, 6, 6)
    UiPop()
    UiColor(1,0,0)
    local resetButton = UiTextButton("Reset All Lights", 200, 50)
    if resetButton then
        SetBool("savegame.mod.sq1")  
        SetBool("savegame.mod.sw1")  
        SetBool("savegame.mod.se1")  
        SetBool("savegame.mod.sr1")  
        SetBool("savegame.mod.st1")  
        SetBool("savegame.mod.sy1")  
        SetBool("savegame.mod.su1")  
        SetBool("savegame.mod.si1")  
        SetBool("savegame.mod.so1")  
        SetBool("savegame.mod.sp1") 
        SetBool("savegame.mod.sa1") 
        SetBool("savegame.mod.ss1") 
        SetBool("savegame.mod.sd1") 
        SetBool("savegame.mod.sf1")  
        SetBool("savegame.mod.sg1")  
        SetBool("savegame.mod.sh1")  
        SetBool("savegame.mod.sj1")  
        SetBool("savegame.mod.sk1")  
        SetBool("savegame.mod.sl1")  
        SetBool("savegame.mod.sz1")  
        SetBool("savegame.mod.sx1")  
        SetBool("savegame.mod.sc1")  
        SetBool("savegame.mod.sv1")  
        SetBool("savegame.mod.sb1") 
        SetBool("savegame.mod.sq2")  
        SetBool("savegame.mod.sw2")  
        SetBool("savegame.mod.se2")  
        SetBool("savegame.mod.sr2")  
        SetBool("savegame.mod.st2")  
        SetBool("savegame.mod.sy2")  
        SetBool("savegame.mod.su2")  
        SetBool("savegame.mod.si2")  
        SetBool("savegame.mod.so2")  
        SetBool("savegame.mod.sp2") 
        SetBool("savegame.mod.sa2") 
        SetBool("savegame.mod.ss2") 
        SetBool("savegame.mod.sd2") 
        SetBool("savegame.mod.sf2")  
        SetBool("savegame.mod.sg2")  
        SetBool("savegame.mod.sh2")  
        SetBool("savegame.mod.sj2")  
        SetBool("savegame.mod.sk2")  
        SetBool("savegame.mod.sl2")  
        SetBool("savegame.mod.sz2")  
        SetBool("savegame.mod.sx2")  
        SetBool("savegame.mod.sc2")  
        SetBool("savegame.mod.sv2")  
        SetBool("savegame.mod.sb2") 
        SetBool("savegame.mod.sq3")  
        SetBool("savegame.mod.sw3")  
        SetBool("savegame.mod.se3")  
        SetBool("savegame.mod.sr3")  
        SetBool("savegame.mod.st3")  
        SetBool("savegame.mod.sy3")  
        SetBool("savegame.mod.su3")  
        SetBool("savegame.mod.si3")  
        SetBool("savegame.mod.so3")  
        SetBool("savegame.mod.sp3") 
        SetBool("savegame.mod.sa3") 
        SetBool("savegame.mod.ss3") 
        SetBool("savegame.mod.sd3") 
        SetBool("savegame.mod.sf3")  
        SetBool("savegame.mod.sg3")  
        SetBool("savegame.mod.sh3")  
        SetBool("savegame.mod.sj3")  
        SetBool("savegame.mod.sk3")  
        SetBool("savegame.mod.sl3")  
        SetBool("savegame.mod.sz3")  
        SetBool("savegame.mod.sx3")  
        SetBool("savegame.mod.sc3")  
        SetBool("savegame.mod.sv3")  
        SetBool("savegame.mod.sb3")  
        SetBool("savegame.mod.sq4")  
        SetBool("savegame.mod.sw4")  
        SetBool("savegame.mod.se4")  
        SetBool("savegame.mod.sr4")  
        SetBool("savegame.mod.st4")  
        SetBool("savegame.mod.sy4")  
        SetBool("savegame.mod.su4")  
        SetBool("savegame.mod.si4")  
        SetBool("savegame.mod.so4")  
        SetBool("savegame.mod.sp4") 
        SetBool("savegame.mod.sa4") 
        SetBool("savegame.mod.ss4") 
        SetBool("savegame.mod.sd4") 
        SetBool("savegame.mod.sf4")  
        SetBool("savegame.mod.sg4")  
        SetBool("savegame.mod.sh4")  
        SetBool("savegame.mod.sj4")  
        SetBool("savegame.mod.sk4")  
        SetBool("savegame.mod.sl4")  
        SetBool("savegame.mod.sz4")  
        SetBool("savegame.mod.sx4")  
        SetBool("savegame.mod.sc4")  
        SetBool("savegame.mod.sv4")  
        SetBool("savegame.mod.sb4") 
        SetBool("savegame.mod.sq5")  
        SetBool("savegame.mod.sw5")  
        SetBool("savegame.mod.se5")  
        SetBool("savegame.mod.sr5")  
        SetBool("savegame.mod.st5")  
        SetBool("savegame.mod.sy5")  
        SetBool("savegame.mod.su5")  
        SetBool("savegame.mod.si5")  
        SetBool("savegame.mod.so5")  
        SetBool("savegame.mod.sp5") 
        SetBool("savegame.mod.sa5") 
        SetBool("savegame.mod.ss5") 
        SetBool("savegame.mod.sd5") 
        SetBool("savegame.mod.sf5")  
        SetBool("savegame.mod.sg5")  
        SetBool("savegame.mod.sh5")  
        SetBool("savegame.mod.sj5")  
        SetBool("savegame.mod.sk5")  
        SetBool("savegame.mod.sl5")  
        SetBool("savegame.mod.sz5")  
        SetBool("savegame.mod.sx5")  
        SetBool("savegame.mod.sc5")  
        SetBool("savegame.mod.sv5")  
        SetBool("savegame.mod.sb5") 
        SetBool("savegame.mod.sq6")  
        SetBool("savegame.mod.sw6")  
        SetBool("savegame.mod.se6")  
        SetBool("savegame.mod.sr6")  
        SetBool("savegame.mod.st6")  
        SetBool("savegame.mod.sy6")  
        SetBool("savegame.mod.su6")  
        SetBool("savegame.mod.si6")  
        SetBool("savegame.mod.so6")  
        SetBool("savegame.mod.sp6") 
        SetBool("savegame.mod.sa6") 
        SetBool("savegame.mod.ss6") 
        SetBool("savegame.mod.sd6") 
        SetBool("savegame.mod.sf6")  
        SetBool("savegame.mod.sg6")  
        SetBool("savegame.mod.sh6")  
        SetBool("savegame.mod.sj6")  
        SetBool("savegame.mod.sk6")  
        SetBool("savegame.mod.sl6")  
        SetBool("savegame.mod.sz6")  
        SetBool("savegame.mod.sx6")  
        SetBool("savegame.mod.sc6")  
        SetBool("savegame.mod.sv6")  
        SetBool("savegame.mod.sb6") 
        SetBool("savegame.mod.sq7")  
        SetBool("savegame.mod.sw7")  
        SetBool("savegame.mod.se7")  
        SetBool("savegame.mod.sr7")  
        SetBool("savegame.mod.st6")  
        SetBool("savegame.mod.sy7")  
        SetBool("savegame.mod.su7")  
        SetBool("savegame.mod.si7")  
        SetBool("savegame.mod.so7")  
        SetBool("savegame.mod.sp7") 
        SetBool("savegame.mod.sa7") 
        SetBool("savegame.mod.ss7") 
        SetBool("savegame.mod.sd7") 
        SetBool("savegame.mod.sf7")  
        SetBool("savegame.mod.sg7")  
        SetBool("savegame.mod.sh7")  
        SetBool("savegame.mod.sj7")  
        SetBool("savegame.mod.sk7")  
        SetBool("savegame.mod.sl7")  
        SetBool("savegame.mod.sz7")  
        SetBool("savegame.mod.sx7")  
        SetBool("savegame.mod.sc7")  
        SetBool("savegame.mod.sv7")  
        SetBool("savegame.mod.sb7")  
        SetBool("savegame.mod.sq8")  
        SetBool("savegame.mod.sw8")  
        SetBool("savegame.mod.se8")  
        SetBool("savegame.mod.sr8")  
        SetBool("savegame.mod.st8")  
        SetBool("savegame.mod.sy8")  
        SetBool("savegame.mod.su8")  
        SetBool("savegame.mod.si8")  
        SetBool("savegame.mod.so8")  
        SetBool("savegame.mod.sp8") 
        SetBool("savegame.mod.sa8") 
        SetBool("savegame.mod.ss8") 
        SetBool("savegame.mod.sd8") 
        SetBool("savegame.mod.sf8")  
        SetBool("savegame.mod.sg8")  
        SetBool("savegame.mod.sh8")  
        SetBool("savegame.mod.sj8")  
        SetBool("savegame.mod.sk8")  
        SetBool("savegame.mod.sl8")  
        SetBool("savegame.mod.sz8")  
        SetBool("savegame.mod.sx8")  
        SetBool("savegame.mod.sc8")  
        SetBool("savegame.mod.sv8")  
        SetBool("savegame.mod.sb8")
        SetBool("savegame.mod.sq9")  
        SetBool("savegame.mod.sw9")  
        SetBool("savegame.mod.se9")  
        SetBool("savegame.mod.sr9")  
        SetBool("savegame.mod.st9")  
        SetBool("savegame.mod.sy9")  
        SetBool("savegame.mod.su9")  
        SetBool("savegame.mod.si9")  
        SetBool("savegame.mod.so9")  
        SetBool("savegame.mod.sp9") 
        SetBool("savegame.mod.sa9") 
        SetBool("savegame.mod.ss9") 
        SetBool("savegame.mod.sd9") 
        SetBool("savegame.mod.sf9")  
        SetBool("savegame.mod.sg9")  
        SetBool("savegame.mod.sh9")  
        SetBool("savegame.mod.sj9")  
        SetBool("savegame.mod.sk9")  
        SetBool("savegame.mod.sl9")  
        SetBool("savegame.mod.sz9")  
        SetBool("savegame.mod.sx9")  
        SetBool("savegame.mod.sc9")  
        SetBool("savegame.mod.sv9")  
        SetBool("savegame.mod.sb9") 
        SetBool("savegame.mod.sq10")  
        SetBool("savegame.mod.sw10")  
        SetBool("savegame.mod.se10")  
        SetBool("savegame.mod.sr10")  
        SetBool("savegame.mod.st10")  
        SetBool("savegame.mod.sy10")  
        SetBool("savegame.mod.su10")  
        SetBool("savegame.mod.si10")  
        SetBool("savegame.mod.so10")  
        SetBool("savegame.mod.sp10") 
        SetBool("savegame.mod.sa10") 
        SetBool("savegame.mod.ss10") 
        SetBool("savegame.mod.sd10") 
        SetBool("savegame.mod.sf10")  
        SetBool("savegame.mod.sg10")  
        SetBool("savegame.mod.sh10")  
        SetBool("savegame.mod.sj10")  
        SetBool("savegame.mod.sk10")  
        SetBool("savegame.mod.sl10")  
        SetBool("savegame.mod.sz10")  
        SetBool("savegame.mod.sx10")  
        SetBool("savegame.mod.sc10")  
        SetBool("savegame.mod.sv10")  
        SetBool("savegame.mod.sb10") 
        SetBool("savegame.mod.sq11")  
        SetBool("savegame.mod.sw11")  
        SetBool("savegame.mod.se11")  
        SetBool("savegame.mod.sr11")  
        SetBool("savegame.mod.st11")  
        SetBool("savegame.mod.sy11")  
        SetBool("savegame.mod.su11")  
        SetBool("savegame.mod.si11")  
        SetBool("savegame.mod.so11")  
        SetBool("savegame.mod.sp11") 
        SetBool("savegame.mod.sa11") 
        SetBool("savegame.mod.ss11") 
        SetBool("savegame.mod.sd11") 
        SetBool("savegame.mod.sf11")  
        SetBool("savegame.mod.sg11")  
        SetBool("savegame.mod.sh11")  
        SetBool("savegame.mod.sj11")  
        SetBool("savegame.mod.sk11")  
        SetBool("savegame.mod.sl11")  
        SetBool("savegame.mod.sz11")  
        SetBool("savegame.mod.sx11")  
        SetBool("savegame.mod.sc11")  
        SetBool("savegame.mod.sv11")  
        SetBool("savegame.mod.sb11") 
        SetBool("savegame.mod.sq12")  
        SetBool("savegame.mod.sw12")  
        SetBool("savegame.mod.se12")  
        SetBool("savegame.mod.sr12")  
        SetBool("savegame.mod.st12")  
        SetBool("savegame.mod.sy12")  
        SetBool("savegame.mod.su12")  
        SetBool("savegame.mod.si12")  
        SetBool("savegame.mod.so12")  
        SetBool("savegame.mod.sp12") 
        SetBool("savegame.mod.sa12") 
        SetBool("savegame.mod.ss12") 
        SetBool("savegame.mod.sd12") 
        SetBool("savegame.mod.sf12")  
        SetBool("savegame.mod.sg12")  
        SetBool("savegame.mod.sh12")  
        SetBool("savegame.mod.sj12")  
        SetBool("savegame.mod.sk12")  
        SetBool("savegame.mod.sl12")  
        SetBool("savegame.mod.sz12")  
        SetBool("savegame.mod.sx12")  
        SetBool("savegame.mod.sc12")  
        SetBool("savegame.mod.sv12")  
        SetBool("savegame.mod.sb12") 
        SetBool("savegame.mod.sq13")  
        SetBool("savegame.mod.sw13")  
        SetBool("savegame.mod.se13")  
        SetBool("savegame.mod.sr13")  
        SetBool("savegame.mod.st13")  
        SetBool("savegame.mod.sy13")  
        SetBool("savegame.mod.su13")  
        SetBool("savegame.mod.si13")  
        SetBool("savegame.mod.so13")  
        SetBool("savegame.mod.sp13") 
        SetBool("savegame.mod.sa13") 
        SetBool("savegame.mod.ss13") 
        SetBool("savegame.mod.sd13") 
        SetBool("savegame.mod.sf13")  
        SetBool("savegame.mod.sg13")  
        SetBool("savegame.mod.sh13")  
        SetBool("savegame.mod.sj13")  
        SetBool("savegame.mod.sk13")  
        SetBool("savegame.mod.sl13")  
        SetBool("savegame.mod.sz13")  
        SetBool("savegame.mod.sx13")  
        SetBool("savegame.mod.sc13")  
        SetBool("savegame.mod.sv13")  
        SetBool("savegame.mod.sb13")  
        PlaySound(snd)       
    end

    UiTranslate(10,60)
    local defaultbutton = UiTextButton("Default Lights", 200, 50)
    if defaultbutton then
        SetBool("savegame.mod.sq1", true)  
        SetBool("savegame.mod.sw1", true)  
        SetBool("savegame.mod.se1", true)  
        SetBool("savegame.mod.sr1")  
        SetBool("savegame.mod.st1", true)  
        SetBool("savegame.mod.sy1")  
        SetBool("savegame.mod.su1", true)  
        SetBool("savegame.mod.si1")  
        SetBool("savegame.mod.so1")  
        SetBool("savegame.mod.sp1") 
        SetBool("savegame.mod.sa1") 
        SetBool("savegame.mod.ss1") 
        SetBool("savegame.mod.sd1") 
        SetBool("savegame.mod.sf1", true)  
        SetBool("savegame.mod.sg1", true)  
        SetBool("savegame.mod.sh1")  
        SetBool("savegame.mod.sj1")  
        SetBool("savegame.mod.sk1", true)  
        SetBool("savegame.mod.sl1", true)  
        SetBool("savegame.mod.sz1", true)  
        SetBool("savegame.mod.sx1", true)  
        SetBool("savegame.mod.sc1", true)  
        SetBool("savegame.mod.sv1", true)  
        SetBool("savegame.mod.sb1", true) 
        SetBool("savegame.mod.sq2")  
        SetBool("savegame.mod.sw2")  
        SetBool("savegame.mod.se2", true)  
        SetBool("savegame.mod.sr2")  
        SetBool("savegame.mod.st2")  
        SetBool("savegame.mod.sy2")  
        SetBool("savegame.mod.su2", true)  
        SetBool("savegame.mod.si2", true)  
        SetBool("savegame.mod.so2")  
        SetBool("savegame.mod.sp2") 
        SetBool("savegame.mod.sa2") 
        SetBool("savegame.mod.ss2") 
        SetBool("savegame.mod.sd2", true) 
        SetBool("savegame.mod.sf2", true)  
        SetBool("savegame.mod.sg2")  
        SetBool("savegame.mod.sh2")  
        SetBool("savegame.mod.sj2")  
        SetBool("savegame.mod.sk2")  
        SetBool("savegame.mod.sl2")  
        SetBool("savegame.mod.sz2")  
        SetBool("savegame.mod.sx2")  
        SetBool("savegame.mod.sc2")  
        SetBool("savegame.mod.sv2")  
        SetBool("savegame.mod.sb2") 
        SetBool("savegame.mod.sq3", true)  
        SetBool("savegame.mod.sw3")  
        SetBool("savegame.mod.se3")  
        SetBool("savegame.mod.sr3", true)  
        SetBool("savegame.mod.st3", true)  
        SetBool("savegame.mod.sy3")  
        SetBool("savegame.mod.su3")  
        SetBool("savegame.mod.si3", true)  
        SetBool("savegame.mod.so3", true)  
        SetBool("savegame.mod.sp3") 
        SetBool("savegame.mod.sa3") 
        SetBool("savegame.mod.ss3", true) 
        SetBool("savegame.mod.sd3", true) 
        SetBool("savegame.mod.sf3")  
        SetBool("savegame.mod.sg3", true)  
        SetBool("savegame.mod.sh3")  
        SetBool("savegame.mod.sj3")  
        SetBool("savegame.mod.sk3", true)  
        SetBool("savegame.mod.sl3", true)  
        SetBool("savegame.mod.sz3")  
        SetBool("savegame.mod.sx3")  
        SetBool("savegame.mod.sc3", true)  
        SetBool("savegame.mod.sv3")  
        SetBool("savegame.mod.sb3", true)  
        SetBool("savegame.mod.sq4")  
        SetBool("savegame.mod.sw4")  
        SetBool("savegame.mod.se4")  
        SetBool("savegame.mod.sr4", true)  
        SetBool("savegame.mod.st4")  
        SetBool("savegame.mod.sy4")  
        SetBool("savegame.mod.su4")  
        SetBool("savegame.mod.si4")  
        SetBool("savegame.mod.so4", true)  
        SetBool("savegame.mod.sp4", true) 
        SetBool("savegame.mod.sa4", true) 
        SetBool("savegame.mod.ss4", true) 
        SetBool("savegame.mod.sd4") 
        SetBool("savegame.mod.sf4")  
        SetBool("savegame.mod.sg4")  
        SetBool("savegame.mod.sh4", true)  
        SetBool("savegame.mod.sj4", true)  
        SetBool("savegame.mod.sk4")  
        SetBool("savegame.mod.sl4")  
        SetBool("savegame.mod.sz4")  
        SetBool("savegame.mod.sx4")  
        SetBool("savegame.mod.sc4")  
        SetBool("savegame.mod.sv4")  
        SetBool("savegame.mod.sb4") 
        SetBool("savegame.mod.sq5", true)  
        SetBool("savegame.mod.sw5")  
        SetBool("savegame.mod.se5", true)  
        SetBool("savegame.mod.sr5")  
        SetBool("savegame.mod.st5", true)  
        SetBool("savegame.mod.sy5")  
        SetBool("savegame.mod.su5")  
        SetBool("savegame.mod.si5")  
        SetBool("savegame.mod.so5")  
        SetBool("savegame.mod.sp5", true) 
        SetBool("savegame.mod.sa5", true) 
        SetBool("savegame.mod.ss5") 
        SetBool("savegame.mod.sd5") 
        SetBool("savegame.mod.sf5")  
        SetBool("savegame.mod.sg5")  
        SetBool("savegame.mod.sh5")  
        SetBool("savegame.mod.sj5")  
        SetBool("savegame.mod.sk5")  
        SetBool("savegame.mod.sl5", true)  
        SetBool("savegame.mod.sz5")  
        SetBool("savegame.mod.sx5")  
        SetBool("savegame.mod.sc5", true)  
        SetBool("savegame.mod.sv5")  
        SetBool("savegame.mod.sb5", true) 
        SetBool("savegame.mod.sq6", true)  
        SetBool("savegame.mod.sw6")  
        SetBool("savegame.mod.se6", true)  
        SetBool("savegame.mod.sr6")  
        SetBool("savegame.mod.st6", true)  
        SetBool("savegame.mod.sy6")  
        SetBool("savegame.mod.su6")  
        SetBool("savegame.mod.si6")  
        SetBool("savegame.mod.so6")  
        SetBool("savegame.mod.sp6") 
        SetBool("savegame.mod.sa6") 
        SetBool("savegame.mod.ss6") 
        SetBool("savegame.mod.sd6") 
        SetBool("savegame.mod.sf6")  
        SetBool("savegame.mod.sg6")  
        SetBool("savegame.mod.sh6", true)  
        SetBool("savegame.mod.sj6", true)  
        SetBool("savegame.mod.sk6")  
        SetBool("savegame.mod.sl6", true)  
        SetBool("savegame.mod.sz6")  
        SetBool("savegame.mod.sx6")  
        SetBool("savegame.mod.sc6", true)  
        SetBool("savegame.mod.sv6")  
        SetBool("savegame.mod.sb6", true) 
        SetBool("savegame.mod.sq7", true)  
        SetBool("savegame.mod.sw7", true)  
        SetBool("savegame.mod.se7")  
        SetBool("savegame.mod.sr7", true)  
        SetBool("savegame.mod.st6")  
        SetBool("savegame.mod.sy7", true)  
        SetBool("savegame.mod.su7")  
        SetBool("savegame.mod.si7")  
        SetBool("savegame.mod.so7")  
        SetBool("savegame.mod.sp7", true) 
        SetBool("savegame.mod.sa7", true) 
        SetBool("savegame.mod.ss7") 
        SetBool("savegame.mod.sd7") 
        SetBool("savegame.mod.sf7")  
        SetBool("savegame.mod.sg7", true)  
        SetBool("savegame.mod.sh7")  
        SetBool("savegame.mod.sj7")  
        SetBool("savegame.mod.sk7", true)  
        SetBool("savegame.mod.sl7", true)  
        SetBool("savegame.mod.sz7", true)  
        SetBool("savegame.mod.sx7", true)  
        SetBool("savegame.mod.sc7", true)  
        SetBool("savegame.mod.sv7", true)  
        SetBool("savegame.mod.sb7", true)  
        SetBool("savegame.mod.sq8")  
        SetBool("savegame.mod.sw8")  
        SetBool("savegame.mod.se8")  
        SetBool("savegame.mod.sr8", true)  
        SetBool("savegame.mod.st8")  
        SetBool("savegame.mod.sy8")  
        SetBool("savegame.mod.su8")  
        SetBool("savegame.mod.si8")  
        SetBool("savegame.mod.so8", true)  
        SetBool("savegame.mod.sp8", true) 
        SetBool("savegame.mod.sa8", true) 
        SetBool("savegame.mod.ss8", true) 
        SetBool("savegame.mod.sd8") 
        SetBool("savegame.mod.sf8")  
        SetBool("savegame.mod.sg8")  
        SetBool("savegame.mod.sh8")  
        SetBool("savegame.mod.sj8")  
        SetBool("savegame.mod.sk8")  
        SetBool("savegame.mod.sl8")  
        SetBool("savegame.mod.sz8")  
        SetBool("savegame.mod.sx8")  
        SetBool("savegame.mod.sc8")  
        SetBool("savegame.mod.sv8")  
        SetBool("savegame.mod.sb8")
        SetBool("savegame.mod.sq9")  
        SetBool("savegame.mod.sw9", true)  
        SetBool("savegame.mod.se9", true)  
        SetBool("savegame.mod.sr9")  
        SetBool("savegame.mod.st9")  
        SetBool("savegame.mod.sy9", true)  
        SetBool("savegame.mod.su9")  
        SetBool("savegame.mod.si9", true)  
        SetBool("savegame.mod.so9", true)  
        SetBool("savegame.mod.sp9") 
        SetBool("savegame.mod.sa9") 
        SetBool("savegame.mod.ss9", true) 
        SetBool("savegame.mod.sd9", true) 
        SetBool("savegame.mod.sf9")  
        SetBool("savegame.mod.sg9", true)  
        SetBool("savegame.mod.sh9")  
        SetBool("savegame.mod.sj9")  
        SetBool("savegame.mod.sk9", true)  
        SetBool("savegame.mod.sl9")  
        SetBool("savegame.mod.sz9", true)  
        SetBool("savegame.mod.sx9", true)  
        SetBool("savegame.mod.sc9")  
        SetBool("savegame.mod.sv9", true)  
        SetBool("savegame.mod.sb9") 
        SetBool("savegame.mod.sq10")  
        SetBool("savegame.mod.sw10")  
        SetBool("savegame.mod.se10", true)  
        SetBool("savegame.mod.sr10")  
        SetBool("savegame.mod.st10")  
        SetBool("savegame.mod.sy10")  
        SetBool("savegame.mod.su10", true)  
        SetBool("savegame.mod.si10", true)  
        SetBool("savegame.mod.so10")  
        SetBool("savegame.mod.sp10") 
        SetBool("savegame.mod.sa10") 
        SetBool("savegame.mod.ss10") 
        SetBool("savegame.mod.sd10", true) 
        SetBool("savegame.mod.sf10", true)  
        SetBool("savegame.mod.sg10")  
        SetBool("savegame.mod.sh10", true)  
        SetBool("savegame.mod.sj10", true)  
        SetBool("savegame.mod.sk10")  
        SetBool("savegame.mod.sl10")  
        SetBool("savegame.mod.sz10")  
        SetBool("savegame.mod.sx10")  
        SetBool("savegame.mod.sc10")  
        SetBool("savegame.mod.sv10")  
        SetBool("savegame.mod.sb10") 
        SetBool("savegame.mod.sq11")  
        SetBool("savegame.mod.sw11", true)  
        SetBool("savegame.mod.se11")  
        SetBool("savegame.mod.sr11", true)  
        SetBool("savegame.mod.st11")  
        SetBool("savegame.mod.sy11", true)  
        SetBool("savegame.mod.su11", true)  
        SetBool("savegame.mod.si11")  
        SetBool("savegame.mod.so11")  
        SetBool("savegame.mod.sp11") 
        SetBool("savegame.mod.sa11") 
        SetBool("savegame.mod.ss11") 
        SetBool("savegame.mod.sd11") 
        SetBool("savegame.mod.sf11", true)  
        SetBool("savegame.mod.sg11")  
        SetBool("savegame.mod.sh11")  
        SetBool("savegame.mod.sj11")  
        SetBool("savegame.mod.sk11")  
        SetBool("savegame.mod.sl11")  
        SetBool("savegame.mod.sz11", true)  
        SetBool("savegame.mod.sx11", true)  
        SetBool("savegame.mod.sc11")  
        SetBool("savegame.mod.sv11", true)  
        SetBool("savegame.mod.sb11") 
        SetBool("savegame.mod.sq12")  
        SetBool("savegame.mod.sw12", true)  
        SetBool("savegame.mod.se12")  
        SetBool("savegame.mod.sr12", true)  
        SetBool("savegame.mod.st12")  
        SetBool("savegame.mod.sy12", true)  
        SetBool("savegame.mod.su12")  
        SetBool("savegame.mod.si12")  
        SetBool("savegame.mod.so12")  
        SetBool("savegame.mod.sp12") 
        SetBool("savegame.mod.sa12") 
        SetBool("savegame.mod.ss12") 
        SetBool("savegame.mod.sd12") 
        SetBool("savegame.mod.sf12")  
        SetBool("savegame.mod.sg12")  
        SetBool("savegame.mod.sh12", true)  
        SetBool("savegame.mod.sj12", true)  
        SetBool("savegame.mod.sk12")  
        SetBool("savegame.mod.sl12")  
        SetBool("savegame.mod.sz12", true)  
        SetBool("savegame.mod.sx12", true)  
        SetBool("savegame.mod.sc12")  
        SetBool("savegame.mod.sv12", true)  
        SetBool("savegame.mod.sb12") 
        SetBool("savegame.mod.sq13")  
        SetBool("savegame.mod.sw13", true)  
        SetBool("savegame.mod.se13")  
        SetBool("savegame.mod.sr13", true)  
        SetBool("savegame.mod.st13")  
        SetBool("savegame.mod.sy13", true)  
        SetBool("savegame.mod.su13")  
        SetBool("savegame.mod.si13")  
        SetBool("savegame.mod.so13")  
        SetBool("savegame.mod.sp13") 
        SetBool("savegame.mod.sa13") 
        SetBool("savegame.mod.ss13") 
        SetBool("savegame.mod.sd13") 
        SetBool("savegame.mod.sf13")  
        SetBool("savegame.mod.sg13")  
        SetBool("savegame.mod.sh13", true)  
        SetBool("savegame.mod.sj13", true)  
        SetBool("savegame.mod.sk13")  
        SetBool("savegame.mod.sl13")  
        SetBool("savegame.mod.sz13", true)  
        SetBool("savegame.mod.sx13", true)  
        SetBool("savegame.mod.sc13")  
        SetBool("savegame.mod.sv13", true)  
        SetBool("savegame.mod.sb13")  
        PlaySound(snd)
    end



    UiPop()

		else
            UiColor(1,1,1)
			UiText("Press M to configure")
            SetBool("game.disablepause", false)
            SetBool("game.disablemap", false)
		end

        -- farol 1
    if GetBool("savegame.mod.sq1") then
        sqq0 = GetFloat("savegame.mod.lighs.headlight")
    else
        sqq0 = 0
    end
    if GetBool("savegame.mod.sq2") then
        sqq5 = GetFloat("savegame.mod.lighs.headlight")
    else
        sqq5 = 0
    end
    if GetBool("savegame.mod.sq3") then
        sqq10 = GetFloat("savegame.mod.lighs.headlight")
    else
        sqq10 = 0
    end
    if GetBool("savegame.mod.sq4") then
        sqq15 = GetFloat("savegame.mod.lighs.headlight")
    else
        sqq15 = 0
    end
    if GetBool("savegame.mod.sq5") then
        sqq20 = GetFloat("savegame.mod.lighs.headlight")
    else
        sqq20 = 0
    end
    if GetBool("savegame.mod.sq6") then
        sqq25 = GetFloat("savegame.mod.lighs.headlight")
    else
        sqq25 = 0
    end
    if GetBool("savegame.mod.sq7") then
        sqq30 = GetFloat("savegame.mod.lighs.headlight")
    else
        sqq30 = 0
    end
    if GetBool("savegame.mod.sq8") then
        sqq35 = GetFloat("savegame.mod.lighs.headlight")
    else
        sqq35 = 0
    end
    if GetBool("savegame.mod.sq9") then
        sqq40 = GetFloat("savegame.mod.lighs.headlight")
    else
        sqq40 = 0
    end
    if GetBool("savegame.mod.sq10") then
        sqq45 = GetFloat("savegame.mod.lighs.headlight")
    else
        sqq45 = 0
    end
    if GetBool("savegame.mod.sq11") then
        sqq50 = GetFloat("savegame.mod.lighs.headlight")
    else
        sqq50 = 0
    end
    if GetBool("savegame.mod.sq12") then
        sqq55 = GetFloat("savegame.mod.lighs.headlight")
    else
        sqq55 = 0
    end
    if GetBool("savegame.mod.sq13") then
        sqq59 = GetFloat("savegame.mod.lighs.headlight")
    else
        sqq59 = 0
    end



-- farol 2
if GetBool("savegame.mod.sw1") then
    sww0 = GetFloat("savegame.mod.lighs.headlight")
else
    sww0 = 0
end
if GetBool("savegame.mod.sw2") then
    sww5 = GetFloat("savegame.mod.lighs.headlight")
else
    sww5 = 0
end
if GetBool("savegame.mod.sw3") then
    sww10 = GetFloat("savegame.mod.lighs.headlight")
else
    sww10 = 0
end
if GetBool("savegame.mod.sw4") then
    sww15 = GetFloat("savegame.mod.lighs.headlight")
else
    sww15 = 0
end
if GetBool("savegame.mod.sw5") then
    sww20 = GetFloat("savegame.mod.lighs.headlight")
else
    sww20 = 0
end
if GetBool("savegame.mod.sw6") then
    sww25 = GetFloat("savegame.mod.lighs.headlight")
else
    sww25 = 0
end
if GetBool("savegame.mod.sw7") then
    sww30 = GetFloat("savegame.mod.lighs.headlight")
else
    sww30 = 0
end
if GetBool("savegame.mod.sw8") then
    sww35 = GetFloat("savegame.mod.lighs.headlight")
else
    sww35 = 0
end
if GetBool("savegame.mod.sw9") then
    sww40 = GetFloat("savegame.mod.lighs.headlight")
else
    sww40 = 0
end
if GetBool("savegame.mod.sw10") then
    sww45 = GetFloat("savegame.mod.lighs.headlight")
else
    sww45 = 0
end
if GetBool("savegame.mod.sw11") then
    sww50 = GetFloat("savegame.mod.lighs.headlight")
else
    sww50 = 0
end
if GetBool("savegame.mod.sw12") then
    sww55 = GetFloat("savegame.mod.lighs.headlight")
else
    sww55 = 0
end
if GetBool("savegame.mod.sw13") then
    sww59 = GetFloat("savegame.mod.lighs.headlight")
else
    sww59 = 0
end


-- farol 3
if GetBool("savegame.mod.se1") then
    see0 = GetFloat("savegame.mod.emlights.front")
else
    see0 = 0
end
if GetBool("savegame.mod.se2") then
    see5 = GetFloat("savegame.mod.emlights.front")
else
    see5 = 0
end
if GetBool("savegame.mod.se3") then
    see10 = GetFloat("savegame.mod.emlights.front")
else
    see10 = 0
end
if GetBool("savegame.mod.se4") then
    see15 = GetFloat("savegame.mod.emlights.front")
else
    see15 = 0
end
if GetBool("savegame.mod.se5") then
    see20 = GetFloat("savegame.mod.emlights.front")
else
    see20 = 0
end
if GetBool("savegame.mod.se6") then
    see25 = GetFloat("savegame.mod.emlights.front")
else
    see25 = 0
end
if GetBool("savegame.mod.se7") then
    see30 = GetFloat("savegame.mod.emlights.front")
else
    see30 = 0
end
if GetBool("savegame.mod.se8") then
    see35 = GetFloat("savegame.mod.emlights.front")
else
    see35 = 0
end
if GetBool("savegame.mod.se9") then
    see40 = GetFloat("savegame.mod.emlights.front")
else
    see40 = 0
end
if GetBool("savegame.mod.se10") then
    see45 = GetFloat("savegame.mod.emlights.front")
else
    see45 = 0
end
if GetBool("savegame.mod.se11") then
    see50 = GetFloat("savegame.mod.emlights.front")
else
    see50 = 0
end
if GetBool("savegame.mod.se12") then
    see55 = GetFloat("savegame.mod.emlights.front")
else
    see55 = 0
end
if GetBool("savegame.mod.se13") then
    see59 = GetFloat("savegame.mod.emlights.front")
else
    see59 = 0
end




-- farol 4
if GetBool("savegame.mod.sr1") then
    srr0 = GetFloat("savegame.mod.emlights.front")
else
    srr0 = 0
end
if GetBool("savegame.mod.sr2") then
    srr5 = GetFloat("savegame.mod.emlights.front")
else
    srr5 = 0
end
if GetBool("savegame.mod.sr3") then
    srr10 = GetFloat("savegame.mod.emlights.front")
else
    srr10 = 0
end
if GetBool("savegame.mod.sr4") then
    srr15 = GetFloat("savegame.mod.emlights.front")
else
    srr15 = 0
end
if GetBool("savegame.mod.sr5") then
    srr20 = GetFloat("savegame.mod.emlights.front")
else
    srr20 = 0
end
if GetBool("savegame.mod.sr6") then
    srr25 = GetFloat("savegame.mod.emlights.front")
else
    srr25 = 0
end
if GetBool("savegame.mod.sr7") then
    srr30 = GetFloat("savegame.mod.emlights.front")
else
    srr30 = 0
end
if GetBool("savegame.mod.sr8") then
    srr35 = GetFloat("savegame.mod.emlights.front")
else
    srr35 = 0
end
if GetBool("savegame.mod.sr9") then
    srr40 = GetFloat("savegame.mod.emlights.front")
else
    srr40 = 0
end
if GetBool("savegame.mod.sr10") then
    srr45 = GetFloat("savegame.mod.emlights.front")
else
    srr45 = 0
end
if GetBool("savegame.mod.sr11") then
    srr50 = GetFloat("savegame.mod.emlights.front")
else
    srr50 = 0
end
if GetBool("savegame.mod.sr12") then
    srr55 = GetFloat("savegame.mod.emlights.front")
else
    srr55 = 0
end
if GetBool("savegame.mod.sr13") then
    srr59 = GetFloat("savegame.mod.emlights.front")
else
    srr59 = 0
end



-- farol 5
if GetBool("savegame.mod.st1") then
    stt0 = GetFloat("savegame.mod.emlights.front")
else
    stt0 = 0
end
if GetBool("savegame.mod.st2") then
    stt5 = GetFloat("savegame.mod.emlights.front")
else
    stt5 = 0
end
if GetBool("savegame.mod.st3") then
    stt10 = GetFloat("savegame.mod.emlights.front")
else
    stt10 = 0
end
if GetBool("savegame.mod.st4") then
    stt15 = GetFloat("savegame.mod.emlights.front")
else
    stt15 = 0
end
if GetBool("savegame.mod.st5") then
    stt20 = GetFloat("savegame.mod.emlights.front")
else
    stt20 = 0
end
if GetBool("savegame.mod.st6") then
    stt25 = GetFloat("savegame.mod.emlights.front")
else
    stt25 = 0
end
if GetBool("savegame.mod.st7") then
    stt30 = GetFloat("savegame.mod.emlights.front")
else
    stt30 = 0
end
if GetBool("savegame.mod.st8") then
    stt35 = GetFloat("savegame.mod.emlights.front")
else
    stt35 = 0
end
if GetBool("savegame.mod.st9") then
    stt40 = GetFloat("savegame.mod.emlights.front")
else
    stt40 = 0
end
if GetBool("savegame.mod.st10") then
    stt45 = GetFloat("savegame.mod.emlights.front")
else
    stt45 = 0
end
if GetBool("savegame.mod.st11") then
    stt50 = GetFloat("savegame.mod.emlights.front")
else
    stt50 = 0
end
if GetBool("savegame.mod.st12") then
    stt55 = GetFloat("savegame.mod.emlights.front")
else
    stt55 = 0
end
if GetBool("savegame.mod.st13") then
    stt59 = GetFloat("savegame.mod.emlights.front")
else
    stt59 = 0
end


-- farol 6
if GetBool("savegame.mod.sy1") then
    syy0 = GetFloat("savegame.mod.emlights.front")
else
    syy0 = 0
end
if GetBool("savegame.mod.sy2") then
    syy5 = GetFloat("savegame.mod.emlights.front")
else
    syy5 = 0
end
if GetBool("savegame.mod.sy3") then
    syy10 = GetFloat("savegame.mod.emlights.front")
else
    syy10 = 0
end
if GetBool("savegame.mod.sy4") then
    syy15 = GetFloat("savegame.mod.emlights.front")
else
    syy15 = 0
end
if GetBool("savegame.mod.sy5") then
    syy20 = GetFloat("savegame.mod.emlights.front")
else
    syy20 = 0
end
if GetBool("savegame.mod.sy6") then
    syy25 = GetFloat("savegame.mod.emlights.front")
else
    syy25 = 0
end
if GetBool("savegame.mod.sy7") then
    syy30 = GetFloat("savegame.mod.emlights.front")
else
    syy30 = 0
end
if GetBool("savegame.mod.sy8") then
    syy35 = GetFloat("savegame.mod.emlights.front")
else
    syy35 = 0
end
if GetBool("savegame.mod.sy9") then
    syy40 = GetFloat("savegame.mod.emlights.front")
else
    syy40 = 0
end
if GetBool("savegame.mod.sy10") then
    syy45 = GetFloat("savegame.mod.emlights.front")
else
    syy45 = 0
end
if GetBool("savegame.mod.sy11") then
    syy50 = GetFloat("savegame.mod.emlights.front")
else
    syy50 = 0
end
if GetBool("savegame.mod.sy12") then
    syy55 = GetFloat("savegame.mod.emlights.front")
else
    syy55 = 0
end
if GetBool("savegame.mod.sy13") then
    syy59 = GetFloat("savegame.mod.emlights.front")
else
    syy59 = 0
end

-- farol 7
if GetBool("savegame.mod.su1") then
    suu0 = GetFloat("savegame.mod.emlights.top")
else
    suu0 = 0
end
if GetBool("savegame.mod.su2") then
    suu5 = GetFloat("savegame.mod.emlights.top")
else
    suu5 = 0
end
if GetBool("savegame.mod.su3") then
    suu10 = GetFloat("savegame.mod.emlights.top")
else
    suu10 = 0
end
if GetBool("savegame.mod.su4") then
    suu15 = GetFloat("savegame.mod.emlights.top")
else
    suu15 = 0
end
if GetBool("savegame.mod.su5") then
    suu20 = GetFloat("savegame.mod.emlights.top")
else
    suu20 = 0
end
if GetBool("savegame.mod.su6") then
    suu25 = GetFloat("savegame.mod.emlights.top")
else
    suu25 = 0
end
if GetBool("savegame.mod.su7") then
    suu30 = GetFloat("savegame.mod.emlights.top")
else
    suu30 = 0
end
if GetBool("savegame.mod.su8") then
    suu35 = GetFloat("savegame.mod.emlights.top")
else
    suu35 = 0
end
if GetBool("savegame.mod.su9") then
    suu40 = GetFloat("savegame.mod.emlights.top")
else
    suu40 = 0
end
if GetBool("savegame.mod.su10") then
    suu45 = GetFloat("savegame.mod.emlights.top")
else
    suu45 = 0
end
if GetBool("savegame.mod.su11") then
    suu50 = GetFloat("savegame.mod.emlights.top")
else
    suu50 = 0
end
if GetBool("savegame.mod.su12") then
    suu55 = GetFloat("savegame.mod.emlights.top")
else
    suu55 = 0
end
if GetBool("savegame.mod.su13") then
    suu59 = GetFloat("savegame.mod.emlights.top")
else
    suu59 = 0
end

-- farol 8
if GetBool("savegame.mod.si1") then
    sii0 = GetFloat("savegame.mod.emlights.top")
else
    sii0 = 0
end
if GetBool("savegame.mod.si2") then
    sii5 = GetFloat("savegame.mod.emlights.top")
else
    sii5 = 0
end
if GetBool("savegame.mod.si3") then
    sii10 = GetFloat("savegame.mod.emlights.top")
else
    sii10 = 0
end
if GetBool("savegame.mod.si4") then
    sii15 = GetFloat("savegame.mod.emlights.top")
else
    sii15 = 0
end
if GetBool("savegame.mod.si5") then
    sii20 = GetFloat("savegame.mod.emlights.top")
else
    sii20 = 0
end
if GetBool("savegame.mod.si6") then
    sii25 = GetFloat("savegame.mod.emlights.top")
else
    sii25 = 0
end
if GetBool("savegame.mod.si7") then
    sii30 = GetFloat("savegame.mod.emlights.top")
else
    sii30 = 0
end
if GetBool("savegame.mod.si8") then
    sii35 = GetFloat("savegame.mod.emlights.top")
else
    sii35 = 0
end
if GetBool("savegame.mod.si9") then
    sii40 = GetFloat("savegame.mod.emlights.top")
else
    sii40 = 0
end
if GetBool("savegame.mod.si10") then
    sii45 = GetFloat("savegame.mod.emlights.top")
else
    sii45 = 0
end
if GetBool("savegame.mod.si11") then
    sii50 = GetFloat("savegame.mod.emlights.top")
else
    sii50 = 0
end
if GetBool("savegame.mod.si12") then
    sii55 = GetFloat("savegame.mod.emlights.top")
else
    sii55 = 0
end
if GetBool("savegame.mod.si13") then
    sii59 = GetFloat("savegame.mod.emlights.top")
else
    sii59 = 0
end


-- farol 9
if GetBool("savegame.mod.so1") then
    soo0 = GetFloat("savegame.mod.emlights.top")
else
    soo0 = 0
end
if GetBool("savegame.mod.so2") then
    soo5 = GetFloat("savegame.mod.emlights.top")
else
    soo5 = 0
end
if GetBool("savegame.mod.so3") then
    soo10 = GetFloat("savegame.mod.emlights.top")
else
    soo10 = 0
end
if GetBool("savegame.mod.so4") then
    soo15 = GetFloat("savegame.mod.emlights.top")
else
    soo15 = 0
end
if GetBool("savegame.mod.so5") then
    soo20 = GetFloat("savegame.mod.emlights.top")
else
    soo20 = 0
end
if GetBool("savegame.mod.so6") then
    soo25 = GetFloat("savegame.mod.emlights.top")
else
    soo25 = 0
end
if GetBool("savegame.mod.so7") then
    soo30 = GetFloat("savegame.mod.emlights.top")
else
    soo30 = 0
end
if GetBool("savegame.mod.so8") then
    soo35 = GetFloat("savegame.mod.emlights.top")
else
    soo35 = 0
end
if GetBool("savegame.mod.so9") then
    soo40 = GetFloat("savegame.mod.emlights.top")
else
    soo40 = 0
end
if GetBool("savegame.mod.so10") then
    soo45 = GetFloat("savegame.mod.emlights.top")
else
    soo45 = 0
end
if GetBool("savegame.mod.so11") then
    soo50 = GetFloat("savegame.mod.emlights.top")
else
    soo50 = 0
end
if GetBool("savegame.mod.so12") then
    soo55 = GetFloat("savegame.mod.emlights.top")
else
    soo55 = 0
end
if GetBool("savegame.mod.so13") then
    soo59 = GetFloat("savegame.mod.emlights.top")
else
    soo59 = 0
end

-- farol 10
if GetBool("savegame.mod.sp1") then
    spp0 = GetFloat("savegame.mod.emlights.top")
else
    spp0 = 0
end
if GetBool("savegame.mod.sp2") then
    spp5 = GetFloat("savegame.mod.emlights.top")
else
    spp5 = 0
end
if GetBool("savegame.mod.sp3") then
    spp10 = GetFloat("savegame.mod.emlights.top")
else
    spp10 = 0
end
if GetBool("savegame.mod.sp4") then
    spp15 = GetFloat("savegame.mod.emlights.top")
else
    spp15 = 0
end
if GetBool("savegame.mod.sp5") then
    spp20 = GetFloat("savegame.mod.emlights.top")
else
    spp20 = 0
end
if GetBool("savegame.mod.sp6") then
    spp25 = GetFloat("savegame.mod.emlights.top")
else
    spp25 = 0
end
if GetBool("savegame.mod.sp7") then
    spp30 = GetFloat("savegame.mod.emlights.top")
else
    spp30 = 0
end
if GetBool("savegame.mod.sp8") then
    spp35 = GetFloat("savegame.mod.emlights.top")
else
    spp35 = 0
end
if GetBool("savegame.mod.sp9") then
    spp40 = GetFloat("savegame.mod.emlights.top")
else
    spp40 = 0
end
if GetBool("savegame.mod.sp10") then
    spp45 = GetFloat("savegame.mod.emlights.top")
else
    spp45 = 0
end
if GetBool("savegame.mod.sp11") then
    spp50 = GetFloat("savegame.mod.emlights.top")
else
    spp50 = 0
end
if GetBool("savegame.mod.sp12") then
    spp55 = GetFloat("savegame.mod.emlights.top")
else
    spp55 = 0
end
if GetBool("savegame.mod.sp13") then
    spp59 = GetFloat("savegame.mod.emlights.top")
else
    spp59 = 0
end

-- farol 11
if GetBool("savegame.mod.sa1") then
    saa0 = GetFloat("savegame.mod.emlights.top")
else
    saa0 = 0
end
if GetBool("savegame.mod.sa2") then
    saa5 = GetFloat("savegame.mod.emlights.top")
else
    saa5 = 0
end
if GetBool("savegame.mod.sa3") then
    saa10 = GetFloat("savegame.mod.emlights.top")
else
    saa10 = 0
end
if GetBool("savegame.mod.sa4") then
    saa15 = GetFloat("savegame.mod.emlights.top")
else
    saa15 = 0
end
if GetBool("savegame.mod.sa5") then
    saa20 = GetFloat("savegame.mod.emlights.top")
else
    saa20 = 0
end
if GetBool("savegame.mod.sa6") then
    saa25 = GetFloat("savegame.mod.emlights.top")
else
    saa25 = 0
end
if GetBool("savegame.mod.sa7") then
    saa30 = GetFloat("savegame.mod.emlights.top")
else
    saa30 = 0
end
if GetBool("savegame.mod.sa8") then
    saa35 = GetFloat("savegame.mod.emlights.top")
else
    saa35 = 0
end
if GetBool("savegame.mod.sa9") then
    saa40 = GetFloat("savegame.mod.emlights.top")
else
    saa40 = 0
end
if GetBool("savegame.mod.sa10") then
    saa45 = GetFloat("savegame.mod.emlights.top")
else
    saa45 = 0
end
if GetBool("savegame.mod.sa11") then
    saa50 = GetFloat("savegame.mod.emlights.top")
else
    saa50 = 0
end
if GetBool("savegame.mod.sa12") then
    saa55 = GetFloat("savegame.mod.emlights.top")
else
    saa55 = 0
end
if GetBool("savegame.mod.sa13") then
    saa59 = GetFloat("savegame.mod.emlights.top")
else
    saa59 = 0
end

-- farol 12
if GetBool("savegame.mod.ss1") then
    sss0 = GetFloat("savegame.mod.emlights.top")
else
    sss0 = 0
end
if GetBool("savegame.mod.ss2") then
    sss5 = GetFloat("savegame.mod.emlights.top")
else
    sss5 = 0
end
if GetBool("savegame.mod.ss3") then
    sss10 = GetFloat("savegame.mod.emlights.top")
else
    sss10 = 0
end
if GetBool("savegame.mod.ss4") then
    sss15 = GetFloat("savegame.mod.emlights.top")
else
    sss15 = 0
end
if GetBool("savegame.mod.ss5") then
    sss20 = GetFloat("savegame.mod.emlights.top")
else
    sss20 = 0
end
if GetBool("savegame.mod.ss6") then
    sss25 = GetFloat("savegame.mod.emlights.top")
else
    sss25 = 0
end
if GetBool("savegame.mod.ss7") then
    sss30 = GetFloat("savegame.mod.emlights.top")
else
    sss30 = 0
end
if GetBool("savegame.mod.ss8") then
    sss35 = GetFloat("savegame.mod.emlights.top")
else
    sss35 = 0
end
if GetBool("savegame.mod.ss9") then
    sss40 = GetFloat("savegame.mod.emlights.top")
else
    sss40 = 0
end
if GetBool("savegame.mod.ss10") then
    sss45 = GetFloat("savegame.mod.emlights.top")
else
    sss45 = 0
end
if GetBool("savegame.mod.ss11") then
    sss50 = GetFloat("savegame.mod.emlights.top")
else
    sss50 = 0
end
if GetBool("savegame.mod.ss12") then
    sss55 = GetFloat("savegame.mod.emlights.top")
else
    sss55 = 0
end
if GetBool("savegame.mod.ss13") then
    sss59 = GetFloat("savegame.mod.emlights.top")
else
    sss59 = 0
end

-- farol 13
if GetBool("savegame.mod.sd1") then
    sdd0 = GetFloat("savegame.mod.emlights.top")
else
    sdd0 = 0
end
if GetBool("savegame.mod.sd2") then
    sdd5 = GetFloat("savegame.mod.emlights.top")
else
    sdd5 = 0
end
if GetBool("savegame.mod.sd3") then
    sdd10 = GetFloat("savegame.mod.emlights.top")
else
    sdd10 = 0
end
if GetBool("savegame.mod.sd4") then
    sdd15 = GetFloat("savegame.mod.emlights.top")
else
    sdd15 = 0
end
if GetBool("savegame.mod.sd5") then
    sdd20 = GetFloat("savegame.mod.emlights.top")
else
    sdd20 = 0
end
if GetBool("savegame.mod.sd6") then
    sdd25 = GetFloat("savegame.mod.emlights.top")
else
    sdd25 = 0
end
if GetBool("savegame.mod.sd7") then
    sdd30 = GetFloat("savegame.mod.emlights.top")
else
    sdd30 = 0
end
if GetBool("savegame.mod.sd8") then
    sdd35 = GetFloat("savegame.mod.emlights.top")
else
    sdd35 = 0
end
if GetBool("savegame.mod.sd9") then
    sdd40 = GetFloat("savegame.mod.emlights.top")
else
    sdd40 = 0
end
if GetBool("savegame.mod.sd10") then
    sdd45 = GetFloat("savegame.mod.emlights.top")
else
    sdd45 = 0
end
if GetBool("savegame.mod.sd11") then
    sdd50 = GetFloat("savegame.mod.emlights.top")
else
    sdd50 = 0
end
if GetBool("savegame.mod.sd12") then
    sdd55 = GetFloat("savegame.mod.emlights.top")
else
    sdd55 = 0
end
if GetBool("savegame.mod.sd13") then
    sdd59 = GetFloat("savegame.mod.emlights.top")
else
    sdd59 = 0
end

-- farol 14
if GetBool("savegame.mod.sf1") then
    sff0 = GetFloat("savegame.mod.emlights.top")
else
    sff0 = 0
end
if GetBool("savegame.mod.sf2") then
    sff5 = GetFloat("savegame.mod.emlights.top")
else
    sff5 = 0
end
if GetBool("savegame.mod.sf3") then
    sff10 = GetFloat("savegame.mod.emlights.top")
else
    sff10 = 0
end
if GetBool("savegame.mod.sf4") then
    sff15 = GetFloat("savegame.mod.emlights.top")
else
    sff15 = 0
end
if GetBool("savegame.mod.sf5") then
    sff20 = GetFloat("savegame.mod.emlights.top")
else
    sff20 = 0
end
if GetBool("savegame.mod.sf6") then
    sff25 = GetFloat("savegame.mod.emlights.top")
else
    sff25 = 0
end
if GetBool("savegame.mod.sf7") then
    sff30 = GetFloat("savegame.mod.emlights.top")
else
    sff30 = 0
end
if GetBool("savegame.mod.sf8") then
    sff35 = GetFloat("savegame.mod.emlights.top")
else
    sff35 = 0
end
if GetBool("savegame.mod.sf9") then
    sff40 = GetFloat("savegame.mod.emlights.top")
else
    sff40 = 0
end
if GetBool("savegame.mod.sf10") then
    sff45 = GetFloat("savegame.mod.emlights.top")
else
    sff45 = 0
end
if GetBool("savegame.mod.sf11") then
    sff50 = GetFloat("savegame.mod.emlights.top")
else
    sff50 = 0
end
if GetBool("savegame.mod.sf12") then
    sff55 = GetFloat("savegame.mod.emlights.top")
else
    sff55 = 0
end
if GetBool("savegame.mod.sf13") then
    sff59 = GetFloat("savegame.mod.emlights.top")
else
    sff59 = 0
end

-- farol 15
if GetBool("savegame.mod.sg1") then
    sgg0 = GetFloat("savegame.mod.emlights.left")
else
    sgg0 = 0
end
if GetBool("savegame.mod.sg2") then
    sgg5 = GetFloat("savegame.mod.emlights.left")
else
    sgg5 = 0
end
if GetBool("savegame.mod.sg3") then
    sgg10 = GetFloat("savegame.mod.emlights.left")
else
    sgg10 = 0
end
if GetBool("savegame.mod.sg4") then
    sgg15 = GetFloat("savegame.mod.emlights.left")
else
    sgg15 = 0
end
if GetBool("savegame.mod.sg5") then
    sgg20 = GetFloat("savegame.mod.emlights.left")
else
    sgg20 = 0
end
if GetBool("savegame.mod.sg6") then
    sgg25 = GetFloat("savegame.mod.emlights.left")
else
    sgg25 = 0
end
if GetBool("savegame.mod.sg7") then
    sgg30 = GetFloat("savegame.mod.emlights.left")
else
    sgg30 = 0
end
if GetBool("savegame.mod.sg8") then
    sgg35 = GetFloat("savegame.mod.emlights.left")
else
    sgg35 = 0
end
if GetBool("savegame.mod.sg9") then
    sgg40 = GetFloat("savegame.mod.emlights.left")
else
    sgg40 = 0
end
if GetBool("savegame.mod.sg10") then
    sgg45 = GetFloat("savegame.mod.emlights.left")
else
    sgg45 = 0
end
if GetBool("savegame.mod.sg11") then
    sgg50 = GetFloat("savegame.mod.emlights.left")
else
    sgg50 = 0
end
if GetBool("savegame.mod.sg12") then
    sgg55 = GetFloat("savegame.mod.emlights.left")
else
    sgg55 = 0
end
if GetBool("savegame.mod.sg13") then
    sgg59 = GetFloat("savegame.mod.emlights.left")
else
    sgg59 = 0
end

-- farol 16
if GetBool("savegame.mod.sh1") then
    shh0 = GetFloat("savegame.mod.emlights.left")
else
    shh0 = 0
end
if GetBool("savegame.mod.sh2") then
    shh5 = GetFloat("savegame.mod.emlights.left")
else
    shh5 = 0
end
if GetBool("savegame.mod.sh3") then
    shh10 = GetFloat("savegame.mod.emlights.left")
else
    shh10 = 0
end
if GetBool("savegame.mod.sh4") then
    shh15 = GetFloat("savegame.mod.emlights.left")
else
    shh15 = 0
end
if GetBool("savegame.mod.sh5") then
    shh20 = GetFloat("savegame.mod.emlights.left")
else
    shh20 = 0
end
if GetBool("savegame.mod.sh6") then
    shh25 = GetFloat("savegame.mod.emlights.left")
else
    shh25 = 0
end
if GetBool("savegame.mod.sh7") then
    shh30 = GetFloat("savegame.mod.emlights.left")
else
    shh30 = 0
end
if GetBool("savegame.mod.sh8") then
    shh35 = GetFloat("savegame.mod.emlights.left")
else
    shh35 = 0
end
if GetBool("savegame.mod.sh9") then
    shh40 = GetFloat("savegame.mod.emlights.left")
else
    shh40 = 0
end
if GetBool("savegame.mod.sh10") then
    shh45 = GetFloat("savegame.mod.emlights.left")
else
    shh45 = 0
end
if GetBool("savegame.mod.sh11") then
    shh50 = GetFloat("savegame.mod.emlights.left")
else
    shh50 = 0
end
if GetBool("savegame.mod.sh12") then
    shh55 = GetFloat("savegame.mod.emlights.left")
else
    shh55 = 0
end
if GetBool("savegame.mod.sh13") then
    shh59 = GetFloat("savegame.mod.emlights.left")
else
    shh59 = 0
end

-- farol 17
if GetBool("savegame.mod.sj1") then
    sjj0 = GetFloat("savegame.mod.emlights.right")
else
    sjj0 = 0
end
if GetBool("savegame.mod.sj2") then
    sjj5 = GetFloat("savegame.mod.emlights.right")
else
    sjj5 = 0
end
if GetBool("savegame.mod.sj3") then
    sjj10 = GetFloat("savegame.mod.emlights.right")
else
    sjj10 = 0
end
if GetBool("savegame.mod.sj4") then
    sjj15 = GetFloat("savegame.mod.emlights.right")
else
    sjj15 = 0
end
if GetBool("savegame.mod.sj5") then
    sjj20 = GetFloat("savegame.mod.emlights.right")
else
    sjj20 = 0
end
if GetBool("savegame.mod.sj6") then
    sjj25 = GetFloat("savegame.mod.emlights.right")
else
    sjj25 = 0
end
if GetBool("savegame.mod.sj7") then
    sjj30 = GetFloat("savegame.mod.emlights.right")
else
    sjj30 = 0
end
if GetBool("savegame.mod.sj8") then
    sjj35 = GetFloat("savegame.mod.emlights.right")
else
    sjj35 = 0
end
if GetBool("savegame.mod.sj9") then
    sjj40 = GetFloat("savegame.mod.emlights.right")
else
    sjj40 = 0
end
if GetBool("savegame.mod.sj10") then
    sjj45 = GetFloat("savegame.mod.emlights.right")
else
    sjj45 = 0
end
if GetBool("savegame.mod.sj11") then
    sjj50 = GetFloat("savegame.mod.emlights.right")
else
    sjj50 = 0
end
if GetBool("savegame.mod.sj12") then
    sjj55 = GetFloat("savegame.mod.emlights.right")
else
    sjj55 = 0
end
if GetBool("savegame.mod.sj13") then
    sjj59 = GetFloat("savegame.mod.emlights.right")
else
    sjj59 = 0
end

-- farol 18
if GetBool("savegame.mod.sk1") then
    skk0 = GetFloat("savegame.mod.emlights.right")
else
    skk0 = 0
end
if GetBool("savegame.mod.sk2") then
    skk5 = GetFloat("savegame.mod.emlights.right")
else
    skk5 = 0
end
if GetBool("savegame.mod.sk3") then
    skk10 = GetFloat("savegame.mod.emlights.right")
else
    skk10 = 0
end
if GetBool("savegame.mod.sk4") then
    skk15 = GetFloat("savegame.mod.emlights.right")
else
    skk15 = 0
end
if GetBool("savegame.mod.sk5") then
    skk20 = GetFloat("savegame.mod.emlights.right")
else
    skk20 = 0
end
if GetBool("savegame.mod.sk6") then
    skk25 = GetFloat("savegame.mod.emlights.right")
else
    skk25 = 0
end
if GetBool("savegame.mod.sk7") then
    skk30 = GetFloat("savegame.mod.emlights.right")
else
    skk30 = 0
end
if GetBool("savegame.mod.sk8") then
    skk35 = GetFloat("savegame.mod.emlights.right")
else
    skk35 = 0
end
if GetBool("savegame.mod.sk9") then
    skk40 = GetFloat("savegame.mod.emlights.right")
else
    skk40 = 0
end
if GetBool("savegame.mod.sk10") then
    skk45 = GetFloat("savegame.mod.emlights.right")
else
    skk45 = 0
end
if GetBool("savegame.mod.sk11") then
    skk50 = GetFloat("savegame.mod.emlights.right")
else
    skk50 = 0
end
if GetBool("savegame.mod.sk12") then
    skk55 = GetFloat("savegame.mod.emlights.right")
else
    skk55 = 0
end
if GetBool("savegame.mod.sk13") then
    skk59 = GetFloat("savegame.mod.emlights.right")
else
    skk59 = 0
end

-- farol 19
if GetBool("savegame.mod.sl1") then
    sll0 = GetFloat("savegame.mod.emlights.back")
else
    sll0 = 0
end
if GetBool("savegame.mod.sl2") then
    sll5 = GetFloat("savegame.mod.emlights.back")
else
    sll5 = 0
end
if GetBool("savegame.mod.sl3") then
    sll10 = GetFloat("savegame.mod.emlights.back")
else
    sll10 = 0
end
if GetBool("savegame.mod.sl4") then
    sll15 = GetFloat("savegame.mod.emlights.back")
else
    sll15 = 0
end
if GetBool("savegame.mod.sl5") then
    sll20 = GetFloat("savegame.mod.emlights.back")
else
    sll20 = 0
end
if GetBool("savegame.mod.sl6") then
    sll25 = GetFloat("savegame.mod.emlights.back")
else
    sll25 = 0
end
if GetBool("savegame.mod.sl7") then
    sll30 = GetFloat("savegame.mod.emlights.back")
else
    sll30 = 0
end
if GetBool("savegame.mod.sl8") then
    sll35 = GetFloat("savegame.mod.emlights.back")
else
    sll35 = 0
end
if GetBool("savegame.mod.sl9") then
    sll40 = GetFloat("savegame.mod.emlights.back")
else
    sll40 = 0
end
if GetBool("savegame.mod.sl10") then
    sll45 = GetFloat("savegame.mod.emlights.back")
else
    sll45 = 0
end
if GetBool("savegame.mod.sl11") then
    sll50 = GetFloat("savegame.mod.emlights.back")
else
    sll50 = 0
end
if GetBool("savegame.mod.sl12") then
    sll55 = GetFloat("savegame.mod.emlights.back")
else
    sll55 = 0
end
if GetBool("savegame.mod.sl13") then
    sll59 = GetFloat("savegame.mod.emlights.back")
else
    sll59 = 0
end

-- farol 20
if GetBool("savegame.mod.sz1") then
    szz0 = GetFloat("savegame.mod.emlights.back")
else
    szz0 = 0
end
if GetBool("savegame.mod.sz2") then
    szz5 = GetFloat("savegame.mod.emlights.back")
else
    szz5 = 0
end
if GetBool("savegame.mod.sz3") then
    szz10 = GetFloat("savegame.mod.emlights.back")
else
    szz10 = 0
end
if GetBool("savegame.mod.sz4") then
    szz15 = GetFloat("savegame.mod.emlights.back")
else
    szz15 = 0
end
if GetBool("savegame.mod.sz5") then
    szz20 = GetFloat("savegame.mod.emlights.back")
else
    szz20 = 0
end
if GetBool("savegame.mod.sz6") then
    szz25 = GetFloat("savegame.mod.emlights.back")
else
    szz25 = 0
end
if GetBool("savegame.mod.sz7") then
    szz30 = GetFloat("savegame.mod.emlights.back")
else
    szz30 = 0
end
if GetBool("savegame.mod.sz8") then
    szz35 = GetFloat("savegame.mod.emlights.back")
else
    szz35 = 0
end
if GetBool("savegame.mod.sz9") then
    szz40 = GetFloat("savegame.mod.emlights.back")
else
    szz40 = 0
end
if GetBool("savegame.mod.sz10") then
    szz45 = GetFloat("savegame.mod.emlights.back")
else
    szz45 = 0
end
if GetBool("savegame.mod.sz11") then
    szz50 = GetFloat("savegame.mod.emlights.back")
else
    szz50 = 0
end
if GetBool("savegame.mod.sz12") then
    szz55 = GetFloat("savegame.mod.emlights.back")
else
    szz55 = 0
end
if GetBool("savegame.mod.sz13") then
    szz59 = GetFloat("savegame.mod.emlights.back")
else
    szz59 = 0
end

-- farol 21
if GetBool("savegame.mod.sx1") then
    sxx0 = GetFloat("savegame.mod.lighs.headlight")/20
else
    sxx0 = 0
end
if GetBool("savegame.mod.sx2") then
    sxx5 = GetFloat("savegame.mod.lighs.headlight")/20
else
    sxx5 = 0
end
if GetBool("savegame.mod.sx3") then
    sxx10 = GetFloat("savegame.mod.lighs.headlight")/20
else
    sxx10 = 0
end
if GetBool("savegame.mod.sx4") then
    sxx15 = GetFloat("savegame.mod.lighs.headlight")/20
else
    sxx15 = 0
end
if GetBool("savegame.mod.sx5") then
    sxx20 = GetFloat("savegame.mod.lighs.headlight")/20
else
    sxx20 = 0
end
if GetBool("savegame.mod.sx6") then
    sxx25 = GetFloat("savegame.mod.lighs.headlight")/20
else
    sxx25 = 0
end
if GetBool("savegame.mod.sx7") then
    sxx30 = GetFloat("savegame.mod.lighs.headlight")/20
else
    sxx30 = 0
end
if GetBool("savegame.mod.sx8") then
    sxx35 = GetFloat("savegame.mod.lighs.headlight")/20
else
    sxx35 = 0
end
if GetBool("savegame.mod.sx9") then
    sxx40 = GetFloat("savegame.mod.lighs.headlight")/20
else
    sxx40 = 0
end
if GetBool("savegame.mod.sx10") then
    sxx45 = GetFloat("savegame.mod.lighs.headlight")/20
else
    sxx45 = 0
end
if GetBool("savegame.mod.sx11") then
    sxx50 = GetFloat("savegame.mod.lighs.headlight")/20
else
    sxx50 = 0
end
if GetBool("savegame.mod.sx12") then
    sxx55 = GetFloat("savegame.mod.lighs.headlight")/20
else
    sxx55 = 0
end
if GetBool("savegame.mod.sx13") then
    sxx59 = GetFloat("savegame.mod.lighs.headlight")/20
else
    sxx59 = 0
end

-- farol 22
if GetBool("savegame.mod.sc1") then
    scc0 = GetFloat("savegame.mod.lighs.headlight")/20
else
    scc0 = 0
end
if GetBool("savegame.mod.sc2") then
    scc5 = GetFloat("savegame.mod.lighs.headlight")/20
else
    scc5 = 0
end
if GetBool("savegame.mod.sc3") then
    scc10 = GetFloat("savegame.mod.lighs.headlight")/20
else
    scc10 = 0
end
if GetBool("savegame.mod.sc4") then
    scc15 = GetFloat("savegame.mod.lighs.headlight")/20
else
    scc15 = 0
end
if GetBool("savegame.mod.sc5") then
    scc20 = GetFloat("savegame.mod.lighs.headlight")/20
else
    scc20 = 0
end
if GetBool("savegame.mod.sc6") then
    scc25 = GetFloat("savegame.mod.lighs.headlight")/20
else
    scc25 = 0
end
if GetBool("savegame.mod.sc7") then
    scc30 = GetFloat("savegame.mod.lighs.headlight")/20
else
    scc30 = 0
end
if GetBool("savegame.mod.sc8") then
    scc35 = GetFloat("savegame.mod.lighs.headlight")/20
else
    scc35 = 0
end
if GetBool("savegame.mod.sc9") then
    scc40 = GetFloat("savegame.mod.lighs.headlight")/20
else
    scc40 = 0
end
if GetBool("savegame.mod.sc10") then
    scc45 = GetFloat("savegame.mod.lighs.headlight")/20
else
    scc45 = 0
end
if GetBool("savegame.mod.sc11") then
    scc50 = GetFloat("savegame.mod.lighs.headlight")/20
else
    scc50 = 0
end
if GetBool("savegame.mod.sc12") then
    scc55 = GetFloat("savegame.mod.lighs.headlight")/20
else
    scc55 = 0
end
if GetBool("savegame.mod.sc13") then
    scc59 = GetFloat("savegame.mod.lighs.headlight")/20
else
    scc59 = 0
end

-- farol 23
if GetBool("savegame.mod.sv1") then
    svv0 = GetFloat("savegame.mod.lighs.headlight")/20
else
    svv0 = 0
end
if GetBool("savegame.mod.sv2") then
    svv5 = GetFloat("savegame.mod.lighs.headlight")/20
else
    svv5 = 0
end
if GetBool("savegame.mod.sv3") then
    svv10 = GetFloat("savegame.mod.lighs.headlight")/20
else
    svv10 = 0
end
if GetBool("savegame.mod.sv4") then
    svv15 = GetFloat("savegame.mod.lighs.headlight")/20
else
    svv15 = 0
end
if GetBool("savegame.mod.sv5") then
    svv20 = GetFloat("savegame.mod.lighs.headlight")/20
else
    svv20 = 0
end
if GetBool("savegame.mod.sv6") then
    svv25 = GetFloat("savegame.mod.lighs.headlight")/20
else
    svv25 = 0
end
if GetBool("savegame.mod.sv7") then
    svv30 = GetFloat("savegame.mod.lighs.headlight")/20
else
    svv30 = 0
end
if GetBool("savegame.mod.sv8") then
    svv35 = GetFloat("savegame.mod.lighs.headlight")/20
else
    svv35 = 0
end
if GetBool("savegame.mod.sv9") then
    svv40 = GetFloat("savegame.mod.lighs.headlight")/20
else
    svv40 = 0
end
if GetBool("savegame.mod.sv10") then
    svv45 = GetFloat("savegame.mod.lighs.headlight")/20
else
    svv45 = 0
end
if GetBool("savegame.mod.sv11") then
    svv50 = GetFloat("savegame.mod.lighs.headlight")/20
else
    svv50 = 0
end
if GetBool("savegame.mod.sv12") then
    svv55 = GetFloat("savegame.mod.lighs.headlight")/20
else
    svv55 = 0
end
if GetBool("savegame.mod.sv13") then
    svv59 = GetFloat("savegame.mod.lighs.headlight")/20
else
    svv59 = 0
end


-- farol 24
if GetBool("savegame.mod.sb1") then
    sbb0 = GetFloat("savegame.mod.lighs.headlight")/20
else
    sbb0 = 0
end
if GetBool("savegame.mod.sb2") then
    sbb5 = GetFloat("savegame.mod.lighs.headlight")/20
else
    sbb5 = 0
end
if GetBool("savegame.mod.sb3") then
    sbb10 = GetFloat("savegame.mod.lighs.headlight")/20
else
    sbb10 = 0
end
if GetBool("savegame.mod.sb4") then
    sbb15 = GetFloat("savegame.mod.lighs.headlight")/20
else
    sbb15 = 0
end
if GetBool("savegame.mod.sb5") then
    sbb20 = GetFloat("savegame.mod.lighs.headlight")/20
else
    sbb20 = 0
end
if GetBool("savegame.mod.sb6") then
    sbb25 = GetFloat("savegame.mod.lighs.headlight")/20
else
    sbb25 = 0
end
if GetBool("savegame.mod.sb7") then
    sbb30 = GetFloat("savegame.mod.lighs.headlight")/20
else
    sbb30 = 0
end
if GetBool("savegame.mod.sb8") then
    sbb35 = GetFloat("savegame.mod.lighs.headlight")/20
else
    sbb35 = 0
end
if GetBool("savegame.mod.sb9") then
    sbb40 = GetFloat("savegame.mod.lighs.headlight")/20
else
    sbb40 = 0
end
if GetBool("savegame.mod.sb10") then
    sbb45 = GetFloat("savegame.mod.lighs.headlight")/20
else
    sbb45 = 0
end
if GetBool("savegame.mod.sb11") then
    sbb50 = GetFloat("savegame.mod.lighs.headlight")/20
else
    sbb50 = 0
end
if GetBool("savegame.mod.sb12") then
    sbb55 = GetFloat("savegame.mod.lighs.headlight")/20
else
    sbb55 = 0
end
if GetBool("savegame.mod.sb13") then
    sbb59 = GetFloat("savegame.mod.lighs.headlight")/20
else
    sbb59 = 0
end

	end
end


